(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("d6bbc7c6-bce0-4ee4-a59b-5e5a9a1b5ac2");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'd6bbc7c6-bce0-4ee4-a59b-5e5a9a1b5ac2' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"3941c091-e28e-4cbc-8ca4-83dcb7fe211b":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p31039","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p31038","attributes":{"tools":[{"type":"object","name":"ToolProxy","id":"p31030","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p30905"},{"type":"object","name":"ResetTool","id":"p30936"}]}},{"type":"object","name":"ToolProxy","id":"p31031","attributes":{"tools":[{"type":"object","name":"PanTool","id":"p30906"},{"type":"object","name":"PanTool","id":"p30937"}]}},{"type":"object","name":"ToolProxy","id":"p31032","attributes":{"tools":[{"type":"object","name":"BoxZoomTool","id":"p30907","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p30908","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"BoxZoomTool","id":"p30938","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p30939","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}}]}},{"type":"object","name":"ToolProxy","id":"p31033","attributes":{"tools":[{"type":"object","name":"WheelZoomTool","id":"p30909"},{"type":"object","name":"WheelZoomTool","id":"p30940"}]}},{"type":"object","name":"ToolProxy","id":"p31034","attributes":{"tools":[{"type":"object","name":"LassoSelectTool","id":"p30910","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p30911","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"LassoSelectTool","id":"p30941","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p30942","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}}]}},{"type":"object","name":"ToolProxy","id":"p31035","attributes":{"tools":[{"type":"object","name":"UndoTool","id":"p30912"},{"type":"object","name":"UndoTool","id":"p30943"}]}},{"type":"object","name":"SaveTool","id":"p31036"},{"type":"object","name":"ToolProxy","id":"p31037","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p30914","attributes":{"renderers":"auto"}},{"type":"object","name":"HoverTool","id":"p30945","attributes":{"renderers":"auto"}}]}}]}},"children":[[{"type":"object","name":"Figure","id":"p30884","attributes":{"width":793,"height":345,"x_range":{"type":"object","name":"DataRange1d","id":"p30885"},"y_range":{"type":"object","name":"DataRange1d","id":"p30886"},"x_scale":{"type":"object","name":"LinearScale","id":"p30893"},"y_scale":{"type":"object","name":"LinearScale","id":"p30894"},"title":{"type":"object","name":"Title","id":"p30987","attributes":{"text":"tau"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p30952","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30946","attributes":{"selected":{"type":"object","name":"Selection","id":"p30947","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p30948"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"xsbGxsbG0j8+Pz8/Pz/XP+Hh4eHh4eE/TEtLS0tL3z+5t7e3t7fbP/v8/Pz8/NA/GxgYGBgY4D9YWlpaWlrWPzw/Pz8/P9c/DQkJCQkJ2T+IioqKiorgP1haWlpaWtY/WFpaWlpa1j+AdXV1dXXVPzw/Pz8/P9c/cnV1dXV11T+YnJycnJzMPxYYGBgYGNA/FhgYGBgY0D8="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p30953","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p30954"}}},"glyph":{"type":"object","name":"VBar","id":"p30949","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p30950","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p30951","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p30962","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30956","attributes":{"selected":{"type":"object","name":"Selection","id":"p30957","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p30958"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"Tk5OTk5O/j/KycnJycnxP+jn5+fn5/I/dnV1dXV18j8GBgYGBgb0P8/Pz8/Pz/U/CgkJCQkJ9j8ICQkJCQn2P8/Pz8/Pz/U/0c/Pz8/P9T9cXV1dXV31PyYnJycnJ/c/7e3t7e3t9j9gXV1dXV31P+3t7e3t7fY/Pz8/Pz8/9D/t7e3t7e32PwsMDAwMDPg/z8/Pz8/P9T8="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p30963","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p30964"}}},"glyph":{"type":"object","name":"VBar","id":"p30959","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p30960","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p30961","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p30972","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30966","attributes":{"selected":{"type":"object","name":"Selection","id":"p30967","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p30968"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"Hh4eHh4eAUDW1dXV1VUAQMrJycnJyQFAr66urq6uAkC+vb29vT0DQFpaWlpaWgNA+Pb29vZ2A0BpaWlpaekDQHV1dXV1dQJAEhISEhKSAkCTk5OTk5MDQFpaWlpaWgNAMDAwMDCwA0D59vb29nYDQOjn5+fn5wJAMDAwMDCwA0AhISEhISEDQEtLS0tLywJA29vb29tbBEA="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p30973","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p30974"}}},"glyph":{"type":"object","name":"VBar","id":"p30969","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#f69a48"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p30970","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#f69a48"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p30971","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#f69a48"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p30982","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30976","attributes":{"selected":{"type":"object","name":"Selection","id":"p30977","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p30978"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"Hh4eHh4eCUCamZmZmZkPQKKioqKiIgxAamlpaWnpC0CFhISEhAQLQFpaWlpaWgtAu7q6uro6CUCfn5+fnx8KQPb29vb2dgtAIiEhISEhC0BXV1dXV1cJQJ+fn5+fHwpAysnJycnJCUDp5+fn5+cKQHV1dXV1dQpAWlpaWlpaC0BaWlpaWloLQOjn5+fn5wpAEhISEhKSCkA="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p30983","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p30984"}}},"glyph":{"type":"object","name":"VBar","id":"p30979","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#fdcd49"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p30980","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#fdcd49"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p30981","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#fdcd49"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p30892","attributes":{"tools":[{"id":"p30905"},{"id":"p30906"},{"id":"p30907"},{"id":"p30909"},{"id":"p30910"},{"id":"p30912"},{"type":"object","name":"SaveTool","id":"p30913"},{"id":"p30914"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p30900","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p30986","attributes":{"ticks":[0,1,2,3],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p30902"},"axis_label":"Chain","major_label_policy":{"type":"object","name":"AllLabels","id":"p30903"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p30895","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p30896","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p30897"},"axis_label":"Rank (all chains)","major_label_overrides":{"type":"map","entries":[["0","0"],["1","1"],["2","2"],["3","3"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p30898"}}}],"center":[{"type":"object","name":"Grid","id":"p30899","attributes":{"axis":{"id":"p30895"}}},{"type":"object","name":"Grid","id":"p30904","attributes":{"dimension":1,"axis":{"id":"p30900"}}},{"type":"object","name":"Span","id":"p30955","attributes":{"location":0.3676470588235293,"line_dash":[6]}},{"type":"object","name":"Span","id":"p30965","attributes":{"location":1.3676470588235294,"line_dash":[6]}},{"type":"object","name":"Span","id":"p30975","attributes":{"location":2.3676470588235294,"line_dash":[6]}},{"type":"object","name":"Span","id":"p30985","attributes":{"location":3.3676470588235294,"line_dash":[6]}}],"output_backend":"webgl"}},0,0],[{"type":"object","name":"Figure","id":"p30915","attributes":{"width":793,"height":345,"x_range":{"id":"p30885"},"y_range":{"id":"p30886"},"x_scale":{"type":"object","name":"LinearScale","id":"p30924"},"y_scale":{"type":"object","name":"LinearScale","id":"p30925"},"title":{"type":"object","name":"Title","id":"p31029","attributes":{"text":"mu"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p30994","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30988","attributes":{"selected":{"type":"object","name":"Selection","id":"p30989","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p30990"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"Mz8/Pz8/1z9XZmZmZmbOP05aWlpaWtY/FR4eHh4e5D+rt7e3t7fbP/P8/Pz8/NA/r7e3t7e32z9UZmZmZmbeP2+BgYGBgd0/b3V1dXV11T8VJCQkJCTYP2h1dXV1ddU/TVpaWlpa1j9APz8/Pz/HPzhLS0tLS98/hJCQkJCQ1D/X4eHh4eHRP01aWlpaWtY/hJCQkJCQ1D8="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p30995","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p30996"}}},"glyph":{"type":"object","name":"VBar","id":"p30991","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p30992","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p30993","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31004","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p30998","attributes":{"selected":{"type":"object","name":"Selection","id":"p30999","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31000"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"r7GxsbGx9D8kJycnJyf3P3h7e3t7e/Y/PT8/Pz8/9D9AQkJCQkL2PwUJCQkJCfY/gISEhISE/D+vsbGxsbH0P7C0tLS0tPY/ent7e3t79j9cYGBgYGD3P8zPz8/Pz/U/dnh4eHh49D9aWlpaWlrzP+jq6urq6vQ/IicnJycn9z8hJCQkJCT1PwQGBgYGBvQ/PT8/Pz8/9D8="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p31005","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31006"}}},"glyph":{"type":"object","name":"VBar","id":"p31001","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31002","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31003","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":1},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31014","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31008","attributes":{"selected":{"type":"object","name":"Selection","id":"p31009","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31010"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"WVpaWlpaA0CSk5OTk5MDQB8hISEhIQNAycnJycnJAUCDhISEhAQDQDs8PDw8PAJAhISEhIQEA0CDhISEhAQDQHR1dXV1dQJAhISEhIQEA0DX2NjY2FgCQLy9vb29PQNA5ufn5+fnAkD08/Pz83MBQHR1dXV1dQJAWFpaWlpaA0ASFRUVFZUEQK2urq6urgJAPT8/Pz8/BEA="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p31015","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31016"}}},"glyph":{"type":"object","name":"VBar","id":"p31011","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#f69a48"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31012","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#f69a48"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31013","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":2},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#f69a48"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31024","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31018","attributes":{"selected":{"type":"object","name":"Selection","id":"p31019","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31020"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"DeU1lNdQSkDKayivobxjQCivobyGcnBAbCivobwGd0CuobyG8pp9QHkN5TWUF4JAGsprKK9hhUC8hvIayquIQF5DeQ3l9YtAAAAAAABAj0BQXkN5DUWRQKK8hvIa6pJA8hrKayiPlEBDeQ3lNTSWQJTXUF5D2ZdA5DWU11B+mUA2lNdQXiObQIbyGspryJxA2FBeQ3ltnkA="},"shape":[19],"dtype":"float64","order":"little"}],["top",{"type":"ndarray","array":{"type":"bytes","data":"ICEhISEhC0Ctrq6urq4KQK2urq6urgpASktLS0vLCkCfn5+fnx8KQJ6fn5+fHwpAurq6uro6CUCtrq6urq4KQDs8PDw8PApASktLS0vLCkCtrq6urq4KQIOEhISEBAtAWFpaWlpaC0CamZmZmZkPQObn5+fn5wpA19jY2NhYCkDX2NjY2FgKQD0/Pz8/PwxA5ufn5+fnCkA="},"shape":[19],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p31025","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31026"}}},"glyph":{"type":"object","name":"VBar","id":"p31021","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"fill_color":{"type":"value","value":"#fdcd49"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31022","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#fdcd49"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31023","attributes":{"x":{"type":"field","field":"x"},"width":{"type":"value","value":105.26315789473684},"bottom":{"type":"value","value":3},"top":{"type":"field","field":"top"},"line_color":{"type":"value","value":"white"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#fdcd49"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p30923","attributes":{"tools":[{"id":"p30936"},{"id":"p30937"},{"id":"p30938"},{"id":"p30940"},{"id":"p30941"},{"id":"p30943"},{"type":"object","name":"SaveTool","id":"p30944"},{"id":"p30945"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p30931","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p31028","attributes":{"ticks":[0,1,2,3],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p30933"},"axis_label":"Chain","major_label_policy":{"type":"object","name":"AllLabels","id":"p30934"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p30926","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p30927","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p30928"},"axis_label":"Rank (all chains)","major_label_overrides":{"type":"map","entries":[["0","0"],["1","1"],["2","2"],["3","3"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p30929"}}}],"center":[{"type":"object","name":"Grid","id":"p30930","attributes":{"axis":{"id":"p30926"}}},{"type":"object","name":"Grid","id":"p30935","attributes":{"dimension":1,"axis":{"id":"p30931"}}},{"type":"object","name":"Span","id":"p30997","attributes":{"location":0.3676470588235287,"line_dash":[6]}},{"type":"object","name":"Span","id":"p31007","attributes":{"location":1.3676470588235288,"line_dash":[6]}},{"type":"object","name":"Span","id":"p31017","attributes":{"location":2.3676470588235285,"line_dash":[6]}},{"type":"object","name":"Span","id":"p31027","attributes":{"location":3.367647058823529,"line_dash":[6]}}],"output_backend":"webgl"}},0,1]]}}]}}';
                  const render_items = [{"docid":"3941c091-e28e-4cbc-8ca4-83dcb7fe211b","roots":{"p31039":"d6bbc7c6-bce0-4ee4-a59b-5e5a9a1b5ac2"},"root_ids":["p31039"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();