(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("f1aea2b7-8199-41fa-a53e-42d0d05251ed");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'f1aea2b7-8199-41fa-a53e-42d0d05251ed' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"f50d7962-561c-4217-9788-11630d4ab35c":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p1448","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p1447","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p1394"},{"type":"object","name":"PanTool","id":"p1395"},{"type":"object","name":"BoxZoomTool","id":"p1396","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p1397","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p1398"},{"type":"object","name":"LassoSelectTool","id":"p1399","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p1400","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p1401"},{"type":"object","name":"SaveTool","id":"p1446"},{"type":"object","name":"HoverTool","id":"p1403","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p1373","attributes":{"width":500,"height":500,"x_range":{"type":"object","name":"DataRange1d","id":"p1374"},"y_range":{"type":"object","name":"DataRange1d","id":"p1375","attributes":{"start":-1.5,"end":0.5}},"x_scale":{"type":"object","name":"LinearScale","id":"p1382"},"y_scale":{"type":"object","name":"LinearScale","id":"p1383"},"title":{"type":"object","name":"Title","id":"p1445","attributes":{"text":"Model comparison\\nhigher is better"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1411","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1405","attributes":{"selected":{"type":"object","name":"Selection","id":"p1406","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1407"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"NP9YMuTHPsA="},"shape":[1],"dtype":"float64","order":"little"}],["y",[-0.75]]]}}},"view":{"type":"object","name":"CDSView","id":"p1412","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1413"}}},"glyph":{"type":"object","name":"Scatter","id":"p1408","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"grey"},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":"grey"},"marker":{"type":"value","value":"triangle"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p1409","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"grey"},"line_alpha":{"type":"value","value":0.1},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":"grey"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"triangle"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p1410","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"grey"},"line_alpha":{"type":"value","value":0.2},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":"grey"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"triangle"}}}}},{"type":"object","name":"GlyphRenderer","id":"p1420","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1414","attributes":{"selected":{"type":"object","name":"Selection","id":"p1415","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1416"},"data":{"type":"map","entries":[["xs",[[-30.842297204649128,-30.719354305070254]]],["ys",[[-0.75,-0.75]]]]}}},"view":{"type":"object","name":"CDSView","id":"p1421","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1422"}}},"glyph":{"type":"object","name":"MultiLine","id":"p1417","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"grey"}}},"nonselection_glyph":{"type":"object","name":"MultiLine","id":"p1418","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"grey"},"line_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"MultiLine","id":"p1419","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"grey"},"line_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p1429","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1423","attributes":{"selected":{"type":"object","name":"Selection","id":"p1424","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1425"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"9nkjLIO3PsA0/1gy5Mc+wA=="},"shape":[2],"dtype":"float64","order":"little"}],["y",[0.0,-1.0]]]}}},"view":{"type":"object","name":"CDSView","id":"p1430","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1431"}}},"glyph":{"type":"object","name":"Circle","id":"p1426","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":null}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p1427","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_alpha":{"type":"value","value":0.1},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":null},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p1428","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_alpha":{"type":"value","value":0.2},"line_width":{"type":"value","value":2},"fill_color":{"type":"value","value":null},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p1438","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1432","attributes":{"selected":{"type":"object","name":"Selection","id":"p1433","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1434"},"data":{"type":"map","entries":[["xs",[[-32.0501031513306,-29.383587413132503],[-32.12817382115607,-29.43347768856332]]],["ys",[[0.0,0.0],[-1.0,-1.0]]]]}}},"view":{"type":"object","name":"CDSView","id":"p1439","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1440"}}},"glyph":{"type":"object","name":"MultiLine","id":"p1435","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"}}},"nonselection_glyph":{"type":"object","name":"MultiLine","id":"p1436","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"MultiLine","id":"p1437","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"Span","id":"p1441","attributes":{"location":-30.716845282231553,"dimension":"height","line_color":"grey","line_width":1.3704965777283857,"line_dash":[6]}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1381","attributes":{"tools":[{"id":"p1394"},{"id":"p1395"},{"id":"p1396"},{"id":"p1398"},{"id":"p1399"},{"id":"p1401"},{"type":"object","name":"SaveTool","id":"p1402"},{"id":"p1403"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1389","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p1404","attributes":{"ticks":[0.0,-1.0],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1391"},"axis_label":"ranked models","major_label_overrides":{"type":"map","entries":[[0,"Non-centered 8 schools"],[-0.75,""],[-1,"Centered 8 schools"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p1392"}}}],"above":[{"type":"object","name":"Legend","id":"p1442","attributes":{"click_policy":"hide","items":[{"type":"object","name":"LegendItem","id":"p1443","attributes":{"label":{"type":"value","value":"ELPD difference"},"renderers":[{"id":"p1411"},{"id":"p1420"}]}},{"type":"object","name":"LegendItem","id":"p1444","attributes":{"label":{"type":"value","value":"ELPD"},"renderers":[{"id":"p1429"},{"id":"p1438"}]}}]}}],"below":[{"type":"object","name":"LinearAxis","id":"p1384","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1385","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1386"},"axis_label":"elpd_loo (log)","major_label_policy":{"type":"object","name":"AllLabels","id":"p1387"}}}],"center":[{"type":"object","name":"Grid","id":"p1388","attributes":{"axis":{"id":"p1384"}}},{"type":"object","name":"Grid","id":"p1393","attributes":{"dimension":1,"axis":{"id":"p1389"}}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"f50d7962-561c-4217-9788-11630d4ab35c","roots":{"p1448":"f1aea2b7-8199-41fa-a53e-42d0d05251ed"},"root_ids":["p1448"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();