(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("ea6fa71a-7f67-4a8c-82e6-14dc81124606");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'ea6fa71a-7f67-4a8c-82e6-14dc81124606' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"29e30851-d23d-46a2-bd50-bec85be94556":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p5017","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p5016","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p4782"},{"type":"object","name":"PanTool","id":"p4783"},{"type":"object","name":"BoxZoomTool","id":"p4784","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p4785","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p4786"},{"type":"object","name":"LassoSelectTool","id":"p4787","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p4788","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p4789"},{"type":"object","name":"SaveTool","id":"p5015"},{"type":"object","name":"HoverTool","id":"p4791","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p4761","attributes":{"width":450,"height":348,"x_range":{"type":"object","name":"DataRange1d","id":"p5009","attributes":{"bounds":"auto","min_interval":1}},"y_range":{"type":"object","name":"DataRange1d","id":"p5010","attributes":{"start":-0.8999999999999999,"end":3.4499999999999997,"bounds":"auto","min_interval":2}},"x_scale":{"type":"object","name":"LinearScale","id":"p4770"},"y_scale":{"type":"object","name":"LinearScale","id":"p4771"},"title":{"type":"object","name":"Title","id":"p5008","attributes":{"text":"94.0% HDI"}},"outline_line_color":null,"renderers":[{"type":"object","name":"GlyphRenderer","id":"p4798","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4792","attributes":{"selected":{"type":"object","name":"Selection","id":"p4793","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4794"},"data":{"type":"map","entries":[["x",[-1.9872426930019287,10.22987909171767]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p4799","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4800"}}},"glyph":{"type":"object","name":"Line","id":"p4795","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4796","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4797","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4807","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4801","attributes":{"selected":{"type":"object","name":"Selection","id":"p4802","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4803"},"data":{"type":"map","entries":[["x",[2.2213190770169375,6.761221368096418]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p4808","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4809"}}},"glyph":{"type":"object","name":"Line","id":"p4804","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4805","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4806","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4816","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4810","attributes":{"selected":{"type":"object","name":"Selection","id":"p4811","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4812"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4817","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4818"}}},"glyph":{"type":"object","name":"Circle","id":"p4813","attributes":{"x":{"type":"value","value":4.493042914789948},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4814","attributes":{"x":{"type":"value","value":4.493042914789948},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4815","attributes":{"x":{"type":"value","value":4.493042914789948},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4825","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4819","attributes":{"selected":{"type":"object","name":"Selection","id":"p4820","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4821"},"data":{"type":"map","entries":[["x",[-0.9220637289658171,10.875604695909185]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p4826","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4827"}}},"glyph":{"type":"object","name":"Line","id":"p4822","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4823","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4824","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4834","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4828","attributes":{"selected":{"type":"object","name":"Selection","id":"p4829","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4830"},"data":{"type":"map","entries":[["x",[2.558151708822853,6.6067723623991625]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p4835","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4836"}}},"glyph":{"type":"object","name":"Line","id":"p4831","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4832","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4833","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4843","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4837","attributes":{"selected":{"type":"object","name":"Selection","id":"p4838","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4839"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4844","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4845"}}},"glyph":{"type":"object","name":"Circle","id":"p4840","attributes":{"x":{"type":"value","value":4.668510761316108},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4841","attributes":{"x":{"type":"value","value":4.668510761316108},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4842","attributes":{"x":{"type":"value","value":4.668510761316108},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4852","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4846","attributes":{"selected":{"type":"object","name":"Selection","id":"p4847","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4848"},"data":{"type":"map","entries":[["x",[-1.8106750307159902,10.294729421434972]],["y",[0.6,0.6]]]}}},"view":{"type":"object","name":"CDSView","id":"p4853","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4854"}}},"glyph":{"type":"object","name":"Line","id":"p4849","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4850","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4851","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4861","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4855","attributes":{"selected":{"type":"object","name":"Selection","id":"p4856","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4857"},"data":{"type":"map","entries":[["x",[1.816041816092737,6.64819457772555]],["y",[0.6,0.6]]]}}},"view":{"type":"object","name":"CDSView","id":"p4862","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4863"}}},"glyph":{"type":"object","name":"Line","id":"p4858","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4859","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4860","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4870","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4864","attributes":{"selected":{"type":"object","name":"Selection","id":"p4865","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4866"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4871","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4872"}}},"glyph":{"type":"object","name":"Circle","id":"p4867","attributes":{"x":{"type":"value","value":3.9629467905753186},"y":{"type":"value","value":0.6},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4868","attributes":{"x":{"type":"value","value":3.9629467905753186},"y":{"type":"value","value":0.6},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4869","attributes":{"x":{"type":"value","value":3.9629467905753186},"y":{"type":"value","value":0.6},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4879","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4873","attributes":{"selected":{"type":"object","name":"Selection","id":"p4874","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4875"},"data":{"type":"map","entries":[["x",[-2.208817127789709,10.265522163569235]],["y",[0.8999999999999999,0.8999999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4880","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4881"}}},"glyph":{"type":"object","name":"Line","id":"p4876","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4877","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4878","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4888","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4882","attributes":{"selected":{"type":"object","name":"Selection","id":"p4883","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4884"},"data":{"type":"map","entries":[["x",[1.9310591654942137,6.653474319573016]],["y",[0.8999999999999999,0.8999999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4889","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4890"}}},"glyph":{"type":"object","name":"Line","id":"p4885","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4886","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4887","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#00c0bf","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4897","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4891","attributes":{"selected":{"type":"object","name":"Selection","id":"p4892","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4893"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4898","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4899"}}},"glyph":{"type":"object","name":"Circle","id":"p4894","attributes":{"x":{"type":"value","value":4.254816406615687},"y":{"type":"value","value":0.8999999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#00c0bf"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4895","attributes":{"x":{"type":"value","value":4.254816406615687},"y":{"type":"value","value":0.8999999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4896","attributes":{"x":{"type":"value","value":4.254816406615687},"y":{"type":"value","value":0.8999999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#00c0bf"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4906","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4900","attributes":{"selected":{"type":"object","name":"Selection","id":"p4901","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4902"},"data":{"type":"map","entries":[["x",[-1.6038825401773384,10.6286412107615]],["y",[1.65,1.65]]]}}},"view":{"type":"object","name":"CDSView","id":"p4907","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4908"}}},"glyph":{"type":"object","name":"Line","id":"p4903","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4904","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4905","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4915","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4909","attributes":{"selected":{"type":"object","name":"Selection","id":"p4910","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4911"},"data":{"type":"map","entries":[["x",[2.1158820630531303,6.6581454860024865]],["y",[1.65,1.65]]]}}},"view":{"type":"object","name":"CDSView","id":"p4916","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4917"}}},"glyph":{"type":"object","name":"Line","id":"p4912","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4913","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4914","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4924","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4918","attributes":{"selected":{"type":"object","name":"Selection","id":"p4919","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4920"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4925","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4926"}}},"glyph":{"type":"object","name":"Circle","id":"p4921","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":1.65},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4922","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":1.65},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4923","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":1.65},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4933","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4927","attributes":{"selected":{"type":"object","name":"Selection","id":"p4928","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4929"},"data":{"type":"map","entries":[["x",[-1.53674680954959,10.190048847795437]],["y",[1.95,1.95]]]}}},"view":{"type":"object","name":"CDSView","id":"p4934","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4935"}}},"glyph":{"type":"object","name":"Line","id":"p4930","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4931","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4932","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4942","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4936","attributes":{"selected":{"type":"object","name":"Selection","id":"p4937","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4938"},"data":{"type":"map","entries":[["x",[2.302188882367149,6.334929092837409]],["y",[1.95,1.95]]]}}},"view":{"type":"object","name":"CDSView","id":"p4943","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4944"}}},"glyph":{"type":"object","name":"Line","id":"p4939","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4940","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4941","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4951","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4945","attributes":{"selected":{"type":"object","name":"Selection","id":"p4946","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4947"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4952","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4953"}}},"glyph":{"type":"object","name":"Circle","id":"p4948","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":1.95},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4949","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":1.95},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4950","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":1.95},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4960","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4954","attributes":{"selected":{"type":"object","name":"Selection","id":"p4955","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4956"},"data":{"type":"map","entries":[["x",[-1.7424752209741694,11.281143766262748]],["y",[2.25,2.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p4961","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4962"}}},"glyph":{"type":"object","name":"Line","id":"p4957","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4958","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4959","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4969","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4963","attributes":{"selected":{"type":"object","name":"Selection","id":"p4964","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4965"},"data":{"type":"map","entries":[["x",[2.1861799055717412,7.397288531736193]],["y",[2.25,2.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p4970","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4971"}}},"glyph":{"type":"object","name":"Line","id":"p4966","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4967","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4968","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4978","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4972","attributes":{"selected":{"type":"object","name":"Selection","id":"p4973","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4974"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4979","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4980"}}},"glyph":{"type":"object","name":"Circle","id":"p4975","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":2.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4976","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":2.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4977","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":2.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4987","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4981","attributes":{"selected":{"type":"object","name":"Selection","id":"p4982","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4983"},"data":{"type":"map","entries":[["x",[-1.550328393988435,10.4388446174497]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p4988","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4989"}}},"glyph":{"type":"object","name":"Line","id":"p4984","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4985","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4986","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4996","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4990","attributes":{"selected":{"type":"object","name":"Selection","id":"p4991","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4992"},"data":{"type":"map","entries":[["x",[2.4957168549516444,6.81336629700286]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p4997","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4998"}}},"glyph":{"type":"object","name":"Line","id":"p4993","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4994","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4995","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5005","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4999","attributes":{"selected":{"type":"object","name":"Selection","id":"p5000","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5001"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5006","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5007"}}},"glyph":{"type":"object","name":"Circle","id":"p5002","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5003","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5004","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p4769","attributes":{"tools":[{"id":"p4782"},{"id":"p4783"},{"id":"p4784"},{"id":"p4786"},{"id":"p4787"},{"id":"p4789"},{"type":"object","name":"SaveTool","id":"p4790"},{"id":"p4791"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p4777","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p5011","attributes":{"ticks":[1.275],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p4779"},"major_label_overrides":{"type":"map","entries":[["1.275","mu"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p4780"}}}],"above":[{"type":"object","name":"Legend","id":"p5012","attributes":{"location":"top_left","click_policy":"hide","items":[{"type":"object","name":"LegendItem","id":"p5013","attributes":{"label":{"type":"value","value":"Non Centered"},"renderers":[{"id":"p4798"},{"id":"p4807"},{"id":"p4816"},{"id":"p4825"},{"id":"p4834"},{"id":"p4843"},{"id":"p4852"},{"id":"p4861"},{"id":"p4870"},{"id":"p4879"},{"id":"p4888"},{"id":"p4897"}]}},{"type":"object","name":"LegendItem","id":"p5014","attributes":{"label":{"type":"value","value":"Centered"},"renderers":[{"id":"p4906"},{"id":"p4915"},{"id":"p4924"},{"id":"p4933"},{"id":"p4942"},{"id":"p4951"},{"id":"p4960"},{"id":"p4969"},{"id":"p4978"},{"id":"p4987"},{"id":"p4996"},{"id":"p5005"}]}}]}}],"below":[{"type":"object","name":"LinearAxis","id":"p4772","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p4773","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p4774"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p4775"}}}],"center":[{"type":"object","name":"Grid","id":"p4776","attributes":{"axis":{"id":"p4772"}}},{"type":"object","name":"Grid","id":"p4781","attributes":{"dimension":1,"axis":{"id":"p4777"},"grid_line_color":null}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"29e30851-d23d-46a2-bd50-bec85be94556","roots":{"p5017":"ea6fa71a-7f67-4a8c-82e6-14dc81124606"},"root_ids":["p5017"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();