(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("f1545926-34fb-48c0-89d6-3e8ae6da8743");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'f1545926-34fb-48c0-89d6-3e8ae6da8743' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"2be463c1-ece3-4564-b559-5412be80473d":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p3634","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p3633","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p3581"},{"type":"object","name":"PanTool","id":"p3582"},{"type":"object","name":"BoxZoomTool","id":"p3583","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p3584","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p3585"},{"type":"object","name":"LassoSelectTool","id":"p3586","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p3587","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p3588"},{"type":"object","name":"SaveTool","id":"p3632"},{"type":"object","name":"HoverTool","id":"p3590","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p3560","attributes":{"width":500,"height":500,"x_range":{"type":"object","name":"DataRange1d","id":"p3561"},"y_range":{"type":"object","name":"DataRange1d","id":"p3562"},"x_scale":{"type":"object","name":"LinearScale","id":"p3569"},"y_scale":{"type":"object","name":"LinearScale","id":"p3570"},"title":{"type":"object","name":"Title","id":"p3631","attributes":{"text":"b"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p3597","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3591","attributes":{"selected":{"type":"object","name":"Selection","id":"p3592","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3593"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAAAWUAAAAAAAABpQAAAAAAAwHJAAAAAAAAAeUAAAAAAAEB/QAAAAAAAwIJAAAAAAADghUAAAAAAAACJQAAAAAAAIIxAAAAAAABAj0AAAAAAADCRQAAAAAAAwJJAAAAAAABQlEAAAAAAAOCVQAAAAAAAcJdAAAAAAAAAmUAAAAAAAJCaQAAAAAAAIJxAAAAAAACwnUAAAAAAAECfQA=="},"shape":[20],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"0glo/ZHQYUCWuV3JG5ppQMaT1P2iwXVAqY8DrPB3e0Bh+Z3qJ/WAQB0scwHQK4RAmBvOlEfWikBH3Hu21ASOQLjWD/YkmpBAzy5bwfaykkBL+YYwKf6TQNX3Ngx5b5VAciIDv7ZVlkBpY4usN1KYQKnVB/o5gplAOOgo6bOym0CHt7M3Mq+fQCfqDPZjtqBAJ784mgSeoUD+m8TvrdqhQA=="},"shape":[20],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p3598","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3599"}}},"glyph":{"type":"object","name":"Circle","id":"p3594","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#1f77b4"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3595","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#1f77b4"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3596","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#1f77b4"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3606","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3600","attributes":{"selected":{"type":"object","name":"Selection","id":"p3601","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3602"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAAAWUAAAAAAAABpQAAAAAAAwHJAAAAAAAAAeUAAAAAAAEB/QAAAAAAAwIJAAAAAAADghUAAAAAAAACJQAAAAAAAIIxAAAAAAABAj0AAAAAAADCRQAAAAAAAwJJAAAAAAABQlEAAAAAAAOCVQAAAAAAAcJdAAAAAAAAAmUAAAAAAAJCaQAAAAAAAIJxAAAAAAACwnUAAAAAAAECfQA=="},"shape":[20],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"0glo/ZHQYUCWuV3JG5ppQMaT1P2iwXVAqY8DrPB3e0Bh+Z3qJ/WAQB0scwHQK4RAmBvOlEfWikBH3Hu21ASOQLjWD/YkmpBAzy5bwfaykkBL+YYwKf6TQNX3Ngx5b5VAciIDv7ZVlkBpY4usN1KYQKnVB/o5gplAOOgo6bOym0CHt7M3Mq+fQCfqDPZjtqBAJ784mgSeoUD+m8TvrdqhQA=="},"shape":[20],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p3607","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3608"}}},"glyph":{"type":"object","name":"Line","id":"p3603","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#1f77b4"}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3604","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#1f77b4","line_alpha":0.1}},"muted_glyph":{"type":"object","name":"Line","id":"p3605","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#1f77b4","line_alpha":0.2}}}},{"type":"object","name":"GlyphRenderer","id":"p3615","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3609","attributes":{"selected":{"type":"object","name":"Selection","id":"p3610","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3611"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAAAWUAAAAAAAABpQAAAAAAAwHJAAAAAAAAAeUAAAAAAAEB/QAAAAAAAwIJAAAAAAADghUAAAAAAAACJQAAAAAAAIIxAAAAAAABAj0AAAAAAADCRQAAAAAAAwJJAAAAAAABQlEAAAAAAAOCVQAAAAAAAcJdAAAAAAAAAmUAAAAAAAJCaQAAAAAAAIJxAAAAAAACwnUAAAAAAAECfQA=="},"shape":[20],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"kUgpITo5UkD/4xVCu9ZkQIwda8wmdG9AKVV7klfmc0B9iLN6f4t2QCN384Oug3lAXRIP57k5gEDe8oZZBOGEQCI3trf/S4dAdSETuLRMikCa5sM7ewSJQLpDDoqDVoxADogAvE7ZjUBXvDQTTveQQPztYWbX55BATSx1OrcnkUCJGFkHolCTQIz00+lP8ZNAUw/0blR0lEAOVbAHnSuWQA=="},"shape":[20],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p3616","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3617"}}},"glyph":{"type":"object","name":"Line","id":"p3612","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"orange"}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3613","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"orange","line_alpha":0.1}},"muted_glyph":{"type":"object","name":"Line","id":"p3614","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"orange","line_alpha":0.2}}}},{"type":"object","name":"GlyphRenderer","id":"p3624","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3618","attributes":{"selected":{"type":"object","name":"Selection","id":"p3619","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3620"},"data":{"type":"map","entries":[["x",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAAAWUAAAAAAAABpQAAAAAAAwHJAAAAAAAAAeUAAAAAAAEB/QAAAAAAAwIJAAAAAAADghUAAAAAAAACJQAAAAAAAIIxAAAAAAABAj0AAAAAAADCRQAAAAAAAwJJAAAAAAABQlEAAAAAAAOCVQAAAAAAAcJdAAAAAAAAAmUAAAAAAAJCaQAAAAAAAIJxAAAAAAACwnUAAAAAAAECfQA=="},"shape":[20],"dtype":"float64","order":"little"}],["y",{"type":"ndarray","array":{"type":"bytes","data":"kUgpITo5UkD/4xVCu9ZkQIwda8wmdG9AKVV7klfmc0B9iLN6f4t2QCN384Oug3lAXRIP57k5gEDe8oZZBOGEQCI3trf/S4dAdSETuLRMikCa5sM7ewSJQLpDDoqDVoxADogAvE7ZjUBXvDQTTveQQPztYWbX55BATSx1OrcnkUCJGFkHolCTQIz00+lP8ZNAUw/0blR0lEAOVbAHnSuWQA=="},"shape":[20],"dtype":"float64","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p3625","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3626"}}},"glyph":{"type":"object","name":"Circle","id":"p3621","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"orange"},"fill_color":{"type":"value","value":"orange"},"hatch_color":{"type":"value","value":"orange"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3622","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"orange"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"orange"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"orange"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3623","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"size":{"type":"value","value":6},"line_color":{"type":"value","value":"orange"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"orange"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"orange"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"Span","id":"p3627","attributes":{"location":400,"line_color":"red","line_width":3,"line_dash":[6]}}],"toolbar":{"type":"object","name":"Toolbar","id":"p3568","attributes":{"tools":[{"id":"p3581"},{"id":"p3582"},{"id":"p3583"},{"id":"p3585"},{"id":"p3586"},{"id":"p3588"},{"type":"object","name":"SaveTool","id":"p3589"},{"id":"p3590"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p3576","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p3577","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p3578"},"axis_label":"ESS","major_label_policy":{"type":"object","name":"AllLabels","id":"p3579"}}}],"above":[{"type":"object","name":"Legend","id":"p3628","attributes":{"location":"center_right","orientation":"horizontal","click_policy":"hide","items":[{"type":"object","name":"LegendItem","id":"p3629","attributes":{"label":{"type":"value","value":"bulk"},"renderers":[{"id":"p3597"},{"id":"p3606"}]}},{"type":"object","name":"LegendItem","id":"p3630","attributes":{"label":{"type":"value","value":"tail"},"renderers":[{"id":"p3624"},{"id":"p3615"}]}}]}}],"below":[{"type":"object","name":"LinearAxis","id":"p3571","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p3572","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p3573"},"axis_label":"Total number of draws","major_label_policy":{"type":"object","name":"AllLabels","id":"p3574"}}}],"center":[{"type":"object","name":"Grid","id":"p3575","attributes":{"axis":{"id":"p3571"}}},{"type":"object","name":"Grid","id":"p3580","attributes":{"dimension":1,"axis":{"id":"p3576"}}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"2be463c1-ece3-4564-b559-5412be80473d","roots":{"p3634":"f1545926-34fb-48c0-89d6-3e8ae6da8743"},"root_ids":["p3634"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();