(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("ebab31ea-aa5e-44cb-9abf-4742aa371b7a");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'ebab31ea-aa5e-44cb-9abf-4742aa371b7a' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"380429f0-7bb1-417f-8d72-6ea779e1dfc0":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p35592","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p35591","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p31080"},{"type":"object","name":"PanTool","id":"p31081"},{"type":"object","name":"BoxZoomTool","id":"p31082","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p31083","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p31084"},{"type":"object","name":"LassoSelectTool","id":"p31085","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p31086","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p31087"},{"type":"object","name":"SaveTool","id":"p35590"},{"type":"object","name":"HoverTool","id":"p31089","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p31057","attributes":{"width":500,"height":500,"x_range":{"type":"object","name":"Range1d","id":"p31066"},"y_range":{"type":"object","name":"Range1d","id":"p31067"},"x_scale":{"type":"object","name":"LinearScale","id":"p31068"},"y_scale":{"type":"object","name":"LinearScale","id":"p31069"},"title":{"type":"object","name":"Title","id":"p31064"},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p31096","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31090","attributes":{"selected":{"type":"object","name":"Selection","id":"p31091","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31092"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31097","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31098"}}},"glyph":{"type":"object","name":"VBar","id":"p31093","attributes":{"x":{"type":"value","value":0.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31094","attributes":{"x":{"type":"value","value":0.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31095","attributes":{"x":{"type":"value","value":0.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31105","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31099","attributes":{"selected":{"type":"object","name":"Selection","id":"p31100","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31101"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31106","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31107"}}},"glyph":{"type":"object","name":"VBar","id":"p31102","attributes":{"x":{"type":"value","value":0.002004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31103","attributes":{"x":{"type":"value","value":0.002004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31104","attributes":{"x":{"type":"value","value":0.002004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31114","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31108","attributes":{"selected":{"type":"object","name":"Selection","id":"p31109","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31110"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31115","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31116"}}},"glyph":{"type":"object","name":"VBar","id":"p31111","attributes":{"x":{"type":"value","value":0.004008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31112","attributes":{"x":{"type":"value","value":0.004008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31113","attributes":{"x":{"type":"value","value":0.004008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31123","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31117","attributes":{"selected":{"type":"object","name":"Selection","id":"p31118","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31119"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31124","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31125"}}},"glyph":{"type":"object","name":"VBar","id":"p31120","attributes":{"x":{"type":"value","value":0.0060120240480961915},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31121","attributes":{"x":{"type":"value","value":0.0060120240480961915},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31122","attributes":{"x":{"type":"value","value":0.0060120240480961915},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31132","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31126","attributes":{"selected":{"type":"object","name":"Selection","id":"p31127","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31128"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31133","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31134"}}},"glyph":{"type":"object","name":"VBar","id":"p31129","attributes":{"x":{"type":"value","value":0.008016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31130","attributes":{"x":{"type":"value","value":0.008016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31131","attributes":{"x":{"type":"value","value":0.008016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31141","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31135","attributes":{"selected":{"type":"object","name":"Selection","id":"p31136","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31137"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31142","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31143"}}},"glyph":{"type":"object","name":"VBar","id":"p31138","attributes":{"x":{"type":"value","value":0.01002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31139","attributes":{"x":{"type":"value","value":0.01002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31140","attributes":{"x":{"type":"value","value":0.01002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31150","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31144","attributes":{"selected":{"type":"object","name":"Selection","id":"p31145","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31146"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31151","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31152"}}},"glyph":{"type":"object","name":"VBar","id":"p31147","attributes":{"x":{"type":"value","value":0.012024048096192383},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31148","attributes":{"x":{"type":"value","value":0.012024048096192383},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31149","attributes":{"x":{"type":"value","value":0.012024048096192383},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31159","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31153","attributes":{"selected":{"type":"object","name":"Selection","id":"p31154","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31155"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31160","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31161"}}},"glyph":{"type":"object","name":"VBar","id":"p31156","attributes":{"x":{"type":"value","value":0.014028056112224447},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31157","attributes":{"x":{"type":"value","value":0.014028056112224447},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31158","attributes":{"x":{"type":"value","value":0.014028056112224447},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31168","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31162","attributes":{"selected":{"type":"object","name":"Selection","id":"p31163","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31164"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31169","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31170"}}},"glyph":{"type":"object","name":"VBar","id":"p31165","attributes":{"x":{"type":"value","value":0.01603206412825651},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31166","attributes":{"x":{"type":"value","value":0.01603206412825651},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31167","attributes":{"x":{"type":"value","value":0.01603206412825651},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31177","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31171","attributes":{"selected":{"type":"object","name":"Selection","id":"p31172","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31173"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31178","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31179"}}},"glyph":{"type":"object","name":"VBar","id":"p31174","attributes":{"x":{"type":"value","value":0.018036072144288574},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31175","attributes":{"x":{"type":"value","value":0.018036072144288574},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31176","attributes":{"x":{"type":"value","value":0.018036072144288574},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31186","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31180","attributes":{"selected":{"type":"object","name":"Selection","id":"p31181","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31182"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31187","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31188"}}},"glyph":{"type":"object","name":"VBar","id":"p31183","attributes":{"x":{"type":"value","value":0.02004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31184","attributes":{"x":{"type":"value","value":0.02004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31185","attributes":{"x":{"type":"value","value":0.02004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31195","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31189","attributes":{"selected":{"type":"object","name":"Selection","id":"p31190","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31191"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31196","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31197"}}},"glyph":{"type":"object","name":"VBar","id":"p31192","attributes":{"x":{"type":"value","value":0.022044088176352703},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31193","attributes":{"x":{"type":"value","value":0.022044088176352703},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31194","attributes":{"x":{"type":"value","value":0.022044088176352703},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31204","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31198","attributes":{"selected":{"type":"object","name":"Selection","id":"p31199","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31200"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31205","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31206"}}},"glyph":{"type":"object","name":"VBar","id":"p31201","attributes":{"x":{"type":"value","value":0.024048096192384766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31202","attributes":{"x":{"type":"value","value":0.024048096192384766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31203","attributes":{"x":{"type":"value","value":0.024048096192384766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31213","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31207","attributes":{"selected":{"type":"object","name":"Selection","id":"p31208","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31209"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31214","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31215"}}},"glyph":{"type":"object","name":"VBar","id":"p31210","attributes":{"x":{"type":"value","value":0.026052104208416832},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31211","attributes":{"x":{"type":"value","value":0.026052104208416832},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31212","attributes":{"x":{"type":"value","value":0.026052104208416832},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31222","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31216","attributes":{"selected":{"type":"object","name":"Selection","id":"p31217","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31218"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31223","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31224"}}},"glyph":{"type":"object","name":"VBar","id":"p31219","attributes":{"x":{"type":"value","value":0.028056112224448895},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31220","attributes":{"x":{"type":"value","value":0.028056112224448895},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31221","attributes":{"x":{"type":"value","value":0.028056112224448895},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31231","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31225","attributes":{"selected":{"type":"object","name":"Selection","id":"p31226","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31227"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31232","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31233"}}},"glyph":{"type":"object","name":"VBar","id":"p31228","attributes":{"x":{"type":"value","value":0.03006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31229","attributes":{"x":{"type":"value","value":0.03006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31230","attributes":{"x":{"type":"value","value":0.03006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31240","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31234","attributes":{"selected":{"type":"object","name":"Selection","id":"p31235","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31236"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31241","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31242"}}},"glyph":{"type":"object","name":"VBar","id":"p31237","attributes":{"x":{"type":"value","value":0.03206412825651302},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31238","attributes":{"x":{"type":"value","value":0.03206412825651302},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31239","attributes":{"x":{"type":"value","value":0.03206412825651302},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31249","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31243","attributes":{"selected":{"type":"object","name":"Selection","id":"p31244","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31245"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31250","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31251"}}},"glyph":{"type":"object","name":"VBar","id":"p31246","attributes":{"x":{"type":"value","value":0.03406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31247","attributes":{"x":{"type":"value","value":0.03406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31248","attributes":{"x":{"type":"value","value":0.03406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31258","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31252","attributes":{"selected":{"type":"object","name":"Selection","id":"p31253","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31254"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31259","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31260"}}},"glyph":{"type":"object","name":"VBar","id":"p31255","attributes":{"x":{"type":"value","value":0.03607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31256","attributes":{"x":{"type":"value","value":0.03607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31257","attributes":{"x":{"type":"value","value":0.03607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31267","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31261","attributes":{"selected":{"type":"object","name":"Selection","id":"p31262","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31263"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31268","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31269"}}},"glyph":{"type":"object","name":"VBar","id":"p31264","attributes":{"x":{"type":"value","value":0.038076152304609215},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31265","attributes":{"x":{"type":"value","value":0.038076152304609215},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31266","attributes":{"x":{"type":"value","value":0.038076152304609215},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31276","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31270","attributes":{"selected":{"type":"object","name":"Selection","id":"p31271","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31272"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31277","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31278"}}},"glyph":{"type":"object","name":"VBar","id":"p31273","attributes":{"x":{"type":"value","value":0.04008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31274","attributes":{"x":{"type":"value","value":0.04008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31275","attributes":{"x":{"type":"value","value":0.04008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31285","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31279","attributes":{"selected":{"type":"object","name":"Selection","id":"p31280","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31281"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31286","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31287"}}},"glyph":{"type":"object","name":"VBar","id":"p31282","attributes":{"x":{"type":"value","value":0.04208416833667334},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31283","attributes":{"x":{"type":"value","value":0.04208416833667334},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31284","attributes":{"x":{"type":"value","value":0.04208416833667334},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31294","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31288","attributes":{"selected":{"type":"object","name":"Selection","id":"p31289","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31290"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31295","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31296"}}},"glyph":{"type":"object","name":"VBar","id":"p31291","attributes":{"x":{"type":"value","value":0.044088176352705406},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31292","attributes":{"x":{"type":"value","value":0.044088176352705406},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31293","attributes":{"x":{"type":"value","value":0.044088176352705406},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31303","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31297","attributes":{"selected":{"type":"object","name":"Selection","id":"p31298","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31299"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31304","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31305"}}},"glyph":{"type":"object","name":"VBar","id":"p31300","attributes":{"x":{"type":"value","value":0.04609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31301","attributes":{"x":{"type":"value","value":0.04609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31302","attributes":{"x":{"type":"value","value":0.04609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31312","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31306","attributes":{"selected":{"type":"object","name":"Selection","id":"p31307","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31308"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31313","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31314"}}},"glyph":{"type":"object","name":"VBar","id":"p31309","attributes":{"x":{"type":"value","value":0.04809619238476953},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31310","attributes":{"x":{"type":"value","value":0.04809619238476953},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31311","attributes":{"x":{"type":"value","value":0.04809619238476953},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31321","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31315","attributes":{"selected":{"type":"object","name":"Selection","id":"p31316","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31317"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31322","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31323"}}},"glyph":{"type":"object","name":"VBar","id":"p31318","attributes":{"x":{"type":"value","value":0.0501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31319","attributes":{"x":{"type":"value","value":0.0501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31320","attributes":{"x":{"type":"value","value":0.0501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31330","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31324","attributes":{"selected":{"type":"object","name":"Selection","id":"p31325","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31326"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31331","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31332"}}},"glyph":{"type":"object","name":"VBar","id":"p31327","attributes":{"x":{"type":"value","value":0.052104208416833664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31328","attributes":{"x":{"type":"value","value":0.052104208416833664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31329","attributes":{"x":{"type":"value","value":0.052104208416833664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31339","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31333","attributes":{"selected":{"type":"object","name":"Selection","id":"p31334","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31335"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31340","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31341"}}},"glyph":{"type":"object","name":"VBar","id":"p31336","attributes":{"x":{"type":"value","value":0.05410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31337","attributes":{"x":{"type":"value","value":0.05410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31338","attributes":{"x":{"type":"value","value":0.05410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31348","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31342","attributes":{"selected":{"type":"object","name":"Selection","id":"p31343","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31344"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31349","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31350"}}},"glyph":{"type":"object","name":"VBar","id":"p31345","attributes":{"x":{"type":"value","value":0.05611222444889779},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31346","attributes":{"x":{"type":"value","value":0.05611222444889779},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31347","attributes":{"x":{"type":"value","value":0.05611222444889779},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31357","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31351","attributes":{"selected":{"type":"object","name":"Selection","id":"p31352","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31353"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31358","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31359"}}},"glyph":{"type":"object","name":"VBar","id":"p31354","attributes":{"x":{"type":"value","value":0.058116232464929855},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31355","attributes":{"x":{"type":"value","value":0.058116232464929855},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31356","attributes":{"x":{"type":"value","value":0.058116232464929855},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31366","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31360","attributes":{"selected":{"type":"object","name":"Selection","id":"p31361","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31362"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31367","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31368"}}},"glyph":{"type":"object","name":"VBar","id":"p31363","attributes":{"x":{"type":"value","value":0.06012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31364","attributes":{"x":{"type":"value","value":0.06012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31365","attributes":{"x":{"type":"value","value":0.06012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31375","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31369","attributes":{"selected":{"type":"object","name":"Selection","id":"p31370","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31371"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31376","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31377"}}},"glyph":{"type":"object","name":"VBar","id":"p31372","attributes":{"x":{"type":"value","value":0.06212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31373","attributes":{"x":{"type":"value","value":0.06212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31374","attributes":{"x":{"type":"value","value":0.06212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31384","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31378","attributes":{"selected":{"type":"object","name":"Selection","id":"p31379","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31380"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31385","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31386"}}},"glyph":{"type":"object","name":"VBar","id":"p31381","attributes":{"x":{"type":"value","value":0.06412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31382","attributes":{"x":{"type":"value","value":0.06412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31383","attributes":{"x":{"type":"value","value":0.06412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31393","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31387","attributes":{"selected":{"type":"object","name":"Selection","id":"p31388","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31389"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31394","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31395"}}},"glyph":{"type":"object","name":"VBar","id":"p31390","attributes":{"x":{"type":"value","value":0.06613226452905811},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31391","attributes":{"x":{"type":"value","value":0.06613226452905811},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31392","attributes":{"x":{"type":"value","value":0.06613226452905811},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31402","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31396","attributes":{"selected":{"type":"object","name":"Selection","id":"p31397","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31398"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31403","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31404"}}},"glyph":{"type":"object","name":"VBar","id":"p31399","attributes":{"x":{"type":"value","value":0.06813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31400","attributes":{"x":{"type":"value","value":0.06813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31401","attributes":{"x":{"type":"value","value":0.06813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31411","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31405","attributes":{"selected":{"type":"object","name":"Selection","id":"p31406","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31407"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31412","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31413"}}},"glyph":{"type":"object","name":"VBar","id":"p31408","attributes":{"x":{"type":"value","value":0.07014028056112225},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31409","attributes":{"x":{"type":"value","value":0.07014028056112225},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31410","attributes":{"x":{"type":"value","value":0.07014028056112225},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31420","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31414","attributes":{"selected":{"type":"object","name":"Selection","id":"p31415","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31416"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31421","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31422"}}},"glyph":{"type":"object","name":"VBar","id":"p31417","attributes":{"x":{"type":"value","value":0.0721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31418","attributes":{"x":{"type":"value","value":0.0721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31419","attributes":{"x":{"type":"value","value":0.0721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31429","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31423","attributes":{"selected":{"type":"object","name":"Selection","id":"p31424","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31425"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31430","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31431"}}},"glyph":{"type":"object","name":"VBar","id":"p31426","attributes":{"x":{"type":"value","value":0.07414829659318636},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31427","attributes":{"x":{"type":"value","value":0.07414829659318636},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31428","attributes":{"x":{"type":"value","value":0.07414829659318636},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31438","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31432","attributes":{"selected":{"type":"object","name":"Selection","id":"p31433","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31434"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31439","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31440"}}},"glyph":{"type":"object","name":"VBar","id":"p31435","attributes":{"x":{"type":"value","value":0.07615230460921843},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31436","attributes":{"x":{"type":"value","value":0.07615230460921843},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31437","attributes":{"x":{"type":"value","value":0.07615230460921843},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31447","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31441","attributes":{"selected":{"type":"object","name":"Selection","id":"p31442","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31443"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31448","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31449"}}},"glyph":{"type":"object","name":"VBar","id":"p31444","attributes":{"x":{"type":"value","value":0.0781563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31445","attributes":{"x":{"type":"value","value":0.0781563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31446","attributes":{"x":{"type":"value","value":0.0781563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31456","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31450","attributes":{"selected":{"type":"object","name":"Selection","id":"p31451","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31452"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31457","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31458"}}},"glyph":{"type":"object","name":"VBar","id":"p31453","attributes":{"x":{"type":"value","value":0.08016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31454","attributes":{"x":{"type":"value","value":0.08016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31455","attributes":{"x":{"type":"value","value":0.08016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31465","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31459","attributes":{"selected":{"type":"object","name":"Selection","id":"p31460","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31461"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31466","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31467"}}},"glyph":{"type":"object","name":"VBar","id":"p31462","attributes":{"x":{"type":"value","value":0.08216432865731463},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31463","attributes":{"x":{"type":"value","value":0.08216432865731463},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31464","attributes":{"x":{"type":"value","value":0.08216432865731463},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31474","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31468","attributes":{"selected":{"type":"object","name":"Selection","id":"p31469","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31470"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31475","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31476"}}},"glyph":{"type":"object","name":"VBar","id":"p31471","attributes":{"x":{"type":"value","value":0.08416833667334668},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31472","attributes":{"x":{"type":"value","value":0.08416833667334668},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31473","attributes":{"x":{"type":"value","value":0.08416833667334668},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31483","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31477","attributes":{"selected":{"type":"object","name":"Selection","id":"p31478","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31479"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31484","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31485"}}},"glyph":{"type":"object","name":"VBar","id":"p31480","attributes":{"x":{"type":"value","value":0.08617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31481","attributes":{"x":{"type":"value","value":0.08617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31482","attributes":{"x":{"type":"value","value":0.08617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31492","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31486","attributes":{"selected":{"type":"object","name":"Selection","id":"p31487","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31488"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31493","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31494"}}},"glyph":{"type":"object","name":"VBar","id":"p31489","attributes":{"x":{"type":"value","value":0.08817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31490","attributes":{"x":{"type":"value","value":0.08817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31491","attributes":{"x":{"type":"value","value":0.08817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31501","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31495","attributes":{"selected":{"type":"object","name":"Selection","id":"p31496","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31497"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31502","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31503"}}},"glyph":{"type":"object","name":"VBar","id":"p31498","attributes":{"x":{"type":"value","value":0.09018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31499","attributes":{"x":{"type":"value","value":0.09018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31500","attributes":{"x":{"type":"value","value":0.09018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31510","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31504","attributes":{"selected":{"type":"object","name":"Selection","id":"p31505","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31506"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31511","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31512"}}},"glyph":{"type":"object","name":"VBar","id":"p31507","attributes":{"x":{"type":"value","value":0.09218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31508","attributes":{"x":{"type":"value","value":0.09218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31509","attributes":{"x":{"type":"value","value":0.09218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31519","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31513","attributes":{"selected":{"type":"object","name":"Selection","id":"p31514","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31515"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31520","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31521"}}},"glyph":{"type":"object","name":"VBar","id":"p31516","attributes":{"x":{"type":"value","value":0.09418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31517","attributes":{"x":{"type":"value","value":0.09418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31518","attributes":{"x":{"type":"value","value":0.09418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31528","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31522","attributes":{"selected":{"type":"object","name":"Selection","id":"p31523","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31524"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31529","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31530"}}},"glyph":{"type":"object","name":"VBar","id":"p31525","attributes":{"x":{"type":"value","value":0.09619238476953906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31526","attributes":{"x":{"type":"value","value":0.09619238476953906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31527","attributes":{"x":{"type":"value","value":0.09619238476953906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31537","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31531","attributes":{"selected":{"type":"object","name":"Selection","id":"p31532","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31533"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31538","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31539"}}},"glyph":{"type":"object","name":"VBar","id":"p31534","attributes":{"x":{"type":"value","value":0.09819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31535","attributes":{"x":{"type":"value","value":0.09819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31536","attributes":{"x":{"type":"value","value":0.09819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31546","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31540","attributes":{"selected":{"type":"object","name":"Selection","id":"p31541","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31542"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31547","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31548"}}},"glyph":{"type":"object","name":"VBar","id":"p31543","attributes":{"x":{"type":"value","value":0.1002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31544","attributes":{"x":{"type":"value","value":0.1002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31545","attributes":{"x":{"type":"value","value":0.1002004008016032},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31555","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31549","attributes":{"selected":{"type":"object","name":"Selection","id":"p31550","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31551"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31556","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31557"}}},"glyph":{"type":"object","name":"VBar","id":"p31552","attributes":{"x":{"type":"value","value":0.10220440881763526},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31553","attributes":{"x":{"type":"value","value":0.10220440881763526},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31554","attributes":{"x":{"type":"value","value":0.10220440881763526},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31564","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31558","attributes":{"selected":{"type":"object","name":"Selection","id":"p31559","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31560"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31565","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31566"}}},"glyph":{"type":"object","name":"VBar","id":"p31561","attributes":{"x":{"type":"value","value":0.10420841683366733},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31562","attributes":{"x":{"type":"value","value":0.10420841683366733},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31563","attributes":{"x":{"type":"value","value":0.10420841683366733},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31573","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31567","attributes":{"selected":{"type":"object","name":"Selection","id":"p31568","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31569"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31574","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31575"}}},"glyph":{"type":"object","name":"VBar","id":"p31570","attributes":{"x":{"type":"value","value":0.1062124248496994},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31571","attributes":{"x":{"type":"value","value":0.1062124248496994},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31572","attributes":{"x":{"type":"value","value":0.1062124248496994},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31582","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31576","attributes":{"selected":{"type":"object","name":"Selection","id":"p31577","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31578"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31583","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31584"}}},"glyph":{"type":"object","name":"VBar","id":"p31579","attributes":{"x":{"type":"value","value":0.10821643286573146},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31580","attributes":{"x":{"type":"value","value":0.10821643286573146},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31581","attributes":{"x":{"type":"value","value":0.10821643286573146},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31591","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31585","attributes":{"selected":{"type":"object","name":"Selection","id":"p31586","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31587"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31592","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31593"}}},"glyph":{"type":"object","name":"VBar","id":"p31588","attributes":{"x":{"type":"value","value":0.11022044088176351},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31589","attributes":{"x":{"type":"value","value":0.11022044088176351},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31590","attributes":{"x":{"type":"value","value":0.11022044088176351},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31600","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31594","attributes":{"selected":{"type":"object","name":"Selection","id":"p31595","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31596"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31601","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31602"}}},"glyph":{"type":"object","name":"VBar","id":"p31597","attributes":{"x":{"type":"value","value":0.11222444889779558},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31598","attributes":{"x":{"type":"value","value":0.11222444889779558},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31599","attributes":{"x":{"type":"value","value":0.11222444889779558},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31609","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31603","attributes":{"selected":{"type":"object","name":"Selection","id":"p31604","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31605"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31610","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31611"}}},"glyph":{"type":"object","name":"VBar","id":"p31606","attributes":{"x":{"type":"value","value":0.11422845691382764},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31607","attributes":{"x":{"type":"value","value":0.11422845691382764},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31608","attributes":{"x":{"type":"value","value":0.11422845691382764},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31618","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31612","attributes":{"selected":{"type":"object","name":"Selection","id":"p31613","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31614"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31619","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31620"}}},"glyph":{"type":"object","name":"VBar","id":"p31615","attributes":{"x":{"type":"value","value":0.11623246492985971},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31616","attributes":{"x":{"type":"value","value":0.11623246492985971},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31617","attributes":{"x":{"type":"value","value":0.11623246492985971},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31627","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31621","attributes":{"selected":{"type":"object","name":"Selection","id":"p31622","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31623"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31628","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31629"}}},"glyph":{"type":"object","name":"VBar","id":"p31624","attributes":{"x":{"type":"value","value":0.11823647294589178},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31625","attributes":{"x":{"type":"value","value":0.11823647294589178},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31626","attributes":{"x":{"type":"value","value":0.11823647294589178},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31636","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31630","attributes":{"selected":{"type":"object","name":"Selection","id":"p31631","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31632"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31637","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31638"}}},"glyph":{"type":"object","name":"VBar","id":"p31633","attributes":{"x":{"type":"value","value":0.12024048096192384},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31634","attributes":{"x":{"type":"value","value":0.12024048096192384},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31635","attributes":{"x":{"type":"value","value":0.12024048096192384},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31645","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31639","attributes":{"selected":{"type":"object","name":"Selection","id":"p31640","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31641"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31646","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31647"}}},"glyph":{"type":"object","name":"VBar","id":"p31642","attributes":{"x":{"type":"value","value":0.1222444889779559},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31643","attributes":{"x":{"type":"value","value":0.1222444889779559},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31644","attributes":{"x":{"type":"value","value":0.1222444889779559},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31654","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31648","attributes":{"selected":{"type":"object","name":"Selection","id":"p31649","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31650"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31655","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31656"}}},"glyph":{"type":"object","name":"VBar","id":"p31651","attributes":{"x":{"type":"value","value":0.12424849699398796},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31652","attributes":{"x":{"type":"value","value":0.12424849699398796},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31653","attributes":{"x":{"type":"value","value":0.12424849699398796},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31663","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31657","attributes":{"selected":{"type":"object","name":"Selection","id":"p31658","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31659"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31664","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31665"}}},"glyph":{"type":"object","name":"VBar","id":"p31660","attributes":{"x":{"type":"value","value":0.12625250501002003},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31661","attributes":{"x":{"type":"value","value":0.12625250501002003},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31662","attributes":{"x":{"type":"value","value":0.12625250501002003},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31672","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31666","attributes":{"selected":{"type":"object","name":"Selection","id":"p31667","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31668"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31673","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31674"}}},"glyph":{"type":"object","name":"VBar","id":"p31669","attributes":{"x":{"type":"value","value":0.1282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31670","attributes":{"x":{"type":"value","value":0.1282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31671","attributes":{"x":{"type":"value","value":0.1282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31681","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31675","attributes":{"selected":{"type":"object","name":"Selection","id":"p31676","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31677"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31682","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31683"}}},"glyph":{"type":"object","name":"VBar","id":"p31678","attributes":{"x":{"type":"value","value":0.13026052104208416},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31679","attributes":{"x":{"type":"value","value":0.13026052104208416},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31680","attributes":{"x":{"type":"value","value":0.13026052104208416},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31690","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31684","attributes":{"selected":{"type":"object","name":"Selection","id":"p31685","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31686"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31691","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31692"}}},"glyph":{"type":"object","name":"VBar","id":"p31687","attributes":{"x":{"type":"value","value":0.13226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31688","attributes":{"x":{"type":"value","value":0.13226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31689","attributes":{"x":{"type":"value","value":0.13226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31699","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31693","attributes":{"selected":{"type":"object","name":"Selection","id":"p31694","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31695"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31700","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31701"}}},"glyph":{"type":"object","name":"VBar","id":"p31696","attributes":{"x":{"type":"value","value":0.1342685370741483},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31697","attributes":{"x":{"type":"value","value":0.1342685370741483},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31698","attributes":{"x":{"type":"value","value":0.1342685370741483},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31708","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31702","attributes":{"selected":{"type":"object","name":"Selection","id":"p31703","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31704"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31709","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31710"}}},"glyph":{"type":"object","name":"VBar","id":"p31705","attributes":{"x":{"type":"value","value":0.13627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31706","attributes":{"x":{"type":"value","value":0.13627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31707","attributes":{"x":{"type":"value","value":0.13627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31717","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31711","attributes":{"selected":{"type":"object","name":"Selection","id":"p31712","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31713"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31718","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31719"}}},"glyph":{"type":"object","name":"VBar","id":"p31714","attributes":{"x":{"type":"value","value":0.13827655310621242},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31715","attributes":{"x":{"type":"value","value":0.13827655310621242},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31716","attributes":{"x":{"type":"value","value":0.13827655310621242},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31726","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31720","attributes":{"selected":{"type":"object","name":"Selection","id":"p31721","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31722"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31727","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31728"}}},"glyph":{"type":"object","name":"VBar","id":"p31723","attributes":{"x":{"type":"value","value":0.1402805611222445},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31724","attributes":{"x":{"type":"value","value":0.1402805611222445},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31725","attributes":{"x":{"type":"value","value":0.1402805611222445},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31735","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31729","attributes":{"selected":{"type":"object","name":"Selection","id":"p31730","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31731"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31736","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31737"}}},"glyph":{"type":"object","name":"VBar","id":"p31732","attributes":{"x":{"type":"value","value":0.14228456913827653},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31733","attributes":{"x":{"type":"value","value":0.14228456913827653},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31734","attributes":{"x":{"type":"value","value":0.14228456913827653},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31744","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31738","attributes":{"selected":{"type":"object","name":"Selection","id":"p31739","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31740"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31745","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31746"}}},"glyph":{"type":"object","name":"VBar","id":"p31741","attributes":{"x":{"type":"value","value":0.1442885771543086},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31742","attributes":{"x":{"type":"value","value":0.1442885771543086},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31743","attributes":{"x":{"type":"value","value":0.1442885771543086},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31753","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31747","attributes":{"selected":{"type":"object","name":"Selection","id":"p31748","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31749"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31754","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31755"}}},"glyph":{"type":"object","name":"VBar","id":"p31750","attributes":{"x":{"type":"value","value":0.14629258517034066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31751","attributes":{"x":{"type":"value","value":0.14629258517034066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31752","attributes":{"x":{"type":"value","value":0.14629258517034066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31762","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31756","attributes":{"selected":{"type":"object","name":"Selection","id":"p31757","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31758"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31763","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31764"}}},"glyph":{"type":"object","name":"VBar","id":"p31759","attributes":{"x":{"type":"value","value":0.14829659318637273},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31760","attributes":{"x":{"type":"value","value":0.14829659318637273},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31761","attributes":{"x":{"type":"value","value":0.14829659318637273},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31771","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31765","attributes":{"selected":{"type":"object","name":"Selection","id":"p31766","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31767"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31772","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31773"}}},"glyph":{"type":"object","name":"VBar","id":"p31768","attributes":{"x":{"type":"value","value":0.1503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31769","attributes":{"x":{"type":"value","value":0.1503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31770","attributes":{"x":{"type":"value","value":0.1503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31780","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31774","attributes":{"selected":{"type":"object","name":"Selection","id":"p31775","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31776"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31781","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31782"}}},"glyph":{"type":"object","name":"VBar","id":"p31777","attributes":{"x":{"type":"value","value":0.15230460921843686},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31778","attributes":{"x":{"type":"value","value":0.15230460921843686},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31779","attributes":{"x":{"type":"value","value":0.15230460921843686},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31789","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31783","attributes":{"selected":{"type":"object","name":"Selection","id":"p31784","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31785"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31790","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31791"}}},"glyph":{"type":"object","name":"VBar","id":"p31786","attributes":{"x":{"type":"value","value":0.15430861723446893},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31787","attributes":{"x":{"type":"value","value":0.15430861723446893},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31788","attributes":{"x":{"type":"value","value":0.15430861723446893},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31798","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31792","attributes":{"selected":{"type":"object","name":"Selection","id":"p31793","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31794"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31799","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31800"}}},"glyph":{"type":"object","name":"VBar","id":"p31795","attributes":{"x":{"type":"value","value":0.156312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31796","attributes":{"x":{"type":"value","value":0.156312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31797","attributes":{"x":{"type":"value","value":0.156312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31807","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31801","attributes":{"selected":{"type":"object","name":"Selection","id":"p31802","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31803"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31808","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31809"}}},"glyph":{"type":"object","name":"VBar","id":"p31804","attributes":{"x":{"type":"value","value":0.15831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31805","attributes":{"x":{"type":"value","value":0.15831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31806","attributes":{"x":{"type":"value","value":0.15831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31816","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31810","attributes":{"selected":{"type":"object","name":"Selection","id":"p31811","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31812"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31817","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31818"}}},"glyph":{"type":"object","name":"VBar","id":"p31813","attributes":{"x":{"type":"value","value":0.16032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31814","attributes":{"x":{"type":"value","value":0.16032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31815","attributes":{"x":{"type":"value","value":0.16032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31825","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31819","attributes":{"selected":{"type":"object","name":"Selection","id":"p31820","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31821"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31826","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31827"}}},"glyph":{"type":"object","name":"VBar","id":"p31822","attributes":{"x":{"type":"value","value":0.1623246492985972},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31823","attributes":{"x":{"type":"value","value":0.1623246492985972},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31824","attributes":{"x":{"type":"value","value":0.1623246492985972},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31834","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31828","attributes":{"selected":{"type":"object","name":"Selection","id":"p31829","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31830"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31835","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31836"}}},"glyph":{"type":"object","name":"VBar","id":"p31831","attributes":{"x":{"type":"value","value":0.16432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31832","attributes":{"x":{"type":"value","value":0.16432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31833","attributes":{"x":{"type":"value","value":0.16432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31843","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31837","attributes":{"selected":{"type":"object","name":"Selection","id":"p31838","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31839"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31844","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31845"}}},"glyph":{"type":"object","name":"VBar","id":"p31840","attributes":{"x":{"type":"value","value":0.16633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31841","attributes":{"x":{"type":"value","value":0.16633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31842","attributes":{"x":{"type":"value","value":0.16633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31852","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31846","attributes":{"selected":{"type":"object","name":"Selection","id":"p31847","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31848"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31853","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31854"}}},"glyph":{"type":"object","name":"VBar","id":"p31849","attributes":{"x":{"type":"value","value":0.16833667334669336},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31850","attributes":{"x":{"type":"value","value":0.16833667334669336},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31851","attributes":{"x":{"type":"value","value":0.16833667334669336},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31861","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31855","attributes":{"selected":{"type":"object","name":"Selection","id":"p31856","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31857"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31862","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31863"}}},"glyph":{"type":"object","name":"VBar","id":"p31858","attributes":{"x":{"type":"value","value":0.17034068136272543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31859","attributes":{"x":{"type":"value","value":0.17034068136272543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31860","attributes":{"x":{"type":"value","value":0.17034068136272543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31870","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31864","attributes":{"selected":{"type":"object","name":"Selection","id":"p31865","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31866"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31871","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31872"}}},"glyph":{"type":"object","name":"VBar","id":"p31867","attributes":{"x":{"type":"value","value":0.1723446893787575},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31868","attributes":{"x":{"type":"value","value":0.1723446893787575},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31869","attributes":{"x":{"type":"value","value":0.1723446893787575},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31879","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31873","attributes":{"selected":{"type":"object","name":"Selection","id":"p31874","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31875"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31880","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31881"}}},"glyph":{"type":"object","name":"VBar","id":"p31876","attributes":{"x":{"type":"value","value":0.17434869739478956},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31877","attributes":{"x":{"type":"value","value":0.17434869739478956},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31878","attributes":{"x":{"type":"value","value":0.17434869739478956},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31888","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31882","attributes":{"selected":{"type":"object","name":"Selection","id":"p31883","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31884"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31889","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31890"}}},"glyph":{"type":"object","name":"VBar","id":"p31885","attributes":{"x":{"type":"value","value":0.17635270541082163},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31886","attributes":{"x":{"type":"value","value":0.17635270541082163},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31887","attributes":{"x":{"type":"value","value":0.17635270541082163},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31897","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31891","attributes":{"selected":{"type":"object","name":"Selection","id":"p31892","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31893"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31898","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31899"}}},"glyph":{"type":"object","name":"VBar","id":"p31894","attributes":{"x":{"type":"value","value":0.1783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31895","attributes":{"x":{"type":"value","value":0.1783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31896","attributes":{"x":{"type":"value","value":0.1783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31906","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31900","attributes":{"selected":{"type":"object","name":"Selection","id":"p31901","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31902"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31907","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31908"}}},"glyph":{"type":"object","name":"VBar","id":"p31903","attributes":{"x":{"type":"value","value":0.18036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31904","attributes":{"x":{"type":"value","value":0.18036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31905","attributes":{"x":{"type":"value","value":0.18036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31915","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31909","attributes":{"selected":{"type":"object","name":"Selection","id":"p31910","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31911"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31916","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31917"}}},"glyph":{"type":"object","name":"VBar","id":"p31912","attributes":{"x":{"type":"value","value":0.18236472945891782},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31913","attributes":{"x":{"type":"value","value":0.18236472945891782},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31914","attributes":{"x":{"type":"value","value":0.18236472945891782},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31924","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31918","attributes":{"selected":{"type":"object","name":"Selection","id":"p31919","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31920"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31925","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31926"}}},"glyph":{"type":"object","name":"VBar","id":"p31921","attributes":{"x":{"type":"value","value":0.1843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31922","attributes":{"x":{"type":"value","value":0.1843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31923","attributes":{"x":{"type":"value","value":0.1843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31933","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31927","attributes":{"selected":{"type":"object","name":"Selection","id":"p31928","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31929"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31934","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31935"}}},"glyph":{"type":"object","name":"VBar","id":"p31930","attributes":{"x":{"type":"value","value":0.18637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31931","attributes":{"x":{"type":"value","value":0.18637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31932","attributes":{"x":{"type":"value","value":0.18637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31942","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31936","attributes":{"selected":{"type":"object","name":"Selection","id":"p31937","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31938"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31943","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31944"}}},"glyph":{"type":"object","name":"VBar","id":"p31939","attributes":{"x":{"type":"value","value":0.18837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31940","attributes":{"x":{"type":"value","value":0.18837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31941","attributes":{"x":{"type":"value","value":0.18837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31951","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31945","attributes":{"selected":{"type":"object","name":"Selection","id":"p31946","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31947"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31952","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31953"}}},"glyph":{"type":"object","name":"VBar","id":"p31948","attributes":{"x":{"type":"value","value":0.1903807615230461},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31949","attributes":{"x":{"type":"value","value":0.1903807615230461},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31950","attributes":{"x":{"type":"value","value":0.1903807615230461},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31960","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31954","attributes":{"selected":{"type":"object","name":"Selection","id":"p31955","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31956"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31961","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31962"}}},"glyph":{"type":"object","name":"VBar","id":"p31957","attributes":{"x":{"type":"value","value":0.19238476953907813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31958","attributes":{"x":{"type":"value","value":0.19238476953907813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31959","attributes":{"x":{"type":"value","value":0.19238476953907813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31969","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31963","attributes":{"selected":{"type":"object","name":"Selection","id":"p31964","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31965"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31970","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31971"}}},"glyph":{"type":"object","name":"VBar","id":"p31966","attributes":{"x":{"type":"value","value":0.1943887775551102},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31967","attributes":{"x":{"type":"value","value":0.1943887775551102},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31968","attributes":{"x":{"type":"value","value":0.1943887775551102},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31978","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31972","attributes":{"selected":{"type":"object","name":"Selection","id":"p31973","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31974"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31979","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31980"}}},"glyph":{"type":"object","name":"VBar","id":"p31975","attributes":{"x":{"type":"value","value":0.19639278557114226},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31976","attributes":{"x":{"type":"value","value":0.19639278557114226},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31977","attributes":{"x":{"type":"value","value":0.19639278557114226},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31987","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31981","attributes":{"selected":{"type":"object","name":"Selection","id":"p31982","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31983"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31988","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31989"}}},"glyph":{"type":"object","name":"VBar","id":"p31984","attributes":{"x":{"type":"value","value":0.19839679358717432},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31985","attributes":{"x":{"type":"value","value":0.19839679358717432},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31986","attributes":{"x":{"type":"value","value":0.19839679358717432},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p31996","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31990","attributes":{"selected":{"type":"object","name":"Selection","id":"p31991","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p31992"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p31997","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p31998"}}},"glyph":{"type":"object","name":"VBar","id":"p31993","attributes":{"x":{"type":"value","value":0.2004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p31994","attributes":{"x":{"type":"value","value":0.2004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p31995","attributes":{"x":{"type":"value","value":0.2004008016032064},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32005","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p31999","attributes":{"selected":{"type":"object","name":"Selection","id":"p32000","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32001"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32006","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32007"}}},"glyph":{"type":"object","name":"VBar","id":"p32002","attributes":{"x":{"type":"value","value":0.20240480961923846},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32003","attributes":{"x":{"type":"value","value":0.20240480961923846},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32004","attributes":{"x":{"type":"value","value":0.20240480961923846},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32014","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32008","attributes":{"selected":{"type":"object","name":"Selection","id":"p32009","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32010"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32015","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32016"}}},"glyph":{"type":"object","name":"VBar","id":"p32011","attributes":{"x":{"type":"value","value":0.20440881763527052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32012","attributes":{"x":{"type":"value","value":0.20440881763527052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32013","attributes":{"x":{"type":"value","value":0.20440881763527052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32023","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32017","attributes":{"selected":{"type":"object","name":"Selection","id":"p32018","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32019"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32024","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32025"}}},"glyph":{"type":"object","name":"VBar","id":"p32020","attributes":{"x":{"type":"value","value":0.2064128256513026},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32021","attributes":{"x":{"type":"value","value":0.2064128256513026},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32022","attributes":{"x":{"type":"value","value":0.2064128256513026},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32032","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32026","attributes":{"selected":{"type":"object","name":"Selection","id":"p32027","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32028"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32033","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32034"}}},"glyph":{"type":"object","name":"VBar","id":"p32029","attributes":{"x":{"type":"value","value":0.20841683366733466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32030","attributes":{"x":{"type":"value","value":0.20841683366733466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32031","attributes":{"x":{"type":"value","value":0.20841683366733466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32041","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32035","attributes":{"selected":{"type":"object","name":"Selection","id":"p32036","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32037"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32042","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32043"}}},"glyph":{"type":"object","name":"VBar","id":"p32038","attributes":{"x":{"type":"value","value":0.21042084168336672},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32039","attributes":{"x":{"type":"value","value":0.21042084168336672},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32040","attributes":{"x":{"type":"value","value":0.21042084168336672},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32050","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32044","attributes":{"selected":{"type":"object","name":"Selection","id":"p32045","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32046"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32051","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32052"}}},"glyph":{"type":"object","name":"VBar","id":"p32047","attributes":{"x":{"type":"value","value":0.2124248496993988},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32048","attributes":{"x":{"type":"value","value":0.2124248496993988},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32049","attributes":{"x":{"type":"value","value":0.2124248496993988},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32059","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32053","attributes":{"selected":{"type":"object","name":"Selection","id":"p32054","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32055"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32060","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32061"}}},"glyph":{"type":"object","name":"VBar","id":"p32056","attributes":{"x":{"type":"value","value":0.21442885771543085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32057","attributes":{"x":{"type":"value","value":0.21442885771543085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32058","attributes":{"x":{"type":"value","value":0.21442885771543085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32068","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32062","attributes":{"selected":{"type":"object","name":"Selection","id":"p32063","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32064"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32069","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32070"}}},"glyph":{"type":"object","name":"VBar","id":"p32065","attributes":{"x":{"type":"value","value":0.21643286573146292},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32066","attributes":{"x":{"type":"value","value":0.21643286573146292},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32067","attributes":{"x":{"type":"value","value":0.21643286573146292},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32077","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32071","attributes":{"selected":{"type":"object","name":"Selection","id":"p32072","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32073"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32078","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32079"}}},"glyph":{"type":"object","name":"VBar","id":"p32074","attributes":{"x":{"type":"value","value":0.21843687374749496},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32075","attributes":{"x":{"type":"value","value":0.21843687374749496},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32076","attributes":{"x":{"type":"value","value":0.21843687374749496},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32086","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32080","attributes":{"selected":{"type":"object","name":"Selection","id":"p32081","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32082"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32087","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32088"}}},"glyph":{"type":"object","name":"VBar","id":"p32083","attributes":{"x":{"type":"value","value":0.22044088176352702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32084","attributes":{"x":{"type":"value","value":0.22044088176352702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32085","attributes":{"x":{"type":"value","value":0.22044088176352702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32095","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32089","attributes":{"selected":{"type":"object","name":"Selection","id":"p32090","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32091"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32096","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32097"}}},"glyph":{"type":"object","name":"VBar","id":"p32092","attributes":{"x":{"type":"value","value":0.2224448897795591},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32093","attributes":{"x":{"type":"value","value":0.2224448897795591},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32094","attributes":{"x":{"type":"value","value":0.2224448897795591},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32104","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32098","attributes":{"selected":{"type":"object","name":"Selection","id":"p32099","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32100"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32105","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32106"}}},"glyph":{"type":"object","name":"VBar","id":"p32101","attributes":{"x":{"type":"value","value":0.22444889779559116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32102","attributes":{"x":{"type":"value","value":0.22444889779559116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32103","attributes":{"x":{"type":"value","value":0.22444889779559116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32113","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32107","attributes":{"selected":{"type":"object","name":"Selection","id":"p32108","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32109"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32114","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32115"}}},"glyph":{"type":"object","name":"VBar","id":"p32110","attributes":{"x":{"type":"value","value":0.22645290581162322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32111","attributes":{"x":{"type":"value","value":0.22645290581162322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32112","attributes":{"x":{"type":"value","value":0.22645290581162322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32122","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32116","attributes":{"selected":{"type":"object","name":"Selection","id":"p32117","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32118"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32123","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32124"}}},"glyph":{"type":"object","name":"VBar","id":"p32119","attributes":{"x":{"type":"value","value":0.2284569138276553},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32120","attributes":{"x":{"type":"value","value":0.2284569138276553},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32121","attributes":{"x":{"type":"value","value":0.2284569138276553},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32131","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32125","attributes":{"selected":{"type":"object","name":"Selection","id":"p32126","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32127"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32132","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32133"}}},"glyph":{"type":"object","name":"VBar","id":"p32128","attributes":{"x":{"type":"value","value":0.23046092184368736},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32129","attributes":{"x":{"type":"value","value":0.23046092184368736},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32130","attributes":{"x":{"type":"value","value":0.23046092184368736},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32140","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32134","attributes":{"selected":{"type":"object","name":"Selection","id":"p32135","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32136"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32141","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32142"}}},"glyph":{"type":"object","name":"VBar","id":"p32137","attributes":{"x":{"type":"value","value":0.23246492985971942},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32138","attributes":{"x":{"type":"value","value":0.23246492985971942},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32139","attributes":{"x":{"type":"value","value":0.23246492985971942},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32149","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32143","attributes":{"selected":{"type":"object","name":"Selection","id":"p32144","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32145"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32150","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32151"}}},"glyph":{"type":"object","name":"VBar","id":"p32146","attributes":{"x":{"type":"value","value":0.2344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32147","attributes":{"x":{"type":"value","value":0.2344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32148","attributes":{"x":{"type":"value","value":0.2344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32158","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32152","attributes":{"selected":{"type":"object","name":"Selection","id":"p32153","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32154"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32159","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32160"}}},"glyph":{"type":"object","name":"VBar","id":"p32155","attributes":{"x":{"type":"value","value":0.23647294589178355},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32156","attributes":{"x":{"type":"value","value":0.23647294589178355},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32157","attributes":{"x":{"type":"value","value":0.23647294589178355},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32167","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32161","attributes":{"selected":{"type":"object","name":"Selection","id":"p32162","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32163"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32168","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32169"}}},"glyph":{"type":"object","name":"VBar","id":"p32164","attributes":{"x":{"type":"value","value":0.23847695390781562},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32165","attributes":{"x":{"type":"value","value":0.23847695390781562},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32166","attributes":{"x":{"type":"value","value":0.23847695390781562},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32176","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32170","attributes":{"selected":{"type":"object","name":"Selection","id":"p32171","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32172"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32177","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32178"}}},"glyph":{"type":"object","name":"VBar","id":"p32173","attributes":{"x":{"type":"value","value":0.24048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32174","attributes":{"x":{"type":"value","value":0.24048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32175","attributes":{"x":{"type":"value","value":0.24048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32185","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32179","attributes":{"selected":{"type":"object","name":"Selection","id":"p32180","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32181"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32186","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32187"}}},"glyph":{"type":"object","name":"VBar","id":"p32182","attributes":{"x":{"type":"value","value":0.24248496993987975},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32183","attributes":{"x":{"type":"value","value":0.24248496993987975},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32184","attributes":{"x":{"type":"value","value":0.24248496993987975},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32194","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32188","attributes":{"selected":{"type":"object","name":"Selection","id":"p32189","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32190"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32195","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32196"}}},"glyph":{"type":"object","name":"VBar","id":"p32191","attributes":{"x":{"type":"value","value":0.2444889779559118},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32192","attributes":{"x":{"type":"value","value":0.2444889779559118},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32193","attributes":{"x":{"type":"value","value":0.2444889779559118},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32203","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32197","attributes":{"selected":{"type":"object","name":"Selection","id":"p32198","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32199"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32204","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32205"}}},"glyph":{"type":"object","name":"VBar","id":"p32200","attributes":{"x":{"type":"value","value":0.24649298597194386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32201","attributes":{"x":{"type":"value","value":0.24649298597194386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32202","attributes":{"x":{"type":"value","value":0.24649298597194386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32212","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32206","attributes":{"selected":{"type":"object","name":"Selection","id":"p32207","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32208"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32213","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32214"}}},"glyph":{"type":"object","name":"VBar","id":"p32209","attributes":{"x":{"type":"value","value":0.24849699398797592},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32210","attributes":{"x":{"type":"value","value":0.24849699398797592},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32211","attributes":{"x":{"type":"value","value":0.24849699398797592},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32221","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32215","attributes":{"selected":{"type":"object","name":"Selection","id":"p32216","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32217"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32222","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32223"}}},"glyph":{"type":"object","name":"VBar","id":"p32218","attributes":{"x":{"type":"value","value":0.250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32219","attributes":{"x":{"type":"value","value":0.250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32220","attributes":{"x":{"type":"value","value":0.250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32230","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32224","attributes":{"selected":{"type":"object","name":"Selection","id":"p32225","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32226"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32231","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32232"}}},"glyph":{"type":"object","name":"VBar","id":"p32227","attributes":{"x":{"type":"value","value":0.25250501002004005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32228","attributes":{"x":{"type":"value","value":0.25250501002004005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32229","attributes":{"x":{"type":"value","value":0.25250501002004005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32239","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32233","attributes":{"selected":{"type":"object","name":"Selection","id":"p32234","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32235"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32240","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32241"}}},"glyph":{"type":"object","name":"VBar","id":"p32236","attributes":{"x":{"type":"value","value":0.2545090180360721},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32237","attributes":{"x":{"type":"value","value":0.2545090180360721},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32238","attributes":{"x":{"type":"value","value":0.2545090180360721},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32248","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32242","attributes":{"selected":{"type":"object","name":"Selection","id":"p32243","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32244"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32249","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32250"}}},"glyph":{"type":"object","name":"VBar","id":"p32245","attributes":{"x":{"type":"value","value":0.2565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32246","attributes":{"x":{"type":"value","value":0.2565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32247","attributes":{"x":{"type":"value","value":0.2565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32257","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32251","attributes":{"selected":{"type":"object","name":"Selection","id":"p32252","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32253"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32258","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32259"}}},"glyph":{"type":"object","name":"VBar","id":"p32254","attributes":{"x":{"type":"value","value":0.25851703406813625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32255","attributes":{"x":{"type":"value","value":0.25851703406813625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32256","attributes":{"x":{"type":"value","value":0.25851703406813625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32266","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32260","attributes":{"selected":{"type":"object","name":"Selection","id":"p32261","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32262"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32267","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32268"}}},"glyph":{"type":"object","name":"VBar","id":"p32263","attributes":{"x":{"type":"value","value":0.2605210420841683},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32264","attributes":{"x":{"type":"value","value":0.2605210420841683},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32265","attributes":{"x":{"type":"value","value":0.2605210420841683},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32275","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32269","attributes":{"selected":{"type":"object","name":"Selection","id":"p32270","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32271"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32276","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32277"}}},"glyph":{"type":"object","name":"VBar","id":"p32272","attributes":{"x":{"type":"value","value":0.2625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32273","attributes":{"x":{"type":"value","value":0.2625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32274","attributes":{"x":{"type":"value","value":0.2625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32284","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32278","attributes":{"selected":{"type":"object","name":"Selection","id":"p32279","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32280"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32285","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32286"}}},"glyph":{"type":"object","name":"VBar","id":"p32281","attributes":{"x":{"type":"value","value":0.26452905811623245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32282","attributes":{"x":{"type":"value","value":0.26452905811623245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32283","attributes":{"x":{"type":"value","value":0.26452905811623245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32293","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32287","attributes":{"selected":{"type":"object","name":"Selection","id":"p32288","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32289"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32294","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32295"}}},"glyph":{"type":"object","name":"VBar","id":"p32290","attributes":{"x":{"type":"value","value":0.2665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32291","attributes":{"x":{"type":"value","value":0.2665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32292","attributes":{"x":{"type":"value","value":0.2665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32302","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32296","attributes":{"selected":{"type":"object","name":"Selection","id":"p32297","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32298"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32303","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32304"}}},"glyph":{"type":"object","name":"VBar","id":"p32299","attributes":{"x":{"type":"value","value":0.2685370741482966},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32300","attributes":{"x":{"type":"value","value":0.2685370741482966},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32301","attributes":{"x":{"type":"value","value":0.2685370741482966},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32311","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32305","attributes":{"selected":{"type":"object","name":"Selection","id":"p32306","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32307"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32312","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32313"}}},"glyph":{"type":"object","name":"VBar","id":"p32308","attributes":{"x":{"type":"value","value":0.27054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32309","attributes":{"x":{"type":"value","value":0.27054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32310","attributes":{"x":{"type":"value","value":0.27054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32320","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32314","attributes":{"selected":{"type":"object","name":"Selection","id":"p32315","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32316"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32321","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32322"}}},"glyph":{"type":"object","name":"VBar","id":"p32317","attributes":{"x":{"type":"value","value":0.2725450901803607},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32318","attributes":{"x":{"type":"value","value":0.2725450901803607},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32319","attributes":{"x":{"type":"value","value":0.2725450901803607},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32329","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32323","attributes":{"selected":{"type":"object","name":"Selection","id":"p32324","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32325"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32330","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32331"}}},"glyph":{"type":"object","name":"VBar","id":"p32326","attributes":{"x":{"type":"value","value":0.2745490981963928},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32327","attributes":{"x":{"type":"value","value":0.2745490981963928},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32328","attributes":{"x":{"type":"value","value":0.2745490981963928},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32338","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32332","attributes":{"selected":{"type":"object","name":"Selection","id":"p32333","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32334"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32339","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32340"}}},"glyph":{"type":"object","name":"VBar","id":"p32335","attributes":{"x":{"type":"value","value":0.27655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32336","attributes":{"x":{"type":"value","value":0.27655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32337","attributes":{"x":{"type":"value","value":0.27655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32347","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32341","attributes":{"selected":{"type":"object","name":"Selection","id":"p32342","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32343"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32348","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32349"}}},"glyph":{"type":"object","name":"VBar","id":"p32344","attributes":{"x":{"type":"value","value":0.2785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32345","attributes":{"x":{"type":"value","value":0.2785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32346","attributes":{"x":{"type":"value","value":0.2785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32356","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32350","attributes":{"selected":{"type":"object","name":"Selection","id":"p32351","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32352"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32357","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32358"}}},"glyph":{"type":"object","name":"VBar","id":"p32353","attributes":{"x":{"type":"value","value":0.280561122244489},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32354","attributes":{"x":{"type":"value","value":0.280561122244489},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32355","attributes":{"x":{"type":"value","value":0.280561122244489},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32365","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32359","attributes":{"selected":{"type":"object","name":"Selection","id":"p32360","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32361"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32366","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32367"}}},"glyph":{"type":"object","name":"VBar","id":"p32362","attributes":{"x":{"type":"value","value":0.282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32363","attributes":{"x":{"type":"value","value":0.282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32364","attributes":{"x":{"type":"value","value":0.282565130260521},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32374","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32368","attributes":{"selected":{"type":"object","name":"Selection","id":"p32369","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32370"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32375","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32376"}}},"glyph":{"type":"object","name":"VBar","id":"p32371","attributes":{"x":{"type":"value","value":0.28456913827655306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32372","attributes":{"x":{"type":"value","value":0.28456913827655306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32373","attributes":{"x":{"type":"value","value":0.28456913827655306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32383","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32377","attributes":{"selected":{"type":"object","name":"Selection","id":"p32378","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32379"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32384","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32385"}}},"glyph":{"type":"object","name":"VBar","id":"p32380","attributes":{"x":{"type":"value","value":0.2865731462925851},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32381","attributes":{"x":{"type":"value","value":0.2865731462925851},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32382","attributes":{"x":{"type":"value","value":0.2865731462925851},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32392","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32386","attributes":{"selected":{"type":"object","name":"Selection","id":"p32387","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32388"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32393","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32394"}}},"glyph":{"type":"object","name":"VBar","id":"p32389","attributes":{"x":{"type":"value","value":0.2885771543086172},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32390","attributes":{"x":{"type":"value","value":0.2885771543086172},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32391","attributes":{"x":{"type":"value","value":0.2885771543086172},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32401","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32395","attributes":{"selected":{"type":"object","name":"Selection","id":"p32396","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32397"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32402","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32403"}}},"glyph":{"type":"object","name":"VBar","id":"p32398","attributes":{"x":{"type":"value","value":0.29058116232464926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32399","attributes":{"x":{"type":"value","value":0.29058116232464926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32400","attributes":{"x":{"type":"value","value":0.29058116232464926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32410","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32404","attributes":{"selected":{"type":"object","name":"Selection","id":"p32405","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32406"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32411","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32412"}}},"glyph":{"type":"object","name":"VBar","id":"p32407","attributes":{"x":{"type":"value","value":0.2925851703406813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32408","attributes":{"x":{"type":"value","value":0.2925851703406813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32409","attributes":{"x":{"type":"value","value":0.2925851703406813},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32419","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32413","attributes":{"selected":{"type":"object","name":"Selection","id":"p32414","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32415"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32420","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32421"}}},"glyph":{"type":"object","name":"VBar","id":"p32416","attributes":{"x":{"type":"value","value":0.2945891783567134},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32417","attributes":{"x":{"type":"value","value":0.2945891783567134},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32418","attributes":{"x":{"type":"value","value":0.2945891783567134},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32428","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32422","attributes":{"selected":{"type":"object","name":"Selection","id":"p32423","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32424"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32429","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32430"}}},"glyph":{"type":"object","name":"VBar","id":"p32425","attributes":{"x":{"type":"value","value":0.29659318637274545},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32426","attributes":{"x":{"type":"value","value":0.29659318637274545},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32427","attributes":{"x":{"type":"value","value":0.29659318637274545},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32437","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32431","attributes":{"selected":{"type":"object","name":"Selection","id":"p32432","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32433"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32438","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32439"}}},"glyph":{"type":"object","name":"VBar","id":"p32434","attributes":{"x":{"type":"value","value":0.2985971943887775},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32435","attributes":{"x":{"type":"value","value":0.2985971943887775},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32436","attributes":{"x":{"type":"value","value":0.2985971943887775},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32446","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32440","attributes":{"selected":{"type":"object","name":"Selection","id":"p32441","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32442"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32447","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32448"}}},"glyph":{"type":"object","name":"VBar","id":"p32443","attributes":{"x":{"type":"value","value":0.3006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32444","attributes":{"x":{"type":"value","value":0.3006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32445","attributes":{"x":{"type":"value","value":0.3006012024048096},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32455","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32449","attributes":{"selected":{"type":"object","name":"Selection","id":"p32450","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32451"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32456","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32457"}}},"glyph":{"type":"object","name":"VBar","id":"p32452","attributes":{"x":{"type":"value","value":0.30260521042084165},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32453","attributes":{"x":{"type":"value","value":0.30260521042084165},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32454","attributes":{"x":{"type":"value","value":0.30260521042084165},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32464","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32458","attributes":{"selected":{"type":"object","name":"Selection","id":"p32459","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32460"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32465","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32466"}}},"glyph":{"type":"object","name":"VBar","id":"p32461","attributes":{"x":{"type":"value","value":0.3046092184368737},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32462","attributes":{"x":{"type":"value","value":0.3046092184368737},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32463","attributes":{"x":{"type":"value","value":0.3046092184368737},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32473","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32467","attributes":{"selected":{"type":"object","name":"Selection","id":"p32468","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32469"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32474","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32475"}}},"glyph":{"type":"object","name":"VBar","id":"p32470","attributes":{"x":{"type":"value","value":0.3066132264529058},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32471","attributes":{"x":{"type":"value","value":0.3066132264529058},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32472","attributes":{"x":{"type":"value","value":0.3066132264529058},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32482","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32476","attributes":{"selected":{"type":"object","name":"Selection","id":"p32477","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32478"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32483","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32484"}}},"glyph":{"type":"object","name":"VBar","id":"p32479","attributes":{"x":{"type":"value","value":0.30861723446893785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32480","attributes":{"x":{"type":"value","value":0.30861723446893785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32481","attributes":{"x":{"type":"value","value":0.30861723446893785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32491","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32485","attributes":{"selected":{"type":"object","name":"Selection","id":"p32486","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32487"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32492","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32493"}}},"glyph":{"type":"object","name":"VBar","id":"p32488","attributes":{"x":{"type":"value","value":0.3106212424849699},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32489","attributes":{"x":{"type":"value","value":0.3106212424849699},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32490","attributes":{"x":{"type":"value","value":0.3106212424849699},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32500","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32494","attributes":{"selected":{"type":"object","name":"Selection","id":"p32495","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32496"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32501","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32502"}}},"glyph":{"type":"object","name":"VBar","id":"p32497","attributes":{"x":{"type":"value","value":0.312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32498","attributes":{"x":{"type":"value","value":0.312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32499","attributes":{"x":{"type":"value","value":0.312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32509","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32503","attributes":{"selected":{"type":"object","name":"Selection","id":"p32504","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32505"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32510","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32511"}}},"glyph":{"type":"object","name":"VBar","id":"p32506","attributes":{"x":{"type":"value","value":0.31462925851703405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32507","attributes":{"x":{"type":"value","value":0.31462925851703405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32508","attributes":{"x":{"type":"value","value":0.31462925851703405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32518","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32512","attributes":{"selected":{"type":"object","name":"Selection","id":"p32513","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32514"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32519","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32520"}}},"glyph":{"type":"object","name":"VBar","id":"p32515","attributes":{"x":{"type":"value","value":0.3166332665330661},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32516","attributes":{"x":{"type":"value","value":0.3166332665330661},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32517","attributes":{"x":{"type":"value","value":0.3166332665330661},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32527","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32521","attributes":{"selected":{"type":"object","name":"Selection","id":"p32522","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32523"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32528","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32529"}}},"glyph":{"type":"object","name":"VBar","id":"p32524","attributes":{"x":{"type":"value","value":0.3186372745490982},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32525","attributes":{"x":{"type":"value","value":0.3186372745490982},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32526","attributes":{"x":{"type":"value","value":0.3186372745490982},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32536","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32530","attributes":{"selected":{"type":"object","name":"Selection","id":"p32531","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32532"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32537","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32538"}}},"glyph":{"type":"object","name":"VBar","id":"p32533","attributes":{"x":{"type":"value","value":0.32064128256513025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32534","attributes":{"x":{"type":"value","value":0.32064128256513025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32535","attributes":{"x":{"type":"value","value":0.32064128256513025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32545","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32539","attributes":{"selected":{"type":"object","name":"Selection","id":"p32540","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32541"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32546","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32547"}}},"glyph":{"type":"object","name":"VBar","id":"p32542","attributes":{"x":{"type":"value","value":0.3226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32543","attributes":{"x":{"type":"value","value":0.3226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32544","attributes":{"x":{"type":"value","value":0.3226452905811623},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32554","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32548","attributes":{"selected":{"type":"object","name":"Selection","id":"p32549","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32550"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32555","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32556"}}},"glyph":{"type":"object","name":"VBar","id":"p32551","attributes":{"x":{"type":"value","value":0.3246492985971944},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32552","attributes":{"x":{"type":"value","value":0.3246492985971944},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32553","attributes":{"x":{"type":"value","value":0.3246492985971944},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32563","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32557","attributes":{"selected":{"type":"object","name":"Selection","id":"p32558","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32559"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32564","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32565"}}},"glyph":{"type":"object","name":"VBar","id":"p32560","attributes":{"x":{"type":"value","value":0.32665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32561","attributes":{"x":{"type":"value","value":0.32665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32562","attributes":{"x":{"type":"value","value":0.32665330661322645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32572","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32566","attributes":{"selected":{"type":"object","name":"Selection","id":"p32567","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32568"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32573","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32574"}}},"glyph":{"type":"object","name":"VBar","id":"p32569","attributes":{"x":{"type":"value","value":0.3286573146292585},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32570","attributes":{"x":{"type":"value","value":0.3286573146292585},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32571","attributes":{"x":{"type":"value","value":0.3286573146292585},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32581","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32575","attributes":{"selected":{"type":"object","name":"Selection","id":"p32576","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32577"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32582","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32583"}}},"glyph":{"type":"object","name":"VBar","id":"p32578","attributes":{"x":{"type":"value","value":0.3306613226452906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32579","attributes":{"x":{"type":"value","value":0.3306613226452906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32580","attributes":{"x":{"type":"value","value":0.3306613226452906},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32590","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32584","attributes":{"selected":{"type":"object","name":"Selection","id":"p32585","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32586"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32591","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32592"}}},"glyph":{"type":"object","name":"VBar","id":"p32587","attributes":{"x":{"type":"value","value":0.33266533066132264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32588","attributes":{"x":{"type":"value","value":0.33266533066132264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32589","attributes":{"x":{"type":"value","value":0.33266533066132264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32599","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32593","attributes":{"selected":{"type":"object","name":"Selection","id":"p32594","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32595"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32600","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32601"}}},"glyph":{"type":"object","name":"VBar","id":"p32596","attributes":{"x":{"type":"value","value":0.33466933867735466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32597","attributes":{"x":{"type":"value","value":0.33466933867735466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32598","attributes":{"x":{"type":"value","value":0.33466933867735466},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32608","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32602","attributes":{"selected":{"type":"object","name":"Selection","id":"p32603","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32604"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32609","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32610"}}},"glyph":{"type":"object","name":"VBar","id":"p32605","attributes":{"x":{"type":"value","value":0.3366733466933867},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32606","attributes":{"x":{"type":"value","value":0.3366733466933867},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32607","attributes":{"x":{"type":"value","value":0.3366733466933867},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32617","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32611","attributes":{"selected":{"type":"object","name":"Selection","id":"p32612","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32613"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32618","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32619"}}},"glyph":{"type":"object","name":"VBar","id":"p32614","attributes":{"x":{"type":"value","value":0.3386773547094188},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32615","attributes":{"x":{"type":"value","value":0.3386773547094188},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32616","attributes":{"x":{"type":"value","value":0.3386773547094188},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32626","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32620","attributes":{"selected":{"type":"object","name":"Selection","id":"p32621","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32622"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32627","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32628"}}},"glyph":{"type":"object","name":"VBar","id":"p32623","attributes":{"x":{"type":"value","value":0.34068136272545085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32624","attributes":{"x":{"type":"value","value":0.34068136272545085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32625","attributes":{"x":{"type":"value","value":0.34068136272545085},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32635","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32629","attributes":{"selected":{"type":"object","name":"Selection","id":"p32630","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32631"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32636","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32637"}}},"glyph":{"type":"object","name":"VBar","id":"p32632","attributes":{"x":{"type":"value","value":0.3426853707414829},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32633","attributes":{"x":{"type":"value","value":0.3426853707414829},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32634","attributes":{"x":{"type":"value","value":0.3426853707414829},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32644","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32638","attributes":{"selected":{"type":"object","name":"Selection","id":"p32639","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32640"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32645","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32646"}}},"glyph":{"type":"object","name":"VBar","id":"p32641","attributes":{"x":{"type":"value","value":0.344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32642","attributes":{"x":{"type":"value","value":0.344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32643","attributes":{"x":{"type":"value","value":0.344689378757515},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32653","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32647","attributes":{"selected":{"type":"object","name":"Selection","id":"p32648","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32649"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32654","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32655"}}},"glyph":{"type":"object","name":"VBar","id":"p32650","attributes":{"x":{"type":"value","value":0.34669338677354705},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32651","attributes":{"x":{"type":"value","value":0.34669338677354705},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32652","attributes":{"x":{"type":"value","value":0.34669338677354705},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32662","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32656","attributes":{"selected":{"type":"object","name":"Selection","id":"p32657","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32658"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32663","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32664"}}},"glyph":{"type":"object","name":"VBar","id":"p32659","attributes":{"x":{"type":"value","value":0.3486973947895791},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32660","attributes":{"x":{"type":"value","value":0.3486973947895791},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32661","attributes":{"x":{"type":"value","value":0.3486973947895791},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32671","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32665","attributes":{"selected":{"type":"object","name":"Selection","id":"p32666","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32667"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32672","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32673"}}},"glyph":{"type":"object","name":"VBar","id":"p32668","attributes":{"x":{"type":"value","value":0.3507014028056112},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32669","attributes":{"x":{"type":"value","value":0.3507014028056112},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32670","attributes":{"x":{"type":"value","value":0.3507014028056112},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32680","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32674","attributes":{"selected":{"type":"object","name":"Selection","id":"p32675","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32676"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32681","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32682"}}},"glyph":{"type":"object","name":"VBar","id":"p32677","attributes":{"x":{"type":"value","value":0.35270541082164325},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32678","attributes":{"x":{"type":"value","value":0.35270541082164325},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32679","attributes":{"x":{"type":"value","value":0.35270541082164325},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32689","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32683","attributes":{"selected":{"type":"object","name":"Selection","id":"p32684","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32685"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32690","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32691"}}},"glyph":{"type":"object","name":"VBar","id":"p32686","attributes":{"x":{"type":"value","value":0.3547094188376753},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32687","attributes":{"x":{"type":"value","value":0.3547094188376753},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32688","attributes":{"x":{"type":"value","value":0.3547094188376753},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32698","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32692","attributes":{"selected":{"type":"object","name":"Selection","id":"p32693","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32694"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32699","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32700"}}},"glyph":{"type":"object","name":"VBar","id":"p32695","attributes":{"x":{"type":"value","value":0.3567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32696","attributes":{"x":{"type":"value","value":0.3567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32697","attributes":{"x":{"type":"value","value":0.3567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32707","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32701","attributes":{"selected":{"type":"object","name":"Selection","id":"p32702","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32703"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32708","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32709"}}},"glyph":{"type":"object","name":"VBar","id":"p32704","attributes":{"x":{"type":"value","value":0.35871743486973945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32705","attributes":{"x":{"type":"value","value":0.35871743486973945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32706","attributes":{"x":{"type":"value","value":0.35871743486973945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32716","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32710","attributes":{"selected":{"type":"object","name":"Selection","id":"p32711","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32712"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32717","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32718"}}},"glyph":{"type":"object","name":"VBar","id":"p32713","attributes":{"x":{"type":"value","value":0.3607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32714","attributes":{"x":{"type":"value","value":0.3607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32715","attributes":{"x":{"type":"value","value":0.3607214428857715},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32725","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32719","attributes":{"selected":{"type":"object","name":"Selection","id":"p32720","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32721"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32726","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32727"}}},"glyph":{"type":"object","name":"VBar","id":"p32722","attributes":{"x":{"type":"value","value":0.3627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32723","attributes":{"x":{"type":"value","value":0.3627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32724","attributes":{"x":{"type":"value","value":0.3627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32734","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32728","attributes":{"selected":{"type":"object","name":"Selection","id":"p32729","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32730"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32735","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32736"}}},"glyph":{"type":"object","name":"VBar","id":"p32731","attributes":{"x":{"type":"value","value":0.36472945891783565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32732","attributes":{"x":{"type":"value","value":0.36472945891783565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32733","attributes":{"x":{"type":"value","value":0.36472945891783565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32743","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32737","attributes":{"selected":{"type":"object","name":"Selection","id":"p32738","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32739"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32744","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32745"}}},"glyph":{"type":"object","name":"VBar","id":"p32740","attributes":{"x":{"type":"value","value":0.3667334669338677},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32741","attributes":{"x":{"type":"value","value":0.3667334669338677},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32742","attributes":{"x":{"type":"value","value":0.3667334669338677},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32752","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32746","attributes":{"selected":{"type":"object","name":"Selection","id":"p32747","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32748"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32753","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32754"}}},"glyph":{"type":"object","name":"VBar","id":"p32749","attributes":{"x":{"type":"value","value":0.3687374749498998},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32750","attributes":{"x":{"type":"value","value":0.3687374749498998},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32751","attributes":{"x":{"type":"value","value":0.3687374749498998},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32761","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32755","attributes":{"selected":{"type":"object","name":"Selection","id":"p32756","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32757"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32762","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32763"}}},"glyph":{"type":"object","name":"VBar","id":"p32758","attributes":{"x":{"type":"value","value":0.37074148296593185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32759","attributes":{"x":{"type":"value","value":0.37074148296593185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32760","attributes":{"x":{"type":"value","value":0.37074148296593185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32770","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32764","attributes":{"selected":{"type":"object","name":"Selection","id":"p32765","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32766"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32771","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32772"}}},"glyph":{"type":"object","name":"VBar","id":"p32767","attributes":{"x":{"type":"value","value":0.3727454909819639},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32768","attributes":{"x":{"type":"value","value":0.3727454909819639},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32769","attributes":{"x":{"type":"value","value":0.3727454909819639},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32779","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32773","attributes":{"selected":{"type":"object","name":"Selection","id":"p32774","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32775"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32780","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32781"}}},"glyph":{"type":"object","name":"VBar","id":"p32776","attributes":{"x":{"type":"value","value":0.374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32777","attributes":{"x":{"type":"value","value":0.374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32778","attributes":{"x":{"type":"value","value":0.374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32788","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32782","attributes":{"selected":{"type":"object","name":"Selection","id":"p32783","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32784"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32789","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32790"}}},"glyph":{"type":"object","name":"VBar","id":"p32785","attributes":{"x":{"type":"value","value":0.37675350701402804},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32786","attributes":{"x":{"type":"value","value":0.37675350701402804},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32787","attributes":{"x":{"type":"value","value":0.37675350701402804},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32797","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32791","attributes":{"selected":{"type":"object","name":"Selection","id":"p32792","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32793"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32798","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32799"}}},"glyph":{"type":"object","name":"VBar","id":"p32794","attributes":{"x":{"type":"value","value":0.3787575150300601},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32795","attributes":{"x":{"type":"value","value":0.3787575150300601},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32796","attributes":{"x":{"type":"value","value":0.3787575150300601},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32806","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32800","attributes":{"selected":{"type":"object","name":"Selection","id":"p32801","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32802"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32807","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32808"}}},"glyph":{"type":"object","name":"VBar","id":"p32803","attributes":{"x":{"type":"value","value":0.3807615230460922},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32804","attributes":{"x":{"type":"value","value":0.3807615230460922},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32805","attributes":{"x":{"type":"value","value":0.3807615230460922},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32815","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32809","attributes":{"selected":{"type":"object","name":"Selection","id":"p32810","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32811"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32816","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32817"}}},"glyph":{"type":"object","name":"VBar","id":"p32812","attributes":{"x":{"type":"value","value":0.38276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32813","attributes":{"x":{"type":"value","value":0.38276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32814","attributes":{"x":{"type":"value","value":0.38276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32824","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32818","attributes":{"selected":{"type":"object","name":"Selection","id":"p32819","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32820"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32825","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32826"}}},"glyph":{"type":"object","name":"VBar","id":"p32821","attributes":{"x":{"type":"value","value":0.38476953907815625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32822","attributes":{"x":{"type":"value","value":0.38476953907815625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32823","attributes":{"x":{"type":"value","value":0.38476953907815625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32833","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32827","attributes":{"selected":{"type":"object","name":"Selection","id":"p32828","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32829"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32834","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32835"}}},"glyph":{"type":"object","name":"VBar","id":"p32830","attributes":{"x":{"type":"value","value":0.3867735470941883},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32831","attributes":{"x":{"type":"value","value":0.3867735470941883},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32832","attributes":{"x":{"type":"value","value":0.3867735470941883},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32842","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32836","attributes":{"selected":{"type":"object","name":"Selection","id":"p32837","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32838"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32843","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32844"}}},"glyph":{"type":"object","name":"VBar","id":"p32839","attributes":{"x":{"type":"value","value":0.3887775551102204},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32840","attributes":{"x":{"type":"value","value":0.3887775551102204},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32841","attributes":{"x":{"type":"value","value":0.3887775551102204},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32851","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32845","attributes":{"selected":{"type":"object","name":"Selection","id":"p32846","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32847"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32852","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32853"}}},"glyph":{"type":"object","name":"VBar","id":"p32848","attributes":{"x":{"type":"value","value":0.39078156312625245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32849","attributes":{"x":{"type":"value","value":0.39078156312625245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32850","attributes":{"x":{"type":"value","value":0.39078156312625245},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32860","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32854","attributes":{"selected":{"type":"object","name":"Selection","id":"p32855","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32856"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32861","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32862"}}},"glyph":{"type":"object","name":"VBar","id":"p32857","attributes":{"x":{"type":"value","value":0.3927855711422845},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32858","attributes":{"x":{"type":"value","value":0.3927855711422845},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32859","attributes":{"x":{"type":"value","value":0.3927855711422845},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32869","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32863","attributes":{"selected":{"type":"object","name":"Selection","id":"p32864","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32865"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32870","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32871"}}},"glyph":{"type":"object","name":"VBar","id":"p32866","attributes":{"x":{"type":"value","value":0.3947895791583166},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32867","attributes":{"x":{"type":"value","value":0.3947895791583166},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32868","attributes":{"x":{"type":"value","value":0.3947895791583166},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32878","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32872","attributes":{"selected":{"type":"object","name":"Selection","id":"p32873","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32874"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32879","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32880"}}},"glyph":{"type":"object","name":"VBar","id":"p32875","attributes":{"x":{"type":"value","value":0.39679358717434865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32876","attributes":{"x":{"type":"value","value":0.39679358717434865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32877","attributes":{"x":{"type":"value","value":0.39679358717434865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32887","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32881","attributes":{"selected":{"type":"object","name":"Selection","id":"p32882","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32883"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32888","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32889"}}},"glyph":{"type":"object","name":"VBar","id":"p32884","attributes":{"x":{"type":"value","value":0.3987975951903807},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32885","attributes":{"x":{"type":"value","value":0.3987975951903807},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32886","attributes":{"x":{"type":"value","value":0.3987975951903807},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32896","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32890","attributes":{"selected":{"type":"object","name":"Selection","id":"p32891","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32892"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32897","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32898"}}},"glyph":{"type":"object","name":"VBar","id":"p32893","attributes":{"x":{"type":"value","value":0.4008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32894","attributes":{"x":{"type":"value","value":0.4008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32895","attributes":{"x":{"type":"value","value":0.4008016032064128},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32905","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32899","attributes":{"selected":{"type":"object","name":"Selection","id":"p32900","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32901"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32906","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32907"}}},"glyph":{"type":"object","name":"VBar","id":"p32902","attributes":{"x":{"type":"value","value":0.40280561122244485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32903","attributes":{"x":{"type":"value","value":0.40280561122244485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32904","attributes":{"x":{"type":"value","value":0.40280561122244485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32914","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32908","attributes":{"selected":{"type":"object","name":"Selection","id":"p32909","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32910"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32915","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32916"}}},"glyph":{"type":"object","name":"VBar","id":"p32911","attributes":{"x":{"type":"value","value":0.4048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32912","attributes":{"x":{"type":"value","value":0.4048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32913","attributes":{"x":{"type":"value","value":0.4048096192384769},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32923","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32917","attributes":{"selected":{"type":"object","name":"Selection","id":"p32918","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32919"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32924","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32925"}}},"glyph":{"type":"object","name":"VBar","id":"p32920","attributes":{"x":{"type":"value","value":0.406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32921","attributes":{"x":{"type":"value","value":0.406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32922","attributes":{"x":{"type":"value","value":0.406813627254509},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32932","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32926","attributes":{"selected":{"type":"object","name":"Selection","id":"p32927","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32928"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32933","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32934"}}},"glyph":{"type":"object","name":"VBar","id":"p32929","attributes":{"x":{"type":"value","value":0.40881763527054105},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32930","attributes":{"x":{"type":"value","value":0.40881763527054105},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32931","attributes":{"x":{"type":"value","value":0.40881763527054105},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32941","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32935","attributes":{"selected":{"type":"object","name":"Selection","id":"p32936","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32937"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32942","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32943"}}},"glyph":{"type":"object","name":"VBar","id":"p32938","attributes":{"x":{"type":"value","value":0.4108216432865731},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32939","attributes":{"x":{"type":"value","value":0.4108216432865731},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32940","attributes":{"x":{"type":"value","value":0.4108216432865731},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32950","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32944","attributes":{"selected":{"type":"object","name":"Selection","id":"p32945","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32946"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32951","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32952"}}},"glyph":{"type":"object","name":"VBar","id":"p32947","attributes":{"x":{"type":"value","value":0.4128256513026052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32948","attributes":{"x":{"type":"value","value":0.4128256513026052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32949","attributes":{"x":{"type":"value","value":0.4128256513026052},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32959","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32953","attributes":{"selected":{"type":"object","name":"Selection","id":"p32954","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32955"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32960","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32961"}}},"glyph":{"type":"object","name":"VBar","id":"p32956","attributes":{"x":{"type":"value","value":0.41482965931863724},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32957","attributes":{"x":{"type":"value","value":0.41482965931863724},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32958","attributes":{"x":{"type":"value","value":0.41482965931863724},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32968","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32962","attributes":{"selected":{"type":"object","name":"Selection","id":"p32963","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32964"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32969","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32970"}}},"glyph":{"type":"object","name":"VBar","id":"p32965","attributes":{"x":{"type":"value","value":0.4168336673346693},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32966","attributes":{"x":{"type":"value","value":0.4168336673346693},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32967","attributes":{"x":{"type":"value","value":0.4168336673346693},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32977","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32971","attributes":{"selected":{"type":"object","name":"Selection","id":"p32972","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32973"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32978","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32979"}}},"glyph":{"type":"object","name":"VBar","id":"p32974","attributes":{"x":{"type":"value","value":0.4188376753507014},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32975","attributes":{"x":{"type":"value","value":0.4188376753507014},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32976","attributes":{"x":{"type":"value","value":0.4188376753507014},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32986","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32980","attributes":{"selected":{"type":"object","name":"Selection","id":"p32981","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32982"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32987","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32988"}}},"glyph":{"type":"object","name":"VBar","id":"p32983","attributes":{"x":{"type":"value","value":0.42084168336673344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32984","attributes":{"x":{"type":"value","value":0.42084168336673344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32985","attributes":{"x":{"type":"value","value":0.42084168336673344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p32995","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32989","attributes":{"selected":{"type":"object","name":"Selection","id":"p32990","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p32991"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p32996","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p32997"}}},"glyph":{"type":"object","name":"VBar","id":"p32992","attributes":{"x":{"type":"value","value":0.4228456913827655},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p32993","attributes":{"x":{"type":"value","value":0.4228456913827655},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p32994","attributes":{"x":{"type":"value","value":0.4228456913827655},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33004","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p32998","attributes":{"selected":{"type":"object","name":"Selection","id":"p32999","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33000"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33005","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33006"}}},"glyph":{"type":"object","name":"VBar","id":"p33001","attributes":{"x":{"type":"value","value":0.4248496993987976},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33002","attributes":{"x":{"type":"value","value":0.4248496993987976},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33003","attributes":{"x":{"type":"value","value":0.4248496993987976},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33013","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33007","attributes":{"selected":{"type":"object","name":"Selection","id":"p33008","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33009"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33014","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33015"}}},"glyph":{"type":"object","name":"VBar","id":"p33010","attributes":{"x":{"type":"value","value":0.42685370741482964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33011","attributes":{"x":{"type":"value","value":0.42685370741482964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33012","attributes":{"x":{"type":"value","value":0.42685370741482964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33022","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33016","attributes":{"selected":{"type":"object","name":"Selection","id":"p33017","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33018"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33023","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33024"}}},"glyph":{"type":"object","name":"VBar","id":"p33019","attributes":{"x":{"type":"value","value":0.4288577154308617},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33020","attributes":{"x":{"type":"value","value":0.4288577154308617},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33021","attributes":{"x":{"type":"value","value":0.4288577154308617},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33031","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33025","attributes":{"selected":{"type":"object","name":"Selection","id":"p33026","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33027"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33032","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33033"}}},"glyph":{"type":"object","name":"VBar","id":"p33028","attributes":{"x":{"type":"value","value":0.4308617234468938},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33029","attributes":{"x":{"type":"value","value":0.4308617234468938},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33030","attributes":{"x":{"type":"value","value":0.4308617234468938},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33040","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33034","attributes":{"selected":{"type":"object","name":"Selection","id":"p33035","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33036"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33041","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33042"}}},"glyph":{"type":"object","name":"VBar","id":"p33037","attributes":{"x":{"type":"value","value":0.43286573146292584},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33038","attributes":{"x":{"type":"value","value":0.43286573146292584},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33039","attributes":{"x":{"type":"value","value":0.43286573146292584},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33049","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33043","attributes":{"selected":{"type":"object","name":"Selection","id":"p33044","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33045"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33050","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33051"}}},"glyph":{"type":"object","name":"VBar","id":"p33046","attributes":{"x":{"type":"value","value":0.4348697394789579},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33047","attributes":{"x":{"type":"value","value":0.4348697394789579},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33048","attributes":{"x":{"type":"value","value":0.4348697394789579},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33058","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33052","attributes":{"selected":{"type":"object","name":"Selection","id":"p33053","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33054"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33059","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33060"}}},"glyph":{"type":"object","name":"VBar","id":"p33055","attributes":{"x":{"type":"value","value":0.4368737474949899},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33056","attributes":{"x":{"type":"value","value":0.4368737474949899},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33057","attributes":{"x":{"type":"value","value":0.4368737474949899},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33067","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33061","attributes":{"selected":{"type":"object","name":"Selection","id":"p33062","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33063"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33068","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33069"}}},"glyph":{"type":"object","name":"VBar","id":"p33064","attributes":{"x":{"type":"value","value":0.438877755511022},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33065","attributes":{"x":{"type":"value","value":0.438877755511022},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33066","attributes":{"x":{"type":"value","value":0.438877755511022},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33076","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33070","attributes":{"selected":{"type":"object","name":"Selection","id":"p33071","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33072"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33077","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33078"}}},"glyph":{"type":"object","name":"VBar","id":"p33073","attributes":{"x":{"type":"value","value":0.44088176352705405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33074","attributes":{"x":{"type":"value","value":0.44088176352705405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33075","attributes":{"x":{"type":"value","value":0.44088176352705405},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33085","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33079","attributes":{"selected":{"type":"object","name":"Selection","id":"p33080","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33081"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33086","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33087"}}},"glyph":{"type":"object","name":"VBar","id":"p33082","attributes":{"x":{"type":"value","value":0.4428857715430861},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33083","attributes":{"x":{"type":"value","value":0.4428857715430861},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33084","attributes":{"x":{"type":"value","value":0.4428857715430861},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33094","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33088","attributes":{"selected":{"type":"object","name":"Selection","id":"p33089","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33090"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33095","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33096"}}},"glyph":{"type":"object","name":"VBar","id":"p33091","attributes":{"x":{"type":"value","value":0.4448897795591182},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33092","attributes":{"x":{"type":"value","value":0.4448897795591182},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33093","attributes":{"x":{"type":"value","value":0.4448897795591182},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33103","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33097","attributes":{"selected":{"type":"object","name":"Selection","id":"p33098","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33099"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33104","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33105"}}},"glyph":{"type":"object","name":"VBar","id":"p33100","attributes":{"x":{"type":"value","value":0.44689378757515025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33101","attributes":{"x":{"type":"value","value":0.44689378757515025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33102","attributes":{"x":{"type":"value","value":0.44689378757515025},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33112","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33106","attributes":{"selected":{"type":"object","name":"Selection","id":"p33107","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33108"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33113","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33114"}}},"glyph":{"type":"object","name":"VBar","id":"p33109","attributes":{"x":{"type":"value","value":0.4488977955911823},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33110","attributes":{"x":{"type":"value","value":0.4488977955911823},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33111","attributes":{"x":{"type":"value","value":0.4488977955911823},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33121","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33115","attributes":{"selected":{"type":"object","name":"Selection","id":"p33116","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33117"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33122","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33123"}}},"glyph":{"type":"object","name":"VBar","id":"p33118","attributes":{"x":{"type":"value","value":0.4509018036072144},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33119","attributes":{"x":{"type":"value","value":0.4509018036072144},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33120","attributes":{"x":{"type":"value","value":0.4509018036072144},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33130","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33124","attributes":{"selected":{"type":"object","name":"Selection","id":"p33125","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33126"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33131","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33132"}}},"glyph":{"type":"object","name":"VBar","id":"p33127","attributes":{"x":{"type":"value","value":0.45290581162324645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33128","attributes":{"x":{"type":"value","value":0.45290581162324645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33129","attributes":{"x":{"type":"value","value":0.45290581162324645},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33139","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33133","attributes":{"selected":{"type":"object","name":"Selection","id":"p33134","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33135"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33140","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33141"}}},"glyph":{"type":"object","name":"VBar","id":"p33136","attributes":{"x":{"type":"value","value":0.4549098196392785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33137","attributes":{"x":{"type":"value","value":0.4549098196392785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33138","attributes":{"x":{"type":"value","value":0.4549098196392785},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33148","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33142","attributes":{"selected":{"type":"object","name":"Selection","id":"p33143","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33144"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33149","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33150"}}},"glyph":{"type":"object","name":"VBar","id":"p33145","attributes":{"x":{"type":"value","value":0.4569138276553106},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33146","attributes":{"x":{"type":"value","value":0.4569138276553106},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33147","attributes":{"x":{"type":"value","value":0.4569138276553106},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33157","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33151","attributes":{"selected":{"type":"object","name":"Selection","id":"p33152","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33153"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33158","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33159"}}},"glyph":{"type":"object","name":"VBar","id":"p33154","attributes":{"x":{"type":"value","value":0.45891783567134264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33155","attributes":{"x":{"type":"value","value":0.45891783567134264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33156","attributes":{"x":{"type":"value","value":0.45891783567134264},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33166","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33160","attributes":{"selected":{"type":"object","name":"Selection","id":"p33161","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33162"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33167","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33168"}}},"glyph":{"type":"object","name":"VBar","id":"p33163","attributes":{"x":{"type":"value","value":0.4609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33164","attributes":{"x":{"type":"value","value":0.4609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33165","attributes":{"x":{"type":"value","value":0.4609218436873747},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33175","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33169","attributes":{"selected":{"type":"object","name":"Selection","id":"p33170","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33171"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33176","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33177"}}},"glyph":{"type":"object","name":"VBar","id":"p33172","attributes":{"x":{"type":"value","value":0.4629258517034068},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33173","attributes":{"x":{"type":"value","value":0.4629258517034068},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33174","attributes":{"x":{"type":"value","value":0.4629258517034068},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33184","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33178","attributes":{"selected":{"type":"object","name":"Selection","id":"p33179","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33180"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33185","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33186"}}},"glyph":{"type":"object","name":"VBar","id":"p33181","attributes":{"x":{"type":"value","value":0.46492985971943884},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33182","attributes":{"x":{"type":"value","value":0.46492985971943884},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33183","attributes":{"x":{"type":"value","value":0.46492985971943884},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33193","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33187","attributes":{"selected":{"type":"object","name":"Selection","id":"p33188","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33189"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33194","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33195"}}},"glyph":{"type":"object","name":"VBar","id":"p33190","attributes":{"x":{"type":"value","value":0.4669338677354709},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33191","attributes":{"x":{"type":"value","value":0.4669338677354709},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33192","attributes":{"x":{"type":"value","value":0.4669338677354709},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33202","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33196","attributes":{"selected":{"type":"object","name":"Selection","id":"p33197","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33198"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33203","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33204"}}},"glyph":{"type":"object","name":"VBar","id":"p33199","attributes":{"x":{"type":"value","value":0.468937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33200","attributes":{"x":{"type":"value","value":0.468937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33201","attributes":{"x":{"type":"value","value":0.468937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33211","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33205","attributes":{"selected":{"type":"object","name":"Selection","id":"p33206","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33207"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33212","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33213"}}},"glyph":{"type":"object","name":"VBar","id":"p33208","attributes":{"x":{"type":"value","value":0.47094188376753504},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33209","attributes":{"x":{"type":"value","value":0.47094188376753504},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33210","attributes":{"x":{"type":"value","value":0.47094188376753504},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33220","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33214","attributes":{"selected":{"type":"object","name":"Selection","id":"p33215","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33216"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33221","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33222"}}},"glyph":{"type":"object","name":"VBar","id":"p33217","attributes":{"x":{"type":"value","value":0.4729458917835671},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33218","attributes":{"x":{"type":"value","value":0.4729458917835671},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33219","attributes":{"x":{"type":"value","value":0.4729458917835671},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33229","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33223","attributes":{"selected":{"type":"object","name":"Selection","id":"p33224","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33225"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33230","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33231"}}},"glyph":{"type":"object","name":"VBar","id":"p33226","attributes":{"x":{"type":"value","value":0.4749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33227","attributes":{"x":{"type":"value","value":0.4749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33228","attributes":{"x":{"type":"value","value":0.4749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33238","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33232","attributes":{"selected":{"type":"object","name":"Selection","id":"p33233","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33234"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33239","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33240"}}},"glyph":{"type":"object","name":"VBar","id":"p33235","attributes":{"x":{"type":"value","value":0.47695390781563124},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33236","attributes":{"x":{"type":"value","value":0.47695390781563124},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33237","attributes":{"x":{"type":"value","value":0.47695390781563124},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33247","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33241","attributes":{"selected":{"type":"object","name":"Selection","id":"p33242","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33243"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33248","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33249"}}},"glyph":{"type":"object","name":"VBar","id":"p33244","attributes":{"x":{"type":"value","value":0.4789579158316633},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33245","attributes":{"x":{"type":"value","value":0.4789579158316633},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33246","attributes":{"x":{"type":"value","value":0.4789579158316633},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33256","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33250","attributes":{"selected":{"type":"object","name":"Selection","id":"p33251","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33252"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33257","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33258"}}},"glyph":{"type":"object","name":"VBar","id":"p33253","attributes":{"x":{"type":"value","value":0.48096192384769537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33254","attributes":{"x":{"type":"value","value":0.48096192384769537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33255","attributes":{"x":{"type":"value","value":0.48096192384769537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33265","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33259","attributes":{"selected":{"type":"object","name":"Selection","id":"p33260","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33261"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33266","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33267"}}},"glyph":{"type":"object","name":"VBar","id":"p33262","attributes":{"x":{"type":"value","value":0.48296593186372744},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33263","attributes":{"x":{"type":"value","value":0.48296593186372744},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33264","attributes":{"x":{"type":"value","value":0.48296593186372744},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33274","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33268","attributes":{"selected":{"type":"object","name":"Selection","id":"p33269","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33270"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33275","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33276"}}},"glyph":{"type":"object","name":"VBar","id":"p33271","attributes":{"x":{"type":"value","value":0.4849699398797595},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33272","attributes":{"x":{"type":"value","value":0.4849699398797595},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33273","attributes":{"x":{"type":"value","value":0.4849699398797595},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33283","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33277","attributes":{"selected":{"type":"object","name":"Selection","id":"p33278","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33279"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33284","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33285"}}},"glyph":{"type":"object","name":"VBar","id":"p33280","attributes":{"x":{"type":"value","value":0.48697394789579157},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33281","attributes":{"x":{"type":"value","value":0.48697394789579157},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33282","attributes":{"x":{"type":"value","value":0.48697394789579157},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33292","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33286","attributes":{"selected":{"type":"object","name":"Selection","id":"p33287","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33288"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33293","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33294"}}},"glyph":{"type":"object","name":"VBar","id":"p33289","attributes":{"x":{"type":"value","value":0.4889779559118236},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33290","attributes":{"x":{"type":"value","value":0.4889779559118236},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33291","attributes":{"x":{"type":"value","value":0.4889779559118236},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33301","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33295","attributes":{"selected":{"type":"object","name":"Selection","id":"p33296","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33297"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33302","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33303"}}},"glyph":{"type":"object","name":"VBar","id":"p33298","attributes":{"x":{"type":"value","value":0.49098196392785565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33299","attributes":{"x":{"type":"value","value":0.49098196392785565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33300","attributes":{"x":{"type":"value","value":0.49098196392785565},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33310","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33304","attributes":{"selected":{"type":"object","name":"Selection","id":"p33305","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33306"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33311","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33312"}}},"glyph":{"type":"object","name":"VBar","id":"p33307","attributes":{"x":{"type":"value","value":0.4929859719438877},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33308","attributes":{"x":{"type":"value","value":0.4929859719438877},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33309","attributes":{"x":{"type":"value","value":0.4929859719438877},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33319","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33313","attributes":{"selected":{"type":"object","name":"Selection","id":"p33314","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33315"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33320","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33321"}}},"glyph":{"type":"object","name":"VBar","id":"p33316","attributes":{"x":{"type":"value","value":0.4949899799599198},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33317","attributes":{"x":{"type":"value","value":0.4949899799599198},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33318","attributes":{"x":{"type":"value","value":0.4949899799599198},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33328","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33322","attributes":{"selected":{"type":"object","name":"Selection","id":"p33323","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33324"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33329","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33330"}}},"glyph":{"type":"object","name":"VBar","id":"p33325","attributes":{"x":{"type":"value","value":0.49699398797595185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33326","attributes":{"x":{"type":"value","value":0.49699398797595185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33327","attributes":{"x":{"type":"value","value":0.49699398797595185},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33337","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33331","attributes":{"selected":{"type":"object","name":"Selection","id":"p33332","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33333"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33338","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33339"}}},"glyph":{"type":"object","name":"VBar","id":"p33334","attributes":{"x":{"type":"value","value":0.4989979959919839},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33335","attributes":{"x":{"type":"value","value":0.4989979959919839},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33336","attributes":{"x":{"type":"value","value":0.4989979959919839},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33346","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33340","attributes":{"selected":{"type":"object","name":"Selection","id":"p33341","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33342"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33347","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33348"}}},"glyph":{"type":"object","name":"VBar","id":"p33343","attributes":{"x":{"type":"value","value":0.501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33344","attributes":{"x":{"type":"value","value":0.501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33345","attributes":{"x":{"type":"value","value":0.501002004008016},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33355","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33349","attributes":{"selected":{"type":"object","name":"Selection","id":"p33350","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33351"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33356","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33357"}}},"glyph":{"type":"object","name":"VBar","id":"p33352","attributes":{"x":{"type":"value","value":0.503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33353","attributes":{"x":{"type":"value","value":0.503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33354","attributes":{"x":{"type":"value","value":0.503006012024048},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33364","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33358","attributes":{"selected":{"type":"object","name":"Selection","id":"p33359","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33360"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33365","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33366"}}},"glyph":{"type":"object","name":"VBar","id":"p33361","attributes":{"x":{"type":"value","value":0.5050100200400801},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33362","attributes":{"x":{"type":"value","value":0.5050100200400801},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33363","attributes":{"x":{"type":"value","value":0.5050100200400801},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33373","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33367","attributes":{"selected":{"type":"object","name":"Selection","id":"p33368","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33369"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33374","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33375"}}},"glyph":{"type":"object","name":"VBar","id":"p33370","attributes":{"x":{"type":"value","value":0.5070140280561122},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33371","attributes":{"x":{"type":"value","value":0.5070140280561122},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33372","attributes":{"x":{"type":"value","value":0.5070140280561122},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33382","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33376","attributes":{"selected":{"type":"object","name":"Selection","id":"p33377","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33378"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33383","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33384"}}},"glyph":{"type":"object","name":"VBar","id":"p33379","attributes":{"x":{"type":"value","value":0.5090180360721442},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33380","attributes":{"x":{"type":"value","value":0.5090180360721442},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33381","attributes":{"x":{"type":"value","value":0.5090180360721442},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33391","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33385","attributes":{"selected":{"type":"object","name":"Selection","id":"p33386","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33387"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33392","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33393"}}},"glyph":{"type":"object","name":"VBar","id":"p33388","attributes":{"x":{"type":"value","value":0.5110220440881763},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33389","attributes":{"x":{"type":"value","value":0.5110220440881763},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33390","attributes":{"x":{"type":"value","value":0.5110220440881763},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33400","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33394","attributes":{"selected":{"type":"object","name":"Selection","id":"p33395","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33396"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33401","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33402"}}},"glyph":{"type":"object","name":"VBar","id":"p33397","attributes":{"x":{"type":"value","value":0.5130260521042084},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33398","attributes":{"x":{"type":"value","value":0.5130260521042084},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33399","attributes":{"x":{"type":"value","value":0.5130260521042084},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33409","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33403","attributes":{"selected":{"type":"object","name":"Selection","id":"p33404","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33405"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33410","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33411"}}},"glyph":{"type":"object","name":"VBar","id":"p33406","attributes":{"x":{"type":"value","value":0.5150300601202404},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33407","attributes":{"x":{"type":"value","value":0.5150300601202404},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33408","attributes":{"x":{"type":"value","value":0.5150300601202404},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33418","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33412","attributes":{"selected":{"type":"object","name":"Selection","id":"p33413","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33414"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33419","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33420"}}},"glyph":{"type":"object","name":"VBar","id":"p33415","attributes":{"x":{"type":"value","value":0.5170340681362725},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33416","attributes":{"x":{"type":"value","value":0.5170340681362725},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33417","attributes":{"x":{"type":"value","value":0.5170340681362725},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33427","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33421","attributes":{"selected":{"type":"object","name":"Selection","id":"p33422","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33423"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33428","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33429"}}},"glyph":{"type":"object","name":"VBar","id":"p33424","attributes":{"x":{"type":"value","value":0.5190380761523046},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33425","attributes":{"x":{"type":"value","value":0.5190380761523046},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33426","attributes":{"x":{"type":"value","value":0.5190380761523046},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33436","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33430","attributes":{"selected":{"type":"object","name":"Selection","id":"p33431","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33432"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33437","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33438"}}},"glyph":{"type":"object","name":"VBar","id":"p33433","attributes":{"x":{"type":"value","value":0.5210420841683366},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33434","attributes":{"x":{"type":"value","value":0.5210420841683366},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33435","attributes":{"x":{"type":"value","value":0.5210420841683366},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33445","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33439","attributes":{"selected":{"type":"object","name":"Selection","id":"p33440","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33441"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33446","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33447"}}},"glyph":{"type":"object","name":"VBar","id":"p33442","attributes":{"x":{"type":"value","value":0.5230460921843687},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33443","attributes":{"x":{"type":"value","value":0.5230460921843687},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33444","attributes":{"x":{"type":"value","value":0.5230460921843687},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33454","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33448","attributes":{"selected":{"type":"object","name":"Selection","id":"p33449","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33450"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33455","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33456"}}},"glyph":{"type":"object","name":"VBar","id":"p33451","attributes":{"x":{"type":"value","value":0.5250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33452","attributes":{"x":{"type":"value","value":0.5250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33453","attributes":{"x":{"type":"value","value":0.5250501002004008},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33463","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33457","attributes":{"selected":{"type":"object","name":"Selection","id":"p33458","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33459"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33464","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33465"}}},"glyph":{"type":"object","name":"VBar","id":"p33460","attributes":{"x":{"type":"value","value":0.5270541082164328},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33461","attributes":{"x":{"type":"value","value":0.5270541082164328},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33462","attributes":{"x":{"type":"value","value":0.5270541082164328},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33472","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33466","attributes":{"selected":{"type":"object","name":"Selection","id":"p33467","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33468"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33473","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33474"}}},"glyph":{"type":"object","name":"VBar","id":"p33469","attributes":{"x":{"type":"value","value":0.5290581162324649},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33470","attributes":{"x":{"type":"value","value":0.5290581162324649},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33471","attributes":{"x":{"type":"value","value":0.5290581162324649},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33481","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33475","attributes":{"selected":{"type":"object","name":"Selection","id":"p33476","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33477"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33482","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33483"}}},"glyph":{"type":"object","name":"VBar","id":"p33478","attributes":{"x":{"type":"value","value":0.531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33479","attributes":{"x":{"type":"value","value":0.531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33480","attributes":{"x":{"type":"value","value":0.531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33490","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33484","attributes":{"selected":{"type":"object","name":"Selection","id":"p33485","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33486"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33491","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33492"}}},"glyph":{"type":"object","name":"VBar","id":"p33487","attributes":{"x":{"type":"value","value":0.533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33488","attributes":{"x":{"type":"value","value":0.533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33489","attributes":{"x":{"type":"value","value":0.533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33499","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33493","attributes":{"selected":{"type":"object","name":"Selection","id":"p33494","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33495"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33500","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33501"}}},"glyph":{"type":"object","name":"VBar","id":"p33496","attributes":{"x":{"type":"value","value":0.5350701402805611},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33497","attributes":{"x":{"type":"value","value":0.5350701402805611},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33498","attributes":{"x":{"type":"value","value":0.5350701402805611},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33508","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33502","attributes":{"selected":{"type":"object","name":"Selection","id":"p33503","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33504"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33509","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33510"}}},"glyph":{"type":"object","name":"VBar","id":"p33505","attributes":{"x":{"type":"value","value":0.5370741482965932},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33506","attributes":{"x":{"type":"value","value":0.5370741482965932},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33507","attributes":{"x":{"type":"value","value":0.5370741482965932},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33517","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33511","attributes":{"selected":{"type":"object","name":"Selection","id":"p33512","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33513"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33518","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33519"}}},"glyph":{"type":"object","name":"VBar","id":"p33514","attributes":{"x":{"type":"value","value":0.5390781563126252},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33515","attributes":{"x":{"type":"value","value":0.5390781563126252},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33516","attributes":{"x":{"type":"value","value":0.5390781563126252},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33526","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33520","attributes":{"selected":{"type":"object","name":"Selection","id":"p33521","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33522"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33527","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33528"}}},"glyph":{"type":"object","name":"VBar","id":"p33523","attributes":{"x":{"type":"value","value":0.5410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33524","attributes":{"x":{"type":"value","value":0.5410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33525","attributes":{"x":{"type":"value","value":0.5410821643286573},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33535","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33529","attributes":{"selected":{"type":"object","name":"Selection","id":"p33530","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33531"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33536","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33537"}}},"glyph":{"type":"object","name":"VBar","id":"p33532","attributes":{"x":{"type":"value","value":0.5430861723446894},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33533","attributes":{"x":{"type":"value","value":0.5430861723446894},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33534","attributes":{"x":{"type":"value","value":0.5430861723446894},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33544","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33538","attributes":{"selected":{"type":"object","name":"Selection","id":"p33539","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33540"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33545","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33546"}}},"glyph":{"type":"object","name":"VBar","id":"p33541","attributes":{"x":{"type":"value","value":0.5450901803607214},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33542","attributes":{"x":{"type":"value","value":0.5450901803607214},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33543","attributes":{"x":{"type":"value","value":0.5450901803607214},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33553","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33547","attributes":{"selected":{"type":"object","name":"Selection","id":"p33548","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33549"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33554","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33555"}}},"glyph":{"type":"object","name":"VBar","id":"p33550","attributes":{"x":{"type":"value","value":0.5470941883767535},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33551","attributes":{"x":{"type":"value","value":0.5470941883767535},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33552","attributes":{"x":{"type":"value","value":0.5470941883767535},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33562","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33556","attributes":{"selected":{"type":"object","name":"Selection","id":"p33557","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33558"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33563","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33564"}}},"glyph":{"type":"object","name":"VBar","id":"p33559","attributes":{"x":{"type":"value","value":0.5490981963927856},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.3},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.3},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33560","attributes":{"x":{"type":"value","value":0.5490981963927856},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33561","attributes":{"x":{"type":"value","value":0.5490981963927856},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33571","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33565","attributes":{"selected":{"type":"object","name":"Selection","id":"p33566","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33567"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33572","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33573"}}},"glyph":{"type":"object","name":"VBar","id":"p33568","attributes":{"x":{"type":"value","value":0.5511022044088176},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33569","attributes":{"x":{"type":"value","value":0.5511022044088176},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33570","attributes":{"x":{"type":"value","value":0.5511022044088176},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33580","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33574","attributes":{"selected":{"type":"object","name":"Selection","id":"p33575","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33576"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33581","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33582"}}},"glyph":{"type":"object","name":"VBar","id":"p33577","attributes":{"x":{"type":"value","value":0.5531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33578","attributes":{"x":{"type":"value","value":0.5531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33579","attributes":{"x":{"type":"value","value":0.5531062124248497},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33589","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33583","attributes":{"selected":{"type":"object","name":"Selection","id":"p33584","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33585"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33590","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33591"}}},"glyph":{"type":"object","name":"VBar","id":"p33586","attributes":{"x":{"type":"value","value":0.5551102204408818},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33587","attributes":{"x":{"type":"value","value":0.5551102204408818},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33588","attributes":{"x":{"type":"value","value":0.5551102204408818},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33598","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33592","attributes":{"selected":{"type":"object","name":"Selection","id":"p33593","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33594"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33599","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33600"}}},"glyph":{"type":"object","name":"VBar","id":"p33595","attributes":{"x":{"type":"value","value":0.5571142284569138},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33596","attributes":{"x":{"type":"value","value":0.5571142284569138},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33597","attributes":{"x":{"type":"value","value":0.5571142284569138},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33607","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33601","attributes":{"selected":{"type":"object","name":"Selection","id":"p33602","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33603"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33608","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33609"}}},"glyph":{"type":"object","name":"VBar","id":"p33604","attributes":{"x":{"type":"value","value":0.5591182364729459},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33605","attributes":{"x":{"type":"value","value":0.5591182364729459},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33606","attributes":{"x":{"type":"value","value":0.5591182364729459},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33616","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33610","attributes":{"selected":{"type":"object","name":"Selection","id":"p33611","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33612"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33617","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33618"}}},"glyph":{"type":"object","name":"VBar","id":"p33613","attributes":{"x":{"type":"value","value":0.561122244488978},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33614","attributes":{"x":{"type":"value","value":0.561122244488978},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33615","attributes":{"x":{"type":"value","value":0.561122244488978},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33625","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33619","attributes":{"selected":{"type":"object","name":"Selection","id":"p33620","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33621"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33626","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33627"}}},"glyph":{"type":"object","name":"VBar","id":"p33622","attributes":{"x":{"type":"value","value":0.56312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33623","attributes":{"x":{"type":"value","value":0.56312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33624","attributes":{"x":{"type":"value","value":0.56312625250501},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33634","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33628","attributes":{"selected":{"type":"object","name":"Selection","id":"p33629","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33630"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33635","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33636"}}},"glyph":{"type":"object","name":"VBar","id":"p33631","attributes":{"x":{"type":"value","value":0.565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33632","attributes":{"x":{"type":"value","value":0.565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33633","attributes":{"x":{"type":"value","value":0.565130260521042},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33643","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33637","attributes":{"selected":{"type":"object","name":"Selection","id":"p33638","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33639"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33644","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33645"}}},"glyph":{"type":"object","name":"VBar","id":"p33640","attributes":{"x":{"type":"value","value":0.567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33641","attributes":{"x":{"type":"value","value":0.567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33642","attributes":{"x":{"type":"value","value":0.567134268537074},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33652","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33646","attributes":{"selected":{"type":"object","name":"Selection","id":"p33647","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33648"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33653","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33654"}}},"glyph":{"type":"object","name":"VBar","id":"p33649","attributes":{"x":{"type":"value","value":0.5691382765531061},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33650","attributes":{"x":{"type":"value","value":0.5691382765531061},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33651","attributes":{"x":{"type":"value","value":0.5691382765531061},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33661","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33655","attributes":{"selected":{"type":"object","name":"Selection","id":"p33656","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33657"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33662","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33663"}}},"glyph":{"type":"object","name":"VBar","id":"p33658","attributes":{"x":{"type":"value","value":0.5711422845691382},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33659","attributes":{"x":{"type":"value","value":0.5711422845691382},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33660","attributes":{"x":{"type":"value","value":0.5711422845691382},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33670","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33664","attributes":{"selected":{"type":"object","name":"Selection","id":"p33665","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33666"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33671","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33672"}}},"glyph":{"type":"object","name":"VBar","id":"p33667","attributes":{"x":{"type":"value","value":0.5731462925851702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33668","attributes":{"x":{"type":"value","value":0.5731462925851702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33669","attributes":{"x":{"type":"value","value":0.5731462925851702},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33679","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33673","attributes":{"selected":{"type":"object","name":"Selection","id":"p33674","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33675"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33680","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33681"}}},"glyph":{"type":"object","name":"VBar","id":"p33676","attributes":{"x":{"type":"value","value":0.5751503006012023},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33677","attributes":{"x":{"type":"value","value":0.5751503006012023},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33678","attributes":{"x":{"type":"value","value":0.5751503006012023},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33688","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33682","attributes":{"selected":{"type":"object","name":"Selection","id":"p33683","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33684"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33689","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33690"}}},"glyph":{"type":"object","name":"VBar","id":"p33685","attributes":{"x":{"type":"value","value":0.5771543086172344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33686","attributes":{"x":{"type":"value","value":0.5771543086172344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33687","attributes":{"x":{"type":"value","value":0.5771543086172344},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33697","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33691","attributes":{"selected":{"type":"object","name":"Selection","id":"p33692","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33693"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33698","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33699"}}},"glyph":{"type":"object","name":"VBar","id":"p33694","attributes":{"x":{"type":"value","value":0.5791583166332664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33695","attributes":{"x":{"type":"value","value":0.5791583166332664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33696","attributes":{"x":{"type":"value","value":0.5791583166332664},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33706","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33700","attributes":{"selected":{"type":"object","name":"Selection","id":"p33701","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33702"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33707","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33708"}}},"glyph":{"type":"object","name":"VBar","id":"p33703","attributes":{"x":{"type":"value","value":0.5811623246492985},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33704","attributes":{"x":{"type":"value","value":0.5811623246492985},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33705","attributes":{"x":{"type":"value","value":0.5811623246492985},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33715","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33709","attributes":{"selected":{"type":"object","name":"Selection","id":"p33710","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33711"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33716","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33717"}}},"glyph":{"type":"object","name":"VBar","id":"p33712","attributes":{"x":{"type":"value","value":0.5831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33713","attributes":{"x":{"type":"value","value":0.5831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33714","attributes":{"x":{"type":"value","value":0.5831663326653306},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33724","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33718","attributes":{"selected":{"type":"object","name":"Selection","id":"p33719","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33720"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33725","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33726"}}},"glyph":{"type":"object","name":"VBar","id":"p33721","attributes":{"x":{"type":"value","value":0.5851703406813626},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33722","attributes":{"x":{"type":"value","value":0.5851703406813626},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33723","attributes":{"x":{"type":"value","value":0.5851703406813626},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33733","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33727","attributes":{"selected":{"type":"object","name":"Selection","id":"p33728","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33729"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33734","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33735"}}},"glyph":{"type":"object","name":"VBar","id":"p33730","attributes":{"x":{"type":"value","value":0.5871743486973947},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33731","attributes":{"x":{"type":"value","value":0.5871743486973947},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33732","attributes":{"x":{"type":"value","value":0.5871743486973947},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33742","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33736","attributes":{"selected":{"type":"object","name":"Selection","id":"p33737","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33738"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33743","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33744"}}},"glyph":{"type":"object","name":"VBar","id":"p33739","attributes":{"x":{"type":"value","value":0.5891783567134268},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33740","attributes":{"x":{"type":"value","value":0.5891783567134268},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33741","attributes":{"x":{"type":"value","value":0.5891783567134268},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33751","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33745","attributes":{"selected":{"type":"object","name":"Selection","id":"p33746","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33747"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33752","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33753"}}},"glyph":{"type":"object","name":"VBar","id":"p33748","attributes":{"x":{"type":"value","value":0.5911823647294588},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33749","attributes":{"x":{"type":"value","value":0.5911823647294588},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33750","attributes":{"x":{"type":"value","value":0.5911823647294588},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33760","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33754","attributes":{"selected":{"type":"object","name":"Selection","id":"p33755","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33756"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33761","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33762"}}},"glyph":{"type":"object","name":"VBar","id":"p33757","attributes":{"x":{"type":"value","value":0.5931863727454909},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33758","attributes":{"x":{"type":"value","value":0.5931863727454909},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33759","attributes":{"x":{"type":"value","value":0.5931863727454909},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33769","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33763","attributes":{"selected":{"type":"object","name":"Selection","id":"p33764","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33765"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33770","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33771"}}},"glyph":{"type":"object","name":"VBar","id":"p33766","attributes":{"x":{"type":"value","value":0.595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33767","attributes":{"x":{"type":"value","value":0.595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33768","attributes":{"x":{"type":"value","value":0.595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33778","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33772","attributes":{"selected":{"type":"object","name":"Selection","id":"p33773","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33774"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33779","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33780"}}},"glyph":{"type":"object","name":"VBar","id":"p33775","attributes":{"x":{"type":"value","value":0.597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33776","attributes":{"x":{"type":"value","value":0.597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33777","attributes":{"x":{"type":"value","value":0.597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33787","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33781","attributes":{"selected":{"type":"object","name":"Selection","id":"p33782","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33783"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33788","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33789"}}},"glyph":{"type":"object","name":"VBar","id":"p33784","attributes":{"x":{"type":"value","value":0.5991983967935871},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33785","attributes":{"x":{"type":"value","value":0.5991983967935871},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33786","attributes":{"x":{"type":"value","value":0.5991983967935871},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33796","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33790","attributes":{"selected":{"type":"object","name":"Selection","id":"p33791","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33792"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33797","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33798"}}},"glyph":{"type":"object","name":"VBar","id":"p33793","attributes":{"x":{"type":"value","value":0.6012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33794","attributes":{"x":{"type":"value","value":0.6012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33795","attributes":{"x":{"type":"value","value":0.6012024048096192},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33805","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33799","attributes":{"selected":{"type":"object","name":"Selection","id":"p33800","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33801"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33806","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33807"}}},"glyph":{"type":"object","name":"VBar","id":"p33802","attributes":{"x":{"type":"value","value":0.6032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33803","attributes":{"x":{"type":"value","value":0.6032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33804","attributes":{"x":{"type":"value","value":0.6032064128256512},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33814","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33808","attributes":{"selected":{"type":"object","name":"Selection","id":"p33809","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33810"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33815","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33816"}}},"glyph":{"type":"object","name":"VBar","id":"p33811","attributes":{"x":{"type":"value","value":0.6052104208416833},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33812","attributes":{"x":{"type":"value","value":0.6052104208416833},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33813","attributes":{"x":{"type":"value","value":0.6052104208416833},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33823","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33817","attributes":{"selected":{"type":"object","name":"Selection","id":"p33818","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33819"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33824","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33825"}}},"glyph":{"type":"object","name":"VBar","id":"p33820","attributes":{"x":{"type":"value","value":0.6072144288577154},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33821","attributes":{"x":{"type":"value","value":0.6072144288577154},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33822","attributes":{"x":{"type":"value","value":0.6072144288577154},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33832","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33826","attributes":{"selected":{"type":"object","name":"Selection","id":"p33827","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33828"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33833","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33834"}}},"glyph":{"type":"object","name":"VBar","id":"p33829","attributes":{"x":{"type":"value","value":0.6092184368737474},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33830","attributes":{"x":{"type":"value","value":0.6092184368737474},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33831","attributes":{"x":{"type":"value","value":0.6092184368737474},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33841","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33835","attributes":{"selected":{"type":"object","name":"Selection","id":"p33836","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33837"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33842","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33843"}}},"glyph":{"type":"object","name":"VBar","id":"p33838","attributes":{"x":{"type":"value","value":0.6112224448897795},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33839","attributes":{"x":{"type":"value","value":0.6112224448897795},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33840","attributes":{"x":{"type":"value","value":0.6112224448897795},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33850","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33844","attributes":{"selected":{"type":"object","name":"Selection","id":"p33845","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33846"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33851","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33852"}}},"glyph":{"type":"object","name":"VBar","id":"p33847","attributes":{"x":{"type":"value","value":0.6132264529058116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33848","attributes":{"x":{"type":"value","value":0.6132264529058116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33849","attributes":{"x":{"type":"value","value":0.6132264529058116},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33859","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33853","attributes":{"selected":{"type":"object","name":"Selection","id":"p33854","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33855"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33860","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33861"}}},"glyph":{"type":"object","name":"VBar","id":"p33856","attributes":{"x":{"type":"value","value":0.6152304609218436},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33857","attributes":{"x":{"type":"value","value":0.6152304609218436},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33858","attributes":{"x":{"type":"value","value":0.6152304609218436},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33868","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33862","attributes":{"selected":{"type":"object","name":"Selection","id":"p33863","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33864"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33869","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33870"}}},"glyph":{"type":"object","name":"VBar","id":"p33865","attributes":{"x":{"type":"value","value":0.6172344689378757},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33866","attributes":{"x":{"type":"value","value":0.6172344689378757},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33867","attributes":{"x":{"type":"value","value":0.6172344689378757},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33877","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33871","attributes":{"selected":{"type":"object","name":"Selection","id":"p33872","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33873"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33878","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33879"}}},"glyph":{"type":"object","name":"VBar","id":"p33874","attributes":{"x":{"type":"value","value":0.6192384769539078},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33875","attributes":{"x":{"type":"value","value":0.6192384769539078},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33876","attributes":{"x":{"type":"value","value":0.6192384769539078},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33886","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33880","attributes":{"selected":{"type":"object","name":"Selection","id":"p33881","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33882"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33887","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33888"}}},"glyph":{"type":"object","name":"VBar","id":"p33883","attributes":{"x":{"type":"value","value":0.6212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33884","attributes":{"x":{"type":"value","value":0.6212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33885","attributes":{"x":{"type":"value","value":0.6212424849699398},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33895","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33889","attributes":{"selected":{"type":"object","name":"Selection","id":"p33890","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33891"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33896","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33897"}}},"glyph":{"type":"object","name":"VBar","id":"p33892","attributes":{"x":{"type":"value","value":0.6232464929859719},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33893","attributes":{"x":{"type":"value","value":0.6232464929859719},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33894","attributes":{"x":{"type":"value","value":0.6232464929859719},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33904","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33898","attributes":{"selected":{"type":"object","name":"Selection","id":"p33899","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33900"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33905","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33906"}}},"glyph":{"type":"object","name":"VBar","id":"p33901","attributes":{"x":{"type":"value","value":0.625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33902","attributes":{"x":{"type":"value","value":0.625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33903","attributes":{"x":{"type":"value","value":0.625250501002004},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33913","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33907","attributes":{"selected":{"type":"object","name":"Selection","id":"p33908","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33909"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33914","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33915"}}},"glyph":{"type":"object","name":"VBar","id":"p33910","attributes":{"x":{"type":"value","value":0.627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33911","attributes":{"x":{"type":"value","value":0.627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33912","attributes":{"x":{"type":"value","value":0.627254509018036},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33922","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33916","attributes":{"selected":{"type":"object","name":"Selection","id":"p33917","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33918"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33923","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33924"}}},"glyph":{"type":"object","name":"VBar","id":"p33919","attributes":{"x":{"type":"value","value":0.6292585170340681},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33920","attributes":{"x":{"type":"value","value":0.6292585170340681},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33921","attributes":{"x":{"type":"value","value":0.6292585170340681},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33931","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33925","attributes":{"selected":{"type":"object","name":"Selection","id":"p33926","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33927"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33932","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33933"}}},"glyph":{"type":"object","name":"VBar","id":"p33928","attributes":{"x":{"type":"value","value":0.6312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33929","attributes":{"x":{"type":"value","value":0.6312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33930","attributes":{"x":{"type":"value","value":0.6312625250501002},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33940","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33934","attributes":{"selected":{"type":"object","name":"Selection","id":"p33935","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33936"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33941","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33942"}}},"glyph":{"type":"object","name":"VBar","id":"p33937","attributes":{"x":{"type":"value","value":0.6332665330661322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33938","attributes":{"x":{"type":"value","value":0.6332665330661322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33939","attributes":{"x":{"type":"value","value":0.6332665330661322},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33949","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33943","attributes":{"selected":{"type":"object","name":"Selection","id":"p33944","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33945"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33950","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33951"}}},"glyph":{"type":"object","name":"VBar","id":"p33946","attributes":{"x":{"type":"value","value":0.6352705410821643},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33947","attributes":{"x":{"type":"value","value":0.6352705410821643},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33948","attributes":{"x":{"type":"value","value":0.6352705410821643},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33958","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33952","attributes":{"selected":{"type":"object","name":"Selection","id":"p33953","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33954"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33959","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33960"}}},"glyph":{"type":"object","name":"VBar","id":"p33955","attributes":{"x":{"type":"value","value":0.6372745490981964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33956","attributes":{"x":{"type":"value","value":0.6372745490981964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33957","attributes":{"x":{"type":"value","value":0.6372745490981964},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33967","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33961","attributes":{"selected":{"type":"object","name":"Selection","id":"p33962","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33963"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33968","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33969"}}},"glyph":{"type":"object","name":"VBar","id":"p33964","attributes":{"x":{"type":"value","value":0.6392785571142284},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33965","attributes":{"x":{"type":"value","value":0.6392785571142284},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33966","attributes":{"x":{"type":"value","value":0.6392785571142284},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33976","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33970","attributes":{"selected":{"type":"object","name":"Selection","id":"p33971","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33972"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33977","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33978"}}},"glyph":{"type":"object","name":"VBar","id":"p33973","attributes":{"x":{"type":"value","value":0.6412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33974","attributes":{"x":{"type":"value","value":0.6412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33975","attributes":{"x":{"type":"value","value":0.6412825651302605},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33985","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33979","attributes":{"selected":{"type":"object","name":"Selection","id":"p33980","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33981"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33986","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33987"}}},"glyph":{"type":"object","name":"VBar","id":"p33982","attributes":{"x":{"type":"value","value":0.6432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33983","attributes":{"x":{"type":"value","value":0.6432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33984","attributes":{"x":{"type":"value","value":0.6432865731462926},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p33994","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33988","attributes":{"selected":{"type":"object","name":"Selection","id":"p33989","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33990"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p33995","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p33996"}}},"glyph":{"type":"object","name":"VBar","id":"p33991","attributes":{"x":{"type":"value","value":0.6452905811623246},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p33992","attributes":{"x":{"type":"value","value":0.6452905811623246},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p33993","attributes":{"x":{"type":"value","value":0.6452905811623246},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34003","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p33997","attributes":{"selected":{"type":"object","name":"Selection","id":"p33998","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p33999"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34004","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34005"}}},"glyph":{"type":"object","name":"VBar","id":"p34000","attributes":{"x":{"type":"value","value":0.6472945891783567},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34001","attributes":{"x":{"type":"value","value":0.6472945891783567},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34002","attributes":{"x":{"type":"value","value":0.6472945891783567},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34012","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34006","attributes":{"selected":{"type":"object","name":"Selection","id":"p34007","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34008"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34013","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34014"}}},"glyph":{"type":"object","name":"VBar","id":"p34009","attributes":{"x":{"type":"value","value":0.6492985971943888},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34010","attributes":{"x":{"type":"value","value":0.6492985971943888},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34011","attributes":{"x":{"type":"value","value":0.6492985971943888},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34021","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34015","attributes":{"selected":{"type":"object","name":"Selection","id":"p34016","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34017"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34022","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34023"}}},"glyph":{"type":"object","name":"VBar","id":"p34018","attributes":{"x":{"type":"value","value":0.6513026052104208},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34019","attributes":{"x":{"type":"value","value":0.6513026052104208},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34020","attributes":{"x":{"type":"value","value":0.6513026052104208},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34030","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34024","attributes":{"selected":{"type":"object","name":"Selection","id":"p34025","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34026"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34031","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34032"}}},"glyph":{"type":"object","name":"VBar","id":"p34027","attributes":{"x":{"type":"value","value":0.6533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34028","attributes":{"x":{"type":"value","value":0.6533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34029","attributes":{"x":{"type":"value","value":0.6533066132264529},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34039","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34033","attributes":{"selected":{"type":"object","name":"Selection","id":"p34034","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34035"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34040","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34041"}}},"glyph":{"type":"object","name":"VBar","id":"p34036","attributes":{"x":{"type":"value","value":0.655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34037","attributes":{"x":{"type":"value","value":0.655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34038","attributes":{"x":{"type":"value","value":0.655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34048","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34042","attributes":{"selected":{"type":"object","name":"Selection","id":"p34043","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34044"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34049","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34050"}}},"glyph":{"type":"object","name":"VBar","id":"p34045","attributes":{"x":{"type":"value","value":0.657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34046","attributes":{"x":{"type":"value","value":0.657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34047","attributes":{"x":{"type":"value","value":0.657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34057","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34051","attributes":{"selected":{"type":"object","name":"Selection","id":"p34052","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34053"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34058","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34059"}}},"glyph":{"type":"object","name":"VBar","id":"p34054","attributes":{"x":{"type":"value","value":0.6593186372745491},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34055","attributes":{"x":{"type":"value","value":0.6593186372745491},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34056","attributes":{"x":{"type":"value","value":0.6593186372745491},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34066","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34060","attributes":{"selected":{"type":"object","name":"Selection","id":"p34061","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34062"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34067","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34068"}}},"glyph":{"type":"object","name":"VBar","id":"p34063","attributes":{"x":{"type":"value","value":0.6613226452905812},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34064","attributes":{"x":{"type":"value","value":0.6613226452905812},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34065","attributes":{"x":{"type":"value","value":0.6613226452905812},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34075","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34069","attributes":{"selected":{"type":"object","name":"Selection","id":"p34070","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34071"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34076","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34077"}}},"glyph":{"type":"object","name":"VBar","id":"p34072","attributes":{"x":{"type":"value","value":0.6633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34073","attributes":{"x":{"type":"value","value":0.6633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34074","attributes":{"x":{"type":"value","value":0.6633266533066132},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34084","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34078","attributes":{"selected":{"type":"object","name":"Selection","id":"p34079","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34080"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34085","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34086"}}},"glyph":{"type":"object","name":"VBar","id":"p34081","attributes":{"x":{"type":"value","value":0.6653306613226453},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34082","attributes":{"x":{"type":"value","value":0.6653306613226453},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34083","attributes":{"x":{"type":"value","value":0.6653306613226453},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34093","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34087","attributes":{"selected":{"type":"object","name":"Selection","id":"p34088","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34089"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34094","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34095"}}},"glyph":{"type":"object","name":"VBar","id":"p34090","attributes":{"x":{"type":"value","value":0.6673346693386772},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34091","attributes":{"x":{"type":"value","value":0.6673346693386772},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34092","attributes":{"x":{"type":"value","value":0.6673346693386772},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34102","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34096","attributes":{"selected":{"type":"object","name":"Selection","id":"p34097","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34098"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34103","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34104"}}},"glyph":{"type":"object","name":"VBar","id":"p34099","attributes":{"x":{"type":"value","value":0.6693386773547093},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34100","attributes":{"x":{"type":"value","value":0.6693386773547093},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34101","attributes":{"x":{"type":"value","value":0.6693386773547093},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34111","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34105","attributes":{"selected":{"type":"object","name":"Selection","id":"p34106","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34107"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34112","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34113"}}},"glyph":{"type":"object","name":"VBar","id":"p34108","attributes":{"x":{"type":"value","value":0.6713426853707414},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34109","attributes":{"x":{"type":"value","value":0.6713426853707414},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34110","attributes":{"x":{"type":"value","value":0.6713426853707414},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34120","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34114","attributes":{"selected":{"type":"object","name":"Selection","id":"p34115","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34116"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34121","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34122"}}},"glyph":{"type":"object","name":"VBar","id":"p34117","attributes":{"x":{"type":"value","value":0.6733466933867734},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34118","attributes":{"x":{"type":"value","value":0.6733466933867734},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34119","attributes":{"x":{"type":"value","value":0.6733466933867734},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34129","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34123","attributes":{"selected":{"type":"object","name":"Selection","id":"p34124","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34125"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34130","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34131"}}},"glyph":{"type":"object","name":"VBar","id":"p34126","attributes":{"x":{"type":"value","value":0.6753507014028055},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34127","attributes":{"x":{"type":"value","value":0.6753507014028055},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34128","attributes":{"x":{"type":"value","value":0.6753507014028055},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34138","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34132","attributes":{"selected":{"type":"object","name":"Selection","id":"p34133","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34134"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34139","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34140"}}},"glyph":{"type":"object","name":"VBar","id":"p34135","attributes":{"x":{"type":"value","value":0.6773547094188376},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34136","attributes":{"x":{"type":"value","value":0.6773547094188376},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34137","attributes":{"x":{"type":"value","value":0.6773547094188376},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34147","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34141","attributes":{"selected":{"type":"object","name":"Selection","id":"p34142","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34143"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34148","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34149"}}},"glyph":{"type":"object","name":"VBar","id":"p34144","attributes":{"x":{"type":"value","value":0.6793587174348696},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34145","attributes":{"x":{"type":"value","value":0.6793587174348696},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34146","attributes":{"x":{"type":"value","value":0.6793587174348696},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34156","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34150","attributes":{"selected":{"type":"object","name":"Selection","id":"p34151","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34152"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34157","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34158"}}},"glyph":{"type":"object","name":"VBar","id":"p34153","attributes":{"x":{"type":"value","value":0.6813627254509017},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34154","attributes":{"x":{"type":"value","value":0.6813627254509017},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34155","attributes":{"x":{"type":"value","value":0.6813627254509017},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34165","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34159","attributes":{"selected":{"type":"object","name":"Selection","id":"p34160","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34161"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34166","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34167"}}},"glyph":{"type":"object","name":"VBar","id":"p34162","attributes":{"x":{"type":"value","value":0.6833667334669338},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34163","attributes":{"x":{"type":"value","value":0.6833667334669338},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34164","attributes":{"x":{"type":"value","value":0.6833667334669338},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34174","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34168","attributes":{"selected":{"type":"object","name":"Selection","id":"p34169","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34170"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34175","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34176"}}},"glyph":{"type":"object","name":"VBar","id":"p34171","attributes":{"x":{"type":"value","value":0.6853707414829658},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34172","attributes":{"x":{"type":"value","value":0.6853707414829658},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34173","attributes":{"x":{"type":"value","value":0.6853707414829658},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34183","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34177","attributes":{"selected":{"type":"object","name":"Selection","id":"p34178","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34179"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34184","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34185"}}},"glyph":{"type":"object","name":"VBar","id":"p34180","attributes":{"x":{"type":"value","value":0.6873747494989979},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34181","attributes":{"x":{"type":"value","value":0.6873747494989979},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34182","attributes":{"x":{"type":"value","value":0.6873747494989979},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34192","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34186","attributes":{"selected":{"type":"object","name":"Selection","id":"p34187","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34188"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34193","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34194"}}},"glyph":{"type":"object","name":"VBar","id":"p34189","attributes":{"x":{"type":"value","value":0.68937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34190","attributes":{"x":{"type":"value","value":0.68937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34191","attributes":{"x":{"type":"value","value":0.68937875751503},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34201","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34195","attributes":{"selected":{"type":"object","name":"Selection","id":"p34196","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34197"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34202","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34203"}}},"glyph":{"type":"object","name":"VBar","id":"p34198","attributes":{"x":{"type":"value","value":0.691382765531062},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34199","attributes":{"x":{"type":"value","value":0.691382765531062},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34200","attributes":{"x":{"type":"value","value":0.691382765531062},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34210","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34204","attributes":{"selected":{"type":"object","name":"Selection","id":"p34205","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34206"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34211","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34212"}}},"glyph":{"type":"object","name":"VBar","id":"p34207","attributes":{"x":{"type":"value","value":0.6933867735470941},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34208","attributes":{"x":{"type":"value","value":0.6933867735470941},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34209","attributes":{"x":{"type":"value","value":0.6933867735470941},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34219","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34213","attributes":{"selected":{"type":"object","name":"Selection","id":"p34214","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34215"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34220","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34221"}}},"glyph":{"type":"object","name":"VBar","id":"p34216","attributes":{"x":{"type":"value","value":0.6953907815631262},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34217","attributes":{"x":{"type":"value","value":0.6953907815631262},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34218","attributes":{"x":{"type":"value","value":0.6953907815631262},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34228","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34222","attributes":{"selected":{"type":"object","name":"Selection","id":"p34223","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34224"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34229","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34230"}}},"glyph":{"type":"object","name":"VBar","id":"p34225","attributes":{"x":{"type":"value","value":0.6973947895791582},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34226","attributes":{"x":{"type":"value","value":0.6973947895791582},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34227","attributes":{"x":{"type":"value","value":0.6973947895791582},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34237","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34231","attributes":{"selected":{"type":"object","name":"Selection","id":"p34232","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34233"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34238","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34239"}}},"glyph":{"type":"object","name":"VBar","id":"p34234","attributes":{"x":{"type":"value","value":0.6993987975951903},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34235","attributes":{"x":{"type":"value","value":0.6993987975951903},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34236","attributes":{"x":{"type":"value","value":0.6993987975951903},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34246","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34240","attributes":{"selected":{"type":"object","name":"Selection","id":"p34241","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34242"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34247","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34248"}}},"glyph":{"type":"object","name":"VBar","id":"p34243","attributes":{"x":{"type":"value","value":0.7014028056112224},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34244","attributes":{"x":{"type":"value","value":0.7014028056112224},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34245","attributes":{"x":{"type":"value","value":0.7014028056112224},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34255","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34249","attributes":{"selected":{"type":"object","name":"Selection","id":"p34250","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34251"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34256","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34257"}}},"glyph":{"type":"object","name":"VBar","id":"p34252","attributes":{"x":{"type":"value","value":0.7034068136272544},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34253","attributes":{"x":{"type":"value","value":0.7034068136272544},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34254","attributes":{"x":{"type":"value","value":0.7034068136272544},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34264","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34258","attributes":{"selected":{"type":"object","name":"Selection","id":"p34259","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34260"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34265","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34266"}}},"glyph":{"type":"object","name":"VBar","id":"p34261","attributes":{"x":{"type":"value","value":0.7054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34262","attributes":{"x":{"type":"value","value":0.7054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34263","attributes":{"x":{"type":"value","value":0.7054108216432865},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34273","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34267","attributes":{"selected":{"type":"object","name":"Selection","id":"p34268","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34269"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34274","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34275"}}},"glyph":{"type":"object","name":"VBar","id":"p34270","attributes":{"x":{"type":"value","value":0.7074148296593186},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34271","attributes":{"x":{"type":"value","value":0.7074148296593186},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34272","attributes":{"x":{"type":"value","value":0.7074148296593186},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34282","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34276","attributes":{"selected":{"type":"object","name":"Selection","id":"p34277","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34278"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34283","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34284"}}},"glyph":{"type":"object","name":"VBar","id":"p34279","attributes":{"x":{"type":"value","value":0.7094188376753506},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34280","attributes":{"x":{"type":"value","value":0.7094188376753506},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34281","attributes":{"x":{"type":"value","value":0.7094188376753506},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34291","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34285","attributes":{"selected":{"type":"object","name":"Selection","id":"p34286","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34287"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34292","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34293"}}},"glyph":{"type":"object","name":"VBar","id":"p34288","attributes":{"x":{"type":"value","value":0.7114228456913827},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34289","attributes":{"x":{"type":"value","value":0.7114228456913827},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34290","attributes":{"x":{"type":"value","value":0.7114228456913827},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34300","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34294","attributes":{"selected":{"type":"object","name":"Selection","id":"p34295","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34296"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34301","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34302"}}},"glyph":{"type":"object","name":"VBar","id":"p34297","attributes":{"x":{"type":"value","value":0.7134268537074148},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34298","attributes":{"x":{"type":"value","value":0.7134268537074148},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34299","attributes":{"x":{"type":"value","value":0.7134268537074148},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34309","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34303","attributes":{"selected":{"type":"object","name":"Selection","id":"p34304","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34305"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34310","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34311"}}},"glyph":{"type":"object","name":"VBar","id":"p34306","attributes":{"x":{"type":"value","value":0.7154308617234468},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34307","attributes":{"x":{"type":"value","value":0.7154308617234468},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34308","attributes":{"x":{"type":"value","value":0.7154308617234468},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34318","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34312","attributes":{"selected":{"type":"object","name":"Selection","id":"p34313","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34314"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34319","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34320"}}},"glyph":{"type":"object","name":"VBar","id":"p34315","attributes":{"x":{"type":"value","value":0.7174348697394789},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34316","attributes":{"x":{"type":"value","value":0.7174348697394789},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34317","attributes":{"x":{"type":"value","value":0.7174348697394789},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34327","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34321","attributes":{"selected":{"type":"object","name":"Selection","id":"p34322","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34323"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34328","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34329"}}},"glyph":{"type":"object","name":"VBar","id":"p34324","attributes":{"x":{"type":"value","value":0.719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34325","attributes":{"x":{"type":"value","value":0.719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34326","attributes":{"x":{"type":"value","value":0.719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34336","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34330","attributes":{"selected":{"type":"object","name":"Selection","id":"p34331","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34332"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34337","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34338"}}},"glyph":{"type":"object","name":"VBar","id":"p34333","attributes":{"x":{"type":"value","value":0.721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34334","attributes":{"x":{"type":"value","value":0.721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34335","attributes":{"x":{"type":"value","value":0.721442885771543},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34345","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34339","attributes":{"selected":{"type":"object","name":"Selection","id":"p34340","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34341"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34346","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34347"}}},"glyph":{"type":"object","name":"VBar","id":"p34342","attributes":{"x":{"type":"value","value":0.7234468937875751},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34343","attributes":{"x":{"type":"value","value":0.7234468937875751},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34344","attributes":{"x":{"type":"value","value":0.7234468937875751},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34354","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34348","attributes":{"selected":{"type":"object","name":"Selection","id":"p34349","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34350"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34355","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34356"}}},"glyph":{"type":"object","name":"VBar","id":"p34351","attributes":{"x":{"type":"value","value":0.7254509018036072},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34352","attributes":{"x":{"type":"value","value":0.7254509018036072},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34353","attributes":{"x":{"type":"value","value":0.7254509018036072},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34363","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34357","attributes":{"selected":{"type":"object","name":"Selection","id":"p34358","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34359"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34364","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34365"}}},"glyph":{"type":"object","name":"VBar","id":"p34360","attributes":{"x":{"type":"value","value":0.7274549098196392},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34361","attributes":{"x":{"type":"value","value":0.7274549098196392},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34362","attributes":{"x":{"type":"value","value":0.7274549098196392},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34372","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34366","attributes":{"selected":{"type":"object","name":"Selection","id":"p34367","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34368"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34373","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34374"}}},"glyph":{"type":"object","name":"VBar","id":"p34369","attributes":{"x":{"type":"value","value":0.7294589178356713},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34370","attributes":{"x":{"type":"value","value":0.7294589178356713},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34371","attributes":{"x":{"type":"value","value":0.7294589178356713},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34381","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34375","attributes":{"selected":{"type":"object","name":"Selection","id":"p34376","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34377"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34382","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34383"}}},"glyph":{"type":"object","name":"VBar","id":"p34378","attributes":{"x":{"type":"value","value":0.7314629258517034},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34379","attributes":{"x":{"type":"value","value":0.7314629258517034},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34380","attributes":{"x":{"type":"value","value":0.7314629258517034},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34390","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34384","attributes":{"selected":{"type":"object","name":"Selection","id":"p34385","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34386"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34391","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34392"}}},"glyph":{"type":"object","name":"VBar","id":"p34387","attributes":{"x":{"type":"value","value":0.7334669338677354},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34388","attributes":{"x":{"type":"value","value":0.7334669338677354},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34389","attributes":{"x":{"type":"value","value":0.7334669338677354},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34399","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34393","attributes":{"selected":{"type":"object","name":"Selection","id":"p34394","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34395"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34400","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34401"}}},"glyph":{"type":"object","name":"VBar","id":"p34396","attributes":{"x":{"type":"value","value":0.7354709418837675},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34397","attributes":{"x":{"type":"value","value":0.7354709418837675},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34398","attributes":{"x":{"type":"value","value":0.7354709418837675},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34408","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34402","attributes":{"selected":{"type":"object","name":"Selection","id":"p34403","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34404"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34409","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34410"}}},"glyph":{"type":"object","name":"VBar","id":"p34405","attributes":{"x":{"type":"value","value":0.7374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34406","attributes":{"x":{"type":"value","value":0.7374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34407","attributes":{"x":{"type":"value","value":0.7374749498997996},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34417","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34411","attributes":{"selected":{"type":"object","name":"Selection","id":"p34412","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34413"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34418","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34419"}}},"glyph":{"type":"object","name":"VBar","id":"p34414","attributes":{"x":{"type":"value","value":0.7394789579158316},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34415","attributes":{"x":{"type":"value","value":0.7394789579158316},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34416","attributes":{"x":{"type":"value","value":0.7394789579158316},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34426","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34420","attributes":{"selected":{"type":"object","name":"Selection","id":"p34421","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34422"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34427","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34428"}}},"glyph":{"type":"object","name":"VBar","id":"p34423","attributes":{"x":{"type":"value","value":0.7414829659318637},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34424","attributes":{"x":{"type":"value","value":0.7414829659318637},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34425","attributes":{"x":{"type":"value","value":0.7414829659318637},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34435","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34429","attributes":{"selected":{"type":"object","name":"Selection","id":"p34430","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34431"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34436","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34437"}}},"glyph":{"type":"object","name":"VBar","id":"p34432","attributes":{"x":{"type":"value","value":0.7434869739478958},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34433","attributes":{"x":{"type":"value","value":0.7434869739478958},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34434","attributes":{"x":{"type":"value","value":0.7434869739478958},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34444","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34438","attributes":{"selected":{"type":"object","name":"Selection","id":"p34439","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34440"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34445","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34446"}}},"glyph":{"type":"object","name":"VBar","id":"p34441","attributes":{"x":{"type":"value","value":0.7454909819639278},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34442","attributes":{"x":{"type":"value","value":0.7454909819639278},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34443","attributes":{"x":{"type":"value","value":0.7454909819639278},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34453","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34447","attributes":{"selected":{"type":"object","name":"Selection","id":"p34448","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34449"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34454","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34455"}}},"glyph":{"type":"object","name":"VBar","id":"p34450","attributes":{"x":{"type":"value","value":0.7474949899799599},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34451","attributes":{"x":{"type":"value","value":0.7474949899799599},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34452","attributes":{"x":{"type":"value","value":0.7474949899799599},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34462","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34456","attributes":{"selected":{"type":"object","name":"Selection","id":"p34457","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34458"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34463","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34464"}}},"glyph":{"type":"object","name":"VBar","id":"p34459","attributes":{"x":{"type":"value","value":0.749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34460","attributes":{"x":{"type":"value","value":0.749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34461","attributes":{"x":{"type":"value","value":0.749498997995992},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34471","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34465","attributes":{"selected":{"type":"object","name":"Selection","id":"p34466","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34467"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34472","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34473"}}},"glyph":{"type":"object","name":"VBar","id":"p34468","attributes":{"x":{"type":"value","value":0.751503006012024},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34469","attributes":{"x":{"type":"value","value":0.751503006012024},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34470","attributes":{"x":{"type":"value","value":0.751503006012024},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34480","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34474","attributes":{"selected":{"type":"object","name":"Selection","id":"p34475","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34476"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34481","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34482"}}},"glyph":{"type":"object","name":"VBar","id":"p34477","attributes":{"x":{"type":"value","value":0.7535070140280561},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34478","attributes":{"x":{"type":"value","value":0.7535070140280561},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34479","attributes":{"x":{"type":"value","value":0.7535070140280561},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34489","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34483","attributes":{"selected":{"type":"object","name":"Selection","id":"p34484","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34485"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34490","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34491"}}},"glyph":{"type":"object","name":"VBar","id":"p34486","attributes":{"x":{"type":"value","value":0.7555110220440882},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34487","attributes":{"x":{"type":"value","value":0.7555110220440882},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34488","attributes":{"x":{"type":"value","value":0.7555110220440882},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34498","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34492","attributes":{"selected":{"type":"object","name":"Selection","id":"p34493","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34494"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34499","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34500"}}},"glyph":{"type":"object","name":"VBar","id":"p34495","attributes":{"x":{"type":"value","value":0.7575150300601202},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34496","attributes":{"x":{"type":"value","value":0.7575150300601202},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34497","attributes":{"x":{"type":"value","value":0.7575150300601202},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34507","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34501","attributes":{"selected":{"type":"object","name":"Selection","id":"p34502","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34503"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34508","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34509"}}},"glyph":{"type":"object","name":"VBar","id":"p34504","attributes":{"x":{"type":"value","value":0.7595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34505","attributes":{"x":{"type":"value","value":0.7595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34506","attributes":{"x":{"type":"value","value":0.7595190380761523},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34516","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34510","attributes":{"selected":{"type":"object","name":"Selection","id":"p34511","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34512"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34517","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34518"}}},"glyph":{"type":"object","name":"VBar","id":"p34513","attributes":{"x":{"type":"value","value":0.7615230460921844},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34514","attributes":{"x":{"type":"value","value":0.7615230460921844},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34515","attributes":{"x":{"type":"value","value":0.7615230460921844},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34525","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34519","attributes":{"selected":{"type":"object","name":"Selection","id":"p34520","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34521"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34526","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34527"}}},"glyph":{"type":"object","name":"VBar","id":"p34522","attributes":{"x":{"type":"value","value":0.7635270541082164},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34523","attributes":{"x":{"type":"value","value":0.7635270541082164},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34524","attributes":{"x":{"type":"value","value":0.7635270541082164},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34534","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34528","attributes":{"selected":{"type":"object","name":"Selection","id":"p34529","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34530"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34535","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34536"}}},"glyph":{"type":"object","name":"VBar","id":"p34531","attributes":{"x":{"type":"value","value":0.7655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34532","attributes":{"x":{"type":"value","value":0.7655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34533","attributes":{"x":{"type":"value","value":0.7655310621242485},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34543","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34537","attributes":{"selected":{"type":"object","name":"Selection","id":"p34538","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34539"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34544","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34545"}}},"glyph":{"type":"object","name":"VBar","id":"p34540","attributes":{"x":{"type":"value","value":0.7675350701402806},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34541","attributes":{"x":{"type":"value","value":0.7675350701402806},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34542","attributes":{"x":{"type":"value","value":0.7675350701402806},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34552","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34546","attributes":{"selected":{"type":"object","name":"Selection","id":"p34547","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34548"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34553","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34554"}}},"glyph":{"type":"object","name":"VBar","id":"p34549","attributes":{"x":{"type":"value","value":0.7695390781563125},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34550","attributes":{"x":{"type":"value","value":0.7695390781563125},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34551","attributes":{"x":{"type":"value","value":0.7695390781563125},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34561","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34555","attributes":{"selected":{"type":"object","name":"Selection","id":"p34556","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34557"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34562","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34563"}}},"glyph":{"type":"object","name":"VBar","id":"p34558","attributes":{"x":{"type":"value","value":0.7715430861723446},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34559","attributes":{"x":{"type":"value","value":0.7715430861723446},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34560","attributes":{"x":{"type":"value","value":0.7715430861723446},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34570","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34564","attributes":{"selected":{"type":"object","name":"Selection","id":"p34565","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34566"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34571","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34572"}}},"glyph":{"type":"object","name":"VBar","id":"p34567","attributes":{"x":{"type":"value","value":0.7735470941883766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34568","attributes":{"x":{"type":"value","value":0.7735470941883766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34569","attributes":{"x":{"type":"value","value":0.7735470941883766},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34579","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34573","attributes":{"selected":{"type":"object","name":"Selection","id":"p34574","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34575"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34580","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34581"}}},"glyph":{"type":"object","name":"VBar","id":"p34576","attributes":{"x":{"type":"value","value":0.7755511022044087},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34577","attributes":{"x":{"type":"value","value":0.7755511022044087},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34578","attributes":{"x":{"type":"value","value":0.7755511022044087},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34588","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34582","attributes":{"selected":{"type":"object","name":"Selection","id":"p34583","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34584"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34589","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34590"}}},"glyph":{"type":"object","name":"VBar","id":"p34585","attributes":{"x":{"type":"value","value":0.7775551102204408},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34586","attributes":{"x":{"type":"value","value":0.7775551102204408},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34587","attributes":{"x":{"type":"value","value":0.7775551102204408},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34597","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34591","attributes":{"selected":{"type":"object","name":"Selection","id":"p34592","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34593"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34598","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34599"}}},"glyph":{"type":"object","name":"VBar","id":"p34594","attributes":{"x":{"type":"value","value":0.7795591182364728},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34595","attributes":{"x":{"type":"value","value":0.7795591182364728},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34596","attributes":{"x":{"type":"value","value":0.7795591182364728},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34606","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34600","attributes":{"selected":{"type":"object","name":"Selection","id":"p34601","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34602"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34607","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34608"}}},"glyph":{"type":"object","name":"VBar","id":"p34603","attributes":{"x":{"type":"value","value":0.7815631262525049},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34604","attributes":{"x":{"type":"value","value":0.7815631262525049},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34605","attributes":{"x":{"type":"value","value":0.7815631262525049},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34615","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34609","attributes":{"selected":{"type":"object","name":"Selection","id":"p34610","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34611"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34616","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34617"}}},"glyph":{"type":"object","name":"VBar","id":"p34612","attributes":{"x":{"type":"value","value":0.783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34613","attributes":{"x":{"type":"value","value":0.783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34614","attributes":{"x":{"type":"value","value":0.783567134268537},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34624","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34618","attributes":{"selected":{"type":"object","name":"Selection","id":"p34619","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34620"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34625","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34626"}}},"glyph":{"type":"object","name":"VBar","id":"p34621","attributes":{"x":{"type":"value","value":0.785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34622","attributes":{"x":{"type":"value","value":0.785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34623","attributes":{"x":{"type":"value","value":0.785571142284569},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34633","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34627","attributes":{"selected":{"type":"object","name":"Selection","id":"p34628","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34629"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34634","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34635"}}},"glyph":{"type":"object","name":"VBar","id":"p34630","attributes":{"x":{"type":"value","value":0.7875751503006011},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34631","attributes":{"x":{"type":"value","value":0.7875751503006011},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34632","attributes":{"x":{"type":"value","value":0.7875751503006011},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34642","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34636","attributes":{"selected":{"type":"object","name":"Selection","id":"p34637","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34638"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34643","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34644"}}},"glyph":{"type":"object","name":"VBar","id":"p34639","attributes":{"x":{"type":"value","value":0.7895791583166332},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34640","attributes":{"x":{"type":"value","value":0.7895791583166332},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34641","attributes":{"x":{"type":"value","value":0.7895791583166332},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34651","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34645","attributes":{"selected":{"type":"object","name":"Selection","id":"p34646","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34647"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34652","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34653"}}},"glyph":{"type":"object","name":"VBar","id":"p34648","attributes":{"x":{"type":"value","value":0.7915831663326652},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34649","attributes":{"x":{"type":"value","value":0.7915831663326652},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34650","attributes":{"x":{"type":"value","value":0.7915831663326652},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34660","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34654","attributes":{"selected":{"type":"object","name":"Selection","id":"p34655","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34656"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34661","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34662"}}},"glyph":{"type":"object","name":"VBar","id":"p34657","attributes":{"x":{"type":"value","value":0.7935871743486973},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34658","attributes":{"x":{"type":"value","value":0.7935871743486973},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34659","attributes":{"x":{"type":"value","value":0.7935871743486973},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34669","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34663","attributes":{"selected":{"type":"object","name":"Selection","id":"p34664","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34665"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34670","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34671"}}},"glyph":{"type":"object","name":"VBar","id":"p34666","attributes":{"x":{"type":"value","value":0.7955911823647294},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34667","attributes":{"x":{"type":"value","value":0.7955911823647294},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34668","attributes":{"x":{"type":"value","value":0.7955911823647294},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34678","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34672","attributes":{"selected":{"type":"object","name":"Selection","id":"p34673","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34674"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34679","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34680"}}},"glyph":{"type":"object","name":"VBar","id":"p34675","attributes":{"x":{"type":"value","value":0.7975951903807614},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34676","attributes":{"x":{"type":"value","value":0.7975951903807614},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34677","attributes":{"x":{"type":"value","value":0.7975951903807614},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34687","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34681","attributes":{"selected":{"type":"object","name":"Selection","id":"p34682","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34683"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34688","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34689"}}},"glyph":{"type":"object","name":"VBar","id":"p34684","attributes":{"x":{"type":"value","value":0.7995991983967935},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34685","attributes":{"x":{"type":"value","value":0.7995991983967935},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34686","attributes":{"x":{"type":"value","value":0.7995991983967935},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34696","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34690","attributes":{"selected":{"type":"object","name":"Selection","id":"p34691","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34692"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34697","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34698"}}},"glyph":{"type":"object","name":"VBar","id":"p34693","attributes":{"x":{"type":"value","value":0.8016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34694","attributes":{"x":{"type":"value","value":0.8016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34695","attributes":{"x":{"type":"value","value":0.8016032064128256},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34705","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34699","attributes":{"selected":{"type":"object","name":"Selection","id":"p34700","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34701"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34706","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34707"}}},"glyph":{"type":"object","name":"VBar","id":"p34702","attributes":{"x":{"type":"value","value":0.8036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34703","attributes":{"x":{"type":"value","value":0.8036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34704","attributes":{"x":{"type":"value","value":0.8036072144288576},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34714","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34708","attributes":{"selected":{"type":"object","name":"Selection","id":"p34709","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34710"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34715","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34716"}}},"glyph":{"type":"object","name":"VBar","id":"p34711","attributes":{"x":{"type":"value","value":0.8056112224448897},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34712","attributes":{"x":{"type":"value","value":0.8056112224448897},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34713","attributes":{"x":{"type":"value","value":0.8056112224448897},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34723","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34717","attributes":{"selected":{"type":"object","name":"Selection","id":"p34718","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34719"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34724","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34725"}}},"glyph":{"type":"object","name":"VBar","id":"p34720","attributes":{"x":{"type":"value","value":0.8076152304609218},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34721","attributes":{"x":{"type":"value","value":0.8076152304609218},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34722","attributes":{"x":{"type":"value","value":0.8076152304609218},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34732","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34726","attributes":{"selected":{"type":"object","name":"Selection","id":"p34727","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34728"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34733","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34734"}}},"glyph":{"type":"object","name":"VBar","id":"p34729","attributes":{"x":{"type":"value","value":0.8096192384769538},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34730","attributes":{"x":{"type":"value","value":0.8096192384769538},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34731","attributes":{"x":{"type":"value","value":0.8096192384769538},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34741","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34735","attributes":{"selected":{"type":"object","name":"Selection","id":"p34736","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34737"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34742","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34743"}}},"glyph":{"type":"object","name":"VBar","id":"p34738","attributes":{"x":{"type":"value","value":0.8116232464929859},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34739","attributes":{"x":{"type":"value","value":0.8116232464929859},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34740","attributes":{"x":{"type":"value","value":0.8116232464929859},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34750","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34744","attributes":{"selected":{"type":"object","name":"Selection","id":"p34745","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34746"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34751","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34752"}}},"glyph":{"type":"object","name":"VBar","id":"p34747","attributes":{"x":{"type":"value","value":0.813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34748","attributes":{"x":{"type":"value","value":0.813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34749","attributes":{"x":{"type":"value","value":0.813627254509018},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34759","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34753","attributes":{"selected":{"type":"object","name":"Selection","id":"p34754","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34755"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34760","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34761"}}},"glyph":{"type":"object","name":"VBar","id":"p34756","attributes":{"x":{"type":"value","value":0.81563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34757","attributes":{"x":{"type":"value","value":0.81563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34758","attributes":{"x":{"type":"value","value":0.81563126252505},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34768","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34762","attributes":{"selected":{"type":"object","name":"Selection","id":"p34763","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34764"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34769","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34770"}}},"glyph":{"type":"object","name":"VBar","id":"p34765","attributes":{"x":{"type":"value","value":0.8176352705410821},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34766","attributes":{"x":{"type":"value","value":0.8176352705410821},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34767","attributes":{"x":{"type":"value","value":0.8176352705410821},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34777","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34771","attributes":{"selected":{"type":"object","name":"Selection","id":"p34772","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34773"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34778","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34779"}}},"glyph":{"type":"object","name":"VBar","id":"p34774","attributes":{"x":{"type":"value","value":0.8196392785571142},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34775","attributes":{"x":{"type":"value","value":0.8196392785571142},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34776","attributes":{"x":{"type":"value","value":0.8196392785571142},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34786","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34780","attributes":{"selected":{"type":"object","name":"Selection","id":"p34781","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34782"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34787","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34788"}}},"glyph":{"type":"object","name":"VBar","id":"p34783","attributes":{"x":{"type":"value","value":0.8216432865731462},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34784","attributes":{"x":{"type":"value","value":0.8216432865731462},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34785","attributes":{"x":{"type":"value","value":0.8216432865731462},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34795","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34789","attributes":{"selected":{"type":"object","name":"Selection","id":"p34790","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34791"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34796","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34797"}}},"glyph":{"type":"object","name":"VBar","id":"p34792","attributes":{"x":{"type":"value","value":0.8236472945891783},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34793","attributes":{"x":{"type":"value","value":0.8236472945891783},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34794","attributes":{"x":{"type":"value","value":0.8236472945891783},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34804","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34798","attributes":{"selected":{"type":"object","name":"Selection","id":"p34799","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34800"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34805","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34806"}}},"glyph":{"type":"object","name":"VBar","id":"p34801","attributes":{"x":{"type":"value","value":0.8256513026052104},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34802","attributes":{"x":{"type":"value","value":0.8256513026052104},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34803","attributes":{"x":{"type":"value","value":0.8256513026052104},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34813","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34807","attributes":{"selected":{"type":"object","name":"Selection","id":"p34808","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34809"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34814","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34815"}}},"glyph":{"type":"object","name":"VBar","id":"p34810","attributes":{"x":{"type":"value","value":0.8276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34811","attributes":{"x":{"type":"value","value":0.8276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34812","attributes":{"x":{"type":"value","value":0.8276553106212424},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34822","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34816","attributes":{"selected":{"type":"object","name":"Selection","id":"p34817","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34818"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34823","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34824"}}},"glyph":{"type":"object","name":"VBar","id":"p34819","attributes":{"x":{"type":"value","value":0.8296593186372745},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34820","attributes":{"x":{"type":"value","value":0.8296593186372745},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34821","attributes":{"x":{"type":"value","value":0.8296593186372745},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34831","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34825","attributes":{"selected":{"type":"object","name":"Selection","id":"p34826","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34827"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34832","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34833"}}},"glyph":{"type":"object","name":"VBar","id":"p34828","attributes":{"x":{"type":"value","value":0.8316633266533066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34829","attributes":{"x":{"type":"value","value":0.8316633266533066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34830","attributes":{"x":{"type":"value","value":0.8316633266533066},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34840","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34834","attributes":{"selected":{"type":"object","name":"Selection","id":"p34835","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34836"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34841","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34842"}}},"glyph":{"type":"object","name":"VBar","id":"p34837","attributes":{"x":{"type":"value","value":0.8336673346693386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34838","attributes":{"x":{"type":"value","value":0.8336673346693386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34839","attributes":{"x":{"type":"value","value":0.8336673346693386},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34849","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34843","attributes":{"selected":{"type":"object","name":"Selection","id":"p34844","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34845"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34850","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34851"}}},"glyph":{"type":"object","name":"VBar","id":"p34846","attributes":{"x":{"type":"value","value":0.8356713426853707},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34847","attributes":{"x":{"type":"value","value":0.8356713426853707},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34848","attributes":{"x":{"type":"value","value":0.8356713426853707},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34858","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34852","attributes":{"selected":{"type":"object","name":"Selection","id":"p34853","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34854"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34859","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34860"}}},"glyph":{"type":"object","name":"VBar","id":"p34855","attributes":{"x":{"type":"value","value":0.8376753507014028},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34856","attributes":{"x":{"type":"value","value":0.8376753507014028},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34857","attributes":{"x":{"type":"value","value":0.8376753507014028},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34867","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34861","attributes":{"selected":{"type":"object","name":"Selection","id":"p34862","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34863"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34868","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34869"}}},"glyph":{"type":"object","name":"VBar","id":"p34864","attributes":{"x":{"type":"value","value":0.8396793587174348},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34865","attributes":{"x":{"type":"value","value":0.8396793587174348},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34866","attributes":{"x":{"type":"value","value":0.8396793587174348},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34876","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34870","attributes":{"selected":{"type":"object","name":"Selection","id":"p34871","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34872"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34877","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34878"}}},"glyph":{"type":"object","name":"VBar","id":"p34873","attributes":{"x":{"type":"value","value":0.8416833667334669},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34874","attributes":{"x":{"type":"value","value":0.8416833667334669},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34875","attributes":{"x":{"type":"value","value":0.8416833667334669},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34885","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34879","attributes":{"selected":{"type":"object","name":"Selection","id":"p34880","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34881"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34886","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34887"}}},"glyph":{"type":"object","name":"VBar","id":"p34882","attributes":{"x":{"type":"value","value":0.843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34883","attributes":{"x":{"type":"value","value":0.843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34884","attributes":{"x":{"type":"value","value":0.843687374749499},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34894","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34888","attributes":{"selected":{"type":"object","name":"Selection","id":"p34889","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34890"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34895","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34896"}}},"glyph":{"type":"object","name":"VBar","id":"p34891","attributes":{"x":{"type":"value","value":0.845691382765531},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34892","attributes":{"x":{"type":"value","value":0.845691382765531},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34893","attributes":{"x":{"type":"value","value":0.845691382765531},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34903","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34897","attributes":{"selected":{"type":"object","name":"Selection","id":"p34898","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34899"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34904","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34905"}}},"glyph":{"type":"object","name":"VBar","id":"p34900","attributes":{"x":{"type":"value","value":0.8476953907815631},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34901","attributes":{"x":{"type":"value","value":0.8476953907815631},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34902","attributes":{"x":{"type":"value","value":0.8476953907815631},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34912","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34906","attributes":{"selected":{"type":"object","name":"Selection","id":"p34907","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34908"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34913","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34914"}}},"glyph":{"type":"object","name":"VBar","id":"p34909","attributes":{"x":{"type":"value","value":0.8496993987975952},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34910","attributes":{"x":{"type":"value","value":0.8496993987975952},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34911","attributes":{"x":{"type":"value","value":0.8496993987975952},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34921","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34915","attributes":{"selected":{"type":"object","name":"Selection","id":"p34916","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34917"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34922","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34923"}}},"glyph":{"type":"object","name":"VBar","id":"p34918","attributes":{"x":{"type":"value","value":0.8517034068136272},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34919","attributes":{"x":{"type":"value","value":0.8517034068136272},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34920","attributes":{"x":{"type":"value","value":0.8517034068136272},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34930","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34924","attributes":{"selected":{"type":"object","name":"Selection","id":"p34925","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34926"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34931","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34932"}}},"glyph":{"type":"object","name":"VBar","id":"p34927","attributes":{"x":{"type":"value","value":0.8537074148296593},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34928","attributes":{"x":{"type":"value","value":0.8537074148296593},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34929","attributes":{"x":{"type":"value","value":0.8537074148296593},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34939","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34933","attributes":{"selected":{"type":"object","name":"Selection","id":"p34934","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34935"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34940","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34941"}}},"glyph":{"type":"object","name":"VBar","id":"p34936","attributes":{"x":{"type":"value","value":0.8557114228456913},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34937","attributes":{"x":{"type":"value","value":0.8557114228456913},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34938","attributes":{"x":{"type":"value","value":0.8557114228456913},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34948","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34942","attributes":{"selected":{"type":"object","name":"Selection","id":"p34943","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34944"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34949","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34950"}}},"glyph":{"type":"object","name":"VBar","id":"p34945","attributes":{"x":{"type":"value","value":0.8577154308617234},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34946","attributes":{"x":{"type":"value","value":0.8577154308617234},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34947","attributes":{"x":{"type":"value","value":0.8577154308617234},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34957","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34951","attributes":{"selected":{"type":"object","name":"Selection","id":"p34952","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34953"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34958","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34959"}}},"glyph":{"type":"object","name":"VBar","id":"p34954","attributes":{"x":{"type":"value","value":0.8597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34955","attributes":{"x":{"type":"value","value":0.8597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34956","attributes":{"x":{"type":"value","value":0.8597194388777555},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34966","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34960","attributes":{"selected":{"type":"object","name":"Selection","id":"p34961","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34962"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34967","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34968"}}},"glyph":{"type":"object","name":"VBar","id":"p34963","attributes":{"x":{"type":"value","value":0.8617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34964","attributes":{"x":{"type":"value","value":0.8617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34965","attributes":{"x":{"type":"value","value":0.8617234468937875},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34975","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34969","attributes":{"selected":{"type":"object","name":"Selection","id":"p34970","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34971"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34976","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34977"}}},"glyph":{"type":"object","name":"VBar","id":"p34972","attributes":{"x":{"type":"value","value":0.8637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34973","attributes":{"x":{"type":"value","value":0.8637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34974","attributes":{"x":{"type":"value","value":0.8637274549098196},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34984","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34978","attributes":{"selected":{"type":"object","name":"Selection","id":"p34979","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34980"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34985","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34986"}}},"glyph":{"type":"object","name":"VBar","id":"p34981","attributes":{"x":{"type":"value","value":0.8657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34982","attributes":{"x":{"type":"value","value":0.8657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34983","attributes":{"x":{"type":"value","value":0.8657314629258517},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p34993","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34987","attributes":{"selected":{"type":"object","name":"Selection","id":"p34988","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34989"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p34994","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p34995"}}},"glyph":{"type":"object","name":"VBar","id":"p34990","attributes":{"x":{"type":"value","value":0.8677354709418837},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p34991","attributes":{"x":{"type":"value","value":0.8677354709418837},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p34992","attributes":{"x":{"type":"value","value":0.8677354709418837},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35002","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p34996","attributes":{"selected":{"type":"object","name":"Selection","id":"p34997","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p34998"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35003","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35004"}}},"glyph":{"type":"object","name":"VBar","id":"p34999","attributes":{"x":{"type":"value","value":0.8697394789579158},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35000","attributes":{"x":{"type":"value","value":0.8697394789579158},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35001","attributes":{"x":{"type":"value","value":0.8697394789579158},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35011","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35005","attributes":{"selected":{"type":"object","name":"Selection","id":"p35006","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35007"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35012","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35013"}}},"glyph":{"type":"object","name":"VBar","id":"p35008","attributes":{"x":{"type":"value","value":0.8717434869739479},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35009","attributes":{"x":{"type":"value","value":0.8717434869739479},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35010","attributes":{"x":{"type":"value","value":0.8717434869739479},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35020","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35014","attributes":{"selected":{"type":"object","name":"Selection","id":"p35015","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35016"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35021","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35022"}}},"glyph":{"type":"object","name":"VBar","id":"p35017","attributes":{"x":{"type":"value","value":0.8737474949899798},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35018","attributes":{"x":{"type":"value","value":0.8737474949899798},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35019","attributes":{"x":{"type":"value","value":0.8737474949899798},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35029","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35023","attributes":{"selected":{"type":"object","name":"Selection","id":"p35024","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35025"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35030","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35031"}}},"glyph":{"type":"object","name":"VBar","id":"p35026","attributes":{"x":{"type":"value","value":0.8757515030060119},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35027","attributes":{"x":{"type":"value","value":0.8757515030060119},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35028","attributes":{"x":{"type":"value","value":0.8757515030060119},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35038","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35032","attributes":{"selected":{"type":"object","name":"Selection","id":"p35033","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35034"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35039","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35040"}}},"glyph":{"type":"object","name":"VBar","id":"p35035","attributes":{"x":{"type":"value","value":0.877755511022044},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35036","attributes":{"x":{"type":"value","value":0.877755511022044},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35037","attributes":{"x":{"type":"value","value":0.877755511022044},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35047","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35041","attributes":{"selected":{"type":"object","name":"Selection","id":"p35042","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35043"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35048","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35049"}}},"glyph":{"type":"object","name":"VBar","id":"p35044","attributes":{"x":{"type":"value","value":0.879759519038076},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35045","attributes":{"x":{"type":"value","value":0.879759519038076},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35046","attributes":{"x":{"type":"value","value":0.879759519038076},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35056","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35050","attributes":{"selected":{"type":"object","name":"Selection","id":"p35051","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35052"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35057","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35058"}}},"glyph":{"type":"object","name":"VBar","id":"p35053","attributes":{"x":{"type":"value","value":0.8817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35054","attributes":{"x":{"type":"value","value":0.8817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35055","attributes":{"x":{"type":"value","value":0.8817635270541081},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35065","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35059","attributes":{"selected":{"type":"object","name":"Selection","id":"p35060","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35061"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35066","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35067"}}},"glyph":{"type":"object","name":"VBar","id":"p35062","attributes":{"x":{"type":"value","value":0.8837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35063","attributes":{"x":{"type":"value","value":0.8837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35064","attributes":{"x":{"type":"value","value":0.8837675350701402},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35074","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35068","attributes":{"selected":{"type":"object","name":"Selection","id":"p35069","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35070"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35075","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35076"}}},"glyph":{"type":"object","name":"VBar","id":"p35071","attributes":{"x":{"type":"value","value":0.8857715430861722},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35072","attributes":{"x":{"type":"value","value":0.8857715430861722},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35073","attributes":{"x":{"type":"value","value":0.8857715430861722},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35083","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35077","attributes":{"selected":{"type":"object","name":"Selection","id":"p35078","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35079"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35084","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35085"}}},"glyph":{"type":"object","name":"VBar","id":"p35080","attributes":{"x":{"type":"value","value":0.8877755511022043},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35081","attributes":{"x":{"type":"value","value":0.8877755511022043},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35082","attributes":{"x":{"type":"value","value":0.8877755511022043},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35092","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35086","attributes":{"selected":{"type":"object","name":"Selection","id":"p35087","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35088"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35093","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35094"}}},"glyph":{"type":"object","name":"VBar","id":"p35089","attributes":{"x":{"type":"value","value":0.8897795591182364},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35090","attributes":{"x":{"type":"value","value":0.8897795591182364},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35091","attributes":{"x":{"type":"value","value":0.8897795591182364},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35101","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35095","attributes":{"selected":{"type":"object","name":"Selection","id":"p35096","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35097"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35102","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35103"}}},"glyph":{"type":"object","name":"VBar","id":"p35098","attributes":{"x":{"type":"value","value":0.8917835671342684},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35099","attributes":{"x":{"type":"value","value":0.8917835671342684},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35100","attributes":{"x":{"type":"value","value":0.8917835671342684},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35110","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35104","attributes":{"selected":{"type":"object","name":"Selection","id":"p35105","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35106"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35111","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35112"}}},"glyph":{"type":"object","name":"VBar","id":"p35107","attributes":{"x":{"type":"value","value":0.8937875751503005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35108","attributes":{"x":{"type":"value","value":0.8937875751503005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35109","attributes":{"x":{"type":"value","value":0.8937875751503005},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35119","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35113","attributes":{"selected":{"type":"object","name":"Selection","id":"p35114","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35115"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35120","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35121"}}},"glyph":{"type":"object","name":"VBar","id":"p35116","attributes":{"x":{"type":"value","value":0.8957915831663326},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35117","attributes":{"x":{"type":"value","value":0.8957915831663326},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35118","attributes":{"x":{"type":"value","value":0.8957915831663326},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35128","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35122","attributes":{"selected":{"type":"object","name":"Selection","id":"p35123","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35124"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35129","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35130"}}},"glyph":{"type":"object","name":"VBar","id":"p35125","attributes":{"x":{"type":"value","value":0.8977955911823646},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35126","attributes":{"x":{"type":"value","value":0.8977955911823646},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35127","attributes":{"x":{"type":"value","value":0.8977955911823646},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35137","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35131","attributes":{"selected":{"type":"object","name":"Selection","id":"p35132","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35133"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35138","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35139"}}},"glyph":{"type":"object","name":"VBar","id":"p35134","attributes":{"x":{"type":"value","value":0.8997995991983967},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35135","attributes":{"x":{"type":"value","value":0.8997995991983967},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35136","attributes":{"x":{"type":"value","value":0.8997995991983967},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35146","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35140","attributes":{"selected":{"type":"object","name":"Selection","id":"p35141","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35142"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35147","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35148"}}},"glyph":{"type":"object","name":"VBar","id":"p35143","attributes":{"x":{"type":"value","value":0.9018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35144","attributes":{"x":{"type":"value","value":0.9018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35145","attributes":{"x":{"type":"value","value":0.9018036072144288},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35155","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35149","attributes":{"selected":{"type":"object","name":"Selection","id":"p35150","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35151"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35156","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35157"}}},"glyph":{"type":"object","name":"VBar","id":"p35152","attributes":{"x":{"type":"value","value":0.9038076152304608},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35153","attributes":{"x":{"type":"value","value":0.9038076152304608},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35154","attributes":{"x":{"type":"value","value":0.9038076152304608},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35164","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35158","attributes":{"selected":{"type":"object","name":"Selection","id":"p35159","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35160"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35165","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35166"}}},"glyph":{"type":"object","name":"VBar","id":"p35161","attributes":{"x":{"type":"value","value":0.9058116232464929},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35162","attributes":{"x":{"type":"value","value":0.9058116232464929},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35163","attributes":{"x":{"type":"value","value":0.9058116232464929},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35173","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35167","attributes":{"selected":{"type":"object","name":"Selection","id":"p35168","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35169"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35174","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35175"}}},"glyph":{"type":"object","name":"VBar","id":"p35170","attributes":{"x":{"type":"value","value":0.907815631262525},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35171","attributes":{"x":{"type":"value","value":0.907815631262525},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35172","attributes":{"x":{"type":"value","value":0.907815631262525},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35182","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35176","attributes":{"selected":{"type":"object","name":"Selection","id":"p35177","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35178"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35183","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35184"}}},"glyph":{"type":"object","name":"VBar","id":"p35179","attributes":{"x":{"type":"value","value":0.909819639278557},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35180","attributes":{"x":{"type":"value","value":0.909819639278557},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35181","attributes":{"x":{"type":"value","value":0.909819639278557},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35191","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35185","attributes":{"selected":{"type":"object","name":"Selection","id":"p35186","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35187"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35192","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35193"}}},"glyph":{"type":"object","name":"VBar","id":"p35188","attributes":{"x":{"type":"value","value":0.9118236472945891},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35189","attributes":{"x":{"type":"value","value":0.9118236472945891},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35190","attributes":{"x":{"type":"value","value":0.9118236472945891},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35200","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35194","attributes":{"selected":{"type":"object","name":"Selection","id":"p35195","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35196"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35201","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35202"}}},"glyph":{"type":"object","name":"VBar","id":"p35197","attributes":{"x":{"type":"value","value":0.9138276553106212},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35198","attributes":{"x":{"type":"value","value":0.9138276553106212},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35199","attributes":{"x":{"type":"value","value":0.9138276553106212},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35209","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35203","attributes":{"selected":{"type":"object","name":"Selection","id":"p35204","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35205"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35210","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35211"}}},"glyph":{"type":"object","name":"VBar","id":"p35206","attributes":{"x":{"type":"value","value":0.9158316633266532},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35207","attributes":{"x":{"type":"value","value":0.9158316633266532},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35208","attributes":{"x":{"type":"value","value":0.9158316633266532},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35218","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35212","attributes":{"selected":{"type":"object","name":"Selection","id":"p35213","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35214"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35219","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35220"}}},"glyph":{"type":"object","name":"VBar","id":"p35215","attributes":{"x":{"type":"value","value":0.9178356713426853},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35216","attributes":{"x":{"type":"value","value":0.9178356713426853},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35217","attributes":{"x":{"type":"value","value":0.9178356713426853},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35227","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35221","attributes":{"selected":{"type":"object","name":"Selection","id":"p35222","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35223"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35228","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35229"}}},"glyph":{"type":"object","name":"VBar","id":"p35224","attributes":{"x":{"type":"value","value":0.9198396793587174},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35225","attributes":{"x":{"type":"value","value":0.9198396793587174},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35226","attributes":{"x":{"type":"value","value":0.9198396793587174},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35236","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35230","attributes":{"selected":{"type":"object","name":"Selection","id":"p35231","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35232"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35237","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35238"}}},"glyph":{"type":"object","name":"VBar","id":"p35233","attributes":{"x":{"type":"value","value":0.9218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35234","attributes":{"x":{"type":"value","value":0.9218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35235","attributes":{"x":{"type":"value","value":0.9218436873747494},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35245","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35239","attributes":{"selected":{"type":"object","name":"Selection","id":"p35240","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35241"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35246","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35247"}}},"glyph":{"type":"object","name":"VBar","id":"p35242","attributes":{"x":{"type":"value","value":0.9238476953907815},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35243","attributes":{"x":{"type":"value","value":0.9238476953907815},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35244","attributes":{"x":{"type":"value","value":0.9238476953907815},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35254","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35248","attributes":{"selected":{"type":"object","name":"Selection","id":"p35249","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35250"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35255","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35256"}}},"glyph":{"type":"object","name":"VBar","id":"p35251","attributes":{"x":{"type":"value","value":0.9258517034068136},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35252","attributes":{"x":{"type":"value","value":0.9258517034068136},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35253","attributes":{"x":{"type":"value","value":0.9258517034068136},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35263","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35257","attributes":{"selected":{"type":"object","name":"Selection","id":"p35258","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35259"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35264","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35265"}}},"glyph":{"type":"object","name":"VBar","id":"p35260","attributes":{"x":{"type":"value","value":0.9278557114228456},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35261","attributes":{"x":{"type":"value","value":0.9278557114228456},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35262","attributes":{"x":{"type":"value","value":0.9278557114228456},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35272","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35266","attributes":{"selected":{"type":"object","name":"Selection","id":"p35267","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35268"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35273","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35274"}}},"glyph":{"type":"object","name":"VBar","id":"p35269","attributes":{"x":{"type":"value","value":0.9298597194388777},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35270","attributes":{"x":{"type":"value","value":0.9298597194388777},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35271","attributes":{"x":{"type":"value","value":0.9298597194388777},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35281","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35275","attributes":{"selected":{"type":"object","name":"Selection","id":"p35276","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35277"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35282","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35283"}}},"glyph":{"type":"object","name":"VBar","id":"p35278","attributes":{"x":{"type":"value","value":0.9318637274549098},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35279","attributes":{"x":{"type":"value","value":0.9318637274549098},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35280","attributes":{"x":{"type":"value","value":0.9318637274549098},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35290","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35284","attributes":{"selected":{"type":"object","name":"Selection","id":"p35285","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35286"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35291","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35292"}}},"glyph":{"type":"object","name":"VBar","id":"p35287","attributes":{"x":{"type":"value","value":0.9338677354709418},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35288","attributes":{"x":{"type":"value","value":0.9338677354709418},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35289","attributes":{"x":{"type":"value","value":0.9338677354709418},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35299","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35293","attributes":{"selected":{"type":"object","name":"Selection","id":"p35294","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35295"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35300","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35301"}}},"glyph":{"type":"object","name":"VBar","id":"p35296","attributes":{"x":{"type":"value","value":0.9358717434869739},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35297","attributes":{"x":{"type":"value","value":0.9358717434869739},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35298","attributes":{"x":{"type":"value","value":0.9358717434869739},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35308","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35302","attributes":{"selected":{"type":"object","name":"Selection","id":"p35303","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35304"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35309","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35310"}}},"glyph":{"type":"object","name":"VBar","id":"p35305","attributes":{"x":{"type":"value","value":0.937875751503006},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35306","attributes":{"x":{"type":"value","value":0.937875751503006},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35307","attributes":{"x":{"type":"value","value":0.937875751503006},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35317","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35311","attributes":{"selected":{"type":"object","name":"Selection","id":"p35312","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35313"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35318","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35319"}}},"glyph":{"type":"object","name":"VBar","id":"p35314","attributes":{"x":{"type":"value","value":0.939879759519038},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35315","attributes":{"x":{"type":"value","value":0.939879759519038},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35316","attributes":{"x":{"type":"value","value":0.939879759519038},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35326","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35320","attributes":{"selected":{"type":"object","name":"Selection","id":"p35321","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35322"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35327","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35328"}}},"glyph":{"type":"object","name":"VBar","id":"p35323","attributes":{"x":{"type":"value","value":0.9418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35324","attributes":{"x":{"type":"value","value":0.9418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35325","attributes":{"x":{"type":"value","value":0.9418837675350701},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35335","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35329","attributes":{"selected":{"type":"object","name":"Selection","id":"p35330","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35331"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35336","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35337"}}},"glyph":{"type":"object","name":"VBar","id":"p35332","attributes":{"x":{"type":"value","value":0.9438877755511021},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35333","attributes":{"x":{"type":"value","value":0.9438877755511021},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35334","attributes":{"x":{"type":"value","value":0.9438877755511021},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35344","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35338","attributes":{"selected":{"type":"object","name":"Selection","id":"p35339","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35340"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35345","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35346"}}},"glyph":{"type":"object","name":"VBar","id":"p35341","attributes":{"x":{"type":"value","value":0.9458917835671342},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35342","attributes":{"x":{"type":"value","value":0.9458917835671342},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35343","attributes":{"x":{"type":"value","value":0.9458917835671342},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35353","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35347","attributes":{"selected":{"type":"object","name":"Selection","id":"p35348","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35349"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35354","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35355"}}},"glyph":{"type":"object","name":"VBar","id":"p35350","attributes":{"x":{"type":"value","value":0.9478957915831663},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35351","attributes":{"x":{"type":"value","value":0.9478957915831663},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35352","attributes":{"x":{"type":"value","value":0.9478957915831663},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35362","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35356","attributes":{"selected":{"type":"object","name":"Selection","id":"p35357","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35358"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35363","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35364"}}},"glyph":{"type":"object","name":"VBar","id":"p35359","attributes":{"x":{"type":"value","value":0.9498997995991983},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35360","attributes":{"x":{"type":"value","value":0.9498997995991983},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35361","attributes":{"x":{"type":"value","value":0.9498997995991983},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35371","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35365","attributes":{"selected":{"type":"object","name":"Selection","id":"p35366","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35367"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35372","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35373"}}},"glyph":{"type":"object","name":"VBar","id":"p35368","attributes":{"x":{"type":"value","value":0.9519038076152304},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35369","attributes":{"x":{"type":"value","value":0.9519038076152304},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35370","attributes":{"x":{"type":"value","value":0.9519038076152304},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35380","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35374","attributes":{"selected":{"type":"object","name":"Selection","id":"p35375","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35376"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35381","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35382"}}},"glyph":{"type":"object","name":"VBar","id":"p35377","attributes":{"x":{"type":"value","value":0.9539078156312625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35378","attributes":{"x":{"type":"value","value":0.9539078156312625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35379","attributes":{"x":{"type":"value","value":0.9539078156312625},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35389","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35383","attributes":{"selected":{"type":"object","name":"Selection","id":"p35384","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35385"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35390","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35391"}}},"glyph":{"type":"object","name":"VBar","id":"p35386","attributes":{"x":{"type":"value","value":0.9559118236472945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35387","attributes":{"x":{"type":"value","value":0.9559118236472945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35388","attributes":{"x":{"type":"value","value":0.9559118236472945},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35398","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35392","attributes":{"selected":{"type":"object","name":"Selection","id":"p35393","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35394"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35399","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35400"}}},"glyph":{"type":"object","name":"VBar","id":"p35395","attributes":{"x":{"type":"value","value":0.9579158316633266},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35396","attributes":{"x":{"type":"value","value":0.9579158316633266},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35397","attributes":{"x":{"type":"value","value":0.9579158316633266},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35407","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35401","attributes":{"selected":{"type":"object","name":"Selection","id":"p35402","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35403"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35408","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35409"}}},"glyph":{"type":"object","name":"VBar","id":"p35404","attributes":{"x":{"type":"value","value":0.9599198396793587},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35405","attributes":{"x":{"type":"value","value":0.9599198396793587},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35406","attributes":{"x":{"type":"value","value":0.9599198396793587},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35416","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35410","attributes":{"selected":{"type":"object","name":"Selection","id":"p35411","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35412"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35417","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35418"}}},"glyph":{"type":"object","name":"VBar","id":"p35413","attributes":{"x":{"type":"value","value":0.9619238476953907},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35414","attributes":{"x":{"type":"value","value":0.9619238476953907},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35415","attributes":{"x":{"type":"value","value":0.9619238476953907},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35425","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35419","attributes":{"selected":{"type":"object","name":"Selection","id":"p35420","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35421"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35426","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35427"}}},"glyph":{"type":"object","name":"VBar","id":"p35422","attributes":{"x":{"type":"value","value":0.9639278557114228},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35423","attributes":{"x":{"type":"value","value":0.9639278557114228},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35424","attributes":{"x":{"type":"value","value":0.9639278557114228},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35434","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35428","attributes":{"selected":{"type":"object","name":"Selection","id":"p35429","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35430"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35435","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35436"}}},"glyph":{"type":"object","name":"VBar","id":"p35431","attributes":{"x":{"type":"value","value":0.9659318637274549},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35432","attributes":{"x":{"type":"value","value":0.9659318637274549},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35433","attributes":{"x":{"type":"value","value":0.9659318637274549},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35443","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35437","attributes":{"selected":{"type":"object","name":"Selection","id":"p35438","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35439"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35444","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35445"}}},"glyph":{"type":"object","name":"VBar","id":"p35440","attributes":{"x":{"type":"value","value":0.9679358717434869},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35441","attributes":{"x":{"type":"value","value":0.9679358717434869},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35442","attributes":{"x":{"type":"value","value":0.9679358717434869},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35452","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35446","attributes":{"selected":{"type":"object","name":"Selection","id":"p35447","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35448"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35453","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35454"}}},"glyph":{"type":"object","name":"VBar","id":"p35449","attributes":{"x":{"type":"value","value":0.969939879759519},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35450","attributes":{"x":{"type":"value","value":0.969939879759519},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35451","attributes":{"x":{"type":"value","value":0.969939879759519},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35461","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35455","attributes":{"selected":{"type":"object","name":"Selection","id":"p35456","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35457"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35462","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35463"}}},"glyph":{"type":"object","name":"VBar","id":"p35458","attributes":{"x":{"type":"value","value":0.9719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35459","attributes":{"x":{"type":"value","value":0.9719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35460","attributes":{"x":{"type":"value","value":0.9719438877755511},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35470","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35464","attributes":{"selected":{"type":"object","name":"Selection","id":"p35465","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35466"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35471","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35472"}}},"glyph":{"type":"object","name":"VBar","id":"p35467","attributes":{"x":{"type":"value","value":0.9739478957915831},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35468","attributes":{"x":{"type":"value","value":0.9739478957915831},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35469","attributes":{"x":{"type":"value","value":0.9739478957915831},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35479","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35473","attributes":{"selected":{"type":"object","name":"Selection","id":"p35474","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35475"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35480","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35481"}}},"glyph":{"type":"object","name":"VBar","id":"p35476","attributes":{"x":{"type":"value","value":0.9759519038076151},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35477","attributes":{"x":{"type":"value","value":0.9759519038076151},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35478","attributes":{"x":{"type":"value","value":0.9759519038076151},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35488","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35482","attributes":{"selected":{"type":"object","name":"Selection","id":"p35483","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35484"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35489","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35490"}}},"glyph":{"type":"object","name":"VBar","id":"p35485","attributes":{"x":{"type":"value","value":0.9779559118236472},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35486","attributes":{"x":{"type":"value","value":0.9779559118236472},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35487","attributes":{"x":{"type":"value","value":0.9779559118236472},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35497","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35491","attributes":{"selected":{"type":"object","name":"Selection","id":"p35492","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35493"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35498","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35499"}}},"glyph":{"type":"object","name":"VBar","id":"p35494","attributes":{"x":{"type":"value","value":0.9799599198396792},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35495","attributes":{"x":{"type":"value","value":0.9799599198396792},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35496","attributes":{"x":{"type":"value","value":0.9799599198396792},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35506","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35500","attributes":{"selected":{"type":"object","name":"Selection","id":"p35501","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35502"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35507","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35508"}}},"glyph":{"type":"object","name":"VBar","id":"p35503","attributes":{"x":{"type":"value","value":0.9819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35504","attributes":{"x":{"type":"value","value":0.9819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35505","attributes":{"x":{"type":"value","value":0.9819639278557113},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35515","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35509","attributes":{"selected":{"type":"object","name":"Selection","id":"p35510","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35511"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35516","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35517"}}},"glyph":{"type":"object","name":"VBar","id":"p35512","attributes":{"x":{"type":"value","value":0.9839679358717434},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35513","attributes":{"x":{"type":"value","value":0.9839679358717434},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35514","attributes":{"x":{"type":"value","value":0.9839679358717434},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35524","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35518","attributes":{"selected":{"type":"object","name":"Selection","id":"p35519","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35520"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35525","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35526"}}},"glyph":{"type":"object","name":"VBar","id":"p35521","attributes":{"x":{"type":"value","value":0.9859719438877754},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35522","attributes":{"x":{"type":"value","value":0.9859719438877754},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35523","attributes":{"x":{"type":"value","value":0.9859719438877754},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35533","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35527","attributes":{"selected":{"type":"object","name":"Selection","id":"p35528","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35529"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35534","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35535"}}},"glyph":{"type":"object","name":"VBar","id":"p35530","attributes":{"x":{"type":"value","value":0.9879759519038075},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35531","attributes":{"x":{"type":"value","value":0.9879759519038075},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35532","attributes":{"x":{"type":"value","value":0.9879759519038075},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35542","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35536","attributes":{"selected":{"type":"object","name":"Selection","id":"p35537","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35538"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35543","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35544"}}},"glyph":{"type":"object","name":"VBar","id":"p35539","attributes":{"x":{"type":"value","value":0.9899799599198396},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35540","attributes":{"x":{"type":"value","value":0.9899799599198396},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35541","attributes":{"x":{"type":"value","value":0.9899799599198396},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35551","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35545","attributes":{"selected":{"type":"object","name":"Selection","id":"p35546","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35547"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35552","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35553"}}},"glyph":{"type":"object","name":"VBar","id":"p35548","attributes":{"x":{"type":"value","value":0.9919839679358716},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35549","attributes":{"x":{"type":"value","value":0.9919839679358716},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35550","attributes":{"x":{"type":"value","value":0.9919839679358716},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35560","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35554","attributes":{"selected":{"type":"object","name":"Selection","id":"p35555","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35556"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35561","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35562"}}},"glyph":{"type":"object","name":"VBar","id":"p35557","attributes":{"x":{"type":"value","value":0.9939879759519037},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35558","attributes":{"x":{"type":"value","value":0.9939879759519037},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35559","attributes":{"x":{"type":"value","value":0.9939879759519037},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35569","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35563","attributes":{"selected":{"type":"object","name":"Selection","id":"p35564","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35565"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35570","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35571"}}},"glyph":{"type":"object","name":"VBar","id":"p35566","attributes":{"x":{"type":"value","value":0.9959919839679358},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35567","attributes":{"x":{"type":"value","value":0.9959919839679358},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35568","attributes":{"x":{"type":"value","value":0.9959919839679358},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35578","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35572","attributes":{"selected":{"type":"object","name":"Selection","id":"p35573","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35574"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35579","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35580"}}},"glyph":{"type":"object","name":"VBar","id":"p35575","attributes":{"x":{"type":"value","value":0.9979959919839678},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35576","attributes":{"x":{"type":"value","value":0.9979959919839678},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35577","attributes":{"x":{"type":"value","value":0.9979959919839678},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p35587","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p35581","attributes":{"selected":{"type":"object","name":"Selection","id":"p35582","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p35583"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p35588","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p35589"}}},"glyph":{"type":"object","name":"VBar","id":"p35584","attributes":{"x":{"type":"value","value":1.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"fill_color":{"type":"value","value":"#107591"},"hatch_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p35585","attributes":{"x":{"type":"value","value":1.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p35586","attributes":{"x":{"type":"value","value":1.0},"width":{"type":"value","value":0.002004008016032064},"top":{"type":"value","value":1},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#107591"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p31065","attributes":{"tools":[{"id":"p31080"},{"id":"p31081"},{"id":"p31082"},{"id":"p31084"},{"id":"p31085"},{"id":"p31087"},{"type":"object","name":"SaveTool","id":"p31088"},{"id":"p31089"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p31075","attributes":{"visible":false,"ticker":{"type":"object","name":"BasicTicker","id":"p31076","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p31077"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p31078"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p31070","attributes":{"visible":false,"ticker":{"type":"object","name":"BasicTicker","id":"p31071","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p31072"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p31073"}}}],"center":[{"type":"object","name":"Grid","id":"p31074","attributes":{"axis":{"id":"p31070"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p31079","attributes":{"dimension":1,"axis":{"id":"p31075"},"grid_line_color":null}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"380429f0-7bb1-417f-8d72-6ea779e1dfc0","roots":{"p35592":"ebab31ea-aa5e-44cb-9abf-4742aa371b7a"},"root_ids":["p35592"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();