(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("bc26529f-f495-4ca0-a611-10a41dcaca47");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'bc26529f-f495-4ca0-a611-10a41dcaca47' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"987437cb-fe3e-4197-9b4b-10e965079e8c":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p6249","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p6248","attributes":{"tools":[{"type":"object","name":"ToolProxy","id":"p6240","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p5040"},{"type":"object","name":"ResetTool","id":"p5071"}]}},{"type":"object","name":"ToolProxy","id":"p6241","attributes":{"tools":[{"type":"object","name":"PanTool","id":"p5041"},{"type":"object","name":"PanTool","id":"p5072"}]}},{"type":"object","name":"ToolProxy","id":"p6242","attributes":{"tools":[{"type":"object","name":"BoxZoomTool","id":"p5042","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p5043","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"BoxZoomTool","id":"p5073","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p5074","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}}]}},{"type":"object","name":"ToolProxy","id":"p6243","attributes":{"tools":[{"type":"object","name":"WheelZoomTool","id":"p5044"},{"type":"object","name":"WheelZoomTool","id":"p5075"}]}},{"type":"object","name":"ToolProxy","id":"p6244","attributes":{"tools":[{"type":"object","name":"LassoSelectTool","id":"p5045","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p5046","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"LassoSelectTool","id":"p5076","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p5077","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}}]}},{"type":"object","name":"ToolProxy","id":"p6245","attributes":{"tools":[{"type":"object","name":"UndoTool","id":"p5047"},{"type":"object","name":"UndoTool","id":"p5078"}]}},{"type":"object","name":"SaveTool","id":"p6246"},{"type":"object","name":"ToolProxy","id":"p6247","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p5049","attributes":{"renderers":"auto"}},{"type":"object","name":"HoverTool","id":"p5080","attributes":{"renderers":"auto"}}]}}]}},"children":[[{"type":"object","name":"Figure","id":"p5019","attributes":{"width":646,"height":300,"x_range":{"type":"object","name":"DataRange1d","id":"p6235","attributes":{"bounds":"auto","min_interval":1}},"y_range":{"type":"object","name":"DataRange1d","id":"p6236","attributes":{"start":-0.44999999999999996,"end":9.825000000000005,"bounds":"auto","min_interval":2}},"x_scale":{"type":"object","name":"LinearScale","id":"p5028"},"y_scale":{"type":"object","name":"LinearScale","id":"p5029"},"title":{"type":"object","name":"Title","id":"p5945","attributes":{"text":"94.0% HDI"}},"outline_line_color":null,"renderers":[{"type":"object","name":"GlyphRenderer","id":"p5087","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5081","attributes":{"selected":{"type":"object","name":"Selection","id":"p5082","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5083"},"data":{"type":"map","entries":[["x",[-4.134655361799313,17.046141863243623]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p5088","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5089"}}},"glyph":{"type":"object","name":"Line","id":"p5084","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5085","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5086","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5096","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5090","attributes":{"selected":{"type":"object","name":"Selection","id":"p5091","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5092"},"data":{"type":"map","entries":[["x",[1.662207354018551,7.84385290246748]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p5097","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5098"}}},"glyph":{"type":"object","name":"Line","id":"p5093","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5094","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5095","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5105","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5099","attributes":{"selected":{"type":"object","name":"Selection","id":"p5100","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5101"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5106","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5107"}}},"glyph":{"type":"object","name":"Circle","id":"p5102","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5103","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5104","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5114","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5108","attributes":{"selected":{"type":"object","name":"Selection","id":"p5109","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5110"},"data":{"type":"map","entries":[["x",[-6.516877363779323,13.783942506363058]],["y",[0.15,0.15]]]}}},"view":{"type":"object","name":"CDSView","id":"p5115","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5116"}}},"glyph":{"type":"object","name":"Line","id":"p5111","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5112","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5113","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5123","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5117","attributes":{"selected":{"type":"object","name":"Selection","id":"p5118","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5119"},"data":{"type":"map","entries":[["x",[2.0090214466141605,7.659543310306896]],["y",[0.15,0.15]]]}}},"view":{"type":"object","name":"CDSView","id":"p5124","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5125"}}},"glyph":{"type":"object","name":"Line","id":"p5120","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5121","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5122","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5132","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5126","attributes":{"selected":{"type":"object","name":"Selection","id":"p5127","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5128"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5133","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5134"}}},"glyph":{"type":"object","name":"Circle","id":"p5129","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5130","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5131","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5141","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5135","attributes":{"selected":{"type":"object","name":"Selection","id":"p5136","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5137"},"data":{"type":"map","entries":[["x",[-7.0880144136259355,17.631443937873662]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p5142","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5143"}}},"glyph":{"type":"object","name":"Line","id":"p5138","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5139","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5140","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5150","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5144","attributes":{"selected":{"type":"object","name":"Selection","id":"p5145","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5146"},"data":{"type":"map","entries":[["x",[0.5655203796813593,8.533000716326848]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p5151","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5152"}}},"glyph":{"type":"object","name":"Line","id":"p5147","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5148","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5149","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5159","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5153","attributes":{"selected":{"type":"object","name":"Selection","id":"p5154","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5155"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5160","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5161"}}},"glyph":{"type":"object","name":"Circle","id":"p5156","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5157","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5158","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5168","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5162","attributes":{"selected":{"type":"object","name":"Selection","id":"p5163","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5164"},"data":{"type":"map","entries":[["x",[-3.434788335966197,14.638285329654474]],["y",[0.44999999999999996,0.44999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5169","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5170"}}},"glyph":{"type":"object","name":"Line","id":"p5165","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5166","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5167","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5177","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5171","attributes":{"selected":{"type":"object","name":"Selection","id":"p5172","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5173"},"data":{"type":"map","entries":[["x",[1.6347780475303217,8.79855495914634]],["y",[0.44999999999999996,0.44999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5178","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5179"}}},"glyph":{"type":"object","name":"Line","id":"p5174","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5175","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5176","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5186","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5180","attributes":{"selected":{"type":"object","name":"Selection","id":"p5181","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5182"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5187","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5188"}}},"glyph":{"type":"object","name":"Circle","id":"p5183","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5184","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5185","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5195","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5189","attributes":{"selected":{"type":"object","name":"Selection","id":"p5190","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5191"},"data":{"type":"map","entries":[["x",[-2.4559431614686535,14.819611896281469]],["y",[1.275,1.275]]]}}},"view":{"type":"object","name":"CDSView","id":"p5196","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5197"}}},"glyph":{"type":"object","name":"Line","id":"p5192","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5193","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5194","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5204","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5198","attributes":{"selected":{"type":"object","name":"Selection","id":"p5199","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5200"},"data":{"type":"map","entries":[["x",[2.989128141345379,9.199067494600532]],["y",[1.275,1.275]]]}}},"view":{"type":"object","name":"CDSView","id":"p5205","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5206"}}},"glyph":{"type":"object","name":"Line","id":"p5201","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5202","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5203","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5213","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5207","attributes":{"selected":{"type":"object","name":"Selection","id":"p5208","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5209"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5214","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5215"}}},"glyph":{"type":"object","name":"Circle","id":"p5210","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5211","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5212","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5222","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5216","attributes":{"selected":{"type":"object","name":"Selection","id":"p5217","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5218"},"data":{"type":"map","entries":[["x",[-2.9713440396928874,16.491546317374183]],["y",[1.4249999999999998,1.4249999999999998]]]}}},"view":{"type":"object","name":"CDSView","id":"p5223","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5224"}}},"glyph":{"type":"object","name":"Line","id":"p5219","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5220","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5221","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5231","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5225","attributes":{"selected":{"type":"object","name":"Selection","id":"p5226","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5227"},"data":{"type":"map","entries":[["x",[3.549699400775843,9.13203893847153]],["y",[1.4249999999999998,1.4249999999999998]]]}}},"view":{"type":"object","name":"CDSView","id":"p5232","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5233"}}},"glyph":{"type":"object","name":"Line","id":"p5228","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5229","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5230","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5240","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5234","attributes":{"selected":{"type":"object","name":"Selection","id":"p5235","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5236"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5241","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5242"}}},"glyph":{"type":"object","name":"Circle","id":"p5237","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5238","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5239","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5249","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5243","attributes":{"selected":{"type":"object","name":"Selection","id":"p5244","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5245"},"data":{"type":"map","entries":[["x",[-3.0848876139367123,17.24110144656933]],["y",[1.5749999999999997,1.5749999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p5250","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5251"}}},"glyph":{"type":"object","name":"Line","id":"p5246","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5247","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5248","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5258","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5252","attributes":{"selected":{"type":"object","name":"Selection","id":"p5253","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5254"},"data":{"type":"map","entries":[["x",[3.7699612475620543,10.607744194400276]],["y",[1.5749999999999997,1.5749999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p5259","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5260"}}},"glyph":{"type":"object","name":"Line","id":"p5255","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5256","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5257","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5267","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5261","attributes":{"selected":{"type":"object","name":"Selection","id":"p5262","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5263"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5268","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5269"}}},"glyph":{"type":"object","name":"Circle","id":"p5264","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5265","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5266","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5276","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5270","attributes":{"selected":{"type":"object","name":"Selection","id":"p5271","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5272"},"data":{"type":"map","entries":[["x",[-2.277872609388223,17.266517491915437]],["y",[1.7249999999999996,1.7249999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5277","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5278"}}},"glyph":{"type":"object","name":"Line","id":"p5273","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5274","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5275","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5285","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5279","attributes":{"selected":{"type":"object","name":"Selection","id":"p5280","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5281"},"data":{"type":"map","entries":[["x",[3.9658990520902284,9.506245301773655]],["y",[1.7249999999999996,1.7249999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5286","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5287"}}},"glyph":{"type":"object","name":"Line","id":"p5282","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5283","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5284","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5294","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5288","attributes":{"selected":{"type":"object","name":"Selection","id":"p5289","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5290"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5295","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5296"}}},"glyph":{"type":"object","name":"Circle","id":"p5291","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5292","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5293","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5303","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5297","attributes":{"selected":{"type":"object","name":"Selection","id":"p5298","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5299"},"data":{"type":"map","entries":[["x",[-6.491868914372228,12.27970232021066]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p5304","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5305"}}},"glyph":{"type":"object","name":"Line","id":"p5300","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5301","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5302","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5312","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5306","attributes":{"selected":{"type":"object","name":"Selection","id":"p5307","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5308"},"data":{"type":"map","entries":[["x",[1.2347631081737467,7.048891543146303]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p5313","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5314"}}},"glyph":{"type":"object","name":"Line","id":"p5309","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5310","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5311","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5321","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5315","attributes":{"selected":{"type":"object","name":"Selection","id":"p5316","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5317"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5322","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5323"}}},"glyph":{"type":"object","name":"Circle","id":"p5318","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5319","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5320","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5330","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5324","attributes":{"selected":{"type":"object","name":"Selection","id":"p5325","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5326"},"data":{"type":"map","entries":[["x",[-7.018205604756885,12.067675391397442]],["y",[2.6999999999999997,2.6999999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p5331","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5332"}}},"glyph":{"type":"object","name":"Line","id":"p5327","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5328","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5329","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5339","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5333","attributes":{"selected":{"type":"object","name":"Selection","id":"p5334","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5335"},"data":{"type":"map","entries":[["x",[0.9010652469016314,6.484067417452173]],["y",[2.6999999999999997,2.6999999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p5340","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5341"}}},"glyph":{"type":"object","name":"Line","id":"p5336","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5337","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5338","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5348","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5342","attributes":{"selected":{"type":"object","name":"Selection","id":"p5343","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5344"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5349","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5350"}}},"glyph":{"type":"object","name":"Circle","id":"p5345","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5346","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5347","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5357","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5351","attributes":{"selected":{"type":"object","name":"Selection","id":"p5352","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5353"},"data":{"type":"map","entries":[["x",[-6.034644874295502,13.76024516552652]],["y",[2.8499999999999996,2.8499999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5358","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5359"}}},"glyph":{"type":"object","name":"Line","id":"p5354","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5355","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5356","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5366","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5360","attributes":{"selected":{"type":"object","name":"Selection","id":"p5361","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5362"},"data":{"type":"map","entries":[["x",[0.9542890201016498,8.03549383802102]],["y",[2.8499999999999996,2.8499999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5367","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5368"}}},"glyph":{"type":"object","name":"Line","id":"p5363","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5364","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5365","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5375","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5369","attributes":{"selected":{"type":"object","name":"Selection","id":"p5370","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5371"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5376","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5377"}}},"glyph":{"type":"object","name":"Circle","id":"p5372","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5373","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5374","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5384","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5378","attributes":{"selected":{"type":"object","name":"Selection","id":"p5379","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5380"},"data":{"type":"map","entries":[["x",[-4.2599646354829215,13.934261852628698]],["y",[2.9999999999999996,2.9999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5385","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5386"}}},"glyph":{"type":"object","name":"Line","id":"p5381","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5382","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5383","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5393","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5387","attributes":{"selected":{"type":"object","name":"Selection","id":"p5388","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5389"},"data":{"type":"map","entries":[["x",[0.8485290831534231,7.151888180355246]],["y",[2.9999999999999996,2.9999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p5394","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5395"}}},"glyph":{"type":"object","name":"Line","id":"p5390","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5391","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5392","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5402","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5396","attributes":{"selected":{"type":"object","name":"Selection","id":"p5397","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5398"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5403","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5404"}}},"glyph":{"type":"object","name":"Circle","id":"p5399","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5400","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5401","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5411","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5405","attributes":{"selected":{"type":"object","name":"Selection","id":"p5406","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5407"},"data":{"type":"map","entries":[["x",[-4.934788818798767,11.394508100305558]],["y",[3.8249999999999993,3.8249999999999993]]]}}},"view":{"type":"object","name":"CDSView","id":"p5412","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5413"}}},"glyph":{"type":"object","name":"Line","id":"p5408","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5409","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5410","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5420","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5414","attributes":{"selected":{"type":"object","name":"Selection","id":"p5415","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5416"},"data":{"type":"map","entries":[["x",[0.716389193220433,6.548741299181725]],["y",[3.8249999999999993,3.8249999999999993]]]}}},"view":{"type":"object","name":"CDSView","id":"p5421","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5422"}}},"glyph":{"type":"object","name":"Line","id":"p5417","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5418","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5419","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5429","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5423","attributes":{"selected":{"type":"object","name":"Selection","id":"p5424","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5425"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5430","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5431"}}},"glyph":{"type":"object","name":"Circle","id":"p5426","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5427","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5428","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5438","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5432","attributes":{"selected":{"type":"object","name":"Selection","id":"p5433","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5434"},"data":{"type":"map","entries":[["x",[-5.623428729931582,12.965129504999123]],["y",[3.974999999999999,3.974999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p5439","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5440"}}},"glyph":{"type":"object","name":"Line","id":"p5435","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5436","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5437","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5447","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5441","attributes":{"selected":{"type":"object","name":"Selection","id":"p5442","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5443"},"data":{"type":"map","entries":[["x",[1.0875126071687062,6.729647605929708]],["y",[3.974999999999999,3.974999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p5448","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5449"}}},"glyph":{"type":"object","name":"Line","id":"p5444","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5445","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5446","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5456","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5450","attributes":{"selected":{"type":"object","name":"Selection","id":"p5451","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5452"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5457","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5458"}}},"glyph":{"type":"object","name":"Circle","id":"p5453","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5454","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5455","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5465","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5459","attributes":{"selected":{"type":"object","name":"Selection","id":"p5460","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5461"},"data":{"type":"map","entries":[["x",[-8.145621853862428,12.721689206382147]],["y",[4.124999999999999,4.124999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p5466","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5467"}}},"glyph":{"type":"object","name":"Line","id":"p5462","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5463","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5464","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5474","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5468","attributes":{"selected":{"type":"object","name":"Selection","id":"p5469","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5470"},"data":{"type":"map","entries":[["x",[0.5752461605594426,7.6557463485405215]],["y",[4.124999999999999,4.124999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p5475","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5476"}}},"glyph":{"type":"object","name":"Line","id":"p5471","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5472","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5473","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5483","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5477","attributes":{"selected":{"type":"object","name":"Selection","id":"p5478","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5479"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5484","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5485"}}},"glyph":{"type":"object","name":"Circle","id":"p5480","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5481","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5482","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5492","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5486","attributes":{"selected":{"type":"object","name":"Selection","id":"p5487","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5488"},"data":{"type":"map","entries":[["x",[-6.1864353284960885,10.936388649432145]],["y",[4.2749999999999995,4.2749999999999995]]]}}},"view":{"type":"object","name":"CDSView","id":"p5493","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5494"}}},"glyph":{"type":"object","name":"Line","id":"p5489","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5490","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5491","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5501","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5495","attributes":{"selected":{"type":"object","name":"Selection","id":"p5496","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5497"},"data":{"type":"map","entries":[["x",[0.743067836860027,7.186044832209783]],["y",[4.2749999999999995,4.2749999999999995]]]}}},"view":{"type":"object","name":"CDSView","id":"p5502","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5503"}}},"glyph":{"type":"object","name":"Line","id":"p5498","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5499","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5500","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5510","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5504","attributes":{"selected":{"type":"object","name":"Selection","id":"p5505","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5506"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5511","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5512"}}},"glyph":{"type":"object","name":"Circle","id":"p5507","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5508","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5509","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5519","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5513","attributes":{"selected":{"type":"object","name":"Selection","id":"p5514","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5515"},"data":{"type":"map","entries":[["x",[-6.142662986216736,12.049311152115655]],["y",[5.1,5.1]]]}}},"view":{"type":"object","name":"CDSView","id":"p5520","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5521"}}},"glyph":{"type":"object","name":"Line","id":"p5516","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5517","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5518","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5528","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5522","attributes":{"selected":{"type":"object","name":"Selection","id":"p5523","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5524"},"data":{"type":"map","entries":[["x",[1.73891369232578,7.621893127742701]],["y",[5.1,5.1]]]}}},"view":{"type":"object","name":"CDSView","id":"p5529","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5530"}}},"glyph":{"type":"object","name":"Line","id":"p5525","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5526","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5527","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5537","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5531","attributes":{"selected":{"type":"object","name":"Selection","id":"p5532","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5533"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5538","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5539"}}},"glyph":{"type":"object","name":"Circle","id":"p5534","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5535","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5536","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5546","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5540","attributes":{"selected":{"type":"object","name":"Selection","id":"p5541","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5542"},"data":{"type":"map","entries":[["x",[-4.731024281201024,14.663454979059468]],["y",[5.25,5.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p5547","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5548"}}},"glyph":{"type":"object","name":"Line","id":"p5543","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5544","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5545","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5555","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5549","attributes":{"selected":{"type":"object","name":"Selection","id":"p5550","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5551"},"data":{"type":"map","entries":[["x",[0.9985307651857087,8.143895918968065]],["y",[5.25,5.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p5556","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5557"}}},"glyph":{"type":"object","name":"Line","id":"p5552","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5553","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5554","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5564","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5558","attributes":{"selected":{"type":"object","name":"Selection","id":"p5559","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5560"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5565","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5566"}}},"glyph":{"type":"object","name":"Circle","id":"p5561","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5562","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5563","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5573","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5567","attributes":{"selected":{"type":"object","name":"Selection","id":"p5568","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5569"},"data":{"type":"map","entries":[["x",[-3.5654376118652897,16.30917191900371]],["y",[5.4,5.4]]]}}},"view":{"type":"object","name":"CDSView","id":"p5574","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5575"}}},"glyph":{"type":"object","name":"Line","id":"p5570","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5571","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5572","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5582","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5576","attributes":{"selected":{"type":"object","name":"Selection","id":"p5577","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5578"},"data":{"type":"map","entries":[["x",[1.9829740173601742,8.390471013268815]],["y",[5.4,5.4]]]}}},"view":{"type":"object","name":"CDSView","id":"p5583","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5584"}}},"glyph":{"type":"object","name":"Line","id":"p5579","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5580","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5581","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5591","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5585","attributes":{"selected":{"type":"object","name":"Selection","id":"p5586","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5587"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5592","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5593"}}},"glyph":{"type":"object","name":"Circle","id":"p5588","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5589","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5590","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5600","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5594","attributes":{"selected":{"type":"object","name":"Selection","id":"p5595","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5596"},"data":{"type":"map","entries":[["x",[-5.597598206189505,12.221787328512631]],["y",[5.550000000000001,5.550000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5601","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5602"}}},"glyph":{"type":"object","name":"Line","id":"p5597","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5598","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5599","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5609","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5603","attributes":{"selected":{"type":"object","name":"Selection","id":"p5604","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5605"},"data":{"type":"map","entries":[["x",[2.324482073067596,8.15967985649049]],["y",[5.550000000000001,5.550000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5610","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5611"}}},"glyph":{"type":"object","name":"Line","id":"p5606","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5607","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5608","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5618","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5612","attributes":{"selected":{"type":"object","name":"Selection","id":"p5613","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5614"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5619","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5620"}}},"glyph":{"type":"object","name":"Circle","id":"p5615","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5616","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5617","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5627","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5621","attributes":{"selected":{"type":"object","name":"Selection","id":"p5622","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5623"},"data":{"type":"map","entries":[["x",[-6.691598487814056,13.275441317915028]],["y",[6.375000000000001,6.375000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5628","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5629"}}},"glyph":{"type":"object","name":"Line","id":"p5624","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5625","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5626","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5636","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5630","attributes":{"selected":{"type":"object","name":"Selection","id":"p5631","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5632"},"data":{"type":"map","entries":[["x",[1.0806015712338233,7.138974385625234]],["y",[6.375000000000001,6.375000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5637","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5638"}}},"glyph":{"type":"object","name":"Line","id":"p5633","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5634","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5635","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5645","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5639","attributes":{"selected":{"type":"object","name":"Selection","id":"p5640","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5641"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5646","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5647"}}},"glyph":{"type":"object","name":"Circle","id":"p5642","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5643","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5644","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5654","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5648","attributes":{"selected":{"type":"object","name":"Selection","id":"p5649","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5650"},"data":{"type":"map","entries":[["x",[-6.067658941113391,14.727119864084194]],["y",[6.525000000000001,6.525000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5655","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5656"}}},"glyph":{"type":"object","name":"Line","id":"p5651","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5652","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5653","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5663","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5657","attributes":{"selected":{"type":"object","name":"Selection","id":"p5658","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5659"},"data":{"type":"map","entries":[["x",[0.9231100716738253,6.960951389045538]],["y",[6.525000000000001,6.525000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p5664","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5665"}}},"glyph":{"type":"object","name":"Line","id":"p5660","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5661","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5662","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5672","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5666","attributes":{"selected":{"type":"object","name":"Selection","id":"p5667","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5668"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5673","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5674"}}},"glyph":{"type":"object","name":"Circle","id":"p5669","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5670","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5671","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5681","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5675","attributes":{"selected":{"type":"object","name":"Selection","id":"p5676","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5677"},"data":{"type":"map","entries":[["x",[-6.8945295514914235,15.66241299294748]],["y",[6.675000000000002,6.675000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5682","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5683"}}},"glyph":{"type":"object","name":"Line","id":"p5678","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5679","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5680","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5690","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5684","attributes":{"selected":{"type":"object","name":"Selection","id":"p5685","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5686"},"data":{"type":"map","entries":[["x",[0.7081258468867249,7.993605318504524]],["y",[6.675000000000002,6.675000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5691","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5692"}}},"glyph":{"type":"object","name":"Line","id":"p5687","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5688","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5689","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5699","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5693","attributes":{"selected":{"type":"object","name":"Selection","id":"p5694","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5695"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5700","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5701"}}},"glyph":{"type":"object","name":"Circle","id":"p5696","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5697","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5698","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5708","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5702","attributes":{"selected":{"type":"object","name":"Selection","id":"p5703","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5704"},"data":{"type":"map","entries":[["x",[-8.036876085267204,13.675539371621644]],["y",[6.825000000000002,6.825000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5709","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5710"}}},"glyph":{"type":"object","name":"Line","id":"p5705","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5706","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5707","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5717","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5711","attributes":{"selected":{"type":"object","name":"Selection","id":"p5712","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5713"},"data":{"type":"map","entries":[["x",[1.3231142627308903,7.303680103963772]],["y",[6.825000000000002,6.825000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5718","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5719"}}},"glyph":{"type":"object","name":"Line","id":"p5714","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5715","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5716","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5726","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5720","attributes":{"selected":{"type":"object","name":"Selection","id":"p5721","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5722"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5727","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5728"}}},"glyph":{"type":"object","name":"Circle","id":"p5723","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5724","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5725","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5735","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5729","attributes":{"selected":{"type":"object","name":"Selection","id":"p5730","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5731"},"data":{"type":"map","entries":[["x",[-4.066319379870937,13.001118172969791]],["y",[7.650000000000002,7.650000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5736","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5737"}}},"glyph":{"type":"object","name":"Line","id":"p5732","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5733","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5734","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5744","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5738","attributes":{"selected":{"type":"object","name":"Selection","id":"p5739","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5740"},"data":{"type":"map","entries":[["x",[1.2773070047342612,7.79207449429332]],["y",[7.650000000000002,7.650000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5745","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5746"}}},"glyph":{"type":"object","name":"Line","id":"p5741","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5742","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5743","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5753","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5747","attributes":{"selected":{"type":"object","name":"Selection","id":"p5748","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5749"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5754","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5755"}}},"glyph":{"type":"object","name":"Circle","id":"p5750","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5751","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5752","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5762","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5756","attributes":{"selected":{"type":"object","name":"Selection","id":"p5757","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5758"},"data":{"type":"map","entries":[["x",[-6.143454529670716,12.122989158320612]],["y",[7.8000000000000025,7.8000000000000025]]]}}},"view":{"type":"object","name":"CDSView","id":"p5763","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5764"}}},"glyph":{"type":"object","name":"Line","id":"p5759","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5760","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5761","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5771","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5765","attributes":{"selected":{"type":"object","name":"Selection","id":"p5766","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5767"},"data":{"type":"map","entries":[["x",[1.4616034567565872,7.838519298428995]],["y",[7.8000000000000025,7.8000000000000025]]]}}},"view":{"type":"object","name":"CDSView","id":"p5772","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5773"}}},"glyph":{"type":"object","name":"Line","id":"p5768","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5769","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5770","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5780","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5774","attributes":{"selected":{"type":"object","name":"Selection","id":"p5775","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5776"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5781","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5782"}}},"glyph":{"type":"object","name":"Circle","id":"p5777","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5778","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5779","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5789","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5783","attributes":{"selected":{"type":"object","name":"Selection","id":"p5784","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5785"},"data":{"type":"map","entries":[["x",[-5.28735983717624,13.852438145032446]],["y",[7.950000000000003,7.950000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5790","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5791"}}},"glyph":{"type":"object","name":"Line","id":"p5786","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5787","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5788","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5798","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5792","attributes":{"selected":{"type":"object","name":"Selection","id":"p5793","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5794"},"data":{"type":"map","entries":[["x",[2.249976574201102,8.993991988884424]],["y",[7.950000000000003,7.950000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5799","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5800"}}},"glyph":{"type":"object","name":"Line","id":"p5795","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5796","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5797","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5807","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5801","attributes":{"selected":{"type":"object","name":"Selection","id":"p5802","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5803"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5808","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5809"}}},"glyph":{"type":"object","name":"Circle","id":"p5804","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5805","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5806","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5816","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5810","attributes":{"selected":{"type":"object","name":"Selection","id":"p5811","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5812"},"data":{"type":"map","entries":[["x",[-3.4735939909531313,14.569719440227448]],["y",[8.100000000000003,8.100000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5817","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5818"}}},"glyph":{"type":"object","name":"Line","id":"p5813","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5814","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5815","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5825","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5819","attributes":{"selected":{"type":"object","name":"Selection","id":"p5820","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5821"},"data":{"type":"map","entries":[["x",[2.4949925893868405,7.956811130705536]],["y",[8.100000000000003,8.100000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5826","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5827"}}},"glyph":{"type":"object","name":"Line","id":"p5822","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5823","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5824","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5834","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5828","attributes":{"selected":{"type":"object","name":"Selection","id":"p5829","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5830"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5835","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5836"}}},"glyph":{"type":"object","name":"Circle","id":"p5831","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5832","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5833","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5843","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5837","attributes":{"selected":{"type":"object","name":"Selection","id":"p5838","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5839"},"data":{"type":"map","entries":[["x",[-5.3338158850408135,14.37103608163395]],["y",[8.925000000000002,8.925000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5844","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5845"}}},"glyph":{"type":"object","name":"Line","id":"p5840","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5841","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5842","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5852","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5846","attributes":{"selected":{"type":"object","name":"Selection","id":"p5847","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5848"},"data":{"type":"map","entries":[["x",[2.5085072151344194,8.813351253567735]],["y",[8.925000000000002,8.925000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p5853","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5854"}}},"glyph":{"type":"object","name":"Line","id":"p5849","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5850","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5851","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5861","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5855","attributes":{"selected":{"type":"object","name":"Selection","id":"p5856","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5857"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5862","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5863"}}},"glyph":{"type":"object","name":"Circle","id":"p5858","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5859","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5860","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5870","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5864","attributes":{"selected":{"type":"object","name":"Selection","id":"p5865","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5866"},"data":{"type":"map","entries":[["x",[-3.7150247557524265,16.149221009244545]],["y",[9.075000000000003,9.075000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5871","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5872"}}},"glyph":{"type":"object","name":"Line","id":"p5867","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5868","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5869","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5879","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5873","attributes":{"selected":{"type":"object","name":"Selection","id":"p5874","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5875"},"data":{"type":"map","entries":[["x",[3.2580823262118885,9.061927969717061]],["y",[9.075000000000003,9.075000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5880","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5881"}}},"glyph":{"type":"object","name":"Line","id":"p5876","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5877","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5878","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5888","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5882","attributes":{"selected":{"type":"object","name":"Selection","id":"p5883","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5884"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5889","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5890"}}},"glyph":{"type":"object","name":"Circle","id":"p5885","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5886","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5887","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5897","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5891","attributes":{"selected":{"type":"object","name":"Selection","id":"p5892","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5893"},"data":{"type":"map","entries":[["x",[-4.537055561311329,19.0875699310016]],["y",[9.225000000000003,9.225000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5898","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5899"}}},"glyph":{"type":"object","name":"Line","id":"p5894","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5895","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5896","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5906","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5900","attributes":{"selected":{"type":"object","name":"Selection","id":"p5901","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5902"},"data":{"type":"map","entries":[["x",[3.343595238385182,9.73136453635209]],["y",[9.225000000000003,9.225000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p5907","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5908"}}},"glyph":{"type":"object","name":"Line","id":"p5903","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5904","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5905","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5915","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5909","attributes":{"selected":{"type":"object","name":"Selection","id":"p5910","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5911"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5916","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5917"}}},"glyph":{"type":"object","name":"Circle","id":"p5912","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5913","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5914","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5924","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5918","attributes":{"selected":{"type":"object","name":"Selection","id":"p5919","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5920"},"data":{"type":"map","entries":[["x",[-4.679741161633049,17.990316075433725]],["y",[9.375000000000004,9.375000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p5925","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5926"}}},"glyph":{"type":"object","name":"Line","id":"p5921","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5922","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p5923","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p5933","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5927","attributes":{"selected":{"type":"object","name":"Selection","id":"p5928","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5929"},"data":{"type":"map","entries":[["x",[3.5038998188636072,9.52171333664456]],["y",[9.375000000000004,9.375000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p5934","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5935"}}},"glyph":{"type":"object","name":"Line","id":"p5930","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p5931","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p5932","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p5942","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5936","attributes":{"selected":{"type":"object","name":"Selection","id":"p5937","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5938"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5943","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5944"}}},"glyph":{"type":"object","name":"Circle","id":"p5939","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5940","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5941","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p5027","attributes":{"tools":[{"id":"p5040"},{"id":"p5041"},{"id":"p5042"},{"id":"p5044"},{"id":"p5045"},{"id":"p5047"},{"type":"object","name":"SaveTool","id":"p5048"},{"id":"p5049"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p5035","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p6239","attributes":{"ticks":[0.22499999999999998,1.4999999999999998,2.775,4.049999999999999,5.325,6.600000000000001,7.875000000000002,9.150000000000002],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p5037"},"major_label_overrides":{"type":"map","entries":[["0.22499999999999998",": [Mt. Hermon]"],["1.4999999999999998",": [St. Paul&#x27;s]"],["2.775",": [Lawrenceville]"],["4.049999999999999",": [Hotchkiss]"],["5.325",": [Phillips Exeter]"],["6.600000000000001",": [Phillips Andover]"],["7.875000000000002",": [Deerfield]"],["9.150000000000002",": theta[Choate]"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p5038"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p5030","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p5031","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p5032"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p5033"}}}],"center":[{"type":"object","name":"Grid","id":"p5034","attributes":{"axis":{"id":"p5030"}}},{"type":"object","name":"Grid","id":"p5039","attributes":{"dimension":1,"axis":{"id":"p5035"},"grid_line_color":null}}],"output_backend":"webgl"}},0,0],[{"type":"object","name":"Figure","id":"p5050","attributes":{"width":215,"height":300,"x_range":{"type":"object","name":"DataRange1d","id":"p6237","attributes":{"bounds":"auto","min_interval":1}},"y_range":{"type":"object","name":"DataRange1d","id":"p6238","attributes":{"start":-0.44999999999999996,"end":9.825000000000005,"bounds":"auto","min_interval":2}},"x_scale":{"type":"object","name":"LinearScale","id":"p5059"},"y_scale":{"type":"object","name":"LinearScale","id":"p5060"},"title":{"type":"object","name":"Title","id":"p6234","attributes":{"text":"ess"}},"outline_line_color":null,"renderers":[{"type":"object","name":"GlyphRenderer","id":"p5952","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5946","attributes":{"selected":{"type":"object","name":"Selection","id":"p5947","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5948"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5953","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5954"}}},"glyph":{"type":"object","name":"Circle","id":"p5949","attributes":{"x":{"type":"value","value":202.56116359236236},"y":{"type":"value","value":0},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5950","attributes":{"x":{"type":"value","value":202.56116359236236},"y":{"type":"value","value":0},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5951","attributes":{"x":{"type":"value","value":202.56116359236236},"y":{"type":"value","value":0},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5961","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5955","attributes":{"selected":{"type":"object","name":"Selection","id":"p5956","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5957"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5962","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5963"}}},"glyph":{"type":"object","name":"Circle","id":"p5958","attributes":{"x":{"type":"value","value":199.7897273866026},"y":{"type":"value","value":0.15},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5959","attributes":{"x":{"type":"value","value":199.7897273866026},"y":{"type":"value","value":0.15},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5960","attributes":{"x":{"type":"value","value":199.7897273866026},"y":{"type":"value","value":0.15},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5970","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5964","attributes":{"selected":{"type":"object","name":"Selection","id":"p5965","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5966"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5971","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5972"}}},"glyph":{"type":"object","name":"Circle","id":"p5967","attributes":{"x":{"type":"value","value":130.58852221853178},"y":{"type":"value","value":0.3},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5968","attributes":{"x":{"type":"value","value":130.58852221853178},"y":{"type":"value","value":0.3},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5969","attributes":{"x":{"type":"value","value":130.58852221853178},"y":{"type":"value","value":0.3},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5979","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5973","attributes":{"selected":{"type":"object","name":"Selection","id":"p5974","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5975"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5980","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5981"}}},"glyph":{"type":"object","name":"Circle","id":"p5976","attributes":{"x":{"type":"value","value":141.75641104099978},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5977","attributes":{"x":{"type":"value","value":141.75641104099978},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5978","attributes":{"x":{"type":"value","value":141.75641104099978},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5988","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5982","attributes":{"selected":{"type":"object","name":"Selection","id":"p5983","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5984"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5989","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5990"}}},"glyph":{"type":"object","name":"Circle","id":"p5985","attributes":{"x":{"type":"value","value":134.48493318318393},"y":{"type":"value","value":1.275},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5986","attributes":{"x":{"type":"value","value":134.48493318318393},"y":{"type":"value","value":1.275},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5987","attributes":{"x":{"type":"value","value":134.48493318318393},"y":{"type":"value","value":1.275},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p5997","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p5991","attributes":{"selected":{"type":"object","name":"Selection","id":"p5992","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p5993"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p5998","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p5999"}}},"glyph":{"type":"object","name":"Circle","id":"p5994","attributes":{"x":{"type":"value","value":85.44517657109611},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p5995","attributes":{"x":{"type":"value","value":85.44517657109611},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p5996","attributes":{"x":{"type":"value","value":85.44517657109611},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6006","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6000","attributes":{"selected":{"type":"object","name":"Selection","id":"p6001","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6002"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6007","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6008"}}},"glyph":{"type":"object","name":"Circle","id":"p6003","attributes":{"x":{"type":"value","value":87.61736731255539},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6004","attributes":{"x":{"type":"value","value":87.61736731255539},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6005","attributes":{"x":{"type":"value","value":87.61736731255539},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6015","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6009","attributes":{"selected":{"type":"object","name":"Selection","id":"p6010","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6011"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6016","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6017"}}},"glyph":{"type":"object","name":"Circle","id":"p6012","attributes":{"x":{"type":"value","value":62.93216018315839},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6013","attributes":{"x":{"type":"value","value":62.93216018315839},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6014","attributes":{"x":{"type":"value","value":62.93216018315839},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6024","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6018","attributes":{"selected":{"type":"object","name":"Selection","id":"p6019","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6020"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6025","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6026"}}},"glyph":{"type":"object","name":"Circle","id":"p6021","attributes":{"x":{"type":"value","value":179.42108838081236},"y":{"type":"value","value":2.55},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6022","attributes":{"x":{"type":"value","value":179.42108838081236},"y":{"type":"value","value":2.55},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6023","attributes":{"x":{"type":"value","value":179.42108838081236},"y":{"type":"value","value":2.55},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6033","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6027","attributes":{"selected":{"type":"object","name":"Selection","id":"p6028","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6029"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6034","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6035"}}},"glyph":{"type":"object","name":"Circle","id":"p6030","attributes":{"x":{"type":"value","value":197.5279292495833},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6031","attributes":{"x":{"type":"value","value":197.5279292495833},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6032","attributes":{"x":{"type":"value","value":197.5279292495833},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6042","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6036","attributes":{"selected":{"type":"object","name":"Selection","id":"p6037","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6038"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6043","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6044"}}},"glyph":{"type":"object","name":"Circle","id":"p6039","attributes":{"x":{"type":"value","value":129.38903831362157},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6040","attributes":{"x":{"type":"value","value":129.38903831362157},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6041","attributes":{"x":{"type":"value","value":129.38903831362157},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6051","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6045","attributes":{"selected":{"type":"object","name":"Selection","id":"p6046","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6047"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6052","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6053"}}},"glyph":{"type":"object","name":"Circle","id":"p6048","attributes":{"x":{"type":"value","value":117.03546949454044},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6049","attributes":{"x":{"type":"value","value":117.03546949454044},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6050","attributes":{"x":{"type":"value","value":117.03546949454044},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6060","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6054","attributes":{"selected":{"type":"object","name":"Selection","id":"p6055","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6056"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6061","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6062"}}},"glyph":{"type":"object","name":"Circle","id":"p6057","attributes":{"x":{"type":"value","value":121.99172782054248},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6058","attributes":{"x":{"type":"value","value":121.99172782054248},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6059","attributes":{"x":{"type":"value","value":121.99172782054248},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6069","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6063","attributes":{"selected":{"type":"object","name":"Selection","id":"p6064","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6065"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6070","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6071"}}},"glyph":{"type":"object","name":"Circle","id":"p6066","attributes":{"x":{"type":"value","value":130.24904555595046},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6067","attributes":{"x":{"type":"value","value":130.24904555595046},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6068","attributes":{"x":{"type":"value","value":130.24904555595046},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6078","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6072","attributes":{"selected":{"type":"object","name":"Selection","id":"p6073","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6074"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6079","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6080"}}},"glyph":{"type":"object","name":"Circle","id":"p6075","attributes":{"x":{"type":"value","value":141.7132016269276},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6076","attributes":{"x":{"type":"value","value":141.7132016269276},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6077","attributes":{"x":{"type":"value","value":141.7132016269276},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6087","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6081","attributes":{"selected":{"type":"object","name":"Selection","id":"p6082","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6083"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6088","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6089"}}},"glyph":{"type":"object","name":"Circle","id":"p6084","attributes":{"x":{"type":"value","value":69.73255448298681},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6085","attributes":{"x":{"type":"value","value":69.73255448298681},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6086","attributes":{"x":{"type":"value","value":69.73255448298681},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6096","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6090","attributes":{"selected":{"type":"object","name":"Selection","id":"p6091","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6092"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6097","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6098"}}},"glyph":{"type":"object","name":"Circle","id":"p6093","attributes":{"x":{"type":"value","value":142.0205834364343},"y":{"type":"value","value":5.1},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6094","attributes":{"x":{"type":"value","value":142.0205834364343},"y":{"type":"value","value":5.1},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6095","attributes":{"x":{"type":"value","value":142.0205834364343},"y":{"type":"value","value":5.1},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6105","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6099","attributes":{"selected":{"type":"object","name":"Selection","id":"p6100","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6101"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6106","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6107"}}},"glyph":{"type":"object","name":"Circle","id":"p6102","attributes":{"x":{"type":"value","value":73.29681346649343},"y":{"type":"value","value":5.25},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6103","attributes":{"x":{"type":"value","value":73.29681346649343},"y":{"type":"value","value":5.25},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6104","attributes":{"x":{"type":"value","value":73.29681346649343},"y":{"type":"value","value":5.25},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6114","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6108","attributes":{"selected":{"type":"object","name":"Selection","id":"p6109","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6110"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6115","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6116"}}},"glyph":{"type":"object","name":"Circle","id":"p6111","attributes":{"x":{"type":"value","value":134.16657764482642},"y":{"type":"value","value":5.4},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6112","attributes":{"x":{"type":"value","value":134.16657764482642},"y":{"type":"value","value":5.4},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6113","attributes":{"x":{"type":"value","value":134.16657764482642},"y":{"type":"value","value":5.4},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6123","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6117","attributes":{"selected":{"type":"object","name":"Selection","id":"p6118","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6119"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6124","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6125"}}},"glyph":{"type":"object","name":"Circle","id":"p6120","attributes":{"x":{"type":"value","value":100.52562920208187},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6121","attributes":{"x":{"type":"value","value":100.52562920208187},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6122","attributes":{"x":{"type":"value","value":100.52562920208187},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6132","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6126","attributes":{"selected":{"type":"object","name":"Selection","id":"p6127","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6128"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6133","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6134"}}},"glyph":{"type":"object","name":"Circle","id":"p6129","attributes":{"x":{"type":"value","value":160.87950502789244},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6130","attributes":{"x":{"type":"value","value":160.87950502789244},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6131","attributes":{"x":{"type":"value","value":160.87950502789244},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6141","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6135","attributes":{"selected":{"type":"object","name":"Selection","id":"p6136","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6137"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6142","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6143"}}},"glyph":{"type":"object","name":"Circle","id":"p6138","attributes":{"x":{"type":"value","value":172.75553359647526},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6139","attributes":{"x":{"type":"value","value":172.75553359647526},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6140","attributes":{"x":{"type":"value","value":172.75553359647526},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6150","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6144","attributes":{"selected":{"type":"object","name":"Selection","id":"p6145","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6146"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6151","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6152"}}},"glyph":{"type":"object","name":"Circle","id":"p6147","attributes":{"x":{"type":"value","value":136.53444684398005},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6148","attributes":{"x":{"type":"value","value":136.53444684398005},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6149","attributes":{"x":{"type":"value","value":136.53444684398005},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6159","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6153","attributes":{"selected":{"type":"object","name":"Selection","id":"p6154","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6155"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6160","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6161"}}},"glyph":{"type":"object","name":"Circle","id":"p6156","attributes":{"x":{"type":"value","value":161.72978653716964},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6157","attributes":{"x":{"type":"value","value":161.72978653716964},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6158","attributes":{"x":{"type":"value","value":161.72978653716964},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6168","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6162","attributes":{"selected":{"type":"object","name":"Selection","id":"p6163","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6164"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6169","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6170"}}},"glyph":{"type":"object","name":"Circle","id":"p6165","attributes":{"x":{"type":"value","value":136.7324164856077},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6166","attributes":{"x":{"type":"value","value":136.7324164856077},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6167","attributes":{"x":{"type":"value","value":136.7324164856077},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6177","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6171","attributes":{"selected":{"type":"object","name":"Selection","id":"p6172","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6173"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6178","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6179"}}},"glyph":{"type":"object","name":"Circle","id":"p6174","attributes":{"x":{"type":"value","value":121.13798145226738},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6175","attributes":{"x":{"type":"value","value":121.13798145226738},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6176","attributes":{"x":{"type":"value","value":121.13798145226738},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6186","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6180","attributes":{"selected":{"type":"object","name":"Selection","id":"p6181","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6182"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6187","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6188"}}},"glyph":{"type":"object","name":"Circle","id":"p6183","attributes":{"x":{"type":"value","value":165.41281488237692},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6184","attributes":{"x":{"type":"value","value":165.41281488237692},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6185","attributes":{"x":{"type":"value","value":165.41281488237692},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6195","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6189","attributes":{"selected":{"type":"object","name":"Selection","id":"p6190","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6191"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6196","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6197"}}},"glyph":{"type":"object","name":"Circle","id":"p6192","attributes":{"x":{"type":"value","value":75.63027606630509},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6193","attributes":{"x":{"type":"value","value":75.63027606630509},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6194","attributes":{"x":{"type":"value","value":75.63027606630509},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6204","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6198","attributes":{"selected":{"type":"object","name":"Selection","id":"p6199","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6200"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6205","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6206"}}},"glyph":{"type":"object","name":"Circle","id":"p6201","attributes":{"x":{"type":"value","value":123.16135325217883},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6202","attributes":{"x":{"type":"value","value":123.16135325217883},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6203","attributes":{"x":{"type":"value","value":123.16135325217883},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6213","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6207","attributes":{"selected":{"type":"object","name":"Selection","id":"p6208","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6209"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6214","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6215"}}},"glyph":{"type":"object","name":"Circle","id":"p6210","attributes":{"x":{"type":"value","value":114.00974921423335},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6211","attributes":{"x":{"type":"value","value":114.00974921423335},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6212","attributes":{"x":{"type":"value","value":114.00974921423335},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6222","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6216","attributes":{"selected":{"type":"object","name":"Selection","id":"p6217","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6218"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6223","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6224"}}},"glyph":{"type":"object","name":"Circle","id":"p6219","attributes":{"x":{"type":"value","value":142.97123941259295},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6220","attributes":{"x":{"type":"value","value":142.97123941259295},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6221","attributes":{"x":{"type":"value","value":142.97123941259295},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p6231","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p6225","attributes":{"selected":{"type":"object","name":"Selection","id":"p6226","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p6227"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p6232","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p6233"}}},"glyph":{"type":"object","name":"Circle","id":"p6228","attributes":{"x":{"type":"value","value":73.03870352493232},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":6.0},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p6229","attributes":{"x":{"type":"value","value":73.03870352493232},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p6230","attributes":{"x":{"type":"value","value":73.03870352493232},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":6.0},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p5058","attributes":{"tools":[{"id":"p5071"},{"id":"p5072"},{"id":"p5073"},{"id":"p5075"},{"id":"p5076"},{"id":"p5078"},{"type":"object","name":"SaveTool","id":"p5079"},{"id":"p5080"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p5066","attributes":{"visible":false,"ticker":{"type":"object","name":"BasicTicker","id":"p5067","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p5068"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p5069"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p5061","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p5062","attributes":{"desired_num_ticks":3,"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p5063"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p5064"}}}],"center":[{"type":"object","name":"Grid","id":"p5065","attributes":{"axis":{"id":"p5061"}}},{"type":"object","name":"Grid","id":"p5070","attributes":{"dimension":1,"axis":{"id":"p5066"},"grid_line_color":null}}],"output_backend":"webgl"}},0,1]]}}]}}';
                  const render_items = [{"docid":"987437cb-fe3e-4197-9b4b-10e965079e8c","roots":{"p6249":"bc26529f-f495-4ca0-a611-10a41dcaca47"},"root_ids":["p6249"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();