(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("be5be2e7-2dde-4888-9bde-93d5e5f280f6");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'be5be2e7-2dde-4888-9bde-93d5e5f280f6' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"f9fec4b0-c386-4bfd-8d67-1292cac41e4c":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p4759","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p4758","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p3771"},{"type":"object","name":"PanTool","id":"p3772"},{"type":"object","name":"BoxZoomTool","id":"p3773","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p3774","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p3775"},{"type":"object","name":"LassoSelectTool","id":"p3776","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p3777","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p3778"},{"type":"object","name":"SaveTool","id":"p4757"},{"type":"object","name":"HoverTool","id":"p3780","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p3750","attributes":{"width":862,"height":300,"x_range":{"type":"object","name":"DataRange1d","id":"p4754","attributes":{"bounds":"auto","min_interval":1}},"y_range":{"type":"object","name":"DataRange1d","id":"p4755","attributes":{"start":-0.44999999999999996,"end":11.175000000000006,"bounds":"auto","min_interval":2}},"x_scale":{"type":"object","name":"LinearScale","id":"p3759"},"y_scale":{"type":"object","name":"LinearScale","id":"p3760"},"title":{"type":"object","name":"Title","id":"p4753","attributes":{"text":"94.0% HDI"}},"outline_line_color":null,"renderers":[{"type":"object","name":"GlyphRenderer","id":"p3787","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3781","attributes":{"selected":{"type":"object","name":"Selection","id":"p3782","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3783"},"data":{"type":"map","entries":[["x",[-4.134655361799313,17.046141863243623]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p3788","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3789"}}},"glyph":{"type":"object","name":"Line","id":"p3784","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3785","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3786","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3796","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3790","attributes":{"selected":{"type":"object","name":"Selection","id":"p3791","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3792"},"data":{"type":"map","entries":[["x",[1.662207354018551,7.84385290246748]],["y",[0,0]]]}}},"view":{"type":"object","name":"CDSView","id":"p3797","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3798"}}},"glyph":{"type":"object","name":"Line","id":"p3793","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3794","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3795","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3805","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3799","attributes":{"selected":{"type":"object","name":"Selection","id":"p3800","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3801"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3806","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3807"}}},"glyph":{"type":"object","name":"Circle","id":"p3802","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3803","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3804","attributes":{"x":{"type":"value","value":4.494458766692823},"y":{"type":"value","value":0},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3814","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3808","attributes":{"selected":{"type":"object","name":"Selection","id":"p3809","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3810"},"data":{"type":"map","entries":[["x",[-6.516877363779323,13.783942506363058]],["y",[0.15,0.15]]]}}},"view":{"type":"object","name":"CDSView","id":"p3815","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3816"}}},"glyph":{"type":"object","name":"Line","id":"p3811","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3812","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3813","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3823","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3817","attributes":{"selected":{"type":"object","name":"Selection","id":"p3818","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3819"},"data":{"type":"map","entries":[["x",[2.0090214466141605,7.659543310306896]],["y",[0.15,0.15]]]}}},"view":{"type":"object","name":"CDSView","id":"p3824","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3825"}}},"glyph":{"type":"object","name":"Line","id":"p3820","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3821","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3822","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3832","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3826","attributes":{"selected":{"type":"object","name":"Selection","id":"p3827","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3828"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3833","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3834"}}},"glyph":{"type":"object","name":"Circle","id":"p3829","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3830","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3831","attributes":{"x":{"type":"value","value":3.7544437730087346},"y":{"type":"value","value":0.15},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3841","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3835","attributes":{"selected":{"type":"object","name":"Selection","id":"p3836","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3837"},"data":{"type":"map","entries":[["x",[-7.0880144136259355,17.631443937873662]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p3842","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3843"}}},"glyph":{"type":"object","name":"Line","id":"p3838","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3839","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3840","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3850","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3844","attributes":{"selected":{"type":"object","name":"Selection","id":"p3845","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3846"},"data":{"type":"map","entries":[["x",[0.5655203796813593,8.533000716326848]],["y",[0.3,0.3]]]}}},"view":{"type":"object","name":"CDSView","id":"p3851","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3852"}}},"glyph":{"type":"object","name":"Line","id":"p3847","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3848","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3849","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3859","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3853","attributes":{"selected":{"type":"object","name":"Selection","id":"p3854","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3855"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3860","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3861"}}},"glyph":{"type":"object","name":"Circle","id":"p3856","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3857","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3858","attributes":{"x":{"type":"value","value":4.821619692856282},"y":{"type":"value","value":0.3},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3868","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3862","attributes":{"selected":{"type":"object","name":"Selection","id":"p3863","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3864"},"data":{"type":"map","entries":[["x",[-3.434788335966197,14.638285329654474]],["y",[0.44999999999999996,0.44999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p3869","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3870"}}},"glyph":{"type":"object","name":"Line","id":"p3865","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3866","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3867","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3877","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3871","attributes":{"selected":{"type":"object","name":"Selection","id":"p3872","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3873"},"data":{"type":"map","entries":[["x",[1.6347780475303217,8.79855495914634]],["y",[0.44999999999999996,0.44999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p3878","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3879"}}},"glyph":{"type":"object","name":"Line","id":"p3874","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3875","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3876","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3886","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3880","attributes":{"selected":{"type":"object","name":"Selection","id":"p3881","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3882"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3887","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3888"}}},"glyph":{"type":"object","name":"Circle","id":"p3883","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3884","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3885","attributes":{"x":{"type":"value","value":5.423269352115337},"y":{"type":"value","value":0.44999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3895","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3889","attributes":{"selected":{"type":"object","name":"Selection","id":"p3890","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3891"},"data":{"type":"map","entries":[["x",[-2.4559431614686535,14.819611896281469]],["y",[1.275,1.275]]]}}},"view":{"type":"object","name":"CDSView","id":"p3896","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3897"}}},"glyph":{"type":"object","name":"Line","id":"p3892","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3893","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3894","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3904","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3898","attributes":{"selected":{"type":"object","name":"Selection","id":"p3899","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3900"},"data":{"type":"map","entries":[["x",[2.989128141345379,9.199067494600532]],["y",[1.275,1.275]]]}}},"view":{"type":"object","name":"CDSView","id":"p3905","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3906"}}},"glyph":{"type":"object","name":"Line","id":"p3901","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3902","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3903","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3913","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3907","attributes":{"selected":{"type":"object","name":"Selection","id":"p3908","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3909"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3914","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3915"}}},"glyph":{"type":"object","name":"Circle","id":"p3910","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3911","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3912","attributes":{"x":{"type":"value","value":5.60634637293079},"y":{"type":"value","value":1.275},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3922","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3916","attributes":{"selected":{"type":"object","name":"Selection","id":"p3917","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3918"},"data":{"type":"map","entries":[["x",[-2.9713440396928874,16.491546317374183]],["y",[1.4249999999999998,1.4249999999999998]]]}}},"view":{"type":"object","name":"CDSView","id":"p3923","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3924"}}},"glyph":{"type":"object","name":"Line","id":"p3919","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3920","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3921","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3931","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3925","attributes":{"selected":{"type":"object","name":"Selection","id":"p3926","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3927"},"data":{"type":"map","entries":[["x",[3.549699400775843,9.13203893847153]],["y",[1.4249999999999998,1.4249999999999998]]]}}},"view":{"type":"object","name":"CDSView","id":"p3932","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3933"}}},"glyph":{"type":"object","name":"Line","id":"p3928","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3929","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3930","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3940","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3934","attributes":{"selected":{"type":"object","name":"Selection","id":"p3935","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3936"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3941","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3942"}}},"glyph":{"type":"object","name":"Circle","id":"p3937","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3938","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3939","attributes":{"x":{"type":"value","value":5.6886975310401215},"y":{"type":"value","value":1.4249999999999998},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3949","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3943","attributes":{"selected":{"type":"object","name":"Selection","id":"p3944","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3945"},"data":{"type":"map","entries":[["x",[-3.0848876139367123,17.24110144656933]],["y",[1.5749999999999997,1.5749999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p3950","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3951"}}},"glyph":{"type":"object","name":"Line","id":"p3946","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3947","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3948","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3958","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3952","attributes":{"selected":{"type":"object","name":"Selection","id":"p3953","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3954"},"data":{"type":"map","entries":[["x",[3.7699612475620543,10.607744194400276]],["y",[1.5749999999999997,1.5749999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p3959","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3960"}}},"glyph":{"type":"object","name":"Line","id":"p3955","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3956","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3957","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3967","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3961","attributes":{"selected":{"type":"object","name":"Selection","id":"p3962","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3963"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3968","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3969"}}},"glyph":{"type":"object","name":"Circle","id":"p3964","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3965","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3966","attributes":{"x":{"type":"value","value":7.0185900601289735},"y":{"type":"value","value":1.5749999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p3976","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3970","attributes":{"selected":{"type":"object","name":"Selection","id":"p3971","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3972"},"data":{"type":"map","entries":[["x",[-2.277872609388223,17.266517491915437]],["y",[1.7249999999999996,1.7249999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p3977","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3978"}}},"glyph":{"type":"object","name":"Line","id":"p3973","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3974","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p3975","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p3985","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3979","attributes":{"selected":{"type":"object","name":"Selection","id":"p3980","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3981"},"data":{"type":"map","entries":[["x",[3.9658990520902284,9.506245301773655]],["y",[1.7249999999999996,1.7249999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p3986","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3987"}}},"glyph":{"type":"object","name":"Line","id":"p3982","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p3983","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p3984","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p3994","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3988","attributes":{"selected":{"type":"object","name":"Selection","id":"p3989","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3990"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p3995","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p3996"}}},"glyph":{"type":"object","name":"Circle","id":"p3991","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p3992","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p3993","attributes":{"x":{"type":"value","value":6.162092702715739},"y":{"type":"value","value":1.7249999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4003","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p3997","attributes":{"selected":{"type":"object","name":"Selection","id":"p3998","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p3999"},"data":{"type":"map","entries":[["x",[-6.491868914372228,12.27970232021066]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p4004","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4005"}}},"glyph":{"type":"object","name":"Line","id":"p4000","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4001","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4002","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4012","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4006","attributes":{"selected":{"type":"object","name":"Selection","id":"p4007","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4008"},"data":{"type":"map","entries":[["x",[1.2347631081737467,7.048891543146303]],["y",[2.55,2.55]]]}}},"view":{"type":"object","name":"CDSView","id":"p4013","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4014"}}},"glyph":{"type":"object","name":"Line","id":"p4009","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4010","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4011","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4021","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4015","attributes":{"selected":{"type":"object","name":"Selection","id":"p4016","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4017"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4022","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4023"}}},"glyph":{"type":"object","name":"Circle","id":"p4018","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4019","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4020","attributes":{"x":{"type":"value","value":3.815138218980974},"y":{"type":"value","value":2.55},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4030","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4024","attributes":{"selected":{"type":"object","name":"Selection","id":"p4025","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4026"},"data":{"type":"map","entries":[["x",[-7.018205604756885,12.067675391397442]],["y",[2.6999999999999997,2.6999999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p4031","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4032"}}},"glyph":{"type":"object","name":"Line","id":"p4027","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4028","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4029","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4039","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4033","attributes":{"selected":{"type":"object","name":"Selection","id":"p4034","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4035"},"data":{"type":"map","entries":[["x",[0.9010652469016314,6.484067417452173]],["y",[2.6999999999999997,2.6999999999999997]]]}}},"view":{"type":"object","name":"CDSView","id":"p4040","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4041"}}},"glyph":{"type":"object","name":"Line","id":"p4036","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4037","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4038","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4048","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4042","attributes":{"selected":{"type":"object","name":"Selection","id":"p4043","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4044"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4049","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4050"}}},"glyph":{"type":"object","name":"Circle","id":"p4045","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4046","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4047","attributes":{"x":{"type":"value","value":3.5921028648701814},"y":{"type":"value","value":2.6999999999999997},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4057","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4051","attributes":{"selected":{"type":"object","name":"Selection","id":"p4052","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4053"},"data":{"type":"map","entries":[["x",[-6.034644874295502,13.76024516552652]],["y",[2.8499999999999996,2.8499999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p4058","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4059"}}},"glyph":{"type":"object","name":"Line","id":"p4054","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4055","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4056","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4066","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4060","attributes":{"selected":{"type":"object","name":"Selection","id":"p4061","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4062"},"data":{"type":"map","entries":[["x",[0.9542890201016498,8.03549383802102]],["y",[2.8499999999999996,2.8499999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p4067","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4068"}}},"glyph":{"type":"object","name":"Line","id":"p4063","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4064","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4065","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4075","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4069","attributes":{"selected":{"type":"object","name":"Selection","id":"p4070","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4071"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4076","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4077"}}},"glyph":{"type":"object","name":"Circle","id":"p4072","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4073","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4074","attributes":{"x":{"type":"value","value":4.429156841650114},"y":{"type":"value","value":2.8499999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4084","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4078","attributes":{"selected":{"type":"object","name":"Selection","id":"p4079","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4080"},"data":{"type":"map","entries":[["x",[-4.2599646354829215,13.934261852628698]],["y",[2.9999999999999996,2.9999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p4085","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4086"}}},"glyph":{"type":"object","name":"Line","id":"p4081","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4082","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4083","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4093","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4087","attributes":{"selected":{"type":"object","name":"Selection","id":"p4088","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4089"},"data":{"type":"map","entries":[["x",[0.8485290831534231,7.151888180355246]],["y",[2.9999999999999996,2.9999999999999996]]]}}},"view":{"type":"object","name":"CDSView","id":"p4094","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4095"}}},"glyph":{"type":"object","name":"Line","id":"p4090","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4091","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4092","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4102","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4096","attributes":{"selected":{"type":"object","name":"Selection","id":"p4097","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4098"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4103","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4104"}}},"glyph":{"type":"object","name":"Circle","id":"p4099","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4100","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4101","attributes":{"x":{"type":"value","value":5.127550227349217},"y":{"type":"value","value":2.9999999999999996},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4111","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4105","attributes":{"selected":{"type":"object","name":"Selection","id":"p4106","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4107"},"data":{"type":"map","entries":[["x",[-4.934788818798767,11.394508100305558]],["y",[3.8249999999999993,3.8249999999999993]]]}}},"view":{"type":"object","name":"CDSView","id":"p4112","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4113"}}},"glyph":{"type":"object","name":"Line","id":"p4108","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4109","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4110","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4120","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4114","attributes":{"selected":{"type":"object","name":"Selection","id":"p4115","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4116"},"data":{"type":"map","entries":[["x",[0.716389193220433,6.548741299181725]],["y",[3.8249999999999993,3.8249999999999993]]]}}},"view":{"type":"object","name":"CDSView","id":"p4121","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4122"}}},"glyph":{"type":"object","name":"Line","id":"p4117","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4118","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4119","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4129","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4123","attributes":{"selected":{"type":"object","name":"Selection","id":"p4124","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4125"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4130","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4131"}}},"glyph":{"type":"object","name":"Circle","id":"p4126","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4127","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4128","attributes":{"x":{"type":"value","value":3.6453008746263347},"y":{"type":"value","value":3.8249999999999993},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4138","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4132","attributes":{"selected":{"type":"object","name":"Selection","id":"p4133","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4134"},"data":{"type":"map","entries":[["x",[-5.623428729931582,12.965129504999123]],["y",[3.974999999999999,3.974999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4139","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4140"}}},"glyph":{"type":"object","name":"Line","id":"p4135","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4136","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4137","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4147","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4141","attributes":{"selected":{"type":"object","name":"Selection","id":"p4142","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4143"},"data":{"type":"map","entries":[["x",[1.0875126071687062,6.729647605929708]],["y",[3.974999999999999,3.974999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4148","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4149"}}},"glyph":{"type":"object","name":"Line","id":"p4144","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4145","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4146","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4156","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4150","attributes":{"selected":{"type":"object","name":"Selection","id":"p4151","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4152"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4157","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4158"}}},"glyph":{"type":"object","name":"Circle","id":"p4153","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4154","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4155","attributes":{"x":{"type":"value","value":2.9651819431385276},"y":{"type":"value","value":3.974999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4165","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4159","attributes":{"selected":{"type":"object","name":"Selection","id":"p4160","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4161"},"data":{"type":"map","entries":[["x",[-8.145621853862428,12.721689206382147]],["y",[4.124999999999999,4.124999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4166","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4167"}}},"glyph":{"type":"object","name":"Line","id":"p4162","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4163","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4164","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4174","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4168","attributes":{"selected":{"type":"object","name":"Selection","id":"p4169","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4170"},"data":{"type":"map","entries":[["x",[0.5752461605594426,7.6557463485405215]],["y",[4.124999999999999,4.124999999999999]]]}}},"view":{"type":"object","name":"CDSView","id":"p4175","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4176"}}},"glyph":{"type":"object","name":"Line","id":"p4171","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4172","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4173","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4183","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4177","attributes":{"selected":{"type":"object","name":"Selection","id":"p4178","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4179"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4184","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4185"}}},"glyph":{"type":"object","name":"Circle","id":"p4180","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4181","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4182","attributes":{"x":{"type":"value","value":4.150614444159493},"y":{"type":"value","value":4.124999999999999},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4192","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4186","attributes":{"selected":{"type":"object","name":"Selection","id":"p4187","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4188"},"data":{"type":"map","entries":[["x",[-6.1864353284960885,10.936388649432145]],["y",[4.2749999999999995,4.2749999999999995]]]}}},"view":{"type":"object","name":"CDSView","id":"p4193","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4194"}}},"glyph":{"type":"object","name":"Line","id":"p4189","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4190","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4191","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4201","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4195","attributes":{"selected":{"type":"object","name":"Selection","id":"p4196","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4197"},"data":{"type":"map","entries":[["x",[0.743067836860027,7.186044832209783]],["y",[4.2749999999999995,4.2749999999999995]]]}}},"view":{"type":"object","name":"CDSView","id":"p4202","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4203"}}},"glyph":{"type":"object","name":"Line","id":"p4198","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4199","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4200","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4210","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4204","attributes":{"selected":{"type":"object","name":"Selection","id":"p4205","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4206"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4211","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4212"}}},"glyph":{"type":"object","name":"Circle","id":"p4207","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4208","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4209","attributes":{"x":{"type":"value","value":4.519234439929975},"y":{"type":"value","value":4.2749999999999995},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4219","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4213","attributes":{"selected":{"type":"object","name":"Selection","id":"p4214","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4215"},"data":{"type":"map","entries":[["x",[-6.142662986216736,12.049311152115655]],["y",[5.1,5.1]]]}}},"view":{"type":"object","name":"CDSView","id":"p4220","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4221"}}},"glyph":{"type":"object","name":"Line","id":"p4216","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4217","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4218","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4228","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4222","attributes":{"selected":{"type":"object","name":"Selection","id":"p4223","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4224"},"data":{"type":"map","entries":[["x",[1.73891369232578,7.621893127742701]],["y",[5.1,5.1]]]}}},"view":{"type":"object","name":"CDSView","id":"p4229","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4230"}}},"glyph":{"type":"object","name":"Line","id":"p4225","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4226","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4227","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4237","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4231","attributes":{"selected":{"type":"object","name":"Selection","id":"p4232","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4233"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4238","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4239"}}},"glyph":{"type":"object","name":"Circle","id":"p4234","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4235","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4236","attributes":{"x":{"type":"value","value":4.580040713659532},"y":{"type":"value","value":5.1},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4246","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4240","attributes":{"selected":{"type":"object","name":"Selection","id":"p4241","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4242"},"data":{"type":"map","entries":[["x",[-4.731024281201024,14.663454979059468]],["y",[5.25,5.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p4247","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4248"}}},"glyph":{"type":"object","name":"Line","id":"p4243","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4244","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4245","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4255","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4249","attributes":{"selected":{"type":"object","name":"Selection","id":"p4250","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4251"},"data":{"type":"map","entries":[["x",[0.9985307651857087,8.143895918968065]],["y",[5.25,5.25]]]}}},"view":{"type":"object","name":"CDSView","id":"p4256","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4257"}}},"glyph":{"type":"object","name":"Line","id":"p4252","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4253","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4254","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4264","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4258","attributes":{"selected":{"type":"object","name":"Selection","id":"p4259","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4260"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4265","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4266"}}},"glyph":{"type":"object","name":"Circle","id":"p4261","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4262","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4263","attributes":{"x":{"type":"value","value":4.0416015675187955},"y":{"type":"value","value":5.25},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4273","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4267","attributes":{"selected":{"type":"object","name":"Selection","id":"p4268","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4269"},"data":{"type":"map","entries":[["x",[-3.5654376118652897,16.30917191900371]],["y",[5.4,5.4]]]}}},"view":{"type":"object","name":"CDSView","id":"p4274","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4275"}}},"glyph":{"type":"object","name":"Line","id":"p4270","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4271","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4272","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4282","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4276","attributes":{"selected":{"type":"object","name":"Selection","id":"p4277","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4278"},"data":{"type":"map","entries":[["x",[1.9829740173601742,8.390471013268815]],["y",[5.4,5.4]]]}}},"view":{"type":"object","name":"CDSView","id":"p4283","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4284"}}},"glyph":{"type":"object","name":"Line","id":"p4279","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4280","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4281","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4291","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4285","attributes":{"selected":{"type":"object","name":"Selection","id":"p4286","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4287"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4292","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4293"}}},"glyph":{"type":"object","name":"Circle","id":"p4288","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4289","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4290","attributes":{"x":{"type":"value","value":5.418845459612987},"y":{"type":"value","value":5.4},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4300","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4294","attributes":{"selected":{"type":"object","name":"Selection","id":"p4295","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4296"},"data":{"type":"map","entries":[["x",[-5.597598206189505,12.221787328512631]],["y",[5.550000000000001,5.550000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4301","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4302"}}},"glyph":{"type":"object","name":"Line","id":"p4297","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4298","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4299","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4309","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4303","attributes":{"selected":{"type":"object","name":"Selection","id":"p4304","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4305"},"data":{"type":"map","entries":[["x",[2.324482073067596,8.15967985649049]],["y",[5.550000000000001,5.550000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4310","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4311"}}},"glyph":{"type":"object","name":"Line","id":"p4306","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4307","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4308","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4318","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4312","attributes":{"selected":{"type":"object","name":"Selection","id":"p4313","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4314"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4319","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4320"}}},"glyph":{"type":"object","name":"Circle","id":"p4315","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4316","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4317","attributes":{"x":{"type":"value","value":6.0353454049603},"y":{"type":"value","value":5.550000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4327","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4321","attributes":{"selected":{"type":"object","name":"Selection","id":"p4322","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4323"},"data":{"type":"map","entries":[["x",[-6.691598487814056,13.275441317915028]],["y",[6.375000000000001,6.375000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4328","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4329"}}},"glyph":{"type":"object","name":"Line","id":"p4324","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4325","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4326","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4336","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4330","attributes":{"selected":{"type":"object","name":"Selection","id":"p4331","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4332"},"data":{"type":"map","entries":[["x",[1.0806015712338233,7.138974385625234]],["y",[6.375000000000001,6.375000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4337","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4338"}}},"glyph":{"type":"object","name":"Line","id":"p4333","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4334","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4335","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4345","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4339","attributes":{"selected":{"type":"object","name":"Selection","id":"p4340","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4341"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4346","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4347"}}},"glyph":{"type":"object","name":"Circle","id":"p4342","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4343","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4344","attributes":{"x":{"type":"value","value":3.9892729216235354},"y":{"type":"value","value":6.375000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4354","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4348","attributes":{"selected":{"type":"object","name":"Selection","id":"p4349","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4350"},"data":{"type":"map","entries":[["x",[-6.067658941113391,14.727119864084194]],["y",[6.525000000000001,6.525000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4355","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4356"}}},"glyph":{"type":"object","name":"Line","id":"p4351","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4352","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4353","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4363","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4357","attributes":{"selected":{"type":"object","name":"Selection","id":"p4358","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4359"},"data":{"type":"map","entries":[["x",[0.9231100716738253,6.960951389045538]],["y",[6.525000000000001,6.525000000000001]]]}}},"view":{"type":"object","name":"CDSView","id":"p4364","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4365"}}},"glyph":{"type":"object","name":"Line","id":"p4360","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4361","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4362","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4372","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4366","attributes":{"selected":{"type":"object","name":"Selection","id":"p4367","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4368"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4373","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4374"}}},"glyph":{"type":"object","name":"Circle","id":"p4369","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4370","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4371","attributes":{"x":{"type":"value","value":3.3605570818303603},"y":{"type":"value","value":6.525000000000001},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4381","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4375","attributes":{"selected":{"type":"object","name":"Selection","id":"p4376","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4377"},"data":{"type":"map","entries":[["x",[-6.8945295514914235,15.66241299294748]],["y",[6.675000000000002,6.675000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4382","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4383"}}},"glyph":{"type":"object","name":"Line","id":"p4378","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4379","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4380","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4390","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4384","attributes":{"selected":{"type":"object","name":"Selection","id":"p4385","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4386"},"data":{"type":"map","entries":[["x",[0.7081258468867249,7.993605318504524]],["y",[6.675000000000002,6.675000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4391","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4392"}}},"glyph":{"type":"object","name":"Line","id":"p4387","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4388","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4389","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4399","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4393","attributes":{"selected":{"type":"object","name":"Selection","id":"p4394","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4395"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4400","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4401"}}},"glyph":{"type":"object","name":"Circle","id":"p4396","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4397","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4398","attributes":{"x":{"type":"value","value":4.136881964833852},"y":{"type":"value","value":6.675000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4408","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4402","attributes":{"selected":{"type":"object","name":"Selection","id":"p4403","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4404"},"data":{"type":"map","entries":[["x",[-8.036876085267204,13.675539371621644]],["y",[6.825000000000002,6.825000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4409","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4410"}}},"glyph":{"type":"object","name":"Line","id":"p4405","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4406","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4407","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4417","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4411","attributes":{"selected":{"type":"object","name":"Selection","id":"p4412","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4413"},"data":{"type":"map","entries":[["x",[1.3231142627308903,7.303680103963772]],["y",[6.825000000000002,6.825000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4418","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4419"}}},"glyph":{"type":"object","name":"Line","id":"p4414","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4415","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4416","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4426","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4420","attributes":{"selected":{"type":"object","name":"Selection","id":"p4421","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4422"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4427","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4428"}}},"glyph":{"type":"object","name":"Circle","id":"p4423","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4424","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4425","attributes":{"x":{"type":"value","value":5.109238114666624},"y":{"type":"value","value":6.825000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4435","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4429","attributes":{"selected":{"type":"object","name":"Selection","id":"p4430","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4431"},"data":{"type":"map","entries":[["x",[-4.066319379870937,13.001118172969791]],["y",[7.650000000000002,7.650000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4436","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4437"}}},"glyph":{"type":"object","name":"Line","id":"p4432","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4433","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4434","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4444","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4438","attributes":{"selected":{"type":"object","name":"Selection","id":"p4439","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4440"},"data":{"type":"map","entries":[["x",[1.2773070047342612,7.79207449429332]],["y",[7.650000000000002,7.650000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4445","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4446"}}},"glyph":{"type":"object","name":"Line","id":"p4441","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4442","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4443","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4453","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4447","attributes":{"selected":{"type":"object","name":"Selection","id":"p4448","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4449"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4454","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4455"}}},"glyph":{"type":"object","name":"Circle","id":"p4450","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4451","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4452","attributes":{"x":{"type":"value","value":4.684272232294745},"y":{"type":"value","value":7.650000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4462","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4456","attributes":{"selected":{"type":"object","name":"Selection","id":"p4457","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4458"},"data":{"type":"map","entries":[["x",[-6.143454529670716,12.122989158320612]],["y",[7.8000000000000025,7.8000000000000025]]]}}},"view":{"type":"object","name":"CDSView","id":"p4463","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4464"}}},"glyph":{"type":"object","name":"Line","id":"p4459","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4460","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4461","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4471","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4465","attributes":{"selected":{"type":"object","name":"Selection","id":"p4466","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4467"},"data":{"type":"map","entries":[["x",[1.4616034567565872,7.838519298428995]],["y",[7.8000000000000025,7.8000000000000025]]]}}},"view":{"type":"object","name":"CDSView","id":"p4472","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4473"}}},"glyph":{"type":"object","name":"Line","id":"p4468","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4469","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4470","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4480","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4474","attributes":{"selected":{"type":"object","name":"Selection","id":"p4475","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4476"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4481","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4482"}}},"glyph":{"type":"object","name":"Circle","id":"p4477","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4478","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4479","attributes":{"x":{"type":"value","value":4.569861797857547},"y":{"type":"value","value":7.8000000000000025},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4489","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4483","attributes":{"selected":{"type":"object","name":"Selection","id":"p4484","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4485"},"data":{"type":"map","entries":[["x",[-5.28735983717624,13.852438145032446]],["y",[7.950000000000003,7.950000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4490","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4491"}}},"glyph":{"type":"object","name":"Line","id":"p4486","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4487","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4488","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4498","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4492","attributes":{"selected":{"type":"object","name":"Selection","id":"p4493","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4494"},"data":{"type":"map","entries":[["x",[2.249976574201102,8.993991988884424]],["y",[7.950000000000003,7.950000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4499","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4500"}}},"glyph":{"type":"object","name":"Line","id":"p4495","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4496","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4497","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4507","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4501","attributes":{"selected":{"type":"object","name":"Selection","id":"p4502","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4503"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4508","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4509"}}},"glyph":{"type":"object","name":"Circle","id":"p4504","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4505","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4506","attributes":{"x":{"type":"value","value":5.453927423916546},"y":{"type":"value","value":7.950000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4516","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4510","attributes":{"selected":{"type":"object","name":"Selection","id":"p4511","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4512"},"data":{"type":"map","entries":[["x",[-3.4735939909531313,14.569719440227448]],["y",[8.100000000000003,8.100000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4517","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4518"}}},"glyph":{"type":"object","name":"Line","id":"p4513","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4514","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4515","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4525","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4519","attributes":{"selected":{"type":"object","name":"Selection","id":"p4520","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4521"},"data":{"type":"map","entries":[["x",[2.4949925893868405,7.956811130705536]],["y",[8.100000000000003,8.100000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4526","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4527"}}},"glyph":{"type":"object","name":"Line","id":"p4522","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4523","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4524","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4534","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4528","attributes":{"selected":{"type":"object","name":"Selection","id":"p4529","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4530"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4535","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4536"}}},"glyph":{"type":"object","name":"Circle","id":"p4531","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4532","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4533","attributes":{"x":{"type":"value","value":5.683295740819011},"y":{"type":"value","value":8.100000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4543","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4537","attributes":{"selected":{"type":"object","name":"Selection","id":"p4538","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4539"},"data":{"type":"map","entries":[["x",[-5.3338158850408135,14.37103608163395]],["y",[8.925000000000002,8.925000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4544","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4545"}}},"glyph":{"type":"object","name":"Line","id":"p4540","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4541","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4542","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4552","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4546","attributes":{"selected":{"type":"object","name":"Selection","id":"p4547","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4548"},"data":{"type":"map","entries":[["x",[2.5085072151344194,8.813351253567735]],["y",[8.925000000000002,8.925000000000002]]]}}},"view":{"type":"object","name":"CDSView","id":"p4553","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4554"}}},"glyph":{"type":"object","name":"Line","id":"p4549","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4550","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4551","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4561","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4555","attributes":{"selected":{"type":"object","name":"Selection","id":"p4556","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4557"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4562","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4563"}}},"glyph":{"type":"object","name":"Circle","id":"p4558","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4559","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4560","attributes":{"x":{"type":"value","value":5.681013716723541},"y":{"type":"value","value":8.925000000000002},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4570","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4564","attributes":{"selected":{"type":"object","name":"Selection","id":"p4565","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4566"},"data":{"type":"map","entries":[["x",[-3.7150247557524265,16.149221009244545]],["y",[9.075000000000003,9.075000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4571","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4572"}}},"glyph":{"type":"object","name":"Line","id":"p4567","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4568","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4569","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4579","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4573","attributes":{"selected":{"type":"object","name":"Selection","id":"p4574","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4575"},"data":{"type":"map","entries":[["x",[3.2580823262118885,9.061927969717061]],["y",[9.075000000000003,9.075000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4580","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4581"}}},"glyph":{"type":"object","name":"Line","id":"p4576","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4577","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4578","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4588","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4582","attributes":{"selected":{"type":"object","name":"Selection","id":"p4583","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4584"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4589","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4590"}}},"glyph":{"type":"object","name":"Circle","id":"p4585","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4586","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4587","attributes":{"x":{"type":"value","value":5.741851582723896},"y":{"type":"value","value":9.075000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4597","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4591","attributes":{"selected":{"type":"object","name":"Selection","id":"p4592","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4593"},"data":{"type":"map","entries":[["x",[-4.537055561311329,19.0875699310016]],["y",[9.225000000000003,9.225000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4598","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4599"}}},"glyph":{"type":"object","name":"Line","id":"p4594","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4595","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4596","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4606","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4600","attributes":{"selected":{"type":"object","name":"Selection","id":"p4601","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4602"},"data":{"type":"map","entries":[["x",[3.343595238385182,9.73136453635209]],["y",[9.225000000000003,9.225000000000003]]]}}},"view":{"type":"object","name":"CDSView","id":"p4607","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4608"}}},"glyph":{"type":"object","name":"Line","id":"p4603","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4604","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4605","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4615","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4609","attributes":{"selected":{"type":"object","name":"Selection","id":"p4610","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4611"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4616","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4617"}}},"glyph":{"type":"object","name":"Circle","id":"p4612","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4613","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4614","attributes":{"x":{"type":"value","value":6.218947835864988},"y":{"type":"value","value":9.225000000000003},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4624","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4618","attributes":{"selected":{"type":"object","name":"Selection","id":"p4619","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4620"},"data":{"type":"map","entries":[["x",[-4.679741161633049,17.990316075433725]],["y",[9.375000000000004,9.375000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4625","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4626"}}},"glyph":{"type":"object","name":"Line","id":"p4621","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4622","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4623","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4633","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4627","attributes":{"selected":{"type":"object","name":"Selection","id":"p4628","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4629"},"data":{"type":"map","entries":[["x",[3.5038998188636072,9.52171333664456]],["y",[9.375000000000004,9.375000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4634","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4635"}}},"glyph":{"type":"object","name":"Line","id":"p4630","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4631","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4632","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4642","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4636","attributes":{"selected":{"type":"object","name":"Selection","id":"p4637","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4638"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4643","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4644"}}},"glyph":{"type":"object","name":"Circle","id":"p4639","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4640","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4641","attributes":{"x":{"type":"value","value":6.311072307250999},"y":{"type":"value","value":9.375000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4651","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4645","attributes":{"selected":{"type":"object","name":"Selection","id":"p4646","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4647"},"data":{"type":"map","entries":[["x",[-1.6038825401773384,10.6286412107615]],["y",[10.275000000000004,10.275000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4652","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4653"}}},"glyph":{"type":"object","name":"Line","id":"p4648","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4649","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4650","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4660","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4654","attributes":{"selected":{"type":"object","name":"Selection","id":"p4655","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4656"},"data":{"type":"map","entries":[["x",[2.1158820630531303,6.6581454860024865]],["y",[10.275000000000004,10.275000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4661","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4662"}}},"glyph":{"type":"object","name":"Line","id":"p4657","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4658","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4659","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4669","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4663","attributes":{"selected":{"type":"object","name":"Selection","id":"p4664","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4665"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4670","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4671"}}},"glyph":{"type":"object","name":"Circle","id":"p4666","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":10.275000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4667","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":10.275000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4668","attributes":{"x":{"type":"value","value":4.0838852760395135},"y":{"type":"value","value":10.275000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4678","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4672","attributes":{"selected":{"type":"object","name":"Selection","id":"p4673","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4674"},"data":{"type":"map","entries":[["x",[-1.53674680954959,10.190048847795437]],["y",[10.425000000000004,10.425000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4679","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4680"}}},"glyph":{"type":"object","name":"Line","id":"p4675","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4676","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4677","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4687","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4681","attributes":{"selected":{"type":"object","name":"Selection","id":"p4682","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4683"},"data":{"type":"map","entries":[["x",[2.302188882367149,6.334929092837409]],["y",[10.425000000000004,10.425000000000004]]]}}},"view":{"type":"object","name":"CDSView","id":"p4688","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4689"}}},"glyph":{"type":"object","name":"Line","id":"p4684","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4685","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4686","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4696","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4690","attributes":{"selected":{"type":"object","name":"Selection","id":"p4691","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4692"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4697","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4698"}}},"glyph":{"type":"object","name":"Circle","id":"p4693","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":10.425000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4694","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":10.425000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4695","attributes":{"x":{"type":"value","value":4.0801207397059445},"y":{"type":"value","value":10.425000000000004},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4705","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4699","attributes":{"selected":{"type":"object","name":"Selection","id":"p4700","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4701"},"data":{"type":"map","entries":[["x",[-1.7424752209741694,11.281143766262748]],["y",[10.575000000000005,10.575000000000005]]]}}},"view":{"type":"object","name":"CDSView","id":"p4706","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4707"}}},"glyph":{"type":"object","name":"Line","id":"p4702","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4703","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4704","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4714","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4708","attributes":{"selected":{"type":"object","name":"Selection","id":"p4709","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4710"},"data":{"type":"map","entries":[["x",[2.1861799055717412,7.397288531736193]],["y",[10.575000000000005,10.575000000000005]]]}}},"view":{"type":"object","name":"CDSView","id":"p4715","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4716"}}},"glyph":{"type":"object","name":"Line","id":"p4711","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4712","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4713","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4723","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4717","attributes":{"selected":{"type":"object","name":"Selection","id":"p4718","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4719"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4724","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4725"}}},"glyph":{"type":"object","name":"Circle","id":"p4720","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":10.575000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4721","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":10.575000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4722","attributes":{"x":{"type":"value","value":4.673585841512269},"y":{"type":"value","value":10.575000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p4732","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4726","attributes":{"selected":{"type":"object","name":"Selection","id":"p4727","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4728"},"data":{"type":"map","entries":[["x",[-1.550328393988435,10.4388446174497]],["y",[10.725000000000005,10.725000000000005]]]}}},"view":{"type":"object","name":"CDSView","id":"p4733","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4734"}}},"glyph":{"type":"object","name":"Line","id":"p4729","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":1.5}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4730","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":1.5}},"muted_glyph":{"type":"object","name":"Line","id":"p4731","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":1.5}}}},{"type":"object","name":"GlyphRenderer","id":"p4741","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4735","attributes":{"selected":{"type":"object","name":"Selection","id":"p4736","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4737"},"data":{"type":"map","entries":[["x",[2.4957168549516444,6.81336629700286]],["y",[10.725000000000005,10.725000000000005]]]}}},"view":{"type":"object","name":"CDSView","id":"p4742","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4743"}}},"glyph":{"type":"object","name":"Line","id":"p4738","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_width":3.0}},"nonselection_glyph":{"type":"object","name":"Line","id":"p4739","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.1,"line_width":3.0}},"muted_glyph":{"type":"object","name":"Line","id":"p4740","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"line_color":"#107591","line_alpha":0.2,"line_width":3.0}}}},{"type":"object","name":"GlyphRenderer","id":"p4750","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p4744","attributes":{"selected":{"type":"object","name":"Selection","id":"p4745","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p4746"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p4751","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p4752"}}},"glyph":{"type":"object","name":"Circle","id":"p4747","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":10.725000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"fill_color":{"type":"value","value":"#107591"}}},"nonselection_glyph":{"type":"object","name":"Circle","id":"p4748","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":10.725000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Circle","id":"p4749","attributes":{"x":{"type":"value","value":5.518051392950587},"y":{"type":"value","value":10.725000000000005},"size":{"type":"value","value":4.5},"line_color":{"type":"value","value":"#1f77b4"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p3758","attributes":{"tools":[{"id":"p3771"},{"id":"p3772"},{"id":"p3773"},{"id":"p3775"},{"id":"p3776"},{"id":"p3778"},{"type":"object","name":"SaveTool","id":"p3779"},{"id":"p3780"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p3766","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p4756","attributes":{"ticks":[0.22499999999999998,1.4999999999999998,2.775,4.049999999999999,5.325,6.600000000000001,7.875000000000002,9.150000000000002,10.500000000000004],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p3768"},"major_label_overrides":{"type":"map","entries":[["0.22499999999999998",": [Mt. Hermon]"],["1.4999999999999998",": [St. Paul&#x27;s]"],["2.775",": [Lawrenceville]"],["4.049999999999999",": [Hotchkiss]"],["5.325",": [Phillips Exeter]"],["6.600000000000001",": [Phillips Andover]"],["7.875000000000002",": [Deerfield]"],["9.150000000000002",": theta[Choate]"],["10.500000000000004",": mu"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p3769"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p3761","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p3762","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p3763"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p3764"}}}],"center":[{"type":"object","name":"Grid","id":"p3765","attributes":{"axis":{"id":"p3761"}}},{"type":"object","name":"Grid","id":"p3770","attributes":{"dimension":1,"axis":{"id":"p3766"},"grid_line_color":null}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"f9fec4b0-c386-4bfd-8d67-1292cac41e4c","roots":{"p4759":"be5be2e7-2dde-4888-9bde-93d5e5f280f6"},"root_ids":["p4759"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();