(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("fbdf2d4e-ec43-4477-be51-9dc097751446");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'fbdf2d4e-ec43-4477-be51-9dc097751446' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"8dfc4986-c24f-4e58-bb73-84b56a71ef05":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p20376","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p20375","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p20343"},{"type":"object","name":"PanTool","id":"p20344"},{"type":"object","name":"BoxZoomTool","id":"p20345","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p20346","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p20347"},{"type":"object","name":"LassoSelectTool","id":"p20348","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p20349","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p20350"},{"type":"object","name":"SaveTool","id":"p20374"},{"type":"object","name":"HoverTool","id":"p20352","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p20322","attributes":{"width":500,"height":500,"x_range":{"type":"object","name":"DataRange1d","id":"p20372","attributes":{"bounds":"auto","min_interval":2}},"y_range":{"type":"object","name":"DataRange1d","id":"p20373","attributes":{"bounds":"auto","min_interval":5}},"x_scale":{"type":"object","name":"LinearScale","id":"p20331"},"y_scale":{"type":"object","name":"LinearScale","id":"p20332"},"title":{"type":"object","name":"Title","id":"p20329"},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p20359","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p20353","attributes":{"selected":{"type":"object","name":"Selection","id":"p20354","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p20355"},"data":{"type":"map","entries":[["xs",[[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9]]],["ys",[{"type":"ndarray","array":{"type":"bytes","data":"om5s5jCkKEAxGdU/jM8jQBFscCU65y1Aple0WuEFJkD9zmcUg1EWQOwsbg7c5jBAM1NtCGhlKkCxI8VXax8uQOMZLmco5xJAoX3FL7h8H0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QcoQNT2SJkAWdNa2NkIiQONNFg82HQlA1O4qzM3dIkCyawnv/T4fQJWv6l0LJQNAK+F4KkYcJEDzBjUx97QYQHKpsnGeRQ9AEI3ONZETC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6oYUiILVFkBhL6JuHwgXQIqgE7Kg4yVA9H7rJ+2UF0B+Ex1taPwjQHKXgSpiSSBAf6waekRrHkBkQk4DCYkhQPn3WSRIYBNAqJOqjHEzIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WrCipRUTJEDwURIqPp4hQK6p1O5FzSNAJhsvwEgTF0CKoxdAMSAiQF+egxBt1RtAA3EM+7SYJEAfpQkuED4JQArXexgOtf0/YED4e5g3HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VmHa1FxMIkDEmAdrWA8XQNwXqynEDxxAuxmiip5gL0AS1z4Nd8cIQGeDqN0wDShAzdVVbyyiJkCdmwH0zwsxQLiaBc1e/hJA8pnZzGTCI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hrJl18p4LUAA2xyilEsUQIo8conyJxxAbg/SBRsXJ0D5EyH5VO0TQDtIcDIz/yRAqyqOF7XNE0DjS5K9pCkpQLa4WulpHAxATcTPZgorHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GJrXcKGbLEDA/wZEFgoeQEYgVufqrBpA8VL6ZVvsIUAyCXjWN/EjQNQscrL/iiFAG1xwh+QmI0Ai6RC4rFAaQKFH2ev91RBATogns8bBJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qPhgWdmoKkB6yHmqUuwZQFdhG4N3BydAgXlbDMe2IUBTOQRUkcIgQN5MnCZvNyZA+bOgloVvLECvtR0R8jsfQKIJ5AaZdwVAU6f4broeJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Htu4Tk/mJEDz8G1cXkYpQAdD8bE82ShABwMtwqo0I0ALT07vzb0lQAeMeHnKeiRAtCqKkPGBIUATTOkH/F0pQN60m7zFs/I/TYSAA8LZJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eHMNUT7yJkDeS8jtBtAoQHuahJ5XGihAupMBHneeJ0DEPSDIV4IlQIC4rQNW4idAi1to1q7VIEBWAV20dlEjQOAMcSJKXvM/y5eZwh6fJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hSB80NChI0DXEIDpCp8hQArT+KQGjSpAp5ikQX94HUDi/yWskgAnQKJ1ROtGXCVAcgpQcBiwKEC9j/8m8WUnQIxQ4/fBrPw/YwJQAa+0JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nHrlMZFfJEB0vevb86wdQEJrKXt91ilABeTS5Bd0HEAQHKk/oXwmQHoHTztDLidAjI93qeJSJUDfPccXr6gnQNKztWsEa/0/XM38p8OaJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wpDsVGgRJkAsRjbcbzIiQC/NoXoZPBBA+VEhL8UrLEAWMItRLsUmQN9bFNiZEiJAs8ucbCSZLEBdgVzXJpggQP+Wgg7V2RNAuS/4y++yIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZhdokFphHUB9M6ySxJchQJkgtUg3hipAaFsfXJ7rAEDyNnyF0psUQGIZT1hp4xxAGkf+BdN+IUC2v8g7nVQiQL62XvqbrQtA2hALms2CGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+BtRJGlNGEDmP5MPqtskQGqc0aSTkxRANIYu+JHJF0A6lRwufmUNQFfCM4v0qRhA749koqXQIUBEdquFrR4eQEdadI5hqgJAW1Q9cRq3IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IHwXLV1FFED+9dUuXf4iQKG4qoKPNxtAiuMrJ076GkCfUz8NUcITQIs7es+wkx1AWiH7vCifI0BKO5+72lUcQNxqn8cmQf4/UWi6QBlbHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"e7pP7f8K6j/w5lYKdc0SQOoBnMnKuABAoQvAmrDoCUADLnVFoCUSQBj25ieBURBAKC4PLXCRFUAtzCUZRVcHQJS36oHe7Po/IYcf4Gt9C0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BertYUrPAUBFYDX2OlwRQERHm23ttfs/u7vWtmvMFEAE/URGBSsLQJo34GXO6BJAsaiBBmxMG0Atz6bp0oYDQMzIsfn/nf4/z9VjVXtDD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bEhKlEr6AkBpFDqZj8sWQOTDzVfFugFA9KtFUKirB0CYHOwOd2oIQHT9Xq6AYg9AXUvEfiwtCECYY0L7pVcSQCK2n4ssdvk/Hyoo5r6gCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5nCrC3YtHEBAQW1cdpYTQDBNlj3BYBNADR5JQrzeFUDp3ZMS6joGQHmaHW/FZAlAznoGRXSKFkCqdmOlb6naP1M9W9OwQwNAkJqucbSOFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"coEIXZjKDECx0yCjd0v8PyO/lGwHyRpA8yfU1zLtEkDd8EQS7BIQQBqRwknWFhNAYi/m3um0GkCwJnEi+7H7P/Zqwk6vzwBAvQsBOLj5CUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bIjGLx5jBUC6HGYrUxDgv6Vl3hX4wRxAEO73QWRgHUAXWEVs4owWQAh5Tn2sjAxAGDpvNtFsC0DUjH9Gl08GQLixzShWcgtA4sGH5NiBB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hGOTclS6EUCkPiXACEYaQNYh6Csp/ANAhA0gj7+qBEA49gVwsQYRQMh4kWrnTQtAtFS3JsseF0A3mCOs7oASQN4hEl0QawFApLFU/1KVFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ehsZwfRJEUBl10UGKYAaQJDoKXI7Abm/HCVLaePKF0AwrsN8weMgQHw+1EieqgxA2g8C6foiFkA7jxJHFu8HQLXhofmUAAxA47RmifKRDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QO63OJbREEBoI/+/rdoTQKCXADv93Ns/SA35BFIEFUDIpez7X1ccQENCcWi3SwNAUU/cG8XeEUAwSmHR67TrP0jdFX38BgFA5uW/K/WoEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ovjVyF23IkA8ektYvwIZQHEZTj3nAiNA8UP7viyiFUDZ/cu9dp35P01K9g8cQSRAb853t8oDH0AJE3Qu218XQDIIhTKMzAhAb248zWjxHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Q1GPMrZcKkDvYZ3eq6wfQBt42/vQxyJAlp/WaQP/HEDVYrnrf6T4P+Yg9yHYSSRA0rslLtOXJ0AQi92EsUcRQH3AW1QqvRFAebSTtWJeIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xGOMXDGXJ0B43O4LtxkpQJ8exnd8oCBASBhLrHaRIUBQGo9vr1gqQFgTCIZhRCNA6QMinsTqIkCMCzRYLc8eQE/hWSl9hwFAz2Z6zeq2IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RtF/R6gqKUDgVVB1DSMjQCHLp8ftaCJAYtIFzbZAI0AKljI93dMkQJ9NugJVyCBA+dJz5JbWJEDoivhpSQYsQHVB/52iav4/KUvPbDawI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fkKQNFawDUD8lzZfHs8XQLBbRVHHXQRAydgglBZ1DkBUUCEZ7UT4PzFm0kkdmgpA0pNWh48aC0CadZ7rhOIUQP5e6l4r5vQ/1wfRgkUnD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WzSmWFzdDEBJAvlJVHwEQDtiz/+YsBVAWRIrs4KjE0A53IZtqvUYQGrcWSjMWBVA2gbmlt9/GkC1nb4fbeYUQMAaqTLhmPE/7dnVJfdFFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NvR4r8W1IUDpE6c5+fcjQLFbc+FzPBJA1ApMIjmFFkBzB9XMjon+Py2Z4hdLuRFAlKipdL71EEANYvtMBCcWQKfwQXcILwRA2of4QCd7FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jlX+Kbn+GUC6NsAL7fwPQNPVKNxgeCBAdel0U6KPH0AIz0v59LEjQD3J1At6fCBAetT4fiBjIkBFiYJ6IpUgQNzc2fp3j/o/t9gnKhq0H0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"i7KiVvpJGkC2A+Orn1EmQOrKw6GsZg7AEtMVqBnRGEA4aHxfytvTP2xjbqh59hRAFL1woTmTDEAqkxASl7DtP6guqKMoxxBACcY+eDWtEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EYdqwbc1LECE5Skq354XQIK0qXJJbxRAiscwLgeG+z9qL7qAbdERQAiDtPwND+C/9KrAqYXPKUDr95KTzoYUQLgCTN6M2xVARWscC3kvE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GnbwoUqIJkDstNRu0KECwERv7UcC0gxAcKp0Qdjq5j9i1xh5oi8OwLZd/LtbKiJAwWfw5DgnG0DiGpo0i+whQH1Y6LInhxlAt47uxv45EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NTYXECaGIEBR11G8ilsuQJP43XmGjfM/nxXZSSawLEBxenX78CADwCKaOxlnXjlAvRvipnfZK0DmckKnxfUSQMd7QSIbxCJAhOPodPiqE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"STy6fcBlI0B1JmPUbWckQMhK1QdkyhNAt9zIO4SuJ0DqV29ow5McQBgp6cFPwzNA4wZyu4KaJUDImOMQWr3tP6C+D0/AqhlA2+zqwAkBGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KqxEZ8RlHkC1EovlDgUnQBy78pNHziZAuhCdLIGfIkCoBQH5lkscQOraVGSbHhJACwTAeAhSIUDUggKqSsgiQEzsKyJJjQNAHHDYVZI0G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1Ul+dVzEAEDdw5teB7/wP1qspoClgQrACpKo2cmlGEDgL4TBEeDCP2D/bZB+AxJAIGtlvhUdEkDJnaus3JEFQL9Y6E4uwgtAFZAA5+PoEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"S9YqQ6ZZHUA9WcWlC08XQM+UBmvQESFAkuyUoxV/9T+C9NtrEKEWQKQ6GlFyhgRA5AE02jH6BEDo0YqKeEYLQOrK5bQP0wdAvDWSpLTUFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VT3IodcfEUAYA1WA/XMXQOCaZiwY+PQ/SfzglAKKG0DJAgCKbksZQB+4Awy/xRVAwjuUwjY2HkC9wLClPvsTQIJz5el1oPs/3mctwJCmF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"v7hXIFxOGECPAL/l4V0XQAR6+I09ex1A9DZ8dHOlC0AOmJYSMUsQQOr+I061URRAUHrlfCPxCkB2JNFZTuUEQIvkkVk5kAFA3MijnSjUDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jUTuv3B9FEAKmuslzkcaQFXKfzjyOx9AHNGTRS0LB0CD+Bw2KxgNQAP6cGNK6hlAT495RJf7BEA2sH387xUNQPz0WVirVgJAhr4of/5UDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hs5nF7u1IEDodY1AeZenP1uJjbtpT/M/+8WnV5P1IUCjNzU+qILav0YRibQ8TMY/DMTI0nD7IUBOh9HWNzoUQGPC6P70fQ9AVM4tHEni6z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CE5Lkikf2b/P3nBRsN7xP32qZ1lqUgBAJAK01cIyEED5JC4NRKIMQOjr0HJDbbi/TXR8Glx2HkAwhytE/kfPP/bT2Z2NLg1AGZfWENE4FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dEpW1bMPGUDosyVhmUAOQP2KpmnE/g5A60OguCYEFECy6oplDSbovwjTTE6S9/0/dkU+mzSIMEAqkPZTKTMDQDBr0nzrtRZAWD7h0M3v3j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NeSZt1VWFMAZNPduFt3mP3AXZOZYFA9AnwpWi4l6HkDyoLVHOb0TwJ1KxluJqRVAxjZG1k0YLUCe0ruYemkYQFiDQLu2QShAs1l9wXgICMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SRVp3f2nH0DgBa2PaODEv/v23aH+iSfAUdG7+LcfFsDwipGS4QfZP0/hS9oDshvA+AzDsgzV978S6+htdiQCwIBK0bHhAB9AWbu3LCgCFMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7qkTmaSKCcB4jCRTabLlv+ZyZ4cMbBZAD3SRMFOyEUBw6+eL6v39vw6gNwZrhhZACxPr3mi4FECW6q3LUlH8v0VeyWazghVAi1L1bUUAAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1/akCAeLK0Bgt2jnzLsSQHhvV+5WaRdAgPz9X2j/E0BJVcJivv3wPzpRj2uRFixAy8CO8PUVIEBdGeAC94shQFjgQIFiOBBAwIXfQBPXF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AQQWF1G0MUAROw9+QeUPQIL8W1zEj+M/TeIITm9IGUAagBcjVTATQFFrBhhVdCFAQ6poJ3mLH0AUQe1k3F4iQOKUngkYXhxAMOrANirZG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Oj9+N4uRF8AB0GTK1yUaQJYYXNp1VyJAuMx3U9eoFkCjOTYZMaQWQEyKUMKrqL+/c/ilbOGe5T/a/Xa1QAL5P256M2J0ABtAxBAVnbNt0L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lP0kZDGOCEB00NtDZMQLwFMNhOfweA/AfvGzvYapE8AK0NOIJagIwJR/Tc93vQ/AFMfmWUmcEkCY+dnvoBKlP5UaX0p8KQtAbgp8Jq1G0j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ishusXwh7z/SqHSfaWwAwO1eE+APGRRAQJkLPFY6FUD85Rd8LssCQJ9X6cVsHSFApALj0O4/A0BpvR8RKPAlQA0LZ/XrkwlAC5EN5P9QBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pxCCiBcDI0Dt76dhMWrzP3HhrUWGlRrAqYIlfn/vGkCausH+3YoIQPWpxso1SBVAuzuLlVYN8D8zgYUPZDIbwOP8Gq8lXhBAFixYEC8E3j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"c5utqErQGkA6u/lvkYvjP/MPStZ08gFAyB77Zy3dAUBomj+zWzIFwC5ecMwpByJAbpjAFIAT+j8s9Z+0ls8DwGmpdt7h6BNA1IRKszJq8z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zL2oGtz0H0Dd54V4YeojQEJLUdM7whhAOg4iSvuTIEBC3t5BsCMkQFXakw5XlQdA3GRbja1/IkAO3hJB6kYoQBfsYKqAqAZApw4GwoR0IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BITH+PQHIkBOX3Rm0M/wPzXbX7Yf8hxASyBdvAEfE0D6aNBbsh70P+M9tdC8yBhASlUplM0oJkCEo5fLVZsfQLmY/LkWvQxAvodMtDucGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"udMqVLAZ8j8OFejiEXIYQGrLwCORZvI/zQ5mAfOuCECKGDOGL6YQQF11dooFjgJAoETDalc7w79gI8a/a+T2P989KVJfifU/kCDlf0yYBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"G481iqo+1D/I7i9Pn/kOQDqMgvCfEAxALZe8EfDGAkB53RawsakMQIL2sAzUhwNA7wheFN/cC0CkMdsC0LTmPxVWI+ZQw/w/thU5M5ckBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"F6AXXzP8CUCMZcJS0IgPQIj7OcPscARAm2UuhQhPC0BJ2IxOxAcSQBQCTfBUavk/b6tSY5hyEUCOjcuQJt0DQPB4+sMRh/Y/EvH63QjaBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LVmxC4KbAkA25JOu1poGQLhHkzOJ+QJAW6FXk16A+j/9aQo8GwwMQAllrnMgqQ1A+AWuW5eIBUBwa3P/xVIOQCF9+upMPfs/QlYo82z3AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IQVW5pYfBEC8ooq7uVr+P4nhKXmlrQdAm8Z59yjRBkCMSJ5ANMXcv8ZzzUAtZAHAzdPZkQeDE0AcMbGVl2oGQJOHNHmNEABAC2ga+MEyCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rPZ6Jrp/BUB1e+x1NXMAQD1aBVKy7AxAWjoyLF7nCkD25/rDH+bjP4nvCRv1YQPA0slyg0ShB0AwFdtIhSoQQAxMUT879f0/VnwIKbQ1AkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"x/lWOezmA0DlQfO2+0oBQCtuG7u3GxFAkAThOWCWDUA/iRichj3tP9Ydv3Xd8PC/n2cKv8HECkAYO6xz1bgGQAELjTMD7P8/2P52w4O69z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GbvmY1pTD0B8z3o91Kb2PxdaHkmttBNAbCvJfM/fBEBEUFpFagr4P7Bc/TR6Tqo/OeRUMhodEEDEgEJqp2kBQNmHZXZFlgFA+JdMkKWvA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yUmSZwuW/z/GSDmwwwLtv+RGO/cSXgnAVhsTWU0J7L+iPqJP72cQQN9lEk28oe0/WCHYS6DnEECGzgRDJ6MGQPcM2azoARRA68l86UXMCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lMXRkF0007+cJY0HN6MBwJQi4KJ1qek//o7Cyn2HzD+EALem7IIQwAKIdZ+crvS/4b06h8WlA8AutZWwB+QJwIlUBL05RQtAQv4KvYCp+b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LnsVLl56j9saaxmyjTwP2S//1iAFui/oICzS3uvkL/2K05lJb34P5haiC6HquQ/ZihJPwGIAUC8Py0CBbwAQCgFe94K0vA/KLqUMMrJ7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pK0d7nii0L9p8bUQ71nnP8CiJY5NLJk/AQjEVTx/tD8Gtp1jGQn1P2Gq+wNXi/0/FWf8CSVP9T9c2ZSOYx3/P3TaLq3pfO0/c2FZEtfY8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Dd2p9X8F6T8SXQhKPKbiPy1ZPHTt6QxAkG0jAaM14T+XDG6FAl/zP/BWec2OfAJAuEXG80HG+j+S9nszl+YDQNqdEE2/TfI/t93rTPCj9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Dd2p9X8F6T8SXQhKPKbiPy1ZPHTt6QxAkG0jAaM14T+XDG6FAl/zP/BWec2OfAJAuEXG80HG+j+S9nszl+YDQNqdEE2/TfI/t93rTPCj9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YMuMeXjQAUB7zOHd5V/7P5bGte/PFwRA3sE6/YuL+j8hwBTMAjL4PzSx1ltjKd8/MldiEKr/AEBALMp4UF8IQEK268oUmfU/whqwuTUm+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kLMFlNc/6D8JKsr7zBTyP2pRwulXnwdAbyNlHoFe/z8/nTFPZ6/8P6nmz2Rl4P0/tYQvtplhBkAYRCV3D5j5P9Jd+BRHjPA/z0fONa+b+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kLMFlNc/6D8JKsr7zBTyP2pRwulXnwdAbyNlHoFe/z8/nTFPZ6/8P6nmz2Rl4P0/tYQvtplhBkAYRCV3D5j5P9Jd+BRHjPA/z0fONa+b+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kLMFlNc/6D8JKsr7zBTyP2pRwulXnwdAbyNlHoFe/z8/nTFPZ6/8P6nmz2Rl4P0/tYQvtplhBkAYRCV3D5j5P9Jd+BRHjPA/z0fONa+b+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3qy5vt4BDkD/0rnse4YQQLwniaz9IRVAgscFBYopEUA4hv7hodEQQNLlL5VJYQxApLWrPxJZCEA+6Serofr7P/63Fiel9/I/ITGQG7zWC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3qy5vt4BDkD/0rnse4YQQLwniaz9IRVAgscFBYopEUA4hv7hodEQQNLlL5VJYQxApLWrPxJZCEA+6Serofr7P/63Fiel9/I/ITGQG7zWC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kMxPdnXYDECulbYDHV8WQOHrP4+XyBBAz+M5HzRyEEAf6Wlr6MwSQOYdPH9y6Pc/DbWb1/0eEUC4J5cGpDv+P9bM9Q2WYPI/LDufI4v7CEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y+b7otQ4EUB8JvurBr8JQICe7t4T8uO/4h7DBSjd/z/6cqr3sREIQIm15HmF0gNAy9JopvDk+T90AqOeovEKQF92EodyOfY/97nvsIx/B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AsXtw3EcHECI9QaEJIEYQCb/yQqNexhABySvuIQ+CkBkPhdbgBwHQP49Ktps7Q5AfaDHiSfEIkBKe7I0pOINQA/rV36hdg1AKKPw0pW4FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ucCS4cQGFEA7JUbF3icFQLfw1YhpPgVASY7tljwvIEB6EKJMWX4WQEj31z/WlBNAWd8ZYWl39j8Yxp9IPO0cQOmwys8eyxFAxfJe7unRC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"a2zjU7gsIEDmuFLsS40bQETTuD0R8SRAXs8gtjKxEkAZocl8ScsVQMnfIqiifiBAcfnwUvIVEUBPeR3GzO0HQLCOAFa9YRBAGqXZjVpGHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"33D78W9wGED1d9kxFTUZQIPQSH7P/RVAffyQA8jRFEDCPL+3ya4JQLp/l+JhxhRAZE1DsoC4G0D+xgYjs/oVQJ3qFIcK5PU/HNyQ3mRYGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lkbg7PH3G0DBH0k53n4XQNQXVlsqhBlAgrzVgyY+G0AEHN76WdMhQAS2mxwAfBxApiqwEPt9FUDMWY41CoEbQBzty1iEivU/3RdXWYJ/F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cd/fS4IHH0DLBI5i6Z8ZQE4vPlsDGRVAg1rBd9lpH0CpyMrqOvEgQANfR//eyx5AvgZbXSMADkAERKDZUL0aQICIV6lKbvQ/FZDp4/ChGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cd/fS4IHH0DLBI5i6Z8ZQE4vPlsDGRVAg1rBd9lpH0CpyMrqOvEgQANfR//eyx5AvgZbXSMADkAERKDZUL0aQICIV6lKbvQ/FZDp4/ChGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LTRl7AUIG0D5aratdKMhQAPZXHEQIyRAvn0Qtsx9GkA73GCWgxUUQFBPcjkIPRxA95OabICeLUDe4qmH1msjQPHVhBvALhZAHoA52Uw6G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uEqaLKQ2LEDY9daczVooQLEIwSngpSVAjU8XZXhbKkCiUjduGEYoQH+ZgASWaChAwVRX85ByI0Cc/uD9dNkmQP154k/Bpfk/6EbCQt1BJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RmT0TkwgJEAY/mTnT14lQPMm2jngMCtAc6WoHks3JEB9IgO0OzAqQEIk7XUV6CxAavRWy/HXL0BgF9Pl+LYtQH3PFeNDewdA9oEAVe/+JEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RG35M5OiJUBLrdumW6wrQL7lYC3JmSdAVnJ0dvqaJEA/nFYLLnAnQMonsDUd9yRADittiWReKUC1Eq/xi68kQGr9As6G0xBA3iaLgge2JEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hYjCftx4JUAhzIA7ZpQrQJHNhQRpZClA+Xw8MoVUIkArT7Wg6ZEmQLXI/5tDJCZAGWIZEoviKUCg2/AdSMojQLqdC0QhEgxAGDqN8o9GI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Cgcgv7jdIUBrc/A8CDgvQFxjoVpqfCpAFSBxFyuCI0AhjPZFLMElQBjXeyQ1jyhAymP2jUz1KEA2Vp+t45QhQGIqedLfzhBAftmS1r2iI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+4MX4r13LEBlusvxYnAjQAkf/g/uYyJA2BjoZpiGKUAghV9JtOsSQPdGSPaRpxpA2SN8/WnJK0Dfy3CQTsEwQJD3EGwRKBFAU1y8GNdkJ0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iC5M2LMoHED2g40FD8IZQOfbD6uKEyNA0HeFsbLhHEAFCZiVho4kQH4DDdZr9x9A4xsH5NL9IkC24dtsTVEDQChEefT+HQZAfLIJ7Ig8IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Pn6yklK9HsCTUl9NfPshwAYOylsXsCDAyhBzWfzBFsAkEjLN/boKwBkHMUxarSLAd0OI5q98HcAyd4hpJoMQwE11hJLhqANAAh7Wy6+EF8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rnAZ3kEKH8BKOuHviPMiwAlv1g9BmyDAC+DARnpwF8BcekUQK1YCwIoBHStkeRfAhAu/c5ihHMBH94fvzwUawBe7KceYgfs/L2edUxCZHMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XX85UN4lF8CmcK3JaJESwDZ8ocMsnBjANNUnOyEnHMCtfrDMwxcHwEB4wMegXw/AKGynw6M8HMD9QkfFquQUwJZeHeKSUQhAYgvJacw5FcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zO4ls3U5FcBlx67XL3YNwD3hnga7mh7AJn2u2lr/DsDS1FwDPlkXwGCVs9/O8w/AntJTt0knDMC2gx60R9wFwHM6gpjZ/f0/pAYZFsRSEsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MjhTUUdBEsBSMhRX1V/qv0oZZTuI8BrArqvzInkNIcANAE3+NHYIwNXyc9lRcBvAY9qZ4kBrFsA47PHyTtoOwLAlDEoAqQVAMksCsS1YFMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"miVpOnbWCcAhSnLd+3cYwO9rzUBnbh3A8MFkbhFO9b++xyzOzG38v0k7hwSYHBvA2Bn7yzyCGcDqolwY44kQwHydcTKqYAlAJyTnSOXTF8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QRH8ZujPD8D78r+O6OT6v9NIG1gyXBHAULuVrVWNFsCtxo/mzsIUwKDHQLmUFhjAJrToq9O37r8bv4y42I0cwCSsTUmwmPo/4jOFLwqTEMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Jm0lWMnD4T/uAaRoiSMNwDzkE2FDA/k/pc4IlPkqEkD1UklDTYcHwDyy4cfJOA1Azo7j6SWQ6r8Wub1F1e0RQCqdISTvigdA47fsnbWw8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ts7EWkJCFUAyfOh6xrYFQJFzq/zPt9i/nG4w/19JGEBWomzM+zoNQML2yjhk1AJADoALIa3UC0BBF0Hur+EKQFyptuN5BARAzqYeNQqLBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sIaP5wcnFEALSiy8WMXSv3i6s65PHgFAcbUbvDexFUALnxBBULX/P7qKTGRvWuo/q9ELprx2G0A4+7jCqm3gPx2TzVgPOApAFunnRAV6EUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2kY66UNeDkBA5MvNBJv9v5295ojjsRpAw5w3ccSmG0Daz4vEpkP8v2arXcNQshNAw1CwfNafIkC/cugE9TMMQKILyKwZjQxAsWqdSxia+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Enl8kClRIkBNrKiPkgAqQJSU/lPiDOi/P/1VvXYB6D+z/0uwte8kQMB4ebvyuQBARL6BkMsQF0DjHUGjEkYYQBYIISfXnRdAuIoUeikZF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uNEFL6j+yb+gi6dcllX2v9ixm1i7oxxAppy60FsPHEB4PRNYWnvvv4BMBL+I9w1AqvnToI0fEkCWfoZb2u8EQMgnN0K8XwZAuM4VWR6XC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AqaYLmyH5r/mc9Vxyhb1vw7dMiGGqBRABehEZo0lGUBJ4J4Kh/Xyv4Sfi980Jv8/5A3QhOnwGkBIJzWatzf6P9DtlAWGKwZAsqPgDqglEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xP6BS6bj5j8MGavrbQj4P9vz5biH4BBAVV51ansWGEAMUgx9hXf/v/BJ/bCP2bI/saSgLvVwGkD0r+0Ojt4GQA5aUFvUThFA2ZOulfAC+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hAUl9ACwzz80c48CQwLYP/e7gzPjsQxA/HApPcWwFEAlpDzBKSkGwFwezYxvX8e/Lh/dYOQjIECgQT9ZpvwDQH4cMnT3Bg5AhAKK2/mw/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dA6n/W6REkBu634aver1P+Daasv5bARAnsqwB8QhFEBDKM21bFIEQBOc6VtsYgVAAq+idw039r8obZPKi1YUQHF1rn6FhP4/KHDxcUxjBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ts8t59CTEUBkSAmEL1QDQM5sjdnsbQNArFQsBhnYD0AWQ520clMQQMwQdUE7ZwBAhBApgRxx8j9wMm8CnZoNQPRF+GaqvwBA5/gG1AbkCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p4zB0oh0D0AFcQM27MsQQEA7K27H0ABA1IVVdP7gCUCGWvnzQWkXQJ0kr/BK/AZADqNQl4ZpBUDAuRZr6Wi3v1hwjGO1v/s/s49CQivvCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9vvOO53sGUAm5coEwGYWwGxz6D5/bxpAHS1RRgZUDEA8eR5oYzz9P5fC4ak4N92/KEKaR8QjIEDY9jf91DElQJV9PrDHJRtAfMyPBnXE7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1lJ/J9mbKEDIjtIiPAUGwISgrPQd5hJAlq/PWyfeIEDAer6fBjIcQIQggzG9niFApKNa2dDUF0D6bh2t1Vv0v61XE+LcFBRAoydlMfDIGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mWsLydtoKkD9kY4LxSsCwPgye8bljRBApEQc8rQ8I0BNK9RA/ssdQDy2Q0E2zSBAyKaWP2DPGUBoCG9C/NrEv0GlOx/BjRRAd+KC+i21GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jZPmXTAPH0B0bOKLQV0NQGsLh1zSrCBAYj+g6XFSLUDJKxi2d2EUQGcQQ+OxviRAgrApGIryJkC7Yi627tAbQDU+CJQVsxFAsCNd1VNtGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PcAKC1AgIECig1l1+JsbQPtrJbHxXg9Ay32HArvaGUChjRI85RoRQKg0YIyicAtAJRVcrm8sI0BQwjPNYzrSP14o+GmNfg1AQhYBWuFsHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tPBH/pVLEUA6TqrU+J0kQEbVJhqibxdA2o7gjSA+HUA5UdbJ5tQdQHYqVLipxyBA1AlhlPBKG0DrfwUC/LUhQBfzfvxuuQFANjnNM9BPF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hB8qX3OUIED3O+5IBqYdQBUVtQ2uYRtAVmALfgZXHEBhSlBAi3UeQGABZI92/RtAAQM/EZ62I0DldhQkmbgRQJCwpdCXVPo/ZqzklqRhIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"awd8uOXQGEA08YOTFSsfQLHzuBXeNBxA44DyRaCzHUBLJL32hwwWQBcSdAv09hlAk6qGViYyI0BMNgIRKdUgQDFADzFtjvU/CbcppikmGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"awd8uOXQGEA08YOTFSsfQLHzuBXeNBxA44DyRaCzHUBLJL32hwwWQBcSdAv09hlAk6qGViYyI0BMNgIRKdUgQDFADzFtjvU/CbcppikmGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/xE47A0iH0CdYVMWfysXQNk6TtIpORdAFMQc33PIFECyK28TnBAbQKs+y+ob6RhAOytwmp0CCEAQGxTwnhoNQHxIpkA8QwNAQbz71Z5OEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y2Ho8ZYjGECabN1bQQYFQK61shKl/w9A4AnB1bw9F0CcJdeWEU0SQCLOKqdtBAVA7gIJ5VSpJEDWBVEdqDUVQNtSCOOA5QJAM3FI5CHSGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"T5cxfvbIF0B0A0iaezYdQMHepWuKWhBAYSkDc6r/FEBKyVCHR3AkQBx9quyPUA9A7Ejz08Ja/T91893v1mceQA2HZhVaMQdAqklRUqXQFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oRvya1pnMEBE++07cV0oQO+YeVzOtw3AqyjhrBx8J0CE3X1GpX0HwBUD7hxOFylACTQdhxgYNkBppT9RztYFQOqSIi5L6CZAeZLQFj+BIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/GjlTlPTHEBw6nbrrRToP2BRjPlhdg9AmE56xT2Y67+U6XXt30kiQPYyxp59sA3AmWP2Oi8tHsBWAzveClcRQBCo3DnMeRZApvEadAiXAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lOMvW1vuJEBQ53FCyPwRQAhr+Ap1XRtA6P8/JLZg7L8IsGkezkgmQFqnhWpdzRDA2CkcpzVgIMCujZ0Z82MdwDrMG6bKfiVAG5pEPwxTAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+6iTso4JAMBVHjA9fogIQMi9TeRsBRPAFB3eOprCIUCyrXAQ5qUhwD2wOBPdoytAE0Pe6Qe5MkCXn043FJgxQGN3/3v14R1AN2C0jEXQD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fD2znOchMUDKvkcBFxE0QAhjiNWH4hNAttkRmb0FGEAbyXI1u6klQEThmkb1pAFAALLcLoxH5r+aN9jooDAGQMrWj7Om1h5AwYPpiCJ4FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wkfwfkwTHkCw1i65c77uP926SME/QgJAQgkvAWnzLkD46q7Cm93AvxK2AR4u/gLABuKjK6SjLUBAMLm6j0AJQCLb+RPUDRNAPpkESB/1GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Mzu6bVmIEUDYbHTHczAXQC4hHPT28P4/v5REexwjK0Aed6RfGOD5v16BcLMXKhzAeFhm/H3TJUCTc3ukbvsVQCeLpyq2XyJA1nKiZMcy6z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QPZvEmRENkD9mlkxOLQYQGkB1UgdvgnAXRXIV8gyD8DQXF2buOgUQHpc2VGmbSdArLboRlphJUBUrxw3rVsZQIIN9eGqwShAv7XsM7kwA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J8mVVZDMDUCYGWjzDz7rvy4bAzy+sQvAxz2iS/WKBUCuUbGq7h3xv6OpB/A2gyDAWPdfJmGzC0BzSAnY2rn3P9MRsQ/s2BFAIPF1YfulBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1gC2xbnNEUDZ4eoffWAOwIoIrcI2twhABOk02fIy1L8ugIq2H5LOPwy4TJ0jvg/AN324tanqJ0BMXna+DyUKQL5xk478wB9Ac464NDNKE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B0dSuaNCF0BTh6riAfkBwMAvrIMRPwpAg/MXHEtoC8D8UBxwBuoMwN5n0wYcJhTA+LfNSONOH0D4y/wdobj6P4ggNrCCOxVA7Uic6wc/B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sN1PYep1JEBnlS8zkPshQENjNK8Q9SBA9XrGYHwDDkClISGUEfvhPxRNUo+TZAhARwM2L8DKFUBy2e7we9T3v2JqrvwPjg9A7jIBnGAhAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hXIkqXWfEkDc367iRacWQGSK7HBa1g1AD/qUiRQ1I0CYHYLAKY4lQPC1/bpdyCVAMfpiDZXxIUDEW0g2J5XtP6uFBaPnlxNARjAKF2vCG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"plAcUmElIkATMB5oAVEiQHE0duo9CiFADo7MhavPKkAqEw5t/QsXQAU9f3rLxBZAzQW/0EoFI0C1jBgg70IxQBGW+JLSlw5AobhytEXkJ0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PWOQV9WAIkChE4ZbeSslQEgVLN1O4yRAolBPa8xXFEDg9xtk6homQAfWnel+ZCRA9XkzD25xK0DecJRgFosiQKGnMHD9jglARO42WwtgHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6GS+WIjEIEBWupFxtXMiQJVgjqD9piRAiXNNqDTzJ0BkFkLUDZclQF5bs0e1px9ACo+vr1/EH0BL0i+rXGYlQI8Yikf1hfg/WiN6e6d4JEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fDiVjPcEKEAZI8HEa+skQIDTp6knNCJAQs+8BTtEHEDWOBcD7vAeQBbZZhgmYyZAkAklJlNgKEB67qVvogokQBo5wTdntP4/NuoI5jfgJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HpsomtG9M0DP7mlzN5IhQNyD//h3FipADAp3LbBPI0CycXLz3JgGQK4fUWN/7ytAc2no0SyZLEDxVotTMnIuQAqBk0TdrhtA1Ge2ODMnIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VnUz0lZMGUBkQKSIcgYdQIaqwjL7aBBAXBN842wbIkBYQkaHY+AjQMqK1JEAP+E/RqdIbThTIEB9KZzHhVQPQC2IhEMzZxVAxMKqGc2hFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y8ehUschIUC4Y4cBH8skQPynWPjwnv4/JJUS9H7sJEAIqmfp5in0P0CgMo5HCpk/p9wscJfHHEC14m7eQ9gcQFdYWM9Rxg1AZ8xK0RDpF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qJFw2+bEA8AyPCwIXQjuPx8kF99PKRxAfhYzAkGGEcBqfWrsHuYkQCTOGW0YIQ1Aq3XRADkwDkBah5mkGQvfP87psaR77hFAUMx3r4oT/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JF/p9FP6+L9XdmEsANL0PzCLv2lEVRdAKd1cfkuACMCC5sXH7eMiQDVZsTtkfw9AhJNERVemEEDiCx2bo5z3P8UVDvl/ZRNAqkWZTz6QBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"unErHZG8J0CbiQxUgsgYQC0UsnVXQyBAgb9IGcG3IkA21dm12+0OQGrGyd2DhhVAFYcKnsvvI0CyrzAhzM0gQDbt2Yq6MQNA/g/C/AFLG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pFTlE2yCEUAkpUY2CuYlQOHFPNbX3hxADbMO+EZxHUDsJTJ+tEEdQFk2f4moOyFAzWPpWTpiH0BuvG6O4sQeQImvgK6NGvs/dePaEWlfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZST2vk/CIUDox785vA7Xv7qWFE8PXBBAmn0RP00qD0ANLFRZg6sEQD6uvtgHrvs/Zx+fDIFSFEACRuEpkEv/PxzjgJv48AJAlLNK5mvpCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GawsEikLAcAbAeKIfAwTQAHCL3/Skei/Ai+8CMqc7T+1mgu8PDIAQJb86TBEiRVAoeVlZ/v+AUAcDqEep/UbQNUdvlP0SgpA1QkF980EDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sH0zL3XgHEA0p1shkBn9vyUXOt+8ORNApPxrsqvCBUBckhD7OxASQCz+iUzbbArAZ8rz4RlBFkAmeVWfSIoEQCrGz2z1cgtA74uglNFWBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uApXFVqcB0BAf0i1EHqwP3A+CVzvlQZA1/zxaPuMEUB+09MOKEQfQHb5hG6ZEANA1aFvkgccHECqd1nbwmscQAiDHxctwxNA825n9WIDDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eAJ8iRHn/D8vEI0XGKzovw2Pfz2w/wJA/qYXrcuh4j9bL1Dp0NUWQKyK3D2DZhVAVH+ChGygDkBYkOk9gOAhQNyt7ubHOAVAYihNfiaOAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nDOh6KHVFkB8OCLgThASQBFpm5DoJvw/ogzuJAQUBUD1WLVzpdQUQF5j5ilVVhZA4Ir3zVgIGEDDaHY9hugJQLi0FWay+vk/0d/3uY0eE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gPDdw7LY7D/8E2v/dUESQHuehSNXSRVA63b8PFWbFUA6JdWJxDcWQBFxsDBxnxRAvBwPkvrjCkAzmkOYtHobQG2dNEQP3vc/E5EkvYEcEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P9D/iWCdIUD1uRrxHlEYQAJesBDWphVAGdBI3y/WEkDSGxIBiWwSQCz2lWZH6RlAFNKI37U7FUDCsKW2kRwgQBToIyz6PP8//bLNpR2mGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9hy3yTSdFkB8ThkcAIQaQIjESU0a4xlAC1FHlbGVHEDeBG3u+WwMQFLGswmjIQpAMOYc54A/G0BF6hMd0PccQP+UiIsizgJABeP6onAXEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lA7OxGAxE0BgHpskNJe5v+gyXwBGABdAPmy5q4R1G0BjSMSL9vf9PwTXE8JoLhxAVGqBC3Ba9b+42QwiUBvrPw2kAAyTVQlA80m0hhQJE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gKLi3DBXmz8ha/HQlr0SQGOuCjRTPgbAg+tlagnHB8AM9RCW0VPuPyZwGssgkxDAQiB4ainCHUCwxE3S6BUGQDzUT/Y7KhdAhg31r23xCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZCJQOH7cHUAR81LgC+UuQO92MDpGlSXAorKtOct04T9QUEl+K+EPQLDpOac9kgjAfQVIVd/cC0Ah7hKgDv4RQDGYPR0JdxxAUJz1wnHxqj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pzGlSFTgFECBGgvRrrcCQOTuN6335CFAz6bZkZlCFEAyMmP6iYnxv8a2q+zUdgNAKiVEN2y8E0C0JevD5kICQGPeO3CAyQZA9jCpByo5A0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gp0LlMQvDEDcTgC5ym4XQFAMfikH3KI/kWogiMFjDEDeyqwZN1chQEnQy9OWzhZAdDxKoHtLEkCCqaE4T2QeQF80gvebiP8/7TX26A8QDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4z7Y3XrPEMBwcmnhazwXQJ6Zrw3Vp/8/phV4Ucin/j8SXhCbgvYFQEHeEOcuDQxAUO4v9xk7FUC2dzNP9nX3vzxKvRiFdhZATGSYMh3kDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HQhtWNhuMEBYP8Lt0ZUQQEzsQPh+oQhAGpaMaBj/FkBPqIp7ZMnSP2KOv9DZU/c/+7h5VJmOEkBUtok8qBUlQGCLEguQWwtAVeKwuJuJGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xk/KVizpGsBPONiLc5UAQJFE5mICt+q/Fui0MwfN8b8UehJ+lF8HQIQPOL0SFgNAfs7D61l3FUAIZelDLTUTwBjG+Tj66hhAiJvwyFmGCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JSZPPSZ6EkA83qQdrKoDQHFKESTAlQFAvcmW/99bCsCjyH1XCmn2v2fbIHWvuwjA9Dh7pmspDkCNF9A3dbkIwCZx5Hb9/AZA/K8otax/1b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7witmi2kFMCc23aRGTLmPx5McpQgqxDA1Slm4RIdHcD0bmy59/ISwBxIuCgA6Pa/eM8VfHJvDcBCt4U52NnrPyOq45+hwQlAZQMbVhluAsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AG0QVQkpI0Dq5B9grq/xP8yHvh9xBg1AqVSj+R7lI0CmFHaAJZkXQMZyoiKbNdY/v+tcmb4EIUAAzLRAwxBuP2Q7UA8yJRBAeP07e2A8FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NNg4V2OaAEAzD2nU+4QMQN8VQNODnyBA9N1+5jFZHkAiO6M+dbUWQEXrvEos8g3Aa+rDt6O0KEAd7QX8HaIWQGlTbS89yxlAMcYZcd0UD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GsUJn7caHkBgkK2+zIATQJ+RvM0cOwDAaIv20CB6IEA4V3Fyho4AQAyUSW1YbeY/BoQclXvZAkBGXLGzXEwfQDvgJR+eOhNADIUnJ0lA9D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yV3CCgf1H0CcN6zNG/0SQMF1LH030fy/sj1jTrx5F0BpD/M4j/IAQJQnqtADMPu/hcqDOZuSGEAVCofi9NYhQCvt7i3BlRRAmuZuVSRK8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B9YEnohwIUAWM8IYdTsMQDjMeaKxeAVAwGnuPkGqDUAsgBqoD24OQGBTWocbEtQ/puG3bj/mE0A1cms6fukXQFfXTcbGSRFA/3Od5uYxEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1oRlu1MaGEBPT3EWJG0FQNtawoMZ1QNAmbO+1NPFDECl6HhbANcFQPwiW6np5Q9ApaA6qy1GEUD/VV4LENwYQNw1ucz7LwRAcjvDeIiMDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0D9Vv4htBEBwV1HT4pUOQGWhDULQAxdAnKDJhEYbFkBiObk/kpwEQAC1ejzInxFA8KjS3t3XEEDWx6S0iI4XQHW3+Nf20PM/0aOx9THfD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TlKmEx6II0DoXYfvHrMcQOQMguJwDglAMPqK2mUtEkDkLoGE3bAgQDr0ytCiHhRA1eoWAg1UIUCm4ABFMMQVQIrQgU3tygxAZdR6/PQjGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OcK4FCbcJUBUpP6CFr0cQGYD63rz7vk/idNMrqH1GkD+ee8hxwsqQNRqsFP21CNAolFt7pTgCUACNhIMrWgWQNe9vjGrmQpAFIeQNBKhHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2MrJfkYjzj94x2tue0sbQBJyLM540BdA0sjxzzLCIEDFFPIizPIRQFN0WOqAuSRAUxdKJIAm9j8l/2hmo24aQBELvmzksQ1AbxQTEe89EUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8oH4cPi9LECyq7kyPTUcQAGOSQh8ghpAItmXDqQNFUDZe36DNfQdQIxrzBsROBJABCMmGh5rJ0AbAos3xwkYQJ+aSClpQglABUZZJEzkH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mLYvezEhMEAfA4lIsqAaQCRH4tslQR1ALYcLyuMsGUBPOeVviKEgQEzaTHNCKBNA8DV2tBnlJ0D6qpK0BHITQPw/RFwz/gRA4rfxFsuQHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OHAFg3JFJ0A9dh2NZiYkQKqm7hUWhw5AEbi4htFyIkAl8AE2zy0gQEb257NTcCFAaX7pgeBFI0BQjzniN0UeQBGN3Exl5BZAt0MZLnSxGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QQTl9TXnJkCGBQtiqVgnQFe/4jVrcRhAQKRYHozsIkBAWyn8e40gQOjl3EPdjCFAN39Fy+eDIEBCE2stEE0KQO7uxblCeQtAxjO3GYQ+FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J4wk/qKkH0AOxkdco/72v4ZaIMVq1A9ABw+nM+TbIECUO8afUmUkQHuSt0fI1BRAVAsXF/NzJEAIty94yC4fQAv6ojyvwAVAKsnjy17SG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lYbGiPs9HkDW1P0ainAdQPVfyqhqBBJAfsEeimx2JUDzy3bAttcqQA+hIX8oHx1AWAn40kT5G0CglzklVJ4eQFgn2AUdrhRAVzYi4qtcGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aEaCTJJ/IUBL7uOKcQAgQG+Unw2TKCJASq8RnhvzFUBgp6rcSIsEQF5Yp6ACvxpAnmhp5DUII0A9XGfvZ1chQMhjB9SgkwNAbTY4XiiJG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"z+UKXChoI0CwocIQJb4jQMZvOeGXahpAUAXNGpQ3EkB6xWJUIhcSQMCSMzsX5hxAQhRfpi+G9z8E4lshch8RQMcP/z2CDA1AcI4L2B2jF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1GVdj+GII0A1eAsg1AkTQDatFyQP4R1Akg4JHO/rI0COi87WkcYVQLsHVdDfrRBAdkVweoKkL0DbOk+HlbckQNOmV8eGcxJAyjP9o3gvIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SOA7qN3eAUDWzDroHCYYQLaYprLMrQBAzoaFgJ7W+z80o8Vcn48IQKngRHNdoApADXobTTrw7b9ERl5aH5j1P9VCbAxGYwJA4Yce+7sr8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QOp7RrQEDUBs8beYVYsTQHBfHLYZKOk/UQ2F0Sg28z/jZHIqwlgDQA/y3kqHEAxANEAA9xrs+79qZvpVWQPkP+HBjiUj1vo/O6m2MzLc/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QOp7RrQEDUBs8beYVYsTQHBfHLYZKOk/UQ2F0Sg28z/jZHIqwlgDQA/y3kqHEAxANEAA9xrs+79qZvpVWQPkP+HBjiUj1vo/O6m2MzLc/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fuXNl31a2T+IYnqBNYncPwF4EF+lTBFAPIZkXt/rAkC/xgEQSRTAv3qDuDyWXvc/lLW5tZAJGEA/BC2O+uQPQDrk3HcsHPw/TlF3tFL1AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PdNYRT2VEkD0iHr+4oYNQDhEuDneFvY/IVOP4pZFCEAB0TvSZuf3P93wpZb+s+m/i5sku7zq+j8O1jBJF44DQOPoTRR+2v8/NRslU4jf/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"urTBvN2RBECpDc2uxowGQNf/ZXb6xQdAPqkyKuXKEkDYNDRxtqYRQHTYPZ2JBQVANKt5N2wjB0Ak0PLP9W4DwP27t1BXVAFAHqtqvmg+BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rnaqS5JtCEAJmGwuq+/hP1z85B6++RLAnPoCF2808z+w1ElOQ+i8P+0oXk/klxNApixrSAkdIECoRoo4tFITQD36X1fa2wtAuJJSTbprAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ANEzie5XfL/ZNfHo24UTQEDbFK+eG/e/kH5gvHpsJEDCFt50TbMPwIr/aQYoGQjAFlW3/4j3B0AP3snMt3QlwFLAgXjjVBJASJnA+BpK8T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SYAbkznjKUAkQBlXX0fTv0e/UK4OGRZAdDlvCVhQCkCo1puRG2wcwGdbQvMI+Q1Ab2KGvvRbM0AeewCGRx0gQKFTrsnXNSBAKJ/sPd34CUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yS9o+rUSJUCGMaUyjxQzQMgJr1Edl+g/t8h9nkgpBkDUJBeBf8wBQITudy7m7SNAnlyXCSdo4b88OFyZ5T4xQBL9cGA3Ex5AV8GL4d4dFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YLoJIoU5JUA+wy+KW3IQQCaPZ1dHcy1ABrGzu7hd+L8g6wTezaUQwFBjUSh9mhBA0hzOFUTpKUAJmAgQ9mIRwH2L1cYsRxpAVtP3f/APEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/SRWMoMwFEACRu/+pgoIQDovCOmYZBLAlFipxtt4DEBvuHErSo0hQFm01+o5xwBAQMzYW7ahF0C1v9zSNvUoQCxdPevxjglAGgq7uNkLEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8kftzIXqGkBHH6rjoCkYQGiL0s152CJAfZnZxW5vG0ALpW9dnsLTvzmarhltNRVAzM+k+khzGUC4t8nsdRbdPw45EE1+yhNAbl8m0njvFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qRHTzEQ6EkA3qSpP/JYkQCnkhbQ03B5AJO8i9HPqE0DWvNTEfnIWQGYfHeG7ix1AhyLi7wI8GUBPTYkgMLQaQFvNFqE7LwJAk4KQVatkFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YonmLW3pKUADs+w5xyT9P0SFWNwNQRBAMjdK17zjJEBIAUx33hsYQPh5Y5aZExZAv1dnAgGrI0AelNQi5lcgQIUcl++QHxVAnXgvcsf4G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ng23rnVL1L8NtdJFPUkhQB3D3aKWChxAHGkNO2TS3D8AkYqPtrQQQB6RHDkhmxVAVg1Pr3uNEUCGU2r43yj9P+sDY0iRGwhA4wXPsF3SDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fLOQSPrQJUAr8OHHs8oPQFe0k4QOGQpAVIZip5pMIUCcFIjx2dwbQGT/hJd5IxVAhtP2cVNpH0AclMXmiH4gQOs+kQ1WPAFAYSbixOTCG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cdrEMzAIEkCHhy/SdtofQGw9sYB52iJAaCUMktPlIEAjCLbmgMsbQDYcgK/2gxVAll/jsJexHECFQq5HZnYWQFrelwFUkPY/1vgP3TTtGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3+JrKZTJJ0AzPMOk/NYXQF2qe1I7rRNAZukicjDoFEDknX3YO4cZQKNv6Y9poiFAJ9gwugP6G0ABgUad2LggQN4Bif4xXg9APozZjgu9GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jqoU2lHaEEC4EoBUtRIcQMIuogbCKwJAtHFknPXRHEDDddg4CSAPQB1jOdQlJBhA/3WvQZ+7GEBU6A6wijQgQPZ7n6f8xPk/9pLzqBezFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NlRoL8V7DUCWk6RjuzsMQCgIq4Fd0iFAFwbLEloeEECbUdgyCx0XQISaOZ/n0hlA32tUn2F3HED0nzCDpFUDQAvsv3OZqwJAmlgUKQ6tFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"V3e5PwfCAEDuOtZLNfETQMmIdcFk+RlAVaqEPLqRFEAxcXGK6egVQBPpj398fQNA/L7ucN26EkD+0mz+R2kZQFfiyx7muQJAntKl7WLQEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DGoC5xe6EkArBwmiplgPQIrHHF1WehBAsEuU3KU/D0CUYChWxzQUQHQccZgP4gpAiK7aXoWHD0BWwQaipmALQPj1COSRJPk/O1hfKeBUEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ONAWsqRiCUBw7JDjn38CQA643N3UhgFA3jOMT+QqCUDQErfa55YWQEHAIe/1AhBA+YrThnjpEEDI+AUtEpsaQK22eKQNuPQ/5MDcvDQxC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yFctrOBZFkAG3WPXAUYdQKNO0uwZ+Ou/RLes+w8o/T95WUaZT0QMQH4qxg56IxJA58+QKMJND0DcuD4RZ40CQB8Hv3AYVwJA6hDWS2yGDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PUnMN/j0EECIW3KvsqQGQAvOtQ1QSBpAExG9CRxZE0B1piDeoikSQBZv8G7fKRlAQOHqEWGnGkDw2Iom4v4PQLIVwJkH0ANADPVGjkaQEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EKKqx3LnGUAuQoKGO3MFQOHmtHynCxdACqaWjc5wG0Byd4VOjsUJQIPrdiuWkSJAYPH4Q86Q/j/hibgkQjcIQFrnT2bM2gBArvnfYTA7FEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bcpn5PT9FkB+2GRJ5KAiQFx3Qn55pxlABjs9lS3GFUDGvVc6B78WQHFi8yrw9Pg/GLnmmKvmIkBaNDDxX8YdQJSExJH3z/0/geRftDElG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qE7d0YoWDUAEWHCMLsgAwBGrRoQkDvC/jjmjv4e2AEBhH17QrM/1v9rvRmluKAFA2M6H21dPFkCwMcijGgIFwCwvxRf69QVA1nBjTYs+8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kKCIIMDMtD/jeTC4E1UXQP2k9ENrmgFA2lhRMBK2yT9tLTFrBu8FQJI3T7bhb+K/UAnyAsVQ7r+gWnzG6zkYQI9vbxp08gdAod0rxjhpBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9cE8LrIACUDTG/0mwaECwFYEXGiL3PQ/OBqZmvHp+T9krFJ8XDrtP06cdJbLEPY/oFrbLpBBE0A+kWN70n7wP0N3uG3mfgdAeff50jjxB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Me129Xff8b9oN3yG4VgdQFIVenC38AHAVTabPO00/7/T3GXFzQoIwHbllREZoAzA16c5vSrt8b9rPZooBUP0v1/EqZ9ecRBAv7TWLeda8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XR/bsWLgIEB80bAT5gkSQNk9SWik5xBA3yqIllLzEEC0mpFX8wrBP4rXqtXtHyVADrLL8ZXHGEBTu+dgnNIaQFZjAc4H1xVAihLWC3MuCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dBQ6ehCb/z+hzFJKyE0AwK16YhRomRZA3PZbZC+9+z+eaObYu6jaPwgMT49A0CBAynjJFnGTIEB6VRZ48NQuQJCoHJSPYBJAdN47PCCaAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wwUu9t2ELUBA2W49kEgkQOWbHbaD/R9AnOiGmnrpE0A/hhoc35IPQOTNkQCjgBFAkxN6iYADHUD+RWsFaD4QQEUnDlKhtwpAGk951JyzHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Pm6/+mip8T/xAzbaARz8Pz7SOCYOtShAVS5JytvLEUAVJYsMd3MWQJD+/Z6KLChAdoqiCyoVCEBkccijufQSQPMMsSilyQ1AFXADkOkmFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0Gs70/O3IEASjHD9CJ8bQG7mKLqNNOM/llvhDN4rJ0BPNbPKIw0MQODyMnVtGai/E6uspJ/uIEAU+Q4upPsPQL9CJKQqywNAAY5J9Nv7GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AIt7goNYrD/3KetNEYgMQN3JP0XI2SVA5MS/Ldt5BEBEBNfy1XAQQPFyBK+9VR1Al0HD6v/TEEC6gWfxlAsxQOeLz/P6HBdAmmGwoizHEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kfNeg1jnN0DiGoFfFUwPQJTam15Usei/xqiUSDqYDEBoGL7VryHRP1ppVM9WfhLADGkmrrCCMUA2kEplO/ojwFD2ZmiNFCpAGAp++gvJDMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RCsthoOcKUC4OdnveKLZv2R5VzBwh/Y/F8n4Z1jY+r8E4fXJhd/4P7QgXpJzLgrAqUGOGueTJUAnBJqpIG8ZwAS3peTYEyBA4CruH0NIAMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aAhApX5JAcCl3KPkkKn0P0jtM2Q6LRxA4DxrrLGd4D9nA9u2OIX9vyB6ZdUEmgdA0DuaeuQg37+8rde7ALDgvyVWSVImvxBAAN02fGnUkD8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2ELp1ZUgCcAM+yRaXLQMQIJVeHLOIQpAMXI38GtiD0Bi6ETMfRkWwHaGqEd95QFAsoY+rlUS7j/EFbwr/XThvwi+NwP3NA5AVi6I5Afkwz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yC9c4T4HIUAmM6DQLU/jv/oCwtxW+vW/8IR7h6VD878njKHiFboeQLzwoVmCu8g/3xwAT/g/CEBE+FjedJULQNZCpid8xAZALLu/bbKD+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"boyVjLaKF0CoJI5cLnMaQBKRsi1x+wJAzD0qHUoDEkAMeZ8KnxLxv+xRxWFphgZAXloPmno/4D+nhATHVxgeQKJKYXgPxQxApVU+yAkZDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1ugNX3vdAEDeqLMz/k/gP2hFwuW/RuE/kXA3NSEC/z+rNQz3cNAMQG6Hev7OLgFA2ZRgcMcrAEBNNeNenLkJQMCNtzFgbfI/TpGKIRPnAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1ugNX3vdAEDeqLMz/k/gP2hFwuW/RuE/kXA3NSEC/z+rNQz3cNAMQG6Hev7OLgFA2ZRgcMcrAEBNNeNenLkJQMCNtzFgbfI/TpGKIRPnAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lUpEur6m+D/0fUMpmqoAQDhb/8d54AZAIroex2OY47/MTVCDz/MNQEfldLvppAZAea/GcQXTC0DHJPhVxdMQQLMHDa8xtfo/4F4zWClh/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wcVu7e42EEBE7crMZIT/PxjJq6cY/gRA/3eNBxnL7j9PXFzQlZYSQAb3fieMAQBAspiDJM10A0DRks0Do4EPQP8WZyPtkPg/fxQG336HC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wcVu7e42EEBE7crMZIT/PxjJq6cY/gRA/3eNBxnL7j9PXFzQlZYSQAb3fieMAQBAspiDJM10A0DRks0Do4EPQP8WZyPtkPg/fxQG336HC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3mPIXO+VBUAMV72ozxDqP2PnyTkxsApA4uaJmrEQBUD6YLrsvZ4RQBZSEhGCnwBAyH8o4lBv1z8CAMwZY6EOQB1NshwI0/M/uhlEmTEyAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GNf5eudCEUAwBFbv0O/Hv+pBUHucaBNAbu+leCn6BkB2W1gyOzMFQFM4ZIbetvs/rBoYVNELA0CguNGdxuHUP4yqJcd1Gfk/NObq1BqOC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xjyF0rzI5z9BcsYShN4NQJnlJj58kRNArJAbd+V3+j+MCcZ2etTpPzoZvBqXwRBAttasoVbkBED0wi427igRQDh45M8WXQlALJ92BiDAB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Yf34xk20DkCjoJAncbQRQObk9B44bQpAtFFSJRfmFEBOqygRyukVwPkG9CWn0A1ATgW1UVEfCkDU8YG3iJcPwKxA9vtp2BFAii+jW6qOAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZJRlpd4iHEDGjAU1f8cEQMCB/3xGNfi/MKyAvGnNmD86571G5b8iQIYvtTJ+evi/fC+MjJUkHUBU+yFlT4UoQFyzrDqC/xpAJUwW3m1XDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ejhpkwACM0AWks+z8O0OwFI3k578xiBAnCAASinKHEBeBfCnNjIGwMcErWv6ICFAFXSPyVx+MUB+pfPaLHs4QI8gjM2x5yBAobimi7IrE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yD5y71MGLUA1Z+KYS8IjQJdcWHpj2AHAHI4gG5I5EcCf4ahFEnIrQGDKuYjW9RLAiwGeOhrzKUA4BFQ4AzogwNl4t6j6ISdAubO3Z5axFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2XkP1fsd/z8AyexY6UDPv82WW1kAjPu/8iMegQCeHEAXJQUqzYIywOJYaIdLsBRAHnIdlErcFUC2oi/U/kouQJ35cqmQqCFAtM89U4C0CEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0UPK0o81NUDO3Eh7rMYqQP1MLJWu+OO/LOWGnxSjIEBb1neg2OwfQD6CBLM3UwpAvhGQ22zqK0Cqk8LHDoYlwKBrDJyEJyNAwHqmPJR//z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wCR4mxW3P0CVut7J/fkzQPAPHiZMEP6/hdybezi09j9eSQvgPRseQEqXFHys9xnAhoDS1oNULUAaXCyubZYaQMMuXts5xyVAe/bBHO8jIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D8qy/jKnIcCC+Oh2RfUcwA+G2RFXyAdAhBTVWAQ/BkCK9prNSvcGwITO3PIQ7hNAYPZ3QxyEpr/6YOE/7nDgP+hHJW4DNRdAqbnqkNyrwT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rzocIJ5zFUBGYWNQ7TUQQHOO8dnzaBrAi2a6irK58j9b2ZJOpPQewMCbjVYZVhrAuY/Y0+RK/D8DSGDGL2giwEdNyKPlTiBAL4/TXCOLAMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w4Ur2hCFN0AibBeaHvghQLf578ry6SVAomS6dmhHLECAf9dg31ElQKljEK2AiRZAcli+5QQyKUDRQevKupoAQK0TIMdoIyZAq+CDKbTNGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VvuKs0a0JUA60ttyAtknQJP6s+PdQyVAKDBUKX5IL0AAsoPiMQwZQGIEibEpjjJAlk69hLVDKUBAKryoXIYwQKI0amRZ9A1A8C75p1CmLEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JQg8la67M0Bnh1VFJXUgQLmG8b9+wB9A7DfelxGJJkBHdV1QwrsvQLh4RNyc5TBAyNxp0ZUqNkB66pZp20goQKjMbKqa1StAmEFPU4tAIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"55hUdNGoJ0BD2r1zRl0eQJXzeM0EPTBAkdoMG1YJKkD2qAqLy9/wv+I7f3j+BRZABEm88Z6vF0DnR88Bl7wjQIe+a97Apx5AO9vJTNsaI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dJo8uG8THEBwgdr7OjUkQJhbyIo4uBVACTKKZxtWGkDQtmJfEUscQP14myJdVBhAOxlqeG25IkCGQem/rBweQK13ZUhvtf0/tsDgIcc3H0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oM0EQFNrFUD9Y1NZN7EHQAc8RX/c1RlA1e4/1L6fFkAAuHEJoFsRQPr6ysRspxdAbL9rIbrwD0DF/yXSzNQSQD3qp5GHD/M/qTqNZfp9EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oM0EQFNrFUD9Y1NZN7EHQAc8RX/c1RlA1e4/1L6fFkAAuHEJoFsRQPr6ysRspxdAbL9rIbrwD0DF/yXSzNQSQD3qp5GHD/M/qTqNZfp9EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oM0EQFNrFUD9Y1NZN7EHQAc8RX/c1RlA1e4/1L6fFkAAuHEJoFsRQPr6ysRspxdAbL9rIbrwD0DF/yXSzNQSQD3qp5GHD/M/qTqNZfp9EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oM0EQFNrFUD9Y1NZN7EHQAc8RX/c1RlA1e4/1L6fFkAAuHEJoFsRQPr6ysRspxdAbL9rIbrwD0DF/yXSzNQSQD3qp5GHD/M/qTqNZfp9EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FmVj3F0kDkCXGn6G0KcVQJMrfuulHQtADqCbLrtDEkDgvbDCbyoVQE4T0dt5CwxAG4KGVzxpGkBskibrM6MUQDOS8AFKGPk/cmOToUKrEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FmVj3F0kDkCXGn6G0KcVQJMrfuulHQtADqCbLrtDEkDgvbDCbyoVQE4T0dt5CwxAG4KGVzxpGkBskibrM6MUQDOS8AFKGPk/cmOToUKrEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cTrkltjvG0COJwX/hYshQNRxIsAEYRFA946+tIEM9D9PEjICebYBQPOQm/S+PhtA0N8zsbjY+D8QquQZuKwYQP68m8DFoQhA4byB1NIADEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8CRqhNiHFUD8Nf7g5l0gQLxMemJSVQlAapdnV/mLCUBPKveywEz8P2hppZDSiRlAyEzuaxtrAkCIQDxnnwoSQIQaaE9kNQhAAMpksqXT+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iktvbgbTE0CpagfNLDAbwJDPPLKI/Kg/uyGFD0QZ1z+s2gksE0cTwCh3we9YJtw/0I1Hp+znIUDdG1tuN7wBQK/2qG0oOSBAMEoboQ1u8r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FMAYUMqeHEAs/2BlJZYUwN424/QORuc/gc5rhNpSA8A9HYxwHtAOwO4GgA7n5Om//M7mCS/DIUD8iiU7pkT/P2/2W2uf4w9Aa9+T2f/+2L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PWuIkR0aFEBpTWFBkaIXwL1c2F+SEeW/gGnR1CjDpr/OGuZxDgAQwA1x0EWao+E/AHXnx5v4A0ASScg9Z77QP0ATdG4RVxJAXRC4GjTq+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D0x2f/nCA0CquJm0N1IeQMi+y6oN9xVAXkVDmTqdIEBwEnw8UFEZQHXXSybX1xRAG3BnbaKWFkCK86MHAloUQG5UT6VDwAhAs1MedCaqG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nkhW3ild7D/SWXf2q1wWQAzzmx6VqRRADXaDuE5LIUA2buID5KcUQOrempcLyRlAjXlaylZgFUCcJ3IZTmUSQFYLEfTIowhAcfIo7csyF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TpJE3NedIUBgkDdvz3L0P1oxpMFD0hRAspdKmTs+/79OhUA0qI/+P/8UWQibkhFAbNcgi3GZEkBKQApYesz/P6de2U3wfQtAgwKLJS8PAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yjukQmCEKEBRuKhKJ38hQMSEbwUrMgVAiH2gr0qXI0DX5PviY4YmQM3RaeOVUCpA/qPWgYgQKkAKuEoQ9FooQPipSCzpNQ5AkXiaA0PjJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RAnck54RDECMUwqBO1PoP1o8koxGjfg/RKr0+iGLBsC5HAUfbaAWQJjogSofVQZAKYDg6FoA5T/6bUJbL+/wPz8isKxG0QNA9hL58+ln7j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0WnV6VPaEEBt/c9Tex0WQAxJW035ORBAUUdWwD9PHkDfUbDlH6T4P3EsHQv2QhdA78KOnBJcHkAgOfBgGJoXQMaHYPHfVfc/aGhe8XuwE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UIsvfzrdDEBdrntk7P0IQO7GBCnhGg1AJIXijKAT/D+rcnkBCMsZQK6iJ928ewtAoop8ptUC7T/G0xWTS9L6P9nBcad2efw/+HhwJU6ABkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kFvGOW5sEkBfkOzCxuEHQHJSXF0n9wpAmIaxWJpmEUDLbIrrLm8aQP35itfaUgRAUWf7YNKT+j8uZi4smPYRQER9VEMbPQNAd2ikr2OXDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dKMsfKEmC0DQZvRd9f0GQKoFCSqN2glAqrwYhGu0AUBENBS+hdT4P/PBuDk0lAhAfz0iuKD9E0CFsKnx4JwCQEedL2eQ/PQ/9zqZNIFqB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TEy0DZLl+z/bAMOlDKwFQGtRfoShQvY/QjoB0EieDEBS+BCZ4CbqP6+wMXuczRFAwOfVkdFnCECVYmFNXCkWQHDGXodnEvQ/qMUoEA6aB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"x5oVwwlnCUByC3YTTWsDQJiqLnfuogJAMo9cdBWBDUACWf2epO4KQEhr2e7KfgFAyX2FuItXB0AwlqT8L+f0P4wvs4isJvQ/rvQE3nobB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ODTp9VRwBUCD0VUxJPAVQKiuUi5bKO6/7BSpexX02r9wrySi2Gynv3K1IiUelvc/9FlVHQLQEEDDnvOiOUwVQAtisyY/ZApABk4hZHI0+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E2ifuco4AMCAGZIZdd8LQGoSEwV6DSDAqHnzrYO/IUCbPGlfR1YTwPrsxdja+LM/MgoWENbt97+0JG552EDYP6jPS7iaTxdA4ruvDQcC778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1p/rVMzBEkA95mRDfGYmQP/+YAUsFyJAC0r+R28O+78N8TZmnwgcQEIUN0+xYhlAAI+/76jaJkAi4d8jci0XQK9PblKSQgxAe/H/BC24HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PJ1SwOkNIEC0erw9o9kLwGe1MT7NABjALcr0tHwOMED0ZgrxWWwEwOWjZtArwxxAAMYZ+SPoz7+isqvNAQjqPwTDYRNJAiJAs18uxoKZCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YDN3C9rRJUD0Z4pAVoctQLPeq0mHVClAVHT3QIFK+79LlnQmQ+chQNBzahpm+OI/n3+XhJVFLED2Zx3tNMwnQKQk7RLJ2yFAyI3/7iLUIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HlWPo3FJxb9a1LZw3CgAwIpfN9r+EQXA6kNmh+CJEkCQMptqK/Hcvz0oPfJLVQVAmLpUaRF1wb/wF/Uj4Aj6v4pZ1SOqOPI/oLvmFnLTuD8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1scHEHeDwr+Mkx3G55UCwIAgmuH0P8G/Ucp65djSA0AU1YTnTtiwv/RteltzEPw/XCCsLJMN9D9Snn2zg1f4P+iU6b+y3vQ/oOxDYvSi9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Fh4RbCyz+D9ZF55PSRsJQEXvwVhUZPI/iHXVewlg+L9cNzmjDMTTP3YVeXxYm+a/YLp7Flgrur+Gs1dOSlDVvxdmm8ljVfY/S69QvT6u1T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LL7uzAlL9T9OiSJUO5YHQFjGIHClQuC/KFIXMOlP2L8S2sqJg7PcP6hM95lh8No/+nEmRhkpyT8uhD6XU/TiP7o9bCMNqPY/mMhmVMqs6z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UhHhnHHCCEAlaEp1+50BQNJcgrbEZPo/tw1oXSt54r/vn3Eg0Yz+P1E8Rne+Avg/YmUvMl8a8z8EvO4t2dL/P9FGo6NCofQ/h3MKjg/26T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iUm5jaVrAUBsPDeR3cQFQIYjuulTa/0/LIoAh3Z00z8mHcnsrL8IQOJCFZgAs/Q/bFgqnOvACUBQKrZ8TwvvP+mwCgIkvvo/09aorbrv9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mnXybReKB0D4DHzLYewAQJiJIbVRlANA9BFh6ru/FEDQys2OWdbwPyyptXzMf+U/qc3TUU8VHUAAfgmF7DnkP4sWBnhVugdAJz8XsvouBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LRrsWKVaI0AxtEWWKPoiQH05RhwtcSBAyYzNqTDLJEAkB01JXQMhQMxRZTE3YBdAsmqPJEE1K0DdmsVdJ1AhQEM++khPZgtA+H5fvGpII0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XiiEuDaoIUBq372Dsx8fQBh2pXAMVCBADtd2mBhsF0Dei3mMa4wjQPbFXrY0YyZAJA6rQvG6CUC730x6WA0hQETuCSKLJA1AYg+gS8RVIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iVjs+moUHkCm6unmnzUgQJoN+kBkfiVA9KH/MT2jI0AJQSN51BwlQCpcaiphjCBAHgMPWqyDJUB8MO1sSAsjQLicp+5au/E/eL/iWqURJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PUpPpP9oI0ABsONijWkhQGzClmH2GSVA68BBiPQbJUCLA0a4hZUjQItqdKg9mRtACyavq8yQJUBK5ZcvQm0nQMDL8/hEyPE/m2H5UIxZIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cUTic1/gJEAC3wynKCAkQMPi+DYXOCJAxkPNp5zhIkD7yRKOVKcjQOkQzjO8fiBA2LCc9aliI0A3g01sALshQLex+XE7re0/hukiDeq9IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cUTic1/gJEAC3wynKCAkQMPi+DYXOCJAxkPNp5zhIkD7yRKOVKcjQOkQzjO8fiBA2LCc9aliI0A3g01sALshQLex+XE7re0/hukiDeq9IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cUTic1/gJEAC3wynKCAkQMPi+DYXOCJAxkPNp5zhIkD7yRKOVKcjQOkQzjO8fiBA2LCc9aliI0A3g01sALshQLex+XE7re0/hukiDeq9IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FQbAeDHxIEDI8aV2JDAgQBPSxEcb6SNAUll60bFiIEBjPLhz57EeQERhJanKKCVAF77jH4etJUDzBqzqDQQmQLbjap3A1wFASFU4MtwiIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YtcFCANyIkCc63HrqKwhQAG37Kr2/CVAfVy3gCbNJEAzls13ZNwdQE7fSVOy/B9ACfiCCP3tI0CQzCgLsPkfQPirsgLIN/g/hZkZaIGFJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"usLrz6G6G0AQfzAmN8ogQNK5OdDiLSNAZU9tFUe6JkAwtE7B7hogQEDKDQV+th9AZjiELdXfIEBT8h5/yogaQDjEfejxHfY/aJQLLzZKIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HluqGS96IkAsj0ciUaghQNjN+5o2HiFAyit4Y66sI0DYVlHO8gAiQNZseC05HyNActsPDcCgIEA5yE5XFW4mQDg/7s41tvA/cc+NikJTIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"isJAj18kI0DR/o0aOkohQOYWilmUlSBADvOCamCCG0AoKCJcmwMhQEMYQ2UHCSNAzTZiTbe8IEBb1Z4MvEEgQKI4M6iwdfk/AE7B3TvVIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OoIVk6R8GkBnfY07zSYcQFoZq538JiBAqugjF0lOIkAc1XsFk2gcQI4u+PmjNB5AQcmNmzvrGUAyFJJawS0fQMk2wAdbYv8/bLJ+liIhG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KvZee3YXKUBaLcvMLeYrQGKaVjDKlChAtNScUpNBLkCQozn3/MkmQNHoaNF5kCVAvFF+dSy8JUB2Y8tIOMkoQHt5RFtcR/o/KAJLnqiTJ0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rk1XQiA3JkAi4FZ9d4wlQMmWCf2y5yRACONF5SnuIkA+i8dPH6wiQPeW17/qCShARYSnY0S6JEBYo96NlL4jQNqGy4PSEvE/9gzhAw6pJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y8m8H9eSJUDWJ6gBd5ohQG4Sna7xRiVACU6rNlflKUDSRIUVLy0nQBKQnz8YEyFAsxrkio5WJ0AzqvlHwgInQH9tWRFuefk//NS8sLI9JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1gkcdWWuJEDcv9GtqIUmQFoEchEyuyBAY1SzTz8ZKECZghd5+mAmQCuGOW4ZMSNACSuXo49zKUBIDpmzKJwmQBQG5w5tQfo/FaZaAM1nI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OAXAWVJtJkDlmC4/YeUlQN0dsUlueyBAKD4W5T9RJ0DP5SDpN+gjQJPCpkkDNSNAwt5Q7QVLJ0DROcgjJ+gmQBPJRogGFPg/BGorpYkvJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"10fFBYBAHEBdVDENrboYQEFxlfCsGSBAisc4uBv8E0B8QUhKI9UaQMa9F98Xhx1AouAn7fcfGUB0DMdf1H8aQKeHQzJN8/w/xd+u6YZSH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rAyfz2SWHkA4j4RpTHoaQCWEuG4lLCBAhMkTSGlXE0CQeldjtDIbQCetWBxLwSFAwFZs0G19FUDuZMhbkIweQCXXL+1yVwRA5JbjkWqJGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2ffGrpiFAUBkknaiaoMWQEykRybg+iJA0DxNVcFpEUBbVjYZPZAUQPfvEoMCCiFAZ9tH8hqNHkCJlc9KQ2gbQLAbNfInKPs/UscQliZJGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L2qCRxy7EUA1w1bBL8IaQOpil4Jw+SRAcgdEPGp6F0Dj7MatfB0aQISeqaloyBhAtnI0W6MAGkCyvpN8imEdQGE1XP8ltvk/MtBfWS9YFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tj7AINMCHkB8W5Jtwx70v7txGA2xgC7AnJFmP8tJwD8sjU7SNcIRwCDjTj1C8cG/XjcuEFXAB0BRvby8k2AFwIiM5a8hdBlAutQMww9v2L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZYfyfeUSF0C9MTA+C03wvxZ5/seAHibAm1Bu0yLv6b9uk0SzX3AJwJZBcU8+GOE/iBFhd7ZECkAz8ftP2ZYLQN5rb+WMGRBAkCNna4o89r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HzDYEo3cDUDRk/FEaUsZQJymg/JM+BBA29Dq0MQgBMCt3TUIypUMQKp7CoHxrAtAGoplPASYFUA+1CXyph7bvwk1W7Z+pQxAZhsQhVYHCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PC8cRvuAEkDEpS8k4asCQG2MGYC2cPQ/rX7xR+0CH0B8i0qSclLfPxBuRCc2fgFA+NZ+HlQREUDUN5feyScZQJGZNVOY5AlANEel5r0EEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/vhkcOsQG0DsDHzJERYQQNzXt91iGCNAJhzDRXqy7j/1C+S9ZNXwv7o97BDaWQFAAfO1QrF3IUDeNpzin5wRQLntjXK8OBBAGzn+Bql0F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Rxy9eZopKEAV70JiCjUmQLlHmYkhVhpAPWI9gMZrH0BCYk0vzi8QQNUqvc/OYSRAdnXgmuRcEkCi+dppK5YkQDOr5+sBFBNAdGUx3iCdFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AmS216xmGEA0V9t5z7QTQFYRIpqn+yBAjNn3NRW4CEBbUMIMUBohQBh+Fggj3BlABxk/QGrUJUAeWPbwqiUhQI+lVkGjQPo/I/qo9F3mHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"X2BDFHo+IECSGwnlgEkkQBSyMuZmsx5AU+ZHBi0DH0BMJi2EKLgRQAlt0ANEQyBALvW6SHyzF0AUDEIG9bwZQC18rIwB0wBAjJMQ/+EhHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TON2kFaHGUDz2ju3RC0hQIW3ztm8nh1AxPCJ7Rt8IEB3ZYeLRnANQMxv6986DRpAZDtxoXw9GEDqK3J+La4gQGldiE80OANApWyg07qRHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zrtPlTDgGkDZeR38U0gUQO1mBP/5gxRAr5Fxzc3UHUBsVpME3X4eQDfPPiEcGSBAYmbzafdXI0AFWpqMWZUTQP6yMgXPgAFA5W10b6ShHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"92ph7EfREUDUrmGvqMAcQJJ/G+HAVhBABoyOYAcfEkCquETLjToeQBpDnNlbyhlAKJ4mW2R0HkClP+5q3coRQNEo6ox4VwRAxK2mw6YkHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Gso3eBsCJEDhotf5wlkYQKQdJgHAuRhAIzeOy4aSEUBSmMHasMQGQPwdPX9B2BdAgsWh43XSDUDlkF++9SAcQJFSMeEJwvc/RU2cg7j3F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uGcFHS5qwr+lBp8Y7YQeQBogib0twhVAZ0ZsS8rCFUApQb2W2xsiQDelWYVhHQ5AahwO4oDQJEA0IUYD0poNQNtNisDhPwlAmK2uXGwOFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UNta0Uk7HkDO2rWed/8WQO4BNn8SZBZAmet6DZuTIEDshHCbSrgYQFhzuwpMEiRAjMcr/a1UHUCKkVbFFiAIQIEn8hkPAwVAKJEP/24JGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4i+ySba5H0ADDWLAgiTzPzWHTH0b3xtAxhLs4zelE0CZQSEsfa4ZQGZyHg3QDQ9AFAlcfL8yHECQF/pDDJUYQPCMkzIeTQBAwLnUufaFFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Cu9EaAQpHUDM14pe4LQDQCwMC6Fd+h1AHMOKxDMdGUBX/i9vwQ0cQLzjo9AkFhlABr8lfYQAG0C2LWPAHskKQFmxG1ZQhQFAIvQZ3awRE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0hk7BqZIGEBINmyxhnQBQJPTIvnoDhtA5rZL0htRE0Dd6vg3bZAZQDBv5fivwhFAfdKn5NdkF0DTM0xFBjQSQKrOxlZzVfo/MkT6hBQIFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qvGuKBmZHkBVu0pPJaUkQAakWEKovRZAWMLye68/H0CY6g8uvQ0WQFhj8IDsXiBAX7k2swltH0BWNe8/y3UgQI764meBAPw/zH4cOSVKH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"H1IxzwooGUCNK8qxG5UeQGFIzNxVYBBACgs/35CSHUA22TRbfCMVQOdbG+TOhB9AJGjJADLqIkAGYoZcr+UdQBrH9lZJj/c/rUbFN/OmG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DaXOZi+xBEBNo/Jy5BogQAGjhGXvMCpAy+KUAmDiE0CuvAGZCmUWQGR4hsiQdR1AdlERbvknG0B4kNd3nZ4ZQMXSaXht4Q1AI+kK0UTkGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PUp/n2nYJ0D7lipmSS4VQDTj92gxuBdAWpFgWLKQLkC9VlIJG0QcQFMXG293siFA0T/aqDAdKED3NKp5Vg0QQETeOA11Kw1A7x27LNHuIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IMZCcXQZDECiU9la9pwuQMZISFOphCpAjjKx9wBEBkDICgFMq6wUQHpzWbZ7ZNK/tkhgQnQZEUBfb+lTYEghQK9wMZtTlxNAJmEHN0bEHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p5632eeECECzNTCNYl8mQPo0HfiwsiRA8/SoAr6tCUAEJ+kq0d/Iv5gqVE8etO0/NmLk+W4uIUCPE4PjCSYSQAj7/MRpWxNAFoP2zA3mCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"atzZi7F3DkB3AiUWjKALQAMo5DkiSyFAuqotcBg7EkCpdBks9HAiQIhR1LQS3wHAHdHmAW4oGEDK/9lMiRgnQO8w1+CxOxFAbgfaAZl0GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rJKtL97KEUDYcvikahgUQNDKBNRARSVAJUjTwXwMEUB0E7gRzskkQMZDmWfBFQXAJFs75990G0A7I5OG+RsmQDlkI3O23QtAEviuGxcPFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1enh0XPzEUAfxZnzrPYVQDhxEoHJbiFAgotLAjpXHUAyldUmG4MXQG1AeOFdAfY/CsBw1tKZFkC+RIJJA84fQLrQ8rcuWhRAgqP/i3+tHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0w29K4xPEUCLuO2pmSEgQKvPvbeE/SZAg42hRD9wEkDmaO0Ci6ALQBDWrv6lpwtAe0ikR1aRIkC2prNtzaQUQPYVSlReVQJAdJMw961tFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"enTyoZ5rCEBXA07LAaogQOkfwfEVhRJAomdcOnJZ/D+61aUy7kcbQPq5n7jwtwlAjpD+oPfYGUBBR5Dv3O8HQFQKLT0SixhA953+k3HEGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Sj3Kvf8HJ0CCay7rJ7wkQLV4ssJSJP0/oRJT1OIoJED7L3IWS5kRQApKcopxbCZA1+Obke/9FUBIc3j/Q3oGQJfwtM9ikRVA4RHemAe8CkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vz1T0g9QOUAkxDbtmxcbQP/Uqth16iVAsOHUDApcBkCCBWcdk6X6vwC4BMECJmE/Q+gBY2Mm9r+0mrUKOa4mQLgsezSt7ihAjxJL+XN+I0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"45yDqE7YI8CqGNAw1drivx/efRwNSCXA3pZDvxlkCkDxqg5be7HsP/RTEe7uEfy/VUcVNZkcM0Ax+Xo5JbgdwMGZYb1ytDBAHn9Z1DLIE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mvXQbkvAH0BoIJUyMWQlQKYH+P44sBHASunETHLnCEAcyh/K/r/tP/d1+V/2Ig9ASTRIWOmuCMAO5/TNbXcbQMfOQom4aBlAT2QfkQuyC8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tTyDqnvfDkAVIac56vYhQCSdg79KaA/ATmcSJ0XhBkCSxSClJtUCwKBWemQnSuM/UtkbDAuU67/KFcuAsukyQCGhyiB5JSZAeGDjze24zT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dEMs9HyNBECeoY0xPG3RvxUz5EF++B7AFmELFQzHEUALhtOFQOkpQI+6N4gC8fw/0JzUtTff6T8cxC8YjXgkwE21iAcFlRlA6dGXNrxmDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l3IUGPIFM0AhaZ+yM14zQCwwE71xQilAmspG0xMF478TrUpcRLAgwBWny4qEmgFAu1M+YLGLL0D/LitXWDU0QKLjV/IItR9A/X+/zKxjI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y0suD/0EMEB1KHO8CCEkwC8DQpMnPyNAaGQ/SAQV8z9Z/DgjbAMDQBIJmGYNJfm/Dqb07lNLJUB+oRh6tAHYPyspDxPd5xdAsBZjeadlAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NgUKrcovKUBdjXc3FBomQGKK5r1ALiBA4k61HmP0DkCk7/3ogKkMQAdPNv59OATAlfg8ziMQLUB123sbpeAuQMZXDsgFUBZAsnBv2+ZDFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1mxFiT6NAMAskeOogub8P+BvxXAKv/G/sP7u6oLBHkBxjJ2HOS37PzBudjWV0zJAKrqYrizGA0Ax4FRO12giwJ4jXklKBytAPs8rarjuB8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rADQE41zJUD7Wp+wj+DZv3lbP8JUFwHAFo54UoUgGMDQC/CU6KQUwOgnvmKX4zzAbkZ6mA8iDEC4oDxk9goxQLXh4AU1CipA0KsZbWxE8z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7ZxfoKyRJUB7CWKzNOHXv0YTRzAa/ArAq+JehfSHFsBUKJvtBDYHwML8trAdIjfARvpTg1d0EUCjTJausukrQDq7Z72DwSFAOoUw3d+e6j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LNhFBsA1HkD6JSVsoQqyv2l/3GQyxBrAofZVbqPxGcC9//s79xYCwHKz9wna/ijAnElKg3MmAcCsOUzJIWorQCvg/vNwFCRA0nlYREkG4j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jkot4fWAE0B65I9JnDsWQMHmqPZRtxpAACFd2N2zMEDjpAB/PsEPQBwN/0OPbSdA8pKmbnBSIUAC7kyskfcfwAsdZRrHtQ1A+9ZfVQhAF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NbIeS9jeKUB4SPPh1bYcQCwOt3h2EgBAtGnQ9d/1LEBMKeRRpFPlP3pURolnQDhAHC+Tlcx6KkD7c0l/vkQkQGX3W2lryDFA+AswFeTBAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dVID4t4qJEBAkcz5/R0CQCcoiAHzhBZAOpm/DycxIECYUEnG6P0SwJ7umUaLsTJAOiVtQyLkKkDQnHrLGR0wQMdd7mVwfTRAiwX7X66lEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yjX9T6/9I0CcLeWL+sL3v0ZLFvJmne6/y5dpW5njGEDsCNAi5+8gwFid4uzW+ThA0niI5qGuKUDarXKLfJExQHNc4cG8RR1AO6yEdCOzBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WDNWOsmlJUCz/2EArJYjQDZEhqJ7NvO/13BY0tBdMUAdPauZB3QVQPAufU8hus8/MFkqf0c2GED5j63svXUuQOZS3SM3sxFAazIsWzVMFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uF4429JBGEBYggFPZUUUQKbPV70ySTFAO+ITCOAvM0CUSAzAQA4GQFb9jRrv3BxATeGML56pG8BAhhmGkkEoQLxoL2zjIRlA9D/KcnrXIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xqLAV2RmMUClxUAXqN8yQObHedpZufc/SKvcjlIt6r+QeHty5QQLQNBJh6tbsBNAzMjANhMPOUCFuAlk9ZIdQFZhLBOeliFAJrh+IjY6JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"T9svs1maKUAJ6GSf5t4ZQJeKIyfVMfO/56ZOFD8aMECCGRwQnPf7PwSA3oOr1xpA3NO6haUSJED5q4ULTFU5QF2TKvdxniBAkhRxX1eUE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"O7emlo+uJUCs2sAR4YIoQMv6TfcU/DJAsl9SzBA/AcCrMMxbr6MjQN7sVRtzVw9ABvl/TRS/HEDoT99qTGHrv/aXzi8ncSNAU+U/rsXk+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"abpomI3O9D8ewLi1UkklQPZFkqcvNh1AMprwPhaSGMDGVB/r88QBwL1ISICEeAhAeqxf+o9ZFUDK3hx08+ckQLxHg2JushhANRsQ1zquGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QrTVx4AUFkCaSznS1okcQIi+D5EAxAhA7dlF1d5vJ8B4unaWu7UIwKLj19KCy/0/fiBD6/rzH0DLR9C0ZYMTQG/D+aMnrhVAjMnvPsdi5z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2dybpYdzFUBzv/trNzwUQJ9aR2ix/g5A2pscsXnAJMCX5oJBM+kJwGGiaiTnafY/s7oE59qzGUB94j4fogccQLULFYL1OBhAIHJEKXT32z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KYLqqxd8E8CMY0sZ+uATwN2+hd+xvum/xowdt4cKI0A8Nz9+5ob+vx7jdvNlJQRA46bPtb9O5T937jPazE4KQBOKii0E9hBA6z56L1bVAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XgU6yG1Q/D9r/fAJYLr8Pzy+lpc2M8q/nVJPyTU8DkAIlnthOMvqP6gyhQzZohhAbKVJ7Nh737+wsdIuwtLpv0AUWBFaRQpAD4toVrHP7r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jOs/sqVs7D9yjo+D1UDqv5YXwoCKOwLAaiSAZRL+DkCb6e6GwI4DQEAxMvbYr/U/EnV4jUHQ87/6Itc2fAMSwHZU5jv9sgpAZOkiwNk6778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WCofxw/M/D8yEHPwNYPuv64K/ytNo+o/gnWBmZDA8L+PjA7nIpYCwGyNzcmOzt+/EclRQCIxEEBSSu/c8l0WQLjPnHskZgdAODyzlrV/578="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZOjfqaCqwj/wAmrB9lHjv0wbt9JXa/W/GoEgNDFgEkC9xLfu/3TnP9Scck8prwxAzqM0mD9a7r/gUGms3IT8vzV8dVy7NQRAitswp2jU/j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZR4qJUeKEMD0GfxjEFcVwKw2No9rwfu/v6Nwq6TVBcAaqsBU4rjfP8ItPM8XYgnAa1rLlwE59r/kKXKU3bD2Py0jXeTTnwhAaL1GbU9gBMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aeDR+4xUDcAUanjLfU4KwPRWH6Ceivs/Y4C0PCE3AUB+7sOMTNDEvwTqFKssVvW/ojNX6CGM7z+ESjfuqssIQAhEORX2EAJAHFzpb4dN0D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cCY9PwrXxL+cx2Atd+LbP3CNFXNE7cu/tCCvNKTn4r/QfTGumz/OP3DbMh+ogN2/OSdxem81+7+gz2lujxPYPyZ+Zf/98PE/2pYooqRc478="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m7L0oJHfDEC2FELz+9cTQP7zEYHqkw1AV576y4F5B0AZ+vdI/10KQNC7y2/b1wZAravyg1ti/T+GPT6GXTcPQCBYOeWULfM/SvIUHlw7D0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SmNjDWzpBkCbcROsqWUTQG8Tb9bxLAJA6eqrrEtCEkCAvNfBAhzwP/hO9qpVu/4/tnCim1ecBUDAeTjEJXEGQPrqP5nB2vQ/5214AAtb+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aJOFB8BG1z/q7mtmzJkJwGWDIiYUB9I/CW1IHWO4BMAOy1aPkvv+PzVIKqBeCuA//LFU8mdq7j/A8R0/4KqYv976r++3xwJAARPfPfEI8L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRBVFmOfwD9micRR2i39vy2qRG7sYgFAEvZ1LBFr8b/iOqR+x7v1v0KVx/mBMe2//MliEb1fwL/3NVXAFMTDP9QgFuuQiARAnPBLuqPg4r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WvtavFUK7L9vLZXeRDDQP+agAkikmw7ARZjtMIm597/UPW1s0D8CwJdwcb/IKua/TrlPwQTI3b9cuxYvrUj9v4T4fjbYsgJAnC+QzHl8+b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eqVC0fOb/b9ituxFeyb6v1CHUI1egty/k8q1c0nL87++sZC8YcTqv2I35jjx0wXAzR70Cd/89L87Oi1hvGTzv1M0/mnqFPc/VjsZK9+I978="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dCBjQRsWDMD1iz466UMQwOjSgE41QBLAbNOqjAVKDcA6E2u3MRATwC2RFvk+RQPAenar5bC9CMBIv5lQLFoNwM3VAzkUK/A/Ew1iXT7BDcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rF37xdGID8A0vGfqBOkEwJFIYz11lw7AhlaXoO4GD8C9G4bn7P4XwC20SGvv1AjAAzf8L34DCMCHQLieDOUPwIcMNyiD7e8/bbRrAc/qDMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1BthlS1/D0AFCqJW4zYSQIgdZoToaxJAciEDIhvQAkBKXx0MbR4KQEjH5gIkawNAh9L/WVzSFkCeo2Aq4NYOQE3XjcO2//Q/E5DTy+APEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zb4k0xY/BUCQ4rcolwcKQGe7ksRtGhdAdL6i1GciCkBIn/F1rZsRQEjOcKUQ1wxA7OsRBiwRA0DcG+1Pw+UOQCcCcrLLnPk/KDyFialkDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jmk/Pw8nEkAhSgTorFcKQMhDOGu8fAxAbGogrbqD/z9KCQH9ex4QQJhdew36+c0//R+iaqOcEEAABfxwnFByP6KA+GqiRwBAg89cuc3/B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jsx7vXSbE0DFdHUXkRgPQCRXQEzaogxAOPQSVh5X8j+mP+SEEOjavwARzZaHgtc/ptlnPjX7CkBw9HU+u6v4P/ggi4IqKP4/aW8+FK8p5T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BNpEGcudB0Ags03Ntqf3PypFVxfVWwdAwMX+V6UnlD+hf24kpknqv8UGjS7p7dU/SAqfXdDkBkACvlTYbqboP6IZAZOLhPc/LEQrZU4i+T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BNpEGcudB0Ags03Ntqf3PypFVxfVWwdAwMX+V6UnlD+hf24kpknqv8UGjS7p7dU/SAqfXdDkBkACvlTYbqboP6IZAZOLhPc/LEQrZU4i+T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zv4jn2q6+D8qFl4PxAkJQH4FDp7jhgRAnrFnuvy2AECN72PLVZAYQAehbgCHMAhAx5O+PoieEEC0F791V/4UQFxCVnTujvg/DugUq1UdCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Va4/hUVXFEDDEe0r44gJQOEjROGThwVAHYn93ZBvD0DgnoYkDwzVvyIpUcxHPQVA0FEAEGISCUCpV5pq0Wf0P9bY1ODfXfk/BtzFJVewBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iid7hiaC8j9/M0V5hzUGQBFCiCZT6PE/fKck5a6T9j8S8YKqlfIOQJ1L+547XgJAWhNy+QjW7z/TI8/+3YURQPnEKM5fPfY/kzSpzBRY8z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6Gp34ERCEUBxg5gMWHwAQF/xobGEdgtAkvduOfDSDEC815womUjqP8pA5JVBBgJA/vmfLkJpFUBGJLrjFo/MP8ogZHveDfc/Lss2HWpcAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Npe/hzaB2T9hWhIw674bQLnKr7zx+Pg/UC9Ih9eoG0D+rxPB64QJQEhfQB+97RZAgZm5Ne8G9T9sE2Bkhk0SQMeJ0xN52g5AxCJfSFcjBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p5d8UqqEJUB3PvjvlUQeQJVHojOI0iFAJzhgkwL5IEDexslMho4iQC/9qxo5uBxA/3vq5BYWJkDmIjMrQFEeQM5ho3m/Yfg/JWm605EFIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9onVV2+UIUDGVZ1OciwkQA8+gqrl6yBAYm98p72JIUA29lshugcjQM8+TtzHuRZA/2TSyyU4I0Djd2TEbVQlQJW8+a1Xjfo/RhG5aMdII0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZH4ZH+GsI0B6ECPsROYgQKsXa+WWECBAAV196TcQIUARvnGrdjciQAjORTcnti9AwO918paxIkAVyWbbfoMgQPVWEg/eJQNA6TmJs4VzIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aez8ARXkIkA+dI3geXUjQFHFKmcQ1SNAomDCk0/5I0AwwaimdjcdQLaICgm3PAhAl75MYeDoI0A8/HhiVQ8jQEAG0TdxcgBAWzhKJjhTIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iTkrjV6RL0AOLFy0UowcQOa5UkkrhxxAOSMTOWrhIkD4X7Admw8eQNzCKa00tiBAo1yu+gMeIEClgqPui70iQM2gYs5h9QpAWoDGWyPsHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pd8K0ddAGEDg2898CR7yP5b46m0shv4/wzp3gTutEkAoygg2zAgXQCADf1BwthBAggi3ooscDUDw5eAF2n0UQGANFL2/Tv4/olUV8BUqCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"32ePNMQWEkDbkagv/0HTP/jRse9GbcQ/5rhZgStsE0AOaxsEXBoHQNk9Za/DDyNAaMp9tiHMEECWGECXK4/2P5l5t8049wpAF9lTAeUtEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4ILdbq+vHkCHFiJdwIIiQCrIfK3ILyBASFZ4XqwvDUCKyS1rjTYOQLKoWNEI0v+/Bzxz+1stF0CowZ6NMakUQADOc/bg4hFAeiRLohPAEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Z/PJ03qXG0Be6r/nw7oRQH9CBTBnlAtAKA5/t0pTFUDxplxp69EEQPKLdejo3QNADrnc3QvDCUCWHUiPoTgaQGHzFz6Q/wxA5NBUTrmvFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LO6Sq4HHGUCFbpSn0UAcQISCdzSyoRhAnawYK4QgH0A+gUbnJQUVQFY8hYkYDRFA2+cAll9TE0DymUcA1MQiQAd5k9rxaQxA1oKr/UvRFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QcCmCK4eGUAqI2vHUJMVQJtJhkrpMRlAQOPep+81GUAQFv6d7NAQQBK+OEqsOhlAnTKEB4MmHUApvbb4BdEQQGvVK4HZ7QFAh7RPXekIGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"d4EzxEKS9z94S8E7neUiQPEzwfTA/x5AK786m4jgHEDc3hgu0QcIQKVDZn9UTRlA/rB3hnlCHEBmSceGGqAXQGGgzm5axPg/vlJ14fIdGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tW05/jDIMEBYCep9sxsSQL8Bmx8wSRpAPVGGwXZCIkDetY6+AmcoQAzSplhOgyBAb+ckpS4VFkDH7MiodRgeQABfdOgmyghAJNpvo7nUHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jnRgbR7KHUAM+l5H8OQlQPoW9dSmUhtAwlsG9cYMDUBntcEMz6YUQIiltWvnji5AclgDK/HaKUB3aWDPbFshQOGpRLxf5AZA8zZTsgaIIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"crCjWU+6HkDkOsE/RxsoQBOXJ2vESiZAdtSi4cph7z/ajXKu9VsDQL2sfFbxyRhAaQoVBhTZFUBGXKgKeiYmQKy0+luWnghAmd6QFdqCGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"poPhvDYkIEDbPY/FzwglQBX3akk1VCFA09qGAkJd9T+bNPQEbvoTQO7cNAIAdSdALQ0ew5YfFkDYXpluH5glQMmFVMHokhFAK65tt4BuG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3IQk9XO8IECwXTyZOj4lQPadlZnmxx5ApnG5HuqZAUDwewFqLpsRQEakBbO/dCRApFqUpLcZCkCWKtacfwIkQC/viOurZw5A1UdRlyTPFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YFbdip8TCkAK0DOlyi7tv/Dea8tBRMy/xcbyQj5HHkD5FN565kXxv14EQXqOURzAq5UDC6UdJEDYFmQzXWAGwNkcaM7HZRlApMLYtMDM5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"03o+gmuCGkBFrDiCJWr5v9LwH2vk4xVAfxFSk6mDHkClDnXlIL8KwNot/K6fPBLAb/mG9GoGIkDgrxN8724XwPc0lHRLIx1An6ZaOPItCcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jkpGZS81JUDjXus2yzgRQKJUOv+phArAQmnCaJH/IUB0t/fYJJTgv8igucMINvY/H2NWwXW7EkAUsNPpA0khwE9QiMyVThtAvske53v57T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2IrU1NNVFcAmoMiVHGUNQEsIkdDwhwZAAFR4AYmbXL/qqwPpJAT8P/rG1XeuBhnAzRshN66MJkDmeYNS3U4cQK3gghHqmg9AWrCfWLDdB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lEUdjJwL6b+TVJ6Cn5zzP3NkI733uyHAiDE2JoHG+z+l8CvQ2RQZQKXOt0t+5/m/MlGcIw5pEUCjt7xFjTfyP10B+B7ajhpA1vx9rwdu6D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BriXoUzS9b9EKcZvFYDuv8nBPd+0hRzAcYhYusfkCkASzcXD8VUhQH3RkXtJfgPAR+KhAxjTA0B2ymxljWkLQKMjicrMSh9AUl59qB/M6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SdwRbwcaIECo1cDYxVLdPz5T6hAk7xZA28FH8+HVI0CIp3MmdMziPyHqH7dtGhZAd1FuJDgLJUDUFY93A9IcQNw4eJwoAhRAYyPhETPHHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iNioIYhfHkAyY5kCpDUtQBDjSU0+wBhAZnqeLtQGIEDmKzvEfb4qQOb/KRHVhCNAGwF3JNUHIEA3j9w2vhAkQEOjvZPoDgRAIpIiUT6AIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"T5mjaYdtKkAwwO5lp88YQAy/xyASsyJAWWBwmSWeIkCTbZlA4nIVQK3L62r2BhJADJxmGFC4I0CyXP64bkYhQF2908EjXwFAAgDrrtmHIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XdPDY7RoIEB365qBncQmQLOSObDN1CFADf/9AEYNJUDLRFux8lQgQBs1CjycISNALHwRX87kJEC/Vv6dTXgjQGVJYD5qmQhAawm5QSmeIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JdZXkcHUKEA0EMXEloMjQBWKT1+oKyFAkul2mv6lJEDR8SVPNo8lQFsB+JRZkilAf4cNhnowKUATQ+HQByARQAEVSG7h8BVAR/gIDUmWIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WPU5kWf3J0DBAAnNFNwoQODohOuxWClAHFzTMwfvJ0BzYb0/62ciQGHNlsOQ2iNA5UfGPJAVKEBN03D9jG8uQOSAnMhBtwlA7dwCF/h9JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"u4YtMD7MJ0BoNFnN708rQDJW14lNvh5AeSv7e4sfJkCbYsJ3HesSQNfeB8wv2xZADCpl+va2KUDctGi64y8YQNxYoFv+OxVA4FsNayBbGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fhTwHX3FEkA+3UuCX4wiQFWByMujuQ5AR1kySmD8HUBHQV7Cwl4nQOGDXv1HGhFAb4xr5lKyI0BOLFJ3cgUiQB2FHypB2ANAfsNmGR5sIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"q1r6E6g3H0BMUIdFvcIGwAlSeFxrWRFAEupbTwovwb+cCweH4GwawLYvsdsIsBBAjDOtrUul7D98GaNTXJ/7vzMH0HgpORVAuk6/0Mvi6j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"v1RQs/hUI0BSkLaqmH4UQJDvsVBeV+a//9K7GVpD6D+dJ/7F4qkUwAEPyBTC1QTAGSpy7nzyI0Bpz76UURcIQP0kKX3tmxRAps+9VIkXBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ULE6QpmMGECL9n+C74EGQJrIAfv3lAzA7MZLj2prBkBcWzBOggIYQPLy+Tm3duw/FQJQHvjvGUB8DoBdeiYDQGzsljASSQ5A1Y4xOr0dAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9IGkkkyPG0Dm+slwdb8IQNzt/sAvKw/AYp4j3nkX6j8zEI39B+sXQIv31CPAVfo/94VMT43nDkBf8D9zZv4GQNUH/F3VvQ5ADVLz7eWWAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uBNSaLx9JEBMWKejkDjvP8LAOK6fAOe/TmM8RApPBkBXbzapjfj7P4C76r/BUBZAew9WYmvrIUAwCTG8I+v5v1OA0HuR0glA5qa4asHXCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OCCLs4Jt5j/gBdFYAgENQPAS1ygARfc/2jZ3bgmTFkD0kTt4BsEJQOqmBK06XwBAQQN0uHpwLUCHmtE8Gs0FQLICgUvkGBZAJgNsRxZVDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"g4epd9CJGEAws3T7cJG1vzxm2/kw6B5Avji7LUyzH0ByBjIiWmEiQHDuupI93gPAmwHSbIViL0D3KltnuGITQBlp1bcqQxdAARgQN4KCAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MRpLUNstIEDLXb3MMn7oP5NIN61kGRVAc6IgD1gkD8B61bki6mX6P2sh7ssfOxlAaMtlIiIIMED6yZKvzTvzPwTDmDS09BdAQH05Q1XFFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EGmvWpgAIUANsZ//W/IZQB+r8R6zSBpADfCDYxY2HkC6NZ3xj4UWQAwTrVtVHCNArg8MSueTA0DgnOqT8WsiQFiaXazD/ARANEZ4IkelHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Zl7ImFnZG0B2h2W9rYoVQBwVfRfzbxFAeC/nW35ZHECR3tcFjHciQEkiCwjwTBhAUC0cTlcJGkAbxTSoCeQYQNryGF9QDPg/hdv2Noh9GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Zl7ImFnZG0B2h2W9rYoVQBwVfRfzbxFAeC/nW35ZHECR3tcFjHciQEkiCwjwTBhAUC0cTlcJGkAbxTSoCeQYQNryGF9QDPg/hdv2Noh9GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NxH6ld/vHUA4PB3d1ZsfQDJxaW1wqCJAtNmVuBv3GUBrwiQoPj4XQLsePRV/Rx9AxYZlVcIiHkAhVosp1+8cQGZiiX5dv/Q/VvX9mZq0G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gLlxCThti7+5yXU/3H74P+RMz/ljjOW/mg9YZB1T8j9Sy2fsisjfv3DweLF+u8s/mv3bQLIo8D/g8slmj1vSP2qT8qD+RfQ/tG/jGO/WxL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gLlxCThti7+5yXU/3H74P+RMz/ljjOW/mg9YZB1T8j9Sy2fsisjfv3DweLF+u8s/mv3bQLIo8D/g8slmj1vSP2qT8qD+RfQ/tG/jGO/WxL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gLlxCThti7+5yXU/3H74P+RMz/ljjOW/mg9YZB1T8j9Sy2fsisjfv3DweLF+u8s/mv3bQLIo8D/g8slmj1vSP2qT8qD+RfQ/tG/jGO/WxL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"78y0Pw484j+ImlCQnUf3P+S9jQ9yrdk/2rnXcF9U2D81PRn5NWPuP/BUd477yfc/ADzOpVesoT+u3LAx+F/+v3YG9emxr/E/hFLnkWNc3T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bHy2ldD8DkBckmuT92b0P+JcrQ2WghFApX8NZklXCUC3D0mzQWQEQBpzZhfD8fg/ahs31VGIEkA23sZwcDYcQO9b4cFB8BBA6kvW3r/VBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"V+jIFUAW/T/WB74pr7r4P6GFHetFCQ1AGlGZafLoEEAV5JGPbiTsPyCLqKplTyBAc6jExvRCF0BEfIuJme7ov9HpRfeyBv8/6GQwYAGjEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RaeDuBnLFED0eoCJvnf9P5inQDyD0hNAKIsjA99pE0A9Lu+kw20RQMmV7XBCLhtAOytQnqQ9HECLR1v37jUAQGQ16tIwpgxAahKWKQ3q+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0j2RFB62F0AaL3hz8v/QvxDj35xTMv4/P7uSEJg0HEBSLcjgcP8cQFn7cLZsoidAbWH30bgaJUCUOCjlkmHxv/NEv0zY+BJApi0QWlN4HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"roNxgjSfEUBsPYz4Q8geQK5a3PHhD/2/g7lrzJbr+L+ghyBLhWsXwJSuay3jzBnAkcbfj3iAGUCD1tMh4BwgQCK5FzoDgxtAfgW+XyyG2r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ayZ95F25G0DcujSQEODyP5CJah7QeCXABin/eSwhBcAco5TQpxL+vxxoN3+Aau0/sMqAdRoqEEAi7EBNpecnQBvMDdd/zhxAH2Qp8d6BAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nFtiPBw9+z8pwlY/mhDxP55dEux0LvU/tmuama2iA0AInwItRFIIQCx44nhhsP8/aPYikskCDUAg3EUlbdUHQN7xN2WfMfc/+6jGI4+xCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"omJs4tjE4D+WHsX3p/cDQFyfo6AabwlAJL+YaOiTCUAFWKji0FMFQM7Uw2kJI+Q/UVdjuDlzEkBL2JSvquMJQCb7Nmj2IPo/ngN9EDU6DUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tTvmsqoIG0C+jl52SlEdQHegFCyi9QlA8rg8zCgLFECngzQEBp3SP0zPBhXQrhZAdKzyZ3IQE0BMxmCRp7EIQEK3RUY/+wZANJkv+uycEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tSsUpy9hF0B1unwCIiMRQI7v9UhRZBBANYa/xUV+DUBw/96DC8EUQDjn6pJRVfc/FxPtJdHNHUCS/U2zbP0cQJskJ8Aa/fw/D6XW3BkaEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wqX5BGTdFkDIe2RljesYQEwelECJmxdACSbzOFHiF0D9LzdMujgSQBDzIpqr7CJAvFjPBYlnE0BvQmDFywEKQE8AmRzzGfs/4QtFrCW7GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vfyLdAsuEUAc3Jy03W8BQMA1TFgR/gBA5mxrHQi8BEAq3PbcYdUXQNdx7lcT3ve/GweICIkwFECVfuBxSbUXQJYZ7wkwzwJAgAv2bBRmEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+8iDCgaIC0AvSMZLm+wGQDg6mkMOYwlAyqBvy+/YGEBnUSDtVJ0SQPavudkvQ/E/miqmm7b3BUCKOZNmYHwTQBWKUq+I9gpA27ZZaRebCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6O7+IIyeGUD7hAtnUtT0P3DzxuvUjxNA8zj7l/5mH0BmfJiJz5zqv0J7XhfP7/c/2jEycfsLAMBd63153VIiQOmUS5YVnAtAqbennLGJBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Iskl80MfC0BeCjCSIyoJQKUtshYuZhpAySa1VSZPIUD8V49FnWjsPzgoODDxRQRAK1h1YG76EECUMdpINcIKQIug5TfxVhJA9y3TuAyEDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kAfvZKgQ+D9x9dRhGh4HQE6Eal0c8BFAzGIyq+vLHkDxlFvO538GQNhHeXPwbhVAj47g+PiaGkBiSb7yIGwIQC1pua2bxfg/WF2uOFaJEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hoHywwLeGUDuRktjVa4dQF7MDnMh5wxAYAb+SFBJ/T9Ha0chlN0aQGYClLE9rwpAjqq7LkcdC0Ck8GylI7YSQK3sp+uArvo/Q+d51fAvEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LbDR//0UGkDT1/5FajYbQB0h3PJvKwxAIb9jlHkd9T8ZZ6f1J1MgQO3nVp2H6RNA/xgyGb79B0ADr+mDWb8QQKGdm8wIyPY/fL7OA4HCFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vdsDJPL9GUCkjx+QGkYYQMAmcEdl4AtAB/4/SOye4T9ZzLN4fgYbQFCDgoaoGxJARd94n3Hs8j+87uSUmS8SQMeNoamOaQBAFpcbc6G+GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3SMy4lptGUAoMFdkzSLUv2czkR3QdPG/a6s2y2OBIEChM4vN5E0SQI6meWM8twRAzbSOm9ZtLUCTqiNEln7Iv6t21EX+YBJAAOe4TnMbGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZC/8gmPg5D/HP2dvu5IWQAI3Tk4HsSVAFzJ3ih1zHkCAQqpxhVr+P4ihdAHS/hpA9CAXCj+tEUDzaHx4VOMbQHXEbjDoogxAy1gLYe2CGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZFmyi3mXJEA3Rcv1AD0aQPl1SC2YD+4/Fz4jTXGoEUCD+nNpPdUdQF+ghwrtMBJAR9fOkmumHUDkyRFbsrESQOTuETspeQRA2D76bTk5G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vIniazdMGUB85YypE98fQNbIFsHTfwFAcDLR4J6P/T+qbElPf6sCQMtT9yxgjxVA2UoZKeDlCkD8CVPPs9AXQCE1QNe7QwRA/Y7iGrrYDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y7oVZrhrBkAkOUshB1bwv3fQEspL+hJAqkebhrEKF0DApzmeGbf2Py4pW3gLU9k/XDkvBoX+GECqMdIN0hv0PxVn+qnhXRFAksFoKMnm9z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DYDbws/ZKECXLEREMYkiQMo4UI2kjhBA98mH1y4j9j+iUDbvJhgDQJYwhb0PERNAM3WETB1XGUDRXf69m/UUQEYnU6kGpwpAcb0LKfP7FEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WCYgLMDZ27+KtywnOsMAQKyxQ1o3VAdA4O2us1IZHkA5qTvK8VoOQPycvAjEpRhADPpckEb8HEAtlImhgE4nQL888JUffA1ALOp14IycGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m05LBZs6FUDEYXf705ICQNdbDp50Ry9A+TWBwaLgKUCHOEbXSRYcQKMdrGkrZgFA+t2mewq4IUDPggwOf58SwFxTLrF3JBRAjBq6RN6mF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0hMGhpGpJEDpCdc1Jb0iQLqRau2D+i3APfGHYoOtG8AEDCtITMrmv+HlBKq3ihJAv47tNU9uIkCuCUEo4HkvQJ7/0yv+3CZAII66EcaP+T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VtJdaDBTF0CT0L8Bd3AmQAeeV+1FESbAR1ZJ1CVY/r/ie/Pu0PIFQFKFwPzStSZA3WOVenxOJ0BnaCnWiAkvQBSP2a/BlyJAozACjz4Awz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vvEvCT1J0j/BSRZuVAUgQCImfjfUWRvAmVpfP5+xEED65G7u4jD7v6j/8p3/5gxAo5+1qu7fC0CjB4ny3scBwDn3kXIHyBZAPayA7c3uBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"t//PJg31FEAwZ+V/dUQHQCma3buMLSlArF3ZixjL6T8q1rLFGW8VQIgsiiFDk/E/TmkMMq3RD0AzauuLVcEhQHyQpeilWhBA2nlLevpcIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MLogGfSmH0CHGqOILicgQFU2es95MCLAeSqS4VpkJkDIfaz++I71PyP/2QMCRiFAtuhBJJrAI0DZoqKP2NX2v6+MZDsupxdAUNDq0nj9G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"F067cWOTIUDfVlLGLP0gQNA4XYogbR/AVx5Oixi+I0BehXo1yqzbP8QTxnnSmBtAK02j8wdoIUAuZmh5+pLvP3Z3PRznvyFAWiFSmYWeGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"C9eMDViNG0ABoEd2fA4fQJHITUHxXiHAOet1mGMLIEDcjBGBppoHQEwwgTHVFBpAMB6pKCY4H0DBdFYZyoTxPxn51w0ROxdAvH1RlmAYEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AkiI9ZAWFkBFV6oyISsWQKYuaChJWxZALoUWRAgtEUAxPPOMmGvsP2u6SGFsTiFAspMKU7A2FkAMeZ9wqJwOQJl0eswqaw9AKFmThyn5EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Dv3b4myv/T9wF7GeS9USQGMMhYqndRlAmzbVkAJ0B0Be0CEmAwMKQPyziDhJiQDAw2nzh+64FkBzFU6zv+/6Pz5ycDen1wBA1r0Rb5TGDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jKr7JtbnGECwfRpCqqIQQLib7xNqfNU/742/lOQDBUCYP4vc0/4eQEQYQKwKxyBAIC2nGW4tD0A9O1YMK/YVQFE4e5nhpwVAPtSen9i5DEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SIzKWQexFEAjNsnjaKUQQN6LOgqOafE/i2c0ko4iDUC0szOaauYSQKDnsIsvUhZA+8a42EExFkA3PEatresgQENdbUZUfhZA5+gtNS1dEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tyL3snLTD0Aq+X413owTQCD+eULfBiBAOK/MA02YE0CGHqo/SvwHQHa6W+8vmgNAbDZo5x1FEEBU32J5KCHYv0rdLQpwkAtAUPKEcaigDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IaFdCn4XCUB4gZrP7pYIQEfaztq0rR1AhdY1MoK7EkCBuNFl0Hn0P6cnl6ZA/g5A2WM8ZNlYHUC6PP2ifwICQHHpnZiXdQBAjyAXPbraDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OGhyHg61HUAplKs67AcMQBpra964zf6/Zus6+1YC9T/NFnfjjYQZQM7N/WFn7NE/GEmKoXexCUB+SXDCB3kQQITLiFKHzQVAJEYd+7g3EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nK3ijlwxIkCMvTDzfbErQGNLsVWfkhhAzYgHoQCmIkANQf4Jz98LwC7ZvwAmrxFAzT0ABrQAIUC7WZ881dP1P9wx0V/H4RdAoDZ09KwTEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YjvKm7JYEkBr1EVGpJ4mQC7Dz8pI6gbAWXW2HKIKJEDKztEKlQsUQJorpXZ+n9q/ssTMldA4JkCiO39mgO4MQK7hbLoIUSBAkFKT4g/0HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DB6mNBTIIUCzzWn4OgIgQD1OnVT6aSJA9dmfeaQNIkCG+RKaefUBQNYyUagJNQFA9ysMsA6nF0AEVy7bZPghQGjdp26JQh5A6l2ajdpdFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ahFmEuj6IkAFYbtz+1ogQB57Hlse2AFAgIJ3WO58AEBRY+fmJWbzP1xKAlqdif0/XmSXmmhoEUA9OWG/578SQK3KVqzn+QFAf3kuHVadEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOdJK7hey7+vf1Lltq71P5SE0sBF7htA1eZ/PQm8DUCioGLWP0wVQJNMM2IS3RtAnfXwZ4a4E0Bgjat0A3gIQCcel10pTf4/tT4akiJBDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fNtapxTOJEC0nuxEL6EbQIvZ+exG2xPAXIBUMTUWCUCBsfngXssBwMHI9M8prgbA/5+TN3KQFUAD9pKJY4YZQAwFtNkkrhdAVmuuuYi1FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rSer1C2lGkAmtyeLsqcdQENlRBEspSLAEUfMbQuJBUBZPZzgGBPgv6eVwrz9BBHAQG3Q+SpEHkBInuIYqfkjQEJ94Je3TRFA1G1plhbjBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Gx9/PvViFkB8SCjBotYbQCqRxKcq7glADz43hCvNCUDAg1QH0v8LQHyVQbnbShZAPRAOQm2YHECbMmt2w1MOQA7O3SaFiP8/PCQaa2VDEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xQH+apTcE0Dza74wQHj8P+/KXNJ8SBtATh/yL+RiGEBNf5QtH28ZQF38ZF2piBJAMCQWyjNQCkAgpdJkzr8XQK9eBmJpZABAh8BNwwtkEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D7JXoziWF0Aix6J07/EiQKvbqluYLBVAgpYy0HGHEkCg15haFkMBQNat+to4nBZAnXIYxu5qCkC88bNABqYcQMObnXt4/QBAad+iVOTaGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tQRUNpWFHUAERgphMiP1P6VDDr8I2hdAQj7b8br6HUCA+TzvgUYhQLicnWh59RhAAV+Qbi7ZJUDSX0q35FwYQFDaEnF3IgtAOxNoA31QGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ktjQH8j28D9dVpuG8fkPQDZWNtv16wTAbjHF6sx4+b92n/+wfYT2Pw6HEbaJOtS/9bKBbAcI+j+UV5oTBbbuv2HGAr3tXxNA+Vb1io3m7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"isxL7/YbIkDXnOjB2XMPQDTpW9uZeRLA4Q3DDqRfDcDSCtLmQzT4v85NyvDUuRXABfnsvZjcHkA40L8tK/gJQIcuUB86xiVAVIICf00z4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UvQwGL/TE0CKZFT3CmEdQJe2006xZypACBnQtqZMLUAHFlj/fwIcQG8na9GULyZAl1uff41HIECt3q77oEocQB8PQ8BWExBAvjcMnSKMIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"f/N1www9GUDklDO1mCgGQPQON429pCVA4m6joSTrI0AXGgyCakkgQB3xMwRThStAJTN8hAwlJEDxS7fBdl0jQLMn1XyzJBFA4UTHPheoHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YBg+tuYAKEDaDY+auVgUQPSGnlJuSwBA0s2YgNzSGkDCc8NxZKgcQAjGq/yEUhBA78RtxPYgH0D01PuAzRkAQCba+MvYoQ1Av2UWj47DF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4BvP3k5mKkDB4+ZZKSIaQKIrNGXHJP8/kUg0kq54H0CC3U/VbiUcQI1eHVhK/hVA8X3lhuT6GUBvcMKIkRENQO8w6QsuRAlA3qinE1sgF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZUl4Q6/c6L8nKdCouNQXQEL+hkVTCyJAdpRDpijABEC8874jofgLQLI8CRDm7RdApPC2a4SQE0DBK92NJ74iQLjdJFWSJBRAk5WNUQ5vEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kUOpIKD3HUAQBunISyUQQOS5+Ag7QgtAigCjXKqe8z8i3P4pljkRQEErdc/DOyRAMyTGpga7EED00DnkIMcAQCw0cMTG7QFANODqId6gEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3E9e3mr99D9VqdjNAFMIQLpofH81SB1AKVpHv6lCKUDmCufjd1QRQJUcFxY7DAZAVPV2634IG0CcL1QLdeIaQIgK5/Iw/AhA5xoxk65lE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GGJKPJhJI0AI+I6YyhEXQAXZxATrSwLAXls/lyMLHcAgD9J0rLSCP1rNkNZxyA5ACz6Ne6tQDkDDmMcF94f+v6O6kixlxxJA2GSrw80Dxz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"W+84Wxw1/T+cGDu42GsaQN7vpt7SIQ3AuZ+lxqFCIcB2GE/fdlIkQNWNk5TJffa/QWL9/llt9D9qf+sbmKQYwPKif/bXXRtA35a8RUpi3j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"09/UGqIsCEA3c6mv5zXxP26m+agIwPU/a9nOzGrrJkAEYSqU30AMQCWPYeZ8YylAkost0+lC7r9INzeC57AzQEKiL7z0SBZAUShBWDxoFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"x2z28LIQIUCEzTU8/ngfQOgosWCz9iFAX8LvCM4h9T/2HnlRW1kCQDlDbAwuegjAxZXBgCrtKEBJ5rVMSBEawHVVCdk+NyNAwzjdqnFxEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wOgH/HDcCkAPTrCpZdAVQA3DdGJfSBfAQSuQnhOmF8CKLxAo8hoHQHq1CXZJo+2/XEpwtq3AJEA8+014wicRQLmn1IkwGCFAqVjsnF4p8z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UDeEaRzM/b+XHGYJzooGQOYqSNW2pxXAoMO1r2XmCsBejsEaVWzaP+ciAK4swC3A8uSZ2mYzBUAiv+xgm47xv73cQ9UT3w9ASFcr/aJaFcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NY42rBg+IMDoKfGG/6HyP3Lw8GZ/sBvANKG5EZCu6r8JPQ9aLXL0v73EEw7E+y3AmC98bFGLzj8c0KQ4a6ntv+vTsV8FCCRAEvkpKsgCA8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KBg0eHGGEED3HidKmeILQLNaUHZHUyJAidv6XrBTLUCoRLhJuKv1P7zmG6zfVQLAxjHverppBcCBjHdbNRErwLL0FIiVICNAcJjCBwJDtz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UK5bNZsLDUBduDtjgFvyP9t0+dmnMwzAuw1aQRk2IMD5FyB2d6EFQN180pVolPQ/Z+2KlI9PIEBseaUs9OsXQK05OeKKOxBAoocRXQa+DEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"avbq+v9ZEECeyG3j3w3RP0Fq8B9usgzAWQmNxuVEEsAIia2EovMCQKVczfZU+QRAP/tU68cnHkCEz6htIAQHQA5Vfy/7pR1AqAtHS5/d4z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zTv7tWriJ0A/m0AwB/TwPw4S6TqFieK/jgpNa+CfFcBHP12b3OAVQPqidg4drgpABNx/xK8r2j9gmDwGnqUMwEIgTwLEJBJA3ljH/4K0EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4Kli0mZB0j+LxiY8P6QvQAtq5pM6sRpAbsl9cBv9KUDS7dg2SJQHwDb6N/sD6xxA4PxplBbrKkBQOMWQ3rQZQPOxAczANB1AQu+Ewi3dEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8xJHQBZ8IEAo2GHXxTMgQHhBcDIb0xpARlsv32/9KUB8zo1cxhgPQFJ8NGwxkfK/69fld69sJUBbhXWeV5cpQJlSh/ewJBRAp0EJQm43I0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D3+kSqMME0DoUx2SHyr3P+bts4ORXhBAECV2algpBcBG6OOGPpb4P0UoUxv9HiFARnLBq8dIAUAqrQJVAg4CwOAIach5BwlAvtDXhjG0DUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"v7FERIjv1D9SVmDuJNzsP0NQL+cOFxvA5rgbFp7mDUDzUa7w3a0DwJV9k9u5yirApD69heZDFUALcjzW2h0dQJgxaxrf8htAcI5wNlSu6D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9trD8GIl/78eIW2WGvMBwCz0C6z0bPI/QEsDOoqmCcCNVkEetXkOwKRwsHYWeQBARKEV7c8nBcDnLEDswFwmwNEB70jctBFA3DWM556iCcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lKQFXBZIIkDBuKyjqEcYQOeg/I8AxhxA9dvfA3a9GEAGBOaEbAv1vyISfJGjmARAQDXUr2mZF0BMZEu0KLcmQCNKMz2f9xJAwTwRYTZpFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QwZKbAD/+j+kNM34NRsgQBL17Apvrx9AQLrBS4CGH0C0aNNormsAQDICcO5OgxlACyzWVsIUDUAmksJPQs4DwKN/tpu0hQ5AsO6aIQWTEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3NX8uuYeIEDWj5/NV/LjPzvpL66n2tc/Wg0dF/e09j+7O6lAUggbQF7KsoOanhJAl/NII6dyG0Dk6Vbg5vUcQEE+FePTLAZAtIcABsh2DEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ON/cOMMO3D8kEybHcf8TwLdcj6CKGgjAORJLIm6YBMAQLcu0L3Drvw1UfWVH/fg/zeKk9bgi+D/Sxzic4I/uP8Kau1ZRTf4/AkctB7Vx9b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6jh6zHxD8r9XrCllMMsKQOh4sFdx0/g/GO/Y4hRk37+a4wQMWwL4v1SowVjNXgTA4Beh1fr0s79ckxZ9vnUAwCqtAs2Opv8/LM9sAhIzyr8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"I8QUbV9MC8BM4n7dBATiPwiGS1C97My/gTn5yL+A6L/Q48jP0uQDwIADWG5nes0/62j+NG+F/78l9x+a4VHxPy3b4FL58gFAHPeT0oOW+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/ZosCVqrAsC4qszsLvrQv5Ywzu85B/W/fCd7yvXTC8ByYxVVuJYMwLLQ1hpPY+q/3BTXHCBR0r/sZPwoL5jiP1hri62uA/o/W0cufw025b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bRGGKy6C+j+d5BtsQRv4P+ftuP5Fb9u//vc+pVuSBMBAJsXca+22P5wjfWpC1/C/TiGRHR0G8r9P5REOwejnv0hbkvJUFfw/SKXF/OYO6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bRGGKy6C+j+d5BtsQRv4P+ftuP5Fb9u//vc+pVuSBMBAJsXca+22P5wjfWpC1/C/TiGRHR0G8r9P5REOwejnv0hbkvJUFfw/SKXF/OYO6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"R1fvymRO+r8VnS0f/o/6P7pASm2iygvA6bYEFugrBMD3yjiKYbvuP8DNcucGnJG/hR8blkry7b9AzJ6VWzKjP9wFkTQ26/Q/7KcfLUdazr8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"R1fvymRO+r8VnS0f/o/6P7pASm2iygvA6bYEFugrBMD3yjiKYbvuP8DNcucGnJG/hR8blkry7b9AzJ6VWzKjP9wFkTQ26/Q/7KcfLUdazr8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J/o8NIY+9j/6nOfskFAJwLpoNAty9gBAsbmPhoqe8z+AqDrkXHbnvwlecziLXeq/+3l0FYZR8j8MHuKitQPkv+Z0NBhASP8/jGUK4Mhy7T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"73W+4c4D/79lUe0yo8ESQEDkDlpSkqE/sRPC8kz34T8AEihbv7QIQMRj8q4aUAFA+JfJVo0bEUBf23L81iL1v2GIA/DwkwdA9EwzpC9lvz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/kVdeYatEEBeJMUHSngEwD6+d2hqSfA/uSpfwIY4AUBZDEb7kfsNwLTc3D1ISLC/kMe6N3yFqb9oAAJCNgQJQG6kwvc9MQNAzEbGOJwG6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6DZlZNm10T9/lJc89HoUwNr87Q6OSQPATp6fKQMLEUCWiVXKWSHxP/gURzeUrOO/8CkdBlDFB8D2/71NRzbvv+NBT4PDQQhAZrcFszqX0r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fPqjjGbk1r/x6HggB/8UwP9+RF8B/PO/l3EZ2iHbFEBI07E2vk0KQJo4rmeoPPY/RNG0MKH8AsA6hb0OPljov5I4IKpEqwRA2idWgR3/6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QDZ/nGfs9D/AHlfSBgISwGA2PDD2iAJAwRG74OjXEkC9MqqiZS36PzYtEzwKcA7AeKyS/7rVE8Ce77Ruocrjv3y6Um+dAAhAhgC2Yjog2b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yzfxWNQU3j+0R744SuwfQNiatY4LagdAFNC0sUj0D8CU3hZdkKcBwEUx8CzCgRVAvYEwq7HKJEDPKECwwLT+P+bPPYz9ahFAQjbSvLUHBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aHx0hr1+HkDgO6XyrNYfQORzVoV6lu+/CIT/c4llDsAE471i9SjrP3lhfNDiBQtAnDA5/YGH7D9S6Io1xikBQLb50nxESRJAR1h7Y3hxAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"t7B2qNZW8z8/ykU7OqETQEbYIO5YBPy/NPcn3AW4EECYxdkZZH4WwHGMsw0o3RHAH4uXwI2v7b+ghTzOjY4RwDkHQJBqwg1A+vvfURZPBMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1NnrIrqv3D9r0EpYLTwTwHcgvgzJbhJAt+L+UxEnEcA8DoUGxgT6P9biaLdwAeI/AW+8MayXAEAIMZLWWREIQNxybEl7/glA1v+8EbKe5L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KtB1veaJFkDyvgsw5iETQIAgGqcBCB3AIv42lh+r/j8C0Xr9ox0WwMuIgW9eUeM/oGaGAyMGI0AqYK83+Dj1v4voYRZT9xdAN3oGZjou0b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"imBao7xcIUC0zIqwmwgfQNLe59KFrihAOLduMp/H+z8koBAL7XYDwGVXFwZ6pdk/ABTUa56ver9cDO1LoRQQQL+cU1AS5xFA4aUwqDopE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P8AFqFEOIECITNjAfSISQEzfXIDaIf6/lDQAiBXYB0AsrbUrSbIWQBzEBCEe/BdAQL7tpmfy+D9IULlSIOzOP9x5li7zIhVAViWXUqvmCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yH6IEa26G0As4tvynwgHQF6hSt4Y5wXAKOjaIU8gF0ArYQvTSKr7P7d+UvVTKB9AlBC3zLs7BkD1SPt66DQFQLqL9KvGXAxAG4XKccvoEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rr4sddzEB8DL/jpuBnMRQEg0BVsruQJAiJcccd+W0b/n/X/Ii9P3Pzjcm6MZCBJAsxugL0fF8T/9NK7cVw0DQGZxzsK2dwFA/AUmEMaV5D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aC0HCPyH7z+SNS8FSicPQO70Q7jxLfI/ugXVZgAD0L86vHnwgnPgP+68uX00LAZASPOnAL9wEkAtLSzBy6MBQFbBqWzq9gFAarT0q6TUCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Fj9HFY8aHkB8zcCgFrL/PzKVnTwcbBJAQzvLEsXu8D8I8AgF6x7tP+IM4U7iThZAH94LAr8lH0AOtrfD29kHQPv6ZIqhLQ5ASN64jPrq/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7yfF7A6WJUCCx8HI08LEv4jw2EZFzgxA/NMtAe/C2r9UjL5bstAlQC5sx8hSPRJAAS9tNvBSHkA0SM2UB6kKQKI0Rrktsw1AhL6mvt2BFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"30DiGz/IEUAo7Ou7ks0fQOostc9oqxtAUI7t/d5CE0Aw8McyzloRQBwqVc37tc6/XvXn8aJtIkCmNtUgSDQQQDbDK9oTcwxAl3lR0yzfDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kaiUXFUsAECU83hKvKjpP7uMyVEEswdAlwMB7x0fEEAp9zHuSA4JQJu1ddNXrRRAIJinkwTBEEAb2hzlr5QHQFktl8Hhy/c/Zk17tR6ZEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+670gzAFKUC0C96954YlQNMdfPGLJxtAxv/6C7oO2j81roPzbhkVQLP3hiYgrek/ig9WcIryH0AYULiDqKQiQLytk7SLxxNAXOCRv1IZGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rS+UsXKoK0AkI/Qgb7IlQGbb4SQWFihAUcTh8t16MECZ7cyRvOcmQGKdK54iKyNAF+9sAy01KUAMczCvAJciQPvlQK0QSgFA24Fif7ETKEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"H8x7q1M0KkBXVyAYFJwxQPJrfXGPmShAgKszoz7GJUAmRuzWEBosQNe96F7pnTJALq+SRFZeKkBqfRQ6s6UvQO4ejfRX1gFA7VGWq/35KkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AfjvVGelLUBxnmy4iGQwQKlxfXzY9ilAOW/Tp4GsI0C25oleCegpQNK5ANypkDFAEf4tNDzIKUDKDxqcIAAxQHD+OKBMjwBAuxlxc8q5KkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uDq7oCAg0j/OodaeUQ4GQCLrSexgQRTAeVwRoZHsEsBCjaInfEMewKbvph0MOhTANnrw5WnK0r8BvlPxvcP4P14H4NMjJxFA1kEpWfGzA8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Gxr4E9PnGEBC98J4Re7dPyPCLC7L+QFA6siZ8m0+FcCpaEaw1XQgwPL1CDKsreo/cDQdGgFGo7/l7JppblALQMXHeQaWBxNAQCfF6dzimL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jS/Zd1R2CcCniXfoIy32P+DfF/LrPhPAgvEDFc8zBsDli3bbbJYAQGqgGg/F0wfApkbmR2J9H0DAXsSeSUz+P0q33R7a0xBA2P7+KnbM1j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+33Fa3TUIkCkZJVEreMNQNm7hipvuhpAKrTQ2PIX+T+j0leQJk3fP8jLcmx6ify/x8dLO9fy7b+POSrT7o8QQP/az/tJURFAJsZ6HxzG/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4gz+zvcoLUACAkb8Y1wlQG1yzC8IsRlAkhZQf14yIEDQ63LaFBb1P/L9dUjUvhZAcYdLV/6KFkBlQItCQxIeQBSWd0G1vhJANt1DioxVGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wI0HiPgOHEDkBeOv9hYuQKtDS5i3rx1AcJBbs1+lI0CspC631TAVQDi1YMNDthdAINZdMoOXIkBw37CRP6cDQHP0Qs/Vyg1AP0IPBh8eHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5Nd3+pWEIUDl7BhgD+zxP3/J9g1GOCBA+HfEvQ5tGEAT66OHkSofQEBpgFaF6x1A+8qP6UMpIECia9ub9GEoQFrAzOi9vwJAYl92zWTRGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SxZv9HakEkBW9zPLkhIeQJ3qGLDieSJAWzm3PQkHGkCVrlcGNtkfQI6/GYRKzQ5Aj+xn+GVaGUC3fOegV3IhQDC7sY8QMfs/UZg970MLHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9gC2a0HUIUCUKoy5sFMWQI7l8DIDgBRAoEZB21sbHkAmo3VsvIAXQD7qTyf1RSJABzq7gPYjHkB2fG3SFf8UQM6uLRlUqfI/VaGk0zipGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL6BSe8qIkAxwggCW+IiQPnlIb13kRNA4BaTTQTxG0Bs8jzKN5McQFeTyau/zxpA14qCEsZuG0BUU6ucotQZQK2uiH3/8P4/KdFJlR18HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tUaWSAtlF0CdD7EHWLwGQB2+jUVklRRAprEoUp2/DUArUykUIyMAQNwPf51nahNAH52s91SZJUBJDT6BIocaQE5Mfg2FfQZAO6qAI1V3E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QwgHFh48IUDHEkK4IkTnP9qP4+a1QRtAeK3VCpfgA0AsllUphKgPQOJXXWeSKAFAUPYHEmlbFEBQwm5ylpQXQCpsFrunTg5Aw/TPdYVCFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NZLfx7O6EEASyc6rSP0VQL228Z6rNw9AYQlPomdTA0ApOOoMg4AhwJDJ5aTDBxrAvwWMGpqFFEB6ooUSlCXlv2HJ50XzFBZA9uDMyNMx1r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FHoPQ46xHkCN/cC+W8IZQCyvgGF1ECVAjxhruxC1AMCQYX1sSCwXQDG4N85BVyHAVZQAYWHbLkCSLYe+LBfRP3IELXzSriBAup19YuIcFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oky+P5sU8D876Tn/ImYlQOKW1JNmQgtAQjbR3vUC47/q5/Ktbxb2P5ZOyNz62fI/YuN/o2ysOEDsJ6FkSD0gQKlNyCSQ6R5A2qEx0gMl+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kGVTs7JE9D+AgC/JQqOVP8g17owyhwDA9gXpolCPGUAKlObJHwgHwFWfNoLWBCJAiTXH1RuHBsBwrpIjcf0DQGAtQCzMvBJAyBluKPlF2D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iENnLnnvIkDYtbv44unwv2uVXZGJxhTAXl+yVk+sDsBgMXN8mb3cP8ow7nxr+w5A9dk5eyFSGkDlTVrmsSwUwAD0FZqclRZAnoqi3ZE18z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"b2vZIFxLL0C9N+UQ6GMkwEbQe6Hq4yzADie8yiRiG0DfsUQnuL8owFMYFeZZTgRAu2nrZvmoHEDsIsvyRZMrwPQbSIsLlidAXwOvOocz6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"c/I6ndx1OkDAy+q+ZUIlQCJbBai1ffC/J58VejnnFMBz/yC13aEbQMvPlml1lR9AeCu4oHkMNkAamtUvg543QJ6HWeW4Ax9AfyeC8wfzGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AIkiyNoreL+XkYfAtFwZQCG8zxXSiRxAd6PSdfjaI0C4RJ7xWz36v+jPaoat3gxAOQLkCzfG7D+kZ2x4/owNQL1cdnBWLRBA6ZRAKMJKA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sJY10yBvLUDKkvPVTzjbP02Vt3ZH7CHAo6raZ2gCIUCMvDvWy/8UQKI9ZboX3AHAnk26M0b/MUAYdXJJmFsjwEcPJewuJiRA4VyA4H2ZFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5NkD/qO75T8q8Cxd+dj5P2KVzvlS7BVA6FjI3vuj8T8dwSZWTOUIwLBBdmqh778/3uKH6JYr8r9FhtWd+iQcQPy+jZ5nUQpA3jSHq4GB+T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pStFoA/WAcDbQ30VnukUQIDDa8R6Msy/hyZimKVqAEAsgNhqOB71P3eX5DLb1QtAq2QlWStZEkC6D6G1m/ENQP41yvgYNxFAqcuhHrEjA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"INO8XFF1BECQP2QtMb8MQIjNrxTENhNA0wwbu/tz9r+6qRqw0bDJv1+QjDyMmBNAIGPZRtPz9L/vp4XmtTYOQEIPWjdkNwJABsgAp20WBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Q3IqIY1QEEBHOt3G5tTrv8XX6d/bygTA0iBIn5kiFUCFt6YdjUQKQNHA6Px2IQ3AMxSPg2sTE0CHgOpzctcBwMRMJ5gNeQ1AsGqCBdrGs78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"seLJbH5bEkAyBp0iGgbZP3KIgwarz+6/YWWO6Lt/E0DCdHSdiUoHQC/T42aX6g7AZI3MEYUaAUB2aGYiMOjkv3ypjL3i8hBAr+eQQK5L5L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mt7U4lAEK0B6qTMLKPQuQMTF9m+RhB1AXpgDLBLGLEDT7MlSiBsoQHvHHtQ5l+k/X/qrZ53/K0Ax7ZUaywkZQNOKEhtraxhAB9kjFU5hJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GFvC0oGkJEC0oDCPjNwwQP5HraefaCJAnY5/aqdKL0Dk8LFmQ2ssQCfaeBMSpgFAzJK9z5jnLUAG6AoBz88bQPcIsOHjDCFAaTn1FJmFI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vs1dmXcdD0ARUMGuUGYlwOBVABUSdhZAu1bp7I8OEcALEXCJOWEowN4GJp4CdxNAmc5NunUyIUAnWeV8ieMGQIKQBvHYTSRASDUdjiRO5j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+bb1M9wmI0CwUfMUXGYdQFVeQE8fnxNAGJG1WRldC0BAT/7svyjxP2gkqTiFphvAxbBZ4UfvMEAK+zUQn9IcwB5CnQ9C4iNAKB/UuCvg+T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iMaGVJ42L0Aktl4hHz4YQPgXA0HHtSjAcFnz+qcsIkDI26FTGYDqvxpVKau1fRDA99N80+TlNEB0+HYBKlsswKkkvqJ+ey9AgcoG/S9dGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tTA1BtfjN0BpHzTITQkLwFd05uoP0SLAwEbNT41TIEAMxdetHpTQv4+XUVmmIihAQUMKfKjwOkATqOSrnQcKQHXKyZNeECBA5VLahyxHFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CggudLQlNEDNPy9tkcAewCc/BvLnSxvAox0irdpxMkBePaG/qt4YwCQP0Np//yFA3X0M6zvnM0CWjCuWeXLUvyyi4smQNDJAKlMaJxk8HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Nx+1gBPcMkACwpZOcCwYwC3VbvmaxR/AG6NeF8JRLEBO3nBd4iEuwD62ehoymCRAsSMVctAgNUCBulMY7kcKQPCFdF9/MTRA79QW+nBUIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZikuiZXcKkCc2LG23+Xyv9efzBDuzzNAgULVPh4X8r84dZ3wkR8mwGPe8AG8EBhAZFqfmkYiDUDv7CUY1qojQCwJXowdRDBA2iruALhIE8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pUDQsZa/7j9jn2bojwEAQODuhEXTMh3ASzWPf/CAEkDFAO90OMcLQOKzN8ibTPE/F7EqZB5VF0BMCoy9dTLQv4hGr1yx1BFAYB88jreb/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WaGahBCKCUD9BceDFsbuPzBu2iBmJyBAe5qqyiFp/z+McGfMAqPdv9FunbrVf+C/Eo6C52WQDUBgxbhSkn4PQG63iCMYJgVA+VE7S/4FEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"utk9ZqSzHUCsdEJUiAYiQCoI/RjKzv8/T/YRrUwTHUAEkXdSalYVQO45rcNBrxhA39x4snsSHEC6kuw+pFkXQFNfl7GUDg1APGl3dhvxCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gwX1WtQPGEBySJvPbhoiQEp0LGLv0hdAQUO1vcCvFECYutfZoJ0PQGBoLq3r1LC/PyrS1pruGkBS/VKj+g8iQKtTaFlzKgFAWJV6Xr0KHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Uaf07bwLHEBo0Wgv+UkEQJOw0mIsrBlAx6idVVCKDEB9nMKvMMgaQAMpk9f3nglA5t9a+Z/WAUBu2G+JTUYcQAe+u7j+OAtACa84JeO3A0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qbTQ7OLCI0AaoKi/tSjxv5tt5z5Z9QNAZ+6mkb/sFUCXqIsstogGQIhYunXdMR1AnFQPiq/dFEDnm+Rh8SkUQA95xp/oURBACs3e7w+LHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0sOtC+zZIkA5HUhHkl/mv4/4pNPlqARAqDdWip1hGEDRDmILuLMCQDtI/VXzRxxAq3fN4bEcG0CqXaMue8kVQEzNrc4Vvw9A8LVUyZUMH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2pow547FJEBAU1nwFO0RQDB4uFtNGgbAMcDyNwWJ+T/mMoanmJPqvyg9J+bWb/S/vnOOo2nRIkBxV2jP+KITQGWBL1XUiCFAFJLQuCzf778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VLtMLCUUE0D43+UjhL8UQCS0iAQrMtg/ocdlOdYrE0Ba3y6rmmf5vyjFQ0i9yPQ/npOQtF7cJEAOHBeqnuwZwC86mvEY0xJAqenlr+qMB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UmfvVpFzI0AxayVwTIQcQAIYVByjtyJAAE29FCI3JkBqjieySpcMQNTEJpc4OhhA4JGrSt0aFkALbBh238kLQIKncxfSzQ9A8EwY/BDSFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4t/SXJKRBEB3yHaENmAUQLbp4//efPU/W6BrrO8JEEB4rtvWIXgLQAcitRRqtQpAhOQUp32pFEApK2Jf/q0eQDN8pHgCYQBAulXLi40IEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uydyyHq/FUCP1r2a024WQBh/APhRihRAiHhWs/xTD0DqttQTpZf0vxSHRDT06wdAexG4b77OE0D80vPOEqYNQO+3AFrAYgZAOgFaB3LTBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UDfmhUnxFUDtTUWw8HQNQGXohYr+pvo/1EQhq3vC+T8Y2aMnWybTP0pC8577ENM/5pYKDaRNDECgH3ySEU+VP7K1PdSUIwNAbWZYB8kECkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oeYgUHT08D+oK4bg56ABQNZZAJBWzB5AZ6HeRBU2EED8S2xaYPITQJg/DNNeVxVAm8loLM+5C0BO063g+CgUQDwK3lMwZwVA6w3h3DDSE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+uXNQKPSB0DuEcg8ExsDQJ0ReizKsyFAPlhPID9rCUBOIIk0Z5oRQGajWE5xsQ1ANX5u3ADtD0C2CVCp+fIYQEUw91WF9QdA2gTdaZ0gF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/3FvWRwmGkDzetfUmjIRQHgoGIgE0SBAsgC8bZLSEEB2wFh0Je4pQGTe/eKphxZAxspOO0fvAUB6qf3kgjkOQLBYRDgwTQ1AuE/HzRGVE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VUNK28FKIUBSPaLHKUcdQNnu2yORqhxA4hBXlQYiGUBbFWWrjh8jQJEggAlMNBdAxUX4ANVIA0Dx5BKXPdUBQLwOsI/2sA5AYAhPwEiHEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7DxSW7XPHUAFPxRt1MsgQE+ltbBd4R1Aq6585HFpGUDQx+ddyRgkQJ8FGM5ZDQ5Apm2nNs1U+j9uI/0eVTsHQEK3RzX6KBVAE9pkfrx5E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AD0c3lcuIUBXwfseIc0eQG5WqPSjBCBAQWuz1/X3F0AJudITFtEAQD+y7YuBYDBAUoUM4tBrKEDGryeVlDMrQFl2eUx8MxVAhdgVFLeCH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TKvz7Qiq6z9200GZmqcpQG5+dt3FR+U/CSu7O+YHIkBaqD2SfvIfQEr3R8Z8FAJAD6Eld1dDCkA8nzLyTT4YQDTt90l7VAlASNkb/U4EFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aOxofWjqAUBGrv6Rks4kQBOBvnv87vU/dA46Fx2cG0DMjhnD26sSQOgug8hS7gZAgXYY9+/sF0AC8VGmKtsJQNs5b92Q8hNAwMfex4weGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"caRHvqrfKED5a7pFvlUjQIFDg2BGByJAJA9bjuMlDMB6Tw09cOEaQKxZUlZVc9q/UCAI2TAFLED3cr5Hj9DhvxSg7/MPsBhAWsRA/xkY8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EvqAWr8IIUBFZQ5rsB0lQItkkyDN3ek/ThWoroozMEAeA6sLiDr9v9hLfZMN/BxAtID7bEn0GUBWR1oCHmkOQGuMGcg76xhAEdVgnqHdGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7EI+Mwi7IkBtPw52cb/yv8RIgLYNDiFAGh0eRpzVDkAoAujeNBgfQIBErHItqxFAVptxL9DpG0AMT2X4sB0XQNK5MrmlfwRAq3vf6VhcFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qwdLra3yEkA40RLKj6vsP9Cep2t8aQhAcGbwKLJJ278gMC5mYasUQBCSGJWv8xLAicGG3TyiC0CaPJhhRhUbwH/kWiEHPQpAOK0u3K0z6D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RYMxWypKCcCRvxfuLBjwvwoOT6IkxwzAtablpiiJAMCr9WNowkwiwKXc+089gyBApMz5DU2u8L8etjlJw9YlQApHT6keeSBAm5VabjDr8r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8eQWr/eKGEAKV7g/in0dQGdtH4yugRVAVFusebbuEEC2iBg0GP8eQOcHfKHovwDAiBLof3zSGUB5b1qAWmwRwNcUTWnxYwZAh9ZjxkgzEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oefA8IbKJkCQoDLLl30UQE4UKNqAgv0/0AeYqJuy6j9yhovFQEgBwEwYYQHpPjRA5IhTDg1oH0AROWzZVA04QDJ3wuHmZiRAeP7YqofvE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZyLNIyTt+L+MNz5/QRvpP4wZaf0gHv6/bDCOR0dqFkBxl0CBG9IkQAEbc5/eTyjAnkyqti2xNEDqe9AuZmonQKkZhwadDSFA8L4TbsUTEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oq7hZ24xAkAKJ8WCll8NwElX7pS6D/w/llFdGDYFK0ACq875WRQhQBC4WfdHYCDAtbqsU9fuLECi/yubNkgmQASxeLxXkyNAdAJwg1hU4r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"48N8lVqVMEAAd/LUOpEtQAVZh4tc/CZAJvMMvXJ6GkCnK4VJEO8dQEZlE/uN9ipAUoXz28AJIkCsTby27+4dQH3v39r82hBAWp1D4FLDJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wYeMAKrUKkADK+fJONosQL80lKvb2SxA9+BpoI6LI0CktpvOz2QRwBFfPaF9UjBAVPQhAo5yK0Decrom8+srQBPFa86r3yBAIYk6xgZCGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GBXJt8uGM0BSCfr5OIn9v9YFaJO4bhLAXC2zr1heLkDqdOPqx+r7vwLIhGqqyx1A0FWGH7xVEEDofohLYk0aQOFqTIn8TxlA3KIygy4gE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"c8WR4wpbFkBPitX7d4QeQH2vsf5amgvAP625S/LUH0Cl3kjY7couQEMAZZvNcSRAoLtEnrEWIEAlkBqPw5YoQBBDhU2KuhRAbvcDkq5tFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EO85VVEIIUDKn9mhCxIcQDca5urpoANAzjbDl1uqIkDTGvsWA+4DwCV9nnq+PBNAuikpIY7iEUAQQH9LxXD9P3z3gX2AiAlA4nnwXaGYCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wzssJjb6E0DerP4EEosBQNBCsiRL/g9AdJhOfLO+6j/4I82TdDsiQIoAiwwkcgPAqPyF2myyEECet8gRYIUDQBHapj9IpgVAXcB4qy7KDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7f94dYjnHEAa5sgIhVf4P7sCDjWfofY/YQfNDuekEkAGVyeX1JQHQB4UaRsD8gZAsanHsoHeFEDf2X/HYhn4P5n5zvatNAZA/ON4wF0PBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KPo+2u53FUDMF4RL2nQGwEOsxzdETfQ/7AcqnHC2FkCg9x1geVkTQGzOaLYbb/k/8aoIlQQGAkB2GXA3AMz8P4F96TH+dwRApCvy4gkuEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fg9KcDhJ4b8YeiiYhHUBwDoQx8kdBAtAiw+ZUs4jFEB/+EYaowEDQH16x9hx/w5AIs1e2aXm8b8/JdF4AKwYQPauvaF15BNA7/WpTzkg578="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B373Tq/mGEAFiGMdwlL9P9awsWwWZADAIkPGgXYDIMAJI2TiR38BQLgNvvtJs9k/F6esA+uzFEBwsW3gwobyP8tpFITh9BFAO17RePxDEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ofmhYA67G0ClzT6X/AgeQCAiOFWGExRAirU51jZqK0AZJHbjx7cFQGcmU9jzHh5AZJ+lVPJDJEAamyAhrR0iQFt8RZ39GgRAGWp95FHxIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5EKZwNUEHEAA8G506HMZQNQcrF4ekRZA49Gcx2BWK0BLovU4eQUEQEOD65hdMSBAsor6+3vVIUDdYZFOUekhQJhn8AxhfQZAF3eEfwG2I0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ePFbv3kLHUAeZw+41TYaQETHQOUC/B5AuJw2gZVaKUCy5Dsx6UIQQN6VM208ESBA6q0pz/lYIEBcqcDQGMIlQOE0pNXWhxNAytaIxDGWIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WXBYc8V7LEBKvYJ2dVYfQDFzM1u0wR1AGHnrvmsEJkAqraGpWk0XQFhrkF+eIxdAq/JCtAHCFkCIUh9BmN8UQJ/aCQbX8wFAmk6kdJ2/HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1odfTOzS5j8zYdcCmX8YQNB9ob8TQfA/o1dD5b2Y+D87njEOP4ccQLGUdgQ8vx5AAK6wOW6TKkAgrL+vo4ElQJSkXwHVPBVAytZLj3x0GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yM8PuEOIMEBT4mnNhJEdQOY77FJJ7iJAt1a+TtndKEDkMeY5b5cQQN15zAtksBlAXIEZ1BRvFEDNKgEb7mUbQJpI8iI3nw1AATFfB1wHJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nmIV/mi2GEBHFns1duAJQMw+gEyUUhFAKAdmiGyaIUDL3xXRrCEiQLD4mh7+9fI/1rbkmsDtKEDpCjIBvRUkQDtmLj9ANQ1Abzs2VzIgEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CYsdO1RGKUDgMZv48g8YQK8LkIyixSJAg+wWVxVII0BDBPdBWnPxPxRN9tkIABtA0byuBdnYI0DppMlhiTwjQFvU+JzUQglAMLR4g6nDH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/tX1iYEKJkAd90/9x+wbQOpO5jknoCBALqveB6qfJkBsbjoJwzL/P1K2tjP0yhRAd457hXxEIkCbbVv2pDQfQFG5kNe5GQVAMb5ktcVCH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LZsvgeRJ/z8B1ZwR2/YRQM4rbssaZQVAvveOdYAE6j8J/nSj/TYcQEni1nr0pyBA/KGQhpqzHkAN9NQE/HEWQINIFhYgIglA6ioJQZRPDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Kulkq79a8b803LTSMmcfQKVRtRX+bA1A8G+W9Vh5BkDXJHD8MmEWQNHTVwnpUBZAn8YC8ZFyI0BNbgIg+dEaQLfvjZ5Z4ARAeiZBaoOhFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2TjM0uCpKEDQsAuoIsOQv5M6EsHDnxdA2LdXimLoG0CmbXe9M6zjPyg4J7YCSwRAMDtGau9Yz7/lghW4WY/8P0vyxCrOvg9AyElszfzTDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8xF65FZ8HsDjc0eKqxQNQAopBvJv2BvA/nTgz820FECtMQ8DsbYeQOrgrhGkWug/tAeBWucmHUDGGy+o9h/GP5U5kuFPzhBA6kHgE5l86T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZBkPoMhsGkB1UfG1z4wcQG0IiMnEMi1AJLxHnr1ZDUB8bwknqhYSQMS1Y4fhe/Y/NNKY6zQAN0B556TM2qonQGDd8iYuIxVA903o/gy1IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Hn5wXU/fI0B1/NX5w6gaQNG6h5ZNkAFA2T7SPLnJFEARKaFksFcQQJ+5SNPkjx5AnEe+8G4u8b/2+Y3zP+cQQFRdBNefuRpAZ3k65UkiBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"puRdp2acIUA1gOhpnd0cQAq16KrLWAfAoYNhVyTUHED/Xz/h/moBwGBVP67+5QRAX9eKj3b3FEBUOuoyG+zYPw0hA79T0hZAMMOhsCBo6D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ycZ0Fz86HEDqHXrqjSoLQA9OqBQl1BRA8js7s178H0Dp1ZbH6GUZQCCnUbW7+cU/DbpmeAuJIkBbKSw9QYwXQC0RJDDozwpAFvRfh1AyGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qMau8f7ZDkBSn3v9S5gRQO03lhtZ+AFA6UrQoBIa/D+eB4TNUK0VQNqmpPW69BBALM8iOME9IkD8wHkWelALQKyjC0RW0wVAFtDZb+FeCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0QnxQqagGkBw1lafQZ0OQOK3CLWoX9i/SReRqa3/8z+Xb4dlXe8VQA8lpBxqOxRAAa9bfgG+GkCmEYH8bYL9P243DW3q+QBAuI0HNBhMFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gt8tPDWfE0De4P0kS6gPQOYHIwZy4SJATNcHUiYID0BLPpt0GdD8P84kz8S2MgZAez1qSafeEkD+SuIIx9QLQPxUHcyDvQNAPOaJP7RMBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LTmHtwe2GkCIKZwNfwEdQAfQ0vgMxRFAgF9d6IQlkj+K2Xi/qJYAQHrqAXZHfAtA9OKVeejIDkApYt5d+XYIQDpwUfTaUgNALqtjqw2oEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"c0cbsbFIHkDC3NK3xKsVQHyVO4nANBVAu3kp4ENu+D/wd+WsHP0EQD1AKrHKpAhAjP8qF69xD0AK1FVf9/MIQI/7UzUIlwJA7b8z9bLPEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DvSCmAL8G0AtsvVXpHcbQDHL/4Xcih5AEK7OdlGLIkCLubzg4zIdQN2rq7Xskh9Aozd5cHpmI0AUJasd4oghQOBiEhrCGPY/iAykWLEJIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L/frP/RmC0BID3E6IOARQIWbKWwJNhVAsXlF+VWlG0AzG+HPniYSQOtOzASnkBFAOETavRUIFkCyHp23tJ4ZQIc7nQe0Tfs/7vtp/9UnFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3c5Bpt3uHEDqSLD/1OQQQMRditrgphVASnCQQuRU9T/bHE+vOjQKQN/3jdZSMw5AAxSGKXc6C0CAMonxvwTzP/g52FynXARACc2gpLKtEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7C3d/kn9+D/yPW67l5gFQCxd557nVuw/biuhQBp3/j8J+UGEmnzpv24we630OPE/YhvKmw5D8z9aM1JVx7kZQBcfZmO1HQJASqvD7r8u5T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mmXyITW1D0CMlONAkw7wP2j8ahQjjfw/ttVC2u/FC0AY+O9xs4z3v8USr02p8fo/+qP/HUkpC0APXQYmiNAjQLU36B2MawlAcRugudU2BUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dPcafX1pKEB/hi/uzIEsQEYvp21DUiDAMI8McR9BIcDRLWDAEvEYQNRZKa8el/Y/p+9s5Y1AKEC/QvMRIDb9P+SKAoyrGhxA2ssuOheiAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sun3Jpa7JUAcYaOGFyAQwIcerU23/SFAqUz59nrLMUDdgzU+wdUVwLQS28xOPRrAb7Ddc/cqI0AUFRi7Vj8GwMeDr3K1QS1AscrfoAcxDcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dm5IUdkmQECTHai6S7IxQLrSvlJkO/e/oOZ3ssGExT/tgHBx9OUEQGe5/hkfVCdA0AZyBO1CM0AI2VI8BpgnQH+uFh9+LyBATvpnEIfUJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lTcSdf8sOkB8FDz0BD0xQCRufA8BSxtA0V3HPxrOKECNyjIm1kQIwH/LciZqdSxAgizNf8jgMkBEs+PgfrkJQBrl+GS+kidAb+ZM7AouDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kkLmGpPOJUC0ECzswgYRwMlRCut3NhlAXqTDoIyjGUCIOxXk9ecqQPJMgqyW5Q3AmFfEaxHqIEAKvfcNzuDtPzfV7NDqiSBALKZVclWhH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rKpHap0cL0B/v1GeTc8yQGDIczer2RtAonLXF0/jKUBAOd6dKOH7Px5UpQC+bCZAyzdHtV6EKkAm7T2fpf0nQO7V4J2m5B5AmMEbUKwKJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jWyU5jk2EkAUgHA0fUgFQFZ+WESHJvk/sARulhuNDUDcSxxUnvMVQIaiz07MAQJArlX4gBaTA0D0E224YysDQFIE1Q2a4fQ/VSHSTW4RDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lUBxfRHZA0BdXYWTXZ8dQIz9cIdb+/o/Kha8slzHGEAEEAW2B/b3P2C1AD+NKyJAgyeZrt9IH0CK55AKT1QVQM1BIcDYqAdA5+SeLN1VEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pBGvzR0MG0C2dYv4UQYUQH50NMm+oRtA1nxZuG2IIUCmZlMROY4NQIWC/bgIVxZARRnKsbhwGEDMkeNIYkMWQICVo/UByAJA5mlkY0OtGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"z3nszXpTLEDqAHwvAWMnQMjW9oKuOiZAUn1vsxpDL0AE7s0V7xwpQCBhWKQqhCdAicNQlQ4GMEBZKfYtuWsoQEW1RhmVlv8/y0Lzn26fKEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h5uR1KnfJEA0PcqO3R0nQEiB6ugZ0yhAHmGmz6LwKEA0qe0T3rItQJWkHP5LRCZAYcsFikoFMUAV9HDoXoomQJEx09RqzPk/bRnoaQp5KEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B73DeU1pK0DKlkKY30AqQAATcoWySh9AUTGeiPwNJ0C8KwrBzIgvQJLTURcvFyhARBVTItGRJ0AWjIXpYJErQKbenzN4lg9AiaG/qk/vJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lIxhih2tEMAye9FHTnbiP2ysWZ9g1SDAoynY7dbEAEBjz3G7ki31v0iP7xYgk+S/zi04O4v5FMAgh+DSRWYWwI/4CMInRA9AVk3QzDVH+78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dkMGrJX+H0AXC2WhrIshwFfc881jcAlAT56VZ3Dj5D9ElxmBQqThP9ay9739kA/AEjlMyDKwG0BWtuJL2Jrqv8uzs2d9MBFA0ggUkuwC9r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KCqgtsIvEUBhbYWl/1ogwDFep05mwRNAPphxkj4XEECyaqL5oLv3Pyq3/wJzlALAbdInIzmRBED9uShOMYsYwOVOxV3JVxpAnHol8+uj8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gN/MsMF91z8Up9Us7uQlQB4VDGvvsRLAqYczTTRu679oG9E/yeQKwBxhMK53URVApwzviLHABkAV3c5LPG8jQJAQG/0BzhtA8ktY/Oca7D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MVTtRDLALECsRvee2pkDQICskZmY/SJA4Cwn6eVxI0CCCBOgzDsnQLlqfQsBOgBAGZrzD5wGKEBAHvpAFpgKQLeFxcMUlRtAk1vSZT4aIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YUtnOyugHUB5S/GGgzMwQBad6HnfcwdAFFM9zAJiKUAzRSxDnTYEwNgOK/e2xRVA6OrTJ5frJ0CP+gLG8+AlQBpEMSLGnyNAMoEH9vmpG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SbkCeMs8EUBaw4fvzqkXQJSM297m+gfA6M//A05pIsAXAL6TBWwAwCqn2QLEvSNAoBVtxZ96I0DSNMZEVXolQO5o4HLZBCVAVpolYwHK+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UH8NxCzFEUAIAhGwNF8dQNywXQk7EA3AXF+etyYaI8CIYOpm+x36v1upGfanPiJAQbhTuXooJEA2lMzv1qUiQNKESjIvkCNAzVIkbNtS8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7vHWfhgHEkDLWHxtgrYnQEzZ6j+9zANA/Este9AcIsCnVpSoEncPwGzTlAxNISdAb3Z3PQD7E0DwKLgyGwjIP7GOLT02FSBAl/6zTJfEBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vhtrQv/pF0ArLOhuBIcUQN6ddMH5F/y/m0E7tvRIJUD3iAwGbZoMwABN9JvmiYW/7HIySXe3E0ASH5vcEeLSP2BgSc6fzRBAdJ8cJMMo/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JAg+qlyaG0CIMktpTqsAQI81wpSNkBHAcmQT/buAIkBMsi/0QATRP5SI6FiBFs4/YYAytPuBFUBt6s3gHULpv+/s5Se5eRZA3C2UFG2c/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OTKr8ZXyFECFsacVn5cZQK41XhRUdRJAuF/ClPTM0b8I3ASm82UfQK9N900q3xdAI4OIkpNKHECS9pCdiOEVQIUMm3Jo9f8/ysZRcfVVEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nSNim8SCJUBBB9cWziUVQATRiPlVfA1AZiv0SdQZHUARSbcMedQVQDxClXaLOwxAVmOZ+LbVIECwZqhuLBUgQGGtAh4YpBBAZsf4gQvBGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6x2u/I17JkAt5zW2L5gaQEQZyECqr94/IZBG/ys5HkA8n4mxERgRQHS0EwKodAxAdI95NuGgIEBjhp7IkdUlQHcodEf8IRNA6478G3iAFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hdZ76pDAIEB7vl5TW+4aQNbR44gSKRtANpcs+lL3FEA/Ms4YuLoPQG5SG2EsQA9AoDkwSRa9JkB+ShMs3U4sQI5DrpMBUxRANtnBp+1PFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZSTI82uhJECyv40L0JQmQGzJ49PrHQxAqeuUzyCkGkBvENu3MIUQQI8eeTDzLBZANblH/X1HKUCouKOrP7YZQFq22XV8cBJAnwKZF62hGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NE8eTEgZGkAwBJa0uiUTQN/eaiD6rzBA518pgxGq4j+tSGPSPRP2PwKrDtI3uP2/A+WaIkjQGEB5jSQ+P4UJQDXSZHSBSBFAlNr5F54bEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VC4DlvLfL0CG+hw97S7xv3/vGCa46jLAfwa/AEaFIEAex3uI/y3Fv43vMalHNCBAAbn5l1NCFkBhn8Bbec/0PwFiCHklgSVA3s29Y73CCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HAu0lDayyb87DJ3bOAooQFpu7lGxEzNAA2e6E0khFkAL0dsTQOEKwNzZr+6B0hHAZkJoMvk6JUC2HvrC4D0nQEl3cS7cVyNASxG916XF/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dUF4qYLZMEC82lM1OiAbQIfCUxFVLwtAKYjN8c5qAUBA28PvbWEgQNPaTC5sniVAHqRRAd54JkBRX444SXMfQI5trHdNfQtA/artlm8wI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"33UW9DsGM0Cb403pD1MOQMAgQXi+UDBA2Rxx6Zw2I0DYfBCctM4KwCZ+LF01BA1AdYfwehZnI0Ds46J9l5osQCh5TKSOqB1AVOf+WG8FEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UQj071Iq9L82iSxbmXX9P76Vu9j6Zw/Afn2SgdgaIEB/N440xRkJwJyV8T/NTg/AYEo7PqY7KkAP2TDKjU4kQMqISztsnyVAsYECifZVG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6nJ5njZkPUABUfrYHHggQLwXdTey6wvAjbIRBz4BM0A4xpwMs0AYQPt2U56aVABAFY6na+/RJUCKwIssvUYAQExMMspC/jBAJ5Omo6qg/L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hBqV+MDIOEBYUnZN5075v33WAEVyOzFAcGveb0yRB8DIyUpuuy0ZQKVGktQndDBAT3Cl0v4vI0CK2+q8LBATQGt7PwjerzNAWIJVm8CvyT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dTKpdlttJUDureetzfT2v5tlFsp2lhzAgjUzse9MCUBC+0rJl5wVwOMsBaUAbA1AcNiWSofIGECK+03WozcVwPG1TAO9txNAUygBYc9wGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PcqisNeAEEAP5qmAYo4mQPTu7Zwp3RZA0EPfOLkuAUBxKetdRD0cQOIlno6Jxum/td8ndb6vIUC5TQmWaUguQK7ilFPx1xBA2viNcR3jH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0cm0XyVKJEDnWLkbbJPeP+J6ccZVvvk/KSL+2inaJkDGlW8XxlrzP1fXtHGv/yVA9DURginGFUBA4VqRHcoPwOZXyWtWXB9A1WBlyjE/FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pltqTNxqBUCqR2twiS8aQOBYbqaWOgNA2A9D2YXV6D8GEVCD/TAOQOiNNETntsm/9i+XGhgOGkDa7WhRpSgiQDsPUxQfkQVAo0GA5lfwFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vN2gGlREGkBx8VI5jzMLwAqZpVzmEwlAgv3tYEGtEcBFEl8DD/f2P5juEe8qheW/oAfDUCCjwD9+E18jWGAYwLNuIcPJZRVAyDCSnGuo9r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WGnVb40DAUBTYDnAcaoWQLZn3Oxc0gjAyq65PezPF0AKWx0wCj7dv1G9iGIp9gtAPhADmRX5H0CggQkSrPUdQJgQwH10YghAT3b/3esMBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ECcrL6GuFEDQBUl/G/gXQEDnG/80cLK/FvbwJBIaIEC/me3PquEVwALSfMFwEvQ/TaLxrxUME0BYWoYbuQgCQBXDhuyfEw9AEKDUO73eE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"io4v2TzB7j9AkphlBsLTv7Pa7Gz7+hhA4w5pPnruGEBlw56Srg8UQC1wKNeowBDAsE16GKthE0BFAcTZFIYpQC9MxzaYvx9A/hdTq3P+6T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sXdxYgu19D8McU37iFsQwFxrrJAfhBhA9Tyoluf5I0CfTNaEKfoUQNzMuCNE5/C/Lp2RapxuIUCl1Nqw5SQhQH8/B4JOnhVAtz0Ly5FQAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CnPJXerj8T8D+TIxMgUQwOBvkQAzzQZA+VMMRqKEKEDUcJo9hesRQNYoeJatTOM/7TvufO5LH0BBIZcZ+rwlQNHIA1HZAB9AhDTNwYAS9D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vJmMUR65+j8VGzN7H58hQKPrMqhC8Po/Zo59x4dsIkB9Pj5XNi8jQEiZZF0YzSHA1TdzUD/aH0CVXGF+RkomQMy2lTgJciBAC6vo/3WwAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sF9E0piEHkAQKKXuanUTQK3WZyFB0f8/0XgVIfl2/r/AGjoWrcHzvyJNk5ScHxnAaLu9RgyBHUBRxwmhrDkeQL2ywDHD4hVA+fndrNYCDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XwWnatgzCkBsl6yXeKD+P49iUDL8uB1A4SnZzdF9CMCAXRsADAoHQFfZYBfXCShApVyUrG8YLkBlVoj8Tt4fQAbEpAPt4RlAcRpFwrIoDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SnZaFyJII0DBQPMrVgHwPwi7cRYZYR5AVXJ1+fCiHMBElzahBmMcQO7JTqwGhRxAI4/DKK8FH0BqzrxKXOwdQK4m3pG5Ih9AHVAR6taYCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"snLk/8aqJED8QOQXs0oQwFFwCAwTrQFAYPGxW2iLIsBsDg8FSbsmQI58Ys4iliNA4wmgZFwQE0DuOVlkB7UVQB3CJrLK0RVAK0unRcspDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kDMUVt37L0C19dhCGi0TQLUaiE0LuDFAYCDzK5LV8r/QkREbVZ27v1nHfwaFmi1AMvfvBfhZMkBSVo9lg3bvvwKq+9zErhtA3ihUe4UJGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bqRhZlUMBUDbYwgslFkiQDb5CDqJzwXAcFB+CgqnJ0Cu6ychFVMbQKNjHvzCLBHAWMJRn/neBkDM6/OG19wnQDyFzvWGSCVA+Bd/rMnH9D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EMLcU3RhGUBXg7WX5+ciQG7ueeY3Ww/AYtgvBZJ1DUDUnEC1EH8eQJDBtvvmZhvAPP8OdqnJAkBU1hR38vjWv9IBlcD8ESFAItSjzLKFEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Va6VTks3yr9Y3dsXF2HhP1hNvo4UihFAJBr1kpZhBMBimJSfnMUSwPprOZB0yg1AdUdhyrPmG0Ayqi6syGAJwGLboxV8JBRAKx/GzswlA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"e7tBi+dQ8j89jCC8aKcmQI4HbezGfus/saieLmI9FUDW6NNa/eDWP745GWTkY9i/7mlMYBfBM0AF6ULl+oABwKn+cE44eCFAUE1IG09A9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XP0sDibO5L+8SbNzx97hP2nq22khexTAnbhnJf0lJUDSH0RmyY8SwKZuyjhW3RfAMJRbrAgJ4b+B50SXr27wv2458CbS6RxA9/4xUe8m778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JD7hbZwALUAVsWZnOmYhQIvwghKo+CtAlIsWmCeSE0D0eK2Y93ghQBIgAuE7didAhCXLTF4DI0BJX1uQ2MwjQBHgxgOreQZA56uevbi9IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/i/4CQk7GkAmdwpAeVIkQGSjE2R94RNAfAj+3OmmK0BVk0jAVHcjQKgHIVjt/hRA/QCddqufI0AKqEQu1TgiQHgx+ahUnAFA3EQn6KamG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gnI8cX8cHEDerOlMvPwYQHZSoIcVGyxAxo3UK0tBF0CUk683gmkjQJMBeBgLyCFA395eZVSpG0D4arBBoOwhQFF8rUv1PgNAhXFbf67eIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SBdtb/HTIEDY2Bfh+BUhQAJebCreP9c/oYOiqm7YJ0CIfHMY2KgXQKJutXgPgBtAg+JaKytqJECB8LZP1wQbQFcBaioRKAVAw8C6Di5RIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tL+eT/ruIUAtzSkbBakkQFb6pViuN/6/Sp5eAh8BKUD5pIN9jsoRQE5zfOSYsB5ABOUuq3g+J0DjGeXpIlwdQF9l7y/KXwxAoDQ/2HhAGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"b1stxcxAIkBEh+cjAUcWQOx5gFvbvSxAKG1siVxtJUCMLEiIVoMdQFghVT7kyRlAGGKWEhWTIEAK8JwOlmomQL/UQLzmbARAKxS/grgYIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qnU01UoaGEBAkQmlQZUYQPgDz0ZL8ypAgKbdqJr1I0Bs1/QUPcojQK9GP4K6ZiBACISPB0tUIEAzPGWvMVUnQLOYflxe3QhAMMWaoo/tH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2cdD8LTVHEDgqgGsClcbQC6R8wZrCilAIEmhLl/zJUB31wt9y2smQL3QzpFbzhlAz6GxWrhAIEC4dJyz4rsnQBvHZyPESgRA7XpYO5DYHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8rXIlhzQJ0B1M5eUtmciQEZX92i5fh1ApobvzI49I0CHxZHxE937P1prsvChUS1A/niSMDBNJEABnHvLjfwoQK1B6oFsNg9AqqFxICEGJ0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P+3xMJAtKEDRW5MWcYYnQK1MbddBRhpA2uW3MqQAJEDwfrQVUegqQIa6x8OMORRAcTS2X4moJEBpnq5h3MwhQIUkNdNYAwJAztnjuu/bIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gmpZMVnwKkBWQSPGcZAfQPKaScP0NR9A2SQWv1UXIUB7VRN6Z24kQBDopfeEASBAmFRd5oHDFEAI/PQitjkmQMolTE44QgJA3JoshJdhIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2hcl+6kwDkBiv+S8pPgeQAKvq3NalR9A7YXlODnpJEBKxXD/2AEMQOkAa7uqURpAgconYGcgKUBQiinjjk4SQKQ1I5l/rwpAe1Z8/pQHHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6OWXzkygJEDBj3uS+BIjQNv2eP+zmhpA2LQNmC30I0DcgbG0MkwJQGQy8CIJgBpA1iIjzADPGkBAQLlErY0hQEJLdAQZlQlAQjKSH6BcH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MjvDRgFZCEB5TzEB52YTQJz4PAN+DRZAt+3GwJN9GkBDcPzZ/d0gQBkAtbPZgA1Ar4cOZuu3HEC7e/VNiIAVQFQuLNKsSAFAvGsGrMfaHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NqZ54azOEUAcKilGOoIBQA7/wU82HAxAkPivc2Yupr+gnaGoImIZwPwHuEsJHgBAvguNGLSfBUC0TxKkdDrXv4Kj15tvvgpAzOuQtMwL778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SGDah9ktgz/DryHmavgUwI3ZQmBaDP2/4Ja8ffGWEEB8mwiaLwwAQHwGfnzuQfM/zJ32NnkKLUC+yw5BgwQXwLkqCHeaPyBAzivCpb9YF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3EMHZiVeJEAQDMnxDrvsvxezDwQCQ/O/tI1qK/UAGUBoh8qw96PQP1oi59tgIeA/xdFj4TsvAkArip6wSdcgwD7ehRIi9hBALv+/F4S0AcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7FRs1XlVF0DLf1lv+D4oQGcQSRGBjhxAhQgqReOJEEAOhXFiArshQC+yy7CZciFA/3Z6bB3yJ0D8Drwwx50zQGqUqyUFzh1AdUTM0NHFFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oM0/t4tdKkDyRpiAHu0QQFXjt6Z3ayZA6Ctbc+7BJEDanJKIbJsVQM4Yi1sWcRhAeF0dEkVJGUDGrezANJAQwFL3v4hsqhZAil9VPqi8EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6SePlAjjFkDUpjmM5QUoQB5l148hDA9AHfScOGKaDkBeRHshknoIQOJ4sZ3MOBdABYel09OAIUAJ6OOcWpI0QKaaQ4SrHyFABx+wDOIwGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LJFLlQxvEkAWQFn24N4LQA8omrnXnhRAbuRW3bUKE0BQFqFpJa4UQDD5lUSpIwdA46apxPQ8GkB9iOwkmJsMwO9OQBs8FxFA7J6o/yS+AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5h6B1Rp0DUDTknvV2soJQNkxFtIvJhdApd/BtPALEEDsOriKTxIXQB8BIHuWk/k/z5taDn59FkDkCG9BlRsFwCfA4LNWhQxAC4nkeQpiBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RgfoKBNSFUCBGCmdvLEbQKJ6bwpaOg9AHgfTnmlG/z8grxBmP12xP/hHoX2DWpW/86DrM4C3CEA4FFPlCArwv9hvaAUiJAVAfahwynf3BkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jqWqxebKDUBSuezKpC4SQH7KrCvzwQhA4V3reQBTAUCTvxIyrMIBQIB1BMzy6IU/DHUgsZa7E0CWRWUGrpz0P8H5Ogwu0/o/NmFt2h5XAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+A2lZzstAkAOYlEMnZ7Qv8gzsyqXB9Q/u0j47bPFCUCm7NYsOC0EQBIMeGZ98RVA9L9TSVME1D/VIY+NApULQNyNNHOE8gJA5skYWBMvAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gZGh1dEtGECKQQnDsfMYQLlq0Z7pRQNAueSxjX/0AEDdhnIKwIQAQDTTSlMvQuy/5/Yfw+7yB0Ccz20m2tf3P0Ttk19TqgZAuO5ulDqaCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ecLEOdZMIUBGEx90KzQhQE+O3v/pgPG/LcvYMX24FUAJ/sT0gacFQLBwa1g4/+2/JITI19N4GkDn9/AxGPMUQOiTrx7RNA5AZbUkZnSvDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+VbaglRWJUC4CkLi/PcOQEBkCtoTQwlAiZzMqfc2H0CAQKoKMCcWQLDM2HW0twdAkhk1rJHwE0CmlnuIrvjwPyjfX1ubHBJAqZVnq1LeE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IR7ZtUdXJkCrjeeeKrQFQEv+rSKz5RFA4WXXStXTIEB8i6MCJLMbQLz3W/mZTAJAaBkpr3ZWEECHthX9oEzzv5G44BrOywlALyBTJB90FEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZM5QfSBcHkAyOtQSBAYhQKkdWkh4FCFAAsLTgRG5A0AmlYVZE0cFwLjxntm86BlATQQmgVhnGkDfK/LNfuEEQEC38hyF5gtAWBHklM9oEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"S2ITqeuVEcCCHJQ5Ok8gQEAxo7iaEt2/d4oeZO+P/L+cUHZI9iofQJhsMupe+wTAGtlImpX3BkAX1ZrslyAOQFdSuzNLoA1AgjgXPa2g9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OZvE0CJjK0AUKdUN9swIwIt6ghiSjBdAAfX8i4RvIkA4vRa5V1AYQMjRm5Sc3CFALM99QylkH0ApwRovsS0LQB/bNxrgUg5ADIwsjxcOG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0BaauuzeGkD2mGE+TEoRQAqDlpKYEva/iKfA0oTA6b/1Jf3yMZT9P5DaKiXYaihAW98IUNZ2J0AlcAnjchMSQMuNyUaFnhVA0vE9UqsYDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vRr0pul+EUDuFGqWlk8ZQLAJ3bD6PR1AIgxzyZcEHEDDAoxoHZAMQFobJ49D7PY/vn9vuF7oIEA583eg9NIcQF8fwsX1/wpA/EugrPLqGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"67Q0HHL5HEBmpXlEAC0ZQLs+nPLgox1A6Bcd8apFGkBsNqmNNqwRQMgek9fG6ANAMHmuwT7QHkCqeAVtqc8VQJnM38K0dAVAfDmLkWdqGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KDJR4VTZIEBtCcepLNkaQPI0qdEnxw9AuliYuAdzJEAK4QrUOkYgQBOpggX9fiNA0crCszW3IEDdLCXh18MfQEod7T6Af/8/nYJSQEnOH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AVUqhFa1CkCjNtS6jJslQA+929e0RSdA9upVo4QwEUAQXWs05SohQEmG5vreiBpALwIhpuzlGEB5wyovo8MMQOQ9HIM3yhZA7gDDZq9IFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WTu0HeaeIkA4a6jR/5YVQCQ1Dd919gtAN+e8tQevI0A6YgOaoLwWQDpPZi1p8RtAGHH11GLeGkBOOI9yxwsTQC6Q+FBtxPk/vTcnoq6RG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qHwlwPIhH0DjUEnmsLwbQLf5MymU3BxArlrEmt3QHkAqYFjVJX0IQI8kmyG5TBhAHYW78b/qDkDbhiYEAQEYQAihRkDPoQFAGEJeOem2FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1whojAblDkDePZMmxrYSQMbxvSG0WvI/BEbo1jfYEkA1yRiy9HEPQJYNmmq/YhNAGZz3r6NIEEB5YG7xYywUQOqg1v7FmgJARDiX+K7sEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jtXLRlwXEUAHluZ0i+0SQM7JXxEhxBBAQNVYzdhyEEDuXYHvb0EMQPdLH6P3axBAJr91hEWZEEB1ASwN7IoSQP1Vh65Qkvw/ZB5p617rDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jtXLRlwXEUAHluZ0i+0SQM7JXxEhxBBAQNVYzdhyEEDuXYHvb0EMQPdLH6P3axBAJr91hEWZEEB1ASwN7IoSQP1Vh65Qkvw/ZB5p617rDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lrXD7zB0EkBOIfWKRe4SQCelNTsuqwFAuXTEbbVMGkBFSi3NuOYOQFj15BsNP/s/+FMbtUetEUCQtleRiAMPQFBpXBMCqfw/VP4bmYTpFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hGjhwBUxFECo7EzIPGkLQO5i/k3FLBVA5xhYNFhdH0DwYO0tOLMVQP6auQpMKhBApvCPebJMG0DUNKzXOA8BQAh+lXyfrfQ/Uykco1M8E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VCTs2CY6yT94k4uXZWoWQKBnty9pnw5AEsUk9aKeDEDyLryiudDwP0BeR5rlBBlA6MsC/NfQF0Bv07cTMuwIQO3F1W+o/QdAyPC50uomDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nUJrO9v4DkDosNF1we4PQBlzHacxkQJAGhDmgpwsCEBQbmPUADn7P/1XHmpKuA1AYCqZmOC2EEAk13/7rggAQEtZD7CBswFACIGjeusCD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jJcKIxO3EkCibYBMLU0AQOYCvoybeARAYlafV4+pCkC4kaShumzxP3TQ3G784QxAYZj9n6iyE0A0EAAV34/mP7oXrewLW/w/dhkwn1PACEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1LFeGCh4DkDjsmlRriP3P32xMCIWhAlAFAjbjWTL9D/WRk0NACP8PyODOHSr3/8/hWy+N4nNFkCCXpinA6LXv8vHywZsqv8/rAm34MKCAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SNqmsa1cEkDBSqe2Ax0ZQArx6G3DTxFAX4BZZZ8PF0Big5vg8bwPQAy6lCLSKxhAlMiLOszXBEBDEzXOZN0fQD0xhQXQLv8/V4fB4UWMEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iRURolUaI0CXjbKfojQYQIiRdISvICNA60LSmRn8IkDL6wQ2EkEiQG9ouRDS6RtAB8jk+9e7JkAvQI+qKQoXQKkXbYHS9ARA575n2vu4GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J3RFI8+HIUBtrnGOk1gOQCjnlbQu+CVAERhUTYtoIUB/EHQ6P4UhQKDVe3gPiB1AnqxbhJ2YJUAUWGrVTDIUQB1fkXed0gBAV5x5cVcQIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2FkJVSoAJ0AtFGGQOW4gQIBaC9NZoBtA07/JAL/6IEDwXbFiPkgiQHd3MA36dRxAOIy7G808I0DxpFyFo40ZQGEsFiGL8/8/4414+ULnHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qTvs9myHIkBnjov3CRYjQFoaFtBXJCJAJRMl9uvNIkAZcoxaKgAhQLAnpV2hHiJAzWnubcQYFkDe8rky4iYiQItqFbPZofY/5GRxSlgeI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LYL8n0MbHkBqzHY6yZEgQAAKZzuiYSNAZOgickOSJEBxKBPlX+ciQHRG6/KuKCFAtqru44pDHkARV3ECskAiQHauCkzTMPM/NCjZDGABIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LYL8n0MbHkBqzHY6yZEgQAAKZzuiYSNAZOgickOSJEBxKBPlX+ciQHRG6/KuKCFAtqru44pDHkARV3ECskAiQHauCkzTMPM/NCjZDGABIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LYL8n0MbHkBqzHY6yZEgQAAKZzuiYSNAZOgickOSJEBxKBPlX+ciQHRG6/KuKCFAtqru44pDHkARV3ECskAiQHauCkzTMPM/NCjZDGABIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mjkIoz3oHkBk1LxVKckgQNtC+d6lJBtAIXOx7YG8IkBLaHXjjgIjQF3C0DizCCBAPJKdTU9DIkBqIG3B1OwgQA5sjlvK8/I/mNEiukLmH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0iHPacKXHUCLUKM05eYjQO4hQMresR9AzXFhECILI0AUXksGHr8hQASsXz0zJSBAs6LpND/rIUCnZE2YlVceQEfIbr0z2O4/8AP7RWmCIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0iHPacKXHUCLUKM05eYjQO4hQMresR9AzXFhECILI0AUXksGHr8hQASsXz0zJSBAs6LpND/rIUCnZE2YlVceQEfIbr0z2O4/8AP7RWmCIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WHu9oqE6IUAKnmG8OeEhQE0Dl7cqWyRAOsbOdpbhIEAr2n5BjGsjQKbGytnO4RhA+9iTO5WhI0CwQZzu1MQdQJqZBdwCyfY/Jc3A4v5ZH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"99Is/QcvIEBwWZ2r6x4bQNaWBz98VR5ABA9Ca9+XIkCQsz06gtkiQGM5o/gDBCNAF7bZD5R5H0DshBLtTfcgQFar/pWHWv0/XlrDCx4KIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UXsXqnmBI0D4QNJs6W0VQDQTOrskchpA4MhXbqNXJ0AMpzLxGSARQIAwOObNLiNA7q82v5vGJUD5aKcKWDUYQNgON9Wt6AtADyOLBtsSHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OXqZmeDlJEBMatgS/lUeQPSSqoGHrCRA48Y1CXDGIUCiOEjXyU/yv2C97aq0FCVA3oXhVJgXGkDSZd2T5FYnQMw2Yqay+ApAU1KpiCE/IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0DYUZEXoG0Bk8ynQytEhQG5Ypf7QmB5AqV51eyEOIkBBBEvEHu8lQEWrtg9ydhRAVpbuF63xFEAs9JskeXsgQDyBpC9KJQpA23IndpbhF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dcM+92zWE0A+ZbphzYomQEeJxkxjKhVAY0kN862bDkDnrbW/hy0cQKxboeGDgh1AEY3nitpzHECAdpVw66oKQJNCpwLFzwNAuoWa8joIG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"khItssmqIEBOHDh5HP0hQORLpE2r+hhAxF96yN1eCkBiQO1bq6EfQIvKuI/4AxdAuuJ8Jb2NIUBuS3f3mIMMQO3/d7XS2QVAeczhtIGoGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hj0zUpXPDkB4yqFBwHT9PyAHxakbHhhAunN8mQz5GkCMTK/ArcIFQKHDTD+U0BNAA8yFK9X1BUCVzCe3pEseQATTFjQddgBAF4XoAE0qE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hj0zUpXPDkB4yqFBwHT9PyAHxakbHhhAunN8mQz5GkCMTK/ArcIFQKHDTD+U0BNAA8yFK9X1BUCVzCe3pEseQATTFjQddgBAF4XoAE0qE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/gDKGXWTHkBtbyKRF8kgQDr0ZrLEpRxAeFxlgoWoEED6NsGwhQIYQDMF7aDPVRJAHdR4mjEBH0CF9yH8cYAUQNRM0sxp5fk/xtBNAcCfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/gDKGXWTHkBtbyKRF8kgQDr0ZrLEpRxAeFxlgoWoEED6NsGwhQIYQDMF7aDPVRJAHdR4mjEBH0CF9yH8cYAUQNRM0sxp5fk/xtBNAcCfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/gDKGXWTHkBtbyKRF8kgQDr0ZrLEpRxAeFxlgoWoEED6NsGwhQIYQDMF7aDPVRJAHdR4mjEBH0CF9yH8cYAUQNRM0sxp5fk/xtBNAcCfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GTgd0aUHEUCN25Z+/X8WQP88Vx6sjxhAXHgPiUrLIUC4FGarPQgeQP89AY+MsyBASNqBV7JFHEBGzyiJc6AeQMXnsOfoXPg/TrJdcR9RG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DSiD1ry2CkD6X0goA3sOQFzl2OdqrhZAg1i4FeMnIkBoGfNLDGQaQHVtE+2GBBpAHVVTieygIEB/u4CCmLgcQDestkqTk/s/c8Id9ScbHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZaVSPnm2C0AYHn04SsMPQJRWcbkgWRdA38iHcrOvIkBKlf/apDceQPsoLBvo/htAyDCxe5AOIEBAxtGE8pwdQP4kicHdmfo/ffmxhy76HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TUz6webyKkCnKzjOucohQJEN9HJ21xtAbf2U2L60HEDLtTNxZHAhQOgYoSTwcBRAIgX1Ve48IUCceHjdTLQkQPdzcMT+UBJArK6WtAPlIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hDT2yjz8JEBkWE3/Cm0IQGg5HloTzipAHwtWviFpJ0Dao13tVxsjQE2qLQFjVA1ARCRYN26lI0CrwW0g8rUuQGleKUP0Og9ABk6R4j9HIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dA1FL/25KkCU/uXNtiMyQLWCAfrFRhxAJ5Ar3WFGIEDeCoD3sv8dQOwvL+/bcy9AL5hY0aC+JkDmLKAvJ40iQIPxLHTMfQpAAgWOpITnJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0+vs7oFYI0ABp2OY8yImQEUU7ufcMyhAmoKNr0HGKUA5az5FxLwkQJo4s68OqidA0Guc6sgmJ0CDOWjD7asiQJv7J6xceAVALDZ8tAw8I0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"e4NbYD3oDUCJvMlZ3A4jQLJ+9fIwIiBAMDBS8mFzKkD56LGRF/YmQDzPEWdk/iNA9ud6OfMfGECbfcf+xq4fQMnGyqoBJghAJuLfa2q8IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K04Lq4QlEECqoDLwfQEmQLiI0bqxpSNAsYW8KBbQF0B6cqjJx2gpQNn1nVaxaiNAeRTT9MuHJECITRsButIlQF9LlJ7/JQ1A6KuwwoRjIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aNqXCsYQIkAJbo7k6XchQFUT935P5BlAVvDjN3vFHECp9VYltG4nQDY/kz17rR1AZOxQzE42CkAi4Y1V7pUlQNkX1VBzpwFAI08okSIiIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pILpqMHdIkCCG9UMGPsYQLbcXj99hyFANrOgp6hjIEAndgToOG8MQKot2i2PERtABg0JjokFLUBNpmXAGKwMQFV6UMnlMghA5gXQ3LO4IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gWMdfrcJLEDQkbUOPA4RQOolfz6PHxlATGP4ZWssEUDg9cCTpm4gQOd8ScIOaCBApLyhZHPnEkDoAPh5ClMeQF1K2M6dcxVA8GWICLMnFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fWrdXBoALEAHl3zhYsITQEmqO94UkyFAxlp4l555HkC2adltS3YjQD1UEYUR3CFAcZUPKo2pHEAX6rRgVnYgQE+IGxEoRBNAEAqSj3NdFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Wq3nOdfRG0CJU8VY7aUiQPPd6MXWGRJALU3+PINtGkDqUt6Hl0cTQKZ8SKfuqhFAmLW25lOFH0BHLshfBmMZQOVZ643JnQ1AN4q2gHR7EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EvDhuRz9GkAQjacfsCImQFBMvAhWh7U/A+Ge1TIoI0D6HkHMh00bQIjqo42ROPw/HtyAYgQqDkB8oLJ3bhf2P3MESJWNzwZAvmr2j7JzFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"07ZLyaS5G0AndZoPR/wkQP4p4dlMDfY/X52t+AXIIUB4a3LJ9ZUTQN1EZcXaewpAfOVii8l/EEBDw7fMW9/1P4DpTb9gXhBAVVrpuAWOE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jfAmFyQQLECwSdf9jHkSQBL0OOFBMey/aIXxGU5qGEDBxfWamLcGQELzCXmM8RNAaQi8WdltEEA3iTkLNA8jQOIgNuF2ORBA5hPYxilEEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6MLrq2t9IEBsxf6WeCMsQHRUiecOETFAvW7tmmbFKkCKWpFDPBMkQF4xYuDIqgpAWOSv+V9XMkAe+mmQiHA0QAc+5roibBdAjWs6vzqtJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QOCTXZkZK0A6zNOLWaoIwK+82aUXTyzAnKLG2wH6FEBvn6qdVPsiwKa0lp7+OxRADwv4b+VwyT+TReTGBQswwLg2WsrB/CJA3DkELi+y9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cjp7YyzIDEDpZVDodMgnQHqVWRynjClAMFxabrPAAMAEDQw3DJIiQDrtkevwSwxATrwtMiftKECskHMcMQ0vQHqOzkMNBhxAX4Ymov0aIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6gF4WijiNEDTrb+JQkUjQNya4BUHJwdAbf1CmK1kN0BDqCaOznYYQImRRNOyoStAJ8K6LQrNMUDN5LMi4KcWwB7+xuG6YShAnOiv0wcaDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XWZlriMQNEBFCo8Fj9YGQESgxV7zGR5A0ILC3wDiMED0RtRWAWQBwPiLYPI5KA/A0ATbHX/AM0Dg9ThsbC2uP8jP+CeO8SFAym+ljwykFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AG5TLdr6MUAs4Xkv5HwXQFmdQF+kuSBAcfxpxod+FkDtpdaQm3oTQFAQWFfxEhfAZEFBHAAVCUBA1lutt4AEQPnqFV2ohxhAPLS71El+G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ygJnnccZK0D5Hc2/pKsXQDjb1RG0/hhAI0Np4Tj+GkBKwkba0vQKQHWF5FlxYw3ATB5xn19dDkB0B79FQ7wQQCuwDER0yRxAJAstNW7CFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MLd7jfQv0b8ZkIP1GSIEQKQTIkGUBua/Qh+3B0ouA0CHR6WUohcRQJvZMgwr3hNAsUNWBjAIDUC4hmvAmi8JQIz3sGJBZwxAuEHONNp9AkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SzlPi448BcDpJXQUumv/P6f3ogoBKg/ApREsLXIGEECWIRzEcJgcQEfD7DehTBZA2wrAcZ8KF0CM5l8USHoDQB5JlCrt+QNA+GrFay0/5j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KJJS0l2b4b90GvHlV0b3P0QqtBgzogLAjlwush6mCUB98sVp7VkZQNTXQsz3JBVAWbuKS4TbBUCnFTSlD5IKQF4F8Hi0JhBALbGSIKP76D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Zqed3qdo179cmIW+5ZIYwD/YBjJEixfAqHWT0NRRA0DaPIRi6Y8YwMRcspGEwtq/AlaaiiUKE0BpzA3tHYgBwI3o00FE6QxAgbMR96908L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bPrdsy4AE0CaHG+/2+knQBclUmNhHSFAiCApe20D+T9grEhU0C0qQIA3TGCIdhfA0vWH2TIpAsB1mVtM8qURQEotGbGKqBtAbOPtQVYoGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tOkTaeEtL0BWJnxWrj4hQLPCondvlSxA4PEzWdX3/z8JvVDWsnEyQLn6ixHLRQfAgVlOsJv6JkBSj8/j1scUQOmnV5C0NhdAeHxxm8NPHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RbL5Aus6GkDTHPXwybchQMlSHjOBRS1AOsrB0KVMCsB0/PG79rEoQE/Kkwrl7hVAuNXuZK0OLkCjVs1fVA4rQCfTcc9sBiNAlLa8osQQEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RddztFt1GEA/f54mzf8gQHF2HXEirylAGJV75Ka9xD8LTiI4h9soQJAMDJGTtCdAAlWPKLflMEAAMBVS0jwlQAfRW4RD0xZArjDNF2pHI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rrYzgoxXEEAc/EhiGbUkQPak3r/pTQdAaNiVeoAGLEBQtsgwRIsUQCil7FiFFxbAAxxmyNN4EkDptfc/lU8kQC2fAU73QBRA4elCYuEIB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NjPz+5YoJEDZYBzd9hrcPyFAT7CN482//PKZAMR6HsA7qMQ7fz0WQCTdComCydE/pPEM6vKWBcBVA1EkTMgKQF9rmjYkkRdAxRdlHFPG9D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cz5hXUpOAsBgGL+JXCYjQMBSECGtxgBAuhboROGZJ0AjTS/kbyggwMvzuSqPSf8/XZ+Wewo9KUDgsAlzy1PGPwSJO0TrvB5AohOGzGKN/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YFmBwc5Rz7+coUUQjvsiQHYCEogjx/C/Z+6KtD64IkDMWRXUpiUXQI0/njjS4iFAYh5ipM7gIEDA+0ZJQfABQMhcAuMSGhFA/TUrQiEpEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2ZQaWTMmMECk4QppVccgQBV6ew3lfSlAxoT1L2XEHECMn9HCATchQJCk4VVicRJAHFJIzPuCJEAsGROQ8gErQAz6vd6YMwdAYh+FqMfuI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"H/PYA070CUARcQ4TPLMSQPjfDuOjVRtAjLXh63m1J0D+Udcn7UsDQHGb1cvIeyBAJpugLxByH0APLtmNk4AVQEuDodHn6RRA2LdChYAnEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bYx2YYOeEUCmFAc1lbIbQC/N1dy8ORlAjutB5FDPEUDFX/12rHEPwAb9sIFQzRNANDrKodUPFEBldWSNvZUjQEDohAb3zgdAU0o/MZDoFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fID8JedAHkA0nbwPdkv2vwwghX7lnwfAqsiJTc/vIEA2YPBZvqolQK0MxGFCrbc/Ae6/+iY3HkD+UsuGTSAbwHdpEetTFRhAxihpUia3BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cbbYz++iIkBg0yzOaM/8PxACvvZ5XeS/HPbUqsslB0CXQUCmKqYiwFRPHedzSBrA2Btjx9YY87/HGEenqdwsQGDbKRVCISBAdiQRApW/1j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cEDt9sPsL0Cmrq5oqyLnP6YUq6omCfG/DdrGRnEBAcC7WNb/hCQFQJbB1tQ3ZBVAybl3KaPZAUA/7uhgxXswQG/kBcZZeBtA0acSwtS5CUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rikAJeKrIECNSvX+wZEwQOtIUkVGsylACf1Z8tSIKEB8Ngh+b14UQAY3rGddqwpAljvIbk09LUDW4AseElkgQCfJllCnvQhARldzH9k8JkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Csuy6gXLJUDodF+fM/vWvy7wSfRA5ypASgXRGqEqMkAkXjABGLoQQKEa4Xni8iZAha1AHRFhMEBIqBtrEcUhQJMJOXoEXiBAVEQohyqkGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5ksu5l64DcAX5cgKWuobQBnYSPzy2ChAjGPacje5FEAWFRHNROIgQI4jdH2kEhzADDMTiytUAcDyT+AK94EhQEF6cLVy1iFAIxOUse2jHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4QSeeadnG0CMEas48yQMQBZn1zGUzCLALbA0x2GZK0CmfHsSKYkowAQuI+u9eCNAsOKE2Vk+LkAlxTVsvx8kQNarjrhySzFA8n5i4vUbtb8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"czOkE8wRLUBoSHz26Q8cQFsZ+KsVHyNARhaco40uIMDxWbW9AHsUwEGqAnG/DRhAGaIGXOT8EUCmGWh69QUZwI/CWByDwhhA2SkqbYeXF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TI6yXXPIKUCQFCIa9GcTQLIS25GALR1AcJchjuTR+L9FvqMB0xEBQHIx3gHSJwHAEBOKkI+aIEDk4kisQeQJQHj3lNNIxiNALAqZzFqIHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D6C8AjTfAkBgiWSeeVYhQP+G6BkUq/S/forZV9rwK0BKcbfPLOAYQJdZaKjBUitAhmvygchjJUCxDbomsaAiQKps/T5R1BVAbU+61NK3IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7/7PfA3oOUAhgpxB+MEcQDlZwIfrXC1ANDpeZ8q01D+gBwvjABERwAv4imfsqx3Au7YWTDgqJUB5FwvNFH0nQO9xAdU1vB1AF2Rg6TehHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qsau1H/gMEAkC/gMlz0lQEfNj+9muBxAZsEKFGwoIkBMuQWib8LyP8vMwjwzAPy/4Bb6zBxPMUBXQ/40jTErQP/ahzri7ydAYgL5brc/GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CcmehQs2K0Bj4/UYQP0vQGbq9kVWJSJAD0+NJaqkI0D48Ga+I60dQHB1fuWRIDBAY5e9+tV9MEDrzHBhwsjoP6XLEn6eSRxAKyIYRjdrKUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"24QuAAukL0DT0OqykfUuQKhTREJIgRlALID1LisMCEDOvjkydWHhPxVVs2K9vh5AbmYjjR4iH0AYaX+AkVMIQEwDK9leLSBAu+xm7IFQAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"emqDErquI0DEVuAmsLYoQJDpY2Xx7Q1A/ibvJDJbF0CFLC8W75YZQDnXKWVTfey/I6QBE+eAPUAOa38MPjgoQLLVOMZFNiRATaadwEr1JkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MFTsJZK4I0CLAJfa38QiQBlXpXcgfyJARk02S1ziIkDCP86xtUkgQICUcuXRWaa/o1axIg4aLUD/3FAFEUM1QFnQxIm18xVA5pUL1A69IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4wB8fTMlJEDrgOQUEmcKwNDAko/6jRvAU0O5ujlQI0CBGlJecr4BwMqv3eGDNhFA8IIwg6/98b+sCIHsQaLjv/6ccLrjBBhA4nxlJyom8L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"55NnQxVgIUAmNwp5EQ/2P6AFon/seALAvD8Xhg0+5j90op10LhDzP9XK+0rBSRNAc52f+z/1MkB6+CG/7rgRwMXaXbbATRpArn0XvapFDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rTuZRCgX6z+9yqCizn0gQODp3oKMKfi/bhgXOAo/D0AI6vATtFkiQHW2e4SfKQLAkJWncfrXKUCsECvW6c7yPyB/rv/EmxBAyh1gdCBTBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bJSYcnAtNkALOTTD/+XzPy0o0SlI9yBAYBJ4okakHkAIUwlxu14FwPQY6FkYFw7A9EfjtAA9IECRO4LD4hoiQPpCwK0UGx9Ab8T61E9+FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yLRTQXFSE0DSFRexCkAuQE92MTkFOxBANnnS1UOMJEB4CN8juG8fQNz+ANEcqxxApPepG4DQKUBMBDLVQb8RQNmAGMsCYhJAQn3I3L/uHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ilN9QLmSI0AARfkKcc2qvyp2myogjBpAJ7qciOdxC0C9pjeWGz0gQLh2Sqh1QSJAGKDcBjPgEED9HczzVXr1P1z1+6BDSQ9AupZxsryEEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yNWb5EB5HEAaLrvMVBTzP/lz5M6GhhFAcd+DrllfD0Afjqu5OGQWQJJvbKl+WxhA5D8zIuTLGECo/GD679z8P8IHOD097RJAEn2Xa4OdAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5EwBeR1lIEDAsxQ0vIUhQPtq+9ql7BFAHWy7ir9DHUBw7My1fwslQLoLXoAHMhrA7rMZCUyrJEAo2aayDZzRP4KABsZEqBVAPJp5Z4SdFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kJmh4qcF/D97D96b/WchQFnllW/GdhlAql8ikWPMIUDZDJO/wgcBQDA7FMQqfBLANl9HLd18MECH762JepwRQG8GWIMk1xpAAlNsRyG1AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mMe154SUAUD2SwdRQmwjQCpss6rUEwTAxg5DZ0O4G0Dg9lPiZ1kHQG1xd/ROwhHA09pqRdi+MUAX2Bu4LK4OQC8ASr6coxpAYprMOW9XIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Dcp8ZC9DF0AgGiE4vooPQFHShehEpRVA/qhNar6bHEBsON2U7L8aQLdGpQulHS1Ad5T72THcC0BipdtPF7n4P3igYQcXqBdAL8jK0nvZF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"N77DOaJTHkA2uLIW6qEcQBCa/yytM9c/9JtbApBS9D8+XkEKCh/FvxHHYeWr4BbArunvIuA+KEBsV6AHDt4iQNju31N/yQlAnsWV+I9HDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6FbHSvkBIkA8kTUPfbEUQPEufcYbnRZAj6Zq9nQ5JUB6k3+ku5QUQLfCFTp/LBpADF7PJyLDGEBCWFa+WlAYQKCrxxt0HxZAf0SCNePMI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aSet/3a1HUDr/6r448ElQOUVuq+m7ChAAyvYrNhvHkBuBVNUvjDsvyxlRFaRpAZAsE7Yv4nBB0AVl8atIqweQJ+ks+6cRhFAjYM1mnaIIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QwKr0GO9IkBD6Wlrbt8mQKD97IE4XdK/Ilgh28MQCUDnZ67VxG/3Px/fMSAoB/0/cUjQ+0quEUDMmsdTQqMiQDYUR6cJeRJAzUsExP7K+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OgHvzAISIED9mrhPpywXQJ50La4mJRpAhQHJLYwYBUCoI0havusZQI3KfH/faQXAFqugzThEDEA5AlRqYJQqQB0ZuiTJQhVAb7x2zpLqGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wwoVgpBvI0C0iEJCTw8eQNZq8GCX/xFA7S6hVCDyDEAZihdq4h0iQGf9ycttXALAxoze1rRWIkDRnJHgFaghQDxsGU8D4RNAuw+gDd4QEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NOP46lLG8j+8fp8tICzVPyRTj9039QVAf/gu6Q6jCECClJGHsaoRQDGVDSf7UQzAkGMjP9FdzL+GJrwgmzgGwMXtjGoCiBFAiswR20QT778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VWKMj7gTFkAK+5j2odDnv750rWJIRRjAAphA6JPoDcBoCnff3lYiwCvMuhi2DBZAXo9LNZyEAcA0idcIwHgJQJl3kSCuxxFA+CAWhFfa/78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kJsbX3Q/B0AK6Cy20y4TQKqCOt99yBVAUQ6Ugx39AcCZudbtXDQkwIQ1pWw2rhdAyKtOS1C9wL9zDJD4W3ITwLKoAafXtCFA/HANuBdNBMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9XXv9diTBUBsrDjgYpf6PwE+/PFDbxxArI98Y4CL8b8Kfws95rUiwNjyukwRkx9AfCKTDtCj+z/xX42tIlwUwOWqWkaBsh5AX10GnWyVB8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IrDvQjjNFkAfh/bCtp8OQCei5RYX6QbAwxFtNoAwEkAEilEX3pIjQGOIawlLGA/AGw6xhAfAHEAr0d3viggiQP7a9rU56RZAdMlYVON76D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aQ7e5vMlBUD9wK3+iuwFQIDVeyRCoL6/yFo28tDWDEDyGCOQiHMiQLk8VVdi9xHAlFYZp1CGFkAYso6Fh2IbQExQDSCYgR1AqaQnOFQ59D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wMctKPqXnz9+cTF/W0sCwCQM0Jdhxuc/kniTDShKA8CUT6kzMVv5vwSddXYPCw9A3GBmmYyw9D+idWwqRxQJwHHkpVk25w1ANPBI54b96D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/C8gD6ebAUDTZ/O2JR4KwADuVD561+s/Ukshky9K87+bMpcHYFb3v8uHLPXO2BdAhtZHYMZpAUBWED+T9wMIwFvE+6XuWgdAiZUANmpe678="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"93QGHtPVHcCu9UCIOq/zP/CYSZWAxfa/K7NTQAux+b+ipUNzgKMRwLEqiBfDLQjAxZdswM2KGcC3+P1XYMDyP7W8N5CKfxBAZIN7EGj+D8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DqhE+6aSC8A95MNs6VwDwEB4siT+ZSTA3M+o1UTEBcBu/GNzYbAfwL47wNoSLvE/wjzENmys8j8GvVh0yvr2vysjk8PoXA9AEZziYgjSA8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kGxK2jTG5r/gzg8cxQAEwE0hVeNAhOC/uo0rb76u+78I+vR2IP7pP/Qav0a8ixbA0kKDRe/pDcDjrkByqhkKwMD6ab7exAZAdzBZqqsj+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jkHParh1BsC45yEjA0K8P+UfgOSDtw/ASm2VhDUgD8B1m0DD5uYHwGI2fVB6je0/ap2yVaQS9T9oFVJ2hirrP1uoPl9vOv8/6NG3r3o57L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WCCr7fn5E0CwoDHgUnUGwFw0+8JyXd8/Dy8/0BJdBcAgr8e+KG7jP1hy4poGzwrA6eXmIu9R4L+aIpN3aGYBQGSVlpJxDQ9AMoo5qiqN7L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xOyGyJ5YEUBLr4wDuOT2v4q72B413eO/+uSP+t2T/L8/wu/IPsIRQCAmuRFWnQjAvh7wFdXvEUCAh0u8Gj/ZP/WjIg6M0w1AtymziZlb0z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XQpARgzuHEBZlNvobmASQLZkGUwHNCjALB4CPjiK1T+GWnfhYbwIQDeXyU26tP0/MYPFuuu5LEA+bZ8rd1wBQFIIEsG7bCNAImPSjn4Q3z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1gsnHCjZE0CaQv7LfM7xv78VxXBUzSVASmFrChdSE0AxY4PbY8kNwP3hnmqVc/M/REsM83La8L/ZkQ+YzAbgP6lP3bWxBRhAVkNsp+oa6T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lJaR6kRLE8CE/DK+DnwfQGt97GVbTA/AjtQJKOjk5L+bSqzGoDgjQC4jkOR3XQxAGBFcsjF+KUB8H6QCYw8bQJk4L5q57R5AxLZIuqFqAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fMc7PLy/FMCbq/Y4u3MZQLAJc7CoW/q/RCM59VHVFMAWBu8894kYQHzh4Is7Ix5AGH/qv32aG0CgqL0nhEIYQOMEZWRuWhFAR2ZNv7UDFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"73i9QIcGMUBiRCZKE3QXwMrNJq9UHu2/mKMSKpSAHECrS8YBur0CwHXcZBIhn/Q/aD/uCK8PGECIZ/PfKNUWwERkCYlryyFA8JJ5sLhbxT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5Toqf5Z1CsADvAhz57sYQBdEacRbx/I/kqKK3KYxDsBIF6ggtYvlv0KaLBtX6gbA1uKMyMAxFECIZ5bf8XIUQGaWbdQcMAVAMH1crLwlwT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wO2Rs8rBtL8fRotzapcYQJ5DeOKzNhFAvmdVuZDcFsD0Q3or1csHQNirgthxw9Q//9D1LnVZIkC8eExBIAPUP1L2ueetpSpA+UGngT6R3r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rVR5D5F3DEAupdV6kU0VQMufGJCJwRLA5KuTSt5REUBkF2KoOZbxv55HQ28NqQnABrjgsVVdEMDm+sCCgYPsvyAL4sMFPiBAVr19Qr0SGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"F4qsWy67LEAAaoTtAI8WQOr8c6+/5ydAqkDsLMs94D95gAAOWlEhQH9plkUO0iLA8nDcGn1C7z+/vnx9hgEAQBz9W9vyBxdA3JErd9/X+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6mlhK7ixKECwlxVm7a4OQPQGCQ5JdC1AcI83gwJO6b9rPPlR2SojQMqJlsOwOSTAnoqZv372CcATjUjqViEJQCnsQ52ozhhAADBV8tfMBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7sxHs+bAC0AZnwauVLstQMzPnBaGJgHAMlUHlBcSJEC8eiCrD60UQJqlor8IaxvA1waTR0f8KkCpXdAty9MGQEOoRPxzBihAAh43ZPLF6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fJtVVT1gNEDyAqiuJ8EjQI0ltGcCuCPAVFn1yyKx5j/iY9zzq/P9vwyfhpujD+C/tCgXDc4EMEBrXnUQGzoBwH7TbvJ13yZAJk5JMIecGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zrbFKfLUHUAH2lgUGUAQwA4u8F60AxZAyVC+W27dIUDA8bti0H6yv5sIV5r9RSZAtdEqhbSiEEDRz+JddNglQFpqQgynGR5AxhWXoW/F3j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y5DYqDHeOUBCsIV9m/8VQMY+IISRVh/A3N2AK/LEBUAiny7hla3UPwjtVspB7C5AXE+d9gJ+L0DZzPYYGEU4QK/byqdQbCdADA4R33PLIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p7dtfOdsKUBAd0k5np/yPxWrn7ow4BFAWzfF0hb8IkDsuG+pZUgRQERUxQjIX+g/RENIRbr7KEAeyelZMUEVwFiy0lJUZyBAmekbWWwnCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IKeqm9lqBEDoMZXsMsUqQNyIKG5LfAFA5kFAOPBEAMBkoZa0mpsbQBNIgUseLADAzFAavuAbJUCXNaV/4islQGQn0WxskRtAqYpImGahHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AsNfUIowIUCt2UWFWLkPQH1acJi9gRBAoA1Go0IcF0Bkz+oAZxAmQF7Zk1ag0ghAw0o90TQZ9D8AWm3g1diRvzwqPJixoxRA7JByn3faDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DMk6Av7YKUDabJGbEeYWQGjDUS2SSfy/xt/Ces1+D0AglpPrcdMfQA3M4OtkzQNAdcpwXwHM9D8B30F0vRUAQDxMkn4L3QtAwX7EOX6xE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cJmHwLFIHUBl/f8Q6i0iQAJG1zx6Ci1Aoi5p0j2nKkB8x2UntbsCwGBDthbc6iRAju+Ye39+KUDGhyzkm6QhQOZJ9OxYFRNAzt4Ys3wvIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FXmpptn8HEC2W3z/zKQkQOFMr5vf6SZA7MqUCBigKEBgjhBPl2IGwFKQR3TGgCNAEZsvy1UaKEBWR3yshAAwQAqtSQon9hZAVhNZgzxIJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"q5Mo5SotKEDuxZsrv2kiQGKvflJ7SxlA1b+SXbcECUDZuFjje3YsQAv0OTKFdA5AUIE0uRXzIkBAufyzZTkZQD/+W+8pGwtAY7tjBKXLHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LaLjBPzPIUB8iZ8UWszXP2CmOSWHuxNAYO79LlTEBUCbDbS6vZ8gQJXYqSjwagjA+j9fAK7QJEATiOhm3KAiQHrTS9r8AxBAgigGhQZGDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rAiHBrlMGUBQ3mTuNxQlQHsNhs5vyxpASmAST0YaJ0ASomJfATQOwLNZYWaKsidA3W9r1y9lG0DmKMuvRYIYQIddlW6rsBJAaw4EO4OOG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EeVQCqN0G0B/7yDpUOMCQDHH5ba5wApAcZVyAMPuAUCbEE0rTNsoQHoHAi+U/eK/STYO5Nz7FkAuIm66mwkTQKlCdzp1/A9Ayh3Boj69FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"acWtddoUF0DWCb1j9acMQKBNpYXoqBxAbd0WpYqe/T84GFuLyDInQBA6MxB0Vfc/fKemu3UXC0A0X+gf+TQGQIC6cdO68xRAQkGPFylyEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m4m/DzQGIEAiYhodvLAhQCKC8EE0ohVAACI2QWncEUB0mdg53HMSQBBwVHwwVCRAOtewt8KmI0Axpk7CVoYjQCJPgXkw+/o/XLv5zaZ1HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BTGO9pUGIkAp6TpuXvETQLx4K7ppnChAeCWQxuv9KEDKGflCK0wgQESKkFrQNiJAEmBh5QEiHkDKms2o8JsHQH9UC3vdxRFAqYTTONV6FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"th9jTUcMF0DqqitY4ckWQAkqV9Gmiw9A4P2tJWs1A0AWAR+2m34MQKeyO9r2VwFA8E8ZNYpWF0DQDnmJ1FcfQBnHtPeM6wZAKz4jmN2DDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"b6kHv4kLE0At/BndRn8TQGAvNXvG+RVAzzrHdYMqFkBsugx1TyjiP9cO04kBZQZAWDsV7QJzDEAR63Kwuz8gQNej6vKu0/4/pcHQBLwyFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"En+rGtExFEDa/7R7Zl4bQCDNlOkl0OC/bIhLJy1gCEAam8ikVdIgQBzLwtgBAQVA89+qCWsQE0BQLZ5LdbDOP1a+SJJzEwVAX8fU3hlgEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+oHNQ6NyGUDA/0mKrc2+v/BLG6OF8O0/xAgBh40TD0B8pNVBjv8SQOgaJVMn7BRA1GWYiKqWAEDI7j4qvc8GQJ9KCHJPtwlAXskui1O+BUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YufyyNcoEkClUZ9sWoIhQF8wpFGRXhFAnP1PdS3q9z/p86F34CwUQPvLdxP8at4/Lc5gsXBQEkBpa3hoIYsFQMid0SSh9v0/w7iP5iEHC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eReDWlIbAEAgBR6zWgAPQIYQhWrJdgpATKz/0ncNFUD3P41zjaUHQOhj59OIrR1AnXSoANv4HkAtC3+siAQRQONNdLMjRAVAN387j0dZEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ddL2dFGMGEBxrFKbJ60ZQDJ46iqCox9A3EnTorNgGUDO2W+PJQgcQP5vgfKBgxlAnWj6PL95I0DsX0xSzJobQKXaUylMefA/+3CAhNzfG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TusB6Y7hG0CpeE5zilgbQFr7X1umRRFA7rTwch2pIECsI0QYWj0WQC5Kepa9qBlAwE4mYZTVDkCr6HHRty4WQADFnzbiqvY/q2hG8bHfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Mx6U3WMUD0Bj6+o1NbgEQB59jORrHQNAjNEEsrVY5T+pkdOvHgYMQHNhElQatvw/vOMlKg8fCkD0xI/cKrsSQJM+FPdSCwFAelD4QvRJ/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8tF8fWLQ4z8AF2gfWcESQL5RYVD0sv8/YuJHI5pvBkA6/voz13/xP4TwAvGzmRBAbzFJZXMVGECTI+eY/RL+P2+2i6/57gJAZh0yhZfAB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9mota5dO/T+yCPG3iHYQQKQuPedgJwdAqODUq1pa8D/qWWjI3lkCQA0fBflx0fs/mwfMO8ouE0AkbnQt3Y0FQKRCV3zt7+0/Q9llvj0yBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RKP7DgF++T/KtW6OL6EDQFUkN0gJiABApu+VwdrqCUCCKIfBO4j/P7rrSnVkAw5AC7BfskbZ/T/8Lngs4sQBQP8p7lp1rO0/C/tU+2XbAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RKP7DgF++T/KtW6OL6EDQFUkN0gJiABApu+VwdrqCUCCKIfBO4j/P7rrSnVkAw5AC7BfskbZ/T/8Lngs4sQBQP8p7lp1rO0/C/tU+2XbAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RKP7DgF++T/KtW6OL6EDQFUkN0gJiABApu+VwdrqCUCCKIfBO4j/P7rrSnVkAw5AC7BfskbZ/T/8Lngs4sQBQP8p7lp1rO0/C/tU+2XbAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RKP7DgF++T/KtW6OL6EDQFUkN0gJiABApu+VwdrqCUCCKIfBO4j/P7rrSnVkAw5AC7BfskbZ/T/8Lngs4sQBQP8p7lp1rO0/C/tU+2XbAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1MClsmV2F0C2REDytNQHQFujHK1IKA1A9FICjUj69j8gavmv3r8QQAEc469cnhJAaCu+SbjU+D/+/zGD6C4SQCjcpe16ZQFARz0uLhLCC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pCdz1CAlEUCaiUMNA5UPQJiEPoMOnxVAMngW41suG0Bi8cTFYQwdQA3rGWqSIxdAGI4TsU+2CkDdE7dDPQ4bQHao9vtMMwFADkXbp0sxFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SCMGJYVoJUDchWY8nlsgQHWVkEPy3hxArsvPSpegFkBw3Ax8Iu8UQBoFnwAlxhRAibeCuPc+I0Ctg5yxdsAXQKVEHnPWVAZAzX3Jt4mDG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SxQdzyBT9T9zKXaflHATQG5jkfKTXwhAH/Dcb+0kBUBpksFRtnQaQM46kR833fY/OgtovisSCEBRrgIolA8YQHQERnPeGQZAsmVtpVJkEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LavzVwwqI0CGMxHzmcMZQNseO0Ni2xVAcG/16G/eCEDxCYSVnlPxP4CxTyPGqAJANQJRi3dQGUARC4HfcdMTQBndKuAfLf8/2KLWyyzJEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LavzVwwqI0CGMxHzmcMZQNseO0Ni2xVAcG/16G/eCEDxCYSVnlPxP4CxTyPGqAJANQJRi3dQGUARC4HfcdMTQBndKuAfLf8/2KLWyyzJEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JDN1NBAyGUAd3dfiDzYaQKCeR43LtBFA3XaPcqy4EEBdyB1HYbL0P0Cioqu0kvE/eg2bnhNEEUCGMiZzD9sQQAAU/DiRLAFAuXzEU4MFEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m/HB4Q53GkA8/vl4iXcWQCSWYBYQhw5AZrS3vkBnCEBwtgAZVFQVQMZDeUOIWgtAx+KQ4HCdDUDQ47WBB+YPQOsfTVkrCPg/HnOyUdmGD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ho8I+/egDkDjstoJcBgKQAiT0OLi0xlAxbxr/yVOE0D82wcl844HQOPg8L1plxxAEeKJzHiRHUB9YUUwZQ8VQPIcf5qdzfQ/4tj2BTeZFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ooODmJVlHUBQup6OmF4RQOUPOOI8bg1ANfLLOO46FkDYMkVFxZ0cQGH1EMADZBdANXJ4VHRXGUBVCTMHeDcWQBCQSE8wdPE/N1xHifNAFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ooODmJVlHUBQup6OmF4RQOUPOOI8bg1ANfLLOO46FkDYMkVFxZ0cQGH1EMADZBdANXJ4VHRXGUBVCTMHeDcWQBCQSE8wdPE/N1xHifNAFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"o9QdSCETFECN7+0n6n0MQDoJPYYvph9AGGjb/Ea/FkBZVh7B/C0TQK0o3F8dzBxAPudgXXv7FUBctopZD/cVQAIW3ddyvPo/5GIIchMIF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4YSUKKevHEBvyZbb5EkgQOCflYdoJhZATEfxxs2YFkDun2mTifwVQJUMWvXhpB1A06YK+HC7CEC8RUEzT4MhQHFTOXyGzfk/5XW/h8gKGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4YSUKKevHEBvyZbb5EkgQOCflYdoJhZATEfxxs2YFkDun2mTifwVQJUMWvXhpB1A06YK+HC7CEC8RUEzT4MhQHFTOXyGzfk/5XW/h8gKGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rI4kgKs/EEAa562FtWEQQCKDXwtuNBpAp43jE0R6F0BZcTGcUZIaQFm/F3dLuwxA6ZcYVgdvH0AKRc7yWVURQKmTzywOkv0/PhPq7RVWE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Pze25IidEEC8vilnNL8QQLvA8jQnPQVArvrPOkrgCkCIyI1OPogRQAB1QbxhsgZAqmjnoQSsGEBp1iG4pGIcQNTbX3SPZQFACouoXzVdE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"anUqu1YfHEDaWAXWnNsYQCvIX6qOYSFAnZkvg2zRH0DSRYhoyIsWQE+77K5axBxAEaPXH9AcE0DKYODKrm0RQKsKquulPfU/f/xJyM/IF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"A+ckWiuKE0CYC8SeM54PQOHJjtVR1ghAWyo7dSODFECdm0MSbIIXQOaDxzIyARVAOkeiJXLAFkDKNso7cBwbQLhna4RUZPM/zSNXy26qEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iEHl3dqgJ0BgYW+Tcrmkv+UAS1tVAfk/gez9f5d9DUCzI5fIcu8bQMPPnqSezQVAAh7NC4pb1D/YDxkHZynlP76pnnWdAgxAux4dDkQcEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"laHD+075EkCYS1s+81kkQHLs+XnIDxFAckyrLuu/F0DfBXA90FICQFVE/GySrh1AkSI5ux2LJkBnq7gvDHwcQKZvJ61cJQdAUpakpFRzF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"g5EFM0cqIECXjdPpXuccQNA3H0YM9htAkT+BMXGnCUBKwV9IBwz2P+RZouKEAiBAbmxQYgBRH0AWdouN8ugIQA1a/kLYFxFAFdqDQ4+kF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UhovOKLgOED3L35HlEgkQCYQGVJOJSFA5lM2dA/KJEAQTvk4/IMTQN7O/0R3DAFA+j2plXheJkCQHRw3/c0CQMfNixEGyydAn6EgoDjmFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NCpNt3OmOEBA4NfLKNIeQJllhgBuniFApMvxGhIZF0BeRuaQx0oWQPkn24k22xJAdS2s+AkWO0BSrRdZJH4lQAQaHIf4cxxAs3gtK0dhIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"asypoLszMECKR62cVj8mQH/kfdGaKyhAMt0lUouLH0CAMbrVve4cQIebpVHZDQ1Aoipl0uGzM0DBRPqBHjQZQFoaAiFzwRxAWjhOLYh+IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DnsflIl9FEDq347HmX8mQFYlKNCIbRbAZLYlJFwKEMD4A9SM+PLpP/HAst9g9iJAQqiQg2FuM0Du66kBlDIVQC0ql48FMiJAPONokmazEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oBo404JcHUDT+5/2jXQlQLD1jDAwP86/fRoyL5QyIcBdvfjWxHMKwPerigjf3CFAhihDlY+zNkDGk6mRg1UTQBjRHSsWXx9A9yWd8JHlFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tVPuIfUuHEBoAkmIoZAFQABFzKGRDifAK9uU/mBNDEDEwC8m+F0ZwKZmQsN4qi1Alz9njk//LEBq80yd87AbQOq3q3OfJzFA/jvKHip1/78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Jo8kJo2wJkAuCuJnqz4FwKtAzn81dTZAkQL9H6BU+b/ZzAnsfVUXwDNTOLqYOyLAMUTd1/CVI0D1Y+uAbaAAwOIjqF/cwTBAINr71wWe378="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"29KberSFIUDwCvfODmMlQFTXOleCtT3A+1A9L7cZI0DiBqG+m40QQF4g9RIBaPm/RqYUEgGFIECo8l2XejPDv8lgrdSf3CtABhsAQFv5HkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2D3tCgaQI0D4V28/DvciQHy0lqqoOjnAuO6UrQB4IkBUYD6D+0LpPw8Iwxo4oPi/gZKSX7s+HEDhwgzPXBEAQKI+xh1LzzJAe1t9cmPxC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bGM1qzoN9D9fnbGLwiAiQHDhm/gIdznAARXMIzzX8b+dOW58gkckwJxLZDqlwAvAdxe+pv0S5T8yVwjnt0YaQGWhMnr0liNAmE/fh7osDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iaZb940CKEDY/vlIRT8AwHDoiniDpCRAmEXw+S1Q4b+kPx5RNqQgQN3gI7WdCA1AG4CUziGgLUCBAd8zauoTwJaOq1sVDCxAJ1lyEd8bA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PA0X3ECI1r/RzLlQIYkiQGc/bbM63wjACiIN9DFGI0DEEPpSufwBwPA110pIyMo/ADRcDg5hU7/CbFZPpqExQMCN1PwWIxtA4TetAu4J8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dP5esuYN4T/Axml2bf8kQNGO96ElxSvAT/8/CIijEUA0kGOAPafRPyqiyAQFZw5ATvSKqKBdJEDU3cJF6R4xwCRzqEWJbydA9i39BXMTAsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AUIPexBoMEC2HR+tszYKQOA7woetEx/AUIWH0vXWwr9oLfsuC7UEQMlJfsJaHwxAUmHqjYTdMkAkt8xiZRstwIiqECFSlitACKUOE33iCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E+iAt1wY879STdCAt/zjv0mOLNpefBVAJnj6oLFkGEBrmwUNLdYbwE9e8m2g0f4/NP//nvaQJkDwuTnYud3YvwhfcnFeLRJAgOk3k9b+sj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kviPXBSJJUAmVHq6R2UlQIze4L4elhXASLm3QHDqDkBCOzYjWuUbQEgLtGSygi9AoXM74Te8KUArnwy++lL/P1I6n3PNzxFA2G+t66QCGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BFZUBHXwMkA0fD0mrKMGQCYIsG7LEzNABeGF9VPxAMBKghDmLZslwPYh6+q5cfo/pqbNI6i1A0DkQIURyY4YQDjdNy/jSCRAbBDU1nGBAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FCGcDPo8MECKofkB1SgEQNoMyDtyGC5A0aaNSRkPDMCs3nP3J68fwMP6XyB6AQJAJ60YnVxrCUCSJP1ABAskQOQWHgoQsiFASR2gFN9XCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jOZZrb1FK0DrTBkduaMnQLI4+ARlggRABQQfJ/FwJUCsA8zCGyXwvzWG1Pmi6RFA+UBAZTCqMEACsor0+DoyQM3hmImYzBVA1XsgkFhiI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J2ngR8gxNUC195S5cmEwQE+diOl9yCxAWFF1xsxAK0DGLogORHcwQGnQkMWODjFAvz63peZhLkBrFiKtlUY1QCyrOfopRBRA0Vw1cGdSLEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"noLFdTFVMEB/Mp5OkqQrQGsvmg1wHDNABhx51Y5PN0CSWe5wjZQzQCfB12i0CSpAJ4zyaf7MMUBUV9PpR9EwQGb/dlimFhBAe+5rpUHnMUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"byVCSmI7MEAnd04UYC8qQIWfzWHQEDNAvFKvvY1XOEBMuVleHHQyQFgnY6FSCStAryh5CKVZMkCyyzP/yVIxQFygHmxQlBRApGBtbRbjL0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qnAwV6dAF0BKkKC096EwQAK7+1yIiQpAgwVN0WOjIEDZY8qByjkgQNgsPGcQXiVAIZtp3smcI0CcL+Zc3x4vQD689qNmghdA87+iLeSwGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QxQpZ9DeM0ByQ/jrplgIQGND0/2SkidAqMlRiVP7HECVJyKL6kohQAHt77//oBtASMq0ImLKIkCQSMh+Lnb7P1GlZL9b/RlA5O/09aXYHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pPQYho5RL0D/jf3jyfgUQH66x+8E/xxAmGnZ/1XtJUB3004r398ZQKvbkBN49BBADEd7Cu9UKEBUoCoxfs4ZQK64VHINsQ1AsBoFcih0IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"acOihoWwI0CVvZy79bMiQPjd4GItjh9AhIhoH5coEkCviRAQJSAgQF+K9Fi2OitAVRCp29O1KkDVVzctVlQPQBJ9A5ts2BRArqIdaKFeGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J8Y5OxAVK0Aw++CJZ3u4vxcqNE3VxSVALQXlkiBzK0C77OgyVToEQOPwWLRQ7ShAMaPABiJ5IUDEJR/O+dsjQNWbCmxjCgtA+PiC9G5lI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1GN3EWkNAECpLrAoImwpQJUhxmRR+hRA6587p9JdJ0CiuhOv/7EtQBuRTKvjZwRAJiaD0uMpJEBc69t+0a8rQLAqTq6vHxhAGcCgz/nSIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WHMxY3uNIkBclJGqAmwYQDi6lAcwfRVAi+fUw/eLJUAbQ2HF1GkoQE8ZoUruXyFA1HX5huM9LUAZx4kNcWcgQAChHYCTWwpAYlcF4UH8IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jJ7VLRqTIkCetEayan8oQMmNFEBNFyFAgrT2mru3FEBZ11Q/344TQAGEJ8BDfShAtnJhSDzUGkDWYNPhrOMnQLp7n/GtJgVAo+2JDDJQIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"X4B4vw9OF0DHlPurC2cTQLOoNsr5yBxA+0zwJxxrJUDyYR5PxSIQQAq8V3VOExFAKIkS6DQrIEB0gbuzlIQRQPXUmuerFA1AykwXUT0nE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3d6axHlOIEB5SMhGw2khQHOfO7ebChhAUvpwhz6lG0BGXNyR5UMhQA/Ix1YPPiNAzyBLwb1TEkCHTGLeJJsYQJlp6auPRvc/F7Ll+59eHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3d6axHlOIEB5SMhGw2khQHOfO7ebChhAUvpwhz6lG0BGXNyR5UMhQA/Ix1YPPiNAzyBLwb1TEkCHTGLeJJsYQJlp6auPRvc/F7Ll+59eHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FCd610dmI0ATLxzyDm4aQIJqMIUyZSNAviJyeJKxH0ClyugrZg8eQCYbXpa6/xVAGwXQgXBYJUBkkZBw0M4iQM3KiOVdi/k/EYRhGZNkIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OAhvGoHdCUCZG4nlrsUgQEw6epjB2f0/KGoasm+EGUCiIBjtEmsRQN0CVyGJMyBASpfiCkZrEUCcXQdnBiwYQCR/HEv79QZAwfeZYDEqGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/aU7fCXzIkDjIsok0qoeQDU4X8tYTyFAVcIiA4IhI0Dys2aT5bQSQF6U74mpvBVAwEI8bFH7EEDgfEPI1KviP6Fl+3sK2QNAnmJMTHsLEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lLcMOb4AEEBkIora/cMQQITECOT/pwlAkMmOmXVoFUDGEKiefYIZQEfh2rPi0SJA3whcvE0TFkBDMRvJRM0WQAnAPPr8PwJAXMeFBcACGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HIx5rEbL+j8ulLL2ku4QQN6ROR4G7hBA9syrrSLQHUDk4WwneiXbP1/HdtvIryBAbUnLs5QoI0CIep968cUYQLd0mPhSWAxA0SKFCqeVFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"T7pR3wJkGkBLBALlsaQRQMHlH+LYRfS/JJTuzNxvHUAWtq5RCUz6P2tbH9xyayJA70MJ6fzdEUCNhOLmyz0RQCDUme8e6hJAQDKg58bpEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"am4mJ1RBI0AeToktiHAfQG4hY0P6OvY/FtI11J9Q+j843kyUS/AKQHAU3CL/xLk/qiAslPDgJEAUymBT/GgDQKQriYE9wx5AR21pKk3b+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+AJd2DKxH0DIpr1hhEnXP27EK+s4fQlAFnGPJtr/8L84225cjQoaQH6fgGW/kxTAGTun+VdqHUC0fsncREUnQEt5Qm3ogBxAER/7gU6GAcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cvnsanTj+7+wjF9bLmIYQLkItKyL/fM/vJJFvTSRBUDUF8hvKPwXwDltlrnGPPk/iAG7/2mmsL8MDF52Kb0FwEak2pQRRw1AXsK98Axp7r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"quGrCdXuCUC8xeH8RgUdwJToHVsdUuC/RzlR+OFJ/D9S6D5ugtgTQPN/rMGaWRvA9p/8aWOk4j+VbsXr4IIKQNst/yx/KxJAkBiHIh3tkD8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UtXCNzOP9r+m5+opNF8UQETN1ktobfm/iqFJRXnQC8DX+V+IFfsdwIURUjeD+QxAINc9B7r6v79c6V4ewl0NwKgOSNNTohJArx5xVzOQ8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"b9myBMuYG0Cf04fYzg3yv362PV/uzfy/sgWrQcYpC8BoeaVFfiv0P79FgOswwgnAUMuu5Z/GIkD3cXjYCiUkQEiZf4yBvRxADUP0kDMtDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LXB7jk9fEUB8n5SJpDrxPxZ7ZURrsuE/R1oi8U8DEsAKEAkbVn8iwIRDf0VnFgzA9Pc67UyNHEA8ghtf/f4YQOmPTEr+8RtAIeCWiTiNC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dd2zyUvbCkB/AF67aFsjQCipmSvL1BBA+nRi7IuEFcDluxUiruMnwNslePUW1QPAgvGLZAJyIUCcq4WVLeAlQFaZ2sBPjCBAtKEKKykZD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"F4EI6Y8oIUASLheAemDjv83GRvKl7hVAGGyIlDwzEUD6GBrFMQ4nQMs3PesEBxjA2731p9zdFkDOMTXANT/qv6fKoYDt1hlA0Ih/DnOXCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EB7KECwLzr/siEGyVbcYQOy2mB6dWwdA5esiRQNIFkD8bs0ZLFoDwOuwUvitVPE/ywrD3wUFIEC0KS49zSzuP3Ukl0z5sw9AS5/uC89T+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/rQ0z1JwEUBwfVW2iFnBv7dK+kCowee/Mi93emtAIUACZbnpCyMFQM/XGSF5FxpA/8tH79K/E0A0pGpFZ8YYQJq+kJqJAA9ATCKeNUysBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EqSJopLqGUA4f6Q5QOweQCZ9OLsUpiBAoGOSO3Pi8T+qzTuvqvETQPVDHrfjnAVAzAO1oRAFE0AMj1W5rMUPQNJbBXuUygJACSL2pC7SEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iLLJZbCXFEA3w2RWZzchQDOafVkl1x1AUAE7D9UUBUAXvYD9aB4WQMvqodWBqwdATPrMDmR5HEBftcumLFwVQGkfjwFdtgBAtl4No9meF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RgXketuzIUC0ieqstzASQDqbqngkWQ9AEfe0fF+nKEB4KLe0cFYTQLpeHABSLSNAWNSJxgu1HUA22asQTEEfQDtQ6SsZ3A5A6nbVbW+fHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cCEGioYEEkDcf6ZUhzIgQNpZpPCwQx1A07THMKUG9z9ylH6eZ98VQOyCdfnNnvo/D2s6/8aRHkBrllQ2XtsTQF8/ZR9rxAtAsY0d7vOTHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3d2STVTLGUDoJvFmTfDsP7gDKjYVkcU/PEJSlYzGIEAQWnjtK1/+Pyjvyai+ciVA+WLzmv3cJEAszxAoaaQRQLJuW/EBoRBAWVHoTH9QF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RsDf8eDFFEB30oithN4QQGiR0T/e5PY/fA3hDJraAEDUgQK7Nm4QQJvRy2eiHg9AUITIDDPCyD/wQlIteJ0LQIveHqikOQRARey/dcBtA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GcUpTiOLD0B8ghMpVMcUQIpsL4RyvRlAwhJU6GuiGED53vdTlf8PQDKDC9e+lhFA8OONR1eKH0BpnSaDu+MTQAmRkvj51/g/gQW8aEdlF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ur9MwDLGFkBEi7ZFdzHmP5uvuQy6jv6/3OTeAWwDDEAqg+zgmQEJQJDvsvZ/qhlATtmMxG3N8L+NY8V1uu4CQBTWdHE5LhFADFmrnjWiAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qPXMKG6rEcBnXfiKnEghQHAJOQ+daMU/3TIx0LHT+z+fTomYYJgBQC0IX39xnB9A7HiJPRXIGEAYX7Z/m5yxv3esITMrIgxAeC+nKcGOAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3tFgK9ytKUBqQSXzZMUSwGZLeuP9AfQ/3BXtmxwe+T+bIIq13mXNvwkUbMmTeCTAJyJ0Zs5fEUCUJDdk3p4TQJIXSWcQmhpAPEgE+uSdj78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kpq63GhGEkD2La5WAjACQGmt0h9r6RhACo5qvIVGHEBxdTDhCHgVQBQtssBdt/2/f49MVLW3EUClU5gRmSUgwHKar7DZYxJALqqS0e3dBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ABw4FMo49b+zng9fe6cIQAydfSmaug9ATXAgl/ZhC0B2Z9SOYDPkPxsS/lm0zRvAFEDUlAhyFECyKzX5wsLzv3E8HeXo8hdAqhOr5tUK4b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aAv6PbEc87+SwC2Ae/Dbv2sSDqBeYxrAUQ+qGlnS/z8v5Ys7EQjpP6L0RX+UoBLAIgee73p+DEC4GoamBZf5v3caKG/UXQVAbHb3fUzFwb8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"r0tfpha8DED4OFXGf5rtP963nTZuMfG/+9x9QPJS6r+Fk0yCcQ8EwDg7cTKcewHAmoytjtmtCMC4hIyYzfPxPxH6Fmq0rwRAAX7CTX8j+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pkyLqmlf8D/E/js6KncEwH5PalBL6xJAXFD47SXFCEBE1M3Ue3wGwHTrusqTbBrA0G/SU4gpE8CKxx7k+r75v3zpAPX7bwtAVMbINbEb0r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sLBSTDdLE0Ctt3wd5NoNQER40QIDYwbA0rp2zttEE0DITsDFxnUUQErpsmTt8QbAj5lwEqsp+j9XuYLn6Ej1v796YfICQxJACAnA58wEur8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7YoiKl3DIkCnfqwhw/4MQGJBvpv0avu/OnXOEO4f6z8EvyDY7U3wv5x+huJWzuC/E9FsNixHBEAuhl8gBXbmv5prro7DTRFAuRimbUWi4b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9Zc3edXNEMBkTo5tL7AOwLwSKJsus9m/+slmxSZX8L/43pXffGnGP9C4xyH4jt2/dfnH7RkdBEDLFTR/UwsMQPsVkoehsA5A1yeGHjEp9b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SB8YN6/gEUD25WqWe1AHQBKVdet16BBAPWqs4jqG8r96pB6RY/78v+B+CUjESrC/BQN/RFk19j8ebUYkBP33P9JmunD62gNAVXQOEUIU6j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AgzNfj78BkD0cY6Bk9/jP1sMjNEyOQ9AghhyygFMAcA+SUWqHjX5P16UY+9aXgRAbYIXj9FABUC6VJ+ZY7EMQCz602tjuwBAspKer0lmA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wSBp9RMEE0D/laYb6/wWQGgYlxkIWNw/k3MiZyfPIkAmihaCviQKQI5k4MeTd+Y/XRvbOoCFG0BcYpiPhBMGQLJ2Y93/LwxAwzg3JYLhEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xkAzH4iODEC42G4y5tcVQNyM0PiBFxlALdqaxQwoA0BfOdhlN2sTQPvL42MmxRxADw/1k3zZFEBAQl3AELQeQIvZY0FmLfw/iGZVr+CJEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NmDaswSiGUAQX62LiRoXQE6r2fRC+/8/zbxM8BiaHUA9DGolZHUOQCC7Zquz3xJA6eJoxvczGEAk+kYZFokaQONnB7Nz5/k/c7425zbJFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/D7m7gJwEEBtfboVGKgWQGhxveSMsg9ACMQRnsrXFEDp4KxPsyMVQHkLGY2DLBhAEwn3jMnTEUD+Tv3HQR4UQMYsmwIaiAJAjYLipEl+FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3l/pZsgJEkC3Der8M2caQOz/4Tx8/QhAj+k9B84fEkCB8cHO5DQfQBr/TffIPQtAh2ZwjExKFEAXC0LpYv0ZQJ8GSS25aQFANjdNsDDaEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LWa8maoPHkDNY7yHAm4IQPAezsdeSPo/eo8gCaJaDEDEqr2D3EUCQExdcdxSaxVAYMqOsRxO0j+8U0vEJoEhQNml4FoZ0A5ALgPQwdO2D0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h4l40ccfCECgcMCbZfHvP0Lsp6InbOU/72hZ4ZIl67+GZDHVG1/8P2MS8wD1iv0/JpB6ounn5D8JnEsxS6n6v5K0BvcL4v4/2D6wW5+8xT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"it+U3m+D2b9lp3QvXxMFQPGPNTZmEfg/hi5lYffGBECQ3D6w/sH3P54/c5j9UADAc7xJ3myVEECPGy3r/osWQJ+4MNgamxBAB0hq3TVI6T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SipSAhk0E0DM3yRtxqMLQBwnnhHnEApAXQI/VvZADEBVofvBqgkQQAAU+ocfD+4//1UoTBO3I0Cxea0nZKoOQLz0kRvINw1AKcV5xbfnFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Lsr51eTKF0Da+NNfHEDbP0qvyqbP+PM/eguaENvaEECMYwdvHicPQOtYCy4tgAVAuMkoC3SQ8D8or2Tj5wYEQL4BYfmdmwJABBBvkNxYBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"80YjQC14D0CPg62edvgTQG1FrSkORRVAq6V7EtsmAkDinzgvUewKQJTQKN//uAxAikeH7lLhA0CK725TJJcJQPJ+l3dlAvo/KoZX4VEiD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J5JPgLWeEUBLWR4IWu8VQH/Cwd6CzBdA4A//jmArub/KHJ2Gh34GQIzcMjWcffQ/ePw65V928j+gJ7VujgfSP/z87PgUlvY/+tw1nvrLCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+RGOejURE0CNVLRlmQgYQEoApraJGQ9AZaR2/3rBBEAkgaomD2IQQKQoApxdugBAUwE2l8nu+z9i4b1nJ8MBQCwmQ9hR0Ps/XA5hcHUXBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XOX2fJNWIUCYvFw6febnP0tRg9YegQdAxc5LTrDHJEAeodpCI4wLQKJ4qlIQiB1An02KsW7JIUD7TiH9T6MWQHUN94TkvwVAyKQi+IQzGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Oa/grxPAIEDKbWHbImIjQObfJfn0GghAExFsTfZnE0AYCAfY/WIiQNjhnuPfaSVAMffMsbYOIECLJufLsG0jQBJa2Qr6XQ1AKLpUbnNMHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OmjUqEKpI0B334OJsJ4jQOen7K3hYydA0nJ6jqVTH0BodGBb4GMrQD1VRjh7yhVAJ+5e/X3yJkABVEknF84qQMek3l2QUgVAFEvOgEIMJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AzyL2SF0JEAseH98vUolQNvbtB6IQCFAgqEeScmKKUCSqt56Xj4mQHD5vak9viBAkc1JQtxeIUBeSXng5IggQGsWjf7sy/4/xohBI9COJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JNsmr/OjJUDGl/fSnPQjQNjgZngBXyNAEnfNVz3XKECee56gqpkoQOJ3M3CqkyNAFnNGJIizJ0CFPUtehWohQE4ZHZ7uRPs/LT+15DRUJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1mEw3Bi3JECVmpdZMcMlQOIfmDrkeRBAd8iODQTCDEBEMdKvU1gaQAW3xumEGyFAIia/iPeiJUDkhWacmJgfQIzKOLxg3AFAlpCk1BkSH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rmbOmJlnHUDIIOOhz/8aQFeizYkNVyVAnpB5M07/BUCV8Bo5GYsiQCr/U0R+iCFA7PpD9XdiKEDRypvM/5gdQHI0THGeTQZAs9SLOG3ZIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QCZZKEucFECjMEQhwDglQKDgGGfaPRdAS8xm2ppEJUBpU3oQfyHyv/DXZJWZawJA49150WuG9D/WIkzRoQUuQN8REk0B+hZALa2AoKosEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XAYmkQEK3r+uxsYHki0dQDvtqEk9ygfAFoCuMibi+T9wPKig3fLXP01GwZgsjxlAGr99YucGAsA1kA+LstcSQPel0/nGkAtAUjmuyzNGC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NbVOyjYxKsBs3jg0lpgaQKBmD/rcFRVA/oPuQmLiJkBVZbXrN6fgP41DihmRuCdA59VTI9kJ8r9U1qx3y3UYQMnQJGFG4C5A4/B3wArJAcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L1+BcnCiIkB4BM4e2qQLwLFJoHlvZyFAWovgbBP6JUD3ciCQOjUQwG6bT/1uFvq/eCbWFLSJDMAcXwxaUDn3v72u//uahB9AG+5P8pTQFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cqoO1dnN6T8ATMI/xgcPQO41c7ub7RpAYbJ5a0mxH0DFYUfeCIQZQFbOdR8Nc/s/ZvwpgRsr+b8BWrT8takMwBmD1m9y8BFA2LgZJfCY4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UELlhoDb+D+wmgw9b0sTwLh3GcGpqCDAsz7iFJT0I8BlAggoLNsmwBn9cLb5UxXAFSw48JjT+D+ZbYzf1U7+P9rEKAb4MhpAosKQDCT5BcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yfwQWMM67L/wjJnM9BHsP3TkuGh5UiDARXXZWTf1AcCnm1fLLy4oQIXvKSb8xgfAGvA702of+b/lbQgZhkkgwHZpQPhv6xdAjmth9IVzDMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uuTo8gltCcBxXwwlBv7sP9i7iCJkiiXAqHTfKBE6+79Fs66d8nAbQJB8adnoXPm/70iqiThWD8CuAjERgjkgwHWFYS7AhBdAUpUeifMEEMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QvYe7B54F0AbTcgJxE0bwJA4uwcCSxvA5Lw/kkC2CUCCRHx9wR4QQC2Qs+VuAibANMPGcxxY9r9vLbihXysawN85AXzs3hVAEfT9SpB9978="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cIgrQyYAMECdrhTPK8cUQGemOfGGjRnAos2Lu0fTAsDvQUbpOpAUwMDmjEjQVSDAh9Y+NSd3AEBpIEe9oYcjwNZ80YlmtSFAjdS8p03YBcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9+SSQcgJDEB3CKqEn43rP0jYA47/kxvALoOBV65IH8Bcb6/4cDfAP8+PBbHROiTAXy6ulGPEE0BwaxjQ37gLQHBttO+XexRAnBev5Vplzb8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mv0zzq2LJUD/kbH8SMMkQGhLhYZLlfa//J1s0igyC0CPV7mMDEICwOyxGOhlgghABkYog3lyBsD1oh/cdmMRwKNQablzRRdA5EcTm7gXqz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oLXizpLAzT/6HZ3WQaAKwG4+yTPb5SFABXsgKQQWEkC43R02hk0XQJBXZ5wcEry/optV2ZGNIkAYkKHGbKcYQDlhq/G9NxNAKt0bA/g+178="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VyxOoTWJHkAgKDDL+DO4v2C5lIhjtsm/By919SkFMECSZ6U1tPTwv3pfgU3W7xjAo0wZ9OmvB0A8KDX+v9DkP52JJzK/whxAmOSpZlenEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ja3UBzkMJ0AeiOZ7xWUwQOHfVzDjIgDA/i+Kvb60LkCIDqQ+xu8OQJ4S+172ovy/54NmJCqHKkB3I8re5RojQFwTtLoOBy9AfT2KGdfXAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bulFGOE0JUBgbDuoQSYVwIryEI2qdQrAqtp1DHe54L8wn6cnV5wSQKOZCi/VZxpAFrODYbAPDEBH7uQq+9khQKduMPCzMyJA4Kbo4PJpBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/nui4r1iFMBBOE40984ZQFskZITYXQtAzh5aigBy/z9gRv3KfCQIwG8ml6uMtxPA1G0OufpuA0C2KHDYuT4ZwDfBsf8hxxNAqy6v4roK5z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uDhUyUd9C8D2tOg/IcMgQAEzWd0+wgxA3s8qA1YFB8AzzLHofvcXwHvvUTHIcRPAptGJt5QeFkDwcQaGmWUSwLP4jKu/ahtAlm+9JQZ58r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E3/fGRJvFMCJty+HfxohQHcZ+ySCHBlA8H5ykiLA0j/O4kaB7aQWwDIyIbCF7BfAoJi6iEg/IEA8gxBxySrdP8fvGa1keBFABb2AGKdZ7D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7kNqFA308r/Tt88MlYYiwJNnpPuIpxpA92Sz8SqFG0C6RhP7vncTwFhez8VqVSRAgl5ujlsnB8Aqw2VOlQPAP8D0LOi/uRNAvGF/epde7r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Hk/p6+9WEMDge1xbT5Xuv55SywweLBlA6Hpvvn6fHkDUFbFvOSkFwPXceHWTMCdAYiU9hhyx97+kpHK+A0T5vyTUgQGC/RlAYE0SF+k+9b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9nOCINZJKEAMd9T3StYgQBItwkkSQQ9AL+NtAPWXBkBb5ahuvZwaQHD4T1BLqL6/eAeOkt43JUDzUIpJV88fQMcQ5NaiGQdAYK1ZOinmEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jMv/t1eW4j//wkgKt24UQANUlXvY+AdARjasw8S0G0AK7oqY6bEIQF5b7kj7Jh5AdH9XmeTlCECkwaLIvLHgP6JnnLiXHgVApx0Uq7MVE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KcRVw1CpFUBK+/n9ttsSQPaCZH8UsfU/tiX80eVr+j+DXI8XhOcJQLxyyQqKdRhAJaKXDs6fGUBllYPvj+0CwCHm8RySkhZASxfKjg3O7z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rcpPIvZXJUDjmO/DTdgoQG34SRzKqd8/fBk3UFT3A0CQjeko/4e+PzpDVq+ehgZArzcqYej4DUCw1XSGmG0VwGRDdF4kaQxA6ntGPVaWCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3oeufdMJFsCAFjABHsEoQAbclgYHI/c/5hDypNiZGkCmgtXpfaP4P/1Wy6z8igFA1aukh6iwHkAaK39/UTjpv4Fb6TNhOCRAuJ6lFYdyAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sqsMjnK8OUD7xulT74URQCJaxEJw7P+/Vqy3agPrFUAelr4Es87lP3ht5My48hVADIAsdJ6bLkClQOWear3wP8Tp8OhBtyZACHejRC6WIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nm3mwksbNEBLG//t5iADQGycc6efFt+/Tnqr2HRJIUAG24gSgSoRQGPcsU4OuhdA68ToFLxEMEDAjmbtxj4NQBcSbQBt3iRAD62BT2ML+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pDD4YqX4M0Csts0nAqDiv7yzzjBuz+2/wKKnTR4+HED/zlTmmEEbQFybfCLUIhlAvsXyCFu9JkBAKv1uJVXrPwpJmPGU7SFAI6+Zb4ec3D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qo+ZCLbyKEBBwopnpioKQD8SwE1Revy/rFcyF6o4GkBGyxfE5pIlQNyfFJitvPE/+gDbHfDlIkDXUcK/8lAfQFuX+KjJOiFA5I2UKLZVHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ERn0fFLvIkC4r3tWNCgVQHtIFvEaAQ3AUcH+Kk49FkCol1mTO1sYQHN8QnfKW/+/d/JTjhWcJkA5xUQaL7wcQDVOb7LGTyFAqj/+dzujC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"x9KkzSFDH0BcsaBb1OXQP7QseLwiSw3AQBTNyD2PFEB08Vj+PskBQLv/nUDwmgrAuq+HOql2IkA40FB2qWv8v2uCr0J1Mw9AAV48RkbP4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QP1nt0gVxT93TvrezvYFwLDEVsx9TA3AiwtkNMMiCUA+lwTsrk7ivwiWq5LQSRhAcheJKRXaGUCExcIifiH4v20/3ZaURxJA9RaR95cx9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iKkAwjeiFUBg6i+qvm4aQIKnNFnxYABAQIu/7pwFBUDo2/7BWisVQM29IAe3QyDAnesi8IBSA0Cv+3rX4n8WQAou4Cx6IBZAoE1X62plAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mOnw9YomE0CpNzO+6VoeQI6sc9M41xNAEZRPlsPx8j+jsU9wMfwQQBtfY+ejBQzA9PLEdudeEUA42C5O6Pb8P+MLKULoKwtAS+UCAr+KDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jPYxcM8zAkC89JL5J/7rv0+kIy0sAADAVA6mO3ZI8z+ieZaM9XHwv6TrhYfJiCBAbK7dQFyFA0AY08V2Gw4DQLNI7x5PhghAc6TEZGkdBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dpIK7C0ICkAdQoyFCukPQEVT6ozf6iBA2lvsKbJCCECeRzIfSa0WQHH34xjAYCzAafnd+IYSFUDquOtnq2MZwDGUrcClXxlAUaVDoj+uBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4v/TLYYRIEApJY9BFvwSQFcYOT422Pu/h3OWaoFE7T+TMIKnZOQWQHXlwFnTFwBAWgJhDZ2NI0A+BndMW+MSQMT6U2Dp7hNAFZns1NfEB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DpqITFHEEEDT1CDfjD8UQDmzHofvDiRADSabtX2DIUAvcwJUbAr/v2V4ri/SlipA+pBTWlB5EkCuc9TpzBASQFFUHhFIIhhAblvtJiShFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XmGVxjb8B0BJCvMetobnv5zuYA7NWB9Au7HN7SQACEDrsHIoUXgYwF22tY3lUBpA4I7yij3B+j9OCUah9K74v13/RvSxfBBADKnBpVNBA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yiKCsmv1F0DrH67xqnIhQMNTd86bwAbA2qnaxQeUE0BAzZEs7UMlQEz7N/hDj+Q/iInrmF+fIECLxPKTIGwhQKbFyg+6thFAeeCxRouLEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+q20/0eLJUAv7qZeXdP1P6N7XvCAizBAwvN3PxeOIEAyr0rtx9oNwCBb+RkQ3se/aEByXHNlJEBAGYBBGJMRQLO8MLGi4R9Aeho3C9pwAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"euGTY9cxG0B5/64rGdgiQKjQCj1G9xtAnLjnC+RMH0ApifZkdnYQwFPBad4a+yFAjkIONZlg6j/V3Dwct2kAwHykDm2AEhJAIlBaPhAZC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+CSOXTX1E0BgoNiWTtoCwAYnxVJOLQzAiqfUsXkW+L+xE5W7+MUJQO1KYmzzUBnA2+kBWIjsI0AYuGf64zsiQLZz+WmiIxZASAmw4MIR5z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"r+gt5FO7GEButm+sW1/jv2HyvO1WfQTAJF8at/1/GsDZGzh8PSAgwASlzZdu2BDAbCr1K+hd7T8QaHX0rRHwv/aqfY0hEhJAAi51DqUX+78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"d3LUPxhhLMDoI3Ovn1QOwEBtolwgayrAkBOoZP+sIsC6Dfk2ziMNwMjvrz2juwJAD9iLVnrWBsB4MZh3VAYawDka3wfKaxZAd9FX3LQJHsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9N48X9XoIkDUZkmJIegXwCqz/U0BixHAYHtJhn9bIkAugKZyIGIQwGQdLFGT8NY/yGhZiHqFAMAo/37R7mQuwEKHHDvd0hhAox2sbGGz+b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6MrnESzcLcBdNm9fkwT1v8EL56FCvSjA2hkaiKc9FMAgI5SoJPwfwChT3h5QOsW/gLS3/fDP8z9wf0tiHIASQMYqEcPNyRRANmJsu3qfEcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"klEv92QNLECZgO8ENEsZQHiZ5tMdnhnA8RkwLeBxCkBvG4uzC2sFwONdn3gBXR9AKDusm6ChIUAcrUtoQxvSv+tfo/L8ABBAUQweDT1N7T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L0z276LRFEBTDfrmGv0mQEasy6tNyxdABYxmLy/EGkB0UhK8MA8xQJS9rcvo0/i/PdblSKHJEEBkMdjsYRgKQJ/HfGB56xZAqMBZEwUuIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WPuGU2d8AkAkam/Iu/sfQBQPgIabUitAhygOVFvgCECHAnU0ILsuQNTRZrEeG+w/zw6EnptbFkANV3os8FMUQAxIUlgl7hBACa7F9RGREUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XUtMfG7eC0DUYDTDMzAhQCPHTkaWsilAoPUXAjpSCEBaW8Qo9PgsQAC+VeK+Vru/yPO9Ev7kF0Dsp6X6nosMQJG/xJt4RRFALmCqcNeOFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AZ0bWupIK0AU+BQJuXYSQN4ipP4tvP0/sbLCRvEtFkAwqzoNoBoFwFOWRKtj5RVAytRA0wLxEMA657jj8LklQDc/aLwuAxpAGEhsXegeB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9IJFNspHIUAFfpo/dpkmQHpAlX0AQvU/eep5Yzme7b8eOcMBbg0qQCsyHUew/uw//txnCrgpNEAE4jsLvjgoQJYkBHHZaRlAHShhFFmuHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hCI3Ct5/GkAWSwFILvUcQHDN2PdQeuS/Ytq6kVcMLkDgZSAdEjTwv2iNLtN0nRpA3Z+kzkl4H0AYuCspPHz1P5+UkZYVxxJAQ5ACGvHmD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P4kV6tATIUDF/+cU82UUQJG14685WxdAl84aNzoSI0D4y+2vNCYiQC96MtAragFAP0tPJrL6JEDedU3MS38XQJcwaMYQ/hBAiuRjxrXyG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6t4sqCqwIEB82f2Zu9InQPhTgc6oriRAQPUb5C4BHEB9oKDX0nMUQPdNKoMVWCtARnNHvEyTHUD715qgOmAiQNIOmYdusAxA821pZGhcIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nRz7ZmAPJkAo8UNy7Ef5Pwfxom9y0B5A7jgUhJzQB0DfnWpkltMbQO4iwSlLkvs/quDUX3KLEkDmujWkh84UQO19dCIayhdAS7r3EJF1CkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GKKsFgKw7r9RnDigzwcBQLT50bOSruW/AImy2Z9BEMDwVo4c/C4EwIHLYqGIePU/iSFJu1dX/D/2F3lQp2wCQJt9/WpHlgJACDiJ41YM7j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IIZnZUe9qj8eGXcGWhT8vwmM5B5oxus/mKDAuV8R2D9IA9f7DVoGQFhst+AaCr8/vJAOupEO578IYOkTgQvUv0DvwtobNPo/Mm5fpkAi0b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wmmP0aSH/L8sMKMB4kHWv6cCE3gPgwPAPFeYC6wg/b9aUe01jwPpv0ul7wpWUfC/OijLR/uV2D+WXilCR2Hyv39YeMIeGvw/N5ZOAoTq8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/sqBnyr3B8BlexjgF8X7v6GUb9BrYhDAhnUmixmPAMDsS39/AAfpv5/omilOOhXA+nzgI5nz6L98BjgLe5fPPzpKPTBVfPo/hYd9T30J8L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"moTYBBMw978//YbfFLcFwEwXcnd22fC/BNYRCdCPBcDmn7ZBv60OwMZtDf5Wsu4//fAdJ0L4B8BmIiTYGMkVwJvBc38qO/0/d8lX1iFeAMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NVcfO7wPEsAtiEgJQxb9vyhEDiVPGAzA1R0Yr0fM8r9Oq54c4u0SwANXtXkqbBPAAFPjMyLd97+AKD+ckNeNP87d+8LXbQxAZI4bpY15C8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pm3HRV+cGcBGpiFS/w4VwLPp94j3GRXARDYnSkFI4r9t6xo0QnAKwPjoSQHx4vy/VkC6Fx6GF8CbhGniKRb8v/b9lvXWhAFAxhqYKNSOCsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NP9BtTB5GMBv5DJ8Oj8IwLwpiFwAOxXAZuGbZLld7792m5f+IGz7v64ypH4hfgbA6xocTikSGsDQEVp83LEEwJKhfNUKNQJAq/19cxnWD8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"goBv0WP0B8DQSi/XLSMSwI+JGphFXB3AmQZgTSPd+b+BRIRrgFgWwMuDo3k71es/F6Ly9hx2BsBCaA7nCULwv3J+qUH2uwlAGnjutCSw8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Uw95ImRsGECX+JW1gAcbQF0NwdGdlhZAcM5NQU4PEUCVoYr74SMSQKxNG6OYJvM/CKwwhCYpIUBx39wzur0NQKXYdsLtTARAY0yWaMtFGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ljwwRVdUKEDPnQY3MvEiQFw0fBtKbR5ANeiv8ZDtJ0DKdj9+nqUjQL99OvOdaCxAM5uqw7ZaIkDgTUfAIkQnQCym1sGZmwFAQiVjE/KPJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"th27DdCxHEA7kdRaBd4jQAbDGm74hSRArJXUI+4IIECO5OibFR8iQJPwvYzWsiJA72x2ABqDIkAN3vJ2f3EhQHUag745hfc//VHBLePgIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WFuOolpnIED6Bz8JZ1gmQFs0jWugLh5AOuC/DsnhIUDJ8COKWasjQLhJkx/RRiJA2vu9nSniJUC7LjyXzOIbQC1kMFTKAvI/lakts4eQIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rjzRuMI6I0C9Nz+VI20mQM2A+X9dTxtATx+mnKsQHUC1+ZMhRTkiQD9M07pzYiNAqXw8KtQQIkBLopsmuVEjQHgO6YVB9/U/yz6/lRn1IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rjzRuMI6I0C9Nz+VI20mQM2A+X9dTxtATx+mnKsQHUC1+ZMhRTkiQD9M07pzYiNAqXw8KtQQIkBLopsmuVEjQHgO6YVB9/U/yz6/lRn1IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rjzRuMI6I0C9Nz+VI20mQM2A+X9dTxtATx+mnKsQHUC1+ZMhRTkiQD9M07pzYiNAqXw8KtQQIkBLopsmuVEjQHgO6YVB9/U/yz6/lRn1IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8xyLLAQJJkCLG/RVJ7wiQMLNmLIDpBdAuBiLQ5nrHUBF0IFy7pseQAq+rspZGyBAnn08bfKnJUAuwoFwPwwhQCAqndgUNwdAEj1rUs0uIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dPiBF4ulEkC4kHT/GusbQNylgKNjOSNAv5ioNaQ1EUCMtGIZy+QRQFL/WkmGbxdAmyVclDvFIUB6QwSh4R4fQDYHIMuFcANAy7j1HQzPGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ScNckedwI0A23vG5xM0XQMW/927anBJAywjQV0WcIEBP/DvCfjAWQGynzWTHEBpARA4mpoQCDEDlUSCYq/sRQOjJ9g5L6/0/JC/mEu2iGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fRWD8y6SIUDOgRAVmAMeQGNiOEBA8B9A1r15RVI1IEDvs9rr3fQaQAxw4TASChpAdGhcwG40EkABBoEL4zIWQAGog0j8xgBA4M9JnOMBFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hvH/yNJI6D/1vmxdzrYZQBVMkcjknPs/JA2rOS/5+z9nudHJN9HwP0D98YEYpuY/SzrW3lOaCkCFUHbDbK0FQLGIAjrWPwhAtM1SjjYJ8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xGhbTsvU9z/WMoRH7Avkv0iasK07Gfw/3D3CkdAmBkD209NDMdggQP8+AdxoW/S/Ls0KzhjF/D8knrPdgBD3vwuDHsB2KAxAO+zvO1utA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/VoWgX3KGUCiG6FFw0UMQCiYgmMq3hNATZ1nMeeqAkCl6SnM5askQBSPYw/W0BRAW28c4ithFkAKj1pMpXoCQNsIYem59gdAwit/QWVEGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nuNkRTWyFEClJz5R5mcEQO5Rjp1T4hBA+99ubRzHH0DmYUJBN7EOQJy5f7KRWhhAnubFoOtdFEA4twF7haodQIqDliLPcQFAFJFemvJJFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jlN2WWieHkDPOQxbiWYgQEUgWEiFGRpAfZX3oLwFEkB/zpGKJKoeQN1bDXXephdAKh6XCnMhHEAqZ/KlZ/ULQLk1fd7rjgVAeTCa9Ue+GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iC9gEs8PHkCYCIyxnA8hQO5V/yWu1SxAlkK3/7MpIkBYcVW7+TgfQCp63oRvLRZAOGAXcSgnHEAM9srGKT0TQLAXFIJnxwNAg9uJo5WMIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DG2wCZ2TKEBOIIcTWcAWQCJK8nWyyes/btSmpYGDGEAJ/grwRDcZQG6pCP9HpyNAxm+O9gzVJECohupA0UwjQJiugxUM4A1APUwwaeYxH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jMdMISxlEEC0vACLLKnuv5xoeM2+HyFAw1UX0PZcFUCXlO2QTDEhQFs91rnV2xxAhg1AOLTMJkBRgtMHsK4aQAFqV5J3Jw9A7CPuZJbtEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+cNCBsaaFED7I+Biuy4CwOPHzk4E0BFAQPFelfrKIUCuD0T+A8gjQFDulgLAk8e/0GNmobnKJkA0UdUfY5kRwFKOAgYylB5AjpZCg+T7CkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NVKAm3hBIkC9IFtvv8QiQGALgpDNIBRA9mrAg2SRIEAYuPBlTd/xP60QHtlPWh5AreZ61yUZIkDGHItA6vEiQHvEPoYYKgFAt+JxGVYyIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8jx5CJ3bHkDnEZqDb7r7v6kjtTTnDBpAHqPMJEs2IECM74WhCcouQPXATORkpBxAUJb2b34RF0CZqToxkIn6v/T+AuunVxhAu7RhoaAXFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VzLND9hCH0DI9YXGkY/oP5HX6fr9AhZAtY5fzUbAHUAUVxZIf4sxQEuA626SUAXAAJGgdXfpIEA6ohoNH0oRQM01LCMkAhtAVqRiqxxhE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ocj18mc3KEAQzhb9aPIjQP/5Cj21IClA2NT969HzG0BwQ2sMTu/Zv4IUyLTZbxtAZG+lyiH+K0Cucy0r0LYkQG1HKSvXlwZAOok0mEe6IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3G+r6wo/wL/2CDjGx/EXQDppLOYktSNAuYzK+CfYD0AU0OD9qD8GQOm4KWzLSBdAYfpfVD5XMEBOI2mco2jiv9VDG2B6riNAANa/nkIB5j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yJ7Q0/CNEEA78eFmXs0gQBPonr4F1xtABrq5TSZgEkAXUTlIYeXlP4uPgfXkJhtAX2BjwiePLUAuZruDQpP4P0pluDDdPhlAFnNGVLbzDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NvdfMBrEKED4aNkZ7NcPQKNXxBcGzRDAvUF1v9tTEEBvnL47Zq8lQPjjUKzFYSDAf6MkMtpeHkCBzmKRRxUTwILupX+UMCFAZM2heRqdFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5l4DKfgtIUBxATTS4ZQhQHrzNDyb9gTAnmIcfd6r3j9Klf8GIq0wQJExGL/NsiTAbKyE1piRHEDKEsbcJHEQQAKwClRxKB5AVHOnGd59vT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4qbm1BMFGUCF1iB9A28fwPCCjRaVOda/hCAOUG/SKEANskHphn8QQECUlCUOL7e/33wDd5DMKEDjNCU1mvcgQAQ63h3YLh5AARMevK4XHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UWC/b5riBkB64JNrwv8kQLjn8ExM4SlAZCWOBKYgBkCUXEjq5E4CwFgovfjnjKg/sOaNaY7EIUDt1LHfMIc2QC0MFXHapyxAEqVrtJ+y/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6PhCetpILkCKBFWRh3EgQCwgVNqwHx1AZvYQ5CVPMEDXOVrt0GgkQCA7OR3Mrx1A+xQPi+2YIkBEnsbB7wkaQGnHQfXodA5AVlyuNd2pJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RoAlft44JkAa8kfYrpchQDfD/bmlbydA+g5Oa77fKUCnX/KUs9ofQN1HsPKq4ypA6nNm3K6BIkBHmMfsawkbQFsslnRQYhJAAPKsTbJQHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2tM8WjAVF0DoXx4ALFMTQCvS/iU3eiFASYNyfDGmFUBurswz78QkQBMveUsRZSBA4Ogkv4s+L0CjRER0MAYlQFfvjNg9rAtA0xSw3FcFIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nhSNSPRYKUBs/exE5PQnQKZWzQgDoRtAbiY3ckriIkC6H2016VcZQL0Pvb7ncSdAnK6ZOv6qEEDM4mu8wYEfQH71QvpewgBAYfSOWaBjIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KFu0pVaIJ0CKYQ/2uWjjvz36KKoBWCtACyqlRQhzNUDtgSYn/QohQK2TE4VIIBBAP6bWrRSGLUCMizm572cfQEmbL5/JNSVA7pQjiDfFE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wm+i5zvWD0Bnfp1dRLMXQDS+xbcRdhhAVW9OuyNDE0B7zIELdfALQGHHCvp0JyxAkGT1nq5gKEBluKTQ/w8yQCURf5k4IR5Ans2HTtAKCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OushqaFWL0B0BCY3BwcfQIjDV0egtApAn4H1ixKIHkAnfcmk/IgdQKt+MA9NxQ7AyZC0LiL2GECYZcYq7YgOwMgnn5YtpxlAbA8MLo567D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8lju81+oIUA3iCQY6WcAwEQLzyrDZfU/Tg4oOX78A0DZi37GCR4cwIZeIqueFxbApFRAlHgHKEBV/JcBriMBwDoyU6jOeiBA2qVwYdpM9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OtbMV1XyB0DqxnTN+WsXQBVOHCXQ2/W/WX2u86mmIEBaQZ8N3CPzv9bt2wJksPm/HqNW0y7vKUBTq7MzMF4VwLJMQLkG2RNAZ+oEGUVV/j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dGhe22vs8D95WzntfE0WQBRvs4Sf9f2/hSBFVCqPH0BEF9H1FaYHwM7upoYNP/C/6CLJdByYJkD73GUpa4YVwBVmL4eq9BRA0vaKRZveAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h6bWxtVRIUBPOenj8vAOQLawVEeoNyJA38XMSZBg6j+YYc3vxmgnQBgKzAk4XCFA8uqqAg+w9z9mN0Ut7Q8iQFKVmrgCzxBAzQ5sv55oIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"C0Qy0X5gAEDacDQCJIIWQGzFSRye0/k/U8+qipGOIEAXtz3UWjLwvwxsbxi8xvU/LRLd4t4aH0BANQlaHQmxv4EIxYCr6gZALzNT0F1AAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FDaWWNfA/b/qQ2qHzQcWQLrNt81YLRhAmsidL0RiE0BQg55364f0vyH3/37bfwxA6qt2n0caFUANxNDChgEdQDBWKqQ1YxRAPuRxp0dtEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ADle3TsONUBu8MSs3FscQOMyHa3LbBJALeXXT5GJHUDUSUv7ZkMkQOSmTA86PRNA6cSrOT9YK0Aj0MtYflsWQN7A4DUSfRBAPvwR9cQ/IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K9csqvT0MkCWYZ/9hU0gQI5lbTnSABBABnDqUAvqDEByYUA2mXoaQNcYb6E8KgVAu3FOQ9c2KUB2LrjK5ZQPQGVka7IWsSVALhLzFgf6IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lGDUWsRt8b+vqCR6vL75v9tImE/G4sA/H0q/YioSDkCqrNTDRSwAwIRAMsvdmx9AK1tp12GIAED8upsmN3MHQIShdSvj3xlAINKdaOPCGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ADSrKsHHEEBvbRsGinTjv6BrnjDK6w5AxJEyByynA0AVECXThd/nvwGwb20y/BlAl+ERbSJqCUC4uFnOOqMGQBSLwwMomBZA1uOEZrdIAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XVFpUqmVFEDRO7huvAz2v5kVmpROyxFAK6piz0UuBUAPxya4GyTjP2MInI2BABhAShHl8flTFEChkVL3DL8OQM8eUVnu1A9AxHu6gSCG1b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Zr7iYwL5E0AK3LFu9bQkQM4p3lH0XQlAMy23fqDfEkDUAj91zYYaQLwUtiwHbvE/EKKkADyZEkD2jzXSbNQNQDL4cvxREhNALde/PH6P5D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UW/cvLu4E0DLJdpSctMgQIZl9Pq5i/g/PtogW89HFUBIBvpqxR3zv7iCjB300A9AyiTVqHOqFUDXry9kpIsYQGqTn6WulhNAtllenMwe3b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"flHIlauwHkBk/HfJbXEDQJ7pCwkjFxTAwm1wLHx6LECY+L/16JjePydL79+08RtA9n73FBNqEkDscSlvu8QKQIjSnYOeKRhAzUiOa+dbHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P5Zcq/dmK0Cv5MPpmUIdQBxnZNbC8iZArofOTaogLED8NqLLDuTxv3YBIZS10BLAZ4PUJsUfMECVCNZGzecuQB9+8DryOCBAVZ0+n+s4EUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Jh2Ov+vKMECSVL+SWrUaQI1K+pd+qyPAnrYASvrtEMAQTQzLLcX4PzRkMXX87uK/INVdllsIMkAsAo8AUgktQDqU30ur6CJApaohxNDWHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EZcZdSu6OUAnnd2zAlYtQPBIs9iFEwvAg5EnNWypI8BW5iNEuuUMwGpHZj82T/2/5CNlgox+MUBd/t7/yCIiQPsPxOzP8ilAAnFR90qB6b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"D9BPfW9sJEAYSK7icDL3P+5CRv0CcghAhKgX2foAMEC2baq0V48IQIRAVZ+rlwtAFs3YNpIEK0Crxr2HE4v5PxFCWWBXhBNA1quh/QNtIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HsG1lA6fM0CD2gCKdyoxQNK9OFhGuSdA/24J/FP5L0C5nFWUw1AgQDKCeClh1wFAiCxcpkIZIEA6n8R0+p4wQMGLpwti3R5AmjY9SI7lGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y3Ea/rj0I0BhUR5OFt0vQCAwqrdnOSpAr+rWLpQpF0AKy25kwVcrQHhiUQGQ6iJAOY+KujTdM0A0tynGxAIlQB4u6FxbRQtAHRMHXENKLEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TiELYJQ6JkBJgu3SQGMmQJeJJs8u0SZASK15NGffIEAjHgtJ67kvQN4MRhzZkSpAc0rm9VeqMkBzVKv2AGYzQJx4Hl0UZA9AXjD8ruJVJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wlKUKJr+MEAD28x3Lk0qQJyfKUvnvi5AZrpisb1ALEBZqH/k67IfQI5MCscKjylAL3tTQuwUKEBpRVo5oJ8aQJFlXY5Y/AdAwaANfAX8JkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9ZCiFsVKKkDUrYBcik4uQDmtmTHWJiJA8Xy2svV+MkAKDgaY4swoQLeNIrNKESBASSo3p6jBKEDZGlg8NUAnQJ+mH06EIgpAVl36i2IEKkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SkYYMo6DLUD8zL3ldSgmQPG8z93WiQNACkL3+KmWHUArKPFeX8AmQJBUbTmWZQpAOZuIu8GdLkBcN8dGg5EjQEWEDL1mrBRAHgjr4l9MIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QFD+F2okLUDejzF5/WclQMbWjk86BN2/jDHml/7EEkBBgbDiRj8hQLTZ1VwCJME/MObkfEaWMEAU8iPjZof/Pwa+mTLpbhVA1YsnHYcyFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lDVGGqyYFUCI429/9YQMQKkVfhJVACdAKLEyPLtAJkAKjIFGAbMBQKO7aUQKqvO/PFfrC3vVDECicFq1VzcJQJQNhHpfcxJAoHLVLH/UB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JbrJlm0DI0CzMTKluNEFQEBTw4sddNe/K63it6UmHkDUBWDeTIcXQJR9WlGg39A/gSxPrO+8FUD9YtjqBijgv+Zd4YVx+x9AJlemauFpH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CVV7aoc7KUB2/BSBvskVQKi1OvGWUwtAxOCDo3zgEkAmBm5+GoQUQDZ5vQxKEeQ/aGl5I+42JUAbQoJtrv4VQAYpOOa/ZBFAAOdu6HnHG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mq/QwPps+D8c5/o7e10BQCDKoJWo9whAMa1g5LIBGUA6JggbdhodQCreuvjNnxJAf27iRbgRGECw7jhFlV0IwNyHWK3j2QpAgxYLBBLd9z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RIqmcXUJCUBIvS4WRQHmP2ibBWqyzwbAEUG20tySGkBYqHXkGkwTQOHoYIK+jxJA3qCh339YDkC2WaExh0cQwDPmJV4sjxRAhkELNjgn/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qmma0IvnG0A0gkul0JYnQNFKDPiGCiBA/DoPt0jvJ0D2kbPZK7rzP5HNjlioVtA/x98avfOpKEB20Ka0lcXivzq11xQ20xhALKraSIw8HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yavhnEvkCEBIGoLzDXvjP4UiW1YIFfg/kE+fegJd5D8SNxlo5wMTQBzrJAVQLxpAqZjVUHsm/j9Jm40pyMUXQDTInuMRwgBACDLXQv6iD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WgAoZN1/A0Byc3lCst32P/6GzhXTaAlAaKKhfzu4xL+w29JUXpETQPjG/rLXfhdAbPL+8BO8AkAIgM+mCYQWQPCEDz6+ZgNAXB2VHZD8CUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bzN5PxVYMkCAnX44X4koQF5Ja2bDzSVA/Ix90jTFKUDGmGpDA9//P7qfbjVL8BJAeb8PHbfGMED47JiANRUGwCLiPQw7mh9AvLLrmE7FAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SRNViZ1rOECiXU1WhZUeQM0Z/X9H5S5AOrjBOfufBEB++B7rYiUDQBFf9B/STR5AlLre+iNbLkB1LiwGwGXnv04dnu+uASRAD6zvGcvKIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UiZ0Lr/bJ0BC92RX9QAGQDC/LqbIndA/h9p4BZ4hHEAGhvvwIrMhQFRTRVYe7+g/D3R6x8odMEB2vXHSCOsNQATC+wYqIhRAsgA0F0McIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2ZMFmukJ8j9ljalqVJkjQGn7dUvwjw9AyIjnayP9G0D4I/HCkbIUQIsrGitj5iZACsplOwhOEEBQRVBEYQPjPyz17Ci9fxlAPkLdVRl2HkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LJdp69FyCUA8or4AlxUaQDyl0jmRWsC/WCyKGdpK/T/9ZpRi2n8lQDhgfqRgKzFAmgUZzuP6FED/LrIKI+YuwO4gxvUROx9A8m0Hw5G+478="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gd7QLveGBkBEt9VZEUMTQDAZxPfW5Pk/BGqGKZqzFUAiNiidjMIEQEZafQKgxCRArqi7EiJ3GECu6Cdqp/YywNGwHmuKriFAdsIhGvcjEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TvIyPHAHDkCf7n4o+7j3P+iNWrqdde2/hfBz3V3EGkDyeGFSlogVQPg3QRvQyCVAEijEIySuIUDsGvb2E/0twFLAz52GzB9A9Z5RqEDXCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VWpaOsetIECzpkFyYscLQOtzKsvCeBDArPwzz4sTGkCVYf+L+P4AwMvRSI34PCZAHAUbyCh5J0DhrN1BRyEswFbnpeeqyiJAyBTk4glXBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xLt55/A+EMAElsp0eWQYQLKyJbLdjybAZhbuF1QQIsCJ4HFG5FMiwCzsFOdDbAnAJKvy10pR4D8+eYyLqjwawCGpFHkWkxJAw1AeJup8FsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DCuZbeXdIMBrDAh/8IAcQFXag5+MPSrA2AxuQq02I8AT2JfyjkogwHuLzUE6Uw7A8BPvrSqI8j/M1ujqyBAcwJRND0K4MRtAOlcSU6T6GMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/pSXyth4MEDMvLcY8Qf6vwXAESvJnS5AfwvdhdBULEDiqe9QinEmQO+rLNn/3RdAnpkCJ4WOJEDy2FWFsGQiQOzpjYk/OSJARc3hPawhJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8hZpwTMMHUC5S9UXF8bqPx/cwu5dQSJA9XcX2UHOMEA2TP5lsw0ZQGg0iagXPwxAZdvx23zrJUD8d629jy4rQHW5m80ZCxdA6qyX+wejFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zRbIA8XUJ0BqdlG7jhgvQNBW9I7dGBLAmlITOd8IGsDTom9h78oNwOe4PGw7TipA/jKxaIMIHcAQTcSqYjUuwPLezAPM6StA6CODFxHtEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"d+KEDsZOJkAjAalOsn4lQO7hh6eWfSNAmbGMkqOYCMDBYFiFCygkwMzBtdo+hStAbICsmuTnIkA39DvUvvYlwBXTFPiVJB5APZ64DWpvAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RbsssXFFK0APNF5SgnMvQJmFG7T88QpA0os2u1wq4T+myXUI53giwNsDjSJnMh9A/u7BzrcyEEB1ZPthgPwowCrlD69apS1AsQF1h2OoH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zcOl+2oWM0DIn133AGYtQKY8EHTlZvk/LZnhs7lrGUCgMR9WiXskQC6x+IA0mum/YpdVQFcxM0DpHIh882UnwCbSd+zO9CZAIsNrme8T0b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qvZoZhw7QkDeXdoDUj8kQIWLnzEsD/M/F9VHpCzjIUB0pINHXKoUwEe3qmV5mDJAX/X7pVajA8CcysqHWf0vQDVwS2r2cytA1EbILYGDDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NuFAfGA3QUCoyP0+y0klQIJJwFV64NS/7B7Y01DeL0A+cjagGL0WwCt8r/WEXyVAdxnzAYiaA0Cv2F3oSKkwQA7ZVjqvkCxA918e2tjhAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KJpBob04PEBMclbRbIYLQEkpSFnky+0/YK2r7O3LNUBwrHdqHqYKQMYs3Rz26iHAb+fvQ/wOJEChWFiJwk8xQIrI5rRXnCxADI8t13MMIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hSs4SI4MFEAbE9tESkUNwDMEY2twijZAUgDjltZyNEAKoo8jDY0TQIyMemf9eOW/EttBEO7yM0Bs/V/lJuI7QHqFLy5FpC5AVDcdO3CRGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+iLC8wXaK0CJGsdrX+TwP6OSJef1BzJAoqFWXYxJLEDzaTF1go4ZQKyW976KRwZAZ/jSN3eDMUBpjVVVZdk0QJJUbdKa2yFAwIX+7lXjB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HlbxGVwYHkBolcJoc5UMwFghoiphXR5A5agcRO8BLUAkPXN82y4EQASXrwUp2RdA7ni/LN3fFEAlw8/1nI0qQNxQFRsfUSJAu+5oZYVVGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qEIiJwK4JUBMzIL///owQPIw30V0eiZA2sHMzvXtKEAWlVXgaYYhQM7hO4o64QTA8vAoiiH+KkCiUksbcmsaQIWewQCQ7x9ATL0fIk9OJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fporgakFJEDMneuU0ojivwYLUruylOQ/YvwN5u492T/6wLai/fHcP3Pg5wEO1yFAYncVsRu3EUDgu3lo4m4gQJRZ0jtQPRZA0f1VoA4QFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dB41LyDcJUBb6d/+vcsdQP74kt8s1/8/oyUCXkc8CEDvaIDpVUn+PywMbEnA6h1A0e7pH5qFH0BWa3Ms9ujavz905sbDdRJAak5m70jq/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TZTTfCMGEkDevqPnbzsSQAV0AlqP+iZArpxTSvLgLUB04N9E9rUZQOMpYUV2xwVAcMSBx0RMMkCmKLXj/RAnQBo6IZAspBxABf2pk0jPIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KAyW922lFUBqnZ9wjY8eQNQbXBVo1CJAWq57VfVjLkBgnxIPAbAeQIUOANyCWQFAXRPZFaGqMUDTL6t0gi0tQLA/x42QxxBAUIwja7HnGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0QpqWfgVIEC4OKWyHePmP4U41bZbGypAmDp0hBxFIkBl65c8dJIVQNONsK6Q6QJAxMjri2BpL0A/rjkDzFojQECyxSa5ChRAJJmxmlyjJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SM1/hAREIkACHBw2tKwtQIJ7Z7uIu/E//mhQmAusGkC+e86PlUMhQPChdyl6hC1A0d0Rw0GWJkB3CbMEU/UFQEqyjK7j7BVAmg70GrNdIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xU99gxoHKUBseYPOlHoLwM6kJQzTQxhAuuHAAunmHkDZf2EZkIrhv9oYUkucPBJAHk8oB2eBHkChdq/7fhEpQIfhXfGKoRxA1Ms5sq29FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K1qi8YKsEkA4ZdKsP00wQH5rUYDL8fo/FKiXWF0TLUATXYbFEqEkQOXt/3Tz/eG/Q61cOB+TKkCj6PdK6H/Vv1xxv73m/yZAaRA/f98BFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wMLvPIpNCkAgYFii5bczQEoam2w4KCBAvwK7LeNWE0Co1ob9qGUHwHimcXAKhcA/PKSyW2pLB0Cgglmc5/krQLs030L/nA9AFsrFU4YJGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Lt630vAXLkA30qzHF7AowBKfXOvZJQzAPFEzEzeP8D8h1yQWlPMcQHQ9N46IMiRA6E5jimwOLEBpZlBzIFocwNRxQ12bFDFAfO3S1+uKB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lVnMhDwuFUBqmnbpzNU4QHI7WHRKPQtAk4bJTX9KJEDATmTTBnARwKwUsmZnNxJAHv84XqOZJkBAoQthxpAmQAPZhYA/3xZATM9QDEWpIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lMC3J+KmOkAhXYEzIyo2QIAl486mD9O/h2kMKJLfGMCQ2ZdpSY0ZQMWT7SqeWRJAike5x3dj/D/HfJ9A8PcoQETLkwT8ry9AkEx032eK/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tp5HjhkcBcDshsO6AHUsQMBWJJ1qITDA/G9zDG2h8b++RWW6GuAQQATqxock+N2/oweLVPiQKkAzBU7awIcwQJyXPL67Ji5AS8W3F0uoDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YsR9zIAa/7/WZAHBp+MmQAjuiEQl2DLAEpMAxOmF3j9burRvCEwHQGZ7W79CNBPApnzCqdN0JkDQrdmr+IIkQDVjlvKNLCZA+HeJpeGhAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gKBGeVOwD0D1jcXFcrQrQGSVVj1+HSLAhRDtGsYyMMD0LePVgKMwQEk0HXft5BDArIQ4hWPZGEA8sGgDDAsDwOehkPyzfyBATSXWg+Dr9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2eogMH4SM0ABLCBMRawgQIjSov/Q+irA0o+uIIzuGUBCkFQPPakCwI9bgdY7EArAgkSEigOEGUAM13hz9dUTwOOQa5RCUB9AELpZR6Ytxj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5oNsjcUzCsCCDe8VWy4MQGNk973w+xpAU9TNO3R4+D+ljpAXvXIdwDDfxlDGTCVAaZOvUlrMLUAEHVVYuzjov3YHb7J5PCFAWv1rwogPC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WpO4bykYHkDsthyQ40kiQP6AbVQVY/S/yLlrvcwUHUASvLRsLx4HwPgRs51JZQVAnI4YgLjfLEBy0uljudwLQPVLiCLt3BVAL8kNQRUF/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HLemQZnqF0C6ZCU7IyYXwDWVxdWbq+C/yisOQQcxEUBegsXs+MjnP2CxN+EWkgZA/thCSGZBIkAcaMkDr8sIwEAvn46PqhZAGNdfliD+DUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/tiMmsoz4b9tIdfS87ojQECmQbzwyeG/wjWuF+vOBECiABbT2FP4v8DB8tSyOR3AVK2mIA6GBcCoyFRiOxIVQDFAeX60lhlAhlQBPbCWC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LQpLxLbbHEDiGB5ehL4UwPx4ayuSEuc/gRtRY+yuAECA1rR+/g/+P6wYi0NrqidAjrshKqG9JEBmuhLQWB7+v+E7bWII1RpAlqHg7onZFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YyBDeCkNFUAySJGM8G8rQB5cNGegqRNAVhdJmZ81IECdmDAsaXUeQI4iNNXJqPG/MT43ruCgFkBR/LjAxN0nQOqg6gIDPRlA61O30JMXI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"csnA48IaI0AmZY5OwEojQGDUJw1tR8i/HvEQ8pxxIkC9uRmDvSchQBKH+a7fJ/K/oSodWT5sFkD8cEVhhJ8pQPfHCxrc9A1AEihNWb0eGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6KVPEMAuG0BUQxUENyUKQKbrbuyS2h5ABOeoSuqL5L8u/PWU8LETwIZK+QB52htAKr7dY6d5I0D/Dv0UbtoBwDW2WUP54hRAv/p7EEC0EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KWdS8h6HI0AzeCu122HqP7nMjj+BuhJAkEKmkmC94b/0JGanC4MTQCPnT7FD1RpANaR2a7lgE0BcLGgua6obQDvAlZSvHBJAwr9s2gPJC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w82/tI6oKkAsxrXA8lAmQG1ojGV3lyNA6b4OhcyN+j9wqBrsqd0rQM8Ab8v4LSBAvODToejoIUDUn4ykCDUdQDlwBQ/PDBBA+KRzZwUfJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7bvTvqnSDEC6yDtlEjUVQHj6JithDxRAgkmpzqBxH0AKPDLA1bMOQJFdfzZ1YRpA/i4PoGH9FUDuT9sUhVcWQNAlpyW7NgBAmMJOKAloE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zc2MOztZGkDFIwAdqVESQOTT7210sxFAXbLUd5J5AEBNzrlxOFYTQEaGBZVlWQxA0iZIPJgfEECCt04/H94QQESGYFJ+nPo/gB/ZRW4nEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zc2MOztZGkDFIwAdqVESQOTT7210sxFAXbLUd5J5AEBNzrlxOFYTQEaGBZVlWQxA0iZIPJgfEECCt04/H94QQESGYFJ+nPo/gB/ZRW4nEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IEZ4YGh+FEAw8o4Gw0UQQFBMSO16mRxAGr9yVOuzAUBREjoc7RoaQFO91tblpA5ANGuHQaa0GEAtqhtUHMXrPzSHKTPHJ/0/AUxZgTgfFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mwErgwVUEkAP0wQwy7ESQLobJ9sziBRAD2NTr7Y1IkAOl81hrHMJQOEIuHGeCBVAwFK1S9M2F0BjQSH+z6IbQAtau23YEPg/42OYKvGxEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mwErgwVUEkAP0wQwy7ESQLobJ9sziBRAD2NTr7Y1IkAOl81hrHMJQOEIuHGeCBVAwFK1S9M2F0BjQSH+z6IbQAtau23YEPg/42OYKvGxEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mwErgwVUEkAP0wQwy7ESQLobJ9sziBRAD2NTr7Y1IkAOl81hrHMJQOEIuHGeCBVAwFK1S9M2F0BjQSH+z6IbQAtau23YEPg/42OYKvGxEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nLB9ccBTGUDcR7Rw3WAWQMZl5sE5sAxAM7j6BGnR1z/QTZ/KFg8cQGa9+oA6RxZAkVLyHViiG0DMT2Bhct8eQJzRCr2kkgdA3P2cMgXXFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P1U4Mrw5C0BLsbth+SgVQLxIiBl4AQ5A4OxEMHUz6j8gZcC03kAgQKCTnJjWTRRAwfqTq+D/GkBluhE0Q0QdQIkdT7SI8QNAok4pCsOrGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"P1U4Mrw5C0BLsbth+SgVQLxIiBl4AQ5A4OxEMHUz6j8gZcC03kAgQKCTnJjWTRRAwfqTq+D/GkBluhE0Q0QdQIkdT7SI8QNAok4pCsOrGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tsKuV/sSFkDbERF4dIkQQBkwHyvZdwpA6isJanGd6T9KP4dPfyoFQLvajiWebPa/gBHkmL6wGUAY0LOPOfkdQM3MLwXTkhBANye7yJKIBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MP9Hh1PqHEBqzv1fp3wLQI6XWDv4Jv0/JsE3jpn8AUA8TKAaGLkYQLAviVCsZPE/z7OYOAq8GUDrPhYO2MsRQDyFsdkCFg1ASpS7g+P9E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jPi6tHFFG0BvsV/lO0sSQA+S3L3F7QJAohBR/JA0H0AETqpyrEcQQFoMbv06IPY/uSgLgZ8EHED0jDaj6ccVQPV1WrCKWAZAfoSvcNBFFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TAnkLNEbAEDW8G5tjyEIQLoz4N+uwO0/b9Bz3O9hGkCr9+nihT8SQM/9a+gbIPc/BxZeCQx3GkDmIlYzmokhQAwKSOvwjARARtUdXAjWDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OGgdUsN6FkBTTqFrpZcNQLw+yxUdJxFA7NxNTZoezD/iRBW6Rvj4P4U3kQK0lxJA4YqM0pqc+T86coYsVXLhv+3psQuZJgFABr4hsA049j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ApDv0VaU2L8M7eawlIcIQEJfXSNhBwjAHxOSCmDQGUDsj0gExjD0P3zy9Is6JBDA6sCDI+sfDEBEU3EIdW8SQLbejn9hqQ1Adx4WNQEB9r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3AmOd+JyBsACRscx3BgCwJqEhZUdXPS/PX8skcZhAsCI9U5F4q0UQE87HxxX6vM/++YOPCAQEEA2Cp4uJmISwG2zPHVIuRJACppKSaHx/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pAUpVvnPA0BuPn78074ZQBZSRNPGIfo/CktLVPzyIEDCVUkIpw37vzUMirp42wJAAjeFzehKGkACvA+0iaDjvzbHP4lDJg1AJuAZtBLz6T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wjFBIhHlF0CjPkowQk/8PwaQM3UxR/Q/EBmu6FH2IEB6NgMhPUkbQANDgjLwNQRANwx8bGsD7b+yRd+HtUguQL2dy7jXEhVAm+KM9NK5HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WDiCVI43AEC28BJM5H0UQFv/6monf/M/Llt5UjTDFcAkLA3YwqIbwLDTn9cKQg7AjrLPhvsqLEDs60iSTzMtwPuq4wXRkh1AtEC2qOJs7D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9C1QvWggFkCsNjK8Dj35P7p38jBSvPM/PVLrF3dYIECWV/THx8kXQGiBxpHWTwdAiFU7sOe2+L+8XgUkFQUoQHsnRiHpHRRAAF7FmlNFGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"klex5NrpMEDB+WqyS6YdQCrbrq6yABRA7Q0PeeQ49L9utX5hUen3v66PnaM6FAdAXGPF7W6gJ0DDw9qSPwwhwPFGJlRxCxxAbW8gnqLMFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"O7Ic1j8BI0DzIdJMxCgeQHPgqhoADhDAWIemjNPk3L/iAGrZR8wOQJPOk9OmzPI/B1rIQWEmG0AmbV9KSfscQDfOYV73VxJAQjALM/3XAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"v40AAR/2C0CAKI+tjZYnQGClAIC9rem/KXiNe1hTBcDjYAf1UA4RQC+6CpJe1g9A0+OJDNtGFkBjg+YlVh8IQD3VzyUNORZAbsXG6ECvEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qOeki401GEDIFAl+VU8RQPGegG58pgFAZ/HbGi/u/T8DLlopXGESwDYCLDrBKPE/YpYuHTqSK0CPcT0lK6QSQJw5hrPVMSRAANyWIXX5+b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E8EmMy8tK0DXL+PdQGYsQIyOUUkoCCRAaZu5AAdTF0DV2hbq4EUNQOISf4UxzBvAopRQlN1aJ0D/NuJuNioBQP2yAznq+BxAuTKNH84KJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3oIUogacJkBq4JdmLP4qQBG3YPkgyhFAcWbYvBNYNUB2hJo8nD4uQBAbcJRbNBtAeQfrvgK9JUBm+n9C0lUQQPoLh5aiKyVALxPsZsJCGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4LaNxawYIEBW3GUqdf8iQDRhtacmUTBAA5ue19n7GEAGIPI6PYESQFpWmr0I8ylAJsqhVklFLUDZqqRnVFEsQNlPZVMAThBAYFJyr8f2IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"biujinNzLEAtIhZmKxAnQJs5LTsvuCFAH2C/cNNFJ0ACzUXkHo8UQJo23uJpnSNAJdyOEoiPKUADMD4nmLglQNR7yPeCWQtAr6CD/SmGJ0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OE3EdcOzIEA1nwT8aQojQCF2sPgZDyJAebFA/I3GIUC0cWyEqcgbQPzZHZApJiBAmAgM07g9MUCyyg2bf4MjQCoIxrEyrxRAKeasscyQGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JE38BRCqBUBUrGBH56IeQHe8NvhLowdA6/7g7UMSJECCT2v4XPYbQK2q3lygdiFA0lXZWQ4rK0CSd+dUcn4wQNzV+TbFrhNA4TUXXfp0IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nKJjUvwZLUCUpQeDH7QiQESqMyh0zihASxJ19UKAHEBEHSnWwmEbQHQdwAeiMxtAyF/7XEBWEEAAiuw1DIW/v2E5eL0tAxVApYKQnHlqIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dJPBbWhOLkBCc35jZ14rQLnEQ8C57SZAwzyDpuUOIEAKurpLi6AgQPBWPh7ujRdAoIt0f6CSF0DfbjzEnfbZv29AXI1NlBhAr0xhZ80eIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Q/VC5mbN4j9OQhbWIPsNQAQ+qVxpO/M/aKkn3BvSBkARC7EIfbnkPwM51gII6hBAFABsFXmcI0Ap07zf5JIiQLWGvqQ/HgxAgaUJhK7HEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xqABWFXYHECEP8KT9F0oQEu3aEpB7yNAPi98rCf8HEA/FxSVfhIhQBUIBK3ASydAqjx45TwLJUA7A302ApQtQG4048WfVwJAdaUWDYBtJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"U3z5l2rNG0ClmrkXOlsoQGEoHCvHFSdAwp7sF38VIkCBjEo5g/ohQB99aIueIyVAWkxEiXHzJkDphD2FBFMoQFgmgsloGgNAcQg6x9H8J0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"39YrE4shMkABYYWcVjgWQKbMBMclGBRAzWQc6MVlJUAYhezVAaAXQLFwab5HoB1Alg9HnrHyJEAmWavuvqYZQJxRlyXntBFAdVyBrWZ7IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0fZ/NUpaMUDRESXYr9EXQFp7YDP+v/I/pBmUxfn7HkBok5CNIpMaQKpR8IzqTiJACNmUKO0FJkBDtOj/0twbQPiMuR9KehFAfEElAg3kIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"C5ASQYzsMkB8Csv6zBzqPxkC/wdCaQtA06xk3dv6HkBLNDwimjoiQGr+JHl2rSRAGIzFmz20JUCUoR1zQ4wqQEfS+PzIkjFAhIVqN/ceHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zZLPQ5XaDMC5/25zz88qQA6f6pLJuy1AYnpM/GWWHkAjGAv2nX0FQPmJwhAmmApAlqWjzC/ZIECh2KRefw8PwDYhim2ESxhABzjtejmmDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Bi/vS8eEOEDkwrn+SvwgQE6hL349SSRAOPf5NVsoK0Df6lRZ170tQIod3D9Sli5A3vx6d1TkK0C9ILlk3G00QFu8rYj02BxAbIUdZWfmLEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5C2F6/TGOEAxVUup/ZwpQDarWIikrCtAmAodpmK5L0ByNtjhNdgoQKFOh6iH+ihAALHliOh1LUCgLN+jh0IyQPvMIeWbhhdAllje7FiJKUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tNqToljDNkDFhJybQ9cyQGcogl4T+CVAtlL16Z9KMEDKwSTCjs4iQOzb5NL7vClAL6YNtlVSLEAws4PB4OguQHZXidvlUBBA/2cIrg8DLUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CATYexASG8CFdIAeMJYawGA9WMpTSbM/AW3+tM9UDsDQ7m1ulpuxPyUJIEnacQDAd4QMc/cSBUACpRUytBj+vxCY8cy4DhBAwly69rMd9L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ALwptz9sCkDhYyG69icVQEFM6QHHmeO/4b7L5tORB0DvimaDGZfiv+pGvAHadPg/2sFR4odW4z/J1V5tSNQGQLsyaAmn/gBAVrMMDZuI9z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XcpzNH6Q+j/bHEi1KewPQEbOWg3e0eC/ySB5j/cLCkDMrKBfuMj8PxgfztQewfo/0dnFMbB9/z/c1O3EM7r8PxL4w1X6KQpAFo/By0D1AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DjDs18zYAEDyen/9KV7aP857vhkutP+/A5BnfZWv1T8v+xAKQnoHQMh5cxionPK/z42vd/EVHUBRAj2JBUwDQDE55FU0TxNA5oHL/81h8j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"doGEuLfWB0CzYRsfl3cUwMobDCG4M/M/sBJYvzBRGUAOfcbc4vYMwNOPBt/zQBLAgEq1YSysir941DCmvRoWwGVYtMcdrQZAhOI6PUt58L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"St6f5PElEsCcXcvdFi4JwMA4igqgJ5E/4QNy74DcFUAlrDr5S7/9v7RwlVRyuBDAPUCqnlG2AsA5pYJEp7MbwEKVD8EBBwdAeMqCsi3h+78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"70kA0i15DsBYVk2rSU76v9pLiW5sTNC/M20/2HktEkAaByMXC9QRwJFAoHE0VA7AQPdlXFt1q7++2LEjk4MTwDISIoC9hgtAutw4+aCx5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1tmtIpaOE0BsjSKaX1PQP9ik5ld84vy/QjT75TbxE0A8bHcahSMEwIjzxOC6yP+/H1yAb3IcBcDQ0tO4Ry+zP+OBH/pmCQxALmYQKJ+q778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+IDO1Sj+47/MLHv8JH73P6oMn5XKj/o/fC1oIYDN2b9sE9iiamjiP3Y2/aGDye+/HPFqoJWqAkD7+fF5M20MwDTyDzYRqP0/KNmjbBwozj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+IDO1Sj+47/MLHv8JH73P6oMn5XKj/o/fC1oIYDN2b9sE9iiamjiP3Y2/aGDye+/HPFqoJWqAkD7+fF5M20MwDTyDzYRqP0/KNmjbBwozj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XpjOFYXz4D+K5ZLCpp4KwOmXzcgVAgXABxytnhLr6L8AeVysUPC+vy6ByelBEgTAneDr1oDM/r+2UW4/MDD/P+euXyITjvs/N3Lpqfr/5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XpjOFYXz4D+K5ZLCpp4KwOmXzcgVAgXABxytnhLr6L8AeVysUPC+vy6ByelBEgTAneDr1oDM/r+2UW4/MDD/P+euXyITjvs/N3Lpqfr/5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7raQgPXB/T9uEjf3nEALQHzoA3T9ThBACc2yAERjAECjH+YYswMTQJrQDOWYNPQ/LGQTb0wpBUCH5b9yps38v5XAsnjbhAxA/ZoEsdHt3T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KtMga8DnCkAwHXHDUJ8TQGl2SkMlaBFAsJdyCBmZAMBml1/22dzrvxMnYaoA7Q5AztgCG8NNF0CA9cra26DUP+9aQoqDhgpADdsVcPSFDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yOAOdForAkDGrhLWkocgQGpize6/sAlAWpO0GxeK8D8Wvca/myH/v8BHwv0SS5c/VXVdEHkgEkCjBShw4XkIQCDRmpyM0ABAIoofWLWQAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SaGtXG6eFkDOosO2scgEQDRvUAJYAAdAD2BXTIJ3BUB3OszNY0H2P3H4kRIU6vs/WFx+bf3ZA0C+zOnWA4kNQN5AH1rcw/s/ecogOSsZCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"g23cdwC2FUB8pKMFzmgPQCyNNkkNKAhAwqEafkDpBUAMmZHi0pgHQCWvfkQYrwNApkjcmRlpCkBwkMJ/kvPmv4MnpJv23vk/RPPNe5cIA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KK91/SPeAUC8iEfEnzUEQJ8hLCD69QpAFASmpuiiFEAL8x/vhMYFQB39vIS7HgBA+uZWId84DkBwuNsnkESyP3XT7Vuf8vw/5VaKsM1T/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WuII4Z6xCkC8ROca8uwgQCTNJbCACCdAmbyGp4OT5z8e6d1PVfQSQOI0UiBpWhhAnP2IQK7UHUD+9DFlJF7/P3GEyq2RoA5AguPZsDtPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VFFKqCgAIEA+FShKsGUHQBS4NrIWbvI/XAI2kKCRJEBE9PsC0xgMQEcwuTUKkBZAv3qxs838E0C7QuRkXjkbQC74+GisVQBA5LH1Z8HjGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mLvN64AXD0BPKxwFNVsSQPf+Y7zeMABAzlIq24UmF0DtD24+Nf8dQBSOSlx2LAdA7H6GzKo5J0ANd/4vQvkNQIG+634yhQNAjWDIXE2kEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vDJ3x7MkGUBujlEQAdYHQMa9i7i0XvC/JANUf5rxEkCpyr5W48AfQKTvEHWfXgtAxWj75Up9JUAKvrM8/ooXQMict2yxpQJAfLqOGRFVGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h7sfDh0bE0BmFfnXjcANQNDcU4CuSbq/X/mVdqh+HECJohBcIUsgQAq1kgcljRVAUjGnwljLIECqLAYc/UkOQH5k4gz8xgpAmaiOBx1JFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rF2c9Z/FDUDwLXvUI14QQGyWgrmy4RZAn6TixmM6/D/0uuDWXzPTv0zlPOucXfc/Tvievxei+T/aN36N3IISQHAwxzCMw/8/H8qKBDF7DEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"44nSmA3/CkAOJiwsbxYGQLxP8OSzNN2/xKHzQ5DEDUBvaGxiDbUTQHgxS1izaxxARNh9HhcXFEDNk3fHsXz4PznaFIIqDwFAoDUwmtZvD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IS0kkbwfFED/2CFybY4UQBIbWvaeIxRAPmlTKIqg/D+kR+9KZ9QQQKji8Z5vBPk/lliNAdiuDkDczwNcv8Tfv+HsFv21xQRAVOi6OUlKD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nXE6DjSkA0BvgcHiUzcEQOKMYl4Pm/Y/KUA4zs5WCkBHav3jilb/P3iGjx4hqQhAdGuLJCgpCECc26QIWR4aQGiM8Jdef/8/m3mhpFn7DEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9T2okBFcDkAAyT6ZKpEPQEF15dPnoANAEDGjZc0gBEBz8zYgjvELQE5DC7g5uQxAGJg9JhSMFUBS6t7hfkQVQJoMp6TjZvc/xE4xwEgWDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9T2okBFcDkAAyT6ZKpEPQEF15dPnoANAEDGjZc0gBEBz8zYgjvELQE5DC7g5uQxAGJg9JhSMFUBS6t7hfkQVQJoMp6TjZvc/xE4xwEgWDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p/9gIuNlCkBYfpkCiaAMQLP3lARieBBAmiU7QsNmDkAsW8ocB/8HQIMJPuZaLAJAacaWuJ8x9D9GB7ctVMT4P/ao41ye7fU/8x70TM1p/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ENJd5DA6AUBAUWfSSsv8PzI3NLRGaNQ/0Kg1I9y7tD/CL1gL3iMJQAsM0B2YUvi/PMM2OIBx0j+oodZ6nkrZv9sLR4Hnzvw/nLkfKr7DwL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bECdW2e2DUCcHVQDoPftP/+V1pmUrxRAR8rNtPCtE0C/C5dldOH7v14SPahavRNABmAp3407CUBSZzDaT6ADQCRjcifIMABAbhlZ8mwRAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rSpwaun+BUDasqHt0cQRQMyDX4Q2AuA/RpG9Qt9/4j+0GjSyPisaQMS6eQv14/E/VmCaMJ02DEBg/7fy2CcLQCU7P0ptYQBAbPC4ICdbCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YpbBLudK1L8OznRCMJQDQN1buKpZliBAQKJh2CyW8j+4U89+3dvfPwhb9WaAM/w/Lq3Pmsek5D8gUjVEAqHZv9mdlMtz6QNAh/hWMEhA5j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MCM/tNo3tb+m1lDhQxkIQPI9fa82dBVA5U+jBUhL8j+al2wbn7fyv2pcgxm8uOi/3vhJGqy26D9103A3B3n3Py4Dh2xzoP0//suKe/ISAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fncM1W3G5j9uToLlesDyv/TY7k9SIBDANTKlO4/D5D/sLRO2yOECQAYc8/pqN/4/lFXaIvaz+D8rSh11YybZPwxs+EzOnP0/iBV1YgOq178="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DjXfBwxGJkClYJirrQwgQFgcGfdUtCdAlv+wSJInJkC9K288hgAlQIBTi19gjSZA+Ijr3c3/KEDDTIYZQrkoQKbCZ03fjgFAWCYmAORiJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eCSmqZizKkCXj8VGGPokQOKlPOx5hSFAsjHply27JkDjNOlcDWInQBCE12WazyVARI5zgLqfKkC8RbwtTkwbQDF4FKcDtf4/beFL0a6TJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0Nu11gbXH0DjceInjLUmQJUeJ6DuuSxAdCVRJ0gmIkAHLL33oMUcQA9rzFI2eiZAftw54sfIIkButPxtxowpQGneZdz0aP0/eEhXcSROI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kEDCbPwyJEA9OsdMetQiQOIA8FB2+hdAPQeiODBSJ0ACXDW+J18kQNWNKtZ8ZB5A2jr75cYoJUD0hpr5cDMfQDcmUxec8P0/t+scb8VoIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w9oZIveWIkD4kKvgMJYcQPn1qL6h6iNAIFCnEcM3JUD4rkJB++skQO+xUKnRsyFAAfUjyRCnF0DZoErwR3olQCDWCjCOJgFA9E16BIaYJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w9oZIveWIkD4kKvgMJYcQPn1qL6h6iNAIFCnEcM3JUD4rkJB++skQO+xUKnRsyFAAfUjyRCnF0DZoErwR3olQCDWCjCOJgFA9E16BIaYJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"p4pN/SXIIUBhi+bo82UiQBg06ZK9lABAAVENQqkmB0DX4nPv3owcQMU28IF/ExdAFAa2z2eWKkAwDJ9cCpooQN9iMH+O2Q1AHofBrFgOFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XerQk6qMIEAS4wGCfpkPQCCK5ikbQSFAG/o5EPjEHUCILRJq5CIQQD5IZCKsbBhASp+dpuN8IkAl+1+iIjsdQCxtPVoBkRFAS0v5HccZIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qHvThK5lHEBYJr6U7m0HQFEcLNSoNQxAguHGbMf6DUCCbBqD5gIOQA8mn8ZoNBVA/lPCCu9UI0DsbebUS3cSQA+Z9pHzSQFA1K6ngMPwCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0AQ5CM4BHUBmm7WEj6YQQDe00To42QhA5ndpeAppFEDMNnP91qAVQDwo/3WkeRNAflXfwytWHEAO0QrbJuwiQHlmTA8sXglAe3TAwR8FF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"126PLFLjGUBoG22mVZwZQDEqrvvmRBtAwMIu8ZOhBUCEGei21R8FQBUxmIbiQBpAN9VbyZB7JEDsTmDASuAWQFrH5b1epwBA8CbCG+tPFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"a8zZePL7EEBCjBUY4MYaQD+dC3HjAhVAhKXk6vbcGEAASuKSr+AHQNY3Q1WTAwxAS4fqMJTjG0BUCK4XR/wZQNRSXQLaJAZAtE7xabQfFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yV2Enbg4F0DYDay5oTwMQGozRQElPAVAAghIWLMeHEBP/QcszJcQQLb8lr6C0BRAipUYCd4wBUAeG3Xn3VYLQNGmuOy0pgBAo6EM0qxHEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BAd6xxalIkDObTbbg1ojQPtR3tAiCSRAPKH6FbU4I0Dhj+NNu9QgQFQ0hy9kSxtAceNyJ0FeJ0AbIMjHU8kjQDYEzJg1Bvk/A1z2RPm/IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BAd6xxalIkDObTbbg1ojQPtR3tAiCSRAPKH6FbU4I0Dhj+NNu9QgQFQ0hy9kSxtAceNyJ0FeJ0AbIMjHU8kjQDYEzJg1Bvk/A1z2RPm/IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LJn+yrvIUAJKFEp1X8hQF7O6DmEaCBAv3Dio0PzHkAmHW7+INEgQLd3Xpl7cSJAFIIZ0rKrIEAom0j/2j4gQE4nSWPb8/g/xnd+6JafH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3LJn+yrvIUAJKFEp1X8hQF7O6DmEaCBAv3Dio0PzHkAmHW7+INEgQLd3Xpl7cSJAFIIZ0rKrIEAom0j/2j4gQE4nSWPb8/g/xnd+6JafH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y8yavrfmIECcJNQbSe0jQLMRJG1LdyFAtvh0TjGsGkCHzat0n+4fQLD1KIizxyVAgsb7ZsN/IUBkFC5WWTskQKIT25cF/fM/o6lbVCUYIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3v3YPPyLGUCMf6IHGoYlQAXelE2nzyNAFqkq0ZdZGUBB14vQxpIgQKR+QLfXbiFA2WAq/K9SIUDCJ6i4R9wkQGYhcS5WaPg/qwvlx2qZIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3v3YPPyLGUCMf6IHGoYlQAXelE2nzyNAFqkq0ZdZGUBB14vQxpIgQKR+QLfXbiFA2WAq/K9SIUDCJ6i4R9wkQGYhcS5WaPg/qwvlx2qZIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"s+2dWgbKJEAtcEailA8gQO/NcNZQWiBAIV1mbD/jJUC3Q1aeJlAjQNa6U9Q8AyRAZ6ZxmW65IkBbm64crmIgQHZ+EOYGHwBAtgPWc2oiI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MSu7SYtmI0DBq1sXnkYjQJUEDfN0xyJA+mTc841cIkB+ZGLAgS8lQAG3UbonByFAke7jQ1rZK0C3EyxVaKsqQF74FfXFVAFAUGaX0zobJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XCmnc34jJUDsAgW97gYiQOVNMt0UJyVA/XDgHqbVKEBHcLHxzZgkQIkKuUJ3PyZAHEN7ynOoIUCytIAW8m8dQP5brSjg5vY/yscto+bEIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XCmnc34jJUDsAgW97gYiQOVNMt0UJyVA/XDgHqbVKEBHcLHxzZgkQIkKuUJ3PyZAHEN7ynOoIUCytIAW8m8dQP5brSjg5vY/yscto+bEIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"u7QKMHW3JUD8+PdEiZ8nQMoLKoknviFAT/9EyA6QIUABE8Fzf0IiQCV3/h1qHSRAaf1DjpR4J0AUQQpwFpIqQG531oHDIPw/kOYnHsZiJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"u7QKMHW3JUD8+PdEiZ8nQMoLKoknviFAT/9EyA6QIUABE8Fzf0IiQCV3/h1qHSRAaf1DjpR4J0AUQQpwFpIqQG531oHDIPw/kOYnHsZiJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y8QS0b29JUBX+8pxlvkhQBBKYZTIuCNADyd+7h7sJ0CCA+g6toklQL7+5WAXRCVA5ftzkroTJkDpbiDXZSwhQOXIzggwvfo/RKO325SAJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"in/lfPTjIUB8C0voUBgiQI4keJdYhyNA/XNLH+U7JUAYRzbADJsgQOp514ZgbyFAqL3gVmjVHEBeCm8jt+IjQM7PlSxljQBAI34cWdIzIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"V5r9iCdeF0BYXVfIbtMlQOuZ6jnoFC9AOc1NUuC+IEAVZdpyc+sbQH/6rA1SQyVA0h5WFZXXKECn9m7lPnYaQFDWN9POCQhAg98VXuUKIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4J0Sp/BTGUBGZG1GfTEoQFBPussnUy9Ay4Uc2zxLKEC2kuyJ2l0eQJQoTaefZR1ACXPggGqiIkDDAmHumtAkQDgBdgDD5QNAEG72J2wyJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h83CHOJ3IkB2dgbfXk4cQIfhpkcBHCVAmGkCfX/BJkBoRrzDC/kcQI/h+tBlKSRAgBwP4pzZJkDA4Ar4YEQjQJBnOM9pbQBAPOSJzFSbIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jT5oZ5p2JUDu27F5LP8qQKHvcW+s7yFAHdzXb3aEH0DrqOgG4MwoQKrboqEMmiBASAQl2itmFUA8GQSJzksgQMQLee3KfgVAZMd+n9piJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"isZH8/aKG0CwNMIgatERQBbL/NrXqR5Aw5/S1At3I0BbW7GxeNEYQFZ1CHD5mRxAkQw5YRqPJUDrq6WP1x4hQMkSA2q0Rfo/O8ledRSFH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"isZH8/aKG0CwNMIgatERQBbL/NrXqR5Aw5/S1At3I0BbW7GxeNEYQFZ1CHD5mRxAkQw5YRqPJUDrq6WP1x4hQMkSA2q0Rfo/O8ledRSFH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BNyi8DpwGEDhu+XdKasRQNFTIXFAliFAeoBgAURZJEDcsGIgdHghQFyY+OHi6x5AF5fo85t+I0BKJSA7q4oeQOdMflkqu/w/AHtjNjnVHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ot/b0czxI0ATy6jJWisPQDGeOsi91yJAFaORAaC6I0BpyVGyh98gQErREl/VfiBAhQctDRtmIkAmts+AO9chQIYX+yVp//Y/YeeCcVuZIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cL0Og3vtFUCifTlIubkmQDoPI5Bh4hZAdZnIuPaXEUBbdOugzNwVQOFqkbgv2xdAnsTnD933HEA8KqRYL+sTQMPU7BhTMxBAdcbONkBtF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Lfdd7yDgE0AtO3wb1nwkQPwflDpBPuM/aE8tn9oiwz+/xXcsqZwQQLUmJDJcwh5ANXWou4H4FUDRzmmWCuUYQHgueynSbg9AHbM9kJxbEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"I5EEceVHJUAZQVEWVTMaQMSPKK/kgrG/u84S1ur68L/B8UOrj+37P66UZ5GaSwNAzEJXIVcDGUC0EoE+V0Xpv0Yz4j8ygAxAsoYlC/EqD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K6eL67pyCMDOjLPvtp/sP5bpVPKsOBlAy9tgaRgwHkCUrY9LXlfxP0eNBsAXkQNA16SgUorVFUAPezl1KUUbQBo8V4PIqAxA4xIxK9k0E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"12zLeJf3LEAteWaEEkYgQC96TCnOzPI/No9dB1G2EEDLHcp0JF0HQI2mHEm2RhtAMp5xMsfiGUDqgfRThdwTQGlnWMwkBxdAuEJAb2wDFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"thNYfl2DCkCnSurspy0lQB31//GtCCNAHHx4VWRsG0D8xfVm3IDgP/N2zcWvyyVAhLQtb8FwF0ARzWQCW58wQNGrf5FHSgpAWDPCQIjfHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PqZSZwNuMUAFmE9APLP7PzJFwF1WGRtAnUaCi/sH6T/gwxyXXYImQAgdc/XXMdS/gX5bnQBRM0B2Y4WxNVsbwBUCSRvNQSVAw4ZDUZodJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RZ3NGAx6OEDsMGnbTF4HQFClOM9w9BRADjY1JQqIIUBPPoC2+cw0QM5oDraMbglAVM07EbmyMED+Z0iCy3g7QPxozM3J1iVASDnn8IpYG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ChcsWug2J0ABt55LT1YwQGlfKLJoh+g/fLslU38jL0Bd2lrqZT0uwFfx42ZxvibAX/1zm/l/IkCwLIth6pTXP6LRB5DLnSlArsTjLWK7EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"weP7ny24IUCkF7/sATkiQK0WK0/AvwbAVh1yw7TRJ0A+JNUBj+YkQF3FgaWMdh9AhZ+ei4brI0Cxi86Y1GcyQC6kYAxPCRtAPyOd9PfnEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Itn81lNfGECcjmq2wzQeQJg/Ree4RR5AExLvUexDF0CaIW9ThK7Wv7G9s28jVwZAjk3Z9CXyI0DcjWRhWycYQFYBQQ9azQVANv6oeZFSE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FhiRcovxF0DwvVBKrRgbQBQYpVx4eRFAxbGgCDU9H0DX7Jv/jsIhQHlh7VhHryFA6ChyJgMtF0D7qkJ33NkYQDdB4UlDigJAmTNZ2l3rHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OND2m15vI0Ai78KjmuogQNtbXcYmiQtAC0uMOzPQGUBx72ksE5oWQNWqSlrpMB9AesSjWE9fGEARsjlCKJIWQKpPe9jh5P4/gvKyd6KgF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FAphfOYlFEDhGAJXGpYTQAA57oALLCVAmjAmq2iFHUC38dI+SmsfQPw2EXZldyNAj7olJ3EkJUB0bWqbbCEiQMwFZjHh+wJAxF80sYytHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yKv35fJwEkAoYh1L3SUVQKcr38vLLR5ArQKIbuLuIkDFu0MBEegYQG7WOyD76RdAzCqNc36yGkBemUkl03UQQJu+KcYCIAJAkP3PnCMIHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"x5/FXGoLE0D+H0gHloIQQJ0zd1MxpxtAn2KXuMe4IEB0U0tdYiceQD/soJ8ImCBAk/lFJ2FmHUBATR7GNGcFQLFvUxTxI/0/o/bDtyxME0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4ATKQli8HUCMoVBEyCkfQGn5Bomy9glAVLs10T5OB0CU3T4+ockFQNCFkqBqH/i/uEgFtKuoGkBmvRX/4c0TQDM4ct7l3R5AczNCdMVd4L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3KffcQIaFUCQ4ns9lWQZQFe/sIbwlxlANZZ7Rjzf5T872g39Tt0JQE1lp8YepvY/UiR4kC5kF0BR4N7xItQiQLCE5okW6QZA5lW4SPw1IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"C+GfGWWZI0DNZRAEKzsbQM6zmArsgSNAAF6TTlqFI0AeJwsgozoYQNWkIGScXg9ALSiZnbxrIkAMHPIx4qcQQNsuCv/WmxNA8YhlqsjbFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7FeJaRMgG0BCLzOaaLARQDPVhqZy9wtATr5NcvyHFUA7g4vQsEMYQFP1vWTJnyJANq5IPPd4HkBCVBB48o8gQLJ6PkhImwRA4CX8R7XNFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"i+l9bODAHEAWuMiUIToeQAvvd72scCJApHEWdOGGGUBtpeKSTwIaQIGkrtq/HRJA/mPmNthqIEAXzF5VyLUSQCWPYboC0QZA3hVv7oqcGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"s82PdA3KHEDvGxiMIMUHQBM277MLShtA5+NI7e27H0AMdyPWIkcTQFAAnc+/0RVAOgM8l3F3JEDuDvtjIbYVQObmztOJTQBAEyyFuzTtGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9WlEfJnXGUDE/BssFLQLQHwofbXvoCBAz4xaiO+LI0CKJdNJlIQVQNFjiw5B2xBAeiPn1OnLHkATOgMYzhAdQO/s2ascogBATuE6ERA+GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"R1VwsJuHHUAkz75U6mQOQCxymVx7kxFAKi3DUYOxIkAMsyGBEYsbQLeb1ohSuh9ARuyuy5sNHkAWrg3W/FIEQLd8nPiw2gNAuhGdn1fLG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3j6fgo0bIkAOg1F2xAEKQH6SktyMhhFAFIAYsqrYIkCkr8B5GjUeQIxjCrmhfxlAhSQbIyqVHUB+wvRAaDAfQFgilEqpQwtA1d4R/SywGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QH8+9kxBGEAYBJ3YjO4TQAlM7uBxxx5AAPAMH8AhKECLO4LJF9odQDJsMvEq2BFAXxXdpHOiHECfeugQec0dQA0ojrBL3QFAzaKHzLH2G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LbwBNb9RJEBt3GJQgHEiQIycKqBOqBxAOCJrGfuMEkDGoQoTlKYRQLThbdbbEiJAUpXSYMTXHkB2NiaFmDYaQPxc/ItKjgVABM8ZDWX5GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DpMs3XaWFUDKXBqLdbggQPxXBOD0LhhAaWlAPBeBGkB2Loe3Ri8dQN1Wsum78yBAGaZAy48uFEA6NMswoxYYQJMRhUxW1Pk/Q+6wrJGeFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AnNtM6khI0B6sbeAcSsfQOSIAK4Wsh9Arp8zf5p+FUBhRyoGi4IdQO9q5OTQFCBAUW/buECaHED8vJloOzEVQKs8ZUEr5gBAr6+DaviCIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZkRcuz94IEDfzS4CZRgVQNdVmP3R6BZAZrBzNRGLGkCuHbgiFKwXQHdIabdWoSNAuyOW24ImJkCHiHnaT5UmQIdMz5UmVwdAwH6JpmiGH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tz98UQacF0D9TYB07wUgQNQilbLIJyNA2pgRJxzkJEC4fKFTZqgiQMEPx4McbRlAHHhrXrfvFECszXYPA5YlQJ2jYBKEjv4/4QjS4sRrHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+nSVrVihIkBMIGe7ovERQDWXZPTl9CJA8x2xJV3eIkBQZ4Gzy88gQIh2aDSk9hFA1ZbWr2x6IEAwfVtr28gjQCRv7LvCZg9Af+yI9juoHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dytRiG7AKkAHzQ9APbkbQFKnSZ1c4SJAzNUJuKaaFUBEXHIqvl/7P5DcokQ4Th5AMqhPXjbIIEDwhr97SIsVQASHZoUFkBJA6qiedbynGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gMucm5D3EUA2bxWXKeUhQFbJZiOA+BtAur45QrmTIUDtxlV4EZ0mQFNRaU1obBpAW7THXFX3IEDUK6MCItcjQPG49vMnxf0/4AdS0GrMH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WnU0iwrMFkDkiedNtrohQGQbk51x6h1AW/4trg7gIUBASD4FHT8oQBKnVnPcDyBALKUbolsmI0CYWZD1bzQgQJFPhBaxCQVATaiXP8qHHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"z1b2FOIuKUDPHrjqM8MhQHH3NB81pBZAgLPqmTpAJEBAjpCp2QQxQAUsKt7x4yFAU5Okhqo6KEDClfrwR8IhQCOTpT2oPAtADwEnPkNUJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zZ6aLYctKECb/qwxA2EdQMKnI7VQriZAMvwuPKMoH0DeAs7U36gkQE/XLT4ZVCZAzSq8ZpDSKUByAM/HCLAjQGpoHn/f7wlAV2PxXKZOIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ffs6rYutJ0CCBLB/TGwaQKTwLQmBNiJAwYDbMzM1IkDDQaXJDe0mQIZ5GxM3mShAzW0dJoQhK0B3c5St5CAhQHZHQHXlzAhAdlzSeBMjJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+pFEW7OqG0CIJHU+gGIkQOMkL9nJdBxA6YGEixVBHEA6C7f75A4RQDbx5zU+ZwxAbilUfJSVE0Cij5RdE84gQDP+umc//ARAkeijdBoyHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4sanMks6IkDfQIZ8CzYgQAKMBTMe0hpA1MjhToInIEA1k2Y/gXEpQK/eVMFUCwJA4sKd4AOwG0Cq0jmRcFcVQOKc06v9XBNAg3/MoL0MIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QjVuH2VMEUAe0Ol+b+gOQHIMm0EG8x1AiO8cs8sN1z/0HXo/49cDQN+99W+g9xtAWAt2FKXbCkCWcSP78DkTQOTOlm+hCAVAwDNiMrp9BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SE3UBjVdwT+t8WbPx2n6v3ALJnyqsx3AtpXpDMit6z/1uqw25nwMwOJc2DAGnh3AwQHEZbdNBEBaPKwhazoJwM2f4Ep8uwxAvNO+euWg5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zCnrgX1X+78ZRKueAT4RwJ4FZj4P6e2/WNmnmSbqEsCpwvIoizL2v+OXKIggUBRACTHILVAEIMBAVzi90XAJwMecQ3L1gApAbNVdk+nC7r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mmXuvsTmD0D1hKqrSDIaQF+CSn+XYv6/pI6S9kyyFkDotapd1+D0vyiceZOWRyHAzcHYnuCqLkDWIV+X1AIAQFnivh2r/hZAT0V8kGgzDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rDOPQHEjMECAcFRxg5mGP1wcwBq/OhzAIpDw3j+eKkCFeLUvvQEGQJoVKwrxZw1AUO9FvfmOKkA/l3Na4QX6PzVzjQde7ShA7U+caruE278="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wOLhfSAHI0Cli3yUvnDvP2TgTwZLOva/c+zHiGsEJkBqhNrah0wTQAIjFH9T1w5A0Lj//CAxMkAWc5KJbIwiQHfP2QfeORdANJmnBMZtI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"us0pGOm93z8mbyMBvJcYQHxe0Qd9uRxArrmxVhDXAMAgyS+R5ZvrPxbsNf1qlSZA3qgnD18MFsBQaytiJZ3Ev4gekOAq0BlAzksy3rUf+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kdQ4z70kHED28oJUo0QSQBqGo+k7xR5A4f4DcCc//j8o0vkp32z+P24OuPzLESdAcHBFpro5KUAN+deqVbIdQKBLPFPdfgpArrekKYfZGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BO402wUhIUBuooncjp8uQDGqhjiTRClAmm1JhAnMIEBurD7/fbPwvzwSTVQL7CNAAiJ032bwKECuUuw9UwIoQCXNuIeQyx9A6dlLlQs6IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/7E25qq9HkDi9APNHFXcv56wLzbbZvY/iGwYa4FOE0BimuEfDKMjQCgS/YwsIwtADMWtUBXwFEAyC7UN6KMFQNtDAugfmBJAOd09qkySBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jea26blRGkAFQNkWPi0lQDB0L6ah9hpAcRnXS3VpIUASmUu8KUr+v1LvZXp9Ih1AkuQR9FfMIUAeIs+dI+QfQMuAm6IfWg5Az0iuzY/OFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9oiXPlSgKECK1cE0YrIUQKPbCNe1CShAL//9pplJIkAsFXkiJQwmQE/v1VkFwSJAuMa10tPnIkAg11QXRPYkQL55X+DyrgJAJMaaKavWI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3GMrT79cJUARZAL7J/4aQPAVDBN2aiVAlgNNuoufH0Aycgt/8rEfQKZjOqgwLiBAGRe8hSXJIkAZ0gR4RromQLqpiWQA/QVAduZwRxKWHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xqcjOWOBIkB7oqXHupQXQAar6ZHoaiJAXUP+ugNFHUCXN08JWKAaQPnqryYD4A9AFsJGS7j6KEDUPW+sq3IhQD/J1WhzMQJA5pKRgjEXIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9Dd8TWYEGEBG6YB+YHogQEjduldxnhBAKOs6qU5uHEBPCULxtg8aQEoSQ/kkeSJADvxOyOjMCUDNKq1AclsUQPZLJldpJvs/rQcNRmNTG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UBpeSAxBE0Awk4GwpBghQIkalfBmjBhAav0vwJ2PHEB7UOWNz90cQO6RWsRukiBAYH3VgVXsDUCcssEreJ0ZQCOid20W/vg/wR1XUkTvGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UBpeSAxBE0Awk4GwpBghQIkalfBmjBhAav0vwJ2PHEB7UOWNz90cQO6RWsRukiBAYH3VgVXsDUCcssEreJ0ZQCOid20W/vg/wR1XUkTvGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YC96WVtcGEAJNOdZ+R8DQBUOx3bJZCJAdoBFLfKXHEClrBRLfksXQAGOdgA3EhJAYg3F1HINKUAoU8Gfq1cSQGThNcJ/UA1APxYmPdR+FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qF+joZGKIUCOccmyiYAoQIvjy93z8/Y/n1JKsDrSI0BTZKM2oUECQGcxyF6NFBNAwOSLp+wPIkB3QbiNG3YjQHRMQnE/cBFAkmIgPGncGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zJ13z/2dGED0eg4nXAIaQALzRX2CHh5A50ekhk0lH0AeoWiQGF8VQDFWnKEGZwRAkqDMJtQbEkAa1KvZG18gQFtm5ZosSwRAxiggLOU8F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l6vKv392GEDbUowM/+EPQEH6h4TW2BJAUOPrSXDtGUBAZulUZ5wfQEAy+BA14CFAnOIN1nflF0Axyj0BZLgSQL2zHnOUQvo/hDEywDBPGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l6vKv392GEDbUowM/+EPQEH6h4TW2BJAUOPrSXDtGUBAZulUZ5wfQEAy+BA14CFAnOIN1nflF0Axyj0BZLgSQL2zHnOUQvo/hDEywDBPGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l6vKv392GEDbUowM/+EPQEH6h4TW2BJAUOPrSXDtGUBAZulUZ5wfQEAy+BA14CFAnOIN1nflF0Axyj0BZLgSQL2zHnOUQvo/hDEywDBPGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1Rp/2q9pHECQQRqh5rseQOQkTbJ5mCFArmBHBz4FIEAZVjMVijYTQGpWEeX/CCJAk5tfJf3LIED14CMxcn4EQPnc7vvWeQVAxI4H70WbGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"u1R0PkOAH0CdA8FceWMfQLqN0vHGwh5AgIlkSbAqA0DkWM/11zMUQKcIoioyFhtA2htIvlGZEUCzYLi6BF4kQBN1SwqVgghAKMWJDQqfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Uhh4FFGsFkDpaHKDN9koQFe75KwL5BNArfDB/tLsHEB8dD2ozOwIQPXSROnCJyBAJ4W+Dgv4K0C5wYd2kO8fQCtHqK6GtwlAZXaW9PTrHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ooyT/2LpGkBj//80QgomQE7NAkOhQRZA3dkKZRo8HEBSAGrdKB0QQK89KNmlPxlAPmYF/PR4KUAHKRpqQOwiQOZQjjz6YAhAm22Wwkq7HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"C7ZWoX+QJUBoRIMDyFQRQN8p1ncpCCJAkk9a2+DRF0BWM6EwCg8gQPLHUy/MZxxATFnv7UfgDECxu+IJqCUdQAoLVjXAngNAt4cD9jf8G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gOQjd9R2D0As1tc4EyURQEPgeH8VJBVAPHzcN0SLHUA1Oh7GkAQNQN+/Egdh0hpAZSv5p/KPI0BsnD492IsWQFVYM4V8gQJAFAQNE3TxEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3VKpnBJ7EkBqVYNNWMIXQOqbObf89iRAzKrPdCtaG0CkzvPpomfaP7xPUnXa6hFA/IXBB4mIEEDh0CLUf18AQEhadk24hgJAqG2VkiApGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uuI7qOzuH0Aj39/3TRoWQLgidcisaAVAjNoM8XDf+T9u9C6Cq7kfQNBQH7JKPBFALp1bxElC+z+gqkp8ZecWQP/wP5FUhQNAsCrizdaBCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GDC5LW4r67+sk5Db3znpvxpDzrF+dvA/Qkb8xlZjCECUT94eDoIRwMS0ariWM+k/xbVJhj7lEkDHEh1VaZDiP6akvo7q2glAsHHAf7yx8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0WzjsKJBB8Bm3Msk4fr3v4g35dlrZOo/btkaQvz78z/cab5TLWUDwHzpuTmTkxNAEAKLraXEEkDafmctQbYBwB0r51+BEQlA/lSkGJ7u9b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EBphz18NHEDmak247Mb7P6Q4g39fOuE/4ksyA8mAC0BOl9rtCzgPQPhKKPJ5IxjAN9LqmVGY4L/vmcDwaAMTQOtCXe7o1RBAFgx1p53w4T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"M5u2PRz/8b9oWQPDLKv4P5rqb2cFcfk/wIn1HyMi/z9kJm3x65zkv0JubXomhRpAdZ1WG5tKEEBuRqk3zf3ov//js4yLbgRAw1+ZgM3P3T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lAGPnLXoDEDSbdnrCYH6P0fmKR/LjPs/l4ksVnmF6T9rhD2TxMoCQCBlXqapDhFA55OnHMHp8z9AeuEBG43zP+gF4PV9qQNAcM7TprNCCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XUh5mUkkJEBH1HSZWUwdQP+ry9+hKCdArND18rw+CkAsc7BvkokQQIx2OIU7qQFAsMIBjvMC6L9XlLD4ZpcKQJMS4Wx6CBJAZQla/oU+CUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kTKb1MlLJkCnxfjxW/YhQG79eao8tyFA/dNOc+RL8b9muha/+asPQNZY85MJxRZAqBR9OanpHUByP0eF/aksQKgohHD/ZBNAbq6MCcubHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0AUfQB57AMD0Woe0bgX2v+kkLK8bbAJAqhpDJqvZEUDCpsjLqYe+vwXi2jSlJQHA0OCRsLSHEsDYusuWAvMUwFwsGaz+ugxAbvvQQF2Q/b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"13Fe0HXLFEAC1QBwo8P0v5iNCldmxwfA2q208B3+BsDLKI8Q4PP9vxb7+3By6RBAsChjV83c07+6ZGgAa9ASQBBaIyCCqwdAc1JQa6LTAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3gdzdojDJkAYDnexS7MlQIEY74ur9SNAX9fhTQjV9T9SdIE1cLYWQIss14A0c/+/qjRQzmrYK0CkmGPj/BbRP/Lea0rRthRApGGSWZRSC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CrqYI49yF0DZG5w9Ci4hQI6kkFgasyZAiN9SvdeBAECIjjn0YIAXwCLtFxsXZBpAxOgKdLxGKkDWKUlFw7P5v/XWWPTGdyZAc5MOINMaCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uMyZMikb4T/D49h3a1gkQJ9k8wyX/xxAOx6XJwSGDMAOiCSxz1v/vy10aNUwpRbAI7GJ+cTfGkA0RQ4h9Sk7wABY+tIvoiVAwPiPxCtEFcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TFxFEEiICEA+nqvnMibWvwC62PVpHc+/Fg1OKzRaDUCQ5RJRlb3xP0xf0LPo6gRAUiy+2+E3BkBA5mgwTmElQLSNPHrSVwFAA/vR77ItBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"s5P/xS2noT+WOxlF10YaQLqk7J3DrgNAvtU3FgxtEcDiHybEtZTdv8nryynmeg5AXvSRKamqFECs0TD9fygWwBIrxPNJxBRA/VzqBi1q/z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4PRjkAmp/z/2Da1aO1YkQPp4eFL/whJAUA13OFt7IkB22/foWRUMQDa3ejUzliFA5FQ2WObnIEBqP/PPwgXpP2MMXR+W2RNA2QnfWdhfG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uL1L2YNwFUALa+UjCDUjQJINPfbxmgdAYKqUB18QFUAhWSlTW0UHQPxh2rH6+B5A/qu/+K+XIkAqRyn7Fn0QQH0ndTMGhQxAHkF3hVN8FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/LY9ZnR7D0BAHGgT3SQMQNSL0HWzOv0/XgtmlPP8CkA+O4i6lScTQBYvzetB/hVAjMijgHI4DUDhnDnxgesgQDb1kiQLegRABTnsGrVRCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pIlXb9nfEkBQ+GvAxloZQHKn1ZTusB5A2IERYuvfE0C8ySbyfSQOQCSWX/zqrf0/E4PiMpIqHUCA7lMG8Kq5v+njiV7vWxBAqIeb9/H3BkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ccmoPuq1FkADZJ+YoN36P7nU6EObzwdA15TogQIQ7L+NlOjQwkcTQBSpj9TOxPk/0YBlIWZ99D862v6ouIIeQEZtGXjowgVAjfZFT9RhEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BmaIYNQB+j9vJ/EbuAYEQEXZoj5HvOg/Wd0HhfQgEUDeDxcsB6bxPwrJ8X/yo/c/mtWYvuzmAkC+SjG8c74HwJut5/ETrP4/GJlZz1Zp/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HRmEZWOwIEDepmBbPJAVQELkJiZX3RJAFIsaQTWHJUAT/YdLzCsiwEkhhzybgB9AzfPqCbDvKECSK84aMTcpQNsflZ8ESxhA+zlB/8+3HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Do9VwL/cIUBqE2mVcGkbQBqcUWKBJCRAEM1p9u6c9D8QlSh9zhkpQCwhD0ckcrw/b8Eeg04OHEBUYiqBkYsUQH6/Ap7ILA5AUnI/2KYoGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VWddtRA/I0DSIiHOJ2sUQOqCFaLn9xNAIya0cjXiKEBQBi2UHgHov38jt0MG5yZAtPlr5lDpIkCFES1tALghQPBxg79CXQlA0ic3CDrvHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K1/3oHqTKEBRFDQBDAsCQDmCaJhpUiZA5Ucw/fO7JUDHx7DLO5YbQDU6IOtYHChAXtDgreFHGEAOFbGEbiArQJPeAH/5ARhADeZ7qMpNIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mdXjeYNTIUAA87MrGZPYvxXate0o6R5AhbUU9JwCGkDsUe03OZYTQCIUtLS1ISNA3ncFj6QiH0CTd9aU0mshQA7A7ABkSgpAOlSMV2LiHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qL/Ng7raEkBh3Sak2z4JQEU4eqoJjgJAOIjt9PoUBEAGm5g9ZBISQMUJzFxgpAhAYIG8DR03JECyYz2wnrr6P8ouoRwcTgFA5C8sJlKLCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7CuzozyDCEA4VuoYXd8ZQMANtq6OTBFARNLztxwWC0BeDVBzOf//P4vAkFQ+OyBAqLXjj8Tc07/wD4gYMOMmQJs0Dd98vR5A6v4TPMD2EUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"72CKdAGYKkDP4BjuoY/rv3RfwutvjQhAABm8K35+4z/NMXbnIhcWQIDov8++k84/eA3NL8FNJEAJtHR5WBgGQNtPofUvWBBAXrCPjVIdAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DZ9l4YOLBcBO9PyHpA0SQMlZVZ2YXPe/WnWzyA21179Atl8Ihu4MQACMvrbwUQnACh6bvzsZHkCMsvN8nlD6P6ReDgx7dhRAmsiuETJRDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lJqOfNWRDMBHiUiOInwRQKmMcMSj9grAabC2mmgbH0CcZTxMrk8NwEr47u51OCHAh8Vs0uA3IECqiEr3EyDxPzrvJWBAehNAfowics9TAMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"f4nW9JqZHECZiLJLuqYpQPjVcFzC7ihAsw/S5FaMJUA9125L5p4EQHgNR/XKpNC/6ouK9NDMIUCodid8VPYxQMWJfIpyRxNA7k3X37bJIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xlqaU1qRMUC6u3eAdbUQwBsTr5KNAB/AaNlBjzKXE0DSudGYRFoRQIPCFLcKQiRA/mkSY0HJK0CNtH2/y2YlwKZAmmhi+iFAr8xu9/xlEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8v5UDVN9NEB+CKADmyskQIhUhcpXefE/yIoxtNydJED2wRIUuFr4PxYQXis0ChHAmkUIvgH3M0ASlg+yOs8ZQGVVhEnylCJA4KUutr3tCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RPAj/OgIM0CNJDBNsmkhQCrGrnDHJgRADV1s4+x5HUAqv4tLTx4cQP61dXPqzBjAS+M9emmjLkBUrclTob3gP3fmNugpGypA9pk852iLIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"V5dHkOxBNECrJjBk9Ob0P5/5ouq4mCJAyar9vRyKJkBOBsATphoaQFJYKnKFlg7AxUgtqWnpJkDdwUE/XpIAQNxrEyRKTBZAYBpMdo/+FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L3UXfF+BNUBButwkDkMEQGOtRz155yFAw3WKdYalMUAxXFie1B0KQL6uQsdN3A1AipUsO5ttMUDz37UblKwBQJQxPAfO3yhAfa7OMltZFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HeHH/me60D/k10dH6wIeQC/Re30OXfG/Xnb+BrJ5EcBO9m7Qz0sdQL0/G/HyAQpA63T4w60AAcC07xYEsJUSQI35xdtH4xRAWw1AihqGFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"U2jfl226K0BOJLmFX3YJwJJJ9nC5+wXA4FQx1O/BJkDk1nUbf2YdwPJWnYgw4zDA7NLSBScCMEDwntYwqs0cQENwgqqXuCFARg33C55/CkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AGIc521QEED8Q4jXdPUpQHZzq8yZm+s/vOI39SVbJEDVrYnwW6o0wPhwOPJVwyzAYClmh5bfN0AMBcOd6ngDwEJtdzkh3CtAhV5tSlyODEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qpEZdEryMUAhhVLz4aEhQC3cnx7VwCZASatpbdoDJ0A0SYCwW5IXwKo8Sq+KzynAFshlCLcVMkBYtK6bzn0hQASdrIEAqSFAataGfTc+GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VMKMhe4vLEANHDbqoF0EwFNEtC9FSBXAkBcnvaOh2z+RfqsiZRkcQMQFPfuUUytAEPdCGvzbGEBU8glr+D8NQJncN42xXyNAbLeNsLNiCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MWcqsfyKK0DCtX2drfQYQGROUV4DFwvA7q1hT1B2FUAwvfkYnvQVwIhMJlWNGt+/QvBfla2pEEACuSLLxZgWQNaIRhlhHh9AcvjuMByHBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7UTypvIVMEAwrrvm0jYjQHCsZSvwvAdARFiM1SvKH0A86B2bMOEZwHSogozLJCLAbF86N4YQEsDOynZJOVcYQCVgi9Tm0RxA2tvZaZgME0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JCeF3tg76r9oMKsh+H4fQGH6gO7UriHAOCFGtsSJJ8DRWzT+osoLQO7hhf9srPM/jUkBbhYzI0CKqKa59K8UwCuTyJL4wR9A/Q7So0gsC8A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Q9rNkOKrKkDd2Aq1h3MVQO7PyP3jACpAErb9W2/KLUA+HoGKOugMQNAga8zwNhZAwCtHtNDHIEC8sBUOU8kpQAFR9meufAlA+nmrovTQIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2AtMPh7jKkDDY/7NyfkYQL+QxWANqSFA1f8Y3vCnH0BKvaZ3Y2MaQJRSJJsmyyFALweex/GhJUAov1WGK6kgQEse5Jlx3QlA6pxq06sTH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SK9Mc02hIUBNGEnN4vciQMrx7Pt6gCFANJrJ80ClIUAfH/2u3akYQNP7ZX7kMCNA3Jxe5n4+IEB5/1C4pbQoQNlr/L/YVfs/EFK7zQWHI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IRulFJCaI0AemzNhoIIjQM0YUab5bCJAy+nijsFRIEA3UENVbt8lQOxpSy62BB9AyJG73Ku3JEANIw5VWX8iQDO2FuPQQ/U/EiCjTe3WIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Z+5qFkEKJEADdhXZBK4jQA/TYHre4SNAMy3Jky+qJEDjXC4CijsdQMKZz+C6oSZAQ7F4LW7QIkBtE9SMCEMlQAe2xzpz4Pc/l22wZus+JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Z+5qFkEKJEADdhXZBK4jQA/TYHre4SNAMy3Jky+qJEDjXC4CijsdQMKZz+C6oSZAQ7F4LW7QIkBtE9SMCEMlQAe2xzpz4Pc/l22wZus+JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ns5b6SHjIkDCIDL6rqoYQDxkPOohkyJAdVHLyGZTJUAsVkTnY1ojQH10XsTF6yNAYXPCzu+VH0ASpakI36gjQNqHXnNX0fo/yPflv8M4IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TdIkEM1cIEBeAcyadk4nQEtPAN/h1xZA27p9oOxXDkDc6kyqEMETQBzAHGfvzhJA+HnD0ZF7IEDIgd0U4/MWQC7Le/COBghAOiTzdq99GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eANFtUaHG0DRmhfgkxIoQB87Q5k0Ih1A+bdEkSdSGUBCxvOuBJoRQFCpDnQHUxlA6tV1/85KG0BGylD2/KcXQIcwd3XR1gRASB4ElkRaIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w8NCFt5oIkCIKTf/eLgkQEJE6AbUShxAGx8k11AUGUC27KDpA9weQA42cOXMvCFApsy61rpjEUDPbXi5knkiQHRrBzCq5P4/QcJ70JkqH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w8NCFt5oIkCIKTf/eLgkQEJE6AbUShxAGx8k11AUGUC27KDpA9weQA42cOXMvCFApsy61rpjEUDPbXi5knkiQHRrBzCq5P4/QcJ70JkqH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w8NCFt5oIkCIKTf/eLgkQEJE6AbUShxAGx8k11AUGUC27KDpA9weQA42cOXMvCFApsy61rpjEUDPbXi5knkiQHRrBzCq5P4/QcJ70JkqH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w8NCFt5oIkCIKTf/eLgkQEJE6AbUShxAGx8k11AUGUC27KDpA9weQA42cOXMvCFApsy61rpjEUDPbXi5knkiQHRrBzCq5P4/QcJ70JkqH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/TgUbJBJIEBrlfXb078gQHSR21Rd6yRA3jD/AdrYIkBJHAyJZBEjQGRCMHTT8xlAeqz++XfsKEAmuYBJ/m4mQOjr8CitfAFAeS4gexvkIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sNwdi1tD6b/EdUR7uxITQHhFEw0rnv0/cv9qsX9YAUD+4y3HEEfxPxCJY5Kr39s/GyYBgGQf/T9iNEs/uN0HQH5QEDsK5/w/F5JLI8m18T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sNwdi1tD6b/EdUR7uxITQHhFEw0rnv0/cv9qsX9YAUD+4y3HEEfxPxCJY5Kr39s/GyYBgGQf/T9iNEs/uN0HQH5QEDsK5/w/F5JLI8m18T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iOS5bX11sL/guRN9yyQFQFzVAqfSeOM/PIL5GavX77+upqKrEb77P2aY6zuff9E/UL9zgktYw791Wro4iv4FQMaz2Nzt9vc/QYQNtrsR6z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xU4Rgz0bJ0DnQmu2iL0SQBkF9GJfdxpAA8pfTjZCIECGfx7AWscGQIpBfBdmlxBAR67vheiVI0DwawxDI7oWQMXHBZr8owhABjWfFiD3GUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pJ8wZyzXJECk8X6xQSkyQGU6bgjxYuO/wG6JIUYdJUDw9OrLzGAaQASXSIucGiZAeDsSi7KjKUB94njqBY4ZQDof+JhNzhhANuWQI8qWIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Mq04qa3KHECQhY49QNgyQKHwR8aO9uu/zzE7V7oVEEAuBnWhaMf2PxLephKvSAHAthuV25cwJ0CumlyCviIQQIqfWwHHfhpApM84sfA3IEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wqlh+NVNJkC61zX03CAsQJFiWQpAkv6/quy3wxPoBkC8cRskwtAWwA90XCMqKP4/Pb5hkEwcMECe5MeWIbkWQLmCKR5hwyBAq3uaS/MoFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EXvr5caPNEC9R+rHUV4QQDvzZWP7QSpAw1n42vqGI0DgPoi/i7UsQCNfx8XNZSBAcnGeS6hUEEC1g5aSUwUnQO5uziC2+yFAGabFDLxkEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iYj9f73hE0BMa/Il6YwgQMrG4ARusgLAGhFkbQzrE0ARmd4z+/IZwGyyxOOjmARAYv+4EfviM0B9rNHcU84WQG2p/114qhxA7pe8cYrTA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"d1BOE1jeCEDOEfR0KEYSQPaXH8+mthjAd899b2ha679fB1STbqQLQJzLIpVB0wpAxBZHicRTMEAhjMRArHsMQKvagpAdVhdAFi2kPK7cCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bnDa+ohTC0CarrFk7p8xQGzJJUQDnOU//Lgapf8WGEBCrs0lJEoZQB3B1gEdACZA7rpPA83sMEBbu1bncakgQE6KGZS6hhxAUN1vtFm2GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sW7ZEofNLUDIS7c9C9gmQD9Xc6U5ay9A21q0ILuHI0BLkrpMQp4oQIqowmirHyVAj6L/FHmUIkCr/xdmTVcnQAW6465CRgNAJg01CfeTKkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Pm5Y6s+yLUCR1CGARQcsQN+7XawsfylALm9yrV19J0AN95l0CzklQKfUC7u7+SdAvao7Hx4JKUCHkON7NaYqQGUGBG9Fmv8/6IOzTb6+KEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Pm5Y6s+yLUCR1CGARQcsQN+7XawsfylALm9yrV19J0AN95l0CzklQKfUC7u7+SdAvao7Hx4JKUCHkON7NaYqQGUGBG9Fmv8/6IOzTb6+KEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JW3Jqb/zKECzDmcxulAjQDFfmueSSSdAI67yx+AuKEBFgiXrrTsiQCoYWeHPkyNAApmwaqkoIkA7S0qUexAmQCeXuOFLBvE/tvHfPbDgJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JW3Jqb/zKECzDmcxulAjQDFfmueSSSdAI67yx+AuKEBFgiXrrTsiQCoYWeHPkyNAApmwaqkoIkA7S0qUexAmQCeXuOFLBvE/tvHfPbDgJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dF+0p/04I0D8VtiQKgkkQBDiyAostR5Ajew3HqYMI0BOOpzz2BclQLAO7u8QSCNAoWznJXAnJ0CscCslKIYhQK2Ac7NJ1PI/HCHLKngKJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dF+0p/04I0D8VtiQKgkkQBDiyAostR5Ajew3HqYMI0BOOpzz2BclQLAO7u8QSCNAoWznJXAnJ0CscCslKIYhQK2Ac7NJ1PI/HCHLKngKJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrZLo/tYGEDaVpfr3FMjQPQp1FizZCJAdHjv8X0GJEAIFuXAROAZQBiea+8PCyFAoiGnvbtuIUCzPhItSrshQG1GRftYb/M/AyC4Tm4vIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrZLo/tYGEDaVpfr3FMjQPQp1FizZCJAdHjv8X0GJEAIFuXAROAZQBiea+8PCyFAoiGnvbtuIUCzPhItSrshQG1GRftYb/M/AyC4Tm4vIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SyGeKTdfHkBSxYSS0ykeQNctHTR2HB5ADoFij5PSIUDfQ62KOYkiQF6mVsGPcxpAU1tdndQhJUAIxl3JecUkQPsJBxjXbPU/EgDcrq2aIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SyGeKTdfHkBSxYSS0ykeQNctHTR2HB5ADoFij5PSIUDfQ62KOYkiQF6mVsGPcxpAU1tdndQhJUAIxl3JecUkQPsJBxjXbPU/EgDcrq2aIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SyGeKTdfHkBSxYSS0ykeQNctHTR2HB5ADoFij5PSIUDfQ62KOYkiQF6mVsGPcxpAU1tdndQhJUAIxl3JecUkQPsJBxjXbPU/EgDcrq2aIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cmMhpB4iF0AWaScdT5sbQPYNlodmah5ARopID3lRHUCE/5Kb9J4WQHzR5iPlsBZAxQT7NO9jG0CFko9+G8kWQFOfnv3HMPo//NE7KCXMF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cmMhpB4iF0AWaScdT5sbQPYNlodmah5ARopID3lRHUCE/5Kb9J4WQHzR5iPlsBZAxQT7NO9jG0CFko9+G8kWQFOfnv3HMPo//NE7KCXMF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RAeJLqORHUBw2BhQLAUVQE41euSJqw9AEiL345tdFUDL3hP+hP4aQOF0exvf8hlA7SN0+54oGkDW5Fl6ewwhQD43c9Upovk/KhVZVgAgGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FsWhm8aOH0DvnaqbSmYYQJkq4CP78xlArP0FKJp4IEBK9XbRJYoUQHjuxGCwiRtAvK04b3ylE0DEi4bDQJkPQAIE9WitJfI/mRZnTHlpGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VFYpvYk+GUBI/dgqsgUZQCFuDTi2gRFA7avbOYgiHUDmAxCUH/4cQIRxWaNHwhlAwHOaxpZ1BUCntgj9Z4QbQHwp/WvDKvE/W8k7d1CfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VFYpvYk+GUBI/dgqsgUZQCFuDTi2gRFA7avbOYgiHUDmAxCUH/4cQIRxWaNHwhlAwHOaxpZ1BUCntgj9Z4QbQHwp/WvDKvE/W8k7d1CfGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QSZ3vrIaIkDo2LnvxO4VQInolBu34RFA8N6bplwCDUBxqltYpCcRQEuxE7AbLhhA92flu6VzHEBdGhM+h3UUQO1wuf5J6PQ/VdlWkTPTFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aWgwVrZCIECVtpnc6LoWQEX1s1rE7wdAsf1SAidI+j/QvRM6+oUSQI/vo8J1+B1AINElz3OBFkChqvHOEuQhQP2a3xydm/o/enDl2IwRFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"R1YAakaAEkDxdIrakNEOQPR5DId4zh9A1P1YP1pTFUA6oKcypksgQIrkvO9SgOs/8wEHR7tmKECoCR6e0nXbvzEmGwZ2vRRAJMzfO7F0EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cF/BwCqBFkCYl4Vil+jEv9U+egLZiBJAPbz0D9iUJkCEpTXItx8GQP+hj/FMBwpA0mSDlXJMKECUbWGsGX0DQHLeVi473BJAEXaoTIpQDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"i6JQBsYe/r+tHa91MuocQA1BEpMngh5At3WAbnlTFkD1++muguP9PwpQl5LgLQpAoEYxbc6JLUDIeqDzyNS5v0pB2clrmhpA8UUnyW81IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aBCFVlY7R0A8pMpW6tzuP8pmnMNA8ibAUtMMs2cPM0ChCFojEDQEwEyV/uMf+QPA+KePawaFJEBNzqmsDDEuQLSuQGu5ETRA+5SuCAitFMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9oWre5KfQUATkSwNqQjgPzn9ZA3VbDLAkM2zOSL1MEDKilfcR2H9v3iaUgKNnwrAwa5CBqTHKUCCPhDFCxIiQBSFuyOeRCxAZqAaObYDHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bJykVKqIOUDxePbt2yEkwBuPDUj9PSzA9vEwyE8DH0CvIi2bKWkUQHy5ohm8uQlAr/1fQeEKIkBshyXKB90zQHHLy2wFkTNAQ2FbwLNqEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VTVkRVAqOEBpGVtFUG4gwNb32H1T2RnAGayLqF11K0AkZKLmde/rvxC9EweleO4/oGgMbB8UJ0CD5vsP7KY0QGhvFI4zJSdALhnt25p4/78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wnm/YUYsPECPfQv5g24mwCr7o0RipSBArOFxU+Ac7b8aRoSaviwBQI7TIl2NhOo/8u0cD58bNUCaCryjWK75P0vjK9/UsyRA3ekb4DBuIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LDGOAdJuQEDEVOvMkYYdwMyEiu8AAgLA9uNBvfBIBEB3cIPVapUgQDq+yseIz66/jfgRdzMLM0BAAsRS3DsCQI/RoIBsCC9AqPsI/8kg578="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fS6RdFHwPkCkX7pnchQ4QH6x9RyIwDFAh0pEwCKYJ0CO7Mk1FGgmwBl3xDq/SBJAjg3KPB0sIUAx2YLBIOwTQGWCMsYPtS9ATLDEUVApIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4LC0WoX9MUBhqqIVyp0jQH+rZiIY6DpAEhaoMF4E+D+Cx9QcJfkawDzQofNJ6fA/PPSPxsdMM0C1pT1TGspBQBn3C8N8gjJAjENdNHTFGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BXkAcNVDMUBAesLyTwsKQMulNP4E2TdA+Vs9qvH+D0A3clb7icwYwOSCtZGOzyDA6KOwkUjmNUBIv8b64cc+QNRJVk+++yZAdyR2IrbJEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rHFIDKzuF0DCb+1jYiMZQNISly7AI/O/OiwHMOsRMEBQB99Baovpv5GzBPPUrzVAMWEHzdbrKUC2YYl6GO4HwH5Sf1IKySJAPMZEsj4qFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XtlZvhz7B0CkmA6bKychQKc6LKNrEO4/fTQc2NnDNEBujyvKbQcIQCBP1F8n4CZAeP2u2k9pKkBY5cWczl8HwCzROv1vrxxAovb7YnmBF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1J8Hjvt/LEAf3btKOswiQM9cYZK80hpA2DZ04UQMIEBCiOM6NnwcQJj2Cdl7bwZARGdeM9a8IUA9X+OAyXUmQP17CI621gZAemF9ByVqIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"KW+XiuTYH0Ab7N8Wr2QRQH06cn6trRxAhi1OF8jSJEBUIx5vHPkdQA38TROD1SBAeC0EHVLlF0AUxZSi85ISQIhZCCyolw5ABRWiUCgPGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6aq397zlI0B4w9boomfVvxcNatflYRtARpn8zyUWIkDhHedGshgPQHBxZD8dRyBAq+hRb25VE0AV7zOGaRccQLJpgfK1DRRAGjl4TiB8EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SfFax8UsGkAWu9X6F4YnQPMbHwEhFRZAVIGzSXCkFECSn09jdmwYQGT9b+kPrxZAflOsS6zWIkBAH8urc8QYQC4y1LjUEgxAdXMYXTa6FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PzI8mxUSAkAMieYNZHIUQN9qSoQjvCFA0Jx6QSE+EEAqz2b2K48tQD/goZzsKek/hrPvNjiFG0DiI9YuClfpP+5TxF1o3RJAqjr7e4lVE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aCJKyl/2IkCntOW/KokeQGMwJQ9QfQZAHhrdfN20FEDwfoC2O/rwv0DQbC0W0yFANicM/8cYEkCMMsoKhgojQHZl7X0L0QRA2365L4VDFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BvNU1VTY8D9DEEdqn7UDQFw3a2wkJiNA1Qxq9CFNF0AOCvI+BjgiQKod9MhyKvQ/esuq/bnKI0Boaljw/LDsP30T4oRCKQ5A1RaHqXitBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"De7zJsncHECHOpzrAB8AQCSvCVBQ9A7AWHL9HKHF+z+cc/VY/pwiwG2H7OIS8SJA7dYpPHrN3z+jhTFAKT0BwCb15lh4TR1AJsw/WUwr4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"z3e7UY2tDkCARXLD6d7oPw3lfBXfjyJAhHRU/1lJIUDUn3CcrJEVQKLYzpkaihXAeSwCgTiGHkDi2XNKjf0aQG6X89A9zhlARcIMq3nvG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"S6Se59gSNECWfPTJ59QvQCiPSHqu0Pu/nn4EcMedF0DR8Hvx9tQEQKAGOszPrDBA8K1hpdnuKkCUuA6A6rgAQL71ndpXBRhA63QCOJNLJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"quofQ7MzOED2GFOg0MwuQGjo9oYVw7q/aNkrASZODUD2Q6FV53cNwFr6QUoKcCpActeGUWr7HED8xPHzpG8YQGTncepsJilAUkWSQC8KFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9YRDMddSOUDlChO7XAktQK42EfHmIRVANl5lQV+HFkCbc/n5zCIbwCeNITG6rAdAOJlOKyAHH0DPJ1iqe+kiQGrkMvlU5iJAqFmSOz1WF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"GBMKlwgZJECgEzAF2hsbQGWZhSKveSlAG5+SwhiVF0BK+BY4rYEWwMp5o0wCGwPAws5mTU6hM0AMw6eT2akgQEyYT8k/Uh5ASBHuPoQMFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ober7qYlJEAeU/6QZUUOQCU95xRjegjAgI12JvGolT/uZDPXYlgoQDe0RDZyOyhAcF8e1H2l0D/O6tb2lsECQFPdPxwfZhNArNCO4hglEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"w/uFGKt1FEAW+cZChd8FQKicJv8tBtk/w2Q1Fm82FcDQSUEvu7PaP+w2RPxeHBNAYMKHeIAzIUB/3MWzGQsTQFU3GP6zWxFAlXodcROeBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EtLYbmly/r8GIm43dG0gQLOdBU/gpRZAU2Dj1i6YC0DuuH1WBpDpP+JB0S8Giw5AMDVUzHWFEUD/Rtken5osQNBt01burBNALGvD/ZE6EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wc6KoMjC8D9B18ieewMjQNUnqEp8LBRAWig/XJmWA0B/W10YWZD8P156Q7lFaCRAvgGw9OjkJUAxb3t3y5EjQJcpo/PWcQpA5B4UVhogG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aCJnZAThBkB0Gxu0dCgYQLzoEah5GgdAcUqtV5qWB0AaxLgF2REPQM2X0f4cpRhAG9oVLtMLIkCcaQ6Zyy0bQO8H1dufuQ9AO90h68mSF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XV5Anha+GEBgN8oONm8NQDpw3ObHDhRAFbdK1/a+FECsYd3lrbMBQHqiFJBvHApATuT+2UZDA0CPJRWFmS8JQLpy2F2kiPs/hvnX7tG6D0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOZJNDWXzT9CVFnOFKsHQKiYIpwqjQZAPlt5d+B1+T8UR+dBCDsOQPrj8NIQjAJA5huoB5EGEkCUN1Rvbcb4P8Tt7uVwAv0/CELegM56B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOZJNDWXzT9CVFnOFKsHQKiYIpwqjQZAPlt5d+B1+T8UR+dBCDsOQPrj8NIQjAJA5huoB5EGEkCUN1Rvbcb4P8Tt7uVwAv0/CELegM56B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOZJNDWXzT9CVFnOFKsHQKiYIpwqjQZAPlt5d+B1+T8UR+dBCDsOQPrj8NIQjAJA5huoB5EGEkCUN1Rvbcb4P8Tt7uVwAv0/CELegM56B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOZJNDWXzT9CVFnOFKsHQKiYIpwqjQZAPlt5d+B1+T8UR+dBCDsOQPrj8NIQjAJA5huoB5EGEkCUN1Rvbcb4P8Tt7uVwAv0/CELegM56B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kOZJNDWXzT9CVFnOFKsHQKiYIpwqjQZAPlt5d+B1+T8UR+dBCDsOQPrj8NIQjAJA5huoB5EGEkCUN1Rvbcb4P8Tt7uVwAv0/CELegM56B0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6CfYW48qFEB61GBUR5MSQKSBqM9ldvw/ASi7T378+T+Lrz3Tv1gDQEutrVQ5Jf4/4LJcntC7E0AtZ0E2OCkCQG9PzJNuuPY/fPICTKuDCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6CfYW48qFEB61GBUR5MSQKSBqM9ldvw/ASi7T378+T+Lrz3Tv1gDQEutrVQ5Jf4/4LJcntC7E0AtZ0E2OCkCQG9PzJNuuPY/fPICTKuDCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SLG7yngK+7+a+To4v2Pmvz/zV4rynPQ/qlT1OobwEEBOHuuTId39P3QnxmNIUvg/rFP9gvhJ5D9T6xkyFpP5P3Zji6cqfQdASqT0Enob4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nhucSblhA0CueQO27IwBQORLVR4nnNG/Yv6ae3SK8D8syfHGuCXiv+pNz1WUGOS/qQRXAv+Y8z9YCQQFK/XcP7tKqLNTpfk/OoWmWgpf+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dkJudIoV+j/dOgsFRvDxP5CSaES+P+c/8bo7lW5mAkBtdaYWC0/qv8xIcTRmQdk/W8Ggm3cI9T/qBLGl3m7xP7TEfweptPs/kHdPbY7LtT8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zwHVspcC5z9Pl/i9E+72v4ACcJITVfY/YBvCDNTeEUDgwQN0tOeSv1hmy+GQ7ve/GbQUTDLg+L93G2wMxgf8P48c2jnY9fo/SMSWbsiyqb8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qxTbBgKc5T8qoCDAVgPmP2T05QzXO/K/HDuUcxfTAkACaBLRMhX7P3hzhZ4MZwHAEjsD2QUP+r9m62DLjUPjP6CYu2wpuPo/QbNAo9lPl78="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"umDDW+xD1T+gRNdwNybjP3Yf8lmNaOc/nNz9gkOVBcDs39RkrRgBwKIiE7ou4wZAvDC9i3pqDUCCngeUT57Vv4tcJpKWogJAML1Jf0xYtj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CVgcfGc0E0D8erK0zUAQQObn0j3UthdAsTuB7EzsHUAatsdTJiccQDAruVHqCAlAglxlZussHkC7tFu4iXkTQOn7hEMLw/4/SYBjEsmPFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CVgcfGc0E0D8erK0zUAQQObn0j3UthdAsTuB7EzsHUAatsdTJiccQDAruVHqCAlAglxlZussHkC7tFu4iXkTQOn7hEMLw/4/SYBjEsmPFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"MQTLigDmGkBuWr63vvQRQKU9P4f5dRFAmuGeq+M1HkAV4r8CEkcZQJKVG/bOSAxAv6B3JWzTGkAbxtXKf/MVQBqjsWjWw/k/09O7KSHzF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mZ+YJxAAHUD3zX/+NAgUQCrxNxeUsxhA+E3OtIoTGkAXlGZBBgAUQLpi2n/jtxNANqU2ANkJGEDv5x+h8sYUQO+iVzhNO/o/F5yc1SE1F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ihf4NJg+DECfswag9lYaQJp9FuiD8AVAQ7b0lzmzDEAl+lLROrUYQCGa9E4RaBFA75DAw6bjEUBq4JTA0MEPQImMZgG2u/8/G5UeLyGBEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aLcFbnhzBEAXzUR8gawGQBb2c4Ql3x1AkWs2u6LDEEAnITQaakITQFYg5Mb4LA9AxJ4V5fPDGEAhH9HKefsWQP8ILsT1MQBAVuM4q5OiEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xjNzTIfYEEDx12zK+JLyPwxEytPaJhZA3kiukVE9GEDYXTro4LALQKQTyAKc5wBAEoXed0B0FUDsAQsZpfcXQL/r2qzGHgFAHNZTX+QNDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rzg/a+jHFEBiUjeMFmsRQEB3TpDR0dc/k4KZx9ZiEEAsA6djkXwJQEoc+zbOdSFAQLltgHpAGkC0avSLLjgRQF7bUKegwwtAlHU1QLtaEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"72Soe362EUBcX9YgTDfyP9PwAwJKfxhAoP+cAAZa4T/ianemkncTQNlu1EISDwHAIEYndwrEAkAYVsoVacsJQDbYCtnUvA9A7mFehWPB8T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BqKh9bfUBUA61F9ZKN0NQBvzl6ij5wPAsWg/2I31DkACQE87bLkEwBWKLHxgDRhAYqn3WXq8EUBAfxFJ/Qn4PzTuwy2DDgVAirROAWLB8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rFGuRfIlIEDhGVnTb+ciQISQVI9NRsg/qNWwga401T/uJcjuJ3znP3S99NxNx/+/hFo6m9GzDUDnR8HfWiMVQOWBOOV7MiBAq9Vie1gH/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"He3xMZKqGkA0W3Nvav4QQI3wsQTD7hRAGhYiH+noH0DwFf67UeAfQEgjM3kmVypAyJ3xF+ngGkBxrUdlVMcgQD9DeYwp2AlAuSADBvmOG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wYU71ufvFkDdopkFtTcgQF9k/a/fth5AqL6U6Q0GE0BZTAT+cvAKQAgK7yPsb/U/Lnknatl+HUD4wFaDHWcCQH+QXK8xmAhA2zcJJXHfEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sn0IpYoIJUBIGYLTVGrYP+SZOD8aAhpAvN9yj3CD7T+aIIVytF8bQCHjCKWLACRAlqKlghlVIEAMKj/xAA4kQMfeVxV+hA9AZoDnEmB5H0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UmLFmKMHJ0Culd+Y8lsqQObUZd9BdR1A8EKgUMYwJkDBtrVz8t4jQOOu1AS6iSZAP7IDDp5vIkCSPBeftyUpQFmYf5+tWApAwUAmx6SjIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YuNl9o0EJEBSf+UYOz4sQKCxE1Se0BxAepNRR4HEJ0A/NYLAKdchQBiWU9920SZAQYSrihslIkAGLep9dXkoQD2shiUsEAhAxVgYxulHJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"O3Jo11kpK0Bks67BMbwjQMsFGg1X8S1A2FkDah5JHUAsPCfyJhsiQP1NN1m28CNApGg8kyeKKUAVwnGwRoUqQAq+QzUsbQVAV+tu5UO5JkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2yGU6ZuTG0Apa0yw0ekcQB+6lgNbkhBADzNZH6FJE0AW2DpDPHIWQMpcVKXMZxBA1ez7afH8DEAc8GKFbbEVQKlR84F+yPY/7zPMInIBE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2yGU6ZuTG0Apa0yw0ekcQB+6lgNbkhBADzNZH6FJE0AW2DpDPHIWQMpcVKXMZxBA1ez7afH8DEAc8GKFbbEVQKlR84F+yPY/7zPMInIBE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2yGU6ZuTG0Apa0yw0ekcQB+6lgNbkhBADzNZH6FJE0AW2DpDPHIWQMpcVKXMZxBA1ez7afH8DEAc8GKFbbEVQKlR84F+yPY/7zPMInIBE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2yGU6ZuTG0Apa0yw0ekcQB+6lgNbkhBADzNZH6FJE0AW2DpDPHIWQMpcVKXMZxBA1ez7afH8DEAc8GKFbbEVQKlR84F+yPY/7zPMInIBE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EyBo9M6THECKu/3CTL8VQHjQroHLpxRA9KFCGUcXCEAkqRR7mYUdQMyU3QMZ8BVASJIKcI4NDUBJ9lXTEDwQQE9QUgVZ1PQ/XiyWA/l+EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eNPS1lZwEEB0ODX245IaQNzOCR/weBNAFrOzi2gjC0Bp1cmmIesaQIC3ZNwRU+M/p60TyGEeF0CJhD7vuk4KQJZNBIf1svY/ITSs9YGzEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eNPS1lZwEEB0ODX245IaQNzOCR/weBNAFrOzi2gjC0Bp1cmmIesaQIC3ZNwRU+M/p60TyGEeF0CJhD7vuk4KQJZNBIf1svY/ITSs9YGzEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ysf7ue57E0CuZB6WLNEQQHAofc3tEwJAz+jjeR9lFUCvsQ9uD3MOQMDY3qkrtQNA8koVr0mjHEBrET/hP7YMQAXGqh+dVvc/wkrbx4F4DUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EIvQa10G1D+zZ6pwUUkQQKkI7A9pug5AJUnYPByvGUCcDUH49LADQLoI+Q0VD+M/7kJeEY5/GUDpt90dCCwXQI9D2GE2ovs/rNwAEaQgCUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RO6FE4nPDUBbhkVoMdnxP4kP0CKnWf4/eP2eMfbH0D9L3nvu58LqP/MD2MfprAdAoIi3Dsi1+D8gF08Kqrf9P1gdcGMivfw/KRyhJzqOAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RO6FE4nPDUBbhkVoMdnxP4kP0CKnWf4/eP2eMfbH0D9L3nvu58LqP/MD2MfprAdAoIi3Dsi1+D8gF08Kqrf9P1gdcGMivfw/KRyhJzqOAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/nYnEEJNAkAFKOIteEP5Py71h1WIlPk/1/k05t4jHUA8QjT3kPLVPwhs+SGFcsC/Rmva9988DECh/lHYCZ7Ov6SAAx39zP4/S6aPDBz2AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/nYnEEJNAkAFKOIteEP5Py71h1WIlPk/1/k05t4jHUA8QjT3kPLVPwhs+SGFcsC/Rmva9988DECh/lHYCZ7Ov6SAAx39zP4/S6aPDBz2AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/nYnEEJNAkAFKOIteEP5Py71h1WIlPk/1/k05t4jHUA8QjT3kPLVPwhs+SGFcsC/Rmva9988DECh/lHYCZ7Ov6SAAx39zP4/S6aPDBz2AEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sgTzHsxiGEBs728BupESQCFuR5oNHRJAlJDB697GAUD/ZkpcvNsGQAA9aXS2rQ5AaIPJtnO94L+ElR0Q4Kz1v4XDCMLWyAZAO+pCzIbfAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CX1RajsgGED4Fqcww3ALQNTAP/FiRgdANn/ucEqKBkAjsUqyWjAXQLaQs0lXXgVAukOtHvpZy7/oz59EnPHDvw+NRk9nMghAsl0xxsHGDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"135RrMHwI0CagatK0ZYZQNyGgqI0M/Q/uhldi9nsA0DbcnPr3dUWQFxC3utnxg1AdA6kpuKb7L8A4LZUwR09Px32AaDe3wdA6regCN1xBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m11xNmkFDsBQOicg5grSv+wlMDxKawdAliTqGv4MG0CApKHuauSnv6ji5vHeCwRAe5sIXgcVDEBOJOj9SS4CQPzSIJG1EAtA9jBmc4zs6z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ItjGpq8yIEBiOoiJ8jIMQPA69ugiNwLA3A7yAgEbA0D/uEkDbnz8vxpglvmqIsO/XsnPbTQVHEC2zxQEXUADwNlp7QruMApA86EvDyoDAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jDmmbtc9HUA+UYlSm+nlP9AOKj4Y1CdAjakNEmNuIECFskNN8ogiQB4ipfZD8iFAqxLuz7mVD0Aqt1kiVK4qQMOcmYltyQ9AC3Vtr25TIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qjifNbhEI0CqEs25eEEQQDxB1OZvAiVAcacpPXtVGED8VsipNQkqQJmaPdXmDypAu5LNaLrNLEC0N7FD7ZUXQDRD8HFFbBVAap2eYIRGH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Ru+GydHRJkA6WDdEsiMtQIGVyKkXzCFAaEuVGDxBIkBfOsnmnJoWQDeGzfNQ3iFA6s/gUGbYHkAPetDdy7kmQHGmooFSeAJAsq5L/N9DIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0J0XwnnDFEBH7Br2x3wTQFCFSMTkEyNAAkUw9KIGIEDskus/APgfQK9LjAZzAB5A8Awz+9PrJEC94w16O0YdQGuLAResugNAO9Jx9zRYIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HGvyrjeZH0BQYyPOP3QLQJZgZWAirhlABBRwhAfmJUCh/StfRS4dQEg4jHbSthVAYiTv7RcPIUBusC9w8ucfQCL/ib43FQFAaLGIETEkG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWAFQqhxHkBJgNM78LYjQCBnkJqxXxhAsLfwe+vUGkBgX71rEu4aQOb5xS5OkR1AYFYkofulGEDnYS7HqoUfQNnQqQyDovo/k+o3BCdfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWAFQqhxHkBJgNM78LYjQCBnkJqxXxhAsLfwe+vUGkBgX71rEu4aQOb5xS5OkR1AYFYkofulGEDnYS7HqoUfQNnQqQyDovo/k+o3BCdfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWAFQqhxHkBJgNM78LYjQCBnkJqxXxhAsLfwe+vUGkBgX71rEu4aQOb5xS5OkR1AYFYkofulGEDnYS7HqoUfQNnQqQyDovo/k+o3BCdfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWAFQqhxHkBJgNM78LYjQCBnkJqxXxhAsLfwe+vUGkBgX71rEu4aQOb5xS5OkR1AYFYkofulGEDnYS7HqoUfQNnQqQyDovo/k+o3BCdfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWAFQqhxHkBJgNM78LYjQCBnkJqxXxhAsLfwe+vUGkBgX71rEu4aQOb5xS5OkR1AYFYkofulGEDnYS7HqoUfQNnQqQyDovo/k+o3BCdfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YhgmGpCsJkDlf4aC9ZEhQPZ0ompg0hRAQtTfGH9MKkCba4FyLLsnQJrhzZFX3itAJFhmLSXwHkBrr3vLAGAfQKSn4e1AtQdAVid9GszdI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eAQCzWNS9j8Y86v2VvPBv2+AxMYHQBTAdW9173eIBEBQPThNDd3FPyEaAyz/MA9AfDFhu5R4AsAlc2vpsWH/v4Q6r8v7swRAz6hsznbL4b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0V/z8LfrAEB6znWl68kLwCUOQ0JQ+gLAmDFbLtyN8T/S8gAZfFn5P4DmJhNT4NA/b/2egnd/+7+xQZ1OcnoLwEwFB/wkEQdAgPtD527RmL8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0BeJ6JtcAsBDzNco6K8OQBb3v/dgUBFAOFIJZVwG6L+RUrB9RYEAwJRXBkzm4xhAWEY1NGhayj+r1se2oIv5P177Dx/bowVAGFTH+XTP8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/s9DKQ5a5r+OmASb71IUQGhG+CYhTP4/bCA2VwWm/z+JyJVX04kFwBBCO6gwdPk/C5EGdLU31b9PrakHsTTmP8vPJTFzygdAjobxE3fg7D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xPUwuFLIDcAk2SF229H/v0lEA7Q0QxDAtk1VzWiY97+AZiHl7oQCQHksqJXBstK/VGMiiGG9BcDeiEVXrlviP0sJCo5+KARAW/k4Pfvf+b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SKqYn5aQ1D9/FTyfblr2v3AXlDyDyu8/h7zpLzIJ6b9gFfz9F7Hzv81aQmFrIte/UN+GYkn+7r9U8kUghuIGwHFmmNg8C/Q/X3PMWnDz8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SKqYn5aQ1D9/FTyfblr2v3AXlDyDyu8/h7zpLzIJ6b9gFfz9F7Hzv81aQmFrIte/UN+GYkn+7r9U8kUghuIGwHFmmNg8C/Q/X3PMWnDz8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SKqYn5aQ1D9/FTyfblr2v3AXlDyDyu8/h7zpLzIJ6b9gFfz9F7Hzv81aQmFrIte/UN+GYkn+7r9U8kUghuIGwHFmmNg8C/Q/X3PMWnDz8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SKqYn5aQ1D9/FTyfblr2v3AXlDyDyu8/h7zpLzIJ6b9gFfz9F7Hzv81aQmFrIte/UN+GYkn+7r9U8kUghuIGwHFmmNg8C/Q/X3PMWnDz8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fHunWsFK9782RP8ez0z7v1CRcsoMYcS/MANzBdMGDMAE43s6xPrwv+hkIRVXIfy/afHwzAxM37+gK8m1Le2wP4tP0D+fH/Y/Isv2ifRA978="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fHunWsFK9782RP8ez0z7v1CRcsoMYcS/MANzBdMGDMAE43s6xPrwv+hkIRVXIfy/afHwzAxM37+gK8m1Le2wP4tP0D+fH/Y/Isv2ifRA978="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vc8wwiOFBMDodZCBFJzTv6C/16XQ7fO/oG5gp/bjxL+k2G4EuSTLv5bqPR1Nue6/5m0OPzhSAcDmb+ZP42z/v3+RVzynmfI/pNvda+DR6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vc8wwiOFBMDodZCBFJzTv6C/16XQ7fO/oG5gp/bjxL+k2G4EuSTLv5bqPR1Nue6/5m0OPzhSAcDmb+ZP42z/v3+RVzynmfI/pNvda+DR6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vc8wwiOFBMDodZCBFJzTv6C/16XQ7fO/oG5gp/bjxL+k2G4EuSTLv5bqPR1Nue6/5m0OPzhSAcDmb+ZP42z/v3+RVzynmfI/pNvda+DR6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vc8wwiOFBMDodZCBFJzTv6C/16XQ7fO/oG5gp/bjxL+k2G4EuSTLv5bqPR1Nue6/5m0OPzhSAcDmb+ZP42z/v3+RVzynmfI/pNvda+DR6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Vc8wwiOFBMDodZCBFJzTv6C/16XQ7fO/oG5gp/bjxL+k2G4EuSTLv5bqPR1Nue6/5m0OPzhSAcDmb+ZP42z/v3+RVzynmfI/pNvda+DR6L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL2yvkD63r86kBuJTLcEwNp1MsE/GgfAczugXlet47/AcXg7C++zP2PZMD1eZfM/hvjI1gc/9b9C4V6e5/viv534lo4gcvQ/N9ljJSXO+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL2yvkD63r86kBuJTLcEwNp1MsE/GgfAczugXlet47/AcXg7C++zP2PZMD1eZfM/hvjI1gc/9b9C4V6e5/viv534lo4gcvQ/N9ljJSXO+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL2yvkD63r86kBuJTLcEwNp1MsE/GgfAczugXlet47/AcXg7C++zP2PZMD1eZfM/hvjI1gc/9b9C4V6e5/viv534lo4gcvQ/N9ljJSXO+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL2yvkD63r86kBuJTLcEwNp1MsE/GgfAczugXlet47/AcXg7C++zP2PZMD1eZfM/hvjI1gc/9b9C4V6e5/viv534lo4gcvQ/N9ljJSXO+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IL2yvkD63r86kBuJTLcEwNp1MsE/GgfAczugXlet47/AcXg7C++zP2PZMD1eZfM/hvjI1gc/9b9C4V6e5/viv534lo4gcvQ/N9ljJSXO+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JJdYhhQH2b9UIlEi2GIIwCWBijIdLwfA2BQJqCZV6L9/dcvcD475v2BTd2MXBMg/D1lJqmc49L/kp2vsd+f9v5xyT2/4U/s/StgwEUTo6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JJdYhhQH2b9UIlEi2GIIwCWBijIdLwfA2BQJqCZV6L9/dcvcD475v2BTd2MXBMg/D1lJqmc49L/kp2vsd+f9v5xyT2/4U/s/StgwEUTo6r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sIvYbftKAUBiZ3rMo3vxPyYuXEjWdgZAh8S1G2bJBEBudU1i6n/vP/rwAK38xfi/q4/mJCsN97/Kq5mE6oLnP43353OKTgBAUzpJOWU+5j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mapErmOVEcDj5suTDVEHwFdRN4N+2AzAJW9csDUu/r8ITuNdKY3dv1rro/JgStg/vnmae9dJ/D9lPm4iQvgAwMISjwXfFwBAQiO9EYpRBMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"A9YrEQ64EsDWGQ9yXqYCwDU/xc255QzAiK6y+wy72b8PVStAVJQMQNLUDYYz1wHAQK9suSiSuT9afcU8azD7vzhSz6gXUvs/tD6mw7tpBMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"S/QlImAcDEDccziUPbXxvxyQo/FIOwBAqOdlsqcf67+Apq0+ZOwBwPE4tqbDp+Q/HP9IRz3z8L8E1yCv12D3P5Am2Nl7ywZApjXy2rLA8D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2T8YRn1bBUDotkasbm/9P2wQWa3g6Nm/xiCcBA/n878MGvEGGvkUQCJg3NLoxBdA4wOk2zZK+j9hw3PNDeIFQN7WhRrZwQdAAl0iKQJ6AUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"V9e9IrctFUCsGwEUCwQZQMIu7Jc5wAtAPlxna0heFUAi1ic1vCwDQMxf0YRE6QBAII3b7jAXDEAe3Nsrh3UKQGnIoCW1fvw/uZT2S/B+DkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Kgyx+l9C+T+dOJzgbpcaQK20R/o2axFA+gjB4T2pAkBmwxNyC7PwP/DfFTjDfwRAeC9pPV4nEECL7z8663cUQKMJjlRLv/8/W+EA42SmDUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uDWhT4RBIkD2wk76oVsTQCUjcjtSvBFAON/KVjS9GEAV7TP/wTgcQMCu9eoBAxlAJzMwJ5c5G0AyoVuIL74QQMQK35TYHgBA5FeKDgYUGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1OzGpBMtHUBUij+XUe/wPwuyEEgjZgdAiUZ86ciZGUBpMkPFI4EZQK/IrY9OuRBAsYaxod6QEkCSSz75r+YHQL+mdSceN/s/gGWapjW9E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TlTVc+hjCUDQbKE8pTAoQHrcmHAqfyFAG60UZh0KC0AbIJzYdxgJQORE2C8nHxZA792nJ104H0BoQquqzRQkQIKmjFk7DAtA65jnNtfCGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"BgxTSWO8MUBngi2mgFoWwC7ZsuN0UPU/4CfSr8rUK0B/NWyMEJIfQM173CruXhlAU4V34bAlIUDQAcoD8QX5P+lMrwcYyBpAb66sBqdzCEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tkgnqPGoFUCOtXWiPuQSQEXv/DTVHCBATbe2JKbiLUBjVno+hO4KwLcAz6qd9RtAAxiO1jRcJkDrbiMWgGkXQHMy2XbT2hJAkqR5x/+XHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7FBz7sOdIkAlIKGzga0kQEVESPovhglAKFOBxWQh+j9IWVuLJmkiQA/b9BzlMgtAHoYrJIBJGkBQHPqdLjgWQBZf2NWevQhAho0uq8lJG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6gvBvkpfHEDK+VdfCMsUQDqgECGTeiVACYhQIpQgHEB07XLBNEodQEUr4uqAVx1Aa2pUl1uBI0BaXCLHdgAlQCaljrvv8wZAQ8E03jK5GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LlUPyUY8H0BAOqxI1xgXQNDt8bQnyQdA0OOwCSCdG0BuxJTPrZcYQPn7MqcFixdAyQ4GLZaUFkCvqbC7gIURQCHidr/y2wFA0lIqnqppEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OpSoPSNjFUA+hLwdqXMRQHK+PYHGWxRAqicCG96DIUAQ3hqEXA8dQHprXsjJEiJA0hCwgl1VGUD7BSUUqv4JQOEohEfrJgBAEgWGm8rwFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"i9B39cz0H0CO/H9WK50OQJ3b04zFyx9AggohHc3iHkDYNPPC/BYVQCIZBJNNGRZAwqII6PsgFUBFeZDwI+QcQI3nWq8ZagBAbHWxMrGdGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"i9B39cz0H0CO/H9WK50OQJ3b04zFyx9AggohHc3iHkDYNPPC/BYVQCIZBJNNGRZAwqII6PsgFUBFeZDwI+QcQI3nWq8ZagBAbHWxMrGdGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6bgJbJkSIUCa8gTuZGYUQGWd42Q2RiRAvT+9XHqsFUBAJAM0chUVQLIXx9mkkRpAqicqFCPTC0AIP9ugH50gQJAwL15CvQRAtqpSVfNaHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E5m/cCSzI0Alpxh3/nAcQNLJVz8yCh5AbvimSqktE0AM2qTyu4EPQH7E0sUA+RBA3j224nbgG0BghFaw8OkgQJfPmdi5SARAxrjOiDLTG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B1jGE1DeIUDqyoJhBcwUQIe9Yk/DfhRAKIoqbE3XEkDAMtP1SX8PQKLbSSJnrhRALzCpELGcGEAzJzMs2mcfQJo7LebuBAZAhtJWMsnfFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SGV799DZ/z/3y0jlerwWQBiFJn4N4BFAGLLRQwpNGEB1plY2sSMZQOXjXCW/CBVAlgupGfKEF0C1WRp8WjUNQDDDd7mmFfk/VHaTjFBmFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SGV799DZ/z/3y0jlerwWQBiFJn4N4BFAGLLRQwpNGEB1plY2sSMZQOXjXCW/CBVAlgupGfKEF0C1WRp8WjUNQDDDd7mmFfk/VHaTjFBmFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6OhZ6mnwJECOzvUT0PoYQC5fsYcCuBxAbq88e2shFkDcMI8DWiIWQNfLAQ8EbBZAKr4WrfAcGkCNkVnDFm4gQDtH1UKtyPs/gQ/ikes9G0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWEG6H8tGkCI4+TMmeUbQHKqcndy4SFAMEb23SfwHEDbi5MiSRgSQMRYTam7JhpA/s9ElxmfHkDa2yifurMUQCYdsM/C3vk/Ci8j+gGPGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RWEG6H8tGkCI4+TMmeUbQHKqcndy4SFAMEb23SfwHEDbi5MiSRgSQMRYTam7JhpA/s9ElxmfHkDa2yifurMUQCYdsM/C3vk/Ci8j+gGPGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"oCgpX7L7EUCzVFMM5Z8fQMc53JQueiJAzheLoDsiF0BiQa1jLVAZQKsBqEggqh1A8oc4tEwiIUD0TTRqn18FQBjL6VtziAFAiDonzJlEF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vVTdPbtOIkCJdRXi8r4HQCueijTlLCJADjUMnDbNI0Az5XFzkQERQJZYfD0uswZAm5yF/tCLG0CUjD2dFxcqQJNl58s83wpAhiZzy9egG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"t/8+kSVsCEBUH7LEumAnQPGekSqklx9ANfKlFOiHAMDi/PWjsXAKQFFS+z5cuxLAwIfPH5UD+z9QDCRuS7XqP8APQ5WKyh1AKwm6oK2zFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WqlTB04g+b8G6aIYS3AhQLhxh2qG2ApAi1T03iw4CkAonQnGhGkTQE56urjADhTAf36JItEdBUCVA8HkHJ3cv7UGi510Nw5ARs52xVckDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QNSTr14fvD8U44dQOmwlQJjjfb7BDBFApPjDWM28BkDFioBSY5kQQHYi+hQlbv2/tTZnqEEFF0DFNxPsDwfwvyZcUA3C3RJA3Nu9AlDq/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YTLa0uu6E0CTW12uPvoIwCzWBrYkM+0/xGzO/7KW7b9033+AYL7jvwid75eRlOU/7uARc87jDkB6Sg4Gu/8gQHpZWYIKpQZA2crFIn347D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YTLa0uu6E0CTW12uPvoIwCzWBrYkM+0/xGzO/7KW7b9033+AYL7jvwid75eRlOU/7uARc87jDkB6Sg4Gu/8gQHpZWYIKpQZA2crFIn347D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2CM2xQV/JkCq5O34DmsuQK3tebItBTFA2LkPaiyWJUBCmrQm9ZUWQGDGs0clWCVAkFLOUL1dJEAIvk4cQ10WQPA/WmkwYA1AWGVQw0veIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"gOmb7pRXJkB+rce5QUQqQIBvsC5V9y9AvnDz5Oa8J0BAc1WP+LobQD8K0au6NyVAmzRBcyVgJEBQldatayEJQLY1P9XJPBBAbGkz3HROIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"U/SI6dj9H0DlwJUUvi8BQB45ZBolF/i/KhXrl7KpEkBeJQzdA60VQJ4TFo7aHxBAGOUR+DvzIkB6GTZjRuctQD0M3Gh3Dg1AGoxZTR2xFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5mL0vtlvG0AWTyG175gMQKma1jiK7S5A/M7M3iTGGUDo0YIcVn35P5rMNZ8YghhA02qIgOH+nj8abq/ow2gfwL9uTytT/B1ASo5zqKCJEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TyjvmglOHkC+6EKf8c8IQFiI0R0p/+a/kFB6VDbb8D881g0BAWMRQEpfd9vG8QjADfQ9fys6FkDUchJc5lYiQPz/E/pIrQlACtkJVkm0BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0WKLCavtH0A0eZVdJEnoPwH2qfUu/wLAJbA/v3hlDUBcokYz2Qfgv2JjzpuGYuI/hG44AypI9b+1Tyz3pDwUQMVEHV74FxhARsO3snvNBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Su69OsUfHECDSKB2bpnNPwQJp0n8+BJA9HNlnGzDEkDZTBMmlDQQQOxHq5jhPfs/uDXwXiLg2L/DRn+ztzcBQMLf4p6JugVAvqwKeW0MDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Snjw4alk9L8lMIid+H4QQL2SjuWaMgHA16Rfxj6kFkBBLsL0zgT+PxuoLNaNmyBAKSQkICriDECg8WLVxsqxv1z4JY2YLxFA8Ajn9QeXvz8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qAxR8xpN97+tI9oAlVjiPyg6gkbErtc/pEC4zKzS3L8XLDc7zEAEwLm4w3REEwrAqZTJ9wpBFUDCQIPVjp0OQMsgvrzsQQtAMhLlRetsAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tlrJ8TjrKECUKuwkoDDZP8pCTkgthPm/eGH+fily8D8o/ClzQuUFwIayAEGwvx5AMtXFnFcqFEAqKsX5fYYBQM0hjBawlRBAoK+46ySmuD8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"E+4b5WQOA8AYLJu7hPUSQDrRMfIh0QtAcWAF/YLuCED+lvfI6NgRQKx9+ZwQcu2/jN9t2OZRCUB5L/nULc0CQJZkUSLk2xBAcq6lx5pt5b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"g4wsNVT5AkBV94CqM5URQFAFZ8Xq6BRAzvfW7UvOCkAweIfX4gsQQBgPUBj8UNm/6lPyXQAnFUB6W1IhzoQBQAQ2pK2dDBBAMsER4VRQ+L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HD+krDU3HkBvi4rzTWQYQIDdNPb+PvA/jCtcsXRM1b+s3z+SByroP1UsF/pRbRPAlCRDnXG2C0Bk8rGcm0sDwBzX1vTa1xFAvFsWZ7cIEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"EK1v1GuMJ0ATCbb7cicjQOvJb05q1vs/uis6RwVqBEAJAbIeSKMGQIZblDMZYA3AuKOiVSobHkCTzV5hulYLwMN3zcZ9kRJA6N7aJ0U2GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mcrIK5P7KkCWvjB1NisYQEBBLUXoovM/wfMO8KxEAkAwiwc9tAEKQKNM/i4ZjiFAK0TqccuAK0DQciLWvv8ZQEUZsKzkxhVAQrDEzVaQDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4L8vr17nLkBtA/menncQQBAmARivLAtAnOkUWwCHEUDwYooa600DwKoTeB/baRNApKLuksExJkCgZrBCHEAiQHddr5CF0BtA56Ond9A7FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cfIeIMH3JkAgQo5MaVGxP4zd2p8mExJAHrb2ocjz8L9yYh9aLl34PzXT/N2IogxA49UFG/KyM0CK/JRBs5Xsv6NoXj/PHhhAY1HX2RyQHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4O9t941aKEDeZ/4lhy7iPyamB/2uvxVAuhOWyPVy+r9rSkeyqyEBQAC7rAXL/vU/NHVI1xUzNUDR4BtjVf0BwCBl/gaf7xdAHgrFNb0qHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ICw3mpq5zz9CJCD24BcmQLQh52FCsvA/k5PuYuF6IUAcCzslABUSQCkKEWlYVRBAvxel6MSYEcCXpwaCTGgjQPGQqLheuRJAoEMAKK4uHUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YJFbPm/3JkD406s4RPsnQMD/ZJSS3xhAhA8be6BSEEAPNbN7G1oPQIagCi+bwwzAy0aCrbih9j8flhwnG9gSQKYwHQ2EHh1AaZAtU/cK9r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1Kpv0a/++L+ypOjyi7f8vxrbx1MRrQ5Av1MDSdCQ9j+MuBS7Dz4BQDM04DXUcyRAuu+VK+IzNEBNpAgxIXIjQMIArlD5ABVATrNC1lyeC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CFJ1nbNSDEBL/dhyrXgkQChbyUo2kydASgHU/mndB0DyqsnViefnPxiXUbKhuMO/xxj85EdlAUBoHfPknCsXQL3xSmv9jBVAHEsG1g8XD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OpT6jXZVLUA3hwUkCf8iQB4CyffkDB1AXws52NoYFUCz9qu/vooOQOilvurTnCBA0ez4Z2EDMEDpmCK7cLEVQLk+ISkG3xNAL0vRLa7jHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DCX0oVFEMEAKugokHfUnQMAlG0yg7AVAvMY5PxkTKECWf/zs9oYJQMxC09IvffO/d2+RYe2GKEBa0TJ6fMArQMCB3yLychRAb0f7xz02H0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pEcJGWZKKECIXTnkCd0rQCN6mgEQGC9AYDS+g30kA8CCgL8Jrh8HQDXvlgaz8StA205f4tHMJUC62fE5EGcgQOF8nmElvBBA0CIE9S89IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hgMwO1dTJ0Ds6fsaZTzmP6BBprk10wNAkc8BJFUoMUAr06KytUEjQCST+mqliAJAOIDSJcJxJ0ADgBwerMMnQB8T/LcQpxdACHFp1x9hI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"pCVVu1LoBUAqHRHZRZ0gQAN9iv1JVRFAngnTjWz2JMBXXP7jyc0DwMMCC3k56BJAXkDusYYGGEBg9LuQwZQBwMYlkUe56BFAHKawfk/QA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tdzr6dOC/j94yKUYGQP+P9/hzMTTVxdAlnXKcKn8C8AGjmmp9qHwPxweeGQqMgtAv/nAJeLnF0AoYcSBAbPcP8/74BLdrBVAsBAtwktzyj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dvl7ArteGUAZCHTf2nQQQMK6EL7PBvk/odiZSv0EHMCw+hKXFaUDQITYg7ja2fK/wTjtm9PWJED5SrSOVUH1vyYc+HO4YxdAH3GtbS9l0b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vlHltiBdBkCrQBoFNWwJQHa61Q1JOBhAHOYM4NexH0D2Rr70OuDnP6iOo5iToRZAIIKwXJF5ur+9U08CA6wgQGXIv8j2/ghAGMxstx8DBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Oo785LHOEkCOBfjmQo0DQGwXvBo2DwHAjnBDF8pi8T99pY2RKAQnQBKOIEW7meg/5tMEqPMoIkDf8RDJKP/yP0opX5xL1w5AC32yCbF9BUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"K8/lbKMBL0DXu03k3kUoQNQR941BQzBAd8JfB6ZgK0AWWXfOuAATwOlTLHgErSVADZsshNQHJ0Dj7gLwAasvQEp51OO4OR5Aj4HGc4MBIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Q2JqaWVIJkA2UhSK/rYlQGvZ05Uz2CdAgMidxdKwLUCpCf78o0cVwJl+ALJNxBBAAu+OdCvsIkD7kBBhjR4tQDFKZXfDQSJAOP6HT5q8HUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fGbSqAg6KEBqFPfBG5boPx6Zfi94XBNAeAtnDKJK0T9AuWhjlWbXv5uJVUr0VwFAvp386AenLkBOvD5A7EsFwEdrB2Y21SFA+jRffmT+BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UkpfuoaQIUD4rCRSoUEaQFRxxYiJ9vo/w+2+yPBjFsAFb2CV2sEOwJbye5ONzui/Kok+BHSjJ0BE//T3aBodwHupqfKRXBhApxiLKkejBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y84R2hEyF0BwdNKq56kKQPBCeS0eLwtANvhxLm+pIED2/59W4dcSQLjaorgnFhxAGNsHaQGtD0C9qFYvJOgmQCspeFpGRwBAAQPMy+H9F0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"duapjNIGI0ASfS487ToUQJlSQ7FIFCRAE/SpX5WjEEBz/yf3T9UZQFckTf2nxhJA1G8Up2ihGkAgMELzwC0YQBu+j/KKpgtAuqwzF1jfHEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"r4C4ZAAYI0CEHmvbxhwbQITGc/uwHR5AYMJjGk0cFkCVyNpYfWEbQGruLMIFRCJAk5fWFiV/IUBSzizhQmsZQAClYwDNGwlAcNfXOqgRFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"f+FPLWvuIkDyW/WfjUAcQIfpDntSwRtAKgX+/bhACECwN+RlnBQeQCY2YE8PaBZAlmejy42iHkCsQthV3OEKQC1LgiB7cAVAU+FOCp7uGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wNsU6AAKKEBoS2rsP/0UQPY3z6AM1BlAmSvuZGvbGkAexlFbEpcYQKo2YEGt7RxAPR/iIu7XHkAQU5u0HpkDQL7W2Gw81QZAMzA5/OugGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9KaYIP40G0AX8dNC7bgTQH8+U/MlUCNA+i/4RhzGJkARF1V1Z6AcQIKrWuz0KhdAkp3yAKMcG0D7/IBupgMwQCHNK4VoPh5A1MpddUozGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CzddGREPEEDPo5PdIM4mQKhVSa+R/hVApsSwRFboK0CgW3lroo0gQIFaFOig8SBAABdDX5jj8j8GKy3XqhAWQPMzeW17owxAyuh+JeefFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Jf9N8wxlJECYEa0xP2/jPxmb2UaNdgVAqFsmJajhA8CAoo1SrfinP5DZZNW4UtU/cv/g/IyWKUD6gl4nBgcTQI56EftP6BNATmH+c6OiBEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yW6ZDOEmC8BpnDTZlAUMQFgbFUhjuvo/JGx85WmTEECZeDXsckLzPyfcm59qpQdA+pVTyab2BEAU97QOhCTbv/j+cmGzuQZA2rfdje6VB0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nIBMtZd+HUCnaVBfYnsLQOO7bNTM5hfAuniWCvq0F8D/7sznLo4GQCyNoLv2hgXAqZDaTIsy5T8Q4/yqMGD1PzaWI5i8RhVAfSfP/3cm+z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0qPueaRpIkBQWDsA2J8RwCbgwbIVzRdAJJ9KdVs2EkC8rby0ybfqP8Pupga4gCVAS059PLySF0DyGFEKV9YIQIEJnlhTtBlANrugnU3cFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mtIzorZNGUDYdKCXMmIUQHeB0hjaUxZAqzWc7BkxH0AnLC/fJqHyvzyJNSqNeOG/mI5ueWyHHkBylU9RkxHTP1rW0DUKVQdAdaNWT8ChEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jHEyD1mxH0CM+fmHE5QUQNJAt8ioKxhAqMAYQlFd17+llqlgBdciQOEogUj3nhJACJwmOS2xDEB8fIoucEsdQNZVUWRxuAlA2l4lV2JBDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sxf/tCB6EEA/tT+jzUkTQEKkAPM/LPQ/oEM2FV6GF0AYFQnFMV72P7LU5PRcuSBAHKgemydJHEDAVkNqIo3+vz+EP1rgkgdACthee1JTEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8O347sau0z9E0zFSYxT0v6IIbyYrehFA9iLDIMUF+r/ABPyhTiHgP2RAAMDPxCDApqINbGSaDMCfNqIAL6gfQL1LYAIG9RxAYfedUpQ89j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"UKmW9Ob2IUDS/Ul0V9QMwK/E+4O5YBdA3VJbnhXNIUCmm//Myl8LQAiq/vuqagDAPJ+hRvkv4b9G7UKJYRALwOxSnlZrOBZA5he4rFI/1L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lh4odCPGG8DOxWRA80LxP5EiXgeKBQ5ATkwjEiSJMECMjt0iAUYUwEp23eGwXStAZn6RNoE3CMBGaKhRFfoJwAldIm78OxhAt1R5qp0z1b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"YMmBq6GQEEDkGqCl9HAoQDzuek8zwiDAvBNHbIzhJcCsLqEkvTTVv96oUN9tQfG/lAklUsBXJkBAnZOEzngQQGBcSVEnTRRA/05evC+O+j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+AMZYbJMMEB2vBGwXUIAQBbctc2bCB9Adbxtx+OdEEDnGvZgx/kBQKjVSaucRSFAWB8/RkqXJkCw+eXczkMtQJ5lW687MhZAflcgqB2DD0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"1+EJPOBOIEByG57cd9kuQDrzUfEIuhXAgBCJyO1dA0AO8pBhRsz+v3prRF8q0CVAB8QShkP7OEBgFnpiY3smQM+mvReCzB9AlcrjFImOJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SkAWpYwMGUBCjnEpbe0gQP5v5wvtqjlAGizArdxMLUC2ZU4dwBQyQJQw+A0+aSJA+PLgTEjNEEDp1Ap59kEjQLTJ9uNWTyBA+DaBd7dBJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7+LbCl8KMUA185x73MgsQHozPcPMiCNAIuGDDq/VJECGWm20yBoeQKjvNOLY6BNAnZ8glXJuLECvEyZ/qLMvQPrLslItEgdAjxWoUt3tJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ayV4IXmPMkAnJ4LZnwsuQOAA1D7SxydAB0LVG45xKEA5XvtV1gIjQNvOoNb0YBlA4UAloZ+TMUBHSGNtpiUsQBfkV74opQlABBLoZDmVJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"nlIiT3X1IEBRXWUBWDkyQM/ApTjI8i1A8UYvZh57JEDQ7XdSNdoWQBMBBE2QACJApDsNaDDOJUCIFG12Uj0jQNb2kmaL2xdAgFTz3/WhK0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TYV8JObrDMBCJpdw/pkJQOBWs2EkrcU/3wnX8daF/L/yEsudXdYVwI7yCuJAMgTAHmCbp8W/xz9mxnfzfoX1vxgLH7slvgFAiOGdNX3Y678="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"j7TPXalrEcBcnkSR9gLdv+f082ZYJdo/8p3buojjIcAAKKWTTDUQwMOYT99KTgBAkkwPsrjJ8L9gtoRxbTS+P+ps4nJqoxtAGsEVY25j678="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"CHQCpJpsB0CUl7/9UX4TwLJyt8m7ngrAqorT01P0EMBxjs9QB/n5v9LD5vCknyLAd7D4/xJvBEAYgwM3du8fQC1MPhFhfRJA8ixUQN6UAMA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h9sw6tDSIkB0eOBZGfEqQB/Vi8kB0ghAsv/xdmQSJ0AICSCjXRsHQJ0UyE4IxClA0fY+DK6lI0B8xH3Mdz0LQC9/JFuPEBRAQd91/hO/GEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Y6ePIpi9K0Aiz83FWBMnQI8LwYqbJSZAy4X6+e5IBUAjXOlkrcgeQMrEdUixZNI/6kldz0pqJ0DMYS4UszosQNckyWX8hRdA47AOxQ47IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PNv0OCHNEEDAWICR/tIHQEEd7fqu7+8/bEgOGJNkJkAMZxGYfOX2PwMqDanlSyFA07RAuU9HGUBb6+M33wkAwO8lpRGk2wxAQEUcWnjCDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0iy0rqe5FUBmLi9LrRwfQB4oMoaIlgdAvVaH1EHQFMBNM8akvpf3v+2ejq4SpBfAIvbMQ10TIEA1E4cyT9QbQAR+AlDYXR1AL9vTTRyqEUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bljRNgnWA8BCOIptHgsEQObNu2szCxBAcrYwb4S8HUD0boNgkwnOP7j18LcRWyfAzqzh6NPEJkDSwhkpYmMoQFTBo3hB8RdAp0s0xJU94T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ZLOydWgCMEDtd6CrwOAawPOlGA2TNRpAlTGDHXRGFsCDKN6uvGUPQJLu40wupBFAXBjYE7gMwb85L2jKiCoHQLOfyJA+8xlASASqV4EID0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iKX5WA3lGkBoPQ9oUgANQPuaLNzemwRA8NbH2tVqA0CQfoDEOngCQG7VNV6WkB9AOj0M47x9HkADFTjw1HMWQLPxqR8JgxJAgj3UmgSxFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B3GCWVGIIECzra4ulVsTQDZcFseGLPA/JJ7xe3OLCkDweuDIuWsQQAngne2LlCdAsE9ks0P0EEDUKaINStTlP8yVC6dCpQBA+kNp7BGGDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zfwGdD+iH0DgJVHQKPYKQM4SlA5TBh1Ah1mxhjDGGEDfBLElbtL4P2ibHWtuaOM/vFdhAlayEkDG9+it++ghQF5Cx96rohFAt2YMIOUaGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xfcOeuOtIUAvnzDg8bwQQEoghozzBhxAk6+Lr8qrIEAdeZWbKJEEQD6ujA/WmxlAH2oiuRkCD0DOpVGF5j0UQPmsO4pdJgZA6G4TM229FEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sIwBxfVfDUDDC9xBo3YaQGY531sgfwZAlMURh6ksC0CfjJ+mWD4jQDijIFuUPBBA/JFLWsumIUBNGIw5lWoaQD/qkrgiPA9AfmjNb88sFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DYd9Ny9aIEA1XcWpdyUlQKp/s6BkBCBAinEYbKilBEAeAHiYoNcHwEgMC004Sc6/MBwnLFyRsD+0HhrgxHnTv2+Gtu1WoBFAsUaCAE43EEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"uAfG7CmQIEBOL4gO8FAhQEVEUMxraxtA7XT7mFg2/D/wuen/4TLjvyhGQ39ZXes/9LaE9VZSCsCsM8vNoijLP1hre7rF5xNArLkd5Et1BEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AMeFHLIsrr8olmtJFOHzvzmmHV6QESPA5qQjUKn77D/s2b0CUq3hPzyJke0m6eS/+P4yHGy1FkB+ut+62XwQQJ4v5SQ3yRRAYP4tdjuKrr8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wmYo9rdg+D+yQgPUPdLzP010GGzhEiDA+mnC071TIUAmOFlJ9O8OQAv4rrHNARzA2EG1RvAIHUDg1KK1cfEXQCdnbyAVOCRAs2//TNsoCsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rxzfjHr2M0BXAvWNpyUpQLIeUaYAxTFAKDloLkhC9D+6u+NRpKXwPy3VE0SgVitAs8M9MZBHJUAujYuCjyIYQG5CdOUY1RZAVoqWFavEI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Xh+OP9sLA0BtQ2ZJIDoVwALe6GeaywbAXvYf6roRE0C7+UV+ECPsPwpZFr0F8BvAp2heQ/eGKECuMhQ5W6oBwA3axfdlYhhAtBV5SLak9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"6u/IeTNL6D+UQsOeh9QrQI7TYIh45RjAzULG9Q6L+j/WAR6mI80ZwI4zqdo+CwlAdIP/cREkFUDTEHoPB33zP+NTkuYLARxAfw4yACsm/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OiahBzRuFEDrTR1n3g0UQNCHTzWMcwNAgeG5g4BgDEDE3+z4+az8P3ye6Mgn0NW/nzOe+Ow8JkBYrq5jqO4lQKQlnNDWvhBAxGfZ99a7DkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TJG21hbjE0AQt2glZd0OQJS2hBEiPRJAl7HqE6ZXHUAcQo9YKZT1P4W363GGiiFAUIzxhTYiBEBkoZMFcyLvPzl98jDujAVAl0M+pWvfAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TJG21hbjE0AQt2glZd0OQJS2hBEiPRJAl7HqE6ZXHUAcQo9YKZT1P4W363GGiiFAUIzxhTYiBEBkoZMFcyLvPzl98jDujAVAl0M+pWvfAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yu0AHooEDUCYNgthC4sPQNalPQOTgf0/C9aXURkxAUBUQgesnp4SQDiL+4sDoBhAiSZ6aQRTCkCCtxFgiooVQEtshgTdkRdA/tKmge1GC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xZ9uhp2EDkBMt4X3bSrfv64Ak2duKhDAG3zwGNO5BUAWr5qHkN0VwDQnSPIGpgzAEDDSCqaLzb/E7SS5S4UKwCwqokjzGQpAqNveIVWD/b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RMQT1AvcI8CaL+wCkxchwEBKpKi6sxrAcAGl+kv1EcCsSfyhbY7zvxhsaHBlhAvA9hUcGY0NDMCc3MlC1SIBwFcO1r6f4xBAIk7ND03rFsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AOZ7Uc90OUB612Vv0vMwQLfXJx993iFAorXIfo+pHUAJ5d3wmj0FQKdhB7rltSNAuJaHfTpEMUAEb1aXA1QkQMxw+AxfqiNASTBpL3JuJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J2rw0TYfM0B7JyP/g0EqQJufF7B6PxBAl/LMz74FGUD2yxj8oN4iQD17S2DGjhNAxP2HJCHvLkDxpD0+U68cQJiJd6d6ohJALvGhffYQIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l1WrbrhB0j+uplK4T8rsPz9ioCRW0yJAcu595p0WJEAovLrwGJP8v1RkE5IAkhpAi/aOXQHdFkAIpJDjBYojQBX2Yz9BqhhAhABwIXXlCkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"FkNMF2EjF0AOVRhFNtMiQGRzCVd3mBBANBuUgqSqFEBa1b0rgYoWQPzTUA43cvs/+I95c56tI0DrcPUKizL9v0s0aML32QhAb+9FiQr6FEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PlmkMYqZI0CPTGD7wa8lQLpMwjQCahBAkCZ3frzH7r9ZqkSSG5QfQK1thUA4yBJANMlsqT93IUDo7MjW2wwSQMJ7/XoH+RdAz0rh2uXcE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SqSp7Uk6AUAKZgLAWPAMQGbPAaSbAA5AhocsPn4xGkDS+wa4+AcCQC5faT13sg1A8L/BJCrb+T+RppeIdYYRQHbwrWtQMQZAIM+9W1sbDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iWJcwoZcFUDI1eR1+acGQMkEI5sWxxBAqnLYmA4IHUB7coMp6Y4SQP0FB10skek/A0WZlVUo6D82LUv3eWgGQEYkGqeE+wJAu9/JufEcDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7BwuqZj8GkCvm0eDslUcQAhmDhwMARhAUtcVI0x7C0CU9WXLgsERQJi+ySri0x9AFvsiVMiEJEA2yy+B4X4PQANA+ejRWP0/eLiNi/l8FkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QxFtcufX9z+1qQYfb2wAQLPBbv2YaRVAm7aKpFb9CEANq8LS3F4RQJK61JxUtwVAIwbntIAuDUBeO6FhEO79PwX+wexDPf4/xHaooMMSDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LNNVuedWCECNu16S5HkZQIibqdcSC/i/t2bk0NMoBMBQ/qmVSYD9v+ngI7h46wVAjh8hIKFBAEBla26SokIQQB2LgIQy1wpAERkpk+HiAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RdABjGAlB0DT5YQfUcEJwIZEFb5HKBNAQFaBGmIqGUCE5u/jQogdQOTYBXs8RPU/tptvlsuvEUBNeDsC3xXgP/D81ASCwBJAAryuxCmLAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9ej2d5UDEkDznUAs2F8DwFKE6RXQDQNAzOdFZiZdGUDEIAJYL5gbQGMXxPt1UwBA+EDGDrtaEkALEkAkp6r5P8vDM7z6pxRAKWzu6vU3EkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2+IgitUGCkCGBy4LNBnpP5Uh16l4AAtA2CGNSqyJGkAuVCz6CZb1v8hoRA9njQxAxVEfda3YHkBmgE+ljycjQA3Sk0yMaAlAqDY8nUb2C0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"XKLK4vh28j+Ufu9AzfogQKZIbuYmCRxAByAOwtUuBUAutmwql5gRQJxTPH4uCxZACgLH5W0HJEAQwRpd+NX8PyxX8FUenRBAmMBJ5F45DUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rxS1R8JOJkAn201X41AVQHSDnX9rCxZAxH+tCiJOIUCgQLsAyA8WQKReN1KLYxdAI5KESrmUEkAQ+jY8JGciQJSlTNMEAv8/WE45Qkl1HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4lHR1QeSH0CDtQE+qM0WQL1q1yGz2RtAPmkqCczYHkD568Qeu3wjQLRnr/4nwBBAGhY//+GNJUDO8qyPJz8MQBHVsjS2eQ5AuRk7+0ENGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"B1u80g3sHUD7AeBf2g4QQEt6yptM9SBAps1fjCrjJEBkWZDhhY4YQPDSh3mLfsa/+3dJmmdgEEDnC2HiXsYYQIAzE+UZJQpAttYviGwTGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"hoYf+Ah3HEBSc/cjmLkEQD7ydPnOnyNAay8IwziTJUDkvTEgnKsQQMhCde0pEhhA291dwLF3MUATNSTxpcklQH2NGgDs2B9AbW7T9lSOG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8oWXlm4eJUA3G1OuCkwoQCxEz46I3g7Axws6pBKv8T/8cqCWnNcYQED98SNcSbI/HET+ji1cFcDsUrBB1X4eQOPGB9Xe7hhAp6EvXb178L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Bw/D6QgTIEBYSgjC0P8CQLpL2FWR8xxAgKwwbVzTHUBgDh36yA2/v8D5nLi3Ic0/zsIbuRQ7MUC+565ZHPIVQE7kDJkULh5Azb37jB6JJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VVuieBb7HkAx3k8lN3MUQFmreYlrdjFACFW8EqYhJUDiDRfGSVXdP47b/olXaRFA3jJvtwj6LECKE97uzVUWQGCgUJHDriBATPasCSQFJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5ngt19opIkCene48FUrkv4a2DsaF5S1AKEH2jQqLFkA9JaGr99chQF6Vpcv7QSbADkQhQTnNLkBM/SXyPaQtQIBSlnKbKCJAuhDJ2gV18j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rhwuvAXMLkBcCE4zxmgeQJxB79XCMDbAcT2zzra36j8FaX+XeDIowGdRYjdsWC5AO4eQTRVML0AyIscYJao4wE6RF+fEii5A9a/9Lcsg4z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"xGZrE8D5MEAT3epyV7ApQE5cVzVAeDHAGp0yzhNbEkC//AcF2CwLwPhlOccB9wVAyBBHlFnFNEDwwL1F6ejSPw7Dy8JtoSRALRzZQTIFBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"LLKvsDROMEBFO9MTNxEqQMNETyJWCjjACfcMk2hRDUD2DSO3Xj0iwG/wLwx/0CXAOaCzGN4YLUBz+BbYQYb+P7nxE2s/6jBAGkVxjs+K4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dtUuCEKxA0D2E6dTTqDuP4TVY2TTVyhAgLQomEuLBMClZdegbaoUQPyDdT6whhNA/t/FfJlICMDR+vshrEsmQPeiLIauUBdAbIQpEqzrH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ifd6JY4cKECeetn2Lv31P7MWd+FMZijA2ms6qcU2I0DA1hrn6L4YwHZnFVPAqCRA1qTmGHc8MUC6rpZQtDnwP6ojZvRAnyxAVZTYQUV20r8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"qGSVJx0hib854msEBe4XQCCFv35K8DFA6wWXsCwCL0A3Whckt9kGQPXV7+xI+Po/fLz9KuwWIEAodEULSLIkQKeDnlloOiRA1GJE/BRjE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ivtFA4LGIECaqb+JkpYFQFUsrOHKsRvAttDKLMnSGcBtemVrdL/1v58sPKh94AdAxKyz8ZWF8D9FjdJFzGD7v2c98UpWVhNACsyEM+FOAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AO6x0NwpI0Cw12WpMHYGQJRtMQtLXsq/sBxQwoJbIkDpTaFqpVUPQOGNizxMGCLA+/+2LcW5GUCj231fqgMhwKYvq5SsBxdAVI2/2R379L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8u0lWkqdMEDY3zYQ0ggdQA6oa8MeaApAth/VquO6+T+f9Wng0vwTwHXFI+WqFyhAQkUUP4j5KkDdw7BVzUYtQOtcbif6VSNA0DNinpw2IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"a/jVR1poKkCGnDWT4bUgQA8Hqo1kmA1A9CPTBNaRHkBTY8wt4m/7vzfjkUesLAtAKlDvGXQpFEDiSgasfkAtQMLlqFyOly1AACQxOdX9FUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"rdp9qO7VAUBSXOvA/qsYQPQ8TiU1xxhAVKFnGRW/DkAUO4jG4vYeQB/V5SwfIhZA+K9rMwqFIUAOUeN1DzUNwIfY7xFnyhZAF7eKFjkOGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"/By6XcHDKkCt3FsZLIEmQEFCqq1+SQ5AUjYAmiDvIkD7mY+IEDf0P4aEaI7XHCJAaivvokvnIUCIysM3gXwxQGLDz0kI/B5ALw20jeZ0IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ARrI+akKGkCaqevCbgccQMY8otLbrypAHlBAsSgcHkB46uEib6giQHOTEUqyyABAOvggomitG0CaUTEC+K8awOymrOM5EhxAvu/j+E29E0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"L8HbLzlGM0C9zJuSFu8nQLfUMhibuiJAmYwKGLpZHUC+hV8oMggpQHYsga+YYQDACGnvaSABMUBD+VhFgDkEQMcgd4nPgBtARF0voyFAI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"JD3GE5AEJkA+p0fQkfwIwAi5vKJ5/wvAZh6MESrIEsAA/9jba9MPwFxN/AZPQiRA4AH954u+D0C5TDZPmlEqQL5llgoq3R1A2NV78iH+9j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VHvdHNLKC0CM44Ge2vMwQDJUw3rtKydAtZN6IB5TFEA8n/e6Us4lQACybZKRvBRAXZ5HfjphM0DW3VGkvDYyQHNpZ7yGYxVA++tF+ZCRIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"37TMbAn3MkDqW6pA/2YGwACqfrMQkAjALBQzbniaHEDfAl3FqBsNwFP2UmhIXRBA4yWQHT9KEEDAS08YTsoKwBQVylcWlyBAKAskYBZ0HEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DonxKcJsKUCfY8g0GHAYQObJy6wF9yJAPQjm9Xd/+r8a6pKjIzvtPxrN5XVWU+W/ihVwsFckAUDiDV+sHpElQMno9KWyEBJAdePN3jDz+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IWfzhcf2LkBCkTgJFZEAwJ2PcETQExlAEOdNducUIUDqNmGiUy4GQAbaaGz5dytAaEQSYk0RJUAG0PrDuF0kQOJ4vuBCoiFAgujoNHi1JUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OCBOL0lgFkCbbyitmloyQAVJJBayxhZAk8sysMdLIUCmbPGJMs8WQEQj0PpyFwTA4QmLGUpHJECljp0zh/AFQAIfUB8pPyJA7DAg9QLQEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"NjQ7bSEwLUAr07sNS2kVwFWkGgfYYfM/Zh1OCBCh+D+2PggThSIGQDJPfH/ChSpANo+a3efqJ0B7Ga57aV4jQOK7R5cyJBpAMi1Rq4SuI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"b43ZlA1KK0A8Gji8Vr/kP9APfPeIvxlABPKKxu4NH0CFVuM6voX4P4tuaENiXB9ADuyHWHdMMEBop2GKjMooQNPeCpu3sR9Af8/01pYqFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"h3P+zIsNFkDocZxcbI0oQKmlDOe2xB1AAX6gF/YqC0BqwsAjX3EiQPD8G69bgAZA0t0z378rIEBCpbc7MFYBQP8IWh08WwtALtOJ7ZFlHkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wJWXUe+32z+2wLLQu6sjQCqpbrX9VfU/8KzYfJYKEkA0pCad3vQmQKhOSccJ9SBAPvT60pN/GUByv1ueaIERQPap+x1weRNAL1M3+JyaF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TIT9kHOtC0DSoVlNRfryvzp+E6jptxRAVJYzeE4tFkDcG53A6CsIwD2Fw5I+6tW/N5FKXgjsFEDVcfyG3dUVQKe72krM0AZA5icmVLmqAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tU7mk8oyH0ARag/lufYmQMLEhKUQIiBAAedwLiCbFEA3y/bNj3QlQE55VbtWRyBAdabKELLkG0CKf7nYzAcWQLw49Inl8gNAiV4B+LQLGkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mSrQUrRnHUCiYMcixnUZQGpIDC66ox1AtE83d9HdFkCJSv3Wg+4EQLPnwjQAoxtASlwWZbjRHkDumF9VasgiQBj54VAI2vM/O70pY36EG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mSrQUrRnHUCiYMcixnUZQGpIDC66ox1AtE83d9HdFkCJSv3Wg+4EQLPnwjQAoxtASlwWZbjRHkDumF9VasgiQBj54VAI2vM/O70pY36EG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mSrQUrRnHUCiYMcixnUZQGpIDC66ox1AtE83d9HdFkCJSv3Wg+4EQLPnwjQAoxtASlwWZbjRHkDumF9VasgiQBj54VAI2vM/O70pY36EG0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7N35C3dXG0A9KRtWQ8YZQF+922MR7RJARkKq6MuLIEDipeDWAA0kQNNuxvw84hpAGAFF/qQKEkA1zdh2cnIQQGYIkgtrnf8/WG4Yze5DGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7N35C3dXG0A9KRtWQ8YZQF+922MR7RJARkKq6MuLIEDipeDWAA0kQNNuxvw84hpAGAFF/qQKEkA1zdh2cnIQQGYIkgtrnf8/WG4Yze5DGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7N35C3dXG0A9KRtWQ8YZQF+922MR7RJARkKq6MuLIEDipeDWAA0kQNNuxvw84hpAGAFF/qQKEkA1zdh2cnIQQGYIkgtrnf8/WG4Yze5DGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7N35C3dXG0A9KRtWQ8YZQF+922MR7RJARkKq6MuLIEDipeDWAA0kQNNuxvw84hpAGAFF/qQKEkA1zdh2cnIQQGYIkgtrnf8/WG4Yze5DGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"7N35C3dXG0A9KRtWQ8YZQF+922MR7RJARkKq6MuLIEDipeDWAA0kQNNuxvw84hpAGAFF/qQKEkA1zdh2cnIQQGYIkgtrnf8/WG4Yze5DGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"zfJ+SJ/mFEDweZPA1GoVQPWelJxC+RZALFj5RxdFGUDivw4//ZsaQDja+he3RRxADigNlOnPFEDPTHjLmUQcQKKR6mjftgNADQ6U6kVUGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"SNGXjmvRF0CcZaopzlIYQPjHdNCH9hVA6yEaXLBKHEAlpsnlal0eQA/Hk1ILXRVA8ZzNDKAdHkBfdPFXILIVQIhDKAbIlARAlIdCvtjUGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ITKAHIvvJUC3p+PWLA0kQBD6Pvv26iJA9QzYQwu3IEAE4YvGTk4eQFHGSQZVmyRArKmYd0FAIUBa6H43UL0dQFK+He+PCQFAUXCrtMsVJUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ctkq4PdvI0A+qMOBn+ggQCbN/qleMhxA1On23E2hJUCSBiNz6UIlQGW7HzMRsCRAWAhWFDdsI0A2P4mcuXQkQEMhBs+k3f8/ZkaAGlxqIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ctkq4PdvI0A+qMOBn+ggQCbN/qleMhxA1On23E2hJUCSBiNz6UIlQGW7HzMRsCRAWAhWFDdsI0A2P4mcuXQkQEMhBs+k3f8/ZkaAGlxqIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Gouya+UhHkCOi5dDvnAiQDXOGq5LJyJASgCmSnCsJ0DusW5OwxUjQCzf0GNPFBpAerlxamzFJUCM/00LW+4kQPDD8dmzdvo/KUJGJQQCI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"me3YoLXjGkAtPks8pD8hQPIDA6Y/cyhAXUk45aL1I0D7wHKYBkogQPCFiLC8ix5Ax5QoMZ0GKkDiPnQp444jQOXCLxD41QBA/3JUJ8njJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0oc4tMs48r8OPMjyn3cAwCwLTk2RA++/77xsdFVi8b/lQEP+9ZL9v7MO62W+R+a/iHXNkHLe3r+85jQdJGgFQNCS48+LbgpACJymMHlNzj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"ycvkUdCCEUDGRzJZt3UFQNWqsI5tqfG/Fmc64sXtEEDQIgCH4SgPQEf15LsePNc/mAwnbQNXEUBAhxclu9K9v5AsD+HrwwBAYGKNOTpn9T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3KTFMALNE8AKUZOjv+jhPzbtx2uS9AjAP5n5Pu6p/b84OwmOJpL+v+vf3nWw7P2/iKtlwx0kIUDQ9bBZXB8WQDd6oPwtRBZAlnh/e5nW7j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"eR6U1FAXGUCdPXlZL7YTQP3K03aUp/4/1m1WGSKU+T+obkSfqUbDv2LA7zrSkBFAyAJOWZAV+j+SICli0E4XwNIhnGfpyQlAxvKi9dr83T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8PMmZk8C2b/VI8tBtIMHQPjswSgtE/K/lywVkgRq3T8InUkV6gMVQNE7GL2/2RbAQgvFNUfXDED/FKy1w2sIQMmtG33XMA1Acs0bfV2B+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"9sO0Co9CA8AcgxS8h1sXQDdzoIcdHSBAcUMQjakiI8B+GlzQnIcQQA21XinXvve/CEo4V8qQJ0DseeOqKbkhQHMgx7FVRCNAt4FXhnB16L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8tpdlxW5AUCs4h9we3AiQPgIkqjiWRFAcUaXesAXE8BX6qgKd7cQQBuhNvV3Ie6/+STayz/YKkDYKe9wuI0YQAz8e7YI0CBAnGAwjfLO8L8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"l2gbTkqvNUBeM5ZCZDgRQIYYn4kWIhZAMDB2RpoM9b/81Pa6IZADwADB9PWpk/2/liI28s6dFkADc6SdEkwkwClv0L5mUx9AkxrmMtszFUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"PPPgtcwI+r+/z0I5vMkHQGiTcafPDfQ/0Wam06k7+D+tF2c/2LYhwFo+PcTpuP4/utiXeIKm0r8RfV6tRhUgQCdff2F9ORZAcn895x/aCcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2BzqEbVg4r/o3w9BLhQFQKDANdjzIhdAfAXvsFu7FUD0jScv808aQKDyJl0RwxJAHyCZP+ahG0DP4j54jcApQAMtlzt6ihBAJXOOEFW2HkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"et5VFeobIUBQZnfFTScUQHCONr3TJus/r4rR6Cm3AUDeGkOxYEz2P2COPM0lUvs/1/u+jrw7C0CgdSwHliYQwFYIsKj1ZQZAb8zvFIpcEkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+w3tj8ANFkBXXDy6iuz/P3pSRzirnfQ/Qt+pEy0QBEAsBHWm8RkZQFqDpQKS6OI/hIO6hVVuEEBuNvHtbWr6P2DyexsvsQZAIC5JZ/87wj8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tt2BUwELCcC+Hd2oP7TzP8RM3YithfS/2reMG4LiBUCW7BWykc7zP7wJZfjsHwnARXN9X9zH77/UTp/2aqDev30yRteGOhRA+L5f8FkF1j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"viuEke9xIMBqDJPv9HnwP5DprXXSbxRABKeCC6eEHECnBec9xDgFwDFX6O3duAdAQOxCHZOi2L9Be0sr2TIBwMN97X7A7g1AMMfu3dKn8T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QeVCtj8SJsBT80nflqryP/JX9GmKNxhAC9DWJ/TRFkD8vgKCAHPcPxWbOy7zcApAI+u9HWAF+T9MPe65rw75P9UcLMehLRtA08vw3eaL7T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"kId3ROvyFkBkcT3kQjLmP46zYwnNNg3AmMTuZG8O/L81pjHO8wcIwDDGHaJ2BBTAOaxvt1btEkBwd3yZTCuwP744bd2hTQJAxEH/lnYF8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5Yu2W6SqGcCLUnn9yzUUwBZ6i+lkzPU/GjxWfXyNAsDTvdqqKbYGwP7x/WEsQPq/VCGok8MrEEDulB0pgcwJQEk7N0gnkhtAEgW3iNbn778="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cYhZ37ZTBUDYopV9pRntP8JwbdSnpxRABunXt4qHBEBIfSBJY+8dwNb6b+LvcfY/VxRZMOl1EkBg/C52Fdb+v5LSqSAonAlAVdBgCUY99j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mKF5BwbrGkCR2U9IVuTrP1hbZ2sN4uw/gp4fUNGQCEBg+23nqgUTwNyEFCO9xgFAjN9CbvSjDUAAigOPn8zfv3Bv80Jn2QtAp3IrI6Uk6T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"5QlVyuuZEEDE+KXCUIENQO/Pf9LuMhNAvpvssz3LFUDCx/YH0er9P4dPabMwIxBAUDuNUOOMtb84Bs8Udt8KQHvq/u61y/o/g0ARVRqxBUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Cs/MVqRBCkCtLB6xr/AFQI7j1TFwusS/qPiwr8HPwb+IW28xi6cSQEzTi7qKO/A/4EvCntBJIkAXj/LX49oFQMi89bW+BQ5Ae/L17AV39j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OKMRAQDFK0BazTbDSnEIwGb75J3bQwVAyyaLvwL/IEA4jLYO36oLwPvYz5Lklf8/of6KTFPfC0BjWQiQSBD/vwb3w6/5QR9AxSaAjmPSAkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QHXSB0TW7r+0ih7YXC4nQP+enO0WoBBAZKVR0uuc3j8iOrWiLT0bQFoUGSvzyhZAJuV0GubUH0DJeeYSK1YhQFvQU0A2CxlAXR4b5k8TFkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"tFsMXP8p2L+hlX5GAUEpQGRW1o1NxwNAgFJyno/VtL81ymPwwzIXQLykqA7P2hNAIOZdvNzWHkAg22r3eB0lQH7/ImeHYxlATSb122hyGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3XnuSyumIEAk9V/PfQLkvwdZwzDL5AxAdYzz/Z0gMUBeXfD1xMIXwDe75CgOK9e/gYabJahMHUCPzgGy90vqP/sIFC3neBZAJWh04lPsDEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dlxDliumIkBfym8FYjEuQKMpFHFSvxXAimoGMwWsIUBx2ydWLj8XQIsP3AMngBxA5MIerMYWMEBPKGIxQJgzQGL4fLGHqyBAKp27UYN2IUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"a7bHApDnJUAyhhAVeEgrQHDXeu9PhxHA9IEJZyqxGkC+ra353AscQEz4DNRT2SNAHguA5aXjMECpT5lXT+IyQBvq+dgTNRpAsH3z9DWyI0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Lulce6MAGEAJkVmHATMPQFPiIXzMIzZAJTmajgS1GUBmOh+c5oQYwALE6efSJw1A4Lm3UdE9M0AtKrR9HiIgwOX7PFIaJilAtHNhCfPYAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"sbi/fzXOA0BAClbqVYjbP7Z2ePtWARFA3n5kuFruBcCAAR2rFlAQwDMmASAX7yNAxrNgcyCbE0AahbuANFYgQNLbVuXzWhNA6CymNpInEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VniUjhPyDEBGB/x3rpkVQP6susaIvPQ/3fpr6lnhIUCrBvGtB2QgQKOTt9A1+BDAillcH77zEkAO5qo1ycAVwFoZ91cH4xRAdIJ0FZzECkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"+SZkP3t1FkBAiRIcshcHQOajppsMsxpAMROFtuROCkAOpTU0EGMSwKisY2PUkh1ACofrbhxeHUBwRoyDK2YrQJnD2UekLhVAxQP7IvmvFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yCG/h2TfIEB2gDbjMoYgQMSFU6YFjhVAexlFofe6FUBI/jEtZ33Zv6ezp2DWeRnAI8TxFSgjAkCRHaeGm7QrQDplux51HSFAlev4vpA5CkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8B8wsgSaKUBkwGRo8wYCwObtSPdyqSvA3FITrsstFEA1asQEG/3zv/AvE09c5BtA3xvqCry8JkCrGYURMJwhQGovQqDr5CZASOGzzvePAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Kvbei021DMCMU9QkvIgXQKZmmSCLkSFAFkfiO5NO5z+LuWhinNj4P/jNTKzJ/t6/ejZORhU5AsDfXFOgg4/5v6ikZc1Z5AxAh2S87ubI3T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"OJpgbv++HkB2n8dx6oEGQGwgERs+9BrAiBJSkOv47b8Mg+wypDgHQH5ZIv9ZYxVACFv0OHAvJEDHN+d4fjwEQFJX0TUZ3xFAZ9YNge5nFEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QvJlWsf8BUDgVdfmrPrnP295ooB8PSHAxhgRKsQ79T/1ZlE7NPn3v1flznCTDBxAaONDlJd5JUAgq/mUBgzjP8j2wauTAyRA9RILQzfEEEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Gnjhsm0vLUDza6iXmfcqQMDzxJvLZShAm9G8HhtZJ0AwHNIDhe4AQGI7woe9KRPAFG+0l2CBFkCKv0Z9LL4kQPA0yd2qCR1Ar6SvfEcKA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Fd9GHhCdKkCaYvfbxx8kQEgdzxx4TBPAalTFe7GAIUD3mOHUAmkZwNj8vTxtTxFAtgKPBF0jE0C60/5+T74FQPMME70bVxRA7nS/0/jGGEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"AiPs0Os+FED6NmXL7zoVQGpduHHNhRpA4gy4qL+CF0DZZmTdZfURwNRVFMxFb+8/7zF5manM+D/xdgSSQWklQCEHCUvsnhhAKtBZBzcw8b8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"iGwDy3ZULkCflq/OVhbjv5oOCMyzQQbAZPJdJ8pXLEDUavdYHsgLQEOTqu/whyPAF65PS5AmIUAajrOrT1D6v77U2+ygeSBAInxZN5KaE0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"J2KyU+XvE8DRXdIn2OgXwN3VQoDrnxPAVt4aNjQFHsA+dvdKrrMRwKDCeJsO984/C2uk9AIyA0CWeKkCZy35P2fmAvMGHglAzdqLi/i/EsA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"VZAG8enmDUBP+Z5FFJMVQNA0db3bON8/QjnpftsPEEBOM8EiIvLmP/bm8Kn0ZwXAsQPXlDaf2j/bvR1bCfcTwM0KaBXgSQZArqM6Jtmu+D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8JN8y9Gr0r9gBtb2mD28PxmapPCEgPc/TQS8oA06DcCYVOSvOIL9P1oBpfsMORhAZdfVOuPxE0BKzpisrJQiQGVodH66IBFAkNwl7b28/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"4LovEJdCDEAfkaWhOhIAQMzfcN2FWOA/9JV5e0Oh6j8XY6Wjdi4FQLlJRAg51BJAXxyZ5CWWCEDYHVuOC/wEwMhzei/D7AVAxGGHFopE/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"3YF98iK7EEAecRJ1jTceQAj0/bD60hFAHWBvXBtoCkBZ8HA+TgP5P7pFuMWcdvg/LJSxVJ6J8T8lY5B0kecgQIl6+EGDdQdArMMCqI7jC0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"aFDjbsayyD++KmvbY/4ZQIbSuyEfn+y/04Y0c2VlG0Bj+b3fhcH9P/fQ02fvvh9Aq2x55cAMG0BM7lL6hrj0P3m3ItxQ2BFAXfSmk1c8C0A="},"shape":[10],"dtype":"float64","order":"little"}]]]}}},"view":{"type":"object","name":"CDSView","id":"p20360","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p20361"}}},"glyph":{"type":"object","name":"MultiLine","id":"p20356","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_alpha":{"type":"value","value":0.05}}},"nonselection_glyph":{"type":"object","name":"MultiLine","id":"p20357","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"MultiLine","id":"p20358","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_alpha":{"type":"value","value":0.2}}}}},{"type":"object","name":"GlyphRenderer","id":"p20368","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p20362","attributes":{"selected":{"type":"object","name":"Selection","id":"p20363","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p20364"},"data":{"type":"map","entries":[["xs",[[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9],[0,1,2,3,4,5,6,7,8,9]]],["ys",[{"type":"ndarray","array":{"type":"bytes","data":"tAK06EKD+D9rIqpfJ9DnPxKDbV/p6/A/YRHN8/8s2L+gdK6GbeHWv7TDeueye/Q/gCBOdInFAED2SPNVNKMFQMfa82E8WPQ/Umlf5vN98z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cUTic1/gJEAC3wynKCAkQMPi+DYXOCJAxkPNp5zhIkD7yRKOVKcjQOkQzjO8fiBA2LCc9aliI0A3g01sALshQLex+XE7re0/hukiDeq9IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cUTic1/gJEAC3wynKCAkQMPi+DYXOCJAxkPNp5zhIkD7yRKOVKcjQOkQzjO8fiBA2LCc9aliI0A3g01sALshQLex+XE7re0/hukiDeq9IkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0+3kSFxY/D/cuuqtyk7mPxwtEX8FV/I/LYutas3F/j/sddcyXJzZP9go59aGRPs/gCuNRBh0EEDfA/MUoH7vP8l+J5GGuPk/MTCQTLk//D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"m7L0oJHfDEC2FELz+9cTQP7zEYHqkw1AV576y4F5B0AZ+vdI/10KQNC7y2/b1wZAravyg1ti/T+GPT6GXTcPQCBYOeWULfM/SvIUHlw7D0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dCBjQRsWDMD1iz466UMQwOjSgE41QBLAbNOqjAVKDcA6E2u3MRATwC2RFvk+RQPAenar5bC9CMBIv5lQLFoNwM3VAzkUK/A/Ew1iXT7BDcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"dCBjQRsWDMD1iz466UMQwOjSgE41QBLAbNOqjAVKDcA6E2u3MRATwC2RFvk+RQPAenar5bC9CMBIv5lQLFoNwM3VAzkUK/A/Ew1iXT7BDcA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0E4jUW8A4D8AoRiJAXHhP8Di/9uAXt+/Mqu7A/HX0j9AeesUN++Nvz14/5SBSek/tis6tmZFAkCEuQDLz8rev7dQvhfhT+4/2bQ5hMhS4j8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"DL4ifEg9A0CiXjefMzLtP7YAW6j+FRJAivcjX0e7BUAIu2XhmQfOPy7iKJ5biAFAggRhX7hbF0AGnz2jb3T7P/vBwc/fEvU/lrwkTAxh/D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"yOUza71i2b/WvA3bdt8SQGYYJFDj1Pe/Rfz6LLlq+D/rcO1G18DzP1EHRLTykxFAqLLzETl6D0Dks5ApskIAQEMXaLWBxgdAV1af5KmpAEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"jtXLRlwXEUAHluZ0i+0SQM7JXxEhxBBAQNVYzdhyEEDuXYHvb0EMQPdLH6P3axBAJr91hEWZEEB1ASwN7IoSQP1Vh65Qkvw/ZB5p617rDkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0iHPacKXHUCLUKM05eYjQO4hQMresR9AzXFhECILI0AUXksGHr8hQASsXz0zJSBAs6LpND/rIUCnZE2YlVceQEfIbr0z2O4/8AP7RWmCIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"0iHPacKXHUCLUKM05eYjQO4hQMresR9AzXFhECILI0AUXksGHr8hQASsXz0zJSBAs6LpND/rIUCnZE2YlVceQEfIbr0z2O4/8AP7RWmCIEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"8iKaERh4IkCOPk6ZuSIbQCzPKNFZ+CFAr9DwDTRoIUBgQkj7Xr4lQKapGRws+iFAWb9Q+sXmH0CTfZAVTUsgQG8fvNB+If4/bxN6lCjGIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"bssZcDTH+j+Zt/40mSUAQEzAnUwP8vw/X03qgSZg9z8J9m9z1YnzP5gEcGP1vQxAYB4+nkwRCkDp4KvMLtkJQEeBfduZze8/FDKVefznA0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"RKP7DgF++T/KtW6OL6EDQFUkN0gJiABApu+VwdrqCUCCKIfBO4j/P7rrSnVkAw5AC7BfskbZ/T/8Lngs4sQBQP8p7lp1rO0/C/tU+2XbAUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"mgt2d40QCkBr12dOumL3P2unaUGpfQhAHLiQyvbz7z8M3IVVgSUDQCpx+rrp3wpAHr6GDNVtDEA8sTMKgs8KQPi2PSz3r+w/KxXg7DeSBkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"IOZd4CD64j/FZndqaEgAQIqX+N62TNw/sDIqLNIqBUBApkVxdqzYP6T3YFugIti//pawcxdfAEBt/TWytoHYP7PuP2w+uvc/UsQsMekP/T8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"QGnXfo+V4r8U3/8+DWUKQO6+Ac6wcgTA0rSsMZIR8T9grwiZYaXrP7H4H9jAXP0/uG9dFCgwCECwnle2JcfrP1j22Q14TwNA3MyFI1Mn4D8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"TaPhI/GMJEDuNkndrisbQAm9HuCD6yRASsyfr3NdHkABzfr7ueIiQNGanBIcDSJAnkSNHnSVG0C84nZvsYAlQB+TDHwykABAxtyV+hcRIkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"WFuOolpnIED6Bz8JZ1gmQFs0jWugLh5AOuC/DsnhIUDJ8COKWasjQLhJkx/RRiJA2vu9nSniJUC7LjyXzOIbQC1kMFTKAvI/lakts4eQIUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"H0Y1kVlLIEAaT9rB5gUhQC246WvrSCdAVYi7O8xMKEASdKoF0FciQBxihVAIsydANx5dkdO3IUA71eG83xwlQP2yDHpMJAVAt6ndDfbfJEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"y2c/3K6/CkDGrde38/8BQFoeTQ6RrwVAClDUBo31A0AU3MVFwskMQIMXQ/+gixBAr2jekWv1D0DY8P/OSJwLQLcoixga3fA/8dB/Fc6ICEA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"shoFXg3+4D+LdR/j7I/zPwjTvKnQ0Oo/pMSsLjp38j/gUG23UejAv4TzjuGnlfq/cEWEV0X5vj+Q9eRPlDHWP4yDMVanQ/0/ROY5qS000z8="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"2AtMPh7jKkDDY/7NyfkYQL+QxWANqSFA1f8Y3vCnH0BKvaZ3Y2MaQJRSJJsmyyFALweex/GhJUAov1WGK6kgQEse5Jlx3QlA6pxq06sTH0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"wI3llszxL0Bzso5UVqwrQPuM6EvgWStAWhfOqBTMJ0DuOxvE6OQoQEraUuLc0SdA18+LOeQEKkDB3jqv7xIsQJvFUpN4zvo/Df2zWqzeKUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cmMhpB4iF0AWaScdT5sbQPYNlodmah5ARopID3lRHUCE/5Kb9J4WQHzR5iPlsBZAxQT7NO9jG0CFko9+G8kWQFOfnv3HMPo//NE7KCXMF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cmMhpB4iF0AWaScdT5sbQPYNlodmah5ARopID3lRHUCE/5Kb9J4WQHzR5iPlsBZAxQT7NO9jG0CFko9+G8kWQFOfnv3HMPo//NE7KCXMF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"cmMhpB4iF0AWaScdT5sbQPYNlodmah5ARopID3lRHUCE/5Kb9J4WQHzR5iPlsBZAxQT7NO9jG0CFko9+G8kWQFOfnv3HMPo//NE7KCXMF0A="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"HqnxkELEGEBrV6TM7kYcQIoTc41SPBlANXn5lTEkGECaej72mT4WQL8/3IacghRArVVuLzF4IEA1lbv5/S0VQACuRciBn/M/VEHAzowjGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"vrYLvPl1FUCMhtYTta4XQC7Et8kIBB1ADBQZ1COuGUCdFo6ApwgeQLiapjNEJBpAJsqLRGwbFEBgNFz35vwbQJt8ItaF0vI/f0JiGxY1GkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"Tls9fgBNF0AaPNc8QLAQQCDhxx3cbxRAdgEVcm7BGUAquVeJgr4cQAtF3Ol3zxRApN0IUrxqFkAuLxMy3JghQEpj5OhAfu0/mCkW5pkPGUA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"v7x/tMOdKUAUykLJ2/EhQAgEYovPHCtA7BsvDZNIJED9YDnKCoYmQHkHnZKyzyJANxPpDIgTKUDxUUSsSAolQEa2s4R9FgNAktzZ/lqCJkA="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"fHunWsFK9782RP8ez0z7v1CRcsoMYcS/MANzBdMGDMAE43s6xPrwv+hkIRVXIfy/afHwzAxM37+gK8m1Le2wP4tP0D+fH/Y/Isv2ifRA978="},"shape":[10],"dtype":"float64","order":"little"},{"type":"ndarray","array":{"type":"bytes","data":"lbnabnONIkA3oknCk/weQMAkpadirBRA53LQUxPlEECQsuRuxEoYQOb6uD+njhZAeQVu0SKbHECvQ46cEbcHQOEuOE4MAwhAy8XwGoQJGkA="},"shape":[10],"dtype":"float64","order":"little"}]]]}}},"view":{"type":"object","name":"CDSView","id":"p20369","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p20370"}}},"glyph":{"type":"object","name":"MultiLine","id":"p20365","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"lime"},"line_alpha":{"type":"value","value":0.5}}},"nonselection_glyph":{"type":"object","name":"MultiLine","id":"p20366","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"lime"},"line_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"MultiLine","id":"p20367","attributes":{"xs":{"type":"field","field":"xs"},"ys":{"type":"field","field":"ys"},"line_color":{"type":"value","value":"lime"},"line_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p20330","attributes":{"tools":[{"id":"p20343"},{"id":"p20344"},{"id":"p20345"},{"id":"p20347"},{"id":"p20348"},{"id":"p20350"},{"type":"object","name":"SaveTool","id":"p20351"},{"id":"p20352"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p20338","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p20339","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p20340"},"major_label_policy":{"type":"object","name":"AllLabels","id":"p20341"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p20333","attributes":{"ticker":{"type":"object","name":"FixedTicker","id":"p20371","attributes":{"ticks":[0,1,2,3,4,5,6,7,8,9],"minor_ticks":[]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p20335"},"major_label_orientation":1.5707963267948966,"major_label_overrides":{"type":"map","entries":[["0","theta\\nChoate"],["1","theta\\nDeerfield"],["2","theta\\nPhillips Andover"],["3","theta\\nPhillips Exeter"],["4","theta\\nHotchkiss"],["5","theta\\nLawrenceville"],["6","theta\\nSt. Paul&#x27;s"],["7","theta\\nMt. Hermon"],["8","tau"],["9","mu"]]},"major_label_policy":{"type":"object","name":"AllLabels","id":"p20336"}}}],"center":[{"type":"object","name":"Grid","id":"p20337","attributes":{"axis":{"id":"p20333"}}},{"type":"object","name":"Grid","id":"p20342","attributes":{"dimension":1,"axis":{"id":"p20338"}}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"8dfc4986-c24f-4e58-bb73-84b56a71ef05","roots":{"p20376":"fbdf2d4e-ec43-4477-be51-9dc097751446"},"root_ids":["p20376"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();