(function() {
  const fn = function() {
    (function(root) {
      function now() {
        return new Date();
      }
    
      const force = false;
    
      if (typeof root._bokeh_onload_callbacks === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
    
    const element = document.getElementById("be3372ee-4413-4322-a8ec-e22052f5ab3f");
        if (element == null) {
          console.warn("Bokeh: autoload.js configured with elementid 'be3372ee-4413-4322-a8ec-e22052f5ab3f' but no matching script tag was found.")
        }
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) {
            if (callback != null)
              callback();
          });
        } finally {
          delete root._bokeh_onload_callbacks
        }
        console.debug("Bokeh: all callbacks have finished");
      }
    
      function load_libs(css_urls, js_urls, callback) {
        if (css_urls == null) css_urls = [];
        if (js_urls == null) js_urls = [];
    
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.debug("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.debug("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = css_urls.length + js_urls.length;
    
        function on_load() {
          root._bokeh_is_loading--;
          if (root._bokeh_is_loading === 0) {
            console.debug("Bokeh: all BokehJS libraries/stylesheets loaded");
            run_callbacks()
          }
        }
    
        function on_error(url) {
          console.error("failed to load " + url);
        }
    
        for (let i = 0; i < css_urls.length; i++) {
          const url = css_urls[i];
          const element = document.createElement("link");
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.rel = "stylesheet";
          element.type = "text/css";
          element.href = url;
          console.debug("Bokeh: injecting link tag for BokehJS stylesheet: ", url);
          document.body.appendChild(element);
        }
    
        for (let i = 0; i < js_urls.length; i++) {
          const url = js_urls[i];
          const element = document.createElement('script');
          element.onload = on_load;
          element.onerror = on_error.bind(null, url);
          element.async = false;
          element.src = url;
          console.debug("Bokeh: injecting script tag for BokehJS library: ", url);
          document.head.appendChild(element);
        }
      };
    
      function inject_raw_css(css) {
        const element = document.createElement("style");
        element.appendChild(document.createTextNode(css));
        document.body.appendChild(element);
      }
    
      const js_urls = ["https://cdn.bokeh.org/bokeh/release/bokeh-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-gl-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-widgets-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-tables-3.2.0.min.js", "https://cdn.bokeh.org/bokeh/release/bokeh-mathjax-3.2.0.min.js"];
      const css_urls = [];
    
      const inline_js = [    function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        function(Bokeh) {
          (function() {
            const fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                  const docs_json = '{"9daf2815-351a-40c6-bc5e-fe762c24e44d":{"version":"3.2.0","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p15676","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p15675","attributes":{"tools":[{"type":"object","name":"ResetTool","id":"p7384"},{"type":"object","name":"PanTool","id":"p7385"},{"type":"object","name":"BoxZoomTool","id":"p7386","attributes":{"overlay":{"type":"object","name":"BoxAnnotation","id":"p7387","attributes":{"syncable":false,"level":"overlay","visible":false,"left_units":"canvas","right_units":"canvas","bottom_units":"canvas","top_units":"canvas","line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"WheelZoomTool","id":"p7388"},{"type":"object","name":"LassoSelectTool","id":"p7389","attributes":{"renderers":"auto","overlay":{"type":"object","name":"PolyAnnotation","id":"p7390","attributes":{"syncable":false,"level":"overlay","visible":false,"xs":[],"ys":[],"editable":true,"line_color":"black","line_alpha":1.0,"line_width":2,"line_dash":[4,4],"fill_color":"lightgrey","fill_alpha":0.5}}}},{"type":"object","name":"UndoTool","id":"p7391"},{"type":"object","name":"SaveTool","id":"p15674"},{"type":"object","name":"HoverTool","id":"p7393","attributes":{"renderers":"auto"}}]}},"children":[[{"type":"object","name":"Figure","id":"p7363","attributes":{"width":690,"height":300,"x_range":{"type":"object","name":"DataRange1d","id":"p7364","attributes":{"end":920}},"y_range":{"type":"object","name":"DataRange1d","id":"p7365","attributes":{"end":1.02}},"x_scale":{"type":"object","name":"LinearScale","id":"p7372"},"y_scale":{"type":"object","name":"LinearScale","id":"p7373"},"title":{"type":"object","name":"Title","id":"p7370"},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p7400","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7394","attributes":{"selected":{"type":"object","name":"Selection","id":"p7395","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7396"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7401","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7402"}}},"glyph":{"type":"object","name":"Scatter","id":"p7397","attributes":{"x":{"type":"value","value":0},"y":{"type":"value","value":0.049571238377910824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7398","attributes":{"x":{"type":"value","value":0},"y":{"type":"value","value":0.049571238377910824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7399","attributes":{"x":{"type":"value","value":0},"y":{"type":"value","value":0.049571238377910824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7409","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7403","attributes":{"selected":{"type":"object","name":"Selection","id":"p7404","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7405"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7410","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7411"}}},"glyph":{"type":"object","name":"Scatter","id":"p7406","attributes":{"x":{"type":"value","value":1},"y":{"type":"value","value":0.2267676720667139},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7407","attributes":{"x":{"type":"value","value":1},"y":{"type":"value","value":0.2267676720667139},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7408","attributes":{"x":{"type":"value","value":1},"y":{"type":"value","value":0.2267676720667139},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7418","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7412","attributes":{"selected":{"type":"object","name":"Selection","id":"p7413","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7414"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7419","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7420"}}},"glyph":{"type":"object","name":"Scatter","id":"p7415","attributes":{"x":{"type":"value","value":2},"y":{"type":"value","value":0.009283090784037874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7416","attributes":{"x":{"type":"value","value":2},"y":{"type":"value","value":0.009283090784037874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7417","attributes":{"x":{"type":"value","value":2},"y":{"type":"value","value":0.009283090784037874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7427","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7421","attributes":{"selected":{"type":"object","name":"Selection","id":"p7422","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7423"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7428","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7429"}}},"glyph":{"type":"object","name":"Scatter","id":"p7424","attributes":{"x":{"type":"value","value":3},"y":{"type":"value","value":0.4240731472800271},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7425","attributes":{"x":{"type":"value","value":3},"y":{"type":"value","value":0.4240731472800271},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7426","attributes":{"x":{"type":"value","value":3},"y":{"type":"value","value":0.4240731472800271},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7436","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7430","attributes":{"selected":{"type":"object","name":"Selection","id":"p7431","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7432"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7437","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7438"}}},"glyph":{"type":"object","name":"Scatter","id":"p7433","attributes":{"x":{"type":"value","value":4},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7434","attributes":{"x":{"type":"value","value":4},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7435","attributes":{"x":{"type":"value","value":4},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7445","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7439","attributes":{"selected":{"type":"object","name":"Selection","id":"p7440","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7441"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7446","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7447"}}},"glyph":{"type":"object","name":"Scatter","id":"p7442","attributes":{"x":{"type":"value","value":5},"y":{"type":"value","value":0.11571941276369525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7443","attributes":{"x":{"type":"value","value":5},"y":{"type":"value","value":0.11571941276369525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7444","attributes":{"x":{"type":"value","value":5},"y":{"type":"value","value":0.11571941276369525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7454","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7448","attributes":{"selected":{"type":"object","name":"Selection","id":"p7449","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7450"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7455","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7456"}}},"glyph":{"type":"object","name":"Scatter","id":"p7451","attributes":{"x":{"type":"value","value":6},"y":{"type":"value","value":-0.09158743404484701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7452","attributes":{"x":{"type":"value","value":6},"y":{"type":"value","value":-0.09158743404484701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7453","attributes":{"x":{"type":"value","value":6},"y":{"type":"value","value":-0.09158743404484701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7463","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7457","attributes":{"selected":{"type":"object","name":"Selection","id":"p7458","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7459"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7464","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7465"}}},"glyph":{"type":"object","name":"Scatter","id":"p7460","attributes":{"x":{"type":"value","value":7},"y":{"type":"value","value":-0.01776814606469157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7461","attributes":{"x":{"type":"value","value":7},"y":{"type":"value","value":-0.01776814606469157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7462","attributes":{"x":{"type":"value","value":7},"y":{"type":"value","value":-0.01776814606469157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7472","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7466","attributes":{"selected":{"type":"object","name":"Selection","id":"p7467","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7468"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7473","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7474"}}},"glyph":{"type":"object","name":"Scatter","id":"p7469","attributes":{"x":{"type":"value","value":8},"y":{"type":"value","value":-0.029469435162902752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7470","attributes":{"x":{"type":"value","value":8},"y":{"type":"value","value":-0.029469435162902752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7471","attributes":{"x":{"type":"value","value":8},"y":{"type":"value","value":-0.029469435162902752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7481","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7475","attributes":{"selected":{"type":"object","name":"Selection","id":"p7476","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7477"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7482","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7483"}}},"glyph":{"type":"object","name":"Scatter","id":"p7478","attributes":{"x":{"type":"value","value":9},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7479","attributes":{"x":{"type":"value","value":9},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7480","attributes":{"x":{"type":"value","value":9},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7490","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7484","attributes":{"selected":{"type":"object","name":"Selection","id":"p7485","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7486"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7491","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7492"}}},"glyph":{"type":"object","name":"Scatter","id":"p7487","attributes":{"x":{"type":"value","value":10},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7488","attributes":{"x":{"type":"value","value":10},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7489","attributes":{"x":{"type":"value","value":10},"y":{"type":"value","value":-0.06276594701307954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7499","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7493","attributes":{"selected":{"type":"object","name":"Selection","id":"p7494","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7495"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7500","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7501"}}},"glyph":{"type":"object","name":"Scatter","id":"p7496","attributes":{"x":{"type":"value","value":11},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7497","attributes":{"x":{"type":"value","value":11},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7498","attributes":{"x":{"type":"value","value":11},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7508","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7502","attributes":{"selected":{"type":"object","name":"Selection","id":"p7503","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7504"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7509","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7510"}}},"glyph":{"type":"object","name":"Scatter","id":"p7505","attributes":{"x":{"type":"value","value":12},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7506","attributes":{"x":{"type":"value","value":12},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7507","attributes":{"x":{"type":"value","value":12},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7517","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7511","attributes":{"selected":{"type":"object","name":"Selection","id":"p7512","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7513"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7518","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7519"}}},"glyph":{"type":"object","name":"Scatter","id":"p7514","attributes":{"x":{"type":"value","value":13},"y":{"type":"value","value":0.014309009080856444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7515","attributes":{"x":{"type":"value","value":13},"y":{"type":"value","value":0.014309009080856444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7516","attributes":{"x":{"type":"value","value":13},"y":{"type":"value","value":0.014309009080856444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7526","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7520","attributes":{"selected":{"type":"object","name":"Selection","id":"p7521","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7522"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7527","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7528"}}},"glyph":{"type":"object","name":"Scatter","id":"p7523","attributes":{"x":{"type":"value","value":14},"y":{"type":"value","value":-0.031110270245760453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7524","attributes":{"x":{"type":"value","value":14},"y":{"type":"value","value":-0.031110270245760453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7525","attributes":{"x":{"type":"value","value":14},"y":{"type":"value","value":-0.031110270245760453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7535","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7529","attributes":{"selected":{"type":"object","name":"Selection","id":"p7530","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7531"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7536","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7537"}}},"glyph":{"type":"object","name":"Scatter","id":"p7532","attributes":{"x":{"type":"value","value":15},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7533","attributes":{"x":{"type":"value","value":15},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7534","attributes":{"x":{"type":"value","value":15},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7544","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7538","attributes":{"selected":{"type":"object","name":"Selection","id":"p7539","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7540"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7545","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7546"}}},"glyph":{"type":"object","name":"Scatter","id":"p7541","attributes":{"x":{"type":"value","value":16},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7542","attributes":{"x":{"type":"value","value":16},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7543","attributes":{"x":{"type":"value","value":16},"y":{"type":"value","value":-0.04422134974057722},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7553","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7547","attributes":{"selected":{"type":"object","name":"Selection","id":"p7548","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7549"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7554","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7555"}}},"glyph":{"type":"object","name":"Scatter","id":"p7550","attributes":{"x":{"type":"value","value":17},"y":{"type":"value","value":-0.04104697154880364},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7551","attributes":{"x":{"type":"value","value":17},"y":{"type":"value","value":-0.04104697154880364},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7552","attributes":{"x":{"type":"value","value":17},"y":{"type":"value","value":-0.04104697154880364},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7562","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7556","attributes":{"selected":{"type":"object","name":"Selection","id":"p7557","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7558"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7563","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7564"}}},"glyph":{"type":"object","name":"Scatter","id":"p7559","attributes":{"x":{"type":"value","value":18},"y":{"type":"value","value":0.20513010267683035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7560","attributes":{"x":{"type":"value","value":18},"y":{"type":"value","value":0.20513010267683035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7561","attributes":{"x":{"type":"value","value":18},"y":{"type":"value","value":0.20513010267683035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7571","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7565","attributes":{"selected":{"type":"object","name":"Selection","id":"p7566","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7567"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7572","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7573"}}},"glyph":{"type":"object","name":"Scatter","id":"p7568","attributes":{"x":{"type":"value","value":19},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7569","attributes":{"x":{"type":"value","value":19},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7570","attributes":{"x":{"type":"value","value":19},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7580","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7574","attributes":{"selected":{"type":"object","name":"Selection","id":"p7575","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7576"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7581","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7582"}}},"glyph":{"type":"object","name":"Scatter","id":"p7577","attributes":{"x":{"type":"value","value":20},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7578","attributes":{"x":{"type":"value","value":20},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7579","attributes":{"x":{"type":"value","value":20},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7589","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7583","attributes":{"selected":{"type":"object","name":"Selection","id":"p7584","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7585"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7590","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7591"}}},"glyph":{"type":"object","name":"Scatter","id":"p7586","attributes":{"x":{"type":"value","value":21},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7587","attributes":{"x":{"type":"value","value":21},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7588","attributes":{"x":{"type":"value","value":21},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7598","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7592","attributes":{"selected":{"type":"object","name":"Selection","id":"p7593","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7594"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7599","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7600"}}},"glyph":{"type":"object","name":"Scatter","id":"p7595","attributes":{"x":{"type":"value","value":22},"y":{"type":"value","value":0.2318696190637766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7596","attributes":{"x":{"type":"value","value":22},"y":{"type":"value","value":0.2318696190637766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7597","attributes":{"x":{"type":"value","value":22},"y":{"type":"value","value":0.2318696190637766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7607","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7601","attributes":{"selected":{"type":"object","name":"Selection","id":"p7602","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7603"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7608","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7609"}}},"glyph":{"type":"object","name":"Scatter","id":"p7604","attributes":{"x":{"type":"value","value":23},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7605","attributes":{"x":{"type":"value","value":23},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7606","attributes":{"x":{"type":"value","value":23},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7616","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7610","attributes":{"selected":{"type":"object","name":"Selection","id":"p7611","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7612"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7617","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7618"}}},"glyph":{"type":"object","name":"Scatter","id":"p7613","attributes":{"x":{"type":"value","value":24},"y":{"type":"value","value":0.2163197719880186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7614","attributes":{"x":{"type":"value","value":24},"y":{"type":"value","value":0.2163197719880186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7615","attributes":{"x":{"type":"value","value":24},"y":{"type":"value","value":0.2163197719880186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7625","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7619","attributes":{"selected":{"type":"object","name":"Selection","id":"p7620","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7621"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7626","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7627"}}},"glyph":{"type":"object","name":"Scatter","id":"p7622","attributes":{"x":{"type":"value","value":25},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7623","attributes":{"x":{"type":"value","value":25},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7624","attributes":{"x":{"type":"value","value":25},"y":{"type":"value","value":0.15598924509783085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7634","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7628","attributes":{"selected":{"type":"object","name":"Selection","id":"p7629","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7630"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7635","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7636"}}},"glyph":{"type":"object","name":"Scatter","id":"p7631","attributes":{"x":{"type":"value","value":26},"y":{"type":"value","value":0.2537605302293176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7632","attributes":{"x":{"type":"value","value":26},"y":{"type":"value","value":0.2537605302293176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7633","attributes":{"x":{"type":"value","value":26},"y":{"type":"value","value":0.2537605302293176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7643","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7637","attributes":{"selected":{"type":"object","name":"Selection","id":"p7638","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7639"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7644","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7645"}}},"glyph":{"type":"object","name":"Scatter","id":"p7640","attributes":{"x":{"type":"value","value":27},"y":{"type":"value","value":0.24424369993721395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7641","attributes":{"x":{"type":"value","value":27},"y":{"type":"value","value":0.24424369993721395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7642","attributes":{"x":{"type":"value","value":27},"y":{"type":"value","value":0.24424369993721395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7652","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7646","attributes":{"selected":{"type":"object","name":"Selection","id":"p7647","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7648"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7653","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7654"}}},"glyph":{"type":"object","name":"Scatter","id":"p7649","attributes":{"x":{"type":"value","value":28},"y":{"type":"value","value":0.21430368028794874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7650","attributes":{"x":{"type":"value","value":28},"y":{"type":"value","value":0.21430368028794874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7651","attributes":{"x":{"type":"value","value":28},"y":{"type":"value","value":0.21430368028794874},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7661","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7655","attributes":{"selected":{"type":"object","name":"Selection","id":"p7656","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7657"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7662","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7663"}}},"glyph":{"type":"object","name":"Scatter","id":"p7658","attributes":{"x":{"type":"value","value":29},"y":{"type":"value","value":0.1906749183492201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7659","attributes":{"x":{"type":"value","value":29},"y":{"type":"value","value":0.1906749183492201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7660","attributes":{"x":{"type":"value","value":29},"y":{"type":"value","value":0.1906749183492201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7670","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7664","attributes":{"selected":{"type":"object","name":"Selection","id":"p7665","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7666"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7671","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7672"}}},"glyph":{"type":"object","name":"Scatter","id":"p7667","attributes":{"x":{"type":"value","value":30},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7668","attributes":{"x":{"type":"value","value":30},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7669","attributes":{"x":{"type":"value","value":30},"y":{"type":"value","value":0.17253445203579684},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7679","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7673","attributes":{"selected":{"type":"object","name":"Selection","id":"p7674","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7675"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7680","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7681"}}},"glyph":{"type":"object","name":"Scatter","id":"p7676","attributes":{"x":{"type":"value","value":31},"y":{"type":"value","value":0.16337972375998427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7677","attributes":{"x":{"type":"value","value":31},"y":{"type":"value","value":0.16337972375998427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7678","attributes":{"x":{"type":"value","value":31},"y":{"type":"value","value":0.16337972375998427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7688","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7682","attributes":{"selected":{"type":"object","name":"Selection","id":"p7683","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7684"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7689","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7690"}}},"glyph":{"type":"object","name":"Scatter","id":"p7685","attributes":{"x":{"type":"value","value":32},"y":{"type":"value","value":0.1348706216469813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7686","attributes":{"x":{"type":"value","value":32},"y":{"type":"value","value":0.1348706216469813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7687","attributes":{"x":{"type":"value","value":32},"y":{"type":"value","value":0.1348706216469813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7697","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7691","attributes":{"selected":{"type":"object","name":"Selection","id":"p7692","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7693"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7698","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7699"}}},"glyph":{"type":"object","name":"Scatter","id":"p7694","attributes":{"x":{"type":"value","value":33},"y":{"type":"value","value":0.20943584279704477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7695","attributes":{"x":{"type":"value","value":33},"y":{"type":"value","value":0.20943584279704477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7696","attributes":{"x":{"type":"value","value":33},"y":{"type":"value","value":0.20943584279704477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7706","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7700","attributes":{"selected":{"type":"object","name":"Selection","id":"p7701","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7702"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7707","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7708"}}},"glyph":{"type":"object","name":"Scatter","id":"p7703","attributes":{"x":{"type":"value","value":34},"y":{"type":"value","value":-0.03541795498685226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7704","attributes":{"x":{"type":"value","value":34},"y":{"type":"value","value":-0.03541795498685226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7705","attributes":{"x":{"type":"value","value":34},"y":{"type":"value","value":-0.03541795498685226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7715","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7709","attributes":{"selected":{"type":"object","name":"Selection","id":"p7710","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7711"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7716","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7717"}}},"glyph":{"type":"object","name":"Scatter","id":"p7712","attributes":{"x":{"type":"value","value":35},"y":{"type":"value","value":0.14990680842445833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7713","attributes":{"x":{"type":"value","value":35},"y":{"type":"value","value":0.14990680842445833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7714","attributes":{"x":{"type":"value","value":35},"y":{"type":"value","value":0.14990680842445833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7724","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7718","attributes":{"selected":{"type":"object","name":"Selection","id":"p7719","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7720"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7725","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7726"}}},"glyph":{"type":"object","name":"Scatter","id":"p7721","attributes":{"x":{"type":"value","value":36},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7722","attributes":{"x":{"type":"value","value":36},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7723","attributes":{"x":{"type":"value","value":36},"y":{"type":"value","value":0.19444156008324112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7733","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7727","attributes":{"selected":{"type":"object","name":"Selection","id":"p7728","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7729"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7734","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7735"}}},"glyph":{"type":"object","name":"Scatter","id":"p7730","attributes":{"x":{"type":"value","value":37},"y":{"type":"value","value":0.13842374762579338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7731","attributes":{"x":{"type":"value","value":37},"y":{"type":"value","value":0.13842374762579338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7732","attributes":{"x":{"type":"value","value":37},"y":{"type":"value","value":0.13842374762579338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7742","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7736","attributes":{"selected":{"type":"object","name":"Selection","id":"p7737","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7738"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7743","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7744"}}},"glyph":{"type":"object","name":"Scatter","id":"p7739","attributes":{"x":{"type":"value","value":38},"y":{"type":"value","value":-0.015804020195103356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7740","attributes":{"x":{"type":"value","value":38},"y":{"type":"value","value":-0.015804020195103356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7741","attributes":{"x":{"type":"value","value":38},"y":{"type":"value","value":-0.015804020195103356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7751","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7745","attributes":{"selected":{"type":"object","name":"Selection","id":"p7746","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7747"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7752","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7753"}}},"glyph":{"type":"object","name":"Scatter","id":"p7748","attributes":{"x":{"type":"value","value":39},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7749","attributes":{"x":{"type":"value","value":39},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7750","attributes":{"x":{"type":"value","value":39},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7760","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7754","attributes":{"selected":{"type":"object","name":"Selection","id":"p7755","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7756"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7761","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7762"}}},"glyph":{"type":"object","name":"Scatter","id":"p7757","attributes":{"x":{"type":"value","value":40},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7758","attributes":{"x":{"type":"value","value":40},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7759","attributes":{"x":{"type":"value","value":40},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7769","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7763","attributes":{"selected":{"type":"object","name":"Selection","id":"p7764","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7765"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7770","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7771"}}},"glyph":{"type":"object","name":"Scatter","id":"p7766","attributes":{"x":{"type":"value","value":41},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7767","attributes":{"x":{"type":"value","value":41},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7768","attributes":{"x":{"type":"value","value":41},"y":{"type":"value","value":0.19595616037662164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7778","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7772","attributes":{"selected":{"type":"object","name":"Selection","id":"p7773","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7774"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7779","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7780"}}},"glyph":{"type":"object","name":"Scatter","id":"p7775","attributes":{"x":{"type":"value","value":42},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7776","attributes":{"x":{"type":"value","value":42},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7777","attributes":{"x":{"type":"value","value":42},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7787","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7781","attributes":{"selected":{"type":"object","name":"Selection","id":"p7782","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7783"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7788","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7789"}}},"glyph":{"type":"object","name":"Scatter","id":"p7784","attributes":{"x":{"type":"value","value":43},"y":{"type":"value","value":0.21331859303366446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7785","attributes":{"x":{"type":"value","value":43},"y":{"type":"value","value":0.21331859303366446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7786","attributes":{"x":{"type":"value","value":43},"y":{"type":"value","value":0.21331859303366446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7796","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7790","attributes":{"selected":{"type":"object","name":"Selection","id":"p7791","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7792"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7797","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7798"}}},"glyph":{"type":"object","name":"Scatter","id":"p7793","attributes":{"x":{"type":"value","value":44},"y":{"type":"value","value":0.1173250621010292},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7794","attributes":{"x":{"type":"value","value":44},"y":{"type":"value","value":0.1173250621010292},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7795","attributes":{"x":{"type":"value","value":44},"y":{"type":"value","value":0.1173250621010292},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7805","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7799","attributes":{"selected":{"type":"object","name":"Selection","id":"p7800","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7801"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7806","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7807"}}},"glyph":{"type":"object","name":"Scatter","id":"p7802","attributes":{"x":{"type":"value","value":45},"y":{"type":"value","value":0.10317077885645196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7803","attributes":{"x":{"type":"value","value":45},"y":{"type":"value","value":0.10317077885645196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7804","attributes":{"x":{"type":"value","value":45},"y":{"type":"value","value":0.10317077885645196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7814","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7808","attributes":{"selected":{"type":"object","name":"Selection","id":"p7809","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7810"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7815","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7816"}}},"glyph":{"type":"object","name":"Scatter","id":"p7811","attributes":{"x":{"type":"value","value":46},"y":{"type":"value","value":-0.04293733420734092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7812","attributes":{"x":{"type":"value","value":46},"y":{"type":"value","value":-0.04293733420734092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7813","attributes":{"x":{"type":"value","value":46},"y":{"type":"value","value":-0.04293733420734092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7823","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7817","attributes":{"selected":{"type":"object","name":"Selection","id":"p7818","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7819"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7824","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7825"}}},"glyph":{"type":"object","name":"Scatter","id":"p7820","attributes":{"x":{"type":"value","value":47},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7821","attributes":{"x":{"type":"value","value":47},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7822","attributes":{"x":{"type":"value","value":47},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7832","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7826","attributes":{"selected":{"type":"object","name":"Selection","id":"p7827","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7828"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7833","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7834"}}},"glyph":{"type":"object","name":"Scatter","id":"p7829","attributes":{"x":{"type":"value","value":48},"y":{"type":"value","value":-0.015861908032712497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7830","attributes":{"x":{"type":"value","value":48},"y":{"type":"value","value":-0.015861908032712497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7831","attributes":{"x":{"type":"value","value":48},"y":{"type":"value","value":-0.015861908032712497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7841","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7835","attributes":{"selected":{"type":"object","name":"Selection","id":"p7836","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7837"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7842","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7843"}}},"glyph":{"type":"object","name":"Scatter","id":"p7838","attributes":{"x":{"type":"value","value":49},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7839","attributes":{"x":{"type":"value","value":49},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7840","attributes":{"x":{"type":"value","value":49},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7850","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7844","attributes":{"selected":{"type":"object","name":"Selection","id":"p7845","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7846"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7851","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7852"}}},"glyph":{"type":"object","name":"Scatter","id":"p7847","attributes":{"x":{"type":"value","value":50},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7848","attributes":{"x":{"type":"value","value":50},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7849","attributes":{"x":{"type":"value","value":50},"y":{"type":"value","value":0.14220310020838742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7859","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7853","attributes":{"selected":{"type":"object","name":"Selection","id":"p7854","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7855"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7860","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7861"}}},"glyph":{"type":"object","name":"Scatter","id":"p7856","attributes":{"x":{"type":"value","value":51},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7857","attributes":{"x":{"type":"value","value":51},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7858","attributes":{"x":{"type":"value","value":51},"y":{"type":"value","value":-0.08122267191354092},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7868","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7862","attributes":{"selected":{"type":"object","name":"Selection","id":"p7863","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7864"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7869","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7870"}}},"glyph":{"type":"object","name":"Scatter","id":"p7865","attributes":{"x":{"type":"value","value":52},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7866","attributes":{"x":{"type":"value","value":52},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7867","attributes":{"x":{"type":"value","value":52},"y":{"type":"value","value":-0.057804900371491996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7877","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7871","attributes":{"selected":{"type":"object","name":"Selection","id":"p7872","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7873"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7878","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7879"}}},"glyph":{"type":"object","name":"Scatter","id":"p7874","attributes":{"x":{"type":"value","value":53},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7875","attributes":{"x":{"type":"value","value":53},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7876","attributes":{"x":{"type":"value","value":53},"y":{"type":"value","value":-0.05555101413297333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7886","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7880","attributes":{"selected":{"type":"object","name":"Selection","id":"p7881","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7882"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7887","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7888"}}},"glyph":{"type":"object","name":"Scatter","id":"p7883","attributes":{"x":{"type":"value","value":54},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7884","attributes":{"x":{"type":"value","value":54},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7885","attributes":{"x":{"type":"value","value":54},"y":{"type":"value","value":-0.05312560547635986},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7895","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7889","attributes":{"selected":{"type":"object","name":"Selection","id":"p7890","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7891"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7896","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7897"}}},"glyph":{"type":"object","name":"Scatter","id":"p7892","attributes":{"x":{"type":"value","value":55},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7893","attributes":{"x":{"type":"value","value":55},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7894","attributes":{"x":{"type":"value","value":55},"y":{"type":"value","value":-0.03867011075442073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7904","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7898","attributes":{"selected":{"type":"object","name":"Selection","id":"p7899","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7900"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7905","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7906"}}},"glyph":{"type":"object","name":"Scatter","id":"p7901","attributes":{"x":{"type":"value","value":56},"y":{"type":"value","value":0.04480466654206808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7902","attributes":{"x":{"type":"value","value":56},"y":{"type":"value","value":0.04480466654206808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7903","attributes":{"x":{"type":"value","value":56},"y":{"type":"value","value":0.04480466654206808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7913","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7907","attributes":{"selected":{"type":"object","name":"Selection","id":"p7908","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7909"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7914","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7915"}}},"glyph":{"type":"object","name":"Scatter","id":"p7910","attributes":{"x":{"type":"value","value":57},"y":{"type":"value","value":0.3362636228283399},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7911","attributes":{"x":{"type":"value","value":57},"y":{"type":"value","value":0.3362636228283399},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7912","attributes":{"x":{"type":"value","value":57},"y":{"type":"value","value":0.3362636228283399},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7922","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7916","attributes":{"selected":{"type":"object","name":"Selection","id":"p7917","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7918"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7923","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7924"}}},"glyph":{"type":"object","name":"Scatter","id":"p7919","attributes":{"x":{"type":"value","value":58},"y":{"type":"value","value":0.20876051918494773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7920","attributes":{"x":{"type":"value","value":58},"y":{"type":"value","value":0.20876051918494773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7921","attributes":{"x":{"type":"value","value":58},"y":{"type":"value","value":0.20876051918494773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7931","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7925","attributes":{"selected":{"type":"object","name":"Selection","id":"p7926","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7927"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7932","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7933"}}},"glyph":{"type":"object","name":"Scatter","id":"p7928","attributes":{"x":{"type":"value","value":59},"y":{"type":"value","value":-0.08024797519979332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7929","attributes":{"x":{"type":"value","value":59},"y":{"type":"value","value":-0.08024797519979332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7930","attributes":{"x":{"type":"value","value":59},"y":{"type":"value","value":-0.08024797519979332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7940","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7934","attributes":{"selected":{"type":"object","name":"Selection","id":"p7935","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7936"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7941","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7942"}}},"glyph":{"type":"object","name":"Scatter","id":"p7937","attributes":{"x":{"type":"value","value":60},"y":{"type":"value","value":-0.06809669994802381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7938","attributes":{"x":{"type":"value","value":60},"y":{"type":"value","value":-0.06809669994802381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7939","attributes":{"x":{"type":"value","value":60},"y":{"type":"value","value":-0.06809669994802381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7949","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7943","attributes":{"selected":{"type":"object","name":"Selection","id":"p7944","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7945"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7950","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7951"}}},"glyph":{"type":"object","name":"Scatter","id":"p7946","attributes":{"x":{"type":"value","value":61},"y":{"type":"value","value":-0.07833800543167535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7947","attributes":{"x":{"type":"value","value":61},"y":{"type":"value","value":-0.07833800543167535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7948","attributes":{"x":{"type":"value","value":61},"y":{"type":"value","value":-0.07833800543167535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7958","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7952","attributes":{"selected":{"type":"object","name":"Selection","id":"p7953","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7954"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7959","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7960"}}},"glyph":{"type":"object","name":"Scatter","id":"p7955","attributes":{"x":{"type":"value","value":62},"y":{"type":"value","value":0.07652924602500423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7956","attributes":{"x":{"type":"value","value":62},"y":{"type":"value","value":0.07652924602500423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7957","attributes":{"x":{"type":"value","value":62},"y":{"type":"value","value":0.07652924602500423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7967","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7961","attributes":{"selected":{"type":"object","name":"Selection","id":"p7962","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7963"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7968","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7969"}}},"glyph":{"type":"object","name":"Scatter","id":"p7964","attributes":{"x":{"type":"value","value":63},"y":{"type":"value","value":0.381749673009816},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7965","attributes":{"x":{"type":"value","value":63},"y":{"type":"value","value":0.381749673009816},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7966","attributes":{"x":{"type":"value","value":63},"y":{"type":"value","value":0.381749673009816},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7976","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7970","attributes":{"selected":{"type":"object","name":"Selection","id":"p7971","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7972"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7977","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7978"}}},"glyph":{"type":"object","name":"Scatter","id":"p7973","attributes":{"x":{"type":"value","value":64},"y":{"type":"value","value":0.05611400867533813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7974","attributes":{"x":{"type":"value","value":64},"y":{"type":"value","value":0.05611400867533813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7975","attributes":{"x":{"type":"value","value":64},"y":{"type":"value","value":0.05611400867533813},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7985","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7979","attributes":{"selected":{"type":"object","name":"Selection","id":"p7980","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7981"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7986","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7987"}}},"glyph":{"type":"object","name":"Scatter","id":"p7982","attributes":{"x":{"type":"value","value":65},"y":{"type":"value","value":0.05006457769970656},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7983","attributes":{"x":{"type":"value","value":65},"y":{"type":"value","value":0.05006457769970656},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7984","attributes":{"x":{"type":"value","value":65},"y":{"type":"value","value":0.05006457769970656},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p7994","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7988","attributes":{"selected":{"type":"object","name":"Selection","id":"p7989","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7990"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p7995","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p7996"}}},"glyph":{"type":"object","name":"Scatter","id":"p7991","attributes":{"x":{"type":"value","value":66},"y":{"type":"value","value":0.1913108367275127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p7992","attributes":{"x":{"type":"value","value":66},"y":{"type":"value","value":0.1913108367275127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p7993","attributes":{"x":{"type":"value","value":66},"y":{"type":"value","value":0.1913108367275127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8003","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p7997","attributes":{"selected":{"type":"object","name":"Selection","id":"p7998","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p7999"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8004","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8005"}}},"glyph":{"type":"object","name":"Scatter","id":"p8000","attributes":{"x":{"type":"value","value":67},"y":{"type":"value","value":0.1480382390119377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8001","attributes":{"x":{"type":"value","value":67},"y":{"type":"value","value":0.1480382390119377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8002","attributes":{"x":{"type":"value","value":67},"y":{"type":"value","value":0.1480382390119377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8012","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8006","attributes":{"selected":{"type":"object","name":"Selection","id":"p8007","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8008"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8013","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8014"}}},"glyph":{"type":"object","name":"Scatter","id":"p8009","attributes":{"x":{"type":"value","value":68},"y":{"type":"value","value":0.07168982778715484},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8010","attributes":{"x":{"type":"value","value":68},"y":{"type":"value","value":0.07168982778715484},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8011","attributes":{"x":{"type":"value","value":68},"y":{"type":"value","value":0.07168982778715484},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8021","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8015","attributes":{"selected":{"type":"object","name":"Selection","id":"p8016","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8017"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8022","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8023"}}},"glyph":{"type":"object","name":"Scatter","id":"p8018","attributes":{"x":{"type":"value","value":69},"y":{"type":"value","value":0.16161156654750466},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8019","attributes":{"x":{"type":"value","value":69},"y":{"type":"value","value":0.16161156654750466},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8020","attributes":{"x":{"type":"value","value":69},"y":{"type":"value","value":0.16161156654750466},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8030","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8024","attributes":{"selected":{"type":"object","name":"Selection","id":"p8025","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8026"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8031","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8032"}}},"glyph":{"type":"object","name":"Scatter","id":"p8027","attributes":{"x":{"type":"value","value":70},"y":{"type":"value","value":0.16678622258855577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8028","attributes":{"x":{"type":"value","value":70},"y":{"type":"value","value":0.16678622258855577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8029","attributes":{"x":{"type":"value","value":70},"y":{"type":"value","value":0.16678622258855577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8039","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8033","attributes":{"selected":{"type":"object","name":"Selection","id":"p8034","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8035"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8040","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8041"}}},"glyph":{"type":"object","name":"Scatter","id":"p8036","attributes":{"x":{"type":"value","value":71},"y":{"type":"value","value":0.1954954331097713},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8037","attributes":{"x":{"type":"value","value":71},"y":{"type":"value","value":0.1954954331097713},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8038","attributes":{"x":{"type":"value","value":71},"y":{"type":"value","value":0.1954954331097713},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8048","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8042","attributes":{"selected":{"type":"object","name":"Selection","id":"p8043","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8044"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8049","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8050"}}},"glyph":{"type":"object","name":"Scatter","id":"p8045","attributes":{"x":{"type":"value","value":72},"y":{"type":"value","value":0.24068406233839038},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8046","attributes":{"x":{"type":"value","value":72},"y":{"type":"value","value":0.24068406233839038},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8047","attributes":{"x":{"type":"value","value":72},"y":{"type":"value","value":0.24068406233839038},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8057","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8051","attributes":{"selected":{"type":"object","name":"Selection","id":"p8052","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8053"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8058","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8059"}}},"glyph":{"type":"object","name":"Scatter","id":"p8054","attributes":{"x":{"type":"value","value":73},"y":{"type":"value","value":0.1455890920384356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8055","attributes":{"x":{"type":"value","value":73},"y":{"type":"value","value":0.1455890920384356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8056","attributes":{"x":{"type":"value","value":73},"y":{"type":"value","value":0.1455890920384356},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8066","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8060","attributes":{"selected":{"type":"object","name":"Selection","id":"p8061","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8062"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8067","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8068"}}},"glyph":{"type":"object","name":"Scatter","id":"p8063","attributes":{"x":{"type":"value","value":74},"y":{"type":"value","value":-0.08570215726287192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8064","attributes":{"x":{"type":"value","value":74},"y":{"type":"value","value":-0.08570215726287192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8065","attributes":{"x":{"type":"value","value":74},"y":{"type":"value","value":-0.08570215726287192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8075","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8069","attributes":{"selected":{"type":"object","name":"Selection","id":"p8070","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8071"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8076","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8077"}}},"glyph":{"type":"object","name":"Scatter","id":"p8072","attributes":{"x":{"type":"value","value":75},"y":{"type":"value","value":-0.14008155580873013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8073","attributes":{"x":{"type":"value","value":75},"y":{"type":"value","value":-0.14008155580873013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8074","attributes":{"x":{"type":"value","value":75},"y":{"type":"value","value":-0.14008155580873013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8084","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8078","attributes":{"selected":{"type":"object","name":"Selection","id":"p8079","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8080"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8085","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8086"}}},"glyph":{"type":"object","name":"Scatter","id":"p8081","attributes":{"x":{"type":"value","value":76},"y":{"type":"value","value":-0.04067058011070691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8082","attributes":{"x":{"type":"value","value":76},"y":{"type":"value","value":-0.04067058011070691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8083","attributes":{"x":{"type":"value","value":76},"y":{"type":"value","value":-0.04067058011070691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8093","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8087","attributes":{"selected":{"type":"object","name":"Selection","id":"p8088","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8089"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8094","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8095"}}},"glyph":{"type":"object","name":"Scatter","id":"p8090","attributes":{"x":{"type":"value","value":77},"y":{"type":"value","value":-0.0863923163775134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8091","attributes":{"x":{"type":"value","value":77},"y":{"type":"value","value":-0.0863923163775134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8092","attributes":{"x":{"type":"value","value":77},"y":{"type":"value","value":-0.0863923163775134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8102","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8096","attributes":{"selected":{"type":"object","name":"Selection","id":"p8097","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8098"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8103","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8104"}}},"glyph":{"type":"object","name":"Scatter","id":"p8099","attributes":{"x":{"type":"value","value":78},"y":{"type":"value","value":0.012580917215499992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8100","attributes":{"x":{"type":"value","value":78},"y":{"type":"value","value":0.012580917215499992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8101","attributes":{"x":{"type":"value","value":78},"y":{"type":"value","value":0.012580917215499992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8111","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8105","attributes":{"selected":{"type":"object","name":"Selection","id":"p8106","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8107"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8112","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8113"}}},"glyph":{"type":"object","name":"Scatter","id":"p8108","attributes":{"x":{"type":"value","value":79},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8109","attributes":{"x":{"type":"value","value":79},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8110","attributes":{"x":{"type":"value","value":79},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8120","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8114","attributes":{"selected":{"type":"object","name":"Selection","id":"p8115","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8116"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8121","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8122"}}},"glyph":{"type":"object","name":"Scatter","id":"p8117","attributes":{"x":{"type":"value","value":80},"y":{"type":"value","value":0.2795411665254143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8118","attributes":{"x":{"type":"value","value":80},"y":{"type":"value","value":0.2795411665254143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8119","attributes":{"x":{"type":"value","value":80},"y":{"type":"value","value":0.2795411665254143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8129","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8123","attributes":{"selected":{"type":"object","name":"Selection","id":"p8124","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8125"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8130","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8131"}}},"glyph":{"type":"object","name":"Scatter","id":"p8126","attributes":{"x":{"type":"value","value":81},"y":{"type":"value","value":0.1125079905658877},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8127","attributes":{"x":{"type":"value","value":81},"y":{"type":"value","value":0.1125079905658877},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8128","attributes":{"x":{"type":"value","value":81},"y":{"type":"value","value":0.1125079905658877},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8138","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8132","attributes":{"selected":{"type":"object","name":"Selection","id":"p8133","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8134"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8139","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8140"}}},"glyph":{"type":"object","name":"Scatter","id":"p8135","attributes":{"x":{"type":"value","value":82},"y":{"type":"value","value":0.036026764894889055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8136","attributes":{"x":{"type":"value","value":82},"y":{"type":"value","value":0.036026764894889055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8137","attributes":{"x":{"type":"value","value":82},"y":{"type":"value","value":0.036026764894889055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8147","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8141","attributes":{"selected":{"type":"object","name":"Selection","id":"p8142","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8143"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8148","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8149"}}},"glyph":{"type":"object","name":"Scatter","id":"p8144","attributes":{"x":{"type":"value","value":83},"y":{"type":"value","value":0.1382075759658449},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8145","attributes":{"x":{"type":"value","value":83},"y":{"type":"value","value":0.1382075759658449},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8146","attributes":{"x":{"type":"value","value":83},"y":{"type":"value","value":0.1382075759658449},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8156","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8150","attributes":{"selected":{"type":"object","name":"Selection","id":"p8151","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8152"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8157","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8158"}}},"glyph":{"type":"object","name":"Scatter","id":"p8153","attributes":{"x":{"type":"value","value":84},"y":{"type":"value","value":-0.07770288723098037},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8154","attributes":{"x":{"type":"value","value":84},"y":{"type":"value","value":-0.07770288723098037},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8155","attributes":{"x":{"type":"value","value":84},"y":{"type":"value","value":-0.07770288723098037},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8165","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8159","attributes":{"selected":{"type":"object","name":"Selection","id":"p8160","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8161"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8166","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8167"}}},"glyph":{"type":"object","name":"Scatter","id":"p8162","attributes":{"x":{"type":"value","value":85},"y":{"type":"value","value":0.1464486022833207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8163","attributes":{"x":{"type":"value","value":85},"y":{"type":"value","value":0.1464486022833207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8164","attributes":{"x":{"type":"value","value":85},"y":{"type":"value","value":0.1464486022833207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8174","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8168","attributes":{"selected":{"type":"object","name":"Selection","id":"p8169","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8170"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8175","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8176"}}},"glyph":{"type":"object","name":"Scatter","id":"p8171","attributes":{"x":{"type":"value","value":86},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8172","attributes":{"x":{"type":"value","value":86},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8173","attributes":{"x":{"type":"value","value":86},"y":{"type":"value","value":-0.1799399609739226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8183","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8177","attributes":{"selected":{"type":"object","name":"Selection","id":"p8178","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8179"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8184","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8185"}}},"glyph":{"type":"object","name":"Scatter","id":"p8180","attributes":{"x":{"type":"value","value":87},"y":{"type":"value","value":0.10709280428103628},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8181","attributes":{"x":{"type":"value","value":87},"y":{"type":"value","value":0.10709280428103628},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8182","attributes":{"x":{"type":"value","value":87},"y":{"type":"value","value":0.10709280428103628},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8192","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8186","attributes":{"selected":{"type":"object","name":"Selection","id":"p8187","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8188"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8193","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8194"}}},"glyph":{"type":"object","name":"Scatter","id":"p8189","attributes":{"x":{"type":"value","value":88},"y":{"type":"value","value":-0.09737233668614799},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8190","attributes":{"x":{"type":"value","value":88},"y":{"type":"value","value":-0.09737233668614799},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8191","attributes":{"x":{"type":"value","value":88},"y":{"type":"value","value":-0.09737233668614799},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8201","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8195","attributes":{"selected":{"type":"object","name":"Selection","id":"p8196","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8197"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8202","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8203"}}},"glyph":{"type":"object","name":"Scatter","id":"p8198","attributes":{"x":{"type":"value","value":89},"y":{"type":"value","value":-0.01222189435698692},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8199","attributes":{"x":{"type":"value","value":89},"y":{"type":"value","value":-0.01222189435698692},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8200","attributes":{"x":{"type":"value","value":89},"y":{"type":"value","value":-0.01222189435698692},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8210","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8204","attributes":{"selected":{"type":"object","name":"Selection","id":"p8205","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8206"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8211","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8212"}}},"glyph":{"type":"object","name":"Scatter","id":"p8207","attributes":{"x":{"type":"value","value":90},"y":{"type":"value","value":-0.13741906236885426},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8208","attributes":{"x":{"type":"value","value":90},"y":{"type":"value","value":-0.13741906236885426},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8209","attributes":{"x":{"type":"value","value":90},"y":{"type":"value","value":-0.13741906236885426},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8219","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8213","attributes":{"selected":{"type":"object","name":"Selection","id":"p8214","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8215"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8220","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8221"}}},"glyph":{"type":"object","name":"Scatter","id":"p8216","attributes":{"x":{"type":"value","value":91},"y":{"type":"value","value":0.18047983267381976},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8217","attributes":{"x":{"type":"value","value":91},"y":{"type":"value","value":0.18047983267381976},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8218","attributes":{"x":{"type":"value","value":91},"y":{"type":"value","value":0.18047983267381976},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8228","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8222","attributes":{"selected":{"type":"object","name":"Selection","id":"p8223","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8224"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8229","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8230"}}},"glyph":{"type":"object","name":"Scatter","id":"p8225","attributes":{"x":{"type":"value","value":92},"y":{"type":"value","value":0.17358731888152287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8226","attributes":{"x":{"type":"value","value":92},"y":{"type":"value","value":0.17358731888152287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8227","attributes":{"x":{"type":"value","value":92},"y":{"type":"value","value":0.17358731888152287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8237","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8231","attributes":{"selected":{"type":"object","name":"Selection","id":"p8232","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8233"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8238","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8239"}}},"glyph":{"type":"object","name":"Scatter","id":"p8234","attributes":{"x":{"type":"value","value":93},"y":{"type":"value","value":0.04569665310565376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8235","attributes":{"x":{"type":"value","value":93},"y":{"type":"value","value":0.04569665310565376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8236","attributes":{"x":{"type":"value","value":93},"y":{"type":"value","value":0.04569665310565376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8246","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8240","attributes":{"selected":{"type":"object","name":"Selection","id":"p8241","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8242"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8247","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8248"}}},"glyph":{"type":"object","name":"Scatter","id":"p8243","attributes":{"x":{"type":"value","value":94},"y":{"type":"value","value":0.0001837286181864148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8244","attributes":{"x":{"type":"value","value":94},"y":{"type":"value","value":0.0001837286181864148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8245","attributes":{"x":{"type":"value","value":94},"y":{"type":"value","value":0.0001837286181864148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8255","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8249","attributes":{"selected":{"type":"object","name":"Selection","id":"p8250","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8251"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8256","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8257"}}},"glyph":{"type":"object","name":"Scatter","id":"p8252","attributes":{"x":{"type":"value","value":95},"y":{"type":"value","value":-0.09716930437587497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8253","attributes":{"x":{"type":"value","value":95},"y":{"type":"value","value":-0.09716930437587497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8254","attributes":{"x":{"type":"value","value":95},"y":{"type":"value","value":-0.09716930437587497},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8264","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8258","attributes":{"selected":{"type":"object","name":"Selection","id":"p8259","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8260"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8265","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8266"}}},"glyph":{"type":"object","name":"Scatter","id":"p8261","attributes":{"x":{"type":"value","value":96},"y":{"type":"value","value":-0.027941339410802526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8262","attributes":{"x":{"type":"value","value":96},"y":{"type":"value","value":-0.027941339410802526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8263","attributes":{"x":{"type":"value","value":96},"y":{"type":"value","value":-0.027941339410802526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8273","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8267","attributes":{"selected":{"type":"object","name":"Selection","id":"p8268","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8269"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8274","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8275"}}},"glyph":{"type":"object","name":"Scatter","id":"p8270","attributes":{"x":{"type":"value","value":97},"y":{"type":"value","value":0.1358062835995477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8271","attributes":{"x":{"type":"value","value":97},"y":{"type":"value","value":0.1358062835995477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8272","attributes":{"x":{"type":"value","value":97},"y":{"type":"value","value":0.1358062835995477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8282","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8276","attributes":{"selected":{"type":"object","name":"Selection","id":"p8277","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8278"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8283","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8284"}}},"glyph":{"type":"object","name":"Scatter","id":"p8279","attributes":{"x":{"type":"value","value":98},"y":{"type":"value","value":-0.07893357470415252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8280","attributes":{"x":{"type":"value","value":98},"y":{"type":"value","value":-0.07893357470415252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8281","attributes":{"x":{"type":"value","value":98},"y":{"type":"value","value":-0.07893357470415252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8291","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8285","attributes":{"selected":{"type":"object","name":"Selection","id":"p8286","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8287"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8292","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8293"}}},"glyph":{"type":"object","name":"Scatter","id":"p8288","attributes":{"x":{"type":"value","value":99},"y":{"type":"value","value":0.21585287345662685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8289","attributes":{"x":{"type":"value","value":99},"y":{"type":"value","value":0.21585287345662685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8290","attributes":{"x":{"type":"value","value":99},"y":{"type":"value","value":0.21585287345662685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8300","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8294","attributes":{"selected":{"type":"object","name":"Selection","id":"p8295","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8296"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8301","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8302"}}},"glyph":{"type":"object","name":"Scatter","id":"p8297","attributes":{"x":{"type":"value","value":100},"y":{"type":"value","value":0.16034891405953264},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8298","attributes":{"x":{"type":"value","value":100},"y":{"type":"value","value":0.16034891405953264},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8299","attributes":{"x":{"type":"value","value":100},"y":{"type":"value","value":0.16034891405953264},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8309","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8303","attributes":{"selected":{"type":"object","name":"Selection","id":"p8304","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8305"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8310","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8311"}}},"glyph":{"type":"object","name":"Scatter","id":"p8306","attributes":{"x":{"type":"value","value":101},"y":{"type":"value","value":0.2702633560335701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8307","attributes":{"x":{"type":"value","value":101},"y":{"type":"value","value":0.2702633560335701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8308","attributes":{"x":{"type":"value","value":101},"y":{"type":"value","value":0.2702633560335701},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8318","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8312","attributes":{"selected":{"type":"object","name":"Selection","id":"p8313","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8314"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8319","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8320"}}},"glyph":{"type":"object","name":"Scatter","id":"p8315","attributes":{"x":{"type":"value","value":102},"y":{"type":"value","value":0.31260265668883686},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8316","attributes":{"x":{"type":"value","value":102},"y":{"type":"value","value":0.31260265668883686},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8317","attributes":{"x":{"type":"value","value":102},"y":{"type":"value","value":0.31260265668883686},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8327","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8321","attributes":{"selected":{"type":"object","name":"Selection","id":"p8322","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8323"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8328","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8329"}}},"glyph":{"type":"object","name":"Scatter","id":"p8324","attributes":{"x":{"type":"value","value":103},"y":{"type":"value","value":0.29186476304669917},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8325","attributes":{"x":{"type":"value","value":103},"y":{"type":"value","value":0.29186476304669917},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8326","attributes":{"x":{"type":"value","value":103},"y":{"type":"value","value":0.29186476304669917},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8336","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8330","attributes":{"selected":{"type":"object","name":"Selection","id":"p8331","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8332"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8337","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8338"}}},"glyph":{"type":"object","name":"Scatter","id":"p8333","attributes":{"x":{"type":"value","value":104},"y":{"type":"value","value":0.22344562890826594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8334","attributes":{"x":{"type":"value","value":104},"y":{"type":"value","value":0.22344562890826594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8335","attributes":{"x":{"type":"value","value":104},"y":{"type":"value","value":0.22344562890826594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8345","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8339","attributes":{"selected":{"type":"object","name":"Selection","id":"p8340","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8341"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8346","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8347"}}},"glyph":{"type":"object","name":"Scatter","id":"p8342","attributes":{"x":{"type":"value","value":105},"y":{"type":"value","value":0.28379953416220055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8343","attributes":{"x":{"type":"value","value":105},"y":{"type":"value","value":0.28379953416220055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8344","attributes":{"x":{"type":"value","value":105},"y":{"type":"value","value":0.28379953416220055},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8354","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8348","attributes":{"selected":{"type":"object","name":"Selection","id":"p8349","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8350"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8355","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8356"}}},"glyph":{"type":"object","name":"Scatter","id":"p8351","attributes":{"x":{"type":"value","value":106},"y":{"type":"value","value":0.4430870893531854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8352","attributes":{"x":{"type":"value","value":106},"y":{"type":"value","value":0.4430870893531854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8353","attributes":{"x":{"type":"value","value":106},"y":{"type":"value","value":0.4430870893531854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8363","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8357","attributes":{"selected":{"type":"object","name":"Selection","id":"p8358","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8359"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8364","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8365"}}},"glyph":{"type":"object","name":"Scatter","id":"p8360","attributes":{"x":{"type":"value","value":107},"y":{"type":"value","value":-0.0401292956894087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8361","attributes":{"x":{"type":"value","value":107},"y":{"type":"value","value":-0.0401292956894087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8362","attributes":{"x":{"type":"value","value":107},"y":{"type":"value","value":-0.0401292956894087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8372","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8366","attributes":{"selected":{"type":"object","name":"Selection","id":"p8367","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8368"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8373","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8374"}}},"glyph":{"type":"object","name":"Scatter","id":"p8369","attributes":{"x":{"type":"value","value":108},"y":{"type":"value","value":0.030930354779545335},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8370","attributes":{"x":{"type":"value","value":108},"y":{"type":"value","value":0.030930354779545335},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8371","attributes":{"x":{"type":"value","value":108},"y":{"type":"value","value":0.030930354779545335},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8381","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8375","attributes":{"selected":{"type":"object","name":"Selection","id":"p8376","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8377"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8382","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8383"}}},"glyph":{"type":"object","name":"Scatter","id":"p8378","attributes":{"x":{"type":"value","value":109},"y":{"type":"value","value":0.07378882150551902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8379","attributes":{"x":{"type":"value","value":109},"y":{"type":"value","value":0.07378882150551902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8380","attributes":{"x":{"type":"value","value":109},"y":{"type":"value","value":0.07378882150551902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8390","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8384","attributes":{"selected":{"type":"object","name":"Selection","id":"p8385","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8386"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8391","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8392"}}},"glyph":{"type":"object","name":"Scatter","id":"p8387","attributes":{"x":{"type":"value","value":110},"y":{"type":"value","value":0.0049672521965412435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8388","attributes":{"x":{"type":"value","value":110},"y":{"type":"value","value":0.0049672521965412435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8389","attributes":{"x":{"type":"value","value":110},"y":{"type":"value","value":0.0049672521965412435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8399","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8393","attributes":{"selected":{"type":"object","name":"Selection","id":"p8394","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8395"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8400","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8401"}}},"glyph":{"type":"object","name":"Scatter","id":"p8396","attributes":{"x":{"type":"value","value":111},"y":{"type":"value","value":-0.0344007004951786},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8397","attributes":{"x":{"type":"value","value":111},"y":{"type":"value","value":-0.0344007004951786},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8398","attributes":{"x":{"type":"value","value":111},"y":{"type":"value","value":-0.0344007004951786},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8408","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8402","attributes":{"selected":{"type":"object","name":"Selection","id":"p8403","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8404"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8409","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8410"}}},"glyph":{"type":"object","name":"Scatter","id":"p8405","attributes":{"x":{"type":"value","value":112},"y":{"type":"value","value":0.24597000880827366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8406","attributes":{"x":{"type":"value","value":112},"y":{"type":"value","value":0.24597000880827366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8407","attributes":{"x":{"type":"value","value":112},"y":{"type":"value","value":0.24597000880827366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8417","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8411","attributes":{"selected":{"type":"object","name":"Selection","id":"p8412","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8413"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8418","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8419"}}},"glyph":{"type":"object","name":"Scatter","id":"p8414","attributes":{"x":{"type":"value","value":113},"y":{"type":"value","value":0.15035964021169654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8415","attributes":{"x":{"type":"value","value":113},"y":{"type":"value","value":0.15035964021169654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8416","attributes":{"x":{"type":"value","value":113},"y":{"type":"value","value":0.15035964021169654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8426","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8420","attributes":{"selected":{"type":"object","name":"Selection","id":"p8421","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8422"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8427","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8428"}}},"glyph":{"type":"object","name":"Scatter","id":"p8423","attributes":{"x":{"type":"value","value":114},"y":{"type":"value","value":0.23153313814956197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8424","attributes":{"x":{"type":"value","value":114},"y":{"type":"value","value":0.23153313814956197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8425","attributes":{"x":{"type":"value","value":114},"y":{"type":"value","value":0.23153313814956197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8435","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8429","attributes":{"selected":{"type":"object","name":"Selection","id":"p8430","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8431"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8436","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8437"}}},"glyph":{"type":"object","name":"Scatter","id":"p8432","attributes":{"x":{"type":"value","value":115},"y":{"type":"value","value":0.24142108500316695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8433","attributes":{"x":{"type":"value","value":115},"y":{"type":"value","value":0.24142108500316695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8434","attributes":{"x":{"type":"value","value":115},"y":{"type":"value","value":0.24142108500316695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8444","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8438","attributes":{"selected":{"type":"object","name":"Selection","id":"p8439","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8440"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8445","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8446"}}},"glyph":{"type":"object","name":"Scatter","id":"p8441","attributes":{"x":{"type":"value","value":116},"y":{"type":"value","value":0.17244750147752022},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8442","attributes":{"x":{"type":"value","value":116},"y":{"type":"value","value":0.17244750147752022},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8443","attributes":{"x":{"type":"value","value":116},"y":{"type":"value","value":0.17244750147752022},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8453","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8447","attributes":{"selected":{"type":"object","name":"Selection","id":"p8448","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8449"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8454","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8455"}}},"glyph":{"type":"object","name":"Scatter","id":"p8450","attributes":{"x":{"type":"value","value":117},"y":{"type":"value","value":0.21736078157752012},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8451","attributes":{"x":{"type":"value","value":117},"y":{"type":"value","value":0.21736078157752012},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8452","attributes":{"x":{"type":"value","value":117},"y":{"type":"value","value":0.21736078157752012},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8462","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8456","attributes":{"selected":{"type":"object","name":"Selection","id":"p8457","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8458"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8463","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8464"}}},"glyph":{"type":"object","name":"Scatter","id":"p8459","attributes":{"x":{"type":"value","value":118},"y":{"type":"value","value":0.22801183001920994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8460","attributes":{"x":{"type":"value","value":118},"y":{"type":"value","value":0.22801183001920994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8461","attributes":{"x":{"type":"value","value":118},"y":{"type":"value","value":0.22801183001920994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8471","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8465","attributes":{"selected":{"type":"object","name":"Selection","id":"p8466","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8467"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8472","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8473"}}},"glyph":{"type":"object","name":"Scatter","id":"p8468","attributes":{"x":{"type":"value","value":119},"y":{"type":"value","value":0.07785580091420899},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8469","attributes":{"x":{"type":"value","value":119},"y":{"type":"value","value":0.07785580091420899},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8470","attributes":{"x":{"type":"value","value":119},"y":{"type":"value","value":0.07785580091420899},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8480","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8474","attributes":{"selected":{"type":"object","name":"Selection","id":"p8475","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8476"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8481","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8482"}}},"glyph":{"type":"object","name":"Scatter","id":"p8477","attributes":{"x":{"type":"value","value":120},"y":{"type":"value","value":0.10299733701389134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8478","attributes":{"x":{"type":"value","value":120},"y":{"type":"value","value":0.10299733701389134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8479","attributes":{"x":{"type":"value","value":120},"y":{"type":"value","value":0.10299733701389134},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8489","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8483","attributes":{"selected":{"type":"object","name":"Selection","id":"p8484","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8485"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8490","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8491"}}},"glyph":{"type":"object","name":"Scatter","id":"p8486","attributes":{"x":{"type":"value","value":121},"y":{"type":"value","value":0.2904405932563924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8487","attributes":{"x":{"type":"value","value":121},"y":{"type":"value","value":0.2904405932563924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8488","attributes":{"x":{"type":"value","value":121},"y":{"type":"value","value":0.2904405932563924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8498","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8492","attributes":{"selected":{"type":"object","name":"Selection","id":"p8493","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8494"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8499","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8500"}}},"glyph":{"type":"object","name":"Scatter","id":"p8495","attributes":{"x":{"type":"value","value":122},"y":{"type":"value","value":0.05269243123793773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8496","attributes":{"x":{"type":"value","value":122},"y":{"type":"value","value":0.05269243123793773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8497","attributes":{"x":{"type":"value","value":122},"y":{"type":"value","value":0.05269243123793773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8507","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8501","attributes":{"selected":{"type":"object","name":"Selection","id":"p8502","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8503"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8508","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8509"}}},"glyph":{"type":"object","name":"Scatter","id":"p8504","attributes":{"x":{"type":"value","value":123},"y":{"type":"value","value":0.20456759768103222},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8505","attributes":{"x":{"type":"value","value":123},"y":{"type":"value","value":0.20456759768103222},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8506","attributes":{"x":{"type":"value","value":123},"y":{"type":"value","value":0.20456759768103222},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8516","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8510","attributes":{"selected":{"type":"object","name":"Selection","id":"p8511","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8512"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8517","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8518"}}},"glyph":{"type":"object","name":"Scatter","id":"p8513","attributes":{"x":{"type":"value","value":124},"y":{"type":"value","value":0.10409888995691322},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8514","attributes":{"x":{"type":"value","value":124},"y":{"type":"value","value":0.10409888995691322},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8515","attributes":{"x":{"type":"value","value":124},"y":{"type":"value","value":0.10409888995691322},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8525","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8519","attributes":{"selected":{"type":"object","name":"Selection","id":"p8520","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8521"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8526","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8527"}}},"glyph":{"type":"object","name":"Scatter","id":"p8522","attributes":{"x":{"type":"value","value":125},"y":{"type":"value","value":0.19005573391446967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8523","attributes":{"x":{"type":"value","value":125},"y":{"type":"value","value":0.19005573391446967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8524","attributes":{"x":{"type":"value","value":125},"y":{"type":"value","value":0.19005573391446967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8534","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8528","attributes":{"selected":{"type":"object","name":"Selection","id":"p8529","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8530"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8535","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8536"}}},"glyph":{"type":"object","name":"Scatter","id":"p8531","attributes":{"x":{"type":"value","value":126},"y":{"type":"value","value":0.16941858954109157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8532","attributes":{"x":{"type":"value","value":126},"y":{"type":"value","value":0.16941858954109157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8533","attributes":{"x":{"type":"value","value":126},"y":{"type":"value","value":0.16941858954109157},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8543","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8537","attributes":{"selected":{"type":"object","name":"Selection","id":"p8538","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8539"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8544","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8545"}}},"glyph":{"type":"object","name":"Scatter","id":"p8540","attributes":{"x":{"type":"value","value":127},"y":{"type":"value","value":0.17258348290664355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8541","attributes":{"x":{"type":"value","value":127},"y":{"type":"value","value":0.17258348290664355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8542","attributes":{"x":{"type":"value","value":127},"y":{"type":"value","value":0.17258348290664355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8552","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8546","attributes":{"selected":{"type":"object","name":"Selection","id":"p8547","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8548"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8553","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8554"}}},"glyph":{"type":"object","name":"Scatter","id":"p8549","attributes":{"x":{"type":"value","value":128},"y":{"type":"value","value":0.2156612559267993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8550","attributes":{"x":{"type":"value","value":128},"y":{"type":"value","value":0.2156612559267993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8551","attributes":{"x":{"type":"value","value":128},"y":{"type":"value","value":0.2156612559267993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8561","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8555","attributes":{"selected":{"type":"object","name":"Selection","id":"p8556","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8557"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8562","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8563"}}},"glyph":{"type":"object","name":"Scatter","id":"p8558","attributes":{"x":{"type":"value","value":129},"y":{"type":"value","value":0.13806630397812594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8559","attributes":{"x":{"type":"value","value":129},"y":{"type":"value","value":0.13806630397812594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8560","attributes":{"x":{"type":"value","value":129},"y":{"type":"value","value":0.13806630397812594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8570","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8564","attributes":{"selected":{"type":"object","name":"Selection","id":"p8565","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8566"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8571","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8572"}}},"glyph":{"type":"object","name":"Scatter","id":"p8567","attributes":{"x":{"type":"value","value":130},"y":{"type":"value","value":0.17102413183139947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8568","attributes":{"x":{"type":"value","value":130},"y":{"type":"value","value":0.17102413183139947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8569","attributes":{"x":{"type":"value","value":130},"y":{"type":"value","value":0.17102413183139947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8579","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8573","attributes":{"selected":{"type":"object","name":"Selection","id":"p8574","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8575"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8580","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8581"}}},"glyph":{"type":"object","name":"Scatter","id":"p8576","attributes":{"x":{"type":"value","value":131},"y":{"type":"value","value":0.016176638881716873},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8577","attributes":{"x":{"type":"value","value":131},"y":{"type":"value","value":0.016176638881716873},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8578","attributes":{"x":{"type":"value","value":131},"y":{"type":"value","value":0.016176638881716873},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8588","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8582","attributes":{"selected":{"type":"object","name":"Selection","id":"p8583","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8584"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8589","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8590"}}},"glyph":{"type":"object","name":"Scatter","id":"p8585","attributes":{"x":{"type":"value","value":132},"y":{"type":"value","value":0.1450566840838087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8586","attributes":{"x":{"type":"value","value":132},"y":{"type":"value","value":0.1450566840838087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8587","attributes":{"x":{"type":"value","value":132},"y":{"type":"value","value":0.1450566840838087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8597","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8591","attributes":{"selected":{"type":"object","name":"Selection","id":"p8592","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8593"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8598","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8599"}}},"glyph":{"type":"object","name":"Scatter","id":"p8594","attributes":{"x":{"type":"value","value":133},"y":{"type":"value","value":0.21942123262390062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8595","attributes":{"x":{"type":"value","value":133},"y":{"type":"value","value":0.21942123262390062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8596","attributes":{"x":{"type":"value","value":133},"y":{"type":"value","value":0.21942123262390062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8606","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8600","attributes":{"selected":{"type":"object","name":"Selection","id":"p8601","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8602"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8607","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8608"}}},"glyph":{"type":"object","name":"Scatter","id":"p8603","attributes":{"x":{"type":"value","value":134},"y":{"type":"value","value":0.12685789239527784},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8604","attributes":{"x":{"type":"value","value":134},"y":{"type":"value","value":0.12685789239527784},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8605","attributes":{"x":{"type":"value","value":134},"y":{"type":"value","value":0.12685789239527784},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8615","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8609","attributes":{"selected":{"type":"object","name":"Selection","id":"p8610","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8611"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8616","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8617"}}},"glyph":{"type":"object","name":"Scatter","id":"p8612","attributes":{"x":{"type":"value","value":135},"y":{"type":"value","value":-0.05056452331182601},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8613","attributes":{"x":{"type":"value","value":135},"y":{"type":"value","value":-0.05056452331182601},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8614","attributes":{"x":{"type":"value","value":135},"y":{"type":"value","value":-0.05056452331182601},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8624","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8618","attributes":{"selected":{"type":"object","name":"Selection","id":"p8619","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8620"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8625","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8626"}}},"glyph":{"type":"object","name":"Scatter","id":"p8621","attributes":{"x":{"type":"value","value":136},"y":{"type":"value","value":0.1440392189370021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8622","attributes":{"x":{"type":"value","value":136},"y":{"type":"value","value":0.1440392189370021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8623","attributes":{"x":{"type":"value","value":136},"y":{"type":"value","value":0.1440392189370021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8633","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8627","attributes":{"selected":{"type":"object","name":"Selection","id":"p8628","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8629"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8634","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8635"}}},"glyph":{"type":"object","name":"Scatter","id":"p8630","attributes":{"x":{"type":"value","value":137},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8631","attributes":{"x":{"type":"value","value":137},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8632","attributes":{"x":{"type":"value","value":137},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8642","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8636","attributes":{"selected":{"type":"object","name":"Selection","id":"p8637","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8638"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8643","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8644"}}},"glyph":{"type":"object","name":"Scatter","id":"p8639","attributes":{"x":{"type":"value","value":138},"y":{"type":"value","value":0.03277976642848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8640","attributes":{"x":{"type":"value","value":138},"y":{"type":"value","value":0.03277976642848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8641","attributes":{"x":{"type":"value","value":138},"y":{"type":"value","value":0.03277976642848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8651","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8645","attributes":{"selected":{"type":"object","name":"Selection","id":"p8646","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8647"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8652","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8653"}}},"glyph":{"type":"object","name":"Scatter","id":"p8648","attributes":{"x":{"type":"value","value":139},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8649","attributes":{"x":{"type":"value","value":139},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8650","attributes":{"x":{"type":"value","value":139},"y":{"type":"value","value":0.20062840362544435},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8660","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8654","attributes":{"selected":{"type":"object","name":"Selection","id":"p8655","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8656"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8661","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8662"}}},"glyph":{"type":"object","name":"Scatter","id":"p8657","attributes":{"x":{"type":"value","value":140},"y":{"type":"value","value":0.347416890690226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8658","attributes":{"x":{"type":"value","value":140},"y":{"type":"value","value":0.347416890690226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8659","attributes":{"x":{"type":"value","value":140},"y":{"type":"value","value":0.347416890690226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8669","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8663","attributes":{"selected":{"type":"object","name":"Selection","id":"p8664","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8665"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8670","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8671"}}},"glyph":{"type":"object","name":"Scatter","id":"p8666","attributes":{"x":{"type":"value","value":141},"y":{"type":"value","value":0.2286899425054871},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8667","attributes":{"x":{"type":"value","value":141},"y":{"type":"value","value":0.2286899425054871},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8668","attributes":{"x":{"type":"value","value":141},"y":{"type":"value","value":0.2286899425054871},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8678","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8672","attributes":{"selected":{"type":"object","name":"Selection","id":"p8673","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8674"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8679","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8680"}}},"glyph":{"type":"object","name":"Scatter","id":"p8675","attributes":{"x":{"type":"value","value":142},"y":{"type":"value","value":0.23928547888744695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8676","attributes":{"x":{"type":"value","value":142},"y":{"type":"value","value":0.23928547888744695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8677","attributes":{"x":{"type":"value","value":142},"y":{"type":"value","value":0.23928547888744695},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8687","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8681","attributes":{"selected":{"type":"object","name":"Selection","id":"p8682","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8683"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8688","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8689"}}},"glyph":{"type":"object","name":"Scatter","id":"p8684","attributes":{"x":{"type":"value","value":143},"y":{"type":"value","value":0.3343561075257021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8685","attributes":{"x":{"type":"value","value":143},"y":{"type":"value","value":0.3343561075257021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8686","attributes":{"x":{"type":"value","value":143},"y":{"type":"value","value":0.3343561075257021},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8696","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8690","attributes":{"selected":{"type":"object","name":"Selection","id":"p8691","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8692"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8697","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8698"}}},"glyph":{"type":"object","name":"Scatter","id":"p8693","attributes":{"x":{"type":"value","value":144},"y":{"type":"value","value":0.4342906124510826},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8694","attributes":{"x":{"type":"value","value":144},"y":{"type":"value","value":0.4342906124510826},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8695","attributes":{"x":{"type":"value","value":144},"y":{"type":"value","value":0.4342906124510826},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8705","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8699","attributes":{"selected":{"type":"object","name":"Selection","id":"p8700","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8701"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8706","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8707"}}},"glyph":{"type":"object","name":"Scatter","id":"p8702","attributes":{"x":{"type":"value","value":145},"y":{"type":"value","value":0.2625853995054189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8703","attributes":{"x":{"type":"value","value":145},"y":{"type":"value","value":0.2625853995054189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8704","attributes":{"x":{"type":"value","value":145},"y":{"type":"value","value":0.2625853995054189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8714","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8708","attributes":{"selected":{"type":"object","name":"Selection","id":"p8709","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8710"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8715","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8716"}}},"glyph":{"type":"object","name":"Scatter","id":"p8711","attributes":{"x":{"type":"value","value":146},"y":{"type":"value","value":0.08951432368857791},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8712","attributes":{"x":{"type":"value","value":146},"y":{"type":"value","value":0.08951432368857791},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8713","attributes":{"x":{"type":"value","value":146},"y":{"type":"value","value":0.08951432368857791},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8723","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8717","attributes":{"selected":{"type":"object","name":"Selection","id":"p8718","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8719"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8724","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8725"}}},"glyph":{"type":"object","name":"Scatter","id":"p8720","attributes":{"x":{"type":"value","value":147},"y":{"type":"value","value":0.055492035702346024},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8721","attributes":{"x":{"type":"value","value":147},"y":{"type":"value","value":0.055492035702346024},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8722","attributes":{"x":{"type":"value","value":147},"y":{"type":"value","value":0.055492035702346024},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8732","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8726","attributes":{"selected":{"type":"object","name":"Selection","id":"p8727","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8728"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8733","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8734"}}},"glyph":{"type":"object","name":"Scatter","id":"p8729","attributes":{"x":{"type":"value","value":148},"y":{"type":"value","value":0.09186884861197897},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8730","attributes":{"x":{"type":"value","value":148},"y":{"type":"value","value":0.09186884861197897},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8731","attributes":{"x":{"type":"value","value":148},"y":{"type":"value","value":0.09186884861197897},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8741","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8735","attributes":{"selected":{"type":"object","name":"Selection","id":"p8736","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8737"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8742","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8743"}}},"glyph":{"type":"object","name":"Scatter","id":"p8738","attributes":{"x":{"type":"value","value":149},"y":{"type":"value","value":0.17986658834723507},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8739","attributes":{"x":{"type":"value","value":149},"y":{"type":"value","value":0.17986658834723507},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8740","attributes":{"x":{"type":"value","value":149},"y":{"type":"value","value":0.17986658834723507},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8750","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8744","attributes":{"selected":{"type":"object","name":"Selection","id":"p8745","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8746"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8751","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8752"}}},"glyph":{"type":"object","name":"Scatter","id":"p8747","attributes":{"x":{"type":"value","value":150},"y":{"type":"value","value":0.3547191408167853},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8748","attributes":{"x":{"type":"value","value":150},"y":{"type":"value","value":0.3547191408167853},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8749","attributes":{"x":{"type":"value","value":150},"y":{"type":"value","value":0.3547191408167853},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8759","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8753","attributes":{"selected":{"type":"object","name":"Selection","id":"p8754","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8755"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8760","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8761"}}},"glyph":{"type":"object","name":"Scatter","id":"p8756","attributes":{"x":{"type":"value","value":151},"y":{"type":"value","value":0.14892666920449454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8757","attributes":{"x":{"type":"value","value":151},"y":{"type":"value","value":0.14892666920449454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8758","attributes":{"x":{"type":"value","value":151},"y":{"type":"value","value":0.14892666920449454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8768","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8762","attributes":{"selected":{"type":"object","name":"Selection","id":"p8763","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8764"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8769","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8770"}}},"glyph":{"type":"object","name":"Scatter","id":"p8765","attributes":{"x":{"type":"value","value":152},"y":{"type":"value","value":0.07328642422606454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8766","attributes":{"x":{"type":"value","value":152},"y":{"type":"value","value":0.07328642422606454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8767","attributes":{"x":{"type":"value","value":152},"y":{"type":"value","value":0.07328642422606454},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8777","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8771","attributes":{"selected":{"type":"object","name":"Selection","id":"p8772","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8773"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8778","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8779"}}},"glyph":{"type":"object","name":"Scatter","id":"p8774","attributes":{"x":{"type":"value","value":153},"y":{"type":"value","value":0.15981975226302492},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8775","attributes":{"x":{"type":"value","value":153},"y":{"type":"value","value":0.15981975226302492},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8776","attributes":{"x":{"type":"value","value":153},"y":{"type":"value","value":0.15981975226302492},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8786","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8780","attributes":{"selected":{"type":"object","name":"Selection","id":"p8781","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8782"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8787","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8788"}}},"glyph":{"type":"object","name":"Scatter","id":"p8783","attributes":{"x":{"type":"value","value":154},"y":{"type":"value","value":0.19596039429587545},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8784","attributes":{"x":{"type":"value","value":154},"y":{"type":"value","value":0.19596039429587545},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8785","attributes":{"x":{"type":"value","value":154},"y":{"type":"value","value":0.19596039429587545},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8795","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8789","attributes":{"selected":{"type":"object","name":"Selection","id":"p8790","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8791"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8796","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8797"}}},"glyph":{"type":"object","name":"Scatter","id":"p8792","attributes":{"x":{"type":"value","value":155},"y":{"type":"value","value":0.32650367452687096},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8793","attributes":{"x":{"type":"value","value":155},"y":{"type":"value","value":0.32650367452687096},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8794","attributes":{"x":{"type":"value","value":155},"y":{"type":"value","value":0.32650367452687096},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8804","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8798","attributes":{"selected":{"type":"object","name":"Selection","id":"p8799","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8800"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8805","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8806"}}},"glyph":{"type":"object","name":"Scatter","id":"p8801","attributes":{"x":{"type":"value","value":156},"y":{"type":"value","value":0.16109328608114573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8802","attributes":{"x":{"type":"value","value":156},"y":{"type":"value","value":0.16109328608114573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8803","attributes":{"x":{"type":"value","value":156},"y":{"type":"value","value":0.16109328608114573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8813","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8807","attributes":{"selected":{"type":"object","name":"Selection","id":"p8808","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8809"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8814","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8815"}}},"glyph":{"type":"object","name":"Scatter","id":"p8810","attributes":{"x":{"type":"value","value":157},"y":{"type":"value","value":0.12798480847695323},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8811","attributes":{"x":{"type":"value","value":157},"y":{"type":"value","value":0.12798480847695323},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8812","attributes":{"x":{"type":"value","value":157},"y":{"type":"value","value":0.12798480847695323},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8822","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8816","attributes":{"selected":{"type":"object","name":"Selection","id":"p8817","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8818"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8823","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8824"}}},"glyph":{"type":"object","name":"Scatter","id":"p8819","attributes":{"x":{"type":"value","value":158},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8820","attributes":{"x":{"type":"value","value":158},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8821","attributes":{"x":{"type":"value","value":158},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8831","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8825","attributes":{"selected":{"type":"object","name":"Selection","id":"p8826","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8827"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8832","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8833"}}},"glyph":{"type":"object","name":"Scatter","id":"p8828","attributes":{"x":{"type":"value","value":159},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8829","attributes":{"x":{"type":"value","value":159},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8830","attributes":{"x":{"type":"value","value":159},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8840","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8834","attributes":{"selected":{"type":"object","name":"Selection","id":"p8835","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8836"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8841","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8842"}}},"glyph":{"type":"object","name":"Scatter","id":"p8837","attributes":{"x":{"type":"value","value":160},"y":{"type":"value","value":-0.0156560698791231},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8838","attributes":{"x":{"type":"value","value":160},"y":{"type":"value","value":-0.0156560698791231},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8839","attributes":{"x":{"type":"value","value":160},"y":{"type":"value","value":-0.0156560698791231},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8849","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8843","attributes":{"selected":{"type":"object","name":"Selection","id":"p8844","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8845"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8850","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8851"}}},"glyph":{"type":"object","name":"Scatter","id":"p8846","attributes":{"x":{"type":"value","value":161},"y":{"type":"value","value":0.03781397147235828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8847","attributes":{"x":{"type":"value","value":161},"y":{"type":"value","value":0.03781397147235828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8848","attributes":{"x":{"type":"value","value":161},"y":{"type":"value","value":0.03781397147235828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8858","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8852","attributes":{"selected":{"type":"object","name":"Selection","id":"p8853","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8854"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8859","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8860"}}},"glyph":{"type":"object","name":"Scatter","id":"p8855","attributes":{"x":{"type":"value","value":162},"y":{"type":"value","value":0.06304097615488144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8856","attributes":{"x":{"type":"value","value":162},"y":{"type":"value","value":0.06304097615488144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8857","attributes":{"x":{"type":"value","value":162},"y":{"type":"value","value":0.06304097615488144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8867","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8861","attributes":{"selected":{"type":"object","name":"Selection","id":"p8862","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8863"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8868","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8869"}}},"glyph":{"type":"object","name":"Scatter","id":"p8864","attributes":{"x":{"type":"value","value":163},"y":{"type":"value","value":0.04706484178279724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8865","attributes":{"x":{"type":"value","value":163},"y":{"type":"value","value":0.04706484178279724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8866","attributes":{"x":{"type":"value","value":163},"y":{"type":"value","value":0.04706484178279724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8876","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8870","attributes":{"selected":{"type":"object","name":"Selection","id":"p8871","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8872"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8877","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8878"}}},"glyph":{"type":"object","name":"Scatter","id":"p8873","attributes":{"x":{"type":"value","value":164},"y":{"type":"value","value":0.16406857366097613},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8874","attributes":{"x":{"type":"value","value":164},"y":{"type":"value","value":0.16406857366097613},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8875","attributes":{"x":{"type":"value","value":164},"y":{"type":"value","value":0.16406857366097613},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8885","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8879","attributes":{"selected":{"type":"object","name":"Selection","id":"p8880","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8881"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8886","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8887"}}},"glyph":{"type":"object","name":"Scatter","id":"p8882","attributes":{"x":{"type":"value","value":165},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8883","attributes":{"x":{"type":"value","value":165},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8884","attributes":{"x":{"type":"value","value":165},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8894","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8888","attributes":{"selected":{"type":"object","name":"Selection","id":"p8889","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8890"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8895","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8896"}}},"glyph":{"type":"object","name":"Scatter","id":"p8891","attributes":{"x":{"type":"value","value":166},"y":{"type":"value","value":-0.03518033790861482},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8892","attributes":{"x":{"type":"value","value":166},"y":{"type":"value","value":-0.03518033790861482},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8893","attributes":{"x":{"type":"value","value":166},"y":{"type":"value","value":-0.03518033790861482},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8903","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8897","attributes":{"selected":{"type":"object","name":"Selection","id":"p8898","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8899"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8904","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8905"}}},"glyph":{"type":"object","name":"Scatter","id":"p8900","attributes":{"x":{"type":"value","value":167},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8901","attributes":{"x":{"type":"value","value":167},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8902","attributes":{"x":{"type":"value","value":167},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8912","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8906","attributes":{"selected":{"type":"object","name":"Selection","id":"p8907","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8908"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8913","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8914"}}},"glyph":{"type":"object","name":"Scatter","id":"p8909","attributes":{"x":{"type":"value","value":168},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8910","attributes":{"x":{"type":"value","value":168},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8911","attributes":{"x":{"type":"value","value":168},"y":{"type":"value","value":0.04081465427564109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8921","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8915","attributes":{"selected":{"type":"object","name":"Selection","id":"p8916","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8917"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8922","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8923"}}},"glyph":{"type":"object","name":"Scatter","id":"p8918","attributes":{"x":{"type":"value","value":169},"y":{"type":"value","value":0.021824225959294733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8919","attributes":{"x":{"type":"value","value":169},"y":{"type":"value","value":0.021824225959294733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8920","attributes":{"x":{"type":"value","value":169},"y":{"type":"value","value":0.021824225959294733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8930","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8924","attributes":{"selected":{"type":"object","name":"Selection","id":"p8925","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8926"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8931","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8932"}}},"glyph":{"type":"object","name":"Scatter","id":"p8927","attributes":{"x":{"type":"value","value":170},"y":{"type":"value","value":0.09795351713487531},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8928","attributes":{"x":{"type":"value","value":170},"y":{"type":"value","value":0.09795351713487531},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8929","attributes":{"x":{"type":"value","value":170},"y":{"type":"value","value":0.09795351713487531},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8939","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8933","attributes":{"selected":{"type":"object","name":"Selection","id":"p8934","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8935"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8940","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8941"}}},"glyph":{"type":"object","name":"Scatter","id":"p8936","attributes":{"x":{"type":"value","value":171},"y":{"type":"value","value":0.04598696257269062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8937","attributes":{"x":{"type":"value","value":171},"y":{"type":"value","value":0.04598696257269062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8938","attributes":{"x":{"type":"value","value":171},"y":{"type":"value","value":0.04598696257269062},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8948","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8942","attributes":{"selected":{"type":"object","name":"Selection","id":"p8943","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8944"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8949","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8950"}}},"glyph":{"type":"object","name":"Scatter","id":"p8945","attributes":{"x":{"type":"value","value":172},"y":{"type":"value","value":0.03218513955322279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8946","attributes":{"x":{"type":"value","value":172},"y":{"type":"value","value":0.03218513955322279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8947","attributes":{"x":{"type":"value","value":172},"y":{"type":"value","value":0.03218513955322279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8957","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8951","attributes":{"selected":{"type":"object","name":"Selection","id":"p8952","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8953"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8958","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8959"}}},"glyph":{"type":"object","name":"Scatter","id":"p8954","attributes":{"x":{"type":"value","value":173},"y":{"type":"value","value":-0.14109434576159333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8955","attributes":{"x":{"type":"value","value":173},"y":{"type":"value","value":-0.14109434576159333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8956","attributes":{"x":{"type":"value","value":173},"y":{"type":"value","value":-0.14109434576159333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8966","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8960","attributes":{"selected":{"type":"object","name":"Selection","id":"p8961","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8962"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8967","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8968"}}},"glyph":{"type":"object","name":"Scatter","id":"p8963","attributes":{"x":{"type":"value","value":174},"y":{"type":"value","value":-0.07212857001399729},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8964","attributes":{"x":{"type":"value","value":174},"y":{"type":"value","value":-0.07212857001399729},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8965","attributes":{"x":{"type":"value","value":174},"y":{"type":"value","value":-0.07212857001399729},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8975","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8969","attributes":{"selected":{"type":"object","name":"Selection","id":"p8970","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8971"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8976","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8977"}}},"glyph":{"type":"object","name":"Scatter","id":"p8972","attributes":{"x":{"type":"value","value":175},"y":{"type":"value","value":0.028352181025641708},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8973","attributes":{"x":{"type":"value","value":175},"y":{"type":"value","value":0.028352181025641708},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8974","attributes":{"x":{"type":"value","value":175},"y":{"type":"value","value":0.028352181025641708},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8984","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8978","attributes":{"selected":{"type":"object","name":"Selection","id":"p8979","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8980"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8985","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8986"}}},"glyph":{"type":"object","name":"Scatter","id":"p8981","attributes":{"x":{"type":"value","value":176},"y":{"type":"value","value":0.05406955694492108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8982","attributes":{"x":{"type":"value","value":176},"y":{"type":"value","value":0.05406955694492108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8983","attributes":{"x":{"type":"value","value":176},"y":{"type":"value","value":0.05406955694492108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p8993","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8987","attributes":{"selected":{"type":"object","name":"Selection","id":"p8988","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8989"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p8994","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p8995"}}},"glyph":{"type":"object","name":"Scatter","id":"p8990","attributes":{"x":{"type":"value","value":177},"y":{"type":"value","value":0.04629525669431228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p8991","attributes":{"x":{"type":"value","value":177},"y":{"type":"value","value":0.04629525669431228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p8992","attributes":{"x":{"type":"value","value":177},"y":{"type":"value","value":0.04629525669431228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9002","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p8996","attributes":{"selected":{"type":"object","name":"Selection","id":"p8997","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p8998"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9003","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9004"}}},"glyph":{"type":"object","name":"Scatter","id":"p8999","attributes":{"x":{"type":"value","value":178},"y":{"type":"value","value":0.031134168378144294},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9000","attributes":{"x":{"type":"value","value":178},"y":{"type":"value","value":0.031134168378144294},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9001","attributes":{"x":{"type":"value","value":178},"y":{"type":"value","value":0.031134168378144294},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9011","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9005","attributes":{"selected":{"type":"object","name":"Selection","id":"p9006","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9007"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9012","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9013"}}},"glyph":{"type":"object","name":"Scatter","id":"p9008","attributes":{"x":{"type":"value","value":179},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9009","attributes":{"x":{"type":"value","value":179},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9010","attributes":{"x":{"type":"value","value":179},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9020","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9014","attributes":{"selected":{"type":"object","name":"Selection","id":"p9015","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9016"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9021","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9022"}}},"glyph":{"type":"object","name":"Scatter","id":"p9017","attributes":{"x":{"type":"value","value":180},"y":{"type":"value","value":0.0005690443593368652},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9018","attributes":{"x":{"type":"value","value":180},"y":{"type":"value","value":0.0005690443593368652},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9019","attributes":{"x":{"type":"value","value":180},"y":{"type":"value","value":0.0005690443593368652},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9029","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9023","attributes":{"selected":{"type":"object","name":"Selection","id":"p9024","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9025"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9030","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9031"}}},"glyph":{"type":"object","name":"Scatter","id":"p9026","attributes":{"x":{"type":"value","value":181},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9027","attributes":{"x":{"type":"value","value":181},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9028","attributes":{"x":{"type":"value","value":181},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9038","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9032","attributes":{"selected":{"type":"object","name":"Selection","id":"p9033","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9034"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9039","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9040"}}},"glyph":{"type":"object","name":"Scatter","id":"p9035","attributes":{"x":{"type":"value","value":182},"y":{"type":"value","value":0.07546475615016987},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9036","attributes":{"x":{"type":"value","value":182},"y":{"type":"value","value":0.07546475615016987},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9037","attributes":{"x":{"type":"value","value":182},"y":{"type":"value","value":0.07546475615016987},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9047","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9041","attributes":{"selected":{"type":"object","name":"Selection","id":"p9042","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9043"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9048","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9049"}}},"glyph":{"type":"object","name":"Scatter","id":"p9044","attributes":{"x":{"type":"value","value":183},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9045","attributes":{"x":{"type":"value","value":183},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9046","attributes":{"x":{"type":"value","value":183},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9056","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9050","attributes":{"selected":{"type":"object","name":"Selection","id":"p9051","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9052"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9057","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9058"}}},"glyph":{"type":"object","name":"Scatter","id":"p9053","attributes":{"x":{"type":"value","value":184},"y":{"type":"value","value":0.053305093537967585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9054","attributes":{"x":{"type":"value","value":184},"y":{"type":"value","value":0.053305093537967585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9055","attributes":{"x":{"type":"value","value":184},"y":{"type":"value","value":0.053305093537967585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9065","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9059","attributes":{"selected":{"type":"object","name":"Selection","id":"p9060","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9061"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9066","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9067"}}},"glyph":{"type":"object","name":"Scatter","id":"p9062","attributes":{"x":{"type":"value","value":185},"y":{"type":"value","value":0.06250374343148223},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9063","attributes":{"x":{"type":"value","value":185},"y":{"type":"value","value":0.06250374343148223},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9064","attributes":{"x":{"type":"value","value":185},"y":{"type":"value","value":0.06250374343148223},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9074","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9068","attributes":{"selected":{"type":"object","name":"Selection","id":"p9069","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9070"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9075","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9076"}}},"glyph":{"type":"object","name":"Scatter","id":"p9071","attributes":{"x":{"type":"value","value":186},"y":{"type":"value","value":0.016443950834029955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9072","attributes":{"x":{"type":"value","value":186},"y":{"type":"value","value":0.016443950834029955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9073","attributes":{"x":{"type":"value","value":186},"y":{"type":"value","value":0.016443950834029955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9083","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9077","attributes":{"selected":{"type":"object","name":"Selection","id":"p9078","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9079"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9084","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9085"}}},"glyph":{"type":"object","name":"Scatter","id":"p9080","attributes":{"x":{"type":"value","value":187},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9081","attributes":{"x":{"type":"value","value":187},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9082","attributes":{"x":{"type":"value","value":187},"y":{"type":"value","value":0.04937731382446655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9092","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9086","attributes":{"selected":{"type":"object","name":"Selection","id":"p9087","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9088"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9093","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9094"}}},"glyph":{"type":"object","name":"Scatter","id":"p9089","attributes":{"x":{"type":"value","value":188},"y":{"type":"value","value":0.02004782988036345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9090","attributes":{"x":{"type":"value","value":188},"y":{"type":"value","value":0.02004782988036345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9091","attributes":{"x":{"type":"value","value":188},"y":{"type":"value","value":0.02004782988036345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9101","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9095","attributes":{"selected":{"type":"object","name":"Selection","id":"p9096","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9097"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9102","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9103"}}},"glyph":{"type":"object","name":"Scatter","id":"p9098","attributes":{"x":{"type":"value","value":189},"y":{"type":"value","value":0.039671304824724266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9099","attributes":{"x":{"type":"value","value":189},"y":{"type":"value","value":0.039671304824724266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9100","attributes":{"x":{"type":"value","value":189},"y":{"type":"value","value":0.039671304824724266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9110","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9104","attributes":{"selected":{"type":"object","name":"Selection","id":"p9105","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9106"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9111","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9112"}}},"glyph":{"type":"object","name":"Scatter","id":"p9107","attributes":{"x":{"type":"value","value":190},"y":{"type":"value","value":-0.07960030199387542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9108","attributes":{"x":{"type":"value","value":190},"y":{"type":"value","value":-0.07960030199387542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9109","attributes":{"x":{"type":"value","value":190},"y":{"type":"value","value":-0.07960030199387542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9119","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9113","attributes":{"selected":{"type":"object","name":"Selection","id":"p9114","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9115"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9120","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9121"}}},"glyph":{"type":"object","name":"Scatter","id":"p9116","attributes":{"x":{"type":"value","value":191},"y":{"type":"value","value":0.06657293053255892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9117","attributes":{"x":{"type":"value","value":191},"y":{"type":"value","value":0.06657293053255892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9118","attributes":{"x":{"type":"value","value":191},"y":{"type":"value","value":0.06657293053255892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9128","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9122","attributes":{"selected":{"type":"object","name":"Selection","id":"p9123","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9124"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9129","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9130"}}},"glyph":{"type":"object","name":"Scatter","id":"p9125","attributes":{"x":{"type":"value","value":192},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9126","attributes":{"x":{"type":"value","value":192},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9127","attributes":{"x":{"type":"value","value":192},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9137","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9131","attributes":{"selected":{"type":"object","name":"Selection","id":"p9132","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9133"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9138","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9139"}}},"glyph":{"type":"object","name":"Scatter","id":"p9134","attributes":{"x":{"type":"value","value":193},"y":{"type":"value","value":-0.016225119956910766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9135","attributes":{"x":{"type":"value","value":193},"y":{"type":"value","value":-0.016225119956910766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9136","attributes":{"x":{"type":"value","value":193},"y":{"type":"value","value":-0.016225119956910766},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9146","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9140","attributes":{"selected":{"type":"object","name":"Selection","id":"p9141","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9142"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9147","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9148"}}},"glyph":{"type":"object","name":"Scatter","id":"p9143","attributes":{"x":{"type":"value","value":194},"y":{"type":"value","value":0.07119994692336057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9144","attributes":{"x":{"type":"value","value":194},"y":{"type":"value","value":0.07119994692336057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9145","attributes":{"x":{"type":"value","value":194},"y":{"type":"value","value":0.07119994692336057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9155","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9149","attributes":{"selected":{"type":"object","name":"Selection","id":"p9150","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9151"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9156","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9157"}}},"glyph":{"type":"object","name":"Scatter","id":"p9152","attributes":{"x":{"type":"value","value":195},"y":{"type":"value","value":-0.10021068181432244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9153","attributes":{"x":{"type":"value","value":195},"y":{"type":"value","value":-0.10021068181432244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9154","attributes":{"x":{"type":"value","value":195},"y":{"type":"value","value":-0.10021068181432244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9164","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9158","attributes":{"selected":{"type":"object","name":"Selection","id":"p9159","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9160"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9165","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9166"}}},"glyph":{"type":"object","name":"Scatter","id":"p9161","attributes":{"x":{"type":"value","value":196},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9162","attributes":{"x":{"type":"value","value":196},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9163","attributes":{"x":{"type":"value","value":196},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9173","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9167","attributes":{"selected":{"type":"object","name":"Selection","id":"p9168","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9169"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9174","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9175"}}},"glyph":{"type":"object","name":"Scatter","id":"p9170","attributes":{"x":{"type":"value","value":197},"y":{"type":"value","value":-0.041210409434118106},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9171","attributes":{"x":{"type":"value","value":197},"y":{"type":"value","value":-0.041210409434118106},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9172","attributes":{"x":{"type":"value","value":197},"y":{"type":"value","value":-0.041210409434118106},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9182","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9176","attributes":{"selected":{"type":"object","name":"Selection","id":"p9177","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9178"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9183","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9184"}}},"glyph":{"type":"object","name":"Scatter","id":"p9179","attributes":{"x":{"type":"value","value":198},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9180","attributes":{"x":{"type":"value","value":198},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9181","attributes":{"x":{"type":"value","value":198},"y":{"type":"value","value":-0.021268870821891245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9191","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9185","attributes":{"selected":{"type":"object","name":"Selection","id":"p9186","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9187"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9192","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9193"}}},"glyph":{"type":"object","name":"Scatter","id":"p9188","attributes":{"x":{"type":"value","value":199},"y":{"type":"value","value":0.06783579303178655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9189","attributes":{"x":{"type":"value","value":199},"y":{"type":"value","value":0.06783579303178655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9190","attributes":{"x":{"type":"value","value":199},"y":{"type":"value","value":0.06783579303178655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9200","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9194","attributes":{"selected":{"type":"object","name":"Selection","id":"p9195","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9196"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9201","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9202"}}},"glyph":{"type":"object","name":"Scatter","id":"p9197","attributes":{"x":{"type":"value","value":200},"y":{"type":"value","value":-0.03727025956778869},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9198","attributes":{"x":{"type":"value","value":200},"y":{"type":"value","value":-0.03727025956778869},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9199","attributes":{"x":{"type":"value","value":200},"y":{"type":"value","value":-0.03727025956778869},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9209","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9203","attributes":{"selected":{"type":"object","name":"Selection","id":"p9204","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9205"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9210","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9211"}}},"glyph":{"type":"object","name":"Scatter","id":"p9206","attributes":{"x":{"type":"value","value":201},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9207","attributes":{"x":{"type":"value","value":201},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9208","attributes":{"x":{"type":"value","value":201},"y":{"type":"value","value":0.09759139457892263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9218","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9212","attributes":{"selected":{"type":"object","name":"Selection","id":"p9213","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9214"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9219","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9220"}}},"glyph":{"type":"object","name":"Scatter","id":"p9215","attributes":{"x":{"type":"value","value":202},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9216","attributes":{"x":{"type":"value","value":202},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9217","attributes":{"x":{"type":"value","value":202},"y":{"type":"value","value":-0.06050986328897345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9227","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9221","attributes":{"selected":{"type":"object","name":"Selection","id":"p9222","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9223"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9228","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9229"}}},"glyph":{"type":"object","name":"Scatter","id":"p9224","attributes":{"x":{"type":"value","value":203},"y":{"type":"value","value":-0.08544148582781509},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9225","attributes":{"x":{"type":"value","value":203},"y":{"type":"value","value":-0.08544148582781509},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9226","attributes":{"x":{"type":"value","value":203},"y":{"type":"value","value":-0.08544148582781509},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9236","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9230","attributes":{"selected":{"type":"object","name":"Selection","id":"p9231","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9232"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9237","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9238"}}},"glyph":{"type":"object","name":"Scatter","id":"p9233","attributes":{"x":{"type":"value","value":204},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9234","attributes":{"x":{"type":"value","value":204},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9235","attributes":{"x":{"type":"value","value":204},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9245","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9239","attributes":{"selected":{"type":"object","name":"Selection","id":"p9240","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9241"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9246","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9247"}}},"glyph":{"type":"object","name":"Scatter","id":"p9242","attributes":{"x":{"type":"value","value":205},"y":{"type":"value","value":0.03104961440006993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9243","attributes":{"x":{"type":"value","value":205},"y":{"type":"value","value":0.03104961440006993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9244","attributes":{"x":{"type":"value","value":205},"y":{"type":"value","value":0.03104961440006993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9254","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9248","attributes":{"selected":{"type":"object","name":"Selection","id":"p9249","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9250"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9255","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9256"}}},"glyph":{"type":"object","name":"Scatter","id":"p9251","attributes":{"x":{"type":"value","value":206},"y":{"type":"value","value":-0.0971614636238839},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9252","attributes":{"x":{"type":"value","value":206},"y":{"type":"value","value":-0.0971614636238839},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9253","attributes":{"x":{"type":"value","value":206},"y":{"type":"value","value":-0.0971614636238839},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9263","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9257","attributes":{"selected":{"type":"object","name":"Selection","id":"p9258","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9259"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9264","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9265"}}},"glyph":{"type":"object","name":"Scatter","id":"p9260","attributes":{"x":{"type":"value","value":207},"y":{"type":"value","value":0.06898443169575286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9261","attributes":{"x":{"type":"value","value":207},"y":{"type":"value","value":0.06898443169575286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9262","attributes":{"x":{"type":"value","value":207},"y":{"type":"value","value":0.06898443169575286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9272","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9266","attributes":{"selected":{"type":"object","name":"Selection","id":"p9267","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9268"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9273","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9274"}}},"glyph":{"type":"object","name":"Scatter","id":"p9269","attributes":{"x":{"type":"value","value":208},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9270","attributes":{"x":{"type":"value","value":208},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9271","attributes":{"x":{"type":"value","value":208},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9281","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9275","attributes":{"selected":{"type":"object","name":"Selection","id":"p9276","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9277"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9282","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9283"}}},"glyph":{"type":"object","name":"Scatter","id":"p9278","attributes":{"x":{"type":"value","value":209},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9279","attributes":{"x":{"type":"value","value":209},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9280","attributes":{"x":{"type":"value","value":209},"y":{"type":"value","value":-0.006190566361413019},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9290","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9284","attributes":{"selected":{"type":"object","name":"Selection","id":"p9285","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9286"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9291","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9292"}}},"glyph":{"type":"object","name":"Scatter","id":"p9287","attributes":{"x":{"type":"value","value":210},"y":{"type":"value","value":0.03901684336283943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9288","attributes":{"x":{"type":"value","value":210},"y":{"type":"value","value":0.03901684336283943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9289","attributes":{"x":{"type":"value","value":210},"y":{"type":"value","value":0.03901684336283943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9299","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9293","attributes":{"selected":{"type":"object","name":"Selection","id":"p9294","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9295"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9300","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9301"}}},"glyph":{"type":"object","name":"Scatter","id":"p9296","attributes":{"x":{"type":"value","value":211},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9297","attributes":{"x":{"type":"value","value":211},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9298","attributes":{"x":{"type":"value","value":211},"y":{"type":"value","value":-0.06441040142100808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9308","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9302","attributes":{"selected":{"type":"object","name":"Selection","id":"p9303","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9304"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9309","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9310"}}},"glyph":{"type":"object","name":"Scatter","id":"p9305","attributes":{"x":{"type":"value","value":212},"y":{"type":"value","value":-0.06217235441199885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9306","attributes":{"x":{"type":"value","value":212},"y":{"type":"value","value":-0.06217235441199885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9307","attributes":{"x":{"type":"value","value":212},"y":{"type":"value","value":-0.06217235441199885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9317","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9311","attributes":{"selected":{"type":"object","name":"Selection","id":"p9312","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9313"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9318","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9319"}}},"glyph":{"type":"object","name":"Scatter","id":"p9314","attributes":{"x":{"type":"value","value":213},"y":{"type":"value","value":-0.0008623440394689477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9315","attributes":{"x":{"type":"value","value":213},"y":{"type":"value","value":-0.0008623440394689477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9316","attributes":{"x":{"type":"value","value":213},"y":{"type":"value","value":-0.0008623440394689477},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9326","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9320","attributes":{"selected":{"type":"object","name":"Selection","id":"p9321","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9322"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9327","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9328"}}},"glyph":{"type":"object","name":"Scatter","id":"p9323","attributes":{"x":{"type":"value","value":214},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9324","attributes":{"x":{"type":"value","value":214},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9325","attributes":{"x":{"type":"value","value":214},"y":{"type":"value","value":0.07157961295714835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9335","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9329","attributes":{"selected":{"type":"object","name":"Selection","id":"p9330","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9331"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9336","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9337"}}},"glyph":{"type":"object","name":"Scatter","id":"p9332","attributes":{"x":{"type":"value","value":215},"y":{"type":"value","value":-0.11768431969603835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9333","attributes":{"x":{"type":"value","value":215},"y":{"type":"value","value":-0.11768431969603835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9334","attributes":{"x":{"type":"value","value":215},"y":{"type":"value","value":-0.11768431969603835},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9344","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9338","attributes":{"selected":{"type":"object","name":"Selection","id":"p9339","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9340"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9345","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9346"}}},"glyph":{"type":"object","name":"Scatter","id":"p9341","attributes":{"x":{"type":"value","value":216},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9342","attributes":{"x":{"type":"value","value":216},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9343","attributes":{"x":{"type":"value","value":216},"y":{"type":"value","value":-0.07797451089748982},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9353","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9347","attributes":{"selected":{"type":"object","name":"Selection","id":"p9348","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9349"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9354","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9355"}}},"glyph":{"type":"object","name":"Scatter","id":"p9350","attributes":{"x":{"type":"value","value":217},"y":{"type":"value","value":-0.032833983936989226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9351","attributes":{"x":{"type":"value","value":217},"y":{"type":"value","value":-0.032833983936989226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9352","attributes":{"x":{"type":"value","value":217},"y":{"type":"value","value":-0.032833983936989226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9362","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9356","attributes":{"selected":{"type":"object","name":"Selection","id":"p9357","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9358"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9363","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9364"}}},"glyph":{"type":"object","name":"Scatter","id":"p9359","attributes":{"x":{"type":"value","value":218},"y":{"type":"value","value":0.07402258375751228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9360","attributes":{"x":{"type":"value","value":218},"y":{"type":"value","value":0.07402258375751228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9361","attributes":{"x":{"type":"value","value":218},"y":{"type":"value","value":0.07402258375751228},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9371","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9365","attributes":{"selected":{"type":"object","name":"Selection","id":"p9366","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9367"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9372","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9373"}}},"glyph":{"type":"object","name":"Scatter","id":"p9368","attributes":{"x":{"type":"value","value":219},"y":{"type":"value","value":-0.1107702301145991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9369","attributes":{"x":{"type":"value","value":219},"y":{"type":"value","value":-0.1107702301145991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9370","attributes":{"x":{"type":"value","value":219},"y":{"type":"value","value":-0.1107702301145991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9380","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9374","attributes":{"selected":{"type":"object","name":"Selection","id":"p9375","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9376"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9381","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9382"}}},"glyph":{"type":"object","name":"Scatter","id":"p9377","attributes":{"x":{"type":"value","value":220},"y":{"type":"value","value":-0.011632895223101727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9378","attributes":{"x":{"type":"value","value":220},"y":{"type":"value","value":-0.011632895223101727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9379","attributes":{"x":{"type":"value","value":220},"y":{"type":"value","value":-0.011632895223101727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9389","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9383","attributes":{"selected":{"type":"object","name":"Selection","id":"p9384","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9385"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9390","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9391"}}},"glyph":{"type":"object","name":"Scatter","id":"p9386","attributes":{"x":{"type":"value","value":221},"y":{"type":"value","value":0.12874308997674974},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9387","attributes":{"x":{"type":"value","value":221},"y":{"type":"value","value":0.12874308997674974},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9388","attributes":{"x":{"type":"value","value":221},"y":{"type":"value","value":0.12874308997674974},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9398","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9392","attributes":{"selected":{"type":"object","name":"Selection","id":"p9393","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9394"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9399","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9400"}}},"glyph":{"type":"object","name":"Scatter","id":"p9395","attributes":{"x":{"type":"value","value":222},"y":{"type":"value","value":0.11006717106853263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9396","attributes":{"x":{"type":"value","value":222},"y":{"type":"value","value":0.11006717106853263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9397","attributes":{"x":{"type":"value","value":222},"y":{"type":"value","value":0.11006717106853263},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9407","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9401","attributes":{"selected":{"type":"object","name":"Selection","id":"p9402","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9403"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9408","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9409"}}},"glyph":{"type":"object","name":"Scatter","id":"p9404","attributes":{"x":{"type":"value","value":223},"y":{"type":"value","value":0.2007475880825194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9405","attributes":{"x":{"type":"value","value":223},"y":{"type":"value","value":0.2007475880825194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9406","attributes":{"x":{"type":"value","value":223},"y":{"type":"value","value":0.2007475880825194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9416","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9410","attributes":{"selected":{"type":"object","name":"Selection","id":"p9411","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9412"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9417","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9418"}}},"glyph":{"type":"object","name":"Scatter","id":"p9413","attributes":{"x":{"type":"value","value":224},"y":{"type":"value","value":0.16882124733797207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9414","attributes":{"x":{"type":"value","value":224},"y":{"type":"value","value":0.16882124733797207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9415","attributes":{"x":{"type":"value","value":224},"y":{"type":"value","value":0.16882124733797207},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9425","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9419","attributes":{"selected":{"type":"object","name":"Selection","id":"p9420","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9421"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9426","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9427"}}},"glyph":{"type":"object","name":"Scatter","id":"p9422","attributes":{"x":{"type":"value","value":225},"y":{"type":"value","value":0.33601619117426723},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9423","attributes":{"x":{"type":"value","value":225},"y":{"type":"value","value":0.33601619117426723},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9424","attributes":{"x":{"type":"value","value":225},"y":{"type":"value","value":0.33601619117426723},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9434","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9428","attributes":{"selected":{"type":"object","name":"Selection","id":"p9429","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9430"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9435","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9436"}}},"glyph":{"type":"object","name":"Scatter","id":"p9431","attributes":{"x":{"type":"value","value":226},"y":{"type":"value","value":0.16019803995187362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9432","attributes":{"x":{"type":"value","value":226},"y":{"type":"value","value":0.16019803995187362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9433","attributes":{"x":{"type":"value","value":226},"y":{"type":"value","value":0.16019803995187362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9443","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9437","attributes":{"selected":{"type":"object","name":"Selection","id":"p9438","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9439"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9444","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9445"}}},"glyph":{"type":"object","name":"Scatter","id":"p9440","attributes":{"x":{"type":"value","value":227},"y":{"type":"value","value":0.14883683131309286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9441","attributes":{"x":{"type":"value","value":227},"y":{"type":"value","value":0.14883683131309286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9442","attributes":{"x":{"type":"value","value":227},"y":{"type":"value","value":0.14883683131309286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9452","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9446","attributes":{"selected":{"type":"object","name":"Selection","id":"p9447","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9448"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9453","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9454"}}},"glyph":{"type":"object","name":"Scatter","id":"p9449","attributes":{"x":{"type":"value","value":228},"y":{"type":"value","value":0.18744102165347082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9450","attributes":{"x":{"type":"value","value":228},"y":{"type":"value","value":0.18744102165347082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9451","attributes":{"x":{"type":"value","value":228},"y":{"type":"value","value":0.18744102165347082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9461","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9455","attributes":{"selected":{"type":"object","name":"Selection","id":"p9456","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9457"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9462","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9463"}}},"glyph":{"type":"object","name":"Scatter","id":"p9458","attributes":{"x":{"type":"value","value":229},"y":{"type":"value","value":0.15722515590284752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9459","attributes":{"x":{"type":"value","value":229},"y":{"type":"value","value":0.15722515590284752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9460","attributes":{"x":{"type":"value","value":229},"y":{"type":"value","value":0.15722515590284752},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9470","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9464","attributes":{"selected":{"type":"object","name":"Selection","id":"p9465","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9466"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9471","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9472"}}},"glyph":{"type":"object","name":"Scatter","id":"p9467","attributes":{"x":{"type":"value","value":230},"y":{"type":"value","value":0.1511728814003495},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9468","attributes":{"x":{"type":"value","value":230},"y":{"type":"value","value":0.1511728814003495},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9469","attributes":{"x":{"type":"value","value":230},"y":{"type":"value","value":0.1511728814003495},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9479","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9473","attributes":{"selected":{"type":"object","name":"Selection","id":"p9474","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9475"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9480","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9481"}}},"glyph":{"type":"object","name":"Scatter","id":"p9476","attributes":{"x":{"type":"value","value":231},"y":{"type":"value","value":0.20530093616917033},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9477","attributes":{"x":{"type":"value","value":231},"y":{"type":"value","value":0.20530093616917033},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9478","attributes":{"x":{"type":"value","value":231},"y":{"type":"value","value":0.20530093616917033},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9488","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9482","attributes":{"selected":{"type":"object","name":"Selection","id":"p9483","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9484"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9489","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9490"}}},"glyph":{"type":"object","name":"Scatter","id":"p9485","attributes":{"x":{"type":"value","value":232},"y":{"type":"value","value":0.18982913623424194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9486","attributes":{"x":{"type":"value","value":232},"y":{"type":"value","value":0.18982913623424194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9487","attributes":{"x":{"type":"value","value":232},"y":{"type":"value","value":0.18982913623424194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9497","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9491","attributes":{"selected":{"type":"object","name":"Selection","id":"p9492","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9493"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9498","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9499"}}},"glyph":{"type":"object","name":"Scatter","id":"p9494","attributes":{"x":{"type":"value","value":233},"y":{"type":"value","value":0.15192155994529127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9495","attributes":{"x":{"type":"value","value":233},"y":{"type":"value","value":0.15192155994529127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9496","attributes":{"x":{"type":"value","value":233},"y":{"type":"value","value":0.15192155994529127},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9506","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9500","attributes":{"selected":{"type":"object","name":"Selection","id":"p9501","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9502"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9507","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9508"}}},"glyph":{"type":"object","name":"Scatter","id":"p9503","attributes":{"x":{"type":"value","value":234},"y":{"type":"value","value":0.2431334511021741},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9504","attributes":{"x":{"type":"value","value":234},"y":{"type":"value","value":0.2431334511021741},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9505","attributes":{"x":{"type":"value","value":234},"y":{"type":"value","value":0.2431334511021741},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9515","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9509","attributes":{"selected":{"type":"object","name":"Selection","id":"p9510","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9511"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9516","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9517"}}},"glyph":{"type":"object","name":"Scatter","id":"p9512","attributes":{"x":{"type":"value","value":235},"y":{"type":"value","value":0.020744356978778376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9513","attributes":{"x":{"type":"value","value":235},"y":{"type":"value","value":0.020744356978778376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9514","attributes":{"x":{"type":"value","value":235},"y":{"type":"value","value":0.020744356978778376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9524","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9518","attributes":{"selected":{"type":"object","name":"Selection","id":"p9519","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9520"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9525","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9526"}}},"glyph":{"type":"object","name":"Scatter","id":"p9521","attributes":{"x":{"type":"value","value":236},"y":{"type":"value","value":-0.07495383261805809},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9522","attributes":{"x":{"type":"value","value":236},"y":{"type":"value","value":-0.07495383261805809},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9523","attributes":{"x":{"type":"value","value":236},"y":{"type":"value","value":-0.07495383261805809},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9533","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9527","attributes":{"selected":{"type":"object","name":"Selection","id":"p9528","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9529"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9534","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9535"}}},"glyph":{"type":"object","name":"Scatter","id":"p9530","attributes":{"x":{"type":"value","value":237},"y":{"type":"value","value":0.06870964621875662},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9531","attributes":{"x":{"type":"value","value":237},"y":{"type":"value","value":0.06870964621875662},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9532","attributes":{"x":{"type":"value","value":237},"y":{"type":"value","value":0.06870964621875662},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9542","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9536","attributes":{"selected":{"type":"object","name":"Selection","id":"p9537","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9538"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9543","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9544"}}},"glyph":{"type":"object","name":"Scatter","id":"p9539","attributes":{"x":{"type":"value","value":238},"y":{"type":"value","value":0.36921375634710896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9540","attributes":{"x":{"type":"value","value":238},"y":{"type":"value","value":0.36921375634710896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9541","attributes":{"x":{"type":"value","value":238},"y":{"type":"value","value":0.36921375634710896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9551","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9545","attributes":{"selected":{"type":"object","name":"Selection","id":"p9546","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9547"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9552","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9553"}}},"glyph":{"type":"object","name":"Scatter","id":"p9548","attributes":{"x":{"type":"value","value":239},"y":{"type":"value","value":0.2490387442154171},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9549","attributes":{"x":{"type":"value","value":239},"y":{"type":"value","value":0.2490387442154171},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9550","attributes":{"x":{"type":"value","value":239},"y":{"type":"value","value":0.2490387442154171},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9560","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9554","attributes":{"selected":{"type":"object","name":"Selection","id":"p9555","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9556"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9561","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9562"}}},"glyph":{"type":"object","name":"Scatter","id":"p9557","attributes":{"x":{"type":"value","value":240},"y":{"type":"value","value":0.23892094951136494},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9558","attributes":{"x":{"type":"value","value":240},"y":{"type":"value","value":0.23892094951136494},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9559","attributes":{"x":{"type":"value","value":240},"y":{"type":"value","value":0.23892094951136494},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9569","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9563","attributes":{"selected":{"type":"object","name":"Selection","id":"p9564","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9565"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9570","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9571"}}},"glyph":{"type":"object","name":"Scatter","id":"p9566","attributes":{"x":{"type":"value","value":241},"y":{"type":"value","value":0.14874345614149143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9567","attributes":{"x":{"type":"value","value":241},"y":{"type":"value","value":0.14874345614149143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9568","attributes":{"x":{"type":"value","value":241},"y":{"type":"value","value":0.14874345614149143},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9578","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9572","attributes":{"selected":{"type":"object","name":"Selection","id":"p9573","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9574"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9579","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9580"}}},"glyph":{"type":"object","name":"Scatter","id":"p9575","attributes":{"x":{"type":"value","value":242},"y":{"type":"value","value":-0.04820112637511961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9576","attributes":{"x":{"type":"value","value":242},"y":{"type":"value","value":-0.04820112637511961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9577","attributes":{"x":{"type":"value","value":242},"y":{"type":"value","value":-0.04820112637511961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9587","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9581","attributes":{"selected":{"type":"object","name":"Selection","id":"p9582","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9583"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9588","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9589"}}},"glyph":{"type":"object","name":"Scatter","id":"p9584","attributes":{"x":{"type":"value","value":243},"y":{"type":"value","value":0.13606318617862526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9585","attributes":{"x":{"type":"value","value":243},"y":{"type":"value","value":0.13606318617862526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9586","attributes":{"x":{"type":"value","value":243},"y":{"type":"value","value":0.13606318617862526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9596","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9590","attributes":{"selected":{"type":"object","name":"Selection","id":"p9591","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9592"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9597","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9598"}}},"glyph":{"type":"object","name":"Scatter","id":"p9593","attributes":{"x":{"type":"value","value":244},"y":{"type":"value","value":-0.05541477815379904},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9594","attributes":{"x":{"type":"value","value":244},"y":{"type":"value","value":-0.05541477815379904},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9595","attributes":{"x":{"type":"value","value":244},"y":{"type":"value","value":-0.05541477815379904},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9605","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9599","attributes":{"selected":{"type":"object","name":"Selection","id":"p9600","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9601"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9606","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9607"}}},"glyph":{"type":"object","name":"Scatter","id":"p9602","attributes":{"x":{"type":"value","value":245},"y":{"type":"value","value":0.08640556486203078},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9603","attributes":{"x":{"type":"value","value":245},"y":{"type":"value","value":0.08640556486203078},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9604","attributes":{"x":{"type":"value","value":245},"y":{"type":"value","value":0.08640556486203078},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9614","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9608","attributes":{"selected":{"type":"object","name":"Selection","id":"p9609","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9610"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9615","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9616"}}},"glyph":{"type":"object","name":"Scatter","id":"p9611","attributes":{"x":{"type":"value","value":246},"y":{"type":"value","value":-0.032947080408210025},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9612","attributes":{"x":{"type":"value","value":246},"y":{"type":"value","value":-0.032947080408210025},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9613","attributes":{"x":{"type":"value","value":246},"y":{"type":"value","value":-0.032947080408210025},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9623","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9617","attributes":{"selected":{"type":"object","name":"Selection","id":"p9618","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9619"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9624","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9625"}}},"glyph":{"type":"object","name":"Scatter","id":"p9620","attributes":{"x":{"type":"value","value":247},"y":{"type":"value","value":-0.03865336239933175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9621","attributes":{"x":{"type":"value","value":247},"y":{"type":"value","value":-0.03865336239933175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9622","attributes":{"x":{"type":"value","value":247},"y":{"type":"value","value":-0.03865336239933175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9632","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9626","attributes":{"selected":{"type":"object","name":"Selection","id":"p9627","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9628"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9633","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9634"}}},"glyph":{"type":"object","name":"Scatter","id":"p9629","attributes":{"x":{"type":"value","value":248},"y":{"type":"value","value":0.09903617501352059},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9630","attributes":{"x":{"type":"value","value":248},"y":{"type":"value","value":0.09903617501352059},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9631","attributes":{"x":{"type":"value","value":248},"y":{"type":"value","value":0.09903617501352059},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9641","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9635","attributes":{"selected":{"type":"object","name":"Selection","id":"p9636","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9637"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9642","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9643"}}},"glyph":{"type":"object","name":"Scatter","id":"p9638","attributes":{"x":{"type":"value","value":249},"y":{"type":"value","value":0.08999517641705602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9639","attributes":{"x":{"type":"value","value":249},"y":{"type":"value","value":0.08999517641705602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9640","attributes":{"x":{"type":"value","value":249},"y":{"type":"value","value":0.08999517641705602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9650","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9644","attributes":{"selected":{"type":"object","name":"Selection","id":"p9645","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9646"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9651","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9652"}}},"glyph":{"type":"object","name":"Scatter","id":"p9647","attributes":{"x":{"type":"value","value":250},"y":{"type":"value","value":0.038223982172167985},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9648","attributes":{"x":{"type":"value","value":250},"y":{"type":"value","value":0.038223982172167985},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9649","attributes":{"x":{"type":"value","value":250},"y":{"type":"value","value":0.038223982172167985},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9659","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9653","attributes":{"selected":{"type":"object","name":"Selection","id":"p9654","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9655"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9660","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9661"}}},"glyph":{"type":"object","name":"Scatter","id":"p9656","attributes":{"x":{"type":"value","value":251},"y":{"type":"value","value":0.04942607861160006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9657","attributes":{"x":{"type":"value","value":251},"y":{"type":"value","value":0.04942607861160006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9658","attributes":{"x":{"type":"value","value":251},"y":{"type":"value","value":0.04942607861160006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9668","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9662","attributes":{"selected":{"type":"object","name":"Selection","id":"p9663","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9664"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9669","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9670"}}},"glyph":{"type":"object","name":"Scatter","id":"p9665","attributes":{"x":{"type":"value","value":252},"y":{"type":"value","value":-0.047953679093285885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9666","attributes":{"x":{"type":"value","value":252},"y":{"type":"value","value":-0.047953679093285885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9667","attributes":{"x":{"type":"value","value":252},"y":{"type":"value","value":-0.047953679093285885},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9677","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9671","attributes":{"selected":{"type":"object","name":"Selection","id":"p9672","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9673"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9678","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9679"}}},"glyph":{"type":"object","name":"Scatter","id":"p9674","attributes":{"x":{"type":"value","value":253},"y":{"type":"value","value":0.12033438968098689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9675","attributes":{"x":{"type":"value","value":253},"y":{"type":"value","value":0.12033438968098689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9676","attributes":{"x":{"type":"value","value":253},"y":{"type":"value","value":0.12033438968098689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9686","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9680","attributes":{"selected":{"type":"object","name":"Selection","id":"p9681","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9682"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9687","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9688"}}},"glyph":{"type":"object","name":"Scatter","id":"p9683","attributes":{"x":{"type":"value","value":254},"y":{"type":"value","value":0.01810514171819158},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9684","attributes":{"x":{"type":"value","value":254},"y":{"type":"value","value":0.01810514171819158},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9685","attributes":{"x":{"type":"value","value":254},"y":{"type":"value","value":0.01810514171819158},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9695","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9689","attributes":{"selected":{"type":"object","name":"Selection","id":"p9690","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9691"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9696","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9697"}}},"glyph":{"type":"object","name":"Scatter","id":"p9692","attributes":{"x":{"type":"value","value":255},"y":{"type":"value","value":0.20309266669703616},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9693","attributes":{"x":{"type":"value","value":255},"y":{"type":"value","value":0.20309266669703616},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9694","attributes":{"x":{"type":"value","value":255},"y":{"type":"value","value":0.20309266669703616},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9704","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9698","attributes":{"selected":{"type":"object","name":"Selection","id":"p9699","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9700"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9705","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9706"}}},"glyph":{"type":"object","name":"Scatter","id":"p9701","attributes":{"x":{"type":"value","value":256},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9702","attributes":{"x":{"type":"value","value":256},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9703","attributes":{"x":{"type":"value","value":256},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9713","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9707","attributes":{"selected":{"type":"object","name":"Selection","id":"p9708","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9709"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9714","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9715"}}},"glyph":{"type":"object","name":"Scatter","id":"p9710","attributes":{"x":{"type":"value","value":257},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9711","attributes":{"x":{"type":"value","value":257},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9712","attributes":{"x":{"type":"value","value":257},"y":{"type":"value","value":0.040337906370417696},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9722","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9716","attributes":{"selected":{"type":"object","name":"Selection","id":"p9717","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9718"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9723","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9724"}}},"glyph":{"type":"object","name":"Scatter","id":"p9719","attributes":{"x":{"type":"value","value":258},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9720","attributes":{"x":{"type":"value","value":258},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9721","attributes":{"x":{"type":"value","value":258},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9731","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9725","attributes":{"selected":{"type":"object","name":"Selection","id":"p9726","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9727"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9732","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9733"}}},"glyph":{"type":"object","name":"Scatter","id":"p9728","attributes":{"x":{"type":"value","value":259},"y":{"type":"value","value":0.02537187425856057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9729","attributes":{"x":{"type":"value","value":259},"y":{"type":"value","value":0.02537187425856057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9730","attributes":{"x":{"type":"value","value":259},"y":{"type":"value","value":0.02537187425856057},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9740","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9734","attributes":{"selected":{"type":"object","name":"Selection","id":"p9735","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9736"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9741","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9742"}}},"glyph":{"type":"object","name":"Scatter","id":"p9737","attributes":{"x":{"type":"value","value":260},"y":{"type":"value","value":0.14315168839425424},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9738","attributes":{"x":{"type":"value","value":260},"y":{"type":"value","value":0.14315168839425424},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9739","attributes":{"x":{"type":"value","value":260},"y":{"type":"value","value":0.14315168839425424},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9749","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9743","attributes":{"selected":{"type":"object","name":"Selection","id":"p9744","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9745"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9750","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9751"}}},"glyph":{"type":"object","name":"Scatter","id":"p9746","attributes":{"x":{"type":"value","value":261},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9747","attributes":{"x":{"type":"value","value":261},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9748","attributes":{"x":{"type":"value","value":261},"y":{"type":"value","value":-0.021960954856588343},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9758","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9752","attributes":{"selected":{"type":"object","name":"Selection","id":"p9753","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9754"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9759","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9760"}}},"glyph":{"type":"object","name":"Scatter","id":"p9755","attributes":{"x":{"type":"value","value":262},"y":{"type":"value","value":-0.016842086725650247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9756","attributes":{"x":{"type":"value","value":262},"y":{"type":"value","value":-0.016842086725650247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9757","attributes":{"x":{"type":"value","value":262},"y":{"type":"value","value":-0.016842086725650247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9767","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9761","attributes":{"selected":{"type":"object","name":"Selection","id":"p9762","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9763"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9768","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9769"}}},"glyph":{"type":"object","name":"Scatter","id":"p9764","attributes":{"x":{"type":"value","value":263},"y":{"type":"value","value":0.005341977568398133},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9765","attributes":{"x":{"type":"value","value":263},"y":{"type":"value","value":0.005341977568398133},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9766","attributes":{"x":{"type":"value","value":263},"y":{"type":"value","value":0.005341977568398133},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9776","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9770","attributes":{"selected":{"type":"object","name":"Selection","id":"p9771","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9772"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9777","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9778"}}},"glyph":{"type":"object","name":"Scatter","id":"p9773","attributes":{"x":{"type":"value","value":264},"y":{"type":"value","value":-0.027101966817443774},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9774","attributes":{"x":{"type":"value","value":264},"y":{"type":"value","value":-0.027101966817443774},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9775","attributes":{"x":{"type":"value","value":264},"y":{"type":"value","value":-0.027101966817443774},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9785","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9779","attributes":{"selected":{"type":"object","name":"Selection","id":"p9780","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9781"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9786","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9787"}}},"glyph":{"type":"object","name":"Scatter","id":"p9782","attributes":{"x":{"type":"value","value":265},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9783","attributes":{"x":{"type":"value","value":265},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9784","attributes":{"x":{"type":"value","value":265},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9794","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9788","attributes":{"selected":{"type":"object","name":"Selection","id":"p9789","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9790"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9795","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9796"}}},"glyph":{"type":"object","name":"Scatter","id":"p9791","attributes":{"x":{"type":"value","value":266},"y":{"type":"value","value":-0.14718041263073608},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9792","attributes":{"x":{"type":"value","value":266},"y":{"type":"value","value":-0.14718041263073608},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9793","attributes":{"x":{"type":"value","value":266},"y":{"type":"value","value":-0.14718041263073608},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9803","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9797","attributes":{"selected":{"type":"object","name":"Selection","id":"p9798","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9799"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9804","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9805"}}},"glyph":{"type":"object","name":"Scatter","id":"p9800","attributes":{"x":{"type":"value","value":267},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9801","attributes":{"x":{"type":"value","value":267},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9802","attributes":{"x":{"type":"value","value":267},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9812","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9806","attributes":{"selected":{"type":"object","name":"Selection","id":"p9807","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9808"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9813","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9814"}}},"glyph":{"type":"object","name":"Scatter","id":"p9809","attributes":{"x":{"type":"value","value":268},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9810","attributes":{"x":{"type":"value","value":268},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9811","attributes":{"x":{"type":"value","value":268},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9821","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9815","attributes":{"selected":{"type":"object","name":"Selection","id":"p9816","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9817"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9822","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9823"}}},"glyph":{"type":"object","name":"Scatter","id":"p9818","attributes":{"x":{"type":"value","value":269},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9819","attributes":{"x":{"type":"value","value":269},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9820","attributes":{"x":{"type":"value","value":269},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9830","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9824","attributes":{"selected":{"type":"object","name":"Selection","id":"p9825","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9826"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9831","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9832"}}},"glyph":{"type":"object","name":"Scatter","id":"p9827","attributes":{"x":{"type":"value","value":270},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9828","attributes":{"x":{"type":"value","value":270},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9829","attributes":{"x":{"type":"value","value":270},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9839","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9833","attributes":{"selected":{"type":"object","name":"Selection","id":"p9834","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9835"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9840","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9841"}}},"glyph":{"type":"object","name":"Scatter","id":"p9836","attributes":{"x":{"type":"value","value":271},"y":{"type":"value","value":0.05088961695824046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9837","attributes":{"x":{"type":"value","value":271},"y":{"type":"value","value":0.05088961695824046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9838","attributes":{"x":{"type":"value","value":271},"y":{"type":"value","value":0.05088961695824046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9848","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9842","attributes":{"selected":{"type":"object","name":"Selection","id":"p9843","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9844"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9849","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9850"}}},"glyph":{"type":"object","name":"Scatter","id":"p9845","attributes":{"x":{"type":"value","value":272},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9846","attributes":{"x":{"type":"value","value":272},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9847","attributes":{"x":{"type":"value","value":272},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9857","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9851","attributes":{"selected":{"type":"object","name":"Selection","id":"p9852","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9853"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9858","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9859"}}},"glyph":{"type":"object","name":"Scatter","id":"p9854","attributes":{"x":{"type":"value","value":273},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9855","attributes":{"x":{"type":"value","value":273},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9856","attributes":{"x":{"type":"value","value":273},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9866","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9860","attributes":{"selected":{"type":"object","name":"Selection","id":"p9861","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9862"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9867","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9868"}}},"glyph":{"type":"object","name":"Scatter","id":"p9863","attributes":{"x":{"type":"value","value":274},"y":{"type":"value","value":-0.052976637381591085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9864","attributes":{"x":{"type":"value","value":274},"y":{"type":"value","value":-0.052976637381591085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9865","attributes":{"x":{"type":"value","value":274},"y":{"type":"value","value":-0.052976637381591085},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9875","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9869","attributes":{"selected":{"type":"object","name":"Selection","id":"p9870","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9871"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9876","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9877"}}},"glyph":{"type":"object","name":"Scatter","id":"p9872","attributes":{"x":{"type":"value","value":275},"y":{"type":"value","value":0.05315799550625384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9873","attributes":{"x":{"type":"value","value":275},"y":{"type":"value","value":0.05315799550625384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9874","attributes":{"x":{"type":"value","value":275},"y":{"type":"value","value":0.05315799550625384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9884","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9878","attributes":{"selected":{"type":"object","name":"Selection","id":"p9879","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9880"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9885","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9886"}}},"glyph":{"type":"object","name":"Scatter","id":"p9881","attributes":{"x":{"type":"value","value":276},"y":{"type":"value","value":0.12146917922257126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9882","attributes":{"x":{"type":"value","value":276},"y":{"type":"value","value":0.12146917922257126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9883","attributes":{"x":{"type":"value","value":276},"y":{"type":"value","value":0.12146917922257126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9893","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9887","attributes":{"selected":{"type":"object","name":"Selection","id":"p9888","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9889"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9894","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9895"}}},"glyph":{"type":"object","name":"Scatter","id":"p9890","attributes":{"x":{"type":"value","value":277},"y":{"type":"value","value":0.15654495538542626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9891","attributes":{"x":{"type":"value","value":277},"y":{"type":"value","value":0.15654495538542626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9892","attributes":{"x":{"type":"value","value":277},"y":{"type":"value","value":0.15654495538542626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9902","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9896","attributes":{"selected":{"type":"object","name":"Selection","id":"p9897","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9898"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9903","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9904"}}},"glyph":{"type":"object","name":"Scatter","id":"p9899","attributes":{"x":{"type":"value","value":278},"y":{"type":"value","value":-0.02223347535173591},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9900","attributes":{"x":{"type":"value","value":278},"y":{"type":"value","value":-0.02223347535173591},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9901","attributes":{"x":{"type":"value","value":278},"y":{"type":"value","value":-0.02223347535173591},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9911","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9905","attributes":{"selected":{"type":"object","name":"Selection","id":"p9906","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9907"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9912","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9913"}}},"glyph":{"type":"object","name":"Scatter","id":"p9908","attributes":{"x":{"type":"value","value":279},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9909","attributes":{"x":{"type":"value","value":279},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9910","attributes":{"x":{"type":"value","value":279},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9920","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9914","attributes":{"selected":{"type":"object","name":"Selection","id":"p9915","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9916"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9921","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9922"}}},"glyph":{"type":"object","name":"Scatter","id":"p9917","attributes":{"x":{"type":"value","value":280},"y":{"type":"value","value":0.002315640774709926},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9918","attributes":{"x":{"type":"value","value":280},"y":{"type":"value","value":0.002315640774709926},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9919","attributes":{"x":{"type":"value","value":280},"y":{"type":"value","value":0.002315640774709926},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9929","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9923","attributes":{"selected":{"type":"object","name":"Selection","id":"p9924","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9925"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9930","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9931"}}},"glyph":{"type":"object","name":"Scatter","id":"p9926","attributes":{"x":{"type":"value","value":281},"y":{"type":"value","value":-0.047217133629909556},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9927","attributes":{"x":{"type":"value","value":281},"y":{"type":"value","value":-0.047217133629909556},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9928","attributes":{"x":{"type":"value","value":281},"y":{"type":"value","value":-0.047217133629909556},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9938","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9932","attributes":{"selected":{"type":"object","name":"Selection","id":"p9933","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9934"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9939","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9940"}}},"glyph":{"type":"object","name":"Scatter","id":"p9935","attributes":{"x":{"type":"value","value":282},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9936","attributes":{"x":{"type":"value","value":282},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9937","attributes":{"x":{"type":"value","value":282},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9947","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9941","attributes":{"selected":{"type":"object","name":"Selection","id":"p9942","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9943"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9948","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9949"}}},"glyph":{"type":"object","name":"Scatter","id":"p9944","attributes":{"x":{"type":"value","value":283},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9945","attributes":{"x":{"type":"value","value":283},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9946","attributes":{"x":{"type":"value","value":283},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9956","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9950","attributes":{"selected":{"type":"object","name":"Selection","id":"p9951","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9952"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9957","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9958"}}},"glyph":{"type":"object","name":"Scatter","id":"p9953","attributes":{"x":{"type":"value","value":284},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9954","attributes":{"x":{"type":"value","value":284},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9955","attributes":{"x":{"type":"value","value":284},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9965","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9959","attributes":{"selected":{"type":"object","name":"Selection","id":"p9960","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9961"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9966","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9967"}}},"glyph":{"type":"object","name":"Scatter","id":"p9962","attributes":{"x":{"type":"value","value":285},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9963","attributes":{"x":{"type":"value","value":285},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9964","attributes":{"x":{"type":"value","value":285},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9974","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9968","attributes":{"selected":{"type":"object","name":"Selection","id":"p9969","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9970"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9975","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9976"}}},"glyph":{"type":"object","name":"Scatter","id":"p9971","attributes":{"x":{"type":"value","value":286},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9972","attributes":{"x":{"type":"value","value":286},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9973","attributes":{"x":{"type":"value","value":286},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9983","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9977","attributes":{"selected":{"type":"object","name":"Selection","id":"p9978","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9979"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9984","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9985"}}},"glyph":{"type":"object","name":"Scatter","id":"p9980","attributes":{"x":{"type":"value","value":287},"y":{"type":"value","value":0.073677407877882},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9981","attributes":{"x":{"type":"value","value":287},"y":{"type":"value","value":0.073677407877882},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9982","attributes":{"x":{"type":"value","value":287},"y":{"type":"value","value":0.073677407877882},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p9992","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9986","attributes":{"selected":{"type":"object","name":"Selection","id":"p9987","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9988"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p9993","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p9994"}}},"glyph":{"type":"object","name":"Scatter","id":"p9989","attributes":{"x":{"type":"value","value":288},"y":{"type":"value","value":-0.039401306199882934},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9990","attributes":{"x":{"type":"value","value":288},"y":{"type":"value","value":-0.039401306199882934},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p9991","attributes":{"x":{"type":"value","value":288},"y":{"type":"value","value":-0.039401306199882934},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10001","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p9995","attributes":{"selected":{"type":"object","name":"Selection","id":"p9996","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p9997"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10002","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10003"}}},"glyph":{"type":"object","name":"Scatter","id":"p9998","attributes":{"x":{"type":"value","value":289},"y":{"type":"value","value":-0.022951784701154238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p9999","attributes":{"x":{"type":"value","value":289},"y":{"type":"value","value":-0.022951784701154238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10000","attributes":{"x":{"type":"value","value":289},"y":{"type":"value","value":-0.022951784701154238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10010","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10004","attributes":{"selected":{"type":"object","name":"Selection","id":"p10005","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10006"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10011","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10012"}}},"glyph":{"type":"object","name":"Scatter","id":"p10007","attributes":{"x":{"type":"value","value":290},"y":{"type":"value","value":-0.012270005093609631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10008","attributes":{"x":{"type":"value","value":290},"y":{"type":"value","value":-0.012270005093609631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10009","attributes":{"x":{"type":"value","value":290},"y":{"type":"value","value":-0.012270005093609631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10019","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10013","attributes":{"selected":{"type":"object","name":"Selection","id":"p10014","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10015"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10020","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10021"}}},"glyph":{"type":"object","name":"Scatter","id":"p10016","attributes":{"x":{"type":"value","value":291},"y":{"type":"value","value":-0.06206045410656375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10017","attributes":{"x":{"type":"value","value":291},"y":{"type":"value","value":-0.06206045410656375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10018","attributes":{"x":{"type":"value","value":291},"y":{"type":"value","value":-0.06206045410656375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10028","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10022","attributes":{"selected":{"type":"object","name":"Selection","id":"p10023","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10024"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10029","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10030"}}},"glyph":{"type":"object","name":"Scatter","id":"p10025","attributes":{"x":{"type":"value","value":292},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10026","attributes":{"x":{"type":"value","value":292},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10027","attributes":{"x":{"type":"value","value":292},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10037","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10031","attributes":{"selected":{"type":"object","name":"Selection","id":"p10032","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10033"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10038","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10039"}}},"glyph":{"type":"object","name":"Scatter","id":"p10034","attributes":{"x":{"type":"value","value":293},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10035","attributes":{"x":{"type":"value","value":293},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10036","attributes":{"x":{"type":"value","value":293},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10046","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10040","attributes":{"selected":{"type":"object","name":"Selection","id":"p10041","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10042"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10047","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10048"}}},"glyph":{"type":"object","name":"Scatter","id":"p10043","attributes":{"x":{"type":"value","value":294},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10044","attributes":{"x":{"type":"value","value":294},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10045","attributes":{"x":{"type":"value","value":294},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10055","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10049","attributes":{"selected":{"type":"object","name":"Selection","id":"p10050","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10051"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10056","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10057"}}},"glyph":{"type":"object","name":"Scatter","id":"p10052","attributes":{"x":{"type":"value","value":295},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10053","attributes":{"x":{"type":"value","value":295},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10054","attributes":{"x":{"type":"value","value":295},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10064","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10058","attributes":{"selected":{"type":"object","name":"Selection","id":"p10059","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10060"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10065","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10066"}}},"glyph":{"type":"object","name":"Scatter","id":"p10061","attributes":{"x":{"type":"value","value":296},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10062","attributes":{"x":{"type":"value","value":296},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10063","attributes":{"x":{"type":"value","value":296},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10073","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10067","attributes":{"selected":{"type":"object","name":"Selection","id":"p10068","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10069"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10074","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10075"}}},"glyph":{"type":"object","name":"Scatter","id":"p10070","attributes":{"x":{"type":"value","value":297},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10071","attributes":{"x":{"type":"value","value":297},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10072","attributes":{"x":{"type":"value","value":297},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10082","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10076","attributes":{"selected":{"type":"object","name":"Selection","id":"p10077","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10078"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10083","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10084"}}},"glyph":{"type":"object","name":"Scatter","id":"p10079","attributes":{"x":{"type":"value","value":298},"y":{"type":"value","value":0.013737815592964445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10080","attributes":{"x":{"type":"value","value":298},"y":{"type":"value","value":0.013737815592964445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10081","attributes":{"x":{"type":"value","value":298},"y":{"type":"value","value":0.013737815592964445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10091","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10085","attributes":{"selected":{"type":"object","name":"Selection","id":"p10086","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10087"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10092","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10093"}}},"glyph":{"type":"object","name":"Scatter","id":"p10088","attributes":{"x":{"type":"value","value":299},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10089","attributes":{"x":{"type":"value","value":299},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10090","attributes":{"x":{"type":"value","value":299},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10100","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10094","attributes":{"selected":{"type":"object","name":"Selection","id":"p10095","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10096"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10101","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10102"}}},"glyph":{"type":"object","name":"Scatter","id":"p10097","attributes":{"x":{"type":"value","value":300},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10098","attributes":{"x":{"type":"value","value":300},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10099","attributes":{"x":{"type":"value","value":300},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10109","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10103","attributes":{"selected":{"type":"object","name":"Selection","id":"p10104","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10105"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10110","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10111"}}},"glyph":{"type":"object","name":"Scatter","id":"p10106","attributes":{"x":{"type":"value","value":301},"y":{"type":"value","value":0.07153095737249651},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10107","attributes":{"x":{"type":"value","value":301},"y":{"type":"value","value":0.07153095737249651},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10108","attributes":{"x":{"type":"value","value":301},"y":{"type":"value","value":0.07153095737249651},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10118","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10112","attributes":{"selected":{"type":"object","name":"Selection","id":"p10113","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10114"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10119","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10120"}}},"glyph":{"type":"object","name":"Scatter","id":"p10115","attributes":{"x":{"type":"value","value":302},"y":{"type":"value","value":0.014410587179685267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10116","attributes":{"x":{"type":"value","value":302},"y":{"type":"value","value":0.014410587179685267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10117","attributes":{"x":{"type":"value","value":302},"y":{"type":"value","value":0.014410587179685267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10127","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10121","attributes":{"selected":{"type":"object","name":"Selection","id":"p10122","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10123"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10128","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10129"}}},"glyph":{"type":"object","name":"Scatter","id":"p10124","attributes":{"x":{"type":"value","value":303},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10125","attributes":{"x":{"type":"value","value":303},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10126","attributes":{"x":{"type":"value","value":303},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10136","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10130","attributes":{"selected":{"type":"object","name":"Selection","id":"p10131","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10132"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10137","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10138"}}},"glyph":{"type":"object","name":"Scatter","id":"p10133","attributes":{"x":{"type":"value","value":304},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10134","attributes":{"x":{"type":"value","value":304},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10135","attributes":{"x":{"type":"value","value":304},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10145","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10139","attributes":{"selected":{"type":"object","name":"Selection","id":"p10140","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10141"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10146","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10147"}}},"glyph":{"type":"object","name":"Scatter","id":"p10142","attributes":{"x":{"type":"value","value":305},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10143","attributes":{"x":{"type":"value","value":305},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10144","attributes":{"x":{"type":"value","value":305},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10154","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10148","attributes":{"selected":{"type":"object","name":"Selection","id":"p10149","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10150"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10155","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10156"}}},"glyph":{"type":"object","name":"Scatter","id":"p10151","attributes":{"x":{"type":"value","value":306},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10152","attributes":{"x":{"type":"value","value":306},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10153","attributes":{"x":{"type":"value","value":306},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10163","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10157","attributes":{"selected":{"type":"object","name":"Selection","id":"p10158","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10159"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10164","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10165"}}},"glyph":{"type":"object","name":"Scatter","id":"p10160","attributes":{"x":{"type":"value","value":307},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10161","attributes":{"x":{"type":"value","value":307},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10162","attributes":{"x":{"type":"value","value":307},"y":{"type":"value","value":-0.054388204721030176},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10172","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10166","attributes":{"selected":{"type":"object","name":"Selection","id":"p10167","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10168"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10173","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10174"}}},"glyph":{"type":"object","name":"Scatter","id":"p10169","attributes":{"x":{"type":"value","value":308},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10170","attributes":{"x":{"type":"value","value":308},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10171","attributes":{"x":{"type":"value","value":308},"y":{"type":"value","value":-0.11444828535381496},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10181","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10175","attributes":{"selected":{"type":"object","name":"Selection","id":"p10176","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10177"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10182","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10183"}}},"glyph":{"type":"object","name":"Scatter","id":"p10178","attributes":{"x":{"type":"value","value":309},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10179","attributes":{"x":{"type":"value","value":309},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10180","attributes":{"x":{"type":"value","value":309},"y":{"type":"value","value":0.039887911563218255},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10190","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10184","attributes":{"selected":{"type":"object","name":"Selection","id":"p10185","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10186"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10191","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10192"}}},"glyph":{"type":"object","name":"Scatter","id":"p10187","attributes":{"x":{"type":"value","value":310},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10188","attributes":{"x":{"type":"value","value":310},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10189","attributes":{"x":{"type":"value","value":310},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10199","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10193","attributes":{"selected":{"type":"object","name":"Selection","id":"p10194","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10195"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10200","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10201"}}},"glyph":{"type":"object","name":"Scatter","id":"p10196","attributes":{"x":{"type":"value","value":311},"y":{"type":"value","value":0.07209249955868618},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10197","attributes":{"x":{"type":"value","value":311},"y":{"type":"value","value":0.07209249955868618},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10198","attributes":{"x":{"type":"value","value":311},"y":{"type":"value","value":0.07209249955868618},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10208","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10202","attributes":{"selected":{"type":"object","name":"Selection","id":"p10203","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10204"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10209","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10210"}}},"glyph":{"type":"object","name":"Scatter","id":"p10205","attributes":{"x":{"type":"value","value":312},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10206","attributes":{"x":{"type":"value","value":312},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10207","attributes":{"x":{"type":"value","value":312},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10217","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10211","attributes":{"selected":{"type":"object","name":"Selection","id":"p10212","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10213"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10218","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10219"}}},"glyph":{"type":"object","name":"Scatter","id":"p10214","attributes":{"x":{"type":"value","value":313},"y":{"type":"value","value":-0.021520984539385793},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10215","attributes":{"x":{"type":"value","value":313},"y":{"type":"value","value":-0.021520984539385793},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10216","attributes":{"x":{"type":"value","value":313},"y":{"type":"value","value":-0.021520984539385793},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10226","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10220","attributes":{"selected":{"type":"object","name":"Selection","id":"p10221","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10222"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10227","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10228"}}},"glyph":{"type":"object","name":"Scatter","id":"p10223","attributes":{"x":{"type":"value","value":314},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10224","attributes":{"x":{"type":"value","value":314},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10225","attributes":{"x":{"type":"value","value":314},"y":{"type":"value","value":-0.05444871584946103},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10235","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10229","attributes":{"selected":{"type":"object","name":"Selection","id":"p10230","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10231"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10236","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10237"}}},"glyph":{"type":"object","name":"Scatter","id":"p10232","attributes":{"x":{"type":"value","value":315},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10233","attributes":{"x":{"type":"value","value":315},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10234","attributes":{"x":{"type":"value","value":315},"y":{"type":"value","value":-0.013431881327481703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10244","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10238","attributes":{"selected":{"type":"object","name":"Selection","id":"p10239","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10240"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10245","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10246"}}},"glyph":{"type":"object","name":"Scatter","id":"p10241","attributes":{"x":{"type":"value","value":316},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10242","attributes":{"x":{"type":"value","value":316},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10243","attributes":{"x":{"type":"value","value":316},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10253","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10247","attributes":{"selected":{"type":"object","name":"Selection","id":"p10248","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10249"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10254","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10255"}}},"glyph":{"type":"object","name":"Scatter","id":"p10250","attributes":{"x":{"type":"value","value":317},"y":{"type":"value","value":-0.023442020758626978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10251","attributes":{"x":{"type":"value","value":317},"y":{"type":"value","value":-0.023442020758626978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10252","attributes":{"x":{"type":"value","value":317},"y":{"type":"value","value":-0.023442020758626978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10262","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10256","attributes":{"selected":{"type":"object","name":"Selection","id":"p10257","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10258"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10263","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10264"}}},"glyph":{"type":"object","name":"Scatter","id":"p10259","attributes":{"x":{"type":"value","value":318},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10260","attributes":{"x":{"type":"value","value":318},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10261","attributes":{"x":{"type":"value","value":318},"y":{"type":"value","value":-0.03872672595927721},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10271","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10265","attributes":{"selected":{"type":"object","name":"Selection","id":"p10266","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10267"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10272","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10273"}}},"glyph":{"type":"object","name":"Scatter","id":"p10268","attributes":{"x":{"type":"value","value":319},"y":{"type":"value","value":-0.028360059868286578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10269","attributes":{"x":{"type":"value","value":319},"y":{"type":"value","value":-0.028360059868286578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10270","attributes":{"x":{"type":"value","value":319},"y":{"type":"value","value":-0.028360059868286578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10280","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10274","attributes":{"selected":{"type":"object","name":"Selection","id":"p10275","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10276"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10281","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10282"}}},"glyph":{"type":"object","name":"Scatter","id":"p10277","attributes":{"x":{"type":"value","value":320},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10278","attributes":{"x":{"type":"value","value":320},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10279","attributes":{"x":{"type":"value","value":320},"y":{"type":"value","value":-0.01290455217350347},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10289","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10283","attributes":{"selected":{"type":"object","name":"Selection","id":"p10284","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10285"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10290","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10291"}}},"glyph":{"type":"object","name":"Scatter","id":"p10286","attributes":{"x":{"type":"value","value":321},"y":{"type":"value","value":0.012890272835351324},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10287","attributes":{"x":{"type":"value","value":321},"y":{"type":"value","value":0.012890272835351324},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10288","attributes":{"x":{"type":"value","value":321},"y":{"type":"value","value":0.012890272835351324},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10298","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10292","attributes":{"selected":{"type":"object","name":"Selection","id":"p10293","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10294"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10299","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10300"}}},"glyph":{"type":"object","name":"Scatter","id":"p10295","attributes":{"x":{"type":"value","value":322},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10296","attributes":{"x":{"type":"value","value":322},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10297","attributes":{"x":{"type":"value","value":322},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10307","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10301","attributes":{"selected":{"type":"object","name":"Selection","id":"p10302","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10303"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10308","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10309"}}},"glyph":{"type":"object","name":"Scatter","id":"p10304","attributes":{"x":{"type":"value","value":323},"y":{"type":"value","value":0.07466560960657992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10305","attributes":{"x":{"type":"value","value":323},"y":{"type":"value","value":0.07466560960657992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10306","attributes":{"x":{"type":"value","value":323},"y":{"type":"value","value":0.07466560960657992},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10316","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10310","attributes":{"selected":{"type":"object","name":"Selection","id":"p10311","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10312"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10317","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10318"}}},"glyph":{"type":"object","name":"Scatter","id":"p10313","attributes":{"x":{"type":"value","value":324},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10314","attributes":{"x":{"type":"value","value":324},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10315","attributes":{"x":{"type":"value","value":324},"y":{"type":"value","value":-0.04791129588615912},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10325","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10319","attributes":{"selected":{"type":"object","name":"Selection","id":"p10320","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10321"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10326","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10327"}}},"glyph":{"type":"object","name":"Scatter","id":"p10322","attributes":{"x":{"type":"value","value":325},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10323","attributes":{"x":{"type":"value","value":325},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10324","attributes":{"x":{"type":"value","value":325},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10334","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10328","attributes":{"selected":{"type":"object","name":"Selection","id":"p10329","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10330"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10335","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10336"}}},"glyph":{"type":"object","name":"Scatter","id":"p10331","attributes":{"x":{"type":"value","value":326},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10332","attributes":{"x":{"type":"value","value":326},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10333","attributes":{"x":{"type":"value","value":326},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10343","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10337","attributes":{"selected":{"type":"object","name":"Selection","id":"p10338","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10339"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10344","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10345"}}},"glyph":{"type":"object","name":"Scatter","id":"p10340","attributes":{"x":{"type":"value","value":327},"y":{"type":"value","value":0.06485878524244929},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10341","attributes":{"x":{"type":"value","value":327},"y":{"type":"value","value":0.06485878524244929},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10342","attributes":{"x":{"type":"value","value":327},"y":{"type":"value","value":0.06485878524244929},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10352","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10346","attributes":{"selected":{"type":"object","name":"Selection","id":"p10347","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10348"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10353","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10354"}}},"glyph":{"type":"object","name":"Scatter","id":"p10349","attributes":{"x":{"type":"value","value":328},"y":{"type":"value","value":0.05455392870361383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10350","attributes":{"x":{"type":"value","value":328},"y":{"type":"value","value":0.05455392870361383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10351","attributes":{"x":{"type":"value","value":328},"y":{"type":"value","value":0.05455392870361383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10361","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10355","attributes":{"selected":{"type":"object","name":"Selection","id":"p10356","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10357"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10362","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10363"}}},"glyph":{"type":"object","name":"Scatter","id":"p10358","attributes":{"x":{"type":"value","value":329},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10359","attributes":{"x":{"type":"value","value":329},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10360","attributes":{"x":{"type":"value","value":329},"y":{"type":"value","value":-0.05383772835344465},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10370","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10364","attributes":{"selected":{"type":"object","name":"Selection","id":"p10365","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10366"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10371","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10372"}}},"glyph":{"type":"object","name":"Scatter","id":"p10367","attributes":{"x":{"type":"value","value":330},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10368","attributes":{"x":{"type":"value","value":330},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10369","attributes":{"x":{"type":"value","value":330},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10379","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10373","attributes":{"selected":{"type":"object","name":"Selection","id":"p10374","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10375"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10380","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10381"}}},"glyph":{"type":"object","name":"Scatter","id":"p10376","attributes":{"x":{"type":"value","value":331},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10377","attributes":{"x":{"type":"value","value":331},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10378","attributes":{"x":{"type":"value","value":331},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10388","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10382","attributes":{"selected":{"type":"object","name":"Selection","id":"p10383","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10384"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10389","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10390"}}},"glyph":{"type":"object","name":"Scatter","id":"p10385","attributes":{"x":{"type":"value","value":332},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10386","attributes":{"x":{"type":"value","value":332},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10387","attributes":{"x":{"type":"value","value":332},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10397","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10391","attributes":{"selected":{"type":"object","name":"Selection","id":"p10392","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10393"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10398","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10399"}}},"glyph":{"type":"object","name":"Scatter","id":"p10394","attributes":{"x":{"type":"value","value":333},"y":{"type":"value","value":-0.06548069179796258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10395","attributes":{"x":{"type":"value","value":333},"y":{"type":"value","value":-0.06548069179796258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10396","attributes":{"x":{"type":"value","value":333},"y":{"type":"value","value":-0.06548069179796258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10406","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10400","attributes":{"selected":{"type":"object","name":"Selection","id":"p10401","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10402"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10407","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10408"}}},"glyph":{"type":"object","name":"Scatter","id":"p10403","attributes":{"x":{"type":"value","value":334},"y":{"type":"value","value":-0.029207429819767247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10404","attributes":{"x":{"type":"value","value":334},"y":{"type":"value","value":-0.029207429819767247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10405","attributes":{"x":{"type":"value","value":334},"y":{"type":"value","value":-0.029207429819767247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10415","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10409","attributes":{"selected":{"type":"object","name":"Selection","id":"p10410","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10411"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10416","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10417"}}},"glyph":{"type":"object","name":"Scatter","id":"p10412","attributes":{"x":{"type":"value","value":335},"y":{"type":"value","value":-0.01749140135595572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10413","attributes":{"x":{"type":"value","value":335},"y":{"type":"value","value":-0.01749140135595572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10414","attributes":{"x":{"type":"value","value":335},"y":{"type":"value","value":-0.01749140135595572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10424","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10418","attributes":{"selected":{"type":"object","name":"Selection","id":"p10419","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10420"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10425","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10426"}}},"glyph":{"type":"object","name":"Scatter","id":"p10421","attributes":{"x":{"type":"value","value":336},"y":{"type":"value","value":-0.016034013895308785},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10422","attributes":{"x":{"type":"value","value":336},"y":{"type":"value","value":-0.016034013895308785},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10423","attributes":{"x":{"type":"value","value":336},"y":{"type":"value","value":-0.016034013895308785},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10433","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10427","attributes":{"selected":{"type":"object","name":"Selection","id":"p10428","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10429"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10434","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10435"}}},"glyph":{"type":"object","name":"Scatter","id":"p10430","attributes":{"x":{"type":"value","value":337},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10431","attributes":{"x":{"type":"value","value":337},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10432","attributes":{"x":{"type":"value","value":337},"y":{"type":"value","value":-0.12008629689119993},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10442","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10436","attributes":{"selected":{"type":"object","name":"Selection","id":"p10437","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10438"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10443","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10444"}}},"glyph":{"type":"object","name":"Scatter","id":"p10439","attributes":{"x":{"type":"value","value":338},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10440","attributes":{"x":{"type":"value","value":338},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10441","attributes":{"x":{"type":"value","value":338},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10451","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10445","attributes":{"selected":{"type":"object","name":"Selection","id":"p10446","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10447"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10452","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10453"}}},"glyph":{"type":"object","name":"Scatter","id":"p10448","attributes":{"x":{"type":"value","value":339},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10449","attributes":{"x":{"type":"value","value":339},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10450","attributes":{"x":{"type":"value","value":339},"y":{"type":"value","value":-0.057566980178970266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10460","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10454","attributes":{"selected":{"type":"object","name":"Selection","id":"p10455","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10456"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10461","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10462"}}},"glyph":{"type":"object","name":"Scatter","id":"p10457","attributes":{"x":{"type":"value","value":340},"y":{"type":"value","value":0.038668743124691804},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10458","attributes":{"x":{"type":"value","value":340},"y":{"type":"value","value":0.038668743124691804},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10459","attributes":{"x":{"type":"value","value":340},"y":{"type":"value","value":0.038668743124691804},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10469","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10463","attributes":{"selected":{"type":"object","name":"Selection","id":"p10464","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10465"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10470","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10471"}}},"glyph":{"type":"object","name":"Scatter","id":"p10466","attributes":{"x":{"type":"value","value":341},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10467","attributes":{"x":{"type":"value","value":341},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10468","attributes":{"x":{"type":"value","value":341},"y":{"type":"value","value":-0.03927284420152425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10478","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10472","attributes":{"selected":{"type":"object","name":"Selection","id":"p10473","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10474"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10479","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10480"}}},"glyph":{"type":"object","name":"Scatter","id":"p10475","attributes":{"x":{"type":"value","value":342},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10476","attributes":{"x":{"type":"value","value":342},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10477","attributes":{"x":{"type":"value","value":342},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10487","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10481","attributes":{"selected":{"type":"object","name":"Selection","id":"p10482","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10483"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10488","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10489"}}},"glyph":{"type":"object","name":"Scatter","id":"p10484","attributes":{"x":{"type":"value","value":343},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10485","attributes":{"x":{"type":"value","value":343},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10486","attributes":{"x":{"type":"value","value":343},"y":{"type":"value","value":0.04644236930466081},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10496","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10490","attributes":{"selected":{"type":"object","name":"Selection","id":"p10491","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10492"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10497","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10498"}}},"glyph":{"type":"object","name":"Scatter","id":"p10493","attributes":{"x":{"type":"value","value":344},"y":{"type":"value","value":0.1365046757686035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10494","attributes":{"x":{"type":"value","value":344},"y":{"type":"value","value":0.1365046757686035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10495","attributes":{"x":{"type":"value","value":344},"y":{"type":"value","value":0.1365046757686035},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10505","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10499","attributes":{"selected":{"type":"object","name":"Selection","id":"p10500","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10501"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10506","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10507"}}},"glyph":{"type":"object","name":"Scatter","id":"p10502","attributes":{"x":{"type":"value","value":345},"y":{"type":"value","value":0.08979147790062984},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10503","attributes":{"x":{"type":"value","value":345},"y":{"type":"value","value":0.08979147790062984},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10504","attributes":{"x":{"type":"value","value":345},"y":{"type":"value","value":0.08979147790062984},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10514","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10508","attributes":{"selected":{"type":"object","name":"Selection","id":"p10509","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10510"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10515","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10516"}}},"glyph":{"type":"object","name":"Scatter","id":"p10511","attributes":{"x":{"type":"value","value":346},"y":{"type":"value","value":-0.012624729767009972},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10512","attributes":{"x":{"type":"value","value":346},"y":{"type":"value","value":-0.012624729767009972},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10513","attributes":{"x":{"type":"value","value":346},"y":{"type":"value","value":-0.012624729767009972},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10523","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10517","attributes":{"selected":{"type":"object","name":"Selection","id":"p10518","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10519"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10524","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10525"}}},"glyph":{"type":"object","name":"Scatter","id":"p10520","attributes":{"x":{"type":"value","value":347},"y":{"type":"value","value":-0.03244744592802732},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10521","attributes":{"x":{"type":"value","value":347},"y":{"type":"value","value":-0.03244744592802732},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10522","attributes":{"x":{"type":"value","value":347},"y":{"type":"value","value":-0.03244744592802732},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10532","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10526","attributes":{"selected":{"type":"object","name":"Selection","id":"p10527","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10528"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10533","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10534"}}},"glyph":{"type":"object","name":"Scatter","id":"p10529","attributes":{"x":{"type":"value","value":348},"y":{"type":"value","value":-0.01474869306988646},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10530","attributes":{"x":{"type":"value","value":348},"y":{"type":"value","value":-0.01474869306988646},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10531","attributes":{"x":{"type":"value","value":348},"y":{"type":"value","value":-0.01474869306988646},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10541","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10535","attributes":{"selected":{"type":"object","name":"Selection","id":"p10536","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10537"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10542","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10543"}}},"glyph":{"type":"object","name":"Scatter","id":"p10538","attributes":{"x":{"type":"value","value":349},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10539","attributes":{"x":{"type":"value","value":349},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10540","attributes":{"x":{"type":"value","value":349},"y":{"type":"value","value":-0.027047126967792823},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10550","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10544","attributes":{"selected":{"type":"object","name":"Selection","id":"p10545","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10546"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10551","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10552"}}},"glyph":{"type":"object","name":"Scatter","id":"p10547","attributes":{"x":{"type":"value","value":350},"y":{"type":"value","value":0.0695422961740932},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10548","attributes":{"x":{"type":"value","value":350},"y":{"type":"value","value":0.0695422961740932},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10549","attributes":{"x":{"type":"value","value":350},"y":{"type":"value","value":0.0695422961740932},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10559","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10553","attributes":{"selected":{"type":"object","name":"Selection","id":"p10554","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10555"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10560","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10561"}}},"glyph":{"type":"object","name":"Scatter","id":"p10556","attributes":{"x":{"type":"value","value":351},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10557","attributes":{"x":{"type":"value","value":351},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10558","attributes":{"x":{"type":"value","value":351},"y":{"type":"value","value":0.011568110561848526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10568","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10562","attributes":{"selected":{"type":"object","name":"Selection","id":"p10563","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10564"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10569","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10570"}}},"glyph":{"type":"object","name":"Scatter","id":"p10565","attributes":{"x":{"type":"value","value":352},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10566","attributes":{"x":{"type":"value","value":352},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10567","attributes":{"x":{"type":"value","value":352},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10577","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10571","attributes":{"selected":{"type":"object","name":"Selection","id":"p10572","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10573"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10578","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10579"}}},"glyph":{"type":"object","name":"Scatter","id":"p10574","attributes":{"x":{"type":"value","value":353},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10575","attributes":{"x":{"type":"value","value":353},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10576","attributes":{"x":{"type":"value","value":353},"y":{"type":"value","value":-0.05581563850988336},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10586","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10580","attributes":{"selected":{"type":"object","name":"Selection","id":"p10581","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10582"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10587","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10588"}}},"glyph":{"type":"object","name":"Scatter","id":"p10583","attributes":{"x":{"type":"value","value":354},"y":{"type":"value","value":0.093894542271641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10584","attributes":{"x":{"type":"value","value":354},"y":{"type":"value","value":0.093894542271641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10585","attributes":{"x":{"type":"value","value":354},"y":{"type":"value","value":0.093894542271641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10595","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10589","attributes":{"selected":{"type":"object","name":"Selection","id":"p10590","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10591"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10596","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10597"}}},"glyph":{"type":"object","name":"Scatter","id":"p10592","attributes":{"x":{"type":"value","value":355},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10593","attributes":{"x":{"type":"value","value":355},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10594","attributes":{"x":{"type":"value","value":355},"y":{"type":"value","value":-0.03249282633557362},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10604","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10598","attributes":{"selected":{"type":"object","name":"Selection","id":"p10599","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10600"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10605","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10606"}}},"glyph":{"type":"object","name":"Scatter","id":"p10601","attributes":{"x":{"type":"value","value":356},"y":{"type":"value","value":0.001920245544641921},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10602","attributes":{"x":{"type":"value","value":356},"y":{"type":"value","value":0.001920245544641921},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10603","attributes":{"x":{"type":"value","value":356},"y":{"type":"value","value":0.001920245544641921},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10613","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10607","attributes":{"selected":{"type":"object","name":"Selection","id":"p10608","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10609"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10614","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10615"}}},"glyph":{"type":"object","name":"Scatter","id":"p10610","attributes":{"x":{"type":"value","value":357},"y":{"type":"value","value":-0.040704564226725685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10611","attributes":{"x":{"type":"value","value":357},"y":{"type":"value","value":-0.040704564226725685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10612","attributes":{"x":{"type":"value","value":357},"y":{"type":"value","value":-0.040704564226725685},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10622","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10616","attributes":{"selected":{"type":"object","name":"Selection","id":"p10617","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10618"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10623","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10624"}}},"glyph":{"type":"object","name":"Scatter","id":"p10619","attributes":{"x":{"type":"value","value":358},"y":{"type":"value","value":0.0990986357659087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10620","attributes":{"x":{"type":"value","value":358},"y":{"type":"value","value":0.0990986357659087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10621","attributes":{"x":{"type":"value","value":358},"y":{"type":"value","value":0.0990986357659087},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10631","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10625","attributes":{"selected":{"type":"object","name":"Selection","id":"p10626","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10627"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10632","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10633"}}},"glyph":{"type":"object","name":"Scatter","id":"p10628","attributes":{"x":{"type":"value","value":359},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10629","attributes":{"x":{"type":"value","value":359},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10630","attributes":{"x":{"type":"value","value":359},"y":{"type":"value","value":-0.11434522905735175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10640","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10634","attributes":{"selected":{"type":"object","name":"Selection","id":"p10635","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10636"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10641","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10642"}}},"glyph":{"type":"object","name":"Scatter","id":"p10637","attributes":{"x":{"type":"value","value":360},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10638","attributes":{"x":{"type":"value","value":360},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10639","attributes":{"x":{"type":"value","value":360},"y":{"type":"value","value":-0.04415665442291189},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10649","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10643","attributes":{"selected":{"type":"object","name":"Selection","id":"p10644","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10645"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10650","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10651"}}},"glyph":{"type":"object","name":"Scatter","id":"p10646","attributes":{"x":{"type":"value","value":361},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10647","attributes":{"x":{"type":"value","value":361},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10648","attributes":{"x":{"type":"value","value":361},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10658","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10652","attributes":{"selected":{"type":"object","name":"Selection","id":"p10653","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10654"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10659","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10660"}}},"glyph":{"type":"object","name":"Scatter","id":"p10655","attributes":{"x":{"type":"value","value":362},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10656","attributes":{"x":{"type":"value","value":362},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10657","attributes":{"x":{"type":"value","value":362},"y":{"type":"value","value":-0.04778770476918834},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10667","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10661","attributes":{"selected":{"type":"object","name":"Selection","id":"p10662","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10663"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10668","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10669"}}},"glyph":{"type":"object","name":"Scatter","id":"p10664","attributes":{"x":{"type":"value","value":363},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10665","attributes":{"x":{"type":"value","value":363},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10666","attributes":{"x":{"type":"value","value":363},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10676","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10670","attributes":{"selected":{"type":"object","name":"Selection","id":"p10671","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10672"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10677","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10678"}}},"glyph":{"type":"object","name":"Scatter","id":"p10673","attributes":{"x":{"type":"value","value":364},"y":{"type":"value","value":-0.12963896848211887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10674","attributes":{"x":{"type":"value","value":364},"y":{"type":"value","value":-0.12963896848211887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10675","attributes":{"x":{"type":"value","value":364},"y":{"type":"value","value":-0.12963896848211887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10685","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10679","attributes":{"selected":{"type":"object","name":"Selection","id":"p10680","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10681"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10686","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10687"}}},"glyph":{"type":"object","name":"Scatter","id":"p10682","attributes":{"x":{"type":"value","value":365},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10683","attributes":{"x":{"type":"value","value":365},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10684","attributes":{"x":{"type":"value","value":365},"y":{"type":"value","value":-0.03902666254147311},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10694","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10688","attributes":{"selected":{"type":"object","name":"Selection","id":"p10689","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10690"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10695","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10696"}}},"glyph":{"type":"object","name":"Scatter","id":"p10691","attributes":{"x":{"type":"value","value":366},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10692","attributes":{"x":{"type":"value","value":366},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10693","attributes":{"x":{"type":"value","value":366},"y":{"type":"value","value":-0.0500861686765587},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10703","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10697","attributes":{"selected":{"type":"object","name":"Selection","id":"p10698","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10699"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10704","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10705"}}},"glyph":{"type":"object","name":"Scatter","id":"p10700","attributes":{"x":{"type":"value","value":367},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10701","attributes":{"x":{"type":"value","value":367},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10702","attributes":{"x":{"type":"value","value":367},"y":{"type":"value","value":-0.12767982496523375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10712","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10706","attributes":{"selected":{"type":"object","name":"Selection","id":"p10707","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10708"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10713","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10714"}}},"glyph":{"type":"object","name":"Scatter","id":"p10709","attributes":{"x":{"type":"value","value":368},"y":{"type":"value","value":-0.007704876191153918},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10710","attributes":{"x":{"type":"value","value":368},"y":{"type":"value","value":-0.007704876191153918},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10711","attributes":{"x":{"type":"value","value":368},"y":{"type":"value","value":-0.007704876191153918},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10721","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10715","attributes":{"selected":{"type":"object","name":"Selection","id":"p10716","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10717"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10722","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10723"}}},"glyph":{"type":"object","name":"Scatter","id":"p10718","attributes":{"x":{"type":"value","value":369},"y":{"type":"value","value":0.04623585040514962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10719","attributes":{"x":{"type":"value","value":369},"y":{"type":"value","value":0.04623585040514962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10720","attributes":{"x":{"type":"value","value":369},"y":{"type":"value","value":0.04623585040514962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10730","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10724","attributes":{"selected":{"type":"object","name":"Selection","id":"p10725","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10726"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10731","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10732"}}},"glyph":{"type":"object","name":"Scatter","id":"p10727","attributes":{"x":{"type":"value","value":370},"y":{"type":"value","value":0.12252318023017017},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10728","attributes":{"x":{"type":"value","value":370},"y":{"type":"value","value":0.12252318023017017},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10729","attributes":{"x":{"type":"value","value":370},"y":{"type":"value","value":0.12252318023017017},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10739","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10733","attributes":{"selected":{"type":"object","name":"Selection","id":"p10734","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10735"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10740","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10741"}}},"glyph":{"type":"object","name":"Scatter","id":"p10736","attributes":{"x":{"type":"value","value":371},"y":{"type":"value","value":0.12904773615612086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10737","attributes":{"x":{"type":"value","value":371},"y":{"type":"value","value":0.12904773615612086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10738","attributes":{"x":{"type":"value","value":371},"y":{"type":"value","value":0.12904773615612086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10748","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10742","attributes":{"selected":{"type":"object","name":"Selection","id":"p10743","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10744"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10749","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10750"}}},"glyph":{"type":"object","name":"Scatter","id":"p10745","attributes":{"x":{"type":"value","value":372},"y":{"type":"value","value":0.15334096961513224},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10746","attributes":{"x":{"type":"value","value":372},"y":{"type":"value","value":0.15334096961513224},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10747","attributes":{"x":{"type":"value","value":372},"y":{"type":"value","value":0.15334096961513224},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10757","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10751","attributes":{"selected":{"type":"object","name":"Selection","id":"p10752","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10753"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10758","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10759"}}},"glyph":{"type":"object","name":"Scatter","id":"p10754","attributes":{"x":{"type":"value","value":373},"y":{"type":"value","value":0.05332881950057129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10755","attributes":{"x":{"type":"value","value":373},"y":{"type":"value","value":0.05332881950057129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10756","attributes":{"x":{"type":"value","value":373},"y":{"type":"value","value":0.05332881950057129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10766","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10760","attributes":{"selected":{"type":"object","name":"Selection","id":"p10761","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10762"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10767","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10768"}}},"glyph":{"type":"object","name":"Scatter","id":"p10763","attributes":{"x":{"type":"value","value":374},"y":{"type":"value","value":0.11420639423243338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10764","attributes":{"x":{"type":"value","value":374},"y":{"type":"value","value":0.11420639423243338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10765","attributes":{"x":{"type":"value","value":374},"y":{"type":"value","value":0.11420639423243338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10775","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10769","attributes":{"selected":{"type":"object","name":"Selection","id":"p10770","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10771"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10776","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10777"}}},"glyph":{"type":"object","name":"Scatter","id":"p10772","attributes":{"x":{"type":"value","value":375},"y":{"type":"value","value":0.22976802782234865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10773","attributes":{"x":{"type":"value","value":375},"y":{"type":"value","value":0.22976802782234865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10774","attributes":{"x":{"type":"value","value":375},"y":{"type":"value","value":0.22976802782234865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10784","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10778","attributes":{"selected":{"type":"object","name":"Selection","id":"p10779","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10780"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10785","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10786"}}},"glyph":{"type":"object","name":"Scatter","id":"p10781","attributes":{"x":{"type":"value","value":376},"y":{"type":"value","value":0.3013987396854675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10782","attributes":{"x":{"type":"value","value":376},"y":{"type":"value","value":0.3013987396854675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10783","attributes":{"x":{"type":"value","value":376},"y":{"type":"value","value":0.3013987396854675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10793","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10787","attributes":{"selected":{"type":"object","name":"Selection","id":"p10788","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10789"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10794","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10795"}}},"glyph":{"type":"object","name":"Scatter","id":"p10790","attributes":{"x":{"type":"value","value":377},"y":{"type":"value","value":-0.016953381294952177},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10791","attributes":{"x":{"type":"value","value":377},"y":{"type":"value","value":-0.016953381294952177},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10792","attributes":{"x":{"type":"value","value":377},"y":{"type":"value","value":-0.016953381294952177},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10802","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10796","attributes":{"selected":{"type":"object","name":"Selection","id":"p10797","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10798"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10803","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10804"}}},"glyph":{"type":"object","name":"Scatter","id":"p10799","attributes":{"x":{"type":"value","value":378},"y":{"type":"value","value":0.24251486988515245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10800","attributes":{"x":{"type":"value","value":378},"y":{"type":"value","value":0.24251486988515245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10801","attributes":{"x":{"type":"value","value":378},"y":{"type":"value","value":0.24251486988515245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10811","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10805","attributes":{"selected":{"type":"object","name":"Selection","id":"p10806","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10807"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10812","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10813"}}},"glyph":{"type":"object","name":"Scatter","id":"p10808","attributes":{"x":{"type":"value","value":379},"y":{"type":"value","value":0.20970895505120526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10809","attributes":{"x":{"type":"value","value":379},"y":{"type":"value","value":0.20970895505120526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10810","attributes":{"x":{"type":"value","value":379},"y":{"type":"value","value":0.20970895505120526},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10820","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10814","attributes":{"selected":{"type":"object","name":"Selection","id":"p10815","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10816"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10821","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10822"}}},"glyph":{"type":"object","name":"Scatter","id":"p10817","attributes":{"x":{"type":"value","value":380},"y":{"type":"value","value":0.18059205385291693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10818","attributes":{"x":{"type":"value","value":380},"y":{"type":"value","value":0.18059205385291693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10819","attributes":{"x":{"type":"value","value":380},"y":{"type":"value","value":0.18059205385291693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10829","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10823","attributes":{"selected":{"type":"object","name":"Selection","id":"p10824","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10825"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10830","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10831"}}},"glyph":{"type":"object","name":"Scatter","id":"p10826","attributes":{"x":{"type":"value","value":381},"y":{"type":"value","value":0.18487725326912458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10827","attributes":{"x":{"type":"value","value":381},"y":{"type":"value","value":0.18487725326912458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10828","attributes":{"x":{"type":"value","value":381},"y":{"type":"value","value":0.18487725326912458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10838","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10832","attributes":{"selected":{"type":"object","name":"Selection","id":"p10833","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10834"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10839","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10840"}}},"glyph":{"type":"object","name":"Scatter","id":"p10835","attributes":{"x":{"type":"value","value":382},"y":{"type":"value","value":0.0884782142267218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10836","attributes":{"x":{"type":"value","value":382},"y":{"type":"value","value":0.0884782142267218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10837","attributes":{"x":{"type":"value","value":382},"y":{"type":"value","value":0.0884782142267218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10847","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10841","attributes":{"selected":{"type":"object","name":"Selection","id":"p10842","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10843"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10848","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10849"}}},"glyph":{"type":"object","name":"Scatter","id":"p10844","attributes":{"x":{"type":"value","value":383},"y":{"type":"value","value":0.20188451734295373},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10845","attributes":{"x":{"type":"value","value":383},"y":{"type":"value","value":0.20188451734295373},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10846","attributes":{"x":{"type":"value","value":383},"y":{"type":"value","value":0.20188451734295373},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10856","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10850","attributes":{"selected":{"type":"object","name":"Selection","id":"p10851","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10852"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10857","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10858"}}},"glyph":{"type":"object","name":"Scatter","id":"p10853","attributes":{"x":{"type":"value","value":384},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10854","attributes":{"x":{"type":"value","value":384},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10855","attributes":{"x":{"type":"value","value":384},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10865","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10859","attributes":{"selected":{"type":"object","name":"Selection","id":"p10860","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10861"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10866","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10867"}}},"glyph":{"type":"object","name":"Scatter","id":"p10862","attributes":{"x":{"type":"value","value":385},"y":{"type":"value","value":0.20353553083933068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10863","attributes":{"x":{"type":"value","value":385},"y":{"type":"value","value":0.20353553083933068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10864","attributes":{"x":{"type":"value","value":385},"y":{"type":"value","value":0.20353553083933068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10874","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10868","attributes":{"selected":{"type":"object","name":"Selection","id":"p10869","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10870"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10875","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10876"}}},"glyph":{"type":"object","name":"Scatter","id":"p10871","attributes":{"x":{"type":"value","value":386},"y":{"type":"value","value":0.1895850957248755},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10872","attributes":{"x":{"type":"value","value":386},"y":{"type":"value","value":0.1895850957248755},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10873","attributes":{"x":{"type":"value","value":386},"y":{"type":"value","value":0.1895850957248755},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10883","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10877","attributes":{"selected":{"type":"object","name":"Selection","id":"p10878","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10879"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10884","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10885"}}},"glyph":{"type":"object","name":"Scatter","id":"p10880","attributes":{"x":{"type":"value","value":387},"y":{"type":"value","value":0.19329999937076586},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10881","attributes":{"x":{"type":"value","value":387},"y":{"type":"value","value":0.19329999937076586},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10882","attributes":{"x":{"type":"value","value":387},"y":{"type":"value","value":0.19329999937076586},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10892","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10886","attributes":{"selected":{"type":"object","name":"Selection","id":"p10887","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10888"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10893","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10894"}}},"glyph":{"type":"object","name":"Scatter","id":"p10889","attributes":{"x":{"type":"value","value":388},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10890","attributes":{"x":{"type":"value","value":388},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10891","attributes":{"x":{"type":"value","value":388},"y":{"type":"value","value":0.3380665861825396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10901","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10895","attributes":{"selected":{"type":"object","name":"Selection","id":"p10896","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10897"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10902","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10903"}}},"glyph":{"type":"object","name":"Scatter","id":"p10898","attributes":{"x":{"type":"value","value":389},"y":{"type":"value","value":0.23414383140029266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10899","attributes":{"x":{"type":"value","value":389},"y":{"type":"value","value":0.23414383140029266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10900","attributes":{"x":{"type":"value","value":389},"y":{"type":"value","value":0.23414383140029266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10910","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10904","attributes":{"selected":{"type":"object","name":"Selection","id":"p10905","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10906"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10911","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10912"}}},"glyph":{"type":"object","name":"Scatter","id":"p10907","attributes":{"x":{"type":"value","value":390},"y":{"type":"value","value":0.11774691777390875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10908","attributes":{"x":{"type":"value","value":390},"y":{"type":"value","value":0.11774691777390875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10909","attributes":{"x":{"type":"value","value":390},"y":{"type":"value","value":0.11774691777390875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10919","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10913","attributes":{"selected":{"type":"object","name":"Selection","id":"p10914","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10915"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10920","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10921"}}},"glyph":{"type":"object","name":"Scatter","id":"p10916","attributes":{"x":{"type":"value","value":391},"y":{"type":"value","value":0.24841115857133808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10917","attributes":{"x":{"type":"value","value":391},"y":{"type":"value","value":0.24841115857133808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10918","attributes":{"x":{"type":"value","value":391},"y":{"type":"value","value":0.24841115857133808},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10928","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10922","attributes":{"selected":{"type":"object","name":"Selection","id":"p10923","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10924"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10929","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10930"}}},"glyph":{"type":"object","name":"Scatter","id":"p10925","attributes":{"x":{"type":"value","value":392},"y":{"type":"value","value":0.2573932683254841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10926","attributes":{"x":{"type":"value","value":392},"y":{"type":"value","value":0.2573932683254841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10927","attributes":{"x":{"type":"value","value":392},"y":{"type":"value","value":0.2573932683254841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10937","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10931","attributes":{"selected":{"type":"object","name":"Selection","id":"p10932","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10933"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10938","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10939"}}},"glyph":{"type":"object","name":"Scatter","id":"p10934","attributes":{"x":{"type":"value","value":393},"y":{"type":"value","value":0.2191644020117533},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10935","attributes":{"x":{"type":"value","value":393},"y":{"type":"value","value":0.2191644020117533},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10936","attributes":{"x":{"type":"value","value":393},"y":{"type":"value","value":0.2191644020117533},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10946","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10940","attributes":{"selected":{"type":"object","name":"Selection","id":"p10941","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10942"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10947","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10948"}}},"glyph":{"type":"object","name":"Scatter","id":"p10943","attributes":{"x":{"type":"value","value":394},"y":{"type":"value","value":0.0693898101797104},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10944","attributes":{"x":{"type":"value","value":394},"y":{"type":"value","value":0.0693898101797104},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10945","attributes":{"x":{"type":"value","value":394},"y":{"type":"value","value":0.0693898101797104},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10955","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10949","attributes":{"selected":{"type":"object","name":"Selection","id":"p10950","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10951"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10956","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10957"}}},"glyph":{"type":"object","name":"Scatter","id":"p10952","attributes":{"x":{"type":"value","value":395},"y":{"type":"value","value":0.2511512233202473},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10953","attributes":{"x":{"type":"value","value":395},"y":{"type":"value","value":0.2511512233202473},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10954","attributes":{"x":{"type":"value","value":395},"y":{"type":"value","value":0.2511512233202473},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10964","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10958","attributes":{"selected":{"type":"object","name":"Selection","id":"p10959","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10960"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10965","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10966"}}},"glyph":{"type":"object","name":"Scatter","id":"p10961","attributes":{"x":{"type":"value","value":396},"y":{"type":"value","value":0.17433326013744588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10962","attributes":{"x":{"type":"value","value":396},"y":{"type":"value","value":0.17433326013744588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10963","attributes":{"x":{"type":"value","value":396},"y":{"type":"value","value":0.17433326013744588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10973","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10967","attributes":{"selected":{"type":"object","name":"Selection","id":"p10968","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10969"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10974","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10975"}}},"glyph":{"type":"object","name":"Scatter","id":"p10970","attributes":{"x":{"type":"value","value":397},"y":{"type":"value","value":0.12452766016345145},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10971","attributes":{"x":{"type":"value","value":397},"y":{"type":"value","value":0.12452766016345145},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10972","attributes":{"x":{"type":"value","value":397},"y":{"type":"value","value":0.12452766016345145},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10982","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10976","attributes":{"selected":{"type":"object","name":"Selection","id":"p10977","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10978"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10983","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10984"}}},"glyph":{"type":"object","name":"Scatter","id":"p10979","attributes":{"x":{"type":"value","value":398},"y":{"type":"value","value":0.12362995944042825},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10980","attributes":{"x":{"type":"value","value":398},"y":{"type":"value","value":0.12362995944042825},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10981","attributes":{"x":{"type":"value","value":398},"y":{"type":"value","value":0.12362995944042825},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p10991","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10985","attributes":{"selected":{"type":"object","name":"Selection","id":"p10986","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10987"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p10992","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p10993"}}},"glyph":{"type":"object","name":"Scatter","id":"p10988","attributes":{"x":{"type":"value","value":399},"y":{"type":"value","value":0.2617128734699736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10989","attributes":{"x":{"type":"value","value":399},"y":{"type":"value","value":0.2617128734699736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10990","attributes":{"x":{"type":"value","value":399},"y":{"type":"value","value":0.2617128734699736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11000","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p10994","attributes":{"selected":{"type":"object","name":"Selection","id":"p10995","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p10996"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11001","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11002"}}},"glyph":{"type":"object","name":"Scatter","id":"p10997","attributes":{"x":{"type":"value","value":400},"y":{"type":"value","value":0.23770898535173116},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p10998","attributes":{"x":{"type":"value","value":400},"y":{"type":"value","value":0.23770898535173116},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p10999","attributes":{"x":{"type":"value","value":400},"y":{"type":"value","value":0.23770898535173116},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11009","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11003","attributes":{"selected":{"type":"object","name":"Selection","id":"p11004","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11005"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11010","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11011"}}},"glyph":{"type":"object","name":"Scatter","id":"p11006","attributes":{"x":{"type":"value","value":401},"y":{"type":"value","value":0.04047960932396305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11007","attributes":{"x":{"type":"value","value":401},"y":{"type":"value","value":0.04047960932396305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11008","attributes":{"x":{"type":"value","value":401},"y":{"type":"value","value":0.04047960932396305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11018","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11012","attributes":{"selected":{"type":"object","name":"Selection","id":"p11013","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11014"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11019","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11020"}}},"glyph":{"type":"object","name":"Scatter","id":"p11015","attributes":{"x":{"type":"value","value":402},"y":{"type":"value","value":0.2848183885587406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11016","attributes":{"x":{"type":"value","value":402},"y":{"type":"value","value":0.2848183885587406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11017","attributes":{"x":{"type":"value","value":402},"y":{"type":"value","value":0.2848183885587406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11027","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11021","attributes":{"selected":{"type":"object","name":"Selection","id":"p11022","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11023"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11028","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11029"}}},"glyph":{"type":"object","name":"Scatter","id":"p11024","attributes":{"x":{"type":"value","value":403},"y":{"type":"value","value":0.13807256905824242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11025","attributes":{"x":{"type":"value","value":403},"y":{"type":"value","value":0.13807256905824242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11026","attributes":{"x":{"type":"value","value":403},"y":{"type":"value","value":0.13807256905824242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11036","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11030","attributes":{"selected":{"type":"object","name":"Selection","id":"p11031","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11032"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11037","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11038"}}},"glyph":{"type":"object","name":"Scatter","id":"p11033","attributes":{"x":{"type":"value","value":404},"y":{"type":"value","value":0.23320358411838227},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11034","attributes":{"x":{"type":"value","value":404},"y":{"type":"value","value":0.23320358411838227},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11035","attributes":{"x":{"type":"value","value":404},"y":{"type":"value","value":0.23320358411838227},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11045","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11039","attributes":{"selected":{"type":"object","name":"Selection","id":"p11040","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11041"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11046","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11047"}}},"glyph":{"type":"object","name":"Scatter","id":"p11042","attributes":{"x":{"type":"value","value":405},"y":{"type":"value","value":0.16862777434488724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11043","attributes":{"x":{"type":"value","value":405},"y":{"type":"value","value":0.16862777434488724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11044","attributes":{"x":{"type":"value","value":405},"y":{"type":"value","value":0.16862777434488724},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11054","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11048","attributes":{"selected":{"type":"object","name":"Selection","id":"p11049","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11050"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11055","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11056"}}},"glyph":{"type":"object","name":"Scatter","id":"p11051","attributes":{"x":{"type":"value","value":406},"y":{"type":"value","value":0.20521228532529565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11052","attributes":{"x":{"type":"value","value":406},"y":{"type":"value","value":0.20521228532529565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11053","attributes":{"x":{"type":"value","value":406},"y":{"type":"value","value":0.20521228532529565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11063","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11057","attributes":{"selected":{"type":"object","name":"Selection","id":"p11058","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11059"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11064","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11065"}}},"glyph":{"type":"object","name":"Scatter","id":"p11060","attributes":{"x":{"type":"value","value":407},"y":{"type":"value","value":0.1937933058255832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11061","attributes":{"x":{"type":"value","value":407},"y":{"type":"value","value":0.1937933058255832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11062","attributes":{"x":{"type":"value","value":407},"y":{"type":"value","value":0.1937933058255832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11072","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11066","attributes":{"selected":{"type":"object","name":"Selection","id":"p11067","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11068"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11073","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11074"}}},"glyph":{"type":"object","name":"Scatter","id":"p11069","attributes":{"x":{"type":"value","value":408},"y":{"type":"value","value":0.23755363935949403},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11070","attributes":{"x":{"type":"value","value":408},"y":{"type":"value","value":0.23755363935949403},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11071","attributes":{"x":{"type":"value","value":408},"y":{"type":"value","value":0.23755363935949403},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11081","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11075","attributes":{"selected":{"type":"object","name":"Selection","id":"p11076","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11077"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11082","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11083"}}},"glyph":{"type":"object","name":"Scatter","id":"p11078","attributes":{"x":{"type":"value","value":409},"y":{"type":"value","value":0.1695132387181188},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11079","attributes":{"x":{"type":"value","value":409},"y":{"type":"value","value":0.1695132387181188},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11080","attributes":{"x":{"type":"value","value":409},"y":{"type":"value","value":0.1695132387181188},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11090","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11084","attributes":{"selected":{"type":"object","name":"Selection","id":"p11085","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11086"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11091","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11092"}}},"glyph":{"type":"object","name":"Scatter","id":"p11087","attributes":{"x":{"type":"value","value":410},"y":{"type":"value","value":0.022279350959891434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11088","attributes":{"x":{"type":"value","value":410},"y":{"type":"value","value":0.022279350959891434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11089","attributes":{"x":{"type":"value","value":410},"y":{"type":"value","value":0.022279350959891434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11099","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11093","attributes":{"selected":{"type":"object","name":"Selection","id":"p11094","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11095"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11100","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11101"}}},"glyph":{"type":"object","name":"Scatter","id":"p11096","attributes":{"x":{"type":"value","value":411},"y":{"type":"value","value":-0.01230059709559602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11097","attributes":{"x":{"type":"value","value":411},"y":{"type":"value","value":-0.01230059709559602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11098","attributes":{"x":{"type":"value","value":411},"y":{"type":"value","value":-0.01230059709559602},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11108","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11102","attributes":{"selected":{"type":"object","name":"Selection","id":"p11103","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11104"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11109","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11110"}}},"glyph":{"type":"object","name":"Scatter","id":"p11105","attributes":{"x":{"type":"value","value":412},"y":{"type":"value","value":0.24877389109431297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11106","attributes":{"x":{"type":"value","value":412},"y":{"type":"value","value":0.24877389109431297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11107","attributes":{"x":{"type":"value","value":412},"y":{"type":"value","value":0.24877389109431297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11117","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11111","attributes":{"selected":{"type":"object","name":"Selection","id":"p11112","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11113"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11118","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11119"}}},"glyph":{"type":"object","name":"Scatter","id":"p11114","attributes":{"x":{"type":"value","value":413},"y":{"type":"value","value":0.02584665547479632},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11115","attributes":{"x":{"type":"value","value":413},"y":{"type":"value","value":0.02584665547479632},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11116","attributes":{"x":{"type":"value","value":413},"y":{"type":"value","value":0.02584665547479632},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11126","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11120","attributes":{"selected":{"type":"object","name":"Selection","id":"p11121","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11122"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11127","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11128"}}},"glyph":{"type":"object","name":"Scatter","id":"p11123","attributes":{"x":{"type":"value","value":414},"y":{"type":"value","value":0.024933265880664707},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11124","attributes":{"x":{"type":"value","value":414},"y":{"type":"value","value":0.024933265880664707},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11125","attributes":{"x":{"type":"value","value":414},"y":{"type":"value","value":0.024933265880664707},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11135","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11129","attributes":{"selected":{"type":"object","name":"Selection","id":"p11130","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11131"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11136","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11137"}}},"glyph":{"type":"object","name":"Scatter","id":"p11132","attributes":{"x":{"type":"value","value":415},"y":{"type":"value","value":0.24021997226429898},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11133","attributes":{"x":{"type":"value","value":415},"y":{"type":"value","value":0.24021997226429898},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11134","attributes":{"x":{"type":"value","value":415},"y":{"type":"value","value":0.24021997226429898},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11144","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11138","attributes":{"selected":{"type":"object","name":"Selection","id":"p11139","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11140"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11145","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11146"}}},"glyph":{"type":"object","name":"Scatter","id":"p11141","attributes":{"x":{"type":"value","value":416},"y":{"type":"value","value":0.23764695534042626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11142","attributes":{"x":{"type":"value","value":416},"y":{"type":"value","value":0.23764695534042626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11143","attributes":{"x":{"type":"value","value":416},"y":{"type":"value","value":0.23764695534042626},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11153","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11147","attributes":{"selected":{"type":"object","name":"Selection","id":"p11148","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11149"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11154","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11155"}}},"glyph":{"type":"object","name":"Scatter","id":"p11150","attributes":{"x":{"type":"value","value":417},"y":{"type":"value","value":0.1670849974935833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11151","attributes":{"x":{"type":"value","value":417},"y":{"type":"value","value":0.1670849974935833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11152","attributes":{"x":{"type":"value","value":417},"y":{"type":"value","value":0.1670849974935833},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11162","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11156","attributes":{"selected":{"type":"object","name":"Selection","id":"p11157","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11158"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11163","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11164"}}},"glyph":{"type":"object","name":"Scatter","id":"p11159","attributes":{"x":{"type":"value","value":418},"y":{"type":"value","value":0.24341081666715642},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11160","attributes":{"x":{"type":"value","value":418},"y":{"type":"value","value":0.24341081666715642},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11161","attributes":{"x":{"type":"value","value":418},"y":{"type":"value","value":0.24341081666715642},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11171","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11165","attributes":{"selected":{"type":"object","name":"Selection","id":"p11166","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11167"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11172","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11173"}}},"glyph":{"type":"object","name":"Scatter","id":"p11168","attributes":{"x":{"type":"value","value":419},"y":{"type":"value","value":0.20628021373927824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11169","attributes":{"x":{"type":"value","value":419},"y":{"type":"value","value":0.20628021373927824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11170","attributes":{"x":{"type":"value","value":419},"y":{"type":"value","value":0.20628021373927824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11180","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11174","attributes":{"selected":{"type":"object","name":"Selection","id":"p11175","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11176"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11181","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11182"}}},"glyph":{"type":"object","name":"Scatter","id":"p11177","attributes":{"x":{"type":"value","value":420},"y":{"type":"value","value":-0.05276903913418109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11178","attributes":{"x":{"type":"value","value":420},"y":{"type":"value","value":-0.05276903913418109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11179","attributes":{"x":{"type":"value","value":420},"y":{"type":"value","value":-0.05276903913418109},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11189","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11183","attributes":{"selected":{"type":"object","name":"Selection","id":"p11184","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11185"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11190","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11191"}}},"glyph":{"type":"object","name":"Scatter","id":"p11186","attributes":{"x":{"type":"value","value":421},"y":{"type":"value","value":-0.06117504977208933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11187","attributes":{"x":{"type":"value","value":421},"y":{"type":"value","value":-0.06117504977208933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11188","attributes":{"x":{"type":"value","value":421},"y":{"type":"value","value":-0.06117504977208933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11198","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11192","attributes":{"selected":{"type":"object","name":"Selection","id":"p11193","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11194"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11199","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11200"}}},"glyph":{"type":"object","name":"Scatter","id":"p11195","attributes":{"x":{"type":"value","value":422},"y":{"type":"value","value":0.028919521594660148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11196","attributes":{"x":{"type":"value","value":422},"y":{"type":"value","value":0.028919521594660148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11197","attributes":{"x":{"type":"value","value":422},"y":{"type":"value","value":0.028919521594660148},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11207","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11201","attributes":{"selected":{"type":"object","name":"Selection","id":"p11202","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11203"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11208","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11209"}}},"glyph":{"type":"object","name":"Scatter","id":"p11204","attributes":{"x":{"type":"value","value":423},"y":{"type":"value","value":0.07784610984585458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11205","attributes":{"x":{"type":"value","value":423},"y":{"type":"value","value":0.07784610984585458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11206","attributes":{"x":{"type":"value","value":423},"y":{"type":"value","value":0.07784610984585458},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11216","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11210","attributes":{"selected":{"type":"object","name":"Selection","id":"p11211","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11212"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11217","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11218"}}},"glyph":{"type":"object","name":"Scatter","id":"p11213","attributes":{"x":{"type":"value","value":424},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11214","attributes":{"x":{"type":"value","value":424},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11215","attributes":{"x":{"type":"value","value":424},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11225","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11219","attributes":{"selected":{"type":"object","name":"Selection","id":"p11220","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11221"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11226","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11227"}}},"glyph":{"type":"object","name":"Scatter","id":"p11222","attributes":{"x":{"type":"value","value":425},"y":{"type":"value","value":-0.060996574410334715},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11223","attributes":{"x":{"type":"value","value":425},"y":{"type":"value","value":-0.060996574410334715},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11224","attributes":{"x":{"type":"value","value":425},"y":{"type":"value","value":-0.060996574410334715},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11234","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11228","attributes":{"selected":{"type":"object","name":"Selection","id":"p11229","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11230"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11235","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11236"}}},"glyph":{"type":"object","name":"Scatter","id":"p11231","attributes":{"x":{"type":"value","value":426},"y":{"type":"value","value":0.21535737794795964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11232","attributes":{"x":{"type":"value","value":426},"y":{"type":"value","value":0.21535737794795964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11233","attributes":{"x":{"type":"value","value":426},"y":{"type":"value","value":0.21535737794795964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11243","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11237","attributes":{"selected":{"type":"object","name":"Selection","id":"p11238","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11239"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11244","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11245"}}},"glyph":{"type":"object","name":"Scatter","id":"p11240","attributes":{"x":{"type":"value","value":427},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11241","attributes":{"x":{"type":"value","value":427},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11242","attributes":{"x":{"type":"value","value":427},"y":{"type":"value","value":0.08860941071346654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11252","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11246","attributes":{"selected":{"type":"object","name":"Selection","id":"p11247","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11248"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11253","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11254"}}},"glyph":{"type":"object","name":"Scatter","id":"p11249","attributes":{"x":{"type":"value","value":428},"y":{"type":"value","value":0.12757714759225736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11250","attributes":{"x":{"type":"value","value":428},"y":{"type":"value","value":0.12757714759225736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11251","attributes":{"x":{"type":"value","value":428},"y":{"type":"value","value":0.12757714759225736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11261","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11255","attributes":{"selected":{"type":"object","name":"Selection","id":"p11256","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11257"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11262","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11263"}}},"glyph":{"type":"object","name":"Scatter","id":"p11258","attributes":{"x":{"type":"value","value":429},"y":{"type":"value","value":0.05550982158835887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11259","attributes":{"x":{"type":"value","value":429},"y":{"type":"value","value":0.05550982158835887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11260","attributes":{"x":{"type":"value","value":429},"y":{"type":"value","value":0.05550982158835887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11270","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11264","attributes":{"selected":{"type":"object","name":"Selection","id":"p11265","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11266"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11271","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11272"}}},"glyph":{"type":"object","name":"Scatter","id":"p11267","attributes":{"x":{"type":"value","value":430},"y":{"type":"value","value":0.28024625904889305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11268","attributes":{"x":{"type":"value","value":430},"y":{"type":"value","value":0.28024625904889305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11269","attributes":{"x":{"type":"value","value":430},"y":{"type":"value","value":0.28024625904889305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11279","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11273","attributes":{"selected":{"type":"object","name":"Selection","id":"p11274","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11275"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11280","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11281"}}},"glyph":{"type":"object","name":"Scatter","id":"p11276","attributes":{"x":{"type":"value","value":431},"y":{"type":"value","value":-0.018843319404504736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11277","attributes":{"x":{"type":"value","value":431},"y":{"type":"value","value":-0.018843319404504736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11278","attributes":{"x":{"type":"value","value":431},"y":{"type":"value","value":-0.018843319404504736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11288","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11282","attributes":{"selected":{"type":"object","name":"Selection","id":"p11283","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11284"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11289","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11290"}}},"glyph":{"type":"object","name":"Scatter","id":"p11285","attributes":{"x":{"type":"value","value":432},"y":{"type":"value","value":0.19880693600773733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11286","attributes":{"x":{"type":"value","value":432},"y":{"type":"value","value":0.19880693600773733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11287","attributes":{"x":{"type":"value","value":432},"y":{"type":"value","value":0.19880693600773733},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11297","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11291","attributes":{"selected":{"type":"object","name":"Selection","id":"p11292","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11293"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11298","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11299"}}},"glyph":{"type":"object","name":"Scatter","id":"p11294","attributes":{"x":{"type":"value","value":433},"y":{"type":"value","value":0.14051182773633947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11295","attributes":{"x":{"type":"value","value":433},"y":{"type":"value","value":0.14051182773633947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11296","attributes":{"x":{"type":"value","value":433},"y":{"type":"value","value":0.14051182773633947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11306","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11300","attributes":{"selected":{"type":"object","name":"Selection","id":"p11301","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11302"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11307","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11308"}}},"glyph":{"type":"object","name":"Scatter","id":"p11303","attributes":{"x":{"type":"value","value":434},"y":{"type":"value","value":0.12041885953926508},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11304","attributes":{"x":{"type":"value","value":434},"y":{"type":"value","value":0.12041885953926508},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11305","attributes":{"x":{"type":"value","value":434},"y":{"type":"value","value":0.12041885953926508},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11315","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11309","attributes":{"selected":{"type":"object","name":"Selection","id":"p11310","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11311"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11316","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11317"}}},"glyph":{"type":"object","name":"Scatter","id":"p11312","attributes":{"x":{"type":"value","value":435},"y":{"type":"value","value":0.11442347191564425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11313","attributes":{"x":{"type":"value","value":435},"y":{"type":"value","value":0.11442347191564425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11314","attributes":{"x":{"type":"value","value":435},"y":{"type":"value","value":0.11442347191564425},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11324","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11318","attributes":{"selected":{"type":"object","name":"Selection","id":"p11319","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11320"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11325","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11326"}}},"glyph":{"type":"object","name":"Scatter","id":"p11321","attributes":{"x":{"type":"value","value":436},"y":{"type":"value","value":0.07766811269606345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11322","attributes":{"x":{"type":"value","value":436},"y":{"type":"value","value":0.07766811269606345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11323","attributes":{"x":{"type":"value","value":436},"y":{"type":"value","value":0.07766811269606345},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11333","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11327","attributes":{"selected":{"type":"object","name":"Selection","id":"p11328","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11329"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11334","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11335"}}},"glyph":{"type":"object","name":"Scatter","id":"p11330","attributes":{"x":{"type":"value","value":437},"y":{"type":"value","value":0.0868061840847572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11331","attributes":{"x":{"type":"value","value":437},"y":{"type":"value","value":0.0868061840847572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11332","attributes":{"x":{"type":"value","value":437},"y":{"type":"value","value":0.0868061840847572},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11342","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11336","attributes":{"selected":{"type":"object","name":"Selection","id":"p11337","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11338"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11343","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11344"}}},"glyph":{"type":"object","name":"Scatter","id":"p11339","attributes":{"x":{"type":"value","value":438},"y":{"type":"value","value":-0.005144352725466919},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11340","attributes":{"x":{"type":"value","value":438},"y":{"type":"value","value":-0.005144352725466919},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11341","attributes":{"x":{"type":"value","value":438},"y":{"type":"value","value":-0.005144352725466919},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11351","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11345","attributes":{"selected":{"type":"object","name":"Selection","id":"p11346","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11347"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11352","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11353"}}},"glyph":{"type":"object","name":"Scatter","id":"p11348","attributes":{"x":{"type":"value","value":439},"y":{"type":"value","value":0.04489672684482089},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11349","attributes":{"x":{"type":"value","value":439},"y":{"type":"value","value":0.04489672684482089},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11350","attributes":{"x":{"type":"value","value":439},"y":{"type":"value","value":0.04489672684482089},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11360","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11354","attributes":{"selected":{"type":"object","name":"Selection","id":"p11355","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11356"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11361","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11362"}}},"glyph":{"type":"object","name":"Scatter","id":"p11357","attributes":{"x":{"type":"value","value":440},"y":{"type":"value","value":0.08284779214029436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11358","attributes":{"x":{"type":"value","value":440},"y":{"type":"value","value":0.08284779214029436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11359","attributes":{"x":{"type":"value","value":440},"y":{"type":"value","value":0.08284779214029436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11369","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11363","attributes":{"selected":{"type":"object","name":"Selection","id":"p11364","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11365"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11370","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11371"}}},"glyph":{"type":"object","name":"Scatter","id":"p11366","attributes":{"x":{"type":"value","value":441},"y":{"type":"value","value":0.23485756965223858},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11367","attributes":{"x":{"type":"value","value":441},"y":{"type":"value","value":0.23485756965223858},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11368","attributes":{"x":{"type":"value","value":441},"y":{"type":"value","value":0.23485756965223858},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11378","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11372","attributes":{"selected":{"type":"object","name":"Selection","id":"p11373","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11374"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11379","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11380"}}},"glyph":{"type":"object","name":"Scatter","id":"p11375","attributes":{"x":{"type":"value","value":442},"y":{"type":"value","value":0.20352490473772208},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11376","attributes":{"x":{"type":"value","value":442},"y":{"type":"value","value":0.20352490473772208},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11377","attributes":{"x":{"type":"value","value":442},"y":{"type":"value","value":0.20352490473772208},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11387","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11381","attributes":{"selected":{"type":"object","name":"Selection","id":"p11382","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11383"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11388","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11389"}}},"glyph":{"type":"object","name":"Scatter","id":"p11384","attributes":{"x":{"type":"value","value":443},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11385","attributes":{"x":{"type":"value","value":443},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11386","attributes":{"x":{"type":"value","value":443},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11396","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11390","attributes":{"selected":{"type":"object","name":"Selection","id":"p11391","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11392"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11397","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11398"}}},"glyph":{"type":"object","name":"Scatter","id":"p11393","attributes":{"x":{"type":"value","value":444},"y":{"type":"value","value":0.05212733541000126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11394","attributes":{"x":{"type":"value","value":444},"y":{"type":"value","value":0.05212733541000126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11395","attributes":{"x":{"type":"value","value":444},"y":{"type":"value","value":0.05212733541000126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11405","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11399","attributes":{"selected":{"type":"object","name":"Selection","id":"p11400","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11401"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11406","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11407"}}},"glyph":{"type":"object","name":"Scatter","id":"p11402","attributes":{"x":{"type":"value","value":445},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11403","attributes":{"x":{"type":"value","value":445},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11404","attributes":{"x":{"type":"value","value":445},"y":{"type":"value","value":0.07018951534955266},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11414","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11408","attributes":{"selected":{"type":"object","name":"Selection","id":"p11409","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11410"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11415","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11416"}}},"glyph":{"type":"object","name":"Scatter","id":"p11411","attributes":{"x":{"type":"value","value":446},"y":{"type":"value","value":0.08106982750150966},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11412","attributes":{"x":{"type":"value","value":446},"y":{"type":"value","value":0.08106982750150966},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11413","attributes":{"x":{"type":"value","value":446},"y":{"type":"value","value":0.08106982750150966},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11423","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11417","attributes":{"selected":{"type":"object","name":"Selection","id":"p11418","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11419"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11424","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11425"}}},"glyph":{"type":"object","name":"Scatter","id":"p11420","attributes":{"x":{"type":"value","value":447},"y":{"type":"value","value":0.08386326653153606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11421","attributes":{"x":{"type":"value","value":447},"y":{"type":"value","value":0.08386326653153606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11422","attributes":{"x":{"type":"value","value":447},"y":{"type":"value","value":0.08386326653153606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11432","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11426","attributes":{"selected":{"type":"object","name":"Selection","id":"p11427","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11428"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11433","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11434"}}},"glyph":{"type":"object","name":"Scatter","id":"p11429","attributes":{"x":{"type":"value","value":448},"y":{"type":"value","value":0.05716812455441891},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11430","attributes":{"x":{"type":"value","value":448},"y":{"type":"value","value":0.05716812455441891},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11431","attributes":{"x":{"type":"value","value":448},"y":{"type":"value","value":0.05716812455441891},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11441","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11435","attributes":{"selected":{"type":"object","name":"Selection","id":"p11436","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11437"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11442","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11443"}}},"glyph":{"type":"object","name":"Scatter","id":"p11438","attributes":{"x":{"type":"value","value":449},"y":{"type":"value","value":0.28646196646785427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11439","attributes":{"x":{"type":"value","value":449},"y":{"type":"value","value":0.28646196646785427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11440","attributes":{"x":{"type":"value","value":449},"y":{"type":"value","value":0.28646196646785427},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11450","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11444","attributes":{"selected":{"type":"object","name":"Selection","id":"p11445","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11446"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11451","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11452"}}},"glyph":{"type":"object","name":"Scatter","id":"p11447","attributes":{"x":{"type":"value","value":450},"y":{"type":"value","value":0.023045698848240544},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11448","attributes":{"x":{"type":"value","value":450},"y":{"type":"value","value":0.023045698848240544},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11449","attributes":{"x":{"type":"value","value":450},"y":{"type":"value","value":0.023045698848240544},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11459","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11453","attributes":{"selected":{"type":"object","name":"Selection","id":"p11454","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11455"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11460","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11461"}}},"glyph":{"type":"object","name":"Scatter","id":"p11456","attributes":{"x":{"type":"value","value":451},"y":{"type":"value","value":0.13876816319877397},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11457","attributes":{"x":{"type":"value","value":451},"y":{"type":"value","value":0.13876816319877397},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11458","attributes":{"x":{"type":"value","value":451},"y":{"type":"value","value":0.13876816319877397},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11468","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11462","attributes":{"selected":{"type":"object","name":"Selection","id":"p11463","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11464"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11469","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11470"}}},"glyph":{"type":"object","name":"Scatter","id":"p11465","attributes":{"x":{"type":"value","value":452},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11466","attributes":{"x":{"type":"value","value":452},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11467","attributes":{"x":{"type":"value","value":452},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11477","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11471","attributes":{"selected":{"type":"object","name":"Selection","id":"p11472","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11473"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11478","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11479"}}},"glyph":{"type":"object","name":"Scatter","id":"p11474","attributes":{"x":{"type":"value","value":453},"y":{"type":"value","value":0.03505309181951751},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11475","attributes":{"x":{"type":"value","value":453},"y":{"type":"value","value":0.03505309181951751},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11476","attributes":{"x":{"type":"value","value":453},"y":{"type":"value","value":0.03505309181951751},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11486","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11480","attributes":{"selected":{"type":"object","name":"Selection","id":"p11481","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11482"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11487","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11488"}}},"glyph":{"type":"object","name":"Scatter","id":"p11483","attributes":{"x":{"type":"value","value":454},"y":{"type":"value","value":0.026424249125792196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11484","attributes":{"x":{"type":"value","value":454},"y":{"type":"value","value":0.026424249125792196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11485","attributes":{"x":{"type":"value","value":454},"y":{"type":"value","value":0.026424249125792196},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11495","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11489","attributes":{"selected":{"type":"object","name":"Selection","id":"p11490","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11491"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11496","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11497"}}},"glyph":{"type":"object","name":"Scatter","id":"p11492","attributes":{"x":{"type":"value","value":455},"y":{"type":"value","value":0.08186548131449828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11493","attributes":{"x":{"type":"value","value":455},"y":{"type":"value","value":0.08186548131449828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11494","attributes":{"x":{"type":"value","value":455},"y":{"type":"value","value":0.08186548131449828},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11504","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11498","attributes":{"selected":{"type":"object","name":"Selection","id":"p11499","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11500"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11505","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11506"}}},"glyph":{"type":"object","name":"Scatter","id":"p11501","attributes":{"x":{"type":"value","value":456},"y":{"type":"value","value":0.21835179117196254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11502","attributes":{"x":{"type":"value","value":456},"y":{"type":"value","value":0.21835179117196254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11503","attributes":{"x":{"type":"value","value":456},"y":{"type":"value","value":0.21835179117196254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11513","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11507","attributes":{"selected":{"type":"object","name":"Selection","id":"p11508","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11509"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11514","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11515"}}},"glyph":{"type":"object","name":"Scatter","id":"p11510","attributes":{"x":{"type":"value","value":457},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11511","attributes":{"x":{"type":"value","value":457},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11512","attributes":{"x":{"type":"value","value":457},"y":{"type":"value","value":0.028411832323251583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11522","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11516","attributes":{"selected":{"type":"object","name":"Selection","id":"p11517","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11518"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11523","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11524"}}},"glyph":{"type":"object","name":"Scatter","id":"p11519","attributes":{"x":{"type":"value","value":458},"y":{"type":"value","value":0.0812469139422856},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11520","attributes":{"x":{"type":"value","value":458},"y":{"type":"value","value":0.0812469139422856},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11521","attributes":{"x":{"type":"value","value":458},"y":{"type":"value","value":0.0812469139422856},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11531","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11525","attributes":{"selected":{"type":"object","name":"Selection","id":"p11526","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11527"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11532","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11533"}}},"glyph":{"type":"object","name":"Scatter","id":"p11528","attributes":{"x":{"type":"value","value":459},"y":{"type":"value","value":0.1913476086617132},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11529","attributes":{"x":{"type":"value","value":459},"y":{"type":"value","value":0.1913476086617132},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11530","attributes":{"x":{"type":"value","value":459},"y":{"type":"value","value":0.1913476086617132},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11540","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11534","attributes":{"selected":{"type":"object","name":"Selection","id":"p11535","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11536"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11541","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11542"}}},"glyph":{"type":"object","name":"Scatter","id":"p11537","attributes":{"x":{"type":"value","value":460},"y":{"type":"value","value":0.019077956536726365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11538","attributes":{"x":{"type":"value","value":460},"y":{"type":"value","value":0.019077956536726365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11539","attributes":{"x":{"type":"value","value":460},"y":{"type":"value","value":0.019077956536726365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11549","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11543","attributes":{"selected":{"type":"object","name":"Selection","id":"p11544","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11545"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11550","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11551"}}},"glyph":{"type":"object","name":"Scatter","id":"p11546","attributes":{"x":{"type":"value","value":461},"y":{"type":"value","value":0.13399173648180238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11547","attributes":{"x":{"type":"value","value":461},"y":{"type":"value","value":0.13399173648180238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11548","attributes":{"x":{"type":"value","value":461},"y":{"type":"value","value":0.13399173648180238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11558","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11552","attributes":{"selected":{"type":"object","name":"Selection","id":"p11553","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11554"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11559","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11560"}}},"glyph":{"type":"object","name":"Scatter","id":"p11555","attributes":{"x":{"type":"value","value":462},"y":{"type":"value","value":0.15886634418232962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11556","attributes":{"x":{"type":"value","value":462},"y":{"type":"value","value":0.15886634418232962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11557","attributes":{"x":{"type":"value","value":462},"y":{"type":"value","value":0.15886634418232962},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11567","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11561","attributes":{"selected":{"type":"object","name":"Selection","id":"p11562","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11563"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11568","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11569"}}},"glyph":{"type":"object","name":"Scatter","id":"p11564","attributes":{"x":{"type":"value","value":463},"y":{"type":"value","value":0.16034004509174013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11565","attributes":{"x":{"type":"value","value":463},"y":{"type":"value","value":0.16034004509174013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11566","attributes":{"x":{"type":"value","value":463},"y":{"type":"value","value":0.16034004509174013},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11576","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11570","attributes":{"selected":{"type":"object","name":"Selection","id":"p11571","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11572"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11577","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11578"}}},"glyph":{"type":"object","name":"Scatter","id":"p11573","attributes":{"x":{"type":"value","value":464},"y":{"type":"value","value":0.16389651426858964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11574","attributes":{"x":{"type":"value","value":464},"y":{"type":"value","value":0.16389651426858964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11575","attributes":{"x":{"type":"value","value":464},"y":{"type":"value","value":0.16389651426858964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11585","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11579","attributes":{"selected":{"type":"object","name":"Selection","id":"p11580","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11581"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11586","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11587"}}},"glyph":{"type":"object","name":"Scatter","id":"p11582","attributes":{"x":{"type":"value","value":465},"y":{"type":"value","value":0.014207547732536371},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11583","attributes":{"x":{"type":"value","value":465},"y":{"type":"value","value":0.014207547732536371},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11584","attributes":{"x":{"type":"value","value":465},"y":{"type":"value","value":0.014207547732536371},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11594","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11588","attributes":{"selected":{"type":"object","name":"Selection","id":"p11589","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11590"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11595","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11596"}}},"glyph":{"type":"object","name":"Scatter","id":"p11591","attributes":{"x":{"type":"value","value":466},"y":{"type":"value","value":0.10788327668620931},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11592","attributes":{"x":{"type":"value","value":466},"y":{"type":"value","value":0.10788327668620931},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11593","attributes":{"x":{"type":"value","value":466},"y":{"type":"value","value":0.10788327668620931},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11603","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11597","attributes":{"selected":{"type":"object","name":"Selection","id":"p11598","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11599"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11604","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11605"}}},"glyph":{"type":"object","name":"Scatter","id":"p11600","attributes":{"x":{"type":"value","value":467},"y":{"type":"value","value":-0.061245738951528086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11601","attributes":{"x":{"type":"value","value":467},"y":{"type":"value","value":-0.061245738951528086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11602","attributes":{"x":{"type":"value","value":467},"y":{"type":"value","value":-0.061245738951528086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11612","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11606","attributes":{"selected":{"type":"object","name":"Selection","id":"p11607","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11608"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11613","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11614"}}},"glyph":{"type":"object","name":"Scatter","id":"p11609","attributes":{"x":{"type":"value","value":468},"y":{"type":"value","value":0.06195135476795141},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11610","attributes":{"x":{"type":"value","value":468},"y":{"type":"value","value":0.06195135476795141},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11611","attributes":{"x":{"type":"value","value":468},"y":{"type":"value","value":0.06195135476795141},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11621","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11615","attributes":{"selected":{"type":"object","name":"Selection","id":"p11616","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11617"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11622","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11623"}}},"glyph":{"type":"object","name":"Scatter","id":"p11618","attributes":{"x":{"type":"value","value":469},"y":{"type":"value","value":0.09377397715270568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11619","attributes":{"x":{"type":"value","value":469},"y":{"type":"value","value":0.09377397715270568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11620","attributes":{"x":{"type":"value","value":469},"y":{"type":"value","value":0.09377397715270568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11630","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11624","attributes":{"selected":{"type":"object","name":"Selection","id":"p11625","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11626"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11631","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11632"}}},"glyph":{"type":"object","name":"Scatter","id":"p11627","attributes":{"x":{"type":"value","value":470},"y":{"type":"value","value":-0.015634106011836287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11628","attributes":{"x":{"type":"value","value":470},"y":{"type":"value","value":-0.015634106011836287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11629","attributes":{"x":{"type":"value","value":470},"y":{"type":"value","value":-0.015634106011836287},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11639","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11633","attributes":{"selected":{"type":"object","name":"Selection","id":"p11634","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11635"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11640","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11641"}}},"glyph":{"type":"object","name":"Scatter","id":"p11636","attributes":{"x":{"type":"value","value":471},"y":{"type":"value","value":0.0464148711406387},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11637","attributes":{"x":{"type":"value","value":471},"y":{"type":"value","value":0.0464148711406387},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11638","attributes":{"x":{"type":"value","value":471},"y":{"type":"value","value":0.0464148711406387},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11648","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11642","attributes":{"selected":{"type":"object","name":"Selection","id":"p11643","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11644"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11649","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11650"}}},"glyph":{"type":"object","name":"Scatter","id":"p11645","attributes":{"x":{"type":"value","value":472},"y":{"type":"value","value":-0.047310442976778444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11646","attributes":{"x":{"type":"value","value":472},"y":{"type":"value","value":-0.047310442976778444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11647","attributes":{"x":{"type":"value","value":472},"y":{"type":"value","value":-0.047310442976778444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11657","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11651","attributes":{"selected":{"type":"object","name":"Selection","id":"p11652","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11653"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11658","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11659"}}},"glyph":{"type":"object","name":"Scatter","id":"p11654","attributes":{"x":{"type":"value","value":473},"y":{"type":"value","value":0.015119292956279238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11655","attributes":{"x":{"type":"value","value":473},"y":{"type":"value","value":0.015119292956279238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11656","attributes":{"x":{"type":"value","value":473},"y":{"type":"value","value":0.015119292956279238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11666","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11660","attributes":{"selected":{"type":"object","name":"Selection","id":"p11661","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11662"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11667","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11668"}}},"glyph":{"type":"object","name":"Scatter","id":"p11663","attributes":{"x":{"type":"value","value":474},"y":{"type":"value","value":0.13997400189295706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11664","attributes":{"x":{"type":"value","value":474},"y":{"type":"value","value":0.13997400189295706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11665","attributes":{"x":{"type":"value","value":474},"y":{"type":"value","value":0.13997400189295706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11675","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11669","attributes":{"selected":{"type":"object","name":"Selection","id":"p11670","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11671"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11676","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11677"}}},"glyph":{"type":"object","name":"Scatter","id":"p11672","attributes":{"x":{"type":"value","value":475},"y":{"type":"value","value":-0.010681039902635359},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11673","attributes":{"x":{"type":"value","value":475},"y":{"type":"value","value":-0.010681039902635359},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11674","attributes":{"x":{"type":"value","value":475},"y":{"type":"value","value":-0.010681039902635359},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11684","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11678","attributes":{"selected":{"type":"object","name":"Selection","id":"p11679","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11680"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11685","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11686"}}},"glyph":{"type":"object","name":"Scatter","id":"p11681","attributes":{"x":{"type":"value","value":476},"y":{"type":"value","value":0.3799807513190538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11682","attributes":{"x":{"type":"value","value":476},"y":{"type":"value","value":0.3799807513190538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11683","attributes":{"x":{"type":"value","value":476},"y":{"type":"value","value":0.3799807513190538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11693","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11687","attributes":{"selected":{"type":"object","name":"Selection","id":"p11688","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11689"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11694","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11695"}}},"glyph":{"type":"object","name":"Scatter","id":"p11690","attributes":{"x":{"type":"value","value":477},"y":{"type":"value","value":0.3109260754886564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11691","attributes":{"x":{"type":"value","value":477},"y":{"type":"value","value":0.3109260754886564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11692","attributes":{"x":{"type":"value","value":477},"y":{"type":"value","value":0.3109260754886564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11702","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11696","attributes":{"selected":{"type":"object","name":"Selection","id":"p11697","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11698"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11703","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11704"}}},"glyph":{"type":"object","name":"Scatter","id":"p11699","attributes":{"x":{"type":"value","value":478},"y":{"type":"value","value":0.08999158987023861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11700","attributes":{"x":{"type":"value","value":478},"y":{"type":"value","value":0.08999158987023861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11701","attributes":{"x":{"type":"value","value":478},"y":{"type":"value","value":0.08999158987023861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11711","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11705","attributes":{"selected":{"type":"object","name":"Selection","id":"p11706","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11707"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11712","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11713"}}},"glyph":{"type":"object","name":"Scatter","id":"p11708","attributes":{"x":{"type":"value","value":479},"y":{"type":"value","value":0.08890431767657395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11709","attributes":{"x":{"type":"value","value":479},"y":{"type":"value","value":0.08890431767657395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11710","attributes":{"x":{"type":"value","value":479},"y":{"type":"value","value":0.08890431767657395},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11720","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11714","attributes":{"selected":{"type":"object","name":"Selection","id":"p11715","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11716"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11721","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11722"}}},"glyph":{"type":"object","name":"Scatter","id":"p11717","attributes":{"x":{"type":"value","value":480},"y":{"type":"value","value":0.2469403200553585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11718","attributes":{"x":{"type":"value","value":480},"y":{"type":"value","value":0.2469403200553585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11719","attributes":{"x":{"type":"value","value":480},"y":{"type":"value","value":0.2469403200553585},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11729","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11723","attributes":{"selected":{"type":"object","name":"Selection","id":"p11724","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11725"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11730","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11731"}}},"glyph":{"type":"object","name":"Scatter","id":"p11726","attributes":{"x":{"type":"value","value":481},"y":{"type":"value","value":-0.03509061580040989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11727","attributes":{"x":{"type":"value","value":481},"y":{"type":"value","value":-0.03509061580040989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11728","attributes":{"x":{"type":"value","value":481},"y":{"type":"value","value":-0.03509061580040989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11738","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11732","attributes":{"selected":{"type":"object","name":"Selection","id":"p11733","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11734"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11739","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11740"}}},"glyph":{"type":"object","name":"Scatter","id":"p11735","attributes":{"x":{"type":"value","value":482},"y":{"type":"value","value":0.08494929631925502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11736","attributes":{"x":{"type":"value","value":482},"y":{"type":"value","value":0.08494929631925502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11737","attributes":{"x":{"type":"value","value":482},"y":{"type":"value","value":0.08494929631925502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11747","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11741","attributes":{"selected":{"type":"object","name":"Selection","id":"p11742","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11743"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11748","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11749"}}},"glyph":{"type":"object","name":"Scatter","id":"p11744","attributes":{"x":{"type":"value","value":483},"y":{"type":"value","value":0.11655310880619568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11745","attributes":{"x":{"type":"value","value":483},"y":{"type":"value","value":0.11655310880619568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11746","attributes":{"x":{"type":"value","value":483},"y":{"type":"value","value":0.11655310880619568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11756","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11750","attributes":{"selected":{"type":"object","name":"Selection","id":"p11751","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11752"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11757","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11758"}}},"glyph":{"type":"object","name":"Scatter","id":"p11753","attributes":{"x":{"type":"value","value":484},"y":{"type":"value","value":0.23188435977816169},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11754","attributes":{"x":{"type":"value","value":484},"y":{"type":"value","value":0.23188435977816169},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11755","attributes":{"x":{"type":"value","value":484},"y":{"type":"value","value":0.23188435977816169},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11765","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11759","attributes":{"selected":{"type":"object","name":"Selection","id":"p11760","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11761"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11766","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11767"}}},"glyph":{"type":"object","name":"Scatter","id":"p11762","attributes":{"x":{"type":"value","value":485},"y":{"type":"value","value":0.26762322917085674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11763","attributes":{"x":{"type":"value","value":485},"y":{"type":"value","value":0.26762322917085674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11764","attributes":{"x":{"type":"value","value":485},"y":{"type":"value","value":0.26762322917085674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11774","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11768","attributes":{"selected":{"type":"object","name":"Selection","id":"p11769","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11770"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11775","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11776"}}},"glyph":{"type":"object","name":"Scatter","id":"p11771","attributes":{"x":{"type":"value","value":486},"y":{"type":"value","value":0.20919295520282363},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11772","attributes":{"x":{"type":"value","value":486},"y":{"type":"value","value":0.20919295520282363},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11773","attributes":{"x":{"type":"value","value":486},"y":{"type":"value","value":0.20919295520282363},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11783","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11777","attributes":{"selected":{"type":"object","name":"Selection","id":"p11778","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11779"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11784","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11785"}}},"glyph":{"type":"object","name":"Scatter","id":"p11780","attributes":{"x":{"type":"value","value":487},"y":{"type":"value","value":0.17625094054863444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11781","attributes":{"x":{"type":"value","value":487},"y":{"type":"value","value":0.17625094054863444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11782","attributes":{"x":{"type":"value","value":487},"y":{"type":"value","value":0.17625094054863444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11792","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11786","attributes":{"selected":{"type":"object","name":"Selection","id":"p11787","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11788"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11793","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11794"}}},"glyph":{"type":"object","name":"Scatter","id":"p11789","attributes":{"x":{"type":"value","value":488},"y":{"type":"value","value":0.13047582981264366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11790","attributes":{"x":{"type":"value","value":488},"y":{"type":"value","value":0.13047582981264366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11791","attributes":{"x":{"type":"value","value":488},"y":{"type":"value","value":0.13047582981264366},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11801","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11795","attributes":{"selected":{"type":"object","name":"Selection","id":"p11796","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11797"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11802","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11803"}}},"glyph":{"type":"object","name":"Scatter","id":"p11798","attributes":{"x":{"type":"value","value":489},"y":{"type":"value","value":0.13682394342628337},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11799","attributes":{"x":{"type":"value","value":489},"y":{"type":"value","value":0.13682394342628337},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11800","attributes":{"x":{"type":"value","value":489},"y":{"type":"value","value":0.13682394342628337},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11810","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11804","attributes":{"selected":{"type":"object","name":"Selection","id":"p11805","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11806"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11811","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11812"}}},"glyph":{"type":"object","name":"Scatter","id":"p11807","attributes":{"x":{"type":"value","value":490},"y":{"type":"value","value":0.15209540918819486},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11808","attributes":{"x":{"type":"value","value":490},"y":{"type":"value","value":0.15209540918819486},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11809","attributes":{"x":{"type":"value","value":490},"y":{"type":"value","value":0.15209540918819486},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11819","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11813","attributes":{"selected":{"type":"object","name":"Selection","id":"p11814","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11815"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11820","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11821"}}},"glyph":{"type":"object","name":"Scatter","id":"p11816","attributes":{"x":{"type":"value","value":491},"y":{"type":"value","value":0.18887781078055546},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11817","attributes":{"x":{"type":"value","value":491},"y":{"type":"value","value":0.18887781078055546},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11818","attributes":{"x":{"type":"value","value":491},"y":{"type":"value","value":0.18887781078055546},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11828","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11822","attributes":{"selected":{"type":"object","name":"Selection","id":"p11823","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11824"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11829","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11830"}}},"glyph":{"type":"object","name":"Scatter","id":"p11825","attributes":{"x":{"type":"value","value":492},"y":{"type":"value","value":0.18473070213571202},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11826","attributes":{"x":{"type":"value","value":492},"y":{"type":"value","value":0.18473070213571202},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11827","attributes":{"x":{"type":"value","value":492},"y":{"type":"value","value":0.18473070213571202},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11837","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11831","attributes":{"selected":{"type":"object","name":"Selection","id":"p11832","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11833"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11838","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11839"}}},"glyph":{"type":"object","name":"Scatter","id":"p11834","attributes":{"x":{"type":"value","value":493},"y":{"type":"value","value":0.21281398447916186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11835","attributes":{"x":{"type":"value","value":493},"y":{"type":"value","value":0.21281398447916186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11836","attributes":{"x":{"type":"value","value":493},"y":{"type":"value","value":0.21281398447916186},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11846","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11840","attributes":{"selected":{"type":"object","name":"Selection","id":"p11841","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11842"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11847","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11848"}}},"glyph":{"type":"object","name":"Scatter","id":"p11843","attributes":{"x":{"type":"value","value":494},"y":{"type":"value","value":0.1634728332989198},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11844","attributes":{"x":{"type":"value","value":494},"y":{"type":"value","value":0.1634728332989198},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11845","attributes":{"x":{"type":"value","value":494},"y":{"type":"value","value":0.1634728332989198},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11855","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11849","attributes":{"selected":{"type":"object","name":"Selection","id":"p11850","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11851"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11856","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11857"}}},"glyph":{"type":"object","name":"Scatter","id":"p11852","attributes":{"x":{"type":"value","value":495},"y":{"type":"value","value":-0.07753334000324778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11853","attributes":{"x":{"type":"value","value":495},"y":{"type":"value","value":-0.07753334000324778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11854","attributes":{"x":{"type":"value","value":495},"y":{"type":"value","value":-0.07753334000324778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11864","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11858","attributes":{"selected":{"type":"object","name":"Selection","id":"p11859","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11860"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11865","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11866"}}},"glyph":{"type":"object","name":"Scatter","id":"p11861","attributes":{"x":{"type":"value","value":496},"y":{"type":"value","value":-0.05863452816955108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11862","attributes":{"x":{"type":"value","value":496},"y":{"type":"value","value":-0.05863452816955108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11863","attributes":{"x":{"type":"value","value":496},"y":{"type":"value","value":-0.05863452816955108},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11873","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11867","attributes":{"selected":{"type":"object","name":"Selection","id":"p11868","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11869"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11874","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11875"}}},"glyph":{"type":"object","name":"Scatter","id":"p11870","attributes":{"x":{"type":"value","value":497},"y":{"type":"value","value":-0.09108634579142048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11871","attributes":{"x":{"type":"value","value":497},"y":{"type":"value","value":-0.09108634579142048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11872","attributes":{"x":{"type":"value","value":497},"y":{"type":"value","value":-0.09108634579142048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11882","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11876","attributes":{"selected":{"type":"object","name":"Selection","id":"p11877","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11878"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11883","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11884"}}},"glyph":{"type":"object","name":"Scatter","id":"p11879","attributes":{"x":{"type":"value","value":498},"y":{"type":"value","value":-0.06715446029060676},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11880","attributes":{"x":{"type":"value","value":498},"y":{"type":"value","value":-0.06715446029060676},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11881","attributes":{"x":{"type":"value","value":498},"y":{"type":"value","value":-0.06715446029060676},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11891","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11885","attributes":{"selected":{"type":"object","name":"Selection","id":"p11886","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11887"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11892","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11893"}}},"glyph":{"type":"object","name":"Scatter","id":"p11888","attributes":{"x":{"type":"value","value":499},"y":{"type":"value","value":0.03002222894477667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11889","attributes":{"x":{"type":"value","value":499},"y":{"type":"value","value":0.03002222894477667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11890","attributes":{"x":{"type":"value","value":499},"y":{"type":"value","value":0.03002222894477667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11900","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11894","attributes":{"selected":{"type":"object","name":"Selection","id":"p11895","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11896"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11901","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11902"}}},"glyph":{"type":"object","name":"Scatter","id":"p11897","attributes":{"x":{"type":"value","value":500},"y":{"type":"value","value":-0.08735400458809887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11898","attributes":{"x":{"type":"value","value":500},"y":{"type":"value","value":-0.08735400458809887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11899","attributes":{"x":{"type":"value","value":500},"y":{"type":"value","value":-0.08735400458809887},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11909","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11903","attributes":{"selected":{"type":"object","name":"Selection","id":"p11904","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11905"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11910","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11911"}}},"glyph":{"type":"object","name":"Scatter","id":"p11906","attributes":{"x":{"type":"value","value":501},"y":{"type":"value","value":-0.07093413409436054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11907","attributes":{"x":{"type":"value","value":501},"y":{"type":"value","value":-0.07093413409436054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11908","attributes":{"x":{"type":"value","value":501},"y":{"type":"value","value":-0.07093413409436054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11918","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11912","attributes":{"selected":{"type":"object","name":"Selection","id":"p11913","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11914"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11919","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11920"}}},"glyph":{"type":"object","name":"Scatter","id":"p11915","attributes":{"x":{"type":"value","value":502},"y":{"type":"value","value":0.08425647146772955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11916","attributes":{"x":{"type":"value","value":502},"y":{"type":"value","value":0.08425647146772955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11917","attributes":{"x":{"type":"value","value":502},"y":{"type":"value","value":0.08425647146772955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11927","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11921","attributes":{"selected":{"type":"object","name":"Selection","id":"p11922","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11923"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11928","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11929"}}},"glyph":{"type":"object","name":"Scatter","id":"p11924","attributes":{"x":{"type":"value","value":503},"y":{"type":"value","value":-0.0799120504690623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11925","attributes":{"x":{"type":"value","value":503},"y":{"type":"value","value":-0.0799120504690623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11926","attributes":{"x":{"type":"value","value":503},"y":{"type":"value","value":-0.0799120504690623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11936","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11930","attributes":{"selected":{"type":"object","name":"Selection","id":"p11931","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11932"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11937","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11938"}}},"glyph":{"type":"object","name":"Scatter","id":"p11933","attributes":{"x":{"type":"value","value":504},"y":{"type":"value","value":0.06757893123428226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11934","attributes":{"x":{"type":"value","value":504},"y":{"type":"value","value":0.06757893123428226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11935","attributes":{"x":{"type":"value","value":504},"y":{"type":"value","value":0.06757893123428226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11945","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11939","attributes":{"selected":{"type":"object","name":"Selection","id":"p11940","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11941"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11946","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11947"}}},"glyph":{"type":"object","name":"Scatter","id":"p11942","attributes":{"x":{"type":"value","value":505},"y":{"type":"value","value":-0.08190608421560819},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11943","attributes":{"x":{"type":"value","value":505},"y":{"type":"value","value":-0.08190608421560819},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11944","attributes":{"x":{"type":"value","value":505},"y":{"type":"value","value":-0.08190608421560819},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11954","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11948","attributes":{"selected":{"type":"object","name":"Selection","id":"p11949","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11950"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11955","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11956"}}},"glyph":{"type":"object","name":"Scatter","id":"p11951","attributes":{"x":{"type":"value","value":506},"y":{"type":"value","value":0.0012432206572042443},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11952","attributes":{"x":{"type":"value","value":506},"y":{"type":"value","value":0.0012432206572042443},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11953","attributes":{"x":{"type":"value","value":506},"y":{"type":"value","value":0.0012432206572042443},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11963","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11957","attributes":{"selected":{"type":"object","name":"Selection","id":"p11958","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11959"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11964","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11965"}}},"glyph":{"type":"object","name":"Scatter","id":"p11960","attributes":{"x":{"type":"value","value":507},"y":{"type":"value","value":-0.07882014782485654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11961","attributes":{"x":{"type":"value","value":507},"y":{"type":"value","value":-0.07882014782485654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11962","attributes":{"x":{"type":"value","value":507},"y":{"type":"value","value":-0.07882014782485654},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11972","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11966","attributes":{"selected":{"type":"object","name":"Selection","id":"p11967","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11968"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11973","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11974"}}},"glyph":{"type":"object","name":"Scatter","id":"p11969","attributes":{"x":{"type":"value","value":508},"y":{"type":"value","value":0.23845789812313942},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11970","attributes":{"x":{"type":"value","value":508},"y":{"type":"value","value":0.23845789812313942},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11971","attributes":{"x":{"type":"value","value":508},"y":{"type":"value","value":0.23845789812313942},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11981","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11975","attributes":{"selected":{"type":"object","name":"Selection","id":"p11976","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11977"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11982","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11983"}}},"glyph":{"type":"object","name":"Scatter","id":"p11978","attributes":{"x":{"type":"value","value":509},"y":{"type":"value","value":0.06377525767463277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11979","attributes":{"x":{"type":"value","value":509},"y":{"type":"value","value":0.06377525767463277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11980","attributes":{"x":{"type":"value","value":509},"y":{"type":"value","value":0.06377525767463277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11990","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11984","attributes":{"selected":{"type":"object","name":"Selection","id":"p11985","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11986"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p11991","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p11992"}}},"glyph":{"type":"object","name":"Scatter","id":"p11987","attributes":{"x":{"type":"value","value":510},"y":{"type":"value","value":0.11845543253886348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11988","attributes":{"x":{"type":"value","value":510},"y":{"type":"value","value":0.11845543253886348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11989","attributes":{"x":{"type":"value","value":510},"y":{"type":"value","value":0.11845543253886348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p11999","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p11993","attributes":{"selected":{"type":"object","name":"Selection","id":"p11994","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p11995"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12000","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12001"}}},"glyph":{"type":"object","name":"Scatter","id":"p11996","attributes":{"x":{"type":"value","value":511},"y":{"type":"value","value":0.1719219015193164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p11997","attributes":{"x":{"type":"value","value":511},"y":{"type":"value","value":0.1719219015193164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p11998","attributes":{"x":{"type":"value","value":511},"y":{"type":"value","value":0.1719219015193164},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12008","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12002","attributes":{"selected":{"type":"object","name":"Selection","id":"p12003","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12004"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12009","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12010"}}},"glyph":{"type":"object","name":"Scatter","id":"p12005","attributes":{"x":{"type":"value","value":512},"y":{"type":"value","value":0.16271291772086016},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12006","attributes":{"x":{"type":"value","value":512},"y":{"type":"value","value":0.16271291772086016},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12007","attributes":{"x":{"type":"value","value":512},"y":{"type":"value","value":0.16271291772086016},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12017","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12011","attributes":{"selected":{"type":"object","name":"Selection","id":"p12012","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12013"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12018","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12019"}}},"glyph":{"type":"object","name":"Scatter","id":"p12014","attributes":{"x":{"type":"value","value":513},"y":{"type":"value","value":0.12824890004686879},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12015","attributes":{"x":{"type":"value","value":513},"y":{"type":"value","value":0.12824890004686879},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12016","attributes":{"x":{"type":"value","value":513},"y":{"type":"value","value":0.12824890004686879},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12026","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12020","attributes":{"selected":{"type":"object","name":"Selection","id":"p12021","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12022"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12027","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12028"}}},"glyph":{"type":"object","name":"Scatter","id":"p12023","attributes":{"x":{"type":"value","value":514},"y":{"type":"value","value":0.2505687198020687},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12024","attributes":{"x":{"type":"value","value":514},"y":{"type":"value","value":0.2505687198020687},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12025","attributes":{"x":{"type":"value","value":514},"y":{"type":"value","value":0.2505687198020687},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12035","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12029","attributes":{"selected":{"type":"object","name":"Selection","id":"p12030","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12031"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12036","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12037"}}},"glyph":{"type":"object","name":"Scatter","id":"p12032","attributes":{"x":{"type":"value","value":515},"y":{"type":"value","value":0.21859828225626518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12033","attributes":{"x":{"type":"value","value":515},"y":{"type":"value","value":0.21859828225626518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12034","attributes":{"x":{"type":"value","value":515},"y":{"type":"value","value":0.21859828225626518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12044","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12038","attributes":{"selected":{"type":"object","name":"Selection","id":"p12039","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12040"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12045","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12046"}}},"glyph":{"type":"object","name":"Scatter","id":"p12041","attributes":{"x":{"type":"value","value":516},"y":{"type":"value","value":0.20502119066685254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12042","attributes":{"x":{"type":"value","value":516},"y":{"type":"value","value":0.20502119066685254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12043","attributes":{"x":{"type":"value","value":516},"y":{"type":"value","value":0.20502119066685254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12053","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12047","attributes":{"selected":{"type":"object","name":"Selection","id":"p12048","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12049"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12054","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12055"}}},"glyph":{"type":"object","name":"Scatter","id":"p12050","attributes":{"x":{"type":"value","value":517},"y":{"type":"value","value":0.11518802405632725},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12051","attributes":{"x":{"type":"value","value":517},"y":{"type":"value","value":0.11518802405632725},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12052","attributes":{"x":{"type":"value","value":517},"y":{"type":"value","value":0.11518802405632725},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12062","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12056","attributes":{"selected":{"type":"object","name":"Selection","id":"p12057","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12058"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12063","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12064"}}},"glyph":{"type":"object","name":"Scatter","id":"p12059","attributes":{"x":{"type":"value","value":518},"y":{"type":"value","value":0.10062635424769346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12060","attributes":{"x":{"type":"value","value":518},"y":{"type":"value","value":0.10062635424769346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12061","attributes":{"x":{"type":"value","value":518},"y":{"type":"value","value":0.10062635424769346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12071","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12065","attributes":{"selected":{"type":"object","name":"Selection","id":"p12066","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12067"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12072","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12073"}}},"glyph":{"type":"object","name":"Scatter","id":"p12068","attributes":{"x":{"type":"value","value":519},"y":{"type":"value","value":0.07724689935589817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12069","attributes":{"x":{"type":"value","value":519},"y":{"type":"value","value":0.07724689935589817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12070","attributes":{"x":{"type":"value","value":519},"y":{"type":"value","value":0.07724689935589817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12080","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12074","attributes":{"selected":{"type":"object","name":"Selection","id":"p12075","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12076"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12081","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12082"}}},"glyph":{"type":"object","name":"Scatter","id":"p12077","attributes":{"x":{"type":"value","value":520},"y":{"type":"value","value":0.05616566637558764},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12078","attributes":{"x":{"type":"value","value":520},"y":{"type":"value","value":0.05616566637558764},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12079","attributes":{"x":{"type":"value","value":520},"y":{"type":"value","value":0.05616566637558764},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12089","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12083","attributes":{"selected":{"type":"object","name":"Selection","id":"p12084","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12085"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12090","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12091"}}},"glyph":{"type":"object","name":"Scatter","id":"p12086","attributes":{"x":{"type":"value","value":521},"y":{"type":"value","value":0.04276368596442711},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12087","attributes":{"x":{"type":"value","value":521},"y":{"type":"value","value":0.04276368596442711},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12088","attributes":{"x":{"type":"value","value":521},"y":{"type":"value","value":0.04276368596442711},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12098","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12092","attributes":{"selected":{"type":"object","name":"Selection","id":"p12093","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12094"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12099","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12100"}}},"glyph":{"type":"object","name":"Scatter","id":"p12095","attributes":{"x":{"type":"value","value":522},"y":{"type":"value","value":0.022708254926702674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12096","attributes":{"x":{"type":"value","value":522},"y":{"type":"value","value":0.022708254926702674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12097","attributes":{"x":{"type":"value","value":522},"y":{"type":"value","value":0.022708254926702674},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12107","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12101","attributes":{"selected":{"type":"object","name":"Selection","id":"p12102","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12103"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12108","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12109"}}},"glyph":{"type":"object","name":"Scatter","id":"p12104","attributes":{"x":{"type":"value","value":523},"y":{"type":"value","value":0.19537675291272003},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12105","attributes":{"x":{"type":"value","value":523},"y":{"type":"value","value":0.19537675291272003},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12106","attributes":{"x":{"type":"value","value":523},"y":{"type":"value","value":0.19537675291272003},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12116","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12110","attributes":{"selected":{"type":"object","name":"Selection","id":"p12111","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12112"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12117","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12118"}}},"glyph":{"type":"object","name":"Scatter","id":"p12113","attributes":{"x":{"type":"value","value":524},"y":{"type":"value","value":0.04068563515406659},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12114","attributes":{"x":{"type":"value","value":524},"y":{"type":"value","value":0.04068563515406659},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12115","attributes":{"x":{"type":"value","value":524},"y":{"type":"value","value":0.04068563515406659},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12125","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12119","attributes":{"selected":{"type":"object","name":"Selection","id":"p12120","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12121"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12126","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12127"}}},"glyph":{"type":"object","name":"Scatter","id":"p12122","attributes":{"x":{"type":"value","value":525},"y":{"type":"value","value":0.30806381432577795},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12123","attributes":{"x":{"type":"value","value":525},"y":{"type":"value","value":0.30806381432577795},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12124","attributes":{"x":{"type":"value","value":525},"y":{"type":"value","value":0.30806381432577795},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12134","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12128","attributes":{"selected":{"type":"object","name":"Selection","id":"p12129","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12130"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12135","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12136"}}},"glyph":{"type":"object","name":"Scatter","id":"p12131","attributes":{"x":{"type":"value","value":526},"y":{"type":"value","value":0.20543055012985742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12132","attributes":{"x":{"type":"value","value":526},"y":{"type":"value","value":0.20543055012985742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12133","attributes":{"x":{"type":"value","value":526},"y":{"type":"value","value":0.20543055012985742},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12143","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12137","attributes":{"selected":{"type":"object","name":"Selection","id":"p12138","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12139"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12144","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12145"}}},"glyph":{"type":"object","name":"Scatter","id":"p12140","attributes":{"x":{"type":"value","value":527},"y":{"type":"value","value":0.09853539620643123},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12141","attributes":{"x":{"type":"value","value":527},"y":{"type":"value","value":0.09853539620643123},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12142","attributes":{"x":{"type":"value","value":527},"y":{"type":"value","value":0.09853539620643123},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12152","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12146","attributes":{"selected":{"type":"object","name":"Selection","id":"p12147","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12148"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12153","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12154"}}},"glyph":{"type":"object","name":"Scatter","id":"p12149","attributes":{"x":{"type":"value","value":528},"y":{"type":"value","value":0.1548301477962896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12150","attributes":{"x":{"type":"value","value":528},"y":{"type":"value","value":0.1548301477962896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12151","attributes":{"x":{"type":"value","value":528},"y":{"type":"value","value":0.1548301477962896},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12161","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12155","attributes":{"selected":{"type":"object","name":"Selection","id":"p12156","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12157"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12162","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12163"}}},"glyph":{"type":"object","name":"Scatter","id":"p12158","attributes":{"x":{"type":"value","value":529},"y":{"type":"value","value":0.22182049248045738},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12159","attributes":{"x":{"type":"value","value":529},"y":{"type":"value","value":0.22182049248045738},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12160","attributes":{"x":{"type":"value","value":529},"y":{"type":"value","value":0.22182049248045738},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12170","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12164","attributes":{"selected":{"type":"object","name":"Selection","id":"p12165","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12166"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12171","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12172"}}},"glyph":{"type":"object","name":"Scatter","id":"p12167","attributes":{"x":{"type":"value","value":530},"y":{"type":"value","value":0.2628030203764907},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12168","attributes":{"x":{"type":"value","value":530},"y":{"type":"value","value":0.2628030203764907},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12169","attributes":{"x":{"type":"value","value":530},"y":{"type":"value","value":0.2628030203764907},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12179","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12173","attributes":{"selected":{"type":"object","name":"Selection","id":"p12174","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12175"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12180","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12181"}}},"glyph":{"type":"object","name":"Scatter","id":"p12176","attributes":{"x":{"type":"value","value":531},"y":{"type":"value","value":0.09664638544762967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12177","attributes":{"x":{"type":"value","value":531},"y":{"type":"value","value":0.09664638544762967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12178","attributes":{"x":{"type":"value","value":531},"y":{"type":"value","value":0.09664638544762967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12188","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12182","attributes":{"selected":{"type":"object","name":"Selection","id":"p12183","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12184"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12189","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12190"}}},"glyph":{"type":"object","name":"Scatter","id":"p12185","attributes":{"x":{"type":"value","value":532},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12186","attributes":{"x":{"type":"value","value":532},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12187","attributes":{"x":{"type":"value","value":532},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12197","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12191","attributes":{"selected":{"type":"object","name":"Selection","id":"p12192","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12193"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12198","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12199"}}},"glyph":{"type":"object","name":"Scatter","id":"p12194","attributes":{"x":{"type":"value","value":533},"y":{"type":"value","value":0.3094094573258124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12195","attributes":{"x":{"type":"value","value":533},"y":{"type":"value","value":0.3094094573258124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12196","attributes":{"x":{"type":"value","value":533},"y":{"type":"value","value":0.3094094573258124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12206","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12200","attributes":{"selected":{"type":"object","name":"Selection","id":"p12201","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12202"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12207","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12208"}}},"glyph":{"type":"object","name":"Scatter","id":"p12203","attributes":{"x":{"type":"value","value":534},"y":{"type":"value","value":0.04985672990815457},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12204","attributes":{"x":{"type":"value","value":534},"y":{"type":"value","value":0.04985672990815457},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12205","attributes":{"x":{"type":"value","value":534},"y":{"type":"value","value":0.04985672990815457},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12215","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12209","attributes":{"selected":{"type":"object","name":"Selection","id":"p12210","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12211"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12216","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12217"}}},"glyph":{"type":"object","name":"Scatter","id":"p12212","attributes":{"x":{"type":"value","value":535},"y":{"type":"value","value":0.1455858911826314},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12213","attributes":{"x":{"type":"value","value":535},"y":{"type":"value","value":0.1455858911826314},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12214","attributes":{"x":{"type":"value","value":535},"y":{"type":"value","value":0.1455858911826314},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12224","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12218","attributes":{"selected":{"type":"object","name":"Selection","id":"p12219","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12220"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12225","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12226"}}},"glyph":{"type":"object","name":"Scatter","id":"p12221","attributes":{"x":{"type":"value","value":536},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12222","attributes":{"x":{"type":"value","value":536},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12223","attributes":{"x":{"type":"value","value":536},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12233","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12227","attributes":{"selected":{"type":"object","name":"Selection","id":"p12228","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12229"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12234","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12235"}}},"glyph":{"type":"object","name":"Scatter","id":"p12230","attributes":{"x":{"type":"value","value":537},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12231","attributes":{"x":{"type":"value","value":537},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12232","attributes":{"x":{"type":"value","value":537},"y":{"type":"value","value":0.2708905303000943},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12242","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12236","attributes":{"selected":{"type":"object","name":"Selection","id":"p12237","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12238"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12243","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12244"}}},"glyph":{"type":"object","name":"Scatter","id":"p12239","attributes":{"x":{"type":"value","value":538},"y":{"type":"value","value":0.1536573495944411},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12240","attributes":{"x":{"type":"value","value":538},"y":{"type":"value","value":0.1536573495944411},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12241","attributes":{"x":{"type":"value","value":538},"y":{"type":"value","value":0.1536573495944411},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12251","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12245","attributes":{"selected":{"type":"object","name":"Selection","id":"p12246","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12247"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12252","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12253"}}},"glyph":{"type":"object","name":"Scatter","id":"p12248","attributes":{"x":{"type":"value","value":539},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12249","attributes":{"x":{"type":"value","value":539},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12250","attributes":{"x":{"type":"value","value":539},"y":{"type":"value","value":0.28187624988063326},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12260","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12254","attributes":{"selected":{"type":"object","name":"Selection","id":"p12255","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12256"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12261","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12262"}}},"glyph":{"type":"object","name":"Scatter","id":"p12257","attributes":{"x":{"type":"value","value":540},"y":{"type":"value","value":0.02013733731561653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12258","attributes":{"x":{"type":"value","value":540},"y":{"type":"value","value":0.02013733731561653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12259","attributes":{"x":{"type":"value","value":540},"y":{"type":"value","value":0.02013733731561653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12269","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12263","attributes":{"selected":{"type":"object","name":"Selection","id":"p12264","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12265"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12270","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12271"}}},"glyph":{"type":"object","name":"Scatter","id":"p12266","attributes":{"x":{"type":"value","value":541},"y":{"type":"value","value":0.17061654787461883},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12267","attributes":{"x":{"type":"value","value":541},"y":{"type":"value","value":0.17061654787461883},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12268","attributes":{"x":{"type":"value","value":541},"y":{"type":"value","value":0.17061654787461883},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12278","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12272","attributes":{"selected":{"type":"object","name":"Selection","id":"p12273","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12274"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12279","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12280"}}},"glyph":{"type":"object","name":"Scatter","id":"p12275","attributes":{"x":{"type":"value","value":542},"y":{"type":"value","value":0.09010199561224502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12276","attributes":{"x":{"type":"value","value":542},"y":{"type":"value","value":0.09010199561224502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12277","attributes":{"x":{"type":"value","value":542},"y":{"type":"value","value":0.09010199561224502},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12287","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12281","attributes":{"selected":{"type":"object","name":"Selection","id":"p12282","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12283"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12288","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12289"}}},"glyph":{"type":"object","name":"Scatter","id":"p12284","attributes":{"x":{"type":"value","value":543},"y":{"type":"value","value":0.013484754867413242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12285","attributes":{"x":{"type":"value","value":543},"y":{"type":"value","value":0.013484754867413242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12286","attributes":{"x":{"type":"value","value":543},"y":{"type":"value","value":0.013484754867413242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12296","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12290","attributes":{"selected":{"type":"object","name":"Selection","id":"p12291","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12292"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12297","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12298"}}},"glyph":{"type":"object","name":"Scatter","id":"p12293","attributes":{"x":{"type":"value","value":544},"y":{"type":"value","value":0.08226978365872341},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12294","attributes":{"x":{"type":"value","value":544},"y":{"type":"value","value":0.08226978365872341},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12295","attributes":{"x":{"type":"value","value":544},"y":{"type":"value","value":0.08226978365872341},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12305","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12299","attributes":{"selected":{"type":"object","name":"Selection","id":"p12300","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12301"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12306","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12307"}}},"glyph":{"type":"object","name":"Scatter","id":"p12302","attributes":{"x":{"type":"value","value":545},"y":{"type":"value","value":0.11950181737675215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12303","attributes":{"x":{"type":"value","value":545},"y":{"type":"value","value":0.11950181737675215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12304","attributes":{"x":{"type":"value","value":545},"y":{"type":"value","value":0.11950181737675215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12314","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12308","attributes":{"selected":{"type":"object","name":"Selection","id":"p12309","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12310"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12315","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12316"}}},"glyph":{"type":"object","name":"Scatter","id":"p12311","attributes":{"x":{"type":"value","value":546},"y":{"type":"value","value":0.15330309077354462},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12312","attributes":{"x":{"type":"value","value":546},"y":{"type":"value","value":0.15330309077354462},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12313","attributes":{"x":{"type":"value","value":546},"y":{"type":"value","value":0.15330309077354462},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12323","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12317","attributes":{"selected":{"type":"object","name":"Selection","id":"p12318","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12319"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12324","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12325"}}},"glyph":{"type":"object","name":"Scatter","id":"p12320","attributes":{"x":{"type":"value","value":547},"y":{"type":"value","value":0.12748890226143333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12321","attributes":{"x":{"type":"value","value":547},"y":{"type":"value","value":0.12748890226143333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12322","attributes":{"x":{"type":"value","value":547},"y":{"type":"value","value":0.12748890226143333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12332","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12326","attributes":{"selected":{"type":"object","name":"Selection","id":"p12327","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12328"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12333","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12334"}}},"glyph":{"type":"object","name":"Scatter","id":"p12329","attributes":{"x":{"type":"value","value":548},"y":{"type":"value","value":0.15247323465740215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12330","attributes":{"x":{"type":"value","value":548},"y":{"type":"value","value":0.15247323465740215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12331","attributes":{"x":{"type":"value","value":548},"y":{"type":"value","value":0.15247323465740215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12341","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12335","attributes":{"selected":{"type":"object","name":"Selection","id":"p12336","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12337"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12342","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12343"}}},"glyph":{"type":"object","name":"Scatter","id":"p12338","attributes":{"x":{"type":"value","value":549},"y":{"type":"value","value":0.16758289311523716},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12339","attributes":{"x":{"type":"value","value":549},"y":{"type":"value","value":0.16758289311523716},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12340","attributes":{"x":{"type":"value","value":549},"y":{"type":"value","value":0.16758289311523716},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12350","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12344","attributes":{"selected":{"type":"object","name":"Selection","id":"p12345","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12346"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12351","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12352"}}},"glyph":{"type":"object","name":"Scatter","id":"p12347","attributes":{"x":{"type":"value","value":550},"y":{"type":"value","value":0.011163845091724862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12348","attributes":{"x":{"type":"value","value":550},"y":{"type":"value","value":0.011163845091724862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12349","attributes":{"x":{"type":"value","value":550},"y":{"type":"value","value":0.011163845091724862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12359","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12353","attributes":{"selected":{"type":"object","name":"Selection","id":"p12354","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12355"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12360","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12361"}}},"glyph":{"type":"object","name":"Scatter","id":"p12356","attributes":{"x":{"type":"value","value":551},"y":{"type":"value","value":0.09863376584115922},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12357","attributes":{"x":{"type":"value","value":551},"y":{"type":"value","value":0.09863376584115922},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12358","attributes":{"x":{"type":"value","value":551},"y":{"type":"value","value":0.09863376584115922},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12368","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12362","attributes":{"selected":{"type":"object","name":"Selection","id":"p12363","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12364"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12369","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12370"}}},"glyph":{"type":"object","name":"Scatter","id":"p12365","attributes":{"x":{"type":"value","value":552},"y":{"type":"value","value":0.28919896910597276},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12366","attributes":{"x":{"type":"value","value":552},"y":{"type":"value","value":0.28919896910597276},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12367","attributes":{"x":{"type":"value","value":552},"y":{"type":"value","value":0.28919896910597276},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12377","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12371","attributes":{"selected":{"type":"object","name":"Selection","id":"p12372","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12373"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12378","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12379"}}},"glyph":{"type":"object","name":"Scatter","id":"p12374","attributes":{"x":{"type":"value","value":553},"y":{"type":"value","value":0.09819755685918201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12375","attributes":{"x":{"type":"value","value":553},"y":{"type":"value","value":0.09819755685918201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12376","attributes":{"x":{"type":"value","value":553},"y":{"type":"value","value":0.09819755685918201},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12386","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12380","attributes":{"selected":{"type":"object","name":"Selection","id":"p12381","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12382"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12387","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12388"}}},"glyph":{"type":"object","name":"Scatter","id":"p12383","attributes":{"x":{"type":"value","value":554},"y":{"type":"value","value":0.12285704700321101},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12384","attributes":{"x":{"type":"value","value":554},"y":{"type":"value","value":0.12285704700321101},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12385","attributes":{"x":{"type":"value","value":554},"y":{"type":"value","value":0.12285704700321101},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12395","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12389","attributes":{"selected":{"type":"object","name":"Selection","id":"p12390","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12391"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12396","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12397"}}},"glyph":{"type":"object","name":"Scatter","id":"p12392","attributes":{"x":{"type":"value","value":555},"y":{"type":"value","value":0.06680907217107378},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12393","attributes":{"x":{"type":"value","value":555},"y":{"type":"value","value":0.06680907217107378},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12394","attributes":{"x":{"type":"value","value":555},"y":{"type":"value","value":0.06680907217107378},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12404","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12398","attributes":{"selected":{"type":"object","name":"Selection","id":"p12399","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12400"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12405","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12406"}}},"glyph":{"type":"object","name":"Scatter","id":"p12401","attributes":{"x":{"type":"value","value":556},"y":{"type":"value","value":0.09286663262182783},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12402","attributes":{"x":{"type":"value","value":556},"y":{"type":"value","value":0.09286663262182783},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12403","attributes":{"x":{"type":"value","value":556},"y":{"type":"value","value":0.09286663262182783},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12413","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12407","attributes":{"selected":{"type":"object","name":"Selection","id":"p12408","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12409"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12414","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12415"}}},"glyph":{"type":"object","name":"Scatter","id":"p12410","attributes":{"x":{"type":"value","value":557},"y":{"type":"value","value":0.08038494066714083},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12411","attributes":{"x":{"type":"value","value":557},"y":{"type":"value","value":0.08038494066714083},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12412","attributes":{"x":{"type":"value","value":557},"y":{"type":"value","value":0.08038494066714083},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12422","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12416","attributes":{"selected":{"type":"object","name":"Selection","id":"p12417","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12418"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12423","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12424"}}},"glyph":{"type":"object","name":"Scatter","id":"p12419","attributes":{"x":{"type":"value","value":558},"y":{"type":"value","value":0.0878949270496286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12420","attributes":{"x":{"type":"value","value":558},"y":{"type":"value","value":0.0878949270496286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12421","attributes":{"x":{"type":"value","value":558},"y":{"type":"value","value":0.0878949270496286},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12431","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12425","attributes":{"selected":{"type":"object","name":"Selection","id":"p12426","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12427"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12432","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12433"}}},"glyph":{"type":"object","name":"Scatter","id":"p12428","attributes":{"x":{"type":"value","value":559},"y":{"type":"value","value":0.33484869193626365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12429","attributes":{"x":{"type":"value","value":559},"y":{"type":"value","value":0.33484869193626365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12430","attributes":{"x":{"type":"value","value":559},"y":{"type":"value","value":0.33484869193626365},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12440","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12434","attributes":{"selected":{"type":"object","name":"Selection","id":"p12435","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12436"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12441","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12442"}}},"glyph":{"type":"object","name":"Scatter","id":"p12437","attributes":{"x":{"type":"value","value":560},"y":{"type":"value","value":0.08206028107511346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12438","attributes":{"x":{"type":"value","value":560},"y":{"type":"value","value":0.08206028107511346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12439","attributes":{"x":{"type":"value","value":560},"y":{"type":"value","value":0.08206028107511346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12449","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12443","attributes":{"selected":{"type":"object","name":"Selection","id":"p12444","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12445"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12450","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12451"}}},"glyph":{"type":"object","name":"Scatter","id":"p12446","attributes":{"x":{"type":"value","value":561},"y":{"type":"value","value":0.3065938961772954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12447","attributes":{"x":{"type":"value","value":561},"y":{"type":"value","value":0.3065938961772954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12448","attributes":{"x":{"type":"value","value":561},"y":{"type":"value","value":0.3065938961772954},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12458","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12452","attributes":{"selected":{"type":"object","name":"Selection","id":"p12453","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12454"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12459","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12460"}}},"glyph":{"type":"object","name":"Scatter","id":"p12455","attributes":{"x":{"type":"value","value":562},"y":{"type":"value","value":0.1806325973516002},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12456","attributes":{"x":{"type":"value","value":562},"y":{"type":"value","value":0.1806325973516002},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12457","attributes":{"x":{"type":"value","value":562},"y":{"type":"value","value":0.1806325973516002},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12467","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12461","attributes":{"selected":{"type":"object","name":"Selection","id":"p12462","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12463"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12468","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12469"}}},"glyph":{"type":"object","name":"Scatter","id":"p12464","attributes":{"x":{"type":"value","value":563},"y":{"type":"value","value":0.12426473176490414},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12465","attributes":{"x":{"type":"value","value":563},"y":{"type":"value","value":0.12426473176490414},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12466","attributes":{"x":{"type":"value","value":563},"y":{"type":"value","value":0.12426473176490414},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12476","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12470","attributes":{"selected":{"type":"object","name":"Selection","id":"p12471","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12472"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12477","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12478"}}},"glyph":{"type":"object","name":"Scatter","id":"p12473","attributes":{"x":{"type":"value","value":564},"y":{"type":"value","value":0.124480529933383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12474","attributes":{"x":{"type":"value","value":564},"y":{"type":"value","value":0.124480529933383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12475","attributes":{"x":{"type":"value","value":564},"y":{"type":"value","value":0.124480529933383},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12485","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12479","attributes":{"selected":{"type":"object","name":"Selection","id":"p12480","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12481"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12486","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12487"}}},"glyph":{"type":"object","name":"Scatter","id":"p12482","attributes":{"x":{"type":"value","value":565},"y":{"type":"value","value":0.04470098172269661},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12483","attributes":{"x":{"type":"value","value":565},"y":{"type":"value","value":0.04470098172269661},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12484","attributes":{"x":{"type":"value","value":565},"y":{"type":"value","value":0.04470098172269661},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12494","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12488","attributes":{"selected":{"type":"object","name":"Selection","id":"p12489","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12490"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12495","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12496"}}},"glyph":{"type":"object","name":"Scatter","id":"p12491","attributes":{"x":{"type":"value","value":566},"y":{"type":"value","value":0.05079266043540539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12492","attributes":{"x":{"type":"value","value":566},"y":{"type":"value","value":0.05079266043540539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12493","attributes":{"x":{"type":"value","value":566},"y":{"type":"value","value":0.05079266043540539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12503","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12497","attributes":{"selected":{"type":"object","name":"Selection","id":"p12498","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12499"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12504","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12505"}}},"glyph":{"type":"object","name":"Scatter","id":"p12500","attributes":{"x":{"type":"value","value":567},"y":{"type":"value","value":0.29868412624051444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12501","attributes":{"x":{"type":"value","value":567},"y":{"type":"value","value":0.29868412624051444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12502","attributes":{"x":{"type":"value","value":567},"y":{"type":"value","value":0.29868412624051444},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12512","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12506","attributes":{"selected":{"type":"object","name":"Selection","id":"p12507","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12508"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12513","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12514"}}},"glyph":{"type":"object","name":"Scatter","id":"p12509","attributes":{"x":{"type":"value","value":568},"y":{"type":"value","value":0.26467024118569105},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12510","attributes":{"x":{"type":"value","value":568},"y":{"type":"value","value":0.26467024118569105},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12511","attributes":{"x":{"type":"value","value":568},"y":{"type":"value","value":0.26467024118569105},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12521","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12515","attributes":{"selected":{"type":"object","name":"Selection","id":"p12516","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12517"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12522","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12523"}}},"glyph":{"type":"object","name":"Scatter","id":"p12518","attributes":{"x":{"type":"value","value":569},"y":{"type":"value","value":-0.0630224566115215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12519","attributes":{"x":{"type":"value","value":569},"y":{"type":"value","value":-0.0630224566115215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12520","attributes":{"x":{"type":"value","value":569},"y":{"type":"value","value":-0.0630224566115215},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12530","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12524","attributes":{"selected":{"type":"object","name":"Selection","id":"p12525","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12526"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12531","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12532"}}},"glyph":{"type":"object","name":"Scatter","id":"p12527","attributes":{"x":{"type":"value","value":570},"y":{"type":"value","value":-0.008874380912633841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12528","attributes":{"x":{"type":"value","value":570},"y":{"type":"value","value":-0.008874380912633841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12529","attributes":{"x":{"type":"value","value":570},"y":{"type":"value","value":-0.008874380912633841},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12539","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12533","attributes":{"selected":{"type":"object","name":"Selection","id":"p12534","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12535"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12540","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12541"}}},"glyph":{"type":"object","name":"Scatter","id":"p12536","attributes":{"x":{"type":"value","value":571},"y":{"type":"value","value":0.0021006582751778072},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12537","attributes":{"x":{"type":"value","value":571},"y":{"type":"value","value":0.0021006582751778072},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12538","attributes":{"x":{"type":"value","value":571},"y":{"type":"value","value":0.0021006582751778072},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12548","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12542","attributes":{"selected":{"type":"object","name":"Selection","id":"p12543","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12544"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12549","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12550"}}},"glyph":{"type":"object","name":"Scatter","id":"p12545","attributes":{"x":{"type":"value","value":572},"y":{"type":"value","value":0.0688676946400479},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12546","attributes":{"x":{"type":"value","value":572},"y":{"type":"value","value":0.0688676946400479},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12547","attributes":{"x":{"type":"value","value":572},"y":{"type":"value","value":0.0688676946400479},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12557","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12551","attributes":{"selected":{"type":"object","name":"Selection","id":"p12552","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12553"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12558","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12559"}}},"glyph":{"type":"object","name":"Scatter","id":"p12554","attributes":{"x":{"type":"value","value":573},"y":{"type":"value","value":-0.0006156915089603257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12555","attributes":{"x":{"type":"value","value":573},"y":{"type":"value","value":-0.0006156915089603257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12556","attributes":{"x":{"type":"value","value":573},"y":{"type":"value","value":-0.0006156915089603257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12566","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12560","attributes":{"selected":{"type":"object","name":"Selection","id":"p12561","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12562"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12567","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12568"}}},"glyph":{"type":"object","name":"Scatter","id":"p12563","attributes":{"x":{"type":"value","value":574},"y":{"type":"value","value":-0.05461698802560192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12564","attributes":{"x":{"type":"value","value":574},"y":{"type":"value","value":-0.05461698802560192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12565","attributes":{"x":{"type":"value","value":574},"y":{"type":"value","value":-0.05461698802560192},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12575","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12569","attributes":{"selected":{"type":"object","name":"Selection","id":"p12570","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12571"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12576","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12577"}}},"glyph":{"type":"object","name":"Scatter","id":"p12572","attributes":{"x":{"type":"value","value":575},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12573","attributes":{"x":{"type":"value","value":575},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12574","attributes":{"x":{"type":"value","value":575},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12584","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12578","attributes":{"selected":{"type":"object","name":"Selection","id":"p12579","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12580"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12585","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12586"}}},"glyph":{"type":"object","name":"Scatter","id":"p12581","attributes":{"x":{"type":"value","value":576},"y":{"type":"value","value":0.06396048441750901},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12582","attributes":{"x":{"type":"value","value":576},"y":{"type":"value","value":0.06396048441750901},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12583","attributes":{"x":{"type":"value","value":576},"y":{"type":"value","value":0.06396048441750901},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12593","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12587","attributes":{"selected":{"type":"object","name":"Selection","id":"p12588","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12589"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12594","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12595"}}},"glyph":{"type":"object","name":"Scatter","id":"p12590","attributes":{"x":{"type":"value","value":577},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12591","attributes":{"x":{"type":"value","value":577},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12592","attributes":{"x":{"type":"value","value":577},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12602","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12596","attributes":{"selected":{"type":"object","name":"Selection","id":"p12597","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12598"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12603","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12604"}}},"glyph":{"type":"object","name":"Scatter","id":"p12599","attributes":{"x":{"type":"value","value":578},"y":{"type":"value","value":-0.0028530112533080077},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12600","attributes":{"x":{"type":"value","value":578},"y":{"type":"value","value":-0.0028530112533080077},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12601","attributes":{"x":{"type":"value","value":578},"y":{"type":"value","value":-0.0028530112533080077},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12611","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12605","attributes":{"selected":{"type":"object","name":"Selection","id":"p12606","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12607"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12612","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12613"}}},"glyph":{"type":"object","name":"Scatter","id":"p12608","attributes":{"x":{"type":"value","value":579},"y":{"type":"value","value":0.1212470221822964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12609","attributes":{"x":{"type":"value","value":579},"y":{"type":"value","value":0.1212470221822964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12610","attributes":{"x":{"type":"value","value":579},"y":{"type":"value","value":0.1212470221822964},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12620","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12614","attributes":{"selected":{"type":"object","name":"Selection","id":"p12615","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12616"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12621","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12622"}}},"glyph":{"type":"object","name":"Scatter","id":"p12617","attributes":{"x":{"type":"value","value":580},"y":{"type":"value","value":0.14033960173982316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12618","attributes":{"x":{"type":"value","value":580},"y":{"type":"value","value":0.14033960173982316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12619","attributes":{"x":{"type":"value","value":580},"y":{"type":"value","value":0.14033960173982316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12629","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12623","attributes":{"selected":{"type":"object","name":"Selection","id":"p12624","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12625"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12630","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12631"}}},"glyph":{"type":"object","name":"Scatter","id":"p12626","attributes":{"x":{"type":"value","value":581},"y":{"type":"value","value":-0.030422201167788206},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12627","attributes":{"x":{"type":"value","value":581},"y":{"type":"value","value":-0.030422201167788206},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12628","attributes":{"x":{"type":"value","value":581},"y":{"type":"value","value":-0.030422201167788206},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12638","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12632","attributes":{"selected":{"type":"object","name":"Selection","id":"p12633","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12634"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12639","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12640"}}},"glyph":{"type":"object","name":"Scatter","id":"p12635","attributes":{"x":{"type":"value","value":582},"y":{"type":"value","value":-0.029264460444887525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12636","attributes":{"x":{"type":"value","value":582},"y":{"type":"value","value":-0.029264460444887525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12637","attributes":{"x":{"type":"value","value":582},"y":{"type":"value","value":-0.029264460444887525},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12647","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12641","attributes":{"selected":{"type":"object","name":"Selection","id":"p12642","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12643"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12648","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12649"}}},"glyph":{"type":"object","name":"Scatter","id":"p12644","attributes":{"x":{"type":"value","value":583},"y":{"type":"value","value":-0.019155922792450757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12645","attributes":{"x":{"type":"value","value":583},"y":{"type":"value","value":-0.019155922792450757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12646","attributes":{"x":{"type":"value","value":583},"y":{"type":"value","value":-0.019155922792450757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12656","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12650","attributes":{"selected":{"type":"object","name":"Selection","id":"p12651","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12652"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12657","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12658"}}},"glyph":{"type":"object","name":"Scatter","id":"p12653","attributes":{"x":{"type":"value","value":584},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12654","attributes":{"x":{"type":"value","value":584},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12655","attributes":{"x":{"type":"value","value":584},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12665","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12659","attributes":{"selected":{"type":"object","name":"Selection","id":"p12660","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12661"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12666","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12667"}}},"glyph":{"type":"object","name":"Scatter","id":"p12662","attributes":{"x":{"type":"value","value":585},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12663","attributes":{"x":{"type":"value","value":585},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12664","attributes":{"x":{"type":"value","value":585},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12674","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12668","attributes":{"selected":{"type":"object","name":"Selection","id":"p12669","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12670"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12675","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12676"}}},"glyph":{"type":"object","name":"Scatter","id":"p12671","attributes":{"x":{"type":"value","value":586},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12672","attributes":{"x":{"type":"value","value":586},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12673","attributes":{"x":{"type":"value","value":586},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12683","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12677","attributes":{"selected":{"type":"object","name":"Selection","id":"p12678","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12679"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12684","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12685"}}},"glyph":{"type":"object","name":"Scatter","id":"p12680","attributes":{"x":{"type":"value","value":587},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12681","attributes":{"x":{"type":"value","value":587},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12682","attributes":{"x":{"type":"value","value":587},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12692","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12686","attributes":{"selected":{"type":"object","name":"Selection","id":"p12687","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12688"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12693","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12694"}}},"glyph":{"type":"object","name":"Scatter","id":"p12689","attributes":{"x":{"type":"value","value":588},"y":{"type":"value","value":0.20483462885223672},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12690","attributes":{"x":{"type":"value","value":588},"y":{"type":"value","value":0.20483462885223672},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12691","attributes":{"x":{"type":"value","value":588},"y":{"type":"value","value":0.20483462885223672},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12701","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12695","attributes":{"selected":{"type":"object","name":"Selection","id":"p12696","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12697"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12702","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12703"}}},"glyph":{"type":"object","name":"Scatter","id":"p12698","attributes":{"x":{"type":"value","value":589},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12699","attributes":{"x":{"type":"value","value":589},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12700","attributes":{"x":{"type":"value","value":589},"y":{"type":"value","value":-0.012909261485696955},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12710","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12704","attributes":{"selected":{"type":"object","name":"Selection","id":"p12705","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12706"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12711","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12712"}}},"glyph":{"type":"object","name":"Scatter","id":"p12707","attributes":{"x":{"type":"value","value":590},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12708","attributes":{"x":{"type":"value","value":590},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12709","attributes":{"x":{"type":"value","value":590},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12719","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12713","attributes":{"selected":{"type":"object","name":"Selection","id":"p12714","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12715"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12720","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12721"}}},"glyph":{"type":"object","name":"Scatter","id":"p12716","attributes":{"x":{"type":"value","value":591},"y":{"type":"value","value":-0.031004530383889076},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12717","attributes":{"x":{"type":"value","value":591},"y":{"type":"value","value":-0.031004530383889076},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12718","attributes":{"x":{"type":"value","value":591},"y":{"type":"value","value":-0.031004530383889076},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12728","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12722","attributes":{"selected":{"type":"object","name":"Selection","id":"p12723","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12724"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12729","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12730"}}},"glyph":{"type":"object","name":"Scatter","id":"p12725","attributes":{"x":{"type":"value","value":592},"y":{"type":"value","value":0.03888744727045066},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12726","attributes":{"x":{"type":"value","value":592},"y":{"type":"value","value":0.03888744727045066},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12727","attributes":{"x":{"type":"value","value":592},"y":{"type":"value","value":0.03888744727045066},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12737","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12731","attributes":{"selected":{"type":"object","name":"Selection","id":"p12732","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12733"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12738","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12739"}}},"glyph":{"type":"object","name":"Scatter","id":"p12734","attributes":{"x":{"type":"value","value":593},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12735","attributes":{"x":{"type":"value","value":593},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12736","attributes":{"x":{"type":"value","value":593},"y":{"type":"value","value":-0.007715802385412355},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12746","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12740","attributes":{"selected":{"type":"object","name":"Selection","id":"p12741","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12742"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12747","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12748"}}},"glyph":{"type":"object","name":"Scatter","id":"p12743","attributes":{"x":{"type":"value","value":594},"y":{"type":"value","value":0.04791484096622854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12744","attributes":{"x":{"type":"value","value":594},"y":{"type":"value","value":0.04791484096622854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12745","attributes":{"x":{"type":"value","value":594},"y":{"type":"value","value":0.04791484096622854},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12755","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12749","attributes":{"selected":{"type":"object","name":"Selection","id":"p12750","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12751"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12756","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12757"}}},"glyph":{"type":"object","name":"Scatter","id":"p12752","attributes":{"x":{"type":"value","value":595},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12753","attributes":{"x":{"type":"value","value":595},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12754","attributes":{"x":{"type":"value","value":595},"y":{"type":"value","value":-0.09269667054676564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12764","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12758","attributes":{"selected":{"type":"object","name":"Selection","id":"p12759","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12760"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12765","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12766"}}},"glyph":{"type":"object","name":"Scatter","id":"p12761","attributes":{"x":{"type":"value","value":596},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12762","attributes":{"x":{"type":"value","value":596},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12763","attributes":{"x":{"type":"value","value":596},"y":{"type":"value","value":0.07200721100827714},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12773","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12767","attributes":{"selected":{"type":"object","name":"Selection","id":"p12768","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12769"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12774","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12775"}}},"glyph":{"type":"object","name":"Scatter","id":"p12770","attributes":{"x":{"type":"value","value":597},"y":{"type":"value","value":-0.015150768237797289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12771","attributes":{"x":{"type":"value","value":597},"y":{"type":"value","value":-0.015150768237797289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12772","attributes":{"x":{"type":"value","value":597},"y":{"type":"value","value":-0.015150768237797289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12782","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12776","attributes":{"selected":{"type":"object","name":"Selection","id":"p12777","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12778"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12783","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12784"}}},"glyph":{"type":"object","name":"Scatter","id":"p12779","attributes":{"x":{"type":"value","value":598},"y":{"type":"value","value":0.1674841777631894},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12780","attributes":{"x":{"type":"value","value":598},"y":{"type":"value","value":0.1674841777631894},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12781","attributes":{"x":{"type":"value","value":598},"y":{"type":"value","value":0.1674841777631894},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12791","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12785","attributes":{"selected":{"type":"object","name":"Selection","id":"p12786","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12787"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12792","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12793"}}},"glyph":{"type":"object","name":"Scatter","id":"p12788","attributes":{"x":{"type":"value","value":599},"y":{"type":"value","value":-0.1422779956412374},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12789","attributes":{"x":{"type":"value","value":599},"y":{"type":"value","value":-0.1422779956412374},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12790","attributes":{"x":{"type":"value","value":599},"y":{"type":"value","value":-0.1422779956412374},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12800","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12794","attributes":{"selected":{"type":"object","name":"Selection","id":"p12795","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12796"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12801","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12802"}}},"glyph":{"type":"object","name":"Scatter","id":"p12797","attributes":{"x":{"type":"value","value":600},"y":{"type":"value","value":-0.11674637388338648},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12798","attributes":{"x":{"type":"value","value":600},"y":{"type":"value","value":-0.11674637388338648},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12799","attributes":{"x":{"type":"value","value":600},"y":{"type":"value","value":-0.11674637388338648},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12809","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12803","attributes":{"selected":{"type":"object","name":"Selection","id":"p12804","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12805"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12810","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12811"}}},"glyph":{"type":"object","name":"Scatter","id":"p12806","attributes":{"x":{"type":"value","value":601},"y":{"type":"value","value":0.017823640163053288},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12807","attributes":{"x":{"type":"value","value":601},"y":{"type":"value","value":0.017823640163053288},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12808","attributes":{"x":{"type":"value","value":601},"y":{"type":"value","value":0.017823640163053288},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12818","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12812","attributes":{"selected":{"type":"object","name":"Selection","id":"p12813","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12814"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12819","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12820"}}},"glyph":{"type":"object","name":"Scatter","id":"p12815","attributes":{"x":{"type":"value","value":602},"y":{"type":"value","value":0.04642882575311903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12816","attributes":{"x":{"type":"value","value":602},"y":{"type":"value","value":0.04642882575311903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12817","attributes":{"x":{"type":"value","value":602},"y":{"type":"value","value":0.04642882575311903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12827","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12821","attributes":{"selected":{"type":"object","name":"Selection","id":"p12822","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12823"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12828","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12829"}}},"glyph":{"type":"object","name":"Scatter","id":"p12824","attributes":{"x":{"type":"value","value":603},"y":{"type":"value","value":0.2574735316854436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12825","attributes":{"x":{"type":"value","value":603},"y":{"type":"value","value":0.2574735316854436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12826","attributes":{"x":{"type":"value","value":603},"y":{"type":"value","value":0.2574735316854436},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12836","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12830","attributes":{"selected":{"type":"object","name":"Selection","id":"p12831","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12832"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12837","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12838"}}},"glyph":{"type":"object","name":"Scatter","id":"p12833","attributes":{"x":{"type":"value","value":604},"y":{"type":"value","value":0.1854609183320351},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12834","attributes":{"x":{"type":"value","value":604},"y":{"type":"value","value":0.1854609183320351},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12835","attributes":{"x":{"type":"value","value":604},"y":{"type":"value","value":0.1854609183320351},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12845","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12839","attributes":{"selected":{"type":"object","name":"Selection","id":"p12840","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12841"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12846","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12847"}}},"glyph":{"type":"object","name":"Scatter","id":"p12842","attributes":{"x":{"type":"value","value":605},"y":{"type":"value","value":0.3633158945920262},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12843","attributes":{"x":{"type":"value","value":605},"y":{"type":"value","value":0.3633158945920262},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12844","attributes":{"x":{"type":"value","value":605},"y":{"type":"value","value":0.3633158945920262},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12854","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12848","attributes":{"selected":{"type":"object","name":"Selection","id":"p12849","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12850"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12855","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12856"}}},"glyph":{"type":"object","name":"Scatter","id":"p12851","attributes":{"x":{"type":"value","value":606},"y":{"type":"value","value":0.10367828742184568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12852","attributes":{"x":{"type":"value","value":606},"y":{"type":"value","value":0.10367828742184568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12853","attributes":{"x":{"type":"value","value":606},"y":{"type":"value","value":0.10367828742184568},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12863","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12857","attributes":{"selected":{"type":"object","name":"Selection","id":"p12858","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12859"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12864","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12865"}}},"glyph":{"type":"object","name":"Scatter","id":"p12860","attributes":{"x":{"type":"value","value":607},"y":{"type":"value","value":0.15948704666310082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12861","attributes":{"x":{"type":"value","value":607},"y":{"type":"value","value":0.15948704666310082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12862","attributes":{"x":{"type":"value","value":607},"y":{"type":"value","value":0.15948704666310082},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12872","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12866","attributes":{"selected":{"type":"object","name":"Selection","id":"p12867","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12868"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12873","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12874"}}},"glyph":{"type":"object","name":"Scatter","id":"p12869","attributes":{"x":{"type":"value","value":608},"y":{"type":"value","value":0.2104516785148991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12870","attributes":{"x":{"type":"value","value":608},"y":{"type":"value","value":0.2104516785148991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12871","attributes":{"x":{"type":"value","value":608},"y":{"type":"value","value":0.2104516785148991},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12881","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12875","attributes":{"selected":{"type":"object","name":"Selection","id":"p12876","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12877"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12882","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12883"}}},"glyph":{"type":"object","name":"Scatter","id":"p12878","attributes":{"x":{"type":"value","value":609},"y":{"type":"value","value":-0.045072694281437745},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12879","attributes":{"x":{"type":"value","value":609},"y":{"type":"value","value":-0.045072694281437745},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12880","attributes":{"x":{"type":"value","value":609},"y":{"type":"value","value":-0.045072694281437745},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12890","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12884","attributes":{"selected":{"type":"object","name":"Selection","id":"p12885","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12886"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12891","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12892"}}},"glyph":{"type":"object","name":"Scatter","id":"p12887","attributes":{"x":{"type":"value","value":610},"y":{"type":"value","value":0.011421783110559245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12888","attributes":{"x":{"type":"value","value":610},"y":{"type":"value","value":0.011421783110559245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12889","attributes":{"x":{"type":"value","value":610},"y":{"type":"value","value":0.011421783110559245},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12899","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12893","attributes":{"selected":{"type":"object","name":"Selection","id":"p12894","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12895"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12900","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12901"}}},"glyph":{"type":"object","name":"Scatter","id":"p12896","attributes":{"x":{"type":"value","value":611},"y":{"type":"value","value":0.0012051519984552846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12897","attributes":{"x":{"type":"value","value":611},"y":{"type":"value","value":0.0012051519984552846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12898","attributes":{"x":{"type":"value","value":611},"y":{"type":"value","value":0.0012051519984552846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12908","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12902","attributes":{"selected":{"type":"object","name":"Selection","id":"p12903","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12904"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12909","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12910"}}},"glyph":{"type":"object","name":"Scatter","id":"p12905","attributes":{"x":{"type":"value","value":612},"y":{"type":"value","value":0.12049475755717967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12906","attributes":{"x":{"type":"value","value":612},"y":{"type":"value","value":0.12049475755717967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12907","attributes":{"x":{"type":"value","value":612},"y":{"type":"value","value":0.12049475755717967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12917","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12911","attributes":{"selected":{"type":"object","name":"Selection","id":"p12912","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12913"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12918","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12919"}}},"glyph":{"type":"object","name":"Scatter","id":"p12914","attributes":{"x":{"type":"value","value":613},"y":{"type":"value","value":-0.02940737512913239},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12915","attributes":{"x":{"type":"value","value":613},"y":{"type":"value","value":-0.02940737512913239},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12916","attributes":{"x":{"type":"value","value":613},"y":{"type":"value","value":-0.02940737512913239},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12926","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12920","attributes":{"selected":{"type":"object","name":"Selection","id":"p12921","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12922"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12927","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12928"}}},"glyph":{"type":"object","name":"Scatter","id":"p12923","attributes":{"x":{"type":"value","value":614},"y":{"type":"value","value":0.15190903285797167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12924","attributes":{"x":{"type":"value","value":614},"y":{"type":"value","value":0.15190903285797167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12925","attributes":{"x":{"type":"value","value":614},"y":{"type":"value","value":0.15190903285797167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12935","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12929","attributes":{"selected":{"type":"object","name":"Selection","id":"p12930","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12931"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12936","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12937"}}},"glyph":{"type":"object","name":"Scatter","id":"p12932","attributes":{"x":{"type":"value","value":615},"y":{"type":"value","value":-0.037768632800621635},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12933","attributes":{"x":{"type":"value","value":615},"y":{"type":"value","value":-0.037768632800621635},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12934","attributes":{"x":{"type":"value","value":615},"y":{"type":"value","value":-0.037768632800621635},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12944","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12938","attributes":{"selected":{"type":"object","name":"Selection","id":"p12939","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12940"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12945","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12946"}}},"glyph":{"type":"object","name":"Scatter","id":"p12941","attributes":{"x":{"type":"value","value":616},"y":{"type":"value","value":0.06483828599799983},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12942","attributes":{"x":{"type":"value","value":616},"y":{"type":"value","value":0.06483828599799983},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12943","attributes":{"x":{"type":"value","value":616},"y":{"type":"value","value":0.06483828599799983},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12953","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12947","attributes":{"selected":{"type":"object","name":"Selection","id":"p12948","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12949"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12954","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12955"}}},"glyph":{"type":"object","name":"Scatter","id":"p12950","attributes":{"x":{"type":"value","value":617},"y":{"type":"value","value":0.010528747842776453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12951","attributes":{"x":{"type":"value","value":617},"y":{"type":"value","value":0.010528747842776453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12952","attributes":{"x":{"type":"value","value":617},"y":{"type":"value","value":0.010528747842776453},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12962","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12956","attributes":{"selected":{"type":"object","name":"Selection","id":"p12957","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12958"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12963","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12964"}}},"glyph":{"type":"object","name":"Scatter","id":"p12959","attributes":{"x":{"type":"value","value":618},"y":{"type":"value","value":-0.01760102632526032},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12960","attributes":{"x":{"type":"value","value":618},"y":{"type":"value","value":-0.01760102632526032},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12961","attributes":{"x":{"type":"value","value":618},"y":{"type":"value","value":-0.01760102632526032},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12971","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12965","attributes":{"selected":{"type":"object","name":"Selection","id":"p12966","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12967"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12972","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12973"}}},"glyph":{"type":"object","name":"Scatter","id":"p12968","attributes":{"x":{"type":"value","value":619},"y":{"type":"value","value":0.005539056660788663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12969","attributes":{"x":{"type":"value","value":619},"y":{"type":"value","value":0.005539056660788663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12970","attributes":{"x":{"type":"value","value":619},"y":{"type":"value","value":0.005539056660788663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12980","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12974","attributes":{"selected":{"type":"object","name":"Selection","id":"p12975","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12976"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12981","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12982"}}},"glyph":{"type":"object","name":"Scatter","id":"p12977","attributes":{"x":{"type":"value","value":620},"y":{"type":"value","value":0.20943939515533902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12978","attributes":{"x":{"type":"value","value":620},"y":{"type":"value","value":0.20943939515533902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12979","attributes":{"x":{"type":"value","value":620},"y":{"type":"value","value":0.20943939515533902},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12989","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12983","attributes":{"selected":{"type":"object","name":"Selection","id":"p12984","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12985"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12990","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p12991"}}},"glyph":{"type":"object","name":"Scatter","id":"p12986","attributes":{"x":{"type":"value","value":621},"y":{"type":"value","value":0.17388884155677953},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12987","attributes":{"x":{"type":"value","value":621},"y":{"type":"value","value":0.17388884155677953},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12988","attributes":{"x":{"type":"value","value":621},"y":{"type":"value","value":0.17388884155677953},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p12998","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p12992","attributes":{"selected":{"type":"object","name":"Selection","id":"p12993","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p12994"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p12999","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13000"}}},"glyph":{"type":"object","name":"Scatter","id":"p12995","attributes":{"x":{"type":"value","value":622},"y":{"type":"value","value":0.12536554382458867},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p12996","attributes":{"x":{"type":"value","value":622},"y":{"type":"value","value":0.12536554382458867},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p12997","attributes":{"x":{"type":"value","value":622},"y":{"type":"value","value":0.12536554382458867},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13007","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13001","attributes":{"selected":{"type":"object","name":"Selection","id":"p13002","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13003"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13008","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13009"}}},"glyph":{"type":"object","name":"Scatter","id":"p13004","attributes":{"x":{"type":"value","value":623},"y":{"type":"value","value":0.09771325878095631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13005","attributes":{"x":{"type":"value","value":623},"y":{"type":"value","value":0.09771325878095631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13006","attributes":{"x":{"type":"value","value":623},"y":{"type":"value","value":0.09771325878095631},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13016","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13010","attributes":{"selected":{"type":"object","name":"Selection","id":"p13011","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13012"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13017","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13018"}}},"glyph":{"type":"object","name":"Scatter","id":"p13013","attributes":{"x":{"type":"value","value":624},"y":{"type":"value","value":0.10319813510854302},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13014","attributes":{"x":{"type":"value","value":624},"y":{"type":"value","value":0.10319813510854302},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13015","attributes":{"x":{"type":"value","value":624},"y":{"type":"value","value":0.10319813510854302},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13025","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13019","attributes":{"selected":{"type":"object","name":"Selection","id":"p13020","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13021"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13026","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13027"}}},"glyph":{"type":"object","name":"Scatter","id":"p13022","attributes":{"x":{"type":"value","value":625},"y":{"type":"value","value":0.12616960086125154},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13023","attributes":{"x":{"type":"value","value":625},"y":{"type":"value","value":0.12616960086125154},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13024","attributes":{"x":{"type":"value","value":625},"y":{"type":"value","value":0.12616960086125154},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13034","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13028","attributes":{"selected":{"type":"object","name":"Selection","id":"p13029","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13030"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13035","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13036"}}},"glyph":{"type":"object","name":"Scatter","id":"p13031","attributes":{"x":{"type":"value","value":626},"y":{"type":"value","value":0.13876547225044406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13032","attributes":{"x":{"type":"value","value":626},"y":{"type":"value","value":0.13876547225044406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13033","attributes":{"x":{"type":"value","value":626},"y":{"type":"value","value":0.13876547225044406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13043","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13037","attributes":{"selected":{"type":"object","name":"Selection","id":"p13038","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13039"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13044","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13045"}}},"glyph":{"type":"object","name":"Scatter","id":"p13040","attributes":{"x":{"type":"value","value":627},"y":{"type":"value","value":0.05000642394224056},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13041","attributes":{"x":{"type":"value","value":627},"y":{"type":"value","value":0.05000642394224056},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13042","attributes":{"x":{"type":"value","value":627},"y":{"type":"value","value":0.05000642394224056},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13052","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13046","attributes":{"selected":{"type":"object","name":"Selection","id":"p13047","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13048"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13053","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13054"}}},"glyph":{"type":"object","name":"Scatter","id":"p13049","attributes":{"x":{"type":"value","value":628},"y":{"type":"value","value":0.14588089992974596},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13050","attributes":{"x":{"type":"value","value":628},"y":{"type":"value","value":0.14588089992974596},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13051","attributes":{"x":{"type":"value","value":628},"y":{"type":"value","value":0.14588089992974596},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13061","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13055","attributes":{"selected":{"type":"object","name":"Selection","id":"p13056","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13057"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13062","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13063"}}},"glyph":{"type":"object","name":"Scatter","id":"p13058","attributes":{"x":{"type":"value","value":629},"y":{"type":"value","value":0.06970821528906973},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13059","attributes":{"x":{"type":"value","value":629},"y":{"type":"value","value":0.06970821528906973},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13060","attributes":{"x":{"type":"value","value":629},"y":{"type":"value","value":0.06970821528906973},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13070","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13064","attributes":{"selected":{"type":"object","name":"Selection","id":"p13065","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13066"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13071","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13072"}}},"glyph":{"type":"object","name":"Scatter","id":"p13067","attributes":{"x":{"type":"value","value":630},"y":{"type":"value","value":0.09022474648090538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13068","attributes":{"x":{"type":"value","value":630},"y":{"type":"value","value":0.09022474648090538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13069","attributes":{"x":{"type":"value","value":630},"y":{"type":"value","value":0.09022474648090538},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13079","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13073","attributes":{"selected":{"type":"object","name":"Selection","id":"p13074","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13075"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13080","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13081"}}},"glyph":{"type":"object","name":"Scatter","id":"p13076","attributes":{"x":{"type":"value","value":631},"y":{"type":"value","value":0.03965989930430199},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13077","attributes":{"x":{"type":"value","value":631},"y":{"type":"value","value":0.03965989930430199},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13078","attributes":{"x":{"type":"value","value":631},"y":{"type":"value","value":0.03965989930430199},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13088","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13082","attributes":{"selected":{"type":"object","name":"Selection","id":"p13083","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13084"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13089","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13090"}}},"glyph":{"type":"object","name":"Scatter","id":"p13085","attributes":{"x":{"type":"value","value":632},"y":{"type":"value","value":0.18053277785607216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13086","attributes":{"x":{"type":"value","value":632},"y":{"type":"value","value":0.18053277785607216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13087","attributes":{"x":{"type":"value","value":632},"y":{"type":"value","value":0.18053277785607216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13097","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13091","attributes":{"selected":{"type":"object","name":"Selection","id":"p13092","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13093"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13098","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13099"}}},"glyph":{"type":"object","name":"Scatter","id":"p13094","attributes":{"x":{"type":"value","value":633},"y":{"type":"value","value":0.0876274375675297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13095","attributes":{"x":{"type":"value","value":633},"y":{"type":"value","value":0.0876274375675297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13096","attributes":{"x":{"type":"value","value":633},"y":{"type":"value","value":0.0876274375675297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13106","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13100","attributes":{"selected":{"type":"object","name":"Selection","id":"p13101","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13102"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13107","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13108"}}},"glyph":{"type":"object","name":"Scatter","id":"p13103","attributes":{"x":{"type":"value","value":634},"y":{"type":"value","value":0.13960997967091274},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13104","attributes":{"x":{"type":"value","value":634},"y":{"type":"value","value":0.13960997967091274},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13105","attributes":{"x":{"type":"value","value":634},"y":{"type":"value","value":0.13960997967091274},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13115","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13109","attributes":{"selected":{"type":"object","name":"Selection","id":"p13110","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13111"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13116","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13117"}}},"glyph":{"type":"object","name":"Scatter","id":"p13112","attributes":{"x":{"type":"value","value":635},"y":{"type":"value","value":0.12590957410027734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13113","attributes":{"x":{"type":"value","value":635},"y":{"type":"value","value":0.12590957410027734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13114","attributes":{"x":{"type":"value","value":635},"y":{"type":"value","value":0.12590957410027734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13124","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13118","attributes":{"selected":{"type":"object","name":"Selection","id":"p13119","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13120"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13125","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13126"}}},"glyph":{"type":"object","name":"Scatter","id":"p13121","attributes":{"x":{"type":"value","value":636},"y":{"type":"value","value":0.2373376162774491},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13122","attributes":{"x":{"type":"value","value":636},"y":{"type":"value","value":0.2373376162774491},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13123","attributes":{"x":{"type":"value","value":636},"y":{"type":"value","value":0.2373376162774491},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13133","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13127","attributes":{"selected":{"type":"object","name":"Selection","id":"p13128","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13129"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13134","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13135"}}},"glyph":{"type":"object","name":"Scatter","id":"p13130","attributes":{"x":{"type":"value","value":637},"y":{"type":"value","value":0.1899601015230573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13131","attributes":{"x":{"type":"value","value":637},"y":{"type":"value","value":0.1899601015230573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13132","attributes":{"x":{"type":"value","value":637},"y":{"type":"value","value":0.1899601015230573},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13142","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13136","attributes":{"selected":{"type":"object","name":"Selection","id":"p13137","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13138"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13143","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13144"}}},"glyph":{"type":"object","name":"Scatter","id":"p13139","attributes":{"x":{"type":"value","value":638},"y":{"type":"value","value":0.013997352994324277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13140","attributes":{"x":{"type":"value","value":638},"y":{"type":"value","value":0.013997352994324277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13141","attributes":{"x":{"type":"value","value":638},"y":{"type":"value","value":0.013997352994324277},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13151","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13145","attributes":{"selected":{"type":"object","name":"Selection","id":"p13146","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13147"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13152","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13153"}}},"glyph":{"type":"object","name":"Scatter","id":"p13148","attributes":{"x":{"type":"value","value":639},"y":{"type":"value","value":0.058601425650046175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13149","attributes":{"x":{"type":"value","value":639},"y":{"type":"value","value":0.058601425650046175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13150","attributes":{"x":{"type":"value","value":639},"y":{"type":"value","value":0.058601425650046175},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13160","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13154","attributes":{"selected":{"type":"object","name":"Selection","id":"p13155","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13156"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13161","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13162"}}},"glyph":{"type":"object","name":"Scatter","id":"p13157","attributes":{"x":{"type":"value","value":640},"y":{"type":"value","value":0.057444663983545655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13158","attributes":{"x":{"type":"value","value":640},"y":{"type":"value","value":0.057444663983545655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13159","attributes":{"x":{"type":"value","value":640},"y":{"type":"value","value":0.057444663983545655},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13169","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13163","attributes":{"selected":{"type":"object","name":"Selection","id":"p13164","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13165"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13170","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13171"}}},"glyph":{"type":"object","name":"Scatter","id":"p13166","attributes":{"x":{"type":"value","value":641},"y":{"type":"value","value":0.08751736807209666},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13167","attributes":{"x":{"type":"value","value":641},"y":{"type":"value","value":0.08751736807209666},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13168","attributes":{"x":{"type":"value","value":641},"y":{"type":"value","value":0.08751736807209666},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13178","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13172","attributes":{"selected":{"type":"object","name":"Selection","id":"p13173","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13174"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13179","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13180"}}},"glyph":{"type":"object","name":"Scatter","id":"p13175","attributes":{"x":{"type":"value","value":642},"y":{"type":"value","value":0.08442333575411247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13176","attributes":{"x":{"type":"value","value":642},"y":{"type":"value","value":0.08442333575411247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13177","attributes":{"x":{"type":"value","value":642},"y":{"type":"value","value":0.08442333575411247},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13187","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13181","attributes":{"selected":{"type":"object","name":"Selection","id":"p13182","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13183"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13188","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13189"}}},"glyph":{"type":"object","name":"Scatter","id":"p13184","attributes":{"x":{"type":"value","value":643},"y":{"type":"value","value":-0.03840618970678996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13185","attributes":{"x":{"type":"value","value":643},"y":{"type":"value","value":-0.03840618970678996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13186","attributes":{"x":{"type":"value","value":643},"y":{"type":"value","value":-0.03840618970678996},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13196","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13190","attributes":{"selected":{"type":"object","name":"Selection","id":"p13191","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13192"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13197","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13198"}}},"glyph":{"type":"object","name":"Scatter","id":"p13193","attributes":{"x":{"type":"value","value":644},"y":{"type":"value","value":0.062371021270701564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13194","attributes":{"x":{"type":"value","value":644},"y":{"type":"value","value":0.062371021270701564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13195","attributes":{"x":{"type":"value","value":644},"y":{"type":"value","value":0.062371021270701564},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13205","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13199","attributes":{"selected":{"type":"object","name":"Selection","id":"p13200","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13201"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13206","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13207"}}},"glyph":{"type":"object","name":"Scatter","id":"p13202","attributes":{"x":{"type":"value","value":645},"y":{"type":"value","value":-0.022991325754318736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13203","attributes":{"x":{"type":"value","value":645},"y":{"type":"value","value":-0.022991325754318736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13204","attributes":{"x":{"type":"value","value":645},"y":{"type":"value","value":-0.022991325754318736},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13214","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13208","attributes":{"selected":{"type":"object","name":"Selection","id":"p13209","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13210"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13215","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13216"}}},"glyph":{"type":"object","name":"Scatter","id":"p13211","attributes":{"x":{"type":"value","value":646},"y":{"type":"value","value":0.024790537716932758},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13212","attributes":{"x":{"type":"value","value":646},"y":{"type":"value","value":0.024790537716932758},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13213","attributes":{"x":{"type":"value","value":646},"y":{"type":"value","value":0.024790537716932758},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13223","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13217","attributes":{"selected":{"type":"object","name":"Selection","id":"p13218","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13219"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13224","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13225"}}},"glyph":{"type":"object","name":"Scatter","id":"p13220","attributes":{"x":{"type":"value","value":647},"y":{"type":"value","value":0.13081165912038778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13221","attributes":{"x":{"type":"value","value":647},"y":{"type":"value","value":0.13081165912038778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13222","attributes":{"x":{"type":"value","value":647},"y":{"type":"value","value":0.13081165912038778},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13232","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13226","attributes":{"selected":{"type":"object","name":"Selection","id":"p13227","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13228"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13233","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13234"}}},"glyph":{"type":"object","name":"Scatter","id":"p13229","attributes":{"x":{"type":"value","value":648},"y":{"type":"value","value":0.15151676427054503},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13230","attributes":{"x":{"type":"value","value":648},"y":{"type":"value","value":0.15151676427054503},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13231","attributes":{"x":{"type":"value","value":648},"y":{"type":"value","value":0.15151676427054503},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13241","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13235","attributes":{"selected":{"type":"object","name":"Selection","id":"p13236","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13237"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13242","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13243"}}},"glyph":{"type":"object","name":"Scatter","id":"p13238","attributes":{"x":{"type":"value","value":649},"y":{"type":"value","value":0.02657283599021064},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13239","attributes":{"x":{"type":"value","value":649},"y":{"type":"value","value":0.02657283599021064},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13240","attributes":{"x":{"type":"value","value":649},"y":{"type":"value","value":0.02657283599021064},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13250","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13244","attributes":{"selected":{"type":"object","name":"Selection","id":"p13245","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13246"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13251","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13252"}}},"glyph":{"type":"object","name":"Scatter","id":"p13247","attributes":{"x":{"type":"value","value":650},"y":{"type":"value","value":0.24285696231491272},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13248","attributes":{"x":{"type":"value","value":650},"y":{"type":"value","value":0.24285696231491272},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13249","attributes":{"x":{"type":"value","value":650},"y":{"type":"value","value":0.24285696231491272},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13259","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13253","attributes":{"selected":{"type":"object","name":"Selection","id":"p13254","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13255"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13260","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13261"}}},"glyph":{"type":"object","name":"Scatter","id":"p13256","attributes":{"x":{"type":"value","value":651},"y":{"type":"value","value":0.11212081108607999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13257","attributes":{"x":{"type":"value","value":651},"y":{"type":"value","value":0.11212081108607999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13258","attributes":{"x":{"type":"value","value":651},"y":{"type":"value","value":0.11212081108607999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13268","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13262","attributes":{"selected":{"type":"object","name":"Selection","id":"p13263","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13264"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13269","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13270"}}},"glyph":{"type":"object","name":"Scatter","id":"p13265","attributes":{"x":{"type":"value","value":652},"y":{"type":"value","value":0.19437091931216577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13266","attributes":{"x":{"type":"value","value":652},"y":{"type":"value","value":0.19437091931216577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13267","attributes":{"x":{"type":"value","value":652},"y":{"type":"value","value":0.19437091931216577},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13277","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13271","attributes":{"selected":{"type":"object","name":"Selection","id":"p13272","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13273"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13278","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13279"}}},"glyph":{"type":"object","name":"Scatter","id":"p13274","attributes":{"x":{"type":"value","value":653},"y":{"type":"value","value":0.1405027373865844},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13275","attributes":{"x":{"type":"value","value":653},"y":{"type":"value","value":0.1405027373865844},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13276","attributes":{"x":{"type":"value","value":653},"y":{"type":"value","value":0.1405027373865844},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13286","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13280","attributes":{"selected":{"type":"object","name":"Selection","id":"p13281","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13282"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13287","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13288"}}},"glyph":{"type":"object","name":"Scatter","id":"p13283","attributes":{"x":{"type":"value","value":654},"y":{"type":"value","value":0.12134960551915681},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13284","attributes":{"x":{"type":"value","value":654},"y":{"type":"value","value":0.12134960551915681},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13285","attributes":{"x":{"type":"value","value":654},"y":{"type":"value","value":0.12134960551915681},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13295","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13289","attributes":{"selected":{"type":"object","name":"Selection","id":"p13290","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13291"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13296","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13297"}}},"glyph":{"type":"object","name":"Scatter","id":"p13292","attributes":{"x":{"type":"value","value":655},"y":{"type":"value","value":0.1114335740123575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13293","attributes":{"x":{"type":"value","value":655},"y":{"type":"value","value":0.1114335740123575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13294","attributes":{"x":{"type":"value","value":655},"y":{"type":"value","value":0.1114335740123575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13304","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13298","attributes":{"selected":{"type":"object","name":"Selection","id":"p13299","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13300"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13305","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13306"}}},"glyph":{"type":"object","name":"Scatter","id":"p13301","attributes":{"x":{"type":"value","value":656},"y":{"type":"value","value":0.016681550119103015},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13302","attributes":{"x":{"type":"value","value":656},"y":{"type":"value","value":0.016681550119103015},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13303","attributes":{"x":{"type":"value","value":656},"y":{"type":"value","value":0.016681550119103015},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13313","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13307","attributes":{"selected":{"type":"object","name":"Selection","id":"p13308","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13309"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13314","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13315"}}},"glyph":{"type":"object","name":"Scatter","id":"p13310","attributes":{"x":{"type":"value","value":657},"y":{"type":"value","value":0.1395462104333594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13311","attributes":{"x":{"type":"value","value":657},"y":{"type":"value","value":0.1395462104333594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13312","attributes":{"x":{"type":"value","value":657},"y":{"type":"value","value":0.1395462104333594},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13322","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13316","attributes":{"selected":{"type":"object","name":"Selection","id":"p13317","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13318"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13323","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13324"}}},"glyph":{"type":"object","name":"Scatter","id":"p13319","attributes":{"x":{"type":"value","value":658},"y":{"type":"value","value":0.42866757616631773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13320","attributes":{"x":{"type":"value","value":658},"y":{"type":"value","value":0.42866757616631773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13321","attributes":{"x":{"type":"value","value":658},"y":{"type":"value","value":0.42866757616631773},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13331","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13325","attributes":{"selected":{"type":"object","name":"Selection","id":"p13326","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13327"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13332","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13333"}}},"glyph":{"type":"object","name":"Scatter","id":"p13328","attributes":{"x":{"type":"value","value":659},"y":{"type":"value","value":0.2454077167384423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13329","attributes":{"x":{"type":"value","value":659},"y":{"type":"value","value":0.2454077167384423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13330","attributes":{"x":{"type":"value","value":659},"y":{"type":"value","value":0.2454077167384423},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13340","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13334","attributes":{"selected":{"type":"object","name":"Selection","id":"p13335","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13336"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13341","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13342"}}},"glyph":{"type":"object","name":"Scatter","id":"p13337","attributes":{"x":{"type":"value","value":660},"y":{"type":"value","value":0.4483582582726542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13338","attributes":{"x":{"type":"value","value":660},"y":{"type":"value","value":0.4483582582726542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13339","attributes":{"x":{"type":"value","value":660},"y":{"type":"value","value":0.4483582582726542},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13349","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13343","attributes":{"selected":{"type":"object","name":"Selection","id":"p13344","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13345"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13350","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13351"}}},"glyph":{"type":"object","name":"Scatter","id":"p13346","attributes":{"x":{"type":"value","value":661},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13347","attributes":{"x":{"type":"value","value":661},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13348","attributes":{"x":{"type":"value","value":661},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13358","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13352","attributes":{"selected":{"type":"object","name":"Selection","id":"p13353","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13354"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13359","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13360"}}},"glyph":{"type":"object","name":"Scatter","id":"p13355","attributes":{"x":{"type":"value","value":662},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13356","attributes":{"x":{"type":"value","value":662},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13357","attributes":{"x":{"type":"value","value":662},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13367","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13361","attributes":{"selected":{"type":"object","name":"Selection","id":"p13362","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13363"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13368","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13369"}}},"glyph":{"type":"object","name":"Scatter","id":"p13364","attributes":{"x":{"type":"value","value":663},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13365","attributes":{"x":{"type":"value","value":663},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13366","attributes":{"x":{"type":"value","value":663},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13376","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13370","attributes":{"selected":{"type":"object","name":"Selection","id":"p13371","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13372"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13377","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13378"}}},"glyph":{"type":"object","name":"Scatter","id":"p13373","attributes":{"x":{"type":"value","value":664},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13374","attributes":{"x":{"type":"value","value":664},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13375","attributes":{"x":{"type":"value","value":664},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13385","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13379","attributes":{"selected":{"type":"object","name":"Selection","id":"p13380","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13381"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13386","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13387"}}},"glyph":{"type":"object","name":"Scatter","id":"p13382","attributes":{"x":{"type":"value","value":665},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13383","attributes":{"x":{"type":"value","value":665},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13384","attributes":{"x":{"type":"value","value":665},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13394","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13388","attributes":{"selected":{"type":"object","name":"Selection","id":"p13389","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13390"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13395","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13396"}}},"glyph":{"type":"object","name":"Scatter","id":"p13391","attributes":{"x":{"type":"value","value":666},"y":{"type":"value","value":-0.1304227303552797},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13392","attributes":{"x":{"type":"value","value":666},"y":{"type":"value","value":-0.1304227303552797},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13393","attributes":{"x":{"type":"value","value":666},"y":{"type":"value","value":-0.1304227303552797},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13403","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13397","attributes":{"selected":{"type":"object","name":"Selection","id":"p13398","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13399"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13404","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13405"}}},"glyph":{"type":"object","name":"Scatter","id":"p13400","attributes":{"x":{"type":"value","value":667},"y":{"type":"value","value":-0.10821237368178924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13401","attributes":{"x":{"type":"value","value":667},"y":{"type":"value","value":-0.10821237368178924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13402","attributes":{"x":{"type":"value","value":667},"y":{"type":"value","value":-0.10821237368178924},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13412","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13406","attributes":{"selected":{"type":"object","name":"Selection","id":"p13407","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13408"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13413","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13414"}}},"glyph":{"type":"object","name":"Scatter","id":"p13409","attributes":{"x":{"type":"value","value":668},"y":{"type":"value","value":-0.13116689243251606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13410","attributes":{"x":{"type":"value","value":668},"y":{"type":"value","value":-0.13116689243251606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13411","attributes":{"x":{"type":"value","value":668},"y":{"type":"value","value":-0.13116689243251606},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13421","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13415","attributes":{"selected":{"type":"object","name":"Selection","id":"p13416","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13417"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13422","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13423"}}},"glyph":{"type":"object","name":"Scatter","id":"p13418","attributes":{"x":{"type":"value","value":669},"y":{"type":"value","value":-0.10429193094058445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13419","attributes":{"x":{"type":"value","value":669},"y":{"type":"value","value":-0.10429193094058445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13420","attributes":{"x":{"type":"value","value":669},"y":{"type":"value","value":-0.10429193094058445},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13430","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13424","attributes":{"selected":{"type":"object","name":"Selection","id":"p13425","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13426"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13431","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13432"}}},"glyph":{"type":"object","name":"Scatter","id":"p13427","attributes":{"x":{"type":"value","value":670},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13428","attributes":{"x":{"type":"value","value":670},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13429","attributes":{"x":{"type":"value","value":670},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13439","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13433","attributes":{"selected":{"type":"object","name":"Selection","id":"p13434","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13435"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13440","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13441"}}},"glyph":{"type":"object","name":"Scatter","id":"p13436","attributes":{"x":{"type":"value","value":671},"y":{"type":"value","value":-0.04682915883624489},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13437","attributes":{"x":{"type":"value","value":671},"y":{"type":"value","value":-0.04682915883624489},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13438","attributes":{"x":{"type":"value","value":671},"y":{"type":"value","value":-0.04682915883624489},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13448","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13442","attributes":{"selected":{"type":"object","name":"Selection","id":"p13443","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13444"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13449","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13450"}}},"glyph":{"type":"object","name":"Scatter","id":"p13445","attributes":{"x":{"type":"value","value":672},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13446","attributes":{"x":{"type":"value","value":672},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13447","attributes":{"x":{"type":"value","value":672},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13457","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13451","attributes":{"selected":{"type":"object","name":"Selection","id":"p13452","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13453"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13458","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13459"}}},"glyph":{"type":"object","name":"Scatter","id":"p13454","attributes":{"x":{"type":"value","value":673},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13455","attributes":{"x":{"type":"value","value":673},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13456","attributes":{"x":{"type":"value","value":673},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13466","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13460","attributes":{"selected":{"type":"object","name":"Selection","id":"p13461","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13462"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13467","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13468"}}},"glyph":{"type":"object","name":"Scatter","id":"p13463","attributes":{"x":{"type":"value","value":674},"y":{"type":"value","value":0.07208560425174339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13464","attributes":{"x":{"type":"value","value":674},"y":{"type":"value","value":0.07208560425174339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13465","attributes":{"x":{"type":"value","value":674},"y":{"type":"value","value":0.07208560425174339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13475","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13469","attributes":{"selected":{"type":"object","name":"Selection","id":"p13470","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13471"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13476","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13477"}}},"glyph":{"type":"object","name":"Scatter","id":"p13472","attributes":{"x":{"type":"value","value":675},"y":{"type":"value","value":-0.04816477115984027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13473","attributes":{"x":{"type":"value","value":675},"y":{"type":"value","value":-0.04816477115984027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13474","attributes":{"x":{"type":"value","value":675},"y":{"type":"value","value":-0.04816477115984027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13484","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13478","attributes":{"selected":{"type":"object","name":"Selection","id":"p13479","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13480"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13485","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13486"}}},"glyph":{"type":"object","name":"Scatter","id":"p13481","attributes":{"x":{"type":"value","value":676},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13482","attributes":{"x":{"type":"value","value":676},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13483","attributes":{"x":{"type":"value","value":676},"y":{"type":"value","value":-0.08378733600479861},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13493","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13487","attributes":{"selected":{"type":"object","name":"Selection","id":"p13488","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13489"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13494","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13495"}}},"glyph":{"type":"object","name":"Scatter","id":"p13490","attributes":{"x":{"type":"value","value":677},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13491","attributes":{"x":{"type":"value","value":677},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13492","attributes":{"x":{"type":"value","value":677},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13502","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13496","attributes":{"selected":{"type":"object","name":"Selection","id":"p13497","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13498"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13503","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13504"}}},"glyph":{"type":"object","name":"Scatter","id":"p13499","attributes":{"x":{"type":"value","value":678},"y":{"type":"value","value":-0.08091736057895718},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13500","attributes":{"x":{"type":"value","value":678},"y":{"type":"value","value":-0.08091736057895718},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13501","attributes":{"x":{"type":"value","value":678},"y":{"type":"value","value":-0.08091736057895718},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13511","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13505","attributes":{"selected":{"type":"object","name":"Selection","id":"p13506","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13507"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13512","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13513"}}},"glyph":{"type":"object","name":"Scatter","id":"p13508","attributes":{"x":{"type":"value","value":679},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13509","attributes":{"x":{"type":"value","value":679},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13510","attributes":{"x":{"type":"value","value":679},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13520","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13514","attributes":{"selected":{"type":"object","name":"Selection","id":"p13515","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13516"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13521","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13522"}}},"glyph":{"type":"object","name":"Scatter","id":"p13517","attributes":{"x":{"type":"value","value":680},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13518","attributes":{"x":{"type":"value","value":680},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13519","attributes":{"x":{"type":"value","value":680},"y":{"type":"value","value":-0.13557172559222178},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13529","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13523","attributes":{"selected":{"type":"object","name":"Selection","id":"p13524","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13525"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13530","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13531"}}},"glyph":{"type":"object","name":"Scatter","id":"p13526","attributes":{"x":{"type":"value","value":681},"y":{"type":"value","value":-0.1267673546413301},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13527","attributes":{"x":{"type":"value","value":681},"y":{"type":"value","value":-0.1267673546413301},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13528","attributes":{"x":{"type":"value","value":681},"y":{"type":"value","value":-0.1267673546413301},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13538","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13532","attributes":{"selected":{"type":"object","name":"Selection","id":"p13533","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13534"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13539","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13540"}}},"glyph":{"type":"object","name":"Scatter","id":"p13535","attributes":{"x":{"type":"value","value":682},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13536","attributes":{"x":{"type":"value","value":682},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13537","attributes":{"x":{"type":"value","value":682},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13547","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13541","attributes":{"selected":{"type":"object","name":"Selection","id":"p13542","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13543"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13548","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13549"}}},"glyph":{"type":"object","name":"Scatter","id":"p13544","attributes":{"x":{"type":"value","value":683},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13545","attributes":{"x":{"type":"value","value":683},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13546","attributes":{"x":{"type":"value","value":683},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13556","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13550","attributes":{"selected":{"type":"object","name":"Selection","id":"p13551","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13552"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13557","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13558"}}},"glyph":{"type":"object","name":"Scatter","id":"p13553","attributes":{"x":{"type":"value","value":684},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13554","attributes":{"x":{"type":"value","value":684},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13555","attributes":{"x":{"type":"value","value":684},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13565","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13559","attributes":{"selected":{"type":"object","name":"Selection","id":"p13560","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13561"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13566","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13567"}}},"glyph":{"type":"object","name":"Scatter","id":"p13562","attributes":{"x":{"type":"value","value":685},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13563","attributes":{"x":{"type":"value","value":685},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13564","attributes":{"x":{"type":"value","value":685},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13574","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13568","attributes":{"selected":{"type":"object","name":"Selection","id":"p13569","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13570"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13575","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13576"}}},"glyph":{"type":"object","name":"Scatter","id":"p13571","attributes":{"x":{"type":"value","value":686},"y":{"type":"value","value":-0.057107199361556914},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13572","attributes":{"x":{"type":"value","value":686},"y":{"type":"value","value":-0.057107199361556914},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13573","attributes":{"x":{"type":"value","value":686},"y":{"type":"value","value":-0.057107199361556914},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13583","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13577","attributes":{"selected":{"type":"object","name":"Selection","id":"p13578","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13579"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13584","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13585"}}},"glyph":{"type":"object","name":"Scatter","id":"p13580","attributes":{"x":{"type":"value","value":687},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13581","attributes":{"x":{"type":"value","value":687},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13582","attributes":{"x":{"type":"value","value":687},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13592","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13586","attributes":{"selected":{"type":"object","name":"Selection","id":"p13587","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13588"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13593","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13594"}}},"glyph":{"type":"object","name":"Scatter","id":"p13589","attributes":{"x":{"type":"value","value":688},"y":{"type":"value","value":-0.13557914799482748},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13590","attributes":{"x":{"type":"value","value":688},"y":{"type":"value","value":-0.13557914799482748},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13591","attributes":{"x":{"type":"value","value":688},"y":{"type":"value","value":-0.13557914799482748},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13601","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13595","attributes":{"selected":{"type":"object","name":"Selection","id":"p13596","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13597"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13602","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13603"}}},"glyph":{"type":"object","name":"Scatter","id":"p13598","attributes":{"x":{"type":"value","value":689},"y":{"type":"value","value":-0.057688255425548146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13599","attributes":{"x":{"type":"value","value":689},"y":{"type":"value","value":-0.057688255425548146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13600","attributes":{"x":{"type":"value","value":689},"y":{"type":"value","value":-0.057688255425548146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13610","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13604","attributes":{"selected":{"type":"object","name":"Selection","id":"p13605","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13606"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13611","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13612"}}},"glyph":{"type":"object","name":"Scatter","id":"p13607","attributes":{"x":{"type":"value","value":690},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13608","attributes":{"x":{"type":"value","value":690},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13609","attributes":{"x":{"type":"value","value":690},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13619","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13613","attributes":{"selected":{"type":"object","name":"Selection","id":"p13614","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13615"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13620","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13621"}}},"glyph":{"type":"object","name":"Scatter","id":"p13616","attributes":{"x":{"type":"value","value":691},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13617","attributes":{"x":{"type":"value","value":691},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13618","attributes":{"x":{"type":"value","value":691},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13628","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13622","attributes":{"selected":{"type":"object","name":"Selection","id":"p13623","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13624"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13629","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13630"}}},"glyph":{"type":"object","name":"Scatter","id":"p13625","attributes":{"x":{"type":"value","value":692},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13626","attributes":{"x":{"type":"value","value":692},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13627","attributes":{"x":{"type":"value","value":692},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13637","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13631","attributes":{"selected":{"type":"object","name":"Selection","id":"p13632","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13633"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13638","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13639"}}},"glyph":{"type":"object","name":"Scatter","id":"p13634","attributes":{"x":{"type":"value","value":693},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13635","attributes":{"x":{"type":"value","value":693},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13636","attributes":{"x":{"type":"value","value":693},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13646","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13640","attributes":{"selected":{"type":"object","name":"Selection","id":"p13641","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13642"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13647","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13648"}}},"glyph":{"type":"object","name":"Scatter","id":"p13643","attributes":{"x":{"type":"value","value":694},"y":{"type":"value","value":-0.13826082151807967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13644","attributes":{"x":{"type":"value","value":694},"y":{"type":"value","value":-0.13826082151807967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13645","attributes":{"x":{"type":"value","value":694},"y":{"type":"value","value":-0.13826082151807967},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13655","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13649","attributes":{"selected":{"type":"object","name":"Selection","id":"p13650","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13651"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13656","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13657"}}},"glyph":{"type":"object","name":"Scatter","id":"p13652","attributes":{"x":{"type":"value","value":695},"y":{"type":"value","value":-0.11709246642915376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13653","attributes":{"x":{"type":"value","value":695},"y":{"type":"value","value":-0.11709246642915376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13654","attributes":{"x":{"type":"value","value":695},"y":{"type":"value","value":-0.11709246642915376},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13664","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13658","attributes":{"selected":{"type":"object","name":"Selection","id":"p13659","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13660"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13665","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13666"}}},"glyph":{"type":"object","name":"Scatter","id":"p13661","attributes":{"x":{"type":"value","value":696},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13662","attributes":{"x":{"type":"value","value":696},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13663","attributes":{"x":{"type":"value","value":696},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13673","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13667","attributes":{"selected":{"type":"object","name":"Selection","id":"p13668","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13669"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13674","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13675"}}},"glyph":{"type":"object","name":"Scatter","id":"p13670","attributes":{"x":{"type":"value","value":697},"y":{"type":"value","value":-0.06479336195103688},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13671","attributes":{"x":{"type":"value","value":697},"y":{"type":"value","value":-0.06479336195103688},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13672","attributes":{"x":{"type":"value","value":697},"y":{"type":"value","value":-0.06479336195103688},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13682","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13676","attributes":{"selected":{"type":"object","name":"Selection","id":"p13677","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13678"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13683","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13684"}}},"glyph":{"type":"object","name":"Scatter","id":"p13679","attributes":{"x":{"type":"value","value":698},"y":{"type":"value","value":-0.1619133799117781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13680","attributes":{"x":{"type":"value","value":698},"y":{"type":"value","value":-0.1619133799117781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13681","attributes":{"x":{"type":"value","value":698},"y":{"type":"value","value":-0.1619133799117781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13691","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13685","attributes":{"selected":{"type":"object","name":"Selection","id":"p13686","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13687"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13692","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13693"}}},"glyph":{"type":"object","name":"Scatter","id":"p13688","attributes":{"x":{"type":"value","value":699},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13689","attributes":{"x":{"type":"value","value":699},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13690","attributes":{"x":{"type":"value","value":699},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13700","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13694","attributes":{"selected":{"type":"object","name":"Selection","id":"p13695","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13696"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13701","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13702"}}},"glyph":{"type":"object","name":"Scatter","id":"p13697","attributes":{"x":{"type":"value","value":700},"y":{"type":"value","value":0.005427787214746162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13698","attributes":{"x":{"type":"value","value":700},"y":{"type":"value","value":0.005427787214746162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13699","attributes":{"x":{"type":"value","value":700},"y":{"type":"value","value":0.005427787214746162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13709","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13703","attributes":{"selected":{"type":"object","name":"Selection","id":"p13704","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13705"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13710","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13711"}}},"glyph":{"type":"object","name":"Scatter","id":"p13706","attributes":{"x":{"type":"value","value":701},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13707","attributes":{"x":{"type":"value","value":701},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13708","attributes":{"x":{"type":"value","value":701},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13718","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13712","attributes":{"selected":{"type":"object","name":"Selection","id":"p13713","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13714"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13719","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13720"}}},"glyph":{"type":"object","name":"Scatter","id":"p13715","attributes":{"x":{"type":"value","value":702},"y":{"type":"value","value":-0.15765349464723416},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13716","attributes":{"x":{"type":"value","value":702},"y":{"type":"value","value":-0.15765349464723416},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13717","attributes":{"x":{"type":"value","value":702},"y":{"type":"value","value":-0.15765349464723416},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13727","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13721","attributes":{"selected":{"type":"object","name":"Selection","id":"p13722","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13723"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13728","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13729"}}},"glyph":{"type":"object","name":"Scatter","id":"p13724","attributes":{"x":{"type":"value","value":703},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13725","attributes":{"x":{"type":"value","value":703},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13726","attributes":{"x":{"type":"value","value":703},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13736","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13730","attributes":{"selected":{"type":"object","name":"Selection","id":"p13731","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13732"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13737","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13738"}}},"glyph":{"type":"object","name":"Scatter","id":"p13733","attributes":{"x":{"type":"value","value":704},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13734","attributes":{"x":{"type":"value","value":704},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13735","attributes":{"x":{"type":"value","value":704},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13745","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13739","attributes":{"selected":{"type":"object","name":"Selection","id":"p13740","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13741"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13746","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13747"}}},"glyph":{"type":"object","name":"Scatter","id":"p13742","attributes":{"x":{"type":"value","value":705},"y":{"type":"value","value":-0.12568924174496915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13743","attributes":{"x":{"type":"value","value":705},"y":{"type":"value","value":-0.12568924174496915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13744","attributes":{"x":{"type":"value","value":705},"y":{"type":"value","value":-0.12568924174496915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13754","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13748","attributes":{"selected":{"type":"object","name":"Selection","id":"p13749","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13750"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13755","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13756"}}},"glyph":{"type":"object","name":"Scatter","id":"p13751","attributes":{"x":{"type":"value","value":706},"y":{"type":"value","value":-0.09242333816137697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13752","attributes":{"x":{"type":"value","value":706},"y":{"type":"value","value":-0.09242333816137697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13753","attributes":{"x":{"type":"value","value":706},"y":{"type":"value","value":-0.09242333816137697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13763","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13757","attributes":{"selected":{"type":"object","name":"Selection","id":"p13758","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13759"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13764","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13765"}}},"glyph":{"type":"object","name":"Scatter","id":"p13760","attributes":{"x":{"type":"value","value":707},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13761","attributes":{"x":{"type":"value","value":707},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13762","attributes":{"x":{"type":"value","value":707},"y":{"type":"value","value":-0.04073481295098647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13772","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13766","attributes":{"selected":{"type":"object","name":"Selection","id":"p13767","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13768"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13773","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13774"}}},"glyph":{"type":"object","name":"Scatter","id":"p13769","attributes":{"x":{"type":"value","value":708},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13770","attributes":{"x":{"type":"value","value":708},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13771","attributes":{"x":{"type":"value","value":708},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13781","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13775","attributes":{"selected":{"type":"object","name":"Selection","id":"p13776","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13777"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13782","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13783"}}},"glyph":{"type":"object","name":"Scatter","id":"p13778","attributes":{"x":{"type":"value","value":709},"y":{"type":"value","value":-0.055256971300533406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13779","attributes":{"x":{"type":"value","value":709},"y":{"type":"value","value":-0.055256971300533406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13780","attributes":{"x":{"type":"value","value":709},"y":{"type":"value","value":-0.055256971300533406},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13790","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13784","attributes":{"selected":{"type":"object","name":"Selection","id":"p13785","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13786"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13791","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13792"}}},"glyph":{"type":"object","name":"Scatter","id":"p13787","attributes":{"x":{"type":"value","value":710},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13788","attributes":{"x":{"type":"value","value":710},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13789","attributes":{"x":{"type":"value","value":710},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13799","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13793","attributes":{"selected":{"type":"object","name":"Selection","id":"p13794","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13795"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13800","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13801"}}},"glyph":{"type":"object","name":"Scatter","id":"p13796","attributes":{"x":{"type":"value","value":711},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13797","attributes":{"x":{"type":"value","value":711},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13798","attributes":{"x":{"type":"value","value":711},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13808","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13802","attributes":{"selected":{"type":"object","name":"Selection","id":"p13803","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13804"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13809","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13810"}}},"glyph":{"type":"object","name":"Scatter","id":"p13805","attributes":{"x":{"type":"value","value":712},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13806","attributes":{"x":{"type":"value","value":712},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13807","attributes":{"x":{"type":"value","value":712},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13817","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13811","attributes":{"selected":{"type":"object","name":"Selection","id":"p13812","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13813"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13818","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13819"}}},"glyph":{"type":"object","name":"Scatter","id":"p13814","attributes":{"x":{"type":"value","value":713},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13815","attributes":{"x":{"type":"value","value":713},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13816","attributes":{"x":{"type":"value","value":713},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13826","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13820","attributes":{"selected":{"type":"object","name":"Selection","id":"p13821","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13822"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13827","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13828"}}},"glyph":{"type":"object","name":"Scatter","id":"p13823","attributes":{"x":{"type":"value","value":714},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13824","attributes":{"x":{"type":"value","value":714},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13825","attributes":{"x":{"type":"value","value":714},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13835","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13829","attributes":{"selected":{"type":"object","name":"Selection","id":"p13830","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13831"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13836","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13837"}}},"glyph":{"type":"object","name":"Scatter","id":"p13832","attributes":{"x":{"type":"value","value":715},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13833","attributes":{"x":{"type":"value","value":715},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13834","attributes":{"x":{"type":"value","value":715},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13844","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13838","attributes":{"selected":{"type":"object","name":"Selection","id":"p13839","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13840"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13845","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13846"}}},"glyph":{"type":"object","name":"Scatter","id":"p13841","attributes":{"x":{"type":"value","value":716},"y":{"type":"value","value":-0.11071482334608297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13842","attributes":{"x":{"type":"value","value":716},"y":{"type":"value","value":-0.11071482334608297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13843","attributes":{"x":{"type":"value","value":716},"y":{"type":"value","value":-0.11071482334608297},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13853","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13847","attributes":{"selected":{"type":"object","name":"Selection","id":"p13848","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13849"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13854","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13855"}}},"glyph":{"type":"object","name":"Scatter","id":"p13850","attributes":{"x":{"type":"value","value":717},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13851","attributes":{"x":{"type":"value","value":717},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13852","attributes":{"x":{"type":"value","value":717},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13862","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13856","attributes":{"selected":{"type":"object","name":"Selection","id":"p13857","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13858"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13863","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13864"}}},"glyph":{"type":"object","name":"Scatter","id":"p13859","attributes":{"x":{"type":"value","value":718},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13860","attributes":{"x":{"type":"value","value":718},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13861","attributes":{"x":{"type":"value","value":718},"y":{"type":"value","value":0.019718462382354734},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13871","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13865","attributes":{"selected":{"type":"object","name":"Selection","id":"p13866","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13867"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13872","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13873"}}},"glyph":{"type":"object","name":"Scatter","id":"p13868","attributes":{"x":{"type":"value","value":719},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13869","attributes":{"x":{"type":"value","value":719},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13870","attributes":{"x":{"type":"value","value":719},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13880","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13874","attributes":{"selected":{"type":"object","name":"Selection","id":"p13875","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13876"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13881","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13882"}}},"glyph":{"type":"object","name":"Scatter","id":"p13877","attributes":{"x":{"type":"value","value":720},"y":{"type":"value","value":-0.1044849963889446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13878","attributes":{"x":{"type":"value","value":720},"y":{"type":"value","value":-0.1044849963889446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13879","attributes":{"x":{"type":"value","value":720},"y":{"type":"value","value":-0.1044849963889446},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13889","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13883","attributes":{"selected":{"type":"object","name":"Selection","id":"p13884","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13885"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13890","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13891"}}},"glyph":{"type":"object","name":"Scatter","id":"p13886","attributes":{"x":{"type":"value","value":721},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13887","attributes":{"x":{"type":"value","value":721},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13888","attributes":{"x":{"type":"value","value":721},"y":{"type":"value","value":-0.0750538825267928},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13898","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13892","attributes":{"selected":{"type":"object","name":"Selection","id":"p13893","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13894"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13899","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13900"}}},"glyph":{"type":"object","name":"Scatter","id":"p13895","attributes":{"x":{"type":"value","value":722},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13896","attributes":{"x":{"type":"value","value":722},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13897","attributes":{"x":{"type":"value","value":722},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13907","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13901","attributes":{"selected":{"type":"object","name":"Selection","id":"p13902","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13903"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13908","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13909"}}},"glyph":{"type":"object","name":"Scatter","id":"p13904","attributes":{"x":{"type":"value","value":723},"y":{"type":"value","value":0.014288987110286384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13905","attributes":{"x":{"type":"value","value":723},"y":{"type":"value","value":0.014288987110286384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13906","attributes":{"x":{"type":"value","value":723},"y":{"type":"value","value":0.014288987110286384},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13916","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13910","attributes":{"selected":{"type":"object","name":"Selection","id":"p13911","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13912"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13917","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13918"}}},"glyph":{"type":"object","name":"Scatter","id":"p13913","attributes":{"x":{"type":"value","value":724},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13914","attributes":{"x":{"type":"value","value":724},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13915","attributes":{"x":{"type":"value","value":724},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13925","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13919","attributes":{"selected":{"type":"object","name":"Selection","id":"p13920","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13921"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13926","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13927"}}},"glyph":{"type":"object","name":"Scatter","id":"p13922","attributes":{"x":{"type":"value","value":725},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13923","attributes":{"x":{"type":"value","value":725},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13924","attributes":{"x":{"type":"value","value":725},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13934","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13928","attributes":{"selected":{"type":"object","name":"Selection","id":"p13929","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13930"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13935","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13936"}}},"glyph":{"type":"object","name":"Scatter","id":"p13931","attributes":{"x":{"type":"value","value":726},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13932","attributes":{"x":{"type":"value","value":726},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13933","attributes":{"x":{"type":"value","value":726},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13943","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13937","attributes":{"selected":{"type":"object","name":"Selection","id":"p13938","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13939"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13944","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13945"}}},"glyph":{"type":"object","name":"Scatter","id":"p13940","attributes":{"x":{"type":"value","value":727},"y":{"type":"value","value":-0.1070781557845647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13941","attributes":{"x":{"type":"value","value":727},"y":{"type":"value","value":-0.1070781557845647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13942","attributes":{"x":{"type":"value","value":727},"y":{"type":"value","value":-0.1070781557845647},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13952","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13946","attributes":{"selected":{"type":"object","name":"Selection","id":"p13947","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13948"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13953","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13954"}}},"glyph":{"type":"object","name":"Scatter","id":"p13949","attributes":{"x":{"type":"value","value":728},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13950","attributes":{"x":{"type":"value","value":728},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13951","attributes":{"x":{"type":"value","value":728},"y":{"type":"value","value":0.023371192811940254},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13961","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13955","attributes":{"selected":{"type":"object","name":"Selection","id":"p13956","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13957"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13962","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13963"}}},"glyph":{"type":"object","name":"Scatter","id":"p13958","attributes":{"x":{"type":"value","value":729},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13959","attributes":{"x":{"type":"value","value":729},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13960","attributes":{"x":{"type":"value","value":729},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13970","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13964","attributes":{"selected":{"type":"object","name":"Selection","id":"p13965","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13966"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13971","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13972"}}},"glyph":{"type":"object","name":"Scatter","id":"p13967","attributes":{"x":{"type":"value","value":730},"y":{"type":"value","value":-0.042390694367827046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13968","attributes":{"x":{"type":"value","value":730},"y":{"type":"value","value":-0.042390694367827046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13969","attributes":{"x":{"type":"value","value":730},"y":{"type":"value","value":-0.042390694367827046},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13979","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13973","attributes":{"selected":{"type":"object","name":"Selection","id":"p13974","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13975"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13980","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13981"}}},"glyph":{"type":"object","name":"Scatter","id":"p13976","attributes":{"x":{"type":"value","value":731},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13977","attributes":{"x":{"type":"value","value":731},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13978","attributes":{"x":{"type":"value","value":731},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13988","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13982","attributes":{"selected":{"type":"object","name":"Selection","id":"p13983","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13984"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13989","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13990"}}},"glyph":{"type":"object","name":"Scatter","id":"p13985","attributes":{"x":{"type":"value","value":732},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13986","attributes":{"x":{"type":"value","value":732},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13987","attributes":{"x":{"type":"value","value":732},"y":{"type":"value","value":-0.06281589239999409},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p13997","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p13991","attributes":{"selected":{"type":"object","name":"Selection","id":"p13992","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p13993"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p13998","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p13999"}}},"glyph":{"type":"object","name":"Scatter","id":"p13994","attributes":{"x":{"type":"value","value":733},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p13995","attributes":{"x":{"type":"value","value":733},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p13996","attributes":{"x":{"type":"value","value":733},"y":{"type":"value","value":0.06435684607694961},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14006","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14000","attributes":{"selected":{"type":"object","name":"Selection","id":"p14001","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14002"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14007","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14008"}}},"glyph":{"type":"object","name":"Scatter","id":"p14003","attributes":{"x":{"type":"value","value":734},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14004","attributes":{"x":{"type":"value","value":734},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14005","attributes":{"x":{"type":"value","value":734},"y":{"type":"value","value":-0.04350663695394382},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14015","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14009","attributes":{"selected":{"type":"object","name":"Selection","id":"p14010","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14011"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14016","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14017"}}},"glyph":{"type":"object","name":"Scatter","id":"p14012","attributes":{"x":{"type":"value","value":735},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14013","attributes":{"x":{"type":"value","value":735},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14014","attributes":{"x":{"type":"value","value":735},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14024","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14018","attributes":{"selected":{"type":"object","name":"Selection","id":"p14019","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14020"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14025","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14026"}}},"glyph":{"type":"object","name":"Scatter","id":"p14021","attributes":{"x":{"type":"value","value":736},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14022","attributes":{"x":{"type":"value","value":736},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14023","attributes":{"x":{"type":"value","value":736},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14033","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14027","attributes":{"selected":{"type":"object","name":"Selection","id":"p14028","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14029"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14034","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14035"}}},"glyph":{"type":"object","name":"Scatter","id":"p14030","attributes":{"x":{"type":"value","value":737},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14031","attributes":{"x":{"type":"value","value":737},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14032","attributes":{"x":{"type":"value","value":737},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14042","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14036","attributes":{"selected":{"type":"object","name":"Selection","id":"p14037","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14038"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14043","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14044"}}},"glyph":{"type":"object","name":"Scatter","id":"p14039","attributes":{"x":{"type":"value","value":738},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14040","attributes":{"x":{"type":"value","value":738},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14041","attributes":{"x":{"type":"value","value":738},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14051","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14045","attributes":{"selected":{"type":"object","name":"Selection","id":"p14046","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14047"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14052","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14053"}}},"glyph":{"type":"object","name":"Scatter","id":"p14048","attributes":{"x":{"type":"value","value":739},"y":{"type":"value","value":0.03329929530433903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14049","attributes":{"x":{"type":"value","value":739},"y":{"type":"value","value":0.03329929530433903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14050","attributes":{"x":{"type":"value","value":739},"y":{"type":"value","value":0.03329929530433903},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14060","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14054","attributes":{"selected":{"type":"object","name":"Selection","id":"p14055","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14056"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14061","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14062"}}},"glyph":{"type":"object","name":"Scatter","id":"p14057","attributes":{"x":{"type":"value","value":740},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14058","attributes":{"x":{"type":"value","value":740},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14059","attributes":{"x":{"type":"value","value":740},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14069","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14063","attributes":{"selected":{"type":"object","name":"Selection","id":"p14064","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14065"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14070","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14071"}}},"glyph":{"type":"object","name":"Scatter","id":"p14066","attributes":{"x":{"type":"value","value":741},"y":{"type":"value","value":-0.14737285254162583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14067","attributes":{"x":{"type":"value","value":741},"y":{"type":"value","value":-0.14737285254162583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14068","attributes":{"x":{"type":"value","value":741},"y":{"type":"value","value":-0.14737285254162583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14078","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14072","attributes":{"selected":{"type":"object","name":"Selection","id":"p14073","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14074"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14079","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14080"}}},"glyph":{"type":"object","name":"Scatter","id":"p14075","attributes":{"x":{"type":"value","value":742},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14076","attributes":{"x":{"type":"value","value":742},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14077","attributes":{"x":{"type":"value","value":742},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14087","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14081","attributes":{"selected":{"type":"object","name":"Selection","id":"p14082","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14083"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14088","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14089"}}},"glyph":{"type":"object","name":"Scatter","id":"p14084","attributes":{"x":{"type":"value","value":743},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14085","attributes":{"x":{"type":"value","value":743},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14086","attributes":{"x":{"type":"value","value":743},"y":{"type":"value","value":-0.08793389131575144},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14096","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14090","attributes":{"selected":{"type":"object","name":"Selection","id":"p14091","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14092"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14097","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14098"}}},"glyph":{"type":"object","name":"Scatter","id":"p14093","attributes":{"x":{"type":"value","value":744},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14094","attributes":{"x":{"type":"value","value":744},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14095","attributes":{"x":{"type":"value","value":744},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14105","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14099","attributes":{"selected":{"type":"object","name":"Selection","id":"p14100","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14101"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14106","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14107"}}},"glyph":{"type":"object","name":"Scatter","id":"p14102","attributes":{"x":{"type":"value","value":745},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14103","attributes":{"x":{"type":"value","value":745},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14104","attributes":{"x":{"type":"value","value":745},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14114","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14108","attributes":{"selected":{"type":"object","name":"Selection","id":"p14109","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14110"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14115","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14116"}}},"glyph":{"type":"object","name":"Scatter","id":"p14111","attributes":{"x":{"type":"value","value":746},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14112","attributes":{"x":{"type":"value","value":746},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14113","attributes":{"x":{"type":"value","value":746},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14123","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14117","attributes":{"selected":{"type":"object","name":"Selection","id":"p14118","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14119"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14124","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14125"}}},"glyph":{"type":"object","name":"Scatter","id":"p14120","attributes":{"x":{"type":"value","value":747},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14121","attributes":{"x":{"type":"value","value":747},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14122","attributes":{"x":{"type":"value","value":747},"y":{"type":"value","value":-0.1566428908106316},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14132","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14126","attributes":{"selected":{"type":"object","name":"Selection","id":"p14127","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14128"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14133","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14134"}}},"glyph":{"type":"object","name":"Scatter","id":"p14129","attributes":{"x":{"type":"value","value":748},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14130","attributes":{"x":{"type":"value","value":748},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14131","attributes":{"x":{"type":"value","value":748},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14141","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14135","attributes":{"selected":{"type":"object","name":"Selection","id":"p14136","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14137"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14142","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14143"}}},"glyph":{"type":"object","name":"Scatter","id":"p14138","attributes":{"x":{"type":"value","value":749},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14139","attributes":{"x":{"type":"value","value":749},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14140","attributes":{"x":{"type":"value","value":749},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14150","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14144","attributes":{"selected":{"type":"object","name":"Selection","id":"p14145","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14146"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14151","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14152"}}},"glyph":{"type":"object","name":"Scatter","id":"p14147","attributes":{"x":{"type":"value","value":750},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14148","attributes":{"x":{"type":"value","value":750},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14149","attributes":{"x":{"type":"value","value":750},"y":{"type":"value","value":-0.02188781899490832},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14159","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14153","attributes":{"selected":{"type":"object","name":"Selection","id":"p14154","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14155"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14160","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14161"}}},"glyph":{"type":"object","name":"Scatter","id":"p14156","attributes":{"x":{"type":"value","value":751},"y":{"type":"value","value":-0.10022777890757327},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14157","attributes":{"x":{"type":"value","value":751},"y":{"type":"value","value":-0.10022777890757327},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14158","attributes":{"x":{"type":"value","value":751},"y":{"type":"value","value":-0.10022777890757327},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14168","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14162","attributes":{"selected":{"type":"object","name":"Selection","id":"p14163","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14164"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14169","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14170"}}},"glyph":{"type":"object","name":"Scatter","id":"p14165","attributes":{"x":{"type":"value","value":752},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14166","attributes":{"x":{"type":"value","value":752},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14167","attributes":{"x":{"type":"value","value":752},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14177","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14171","attributes":{"selected":{"type":"object","name":"Selection","id":"p14172","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14173"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14178","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14179"}}},"glyph":{"type":"object","name":"Scatter","id":"p14174","attributes":{"x":{"type":"value","value":753},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14175","attributes":{"x":{"type":"value","value":753},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14176","attributes":{"x":{"type":"value","value":753},"y":{"type":"value","value":0.004199561102694772},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14186","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14180","attributes":{"selected":{"type":"object","name":"Selection","id":"p14181","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14182"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14187","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14188"}}},"glyph":{"type":"object","name":"Scatter","id":"p14183","attributes":{"x":{"type":"value","value":754},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14184","attributes":{"x":{"type":"value","value":754},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14185","attributes":{"x":{"type":"value","value":754},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14195","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14189","attributes":{"selected":{"type":"object","name":"Selection","id":"p14190","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14191"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14196","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14197"}}},"glyph":{"type":"object","name":"Scatter","id":"p14192","attributes":{"x":{"type":"value","value":755},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14193","attributes":{"x":{"type":"value","value":755},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14194","attributes":{"x":{"type":"value","value":755},"y":{"type":"value","value":-0.031161378123641},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14204","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14198","attributes":{"selected":{"type":"object","name":"Selection","id":"p14199","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14200"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14205","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14206"}}},"glyph":{"type":"object","name":"Scatter","id":"p14201","attributes":{"x":{"type":"value","value":756},"y":{"type":"value","value":-0.14001974417520763},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14202","attributes":{"x":{"type":"value","value":756},"y":{"type":"value","value":-0.14001974417520763},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14203","attributes":{"x":{"type":"value","value":756},"y":{"type":"value","value":-0.14001974417520763},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14213","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14207","attributes":{"selected":{"type":"object","name":"Selection","id":"p14208","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14209"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14214","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14215"}}},"glyph":{"type":"object","name":"Scatter","id":"p14210","attributes":{"x":{"type":"value","value":757},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14211","attributes":{"x":{"type":"value","value":757},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14212","attributes":{"x":{"type":"value","value":757},"y":{"type":"value","value":-0.052424551964742126},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14222","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14216","attributes":{"selected":{"type":"object","name":"Selection","id":"p14217","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14218"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14223","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14224"}}},"glyph":{"type":"object","name":"Scatter","id":"p14219","attributes":{"x":{"type":"value","value":758},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14220","attributes":{"x":{"type":"value","value":758},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14221","attributes":{"x":{"type":"value","value":758},"y":{"type":"value","value":0.021240563672807244},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14231","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14225","attributes":{"selected":{"type":"object","name":"Selection","id":"p14226","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14227"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14232","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14233"}}},"glyph":{"type":"object","name":"Scatter","id":"p14228","attributes":{"x":{"type":"value","value":759},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14229","attributes":{"x":{"type":"value","value":759},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14230","attributes":{"x":{"type":"value","value":759},"y":{"type":"value","value":-0.07410306064731147},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14240","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14234","attributes":{"selected":{"type":"object","name":"Selection","id":"p14235","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14236"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14241","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14242"}}},"glyph":{"type":"object","name":"Scatter","id":"p14237","attributes":{"x":{"type":"value","value":760},"y":{"type":"value","value":-0.11461280051642675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14238","attributes":{"x":{"type":"value","value":760},"y":{"type":"value","value":-0.11461280051642675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14239","attributes":{"x":{"type":"value","value":760},"y":{"type":"value","value":-0.11461280051642675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14249","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14243","attributes":{"selected":{"type":"object","name":"Selection","id":"p14244","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14245"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14250","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14251"}}},"glyph":{"type":"object","name":"Scatter","id":"p14246","attributes":{"x":{"type":"value","value":761},"y":{"type":"value","value":-0.12113177925559682},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14247","attributes":{"x":{"type":"value","value":761},"y":{"type":"value","value":-0.12113177925559682},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14248","attributes":{"x":{"type":"value","value":761},"y":{"type":"value","value":-0.12113177925559682},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14258","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14252","attributes":{"selected":{"type":"object","name":"Selection","id":"p14253","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14254"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14259","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14260"}}},"glyph":{"type":"object","name":"Scatter","id":"p14255","attributes":{"x":{"type":"value","value":762},"y":{"type":"value","value":0.05943782957380623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14256","attributes":{"x":{"type":"value","value":762},"y":{"type":"value","value":0.05943782957380623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14257","attributes":{"x":{"type":"value","value":762},"y":{"type":"value","value":0.05943782957380623},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14267","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14261","attributes":{"selected":{"type":"object","name":"Selection","id":"p14262","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14263"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14268","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14269"}}},"glyph":{"type":"object","name":"Scatter","id":"p14264","attributes":{"x":{"type":"value","value":763},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14265","attributes":{"x":{"type":"value","value":763},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14266","attributes":{"x":{"type":"value","value":763},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14276","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14270","attributes":{"selected":{"type":"object","name":"Selection","id":"p14271","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14272"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14277","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14278"}}},"glyph":{"type":"object","name":"Scatter","id":"p14273","attributes":{"x":{"type":"value","value":764},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14274","attributes":{"x":{"type":"value","value":764},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14275","attributes":{"x":{"type":"value","value":764},"y":{"type":"value","value":-0.10208322019250375},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14285","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14279","attributes":{"selected":{"type":"object","name":"Selection","id":"p14280","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14281"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14286","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14287"}}},"glyph":{"type":"object","name":"Scatter","id":"p14282","attributes":{"x":{"type":"value","value":765},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14283","attributes":{"x":{"type":"value","value":765},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14284","attributes":{"x":{"type":"value","value":765},"y":{"type":"value","value":-0.09978157563720913},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14294","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14288","attributes":{"selected":{"type":"object","name":"Selection","id":"p14289","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14290"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14295","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14296"}}},"glyph":{"type":"object","name":"Scatter","id":"p14291","attributes":{"x":{"type":"value","value":766},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14292","attributes":{"x":{"type":"value","value":766},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14293","attributes":{"x":{"type":"value","value":766},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14303","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14297","attributes":{"selected":{"type":"object","name":"Selection","id":"p14298","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14299"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14304","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14305"}}},"glyph":{"type":"object","name":"Scatter","id":"p14300","attributes":{"x":{"type":"value","value":767},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14301","attributes":{"x":{"type":"value","value":767},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14302","attributes":{"x":{"type":"value","value":767},"y":{"type":"value","value":0.050989143770743296},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14312","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14306","attributes":{"selected":{"type":"object","name":"Selection","id":"p14307","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14308"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14313","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14314"}}},"glyph":{"type":"object","name":"Scatter","id":"p14309","attributes":{"x":{"type":"value","value":768},"y":{"type":"value","value":-0.11336988390745875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14310","attributes":{"x":{"type":"value","value":768},"y":{"type":"value","value":-0.11336988390745875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14311","attributes":{"x":{"type":"value","value":768},"y":{"type":"value","value":-0.11336988390745875},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14321","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14315","attributes":{"selected":{"type":"object","name":"Selection","id":"p14316","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14317"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14322","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14323"}}},"glyph":{"type":"object","name":"Scatter","id":"p14318","attributes":{"x":{"type":"value","value":769},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14319","attributes":{"x":{"type":"value","value":769},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14320","attributes":{"x":{"type":"value","value":769},"y":{"type":"value","value":-0.045689738658891574},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14330","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14324","attributes":{"selected":{"type":"object","name":"Selection","id":"p14325","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14326"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14331","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14332"}}},"glyph":{"type":"object","name":"Scatter","id":"p14327","attributes":{"x":{"type":"value","value":770},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14328","attributes":{"x":{"type":"value","value":770},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14329","attributes":{"x":{"type":"value","value":770},"y":{"type":"value","value":-0.12446249030490279},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14339","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14333","attributes":{"selected":{"type":"object","name":"Selection","id":"p14334","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14335"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14340","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14341"}}},"glyph":{"type":"object","name":"Scatter","id":"p14336","attributes":{"x":{"type":"value","value":771},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14337","attributes":{"x":{"type":"value","value":771},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14338","attributes":{"x":{"type":"value","value":771},"y":{"type":"value","value":0.07095043024994023},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14348","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14342","attributes":{"selected":{"type":"object","name":"Selection","id":"p14343","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14344"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14349","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14350"}}},"glyph":{"type":"object","name":"Scatter","id":"p14345","attributes":{"x":{"type":"value","value":772},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14346","attributes":{"x":{"type":"value","value":772},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14347","attributes":{"x":{"type":"value","value":772},"y":{"type":"value","value":-0.042779430277660194},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14357","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14351","attributes":{"selected":{"type":"object","name":"Selection","id":"p14352","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14353"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14358","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14359"}}},"glyph":{"type":"object","name":"Scatter","id":"p14354","attributes":{"x":{"type":"value","value":773},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14355","attributes":{"x":{"type":"value","value":773},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14356","attributes":{"x":{"type":"value","value":773},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14366","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14360","attributes":{"selected":{"type":"object","name":"Selection","id":"p14361","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14362"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14367","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14368"}}},"glyph":{"type":"object","name":"Scatter","id":"p14363","attributes":{"x":{"type":"value","value":774},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14364","attributes":{"x":{"type":"value","value":774},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14365","attributes":{"x":{"type":"value","value":774},"y":{"type":"value","value":-0.12996500692077068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14375","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14369","attributes":{"selected":{"type":"object","name":"Selection","id":"p14370","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14371"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14376","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14377"}}},"glyph":{"type":"object","name":"Scatter","id":"p14372","attributes":{"x":{"type":"value","value":775},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14373","attributes":{"x":{"type":"value","value":775},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14374","attributes":{"x":{"type":"value","value":775},"y":{"type":"value","value":-0.05819897874743284},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14384","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14378","attributes":{"selected":{"type":"object","name":"Selection","id":"p14379","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14380"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14385","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14386"}}},"glyph":{"type":"object","name":"Scatter","id":"p14381","attributes":{"x":{"type":"value","value":776},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14382","attributes":{"x":{"type":"value","value":776},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14383","attributes":{"x":{"type":"value","value":776},"y":{"type":"value","value":-0.07018267969958253},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14393","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14387","attributes":{"selected":{"type":"object","name":"Selection","id":"p14388","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14389"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14394","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14395"}}},"glyph":{"type":"object","name":"Scatter","id":"p14390","attributes":{"x":{"type":"value","value":777},"y":{"type":"value","value":0.02278123506919129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14391","attributes":{"x":{"type":"value","value":777},"y":{"type":"value","value":0.02278123506919129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14392","attributes":{"x":{"type":"value","value":777},"y":{"type":"value","value":0.02278123506919129},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14402","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14396","attributes":{"selected":{"type":"object","name":"Selection","id":"p14397","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14398"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14403","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14404"}}},"glyph":{"type":"object","name":"Scatter","id":"p14399","attributes":{"x":{"type":"value","value":778},"y":{"type":"value","value":0.05960002845150044},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14400","attributes":{"x":{"type":"value","value":778},"y":{"type":"value","value":0.05960002845150044},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14401","attributes":{"x":{"type":"value","value":778},"y":{"type":"value","value":0.05960002845150044},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14411","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14405","attributes":{"selected":{"type":"object","name":"Selection","id":"p14406","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14407"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14412","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14413"}}},"glyph":{"type":"object","name":"Scatter","id":"p14408","attributes":{"x":{"type":"value","value":779},"y":{"type":"value","value":-0.010355935976207995},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14409","attributes":{"x":{"type":"value","value":779},"y":{"type":"value","value":-0.010355935976207995},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14410","attributes":{"x":{"type":"value","value":779},"y":{"type":"value","value":-0.010355935976207995},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14420","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14414","attributes":{"selected":{"type":"object","name":"Selection","id":"p14415","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14416"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14421","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14422"}}},"glyph":{"type":"object","name":"Scatter","id":"p14417","attributes":{"x":{"type":"value","value":780},"y":{"type":"value","value":0.07940571672774675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14418","attributes":{"x":{"type":"value","value":780},"y":{"type":"value","value":0.07940571672774675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14419","attributes":{"x":{"type":"value","value":780},"y":{"type":"value","value":0.07940571672774675},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14429","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14423","attributes":{"selected":{"type":"object","name":"Selection","id":"p14424","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14425"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14430","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14431"}}},"glyph":{"type":"object","name":"Scatter","id":"p14426","attributes":{"x":{"type":"value","value":781},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14427","attributes":{"x":{"type":"value","value":781},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14428","attributes":{"x":{"type":"value","value":781},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14438","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14432","attributes":{"selected":{"type":"object","name":"Selection","id":"p14433","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14434"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14439","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14440"}}},"glyph":{"type":"object","name":"Scatter","id":"p14435","attributes":{"x":{"type":"value","value":782},"y":{"type":"value","value":0.0845483485848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14436","attributes":{"x":{"type":"value","value":782},"y":{"type":"value","value":0.0845483485848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14437","attributes":{"x":{"type":"value","value":782},"y":{"type":"value","value":0.0845483485848989},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14447","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14441","attributes":{"selected":{"type":"object","name":"Selection","id":"p14442","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14443"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14448","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14449"}}},"glyph":{"type":"object","name":"Scatter","id":"p14444","attributes":{"x":{"type":"value","value":783},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14445","attributes":{"x":{"type":"value","value":783},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14446","attributes":{"x":{"type":"value","value":783},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14456","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14450","attributes":{"selected":{"type":"object","name":"Selection","id":"p14451","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14452"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14457","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14458"}}},"glyph":{"type":"object","name":"Scatter","id":"p14453","attributes":{"x":{"type":"value","value":784},"y":{"type":"value","value":0.1434993684834339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14454","attributes":{"x":{"type":"value","value":784},"y":{"type":"value","value":0.1434993684834339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14455","attributes":{"x":{"type":"value","value":784},"y":{"type":"value","value":0.1434993684834339},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14465","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14459","attributes":{"selected":{"type":"object","name":"Selection","id":"p14460","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14461"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14466","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14467"}}},"glyph":{"type":"object","name":"Scatter","id":"p14462","attributes":{"x":{"type":"value","value":785},"y":{"type":"value","value":0.030785900580460067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14463","attributes":{"x":{"type":"value","value":785},"y":{"type":"value","value":0.030785900580460067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14464","attributes":{"x":{"type":"value","value":785},"y":{"type":"value","value":0.030785900580460067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14474","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14468","attributes":{"selected":{"type":"object","name":"Selection","id":"p14469","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14470"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14475","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14476"}}},"glyph":{"type":"object","name":"Scatter","id":"p14471","attributes":{"x":{"type":"value","value":786},"y":{"type":"value","value":0.08085761930855909},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14472","attributes":{"x":{"type":"value","value":786},"y":{"type":"value","value":0.08085761930855909},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14473","attributes":{"x":{"type":"value","value":786},"y":{"type":"value","value":0.08085761930855909},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14483","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14477","attributes":{"selected":{"type":"object","name":"Selection","id":"p14478","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14479"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14484","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14485"}}},"glyph":{"type":"object","name":"Scatter","id":"p14480","attributes":{"x":{"type":"value","value":787},"y":{"type":"value","value":-0.007113167950990999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14481","attributes":{"x":{"type":"value","value":787},"y":{"type":"value","value":-0.007113167950990999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14482","attributes":{"x":{"type":"value","value":787},"y":{"type":"value","value":-0.007113167950990999},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14492","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14486","attributes":{"selected":{"type":"object","name":"Selection","id":"p14487","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14488"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14493","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14494"}}},"glyph":{"type":"object","name":"Scatter","id":"p14489","attributes":{"x":{"type":"value","value":788},"y":{"type":"value","value":0.04672595035836535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14490","attributes":{"x":{"type":"value","value":788},"y":{"type":"value","value":0.04672595035836535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14491","attributes":{"x":{"type":"value","value":788},"y":{"type":"value","value":0.04672595035836535},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14501","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14495","attributes":{"selected":{"type":"object","name":"Selection","id":"p14496","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14497"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14502","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14503"}}},"glyph":{"type":"object","name":"Scatter","id":"p14498","attributes":{"x":{"type":"value","value":789},"y":{"type":"value","value":0.13454671375118027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14499","attributes":{"x":{"type":"value","value":789},"y":{"type":"value","value":0.13454671375118027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14500","attributes":{"x":{"type":"value","value":789},"y":{"type":"value","value":0.13454671375118027},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14510","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14504","attributes":{"selected":{"type":"object","name":"Selection","id":"p14505","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14506"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14511","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14512"}}},"glyph":{"type":"object","name":"Scatter","id":"p14507","attributes":{"x":{"type":"value","value":790},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14508","attributes":{"x":{"type":"value","value":790},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14509","attributes":{"x":{"type":"value","value":790},"y":{"type":"value","value":0.12791150125463333},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14519","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14513","attributes":{"selected":{"type":"object","name":"Selection","id":"p14514","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14515"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14520","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14521"}}},"glyph":{"type":"object","name":"Scatter","id":"p14516","attributes":{"x":{"type":"value","value":791},"y":{"type":"value","value":0.15764609239027827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14517","attributes":{"x":{"type":"value","value":791},"y":{"type":"value","value":0.15764609239027827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14518","attributes":{"x":{"type":"value","value":791},"y":{"type":"value","value":0.15764609239027827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14528","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14522","attributes":{"selected":{"type":"object","name":"Selection","id":"p14523","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14524"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14529","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14530"}}},"glyph":{"type":"object","name":"Scatter","id":"p14525","attributes":{"x":{"type":"value","value":792},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14526","attributes":{"x":{"type":"value","value":792},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14527","attributes":{"x":{"type":"value","value":792},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14537","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14531","attributes":{"selected":{"type":"object","name":"Selection","id":"p14532","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14533"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14538","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14539"}}},"glyph":{"type":"object","name":"Scatter","id":"p14534","attributes":{"x":{"type":"value","value":793},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14535","attributes":{"x":{"type":"value","value":793},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14536","attributes":{"x":{"type":"value","value":793},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14546","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14540","attributes":{"selected":{"type":"object","name":"Selection","id":"p14541","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14542"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14547","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14548"}}},"glyph":{"type":"object","name":"Scatter","id":"p14543","attributes":{"x":{"type":"value","value":794},"y":{"type":"value","value":-0.04712708655243112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14544","attributes":{"x":{"type":"value","value":794},"y":{"type":"value","value":-0.04712708655243112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14545","attributes":{"x":{"type":"value","value":794},"y":{"type":"value","value":-0.04712708655243112},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14555","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14549","attributes":{"selected":{"type":"object","name":"Selection","id":"p14550","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14551"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14556","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14557"}}},"glyph":{"type":"object","name":"Scatter","id":"p14552","attributes":{"x":{"type":"value","value":795},"y":{"type":"value","value":0.06146753157657952},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14553","attributes":{"x":{"type":"value","value":795},"y":{"type":"value","value":0.06146753157657952},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14554","attributes":{"x":{"type":"value","value":795},"y":{"type":"value","value":0.06146753157657952},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14564","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14558","attributes":{"selected":{"type":"object","name":"Selection","id":"p14559","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14560"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14565","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14566"}}},"glyph":{"type":"object","name":"Scatter","id":"p14561","attributes":{"x":{"type":"value","value":796},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14562","attributes":{"x":{"type":"value","value":796},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14563","attributes":{"x":{"type":"value","value":796},"y":{"type":"value","value":0.026588451049944565},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14573","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14567","attributes":{"selected":{"type":"object","name":"Selection","id":"p14568","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14569"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14574","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14575"}}},"glyph":{"type":"object","name":"Scatter","id":"p14570","attributes":{"x":{"type":"value","value":797},"y":{"type":"value","value":0.12463061276099256},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14571","attributes":{"x":{"type":"value","value":797},"y":{"type":"value","value":0.12463061276099256},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14572","attributes":{"x":{"type":"value","value":797},"y":{"type":"value","value":0.12463061276099256},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14582","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14576","attributes":{"selected":{"type":"object","name":"Selection","id":"p14577","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14578"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14583","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14584"}}},"glyph":{"type":"object","name":"Scatter","id":"p14579","attributes":{"x":{"type":"value","value":798},"y":{"type":"value","value":0.057268299153892706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14580","attributes":{"x":{"type":"value","value":798},"y":{"type":"value","value":0.057268299153892706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14581","attributes":{"x":{"type":"value","value":798},"y":{"type":"value","value":0.057268299153892706},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14591","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14585","attributes":{"selected":{"type":"object","name":"Selection","id":"p14586","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14587"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14592","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14593"}}},"glyph":{"type":"object","name":"Scatter","id":"p14588","attributes":{"x":{"type":"value","value":799},"y":{"type":"value","value":0.06611588875364219},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14589","attributes":{"x":{"type":"value","value":799},"y":{"type":"value","value":0.06611588875364219},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14590","attributes":{"x":{"type":"value","value":799},"y":{"type":"value","value":0.06611588875364219},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14600","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14594","attributes":{"selected":{"type":"object","name":"Selection","id":"p14595","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14596"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14601","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14602"}}},"glyph":{"type":"object","name":"Scatter","id":"p14597","attributes":{"x":{"type":"value","value":800},"y":{"type":"value","value":0.24268463796612408},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14598","attributes":{"x":{"type":"value","value":800},"y":{"type":"value","value":0.24268463796612408},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14599","attributes":{"x":{"type":"value","value":800},"y":{"type":"value","value":0.24268463796612408},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14609","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14603","attributes":{"selected":{"type":"object","name":"Selection","id":"p14604","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14605"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14610","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14611"}}},"glyph":{"type":"object","name":"Scatter","id":"p14606","attributes":{"x":{"type":"value","value":801},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14607","attributes":{"x":{"type":"value","value":801},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14608","attributes":{"x":{"type":"value","value":801},"y":{"type":"value","value":0.13504784676184653},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14618","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14612","attributes":{"selected":{"type":"object","name":"Selection","id":"p14613","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14614"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14619","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14620"}}},"glyph":{"type":"object","name":"Scatter","id":"p14615","attributes":{"x":{"type":"value","value":802},"y":{"type":"value","value":-0.07563592984260396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14616","attributes":{"x":{"type":"value","value":802},"y":{"type":"value","value":-0.07563592984260396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14617","attributes":{"x":{"type":"value","value":802},"y":{"type":"value","value":-0.07563592984260396},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14627","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14621","attributes":{"selected":{"type":"object","name":"Selection","id":"p14622","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14623"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14628","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14629"}}},"glyph":{"type":"object","name":"Scatter","id":"p14624","attributes":{"x":{"type":"value","value":803},"y":{"type":"value","value":0.14063062825997702},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14625","attributes":{"x":{"type":"value","value":803},"y":{"type":"value","value":0.14063062825997702},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14626","attributes":{"x":{"type":"value","value":803},"y":{"type":"value","value":0.14063062825997702},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14636","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14630","attributes":{"selected":{"type":"object","name":"Selection","id":"p14631","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14632"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14637","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14638"}}},"glyph":{"type":"object","name":"Scatter","id":"p14633","attributes":{"x":{"type":"value","value":804},"y":{"type":"value","value":0.09683066854006994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14634","attributes":{"x":{"type":"value","value":804},"y":{"type":"value","value":0.09683066854006994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14635","attributes":{"x":{"type":"value","value":804},"y":{"type":"value","value":0.09683066854006994},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14645","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14639","attributes":{"selected":{"type":"object","name":"Selection","id":"p14640","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14641"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14646","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14647"}}},"glyph":{"type":"object","name":"Scatter","id":"p14642","attributes":{"x":{"type":"value","value":805},"y":{"type":"value","value":0.15636110604181028},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14643","attributes":{"x":{"type":"value","value":805},"y":{"type":"value","value":0.15636110604181028},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14644","attributes":{"x":{"type":"value","value":805},"y":{"type":"value","value":0.15636110604181028},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14654","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14648","attributes":{"selected":{"type":"object","name":"Selection","id":"p14649","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14650"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14655","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14656"}}},"glyph":{"type":"object","name":"Scatter","id":"p14651","attributes":{"x":{"type":"value","value":806},"y":{"type":"value","value":-0.09364341667616806},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14652","attributes":{"x":{"type":"value","value":806},"y":{"type":"value","value":-0.09364341667616806},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14653","attributes":{"x":{"type":"value","value":806},"y":{"type":"value","value":-0.09364341667616806},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14663","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14657","attributes":{"selected":{"type":"object","name":"Selection","id":"p14658","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14659"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14664","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14665"}}},"glyph":{"type":"object","name":"Scatter","id":"p14660","attributes":{"x":{"type":"value","value":807},"y":{"type":"value","value":0.28324636105052575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14661","attributes":{"x":{"type":"value","value":807},"y":{"type":"value","value":0.28324636105052575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14662","attributes":{"x":{"type":"value","value":807},"y":{"type":"value","value":0.28324636105052575},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14672","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14666","attributes":{"selected":{"type":"object","name":"Selection","id":"p14667","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14668"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14673","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14674"}}},"glyph":{"type":"object","name":"Scatter","id":"p14669","attributes":{"x":{"type":"value","value":808},"y":{"type":"value","value":0.13293668468672892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14670","attributes":{"x":{"type":"value","value":808},"y":{"type":"value","value":0.13293668468672892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14671","attributes":{"x":{"type":"value","value":808},"y":{"type":"value","value":0.13293668468672892},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14681","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14675","attributes":{"selected":{"type":"object","name":"Selection","id":"p14676","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14677"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14682","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14683"}}},"glyph":{"type":"object","name":"Scatter","id":"p14678","attributes":{"x":{"type":"value","value":809},"y":{"type":"value","value":0.1333910804793829},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14679","attributes":{"x":{"type":"value","value":809},"y":{"type":"value","value":0.1333910804793829},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14680","attributes":{"x":{"type":"value","value":809},"y":{"type":"value","value":0.1333910804793829},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14690","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14684","attributes":{"selected":{"type":"object","name":"Selection","id":"p14685","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14686"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14691","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14692"}}},"glyph":{"type":"object","name":"Scatter","id":"p14687","attributes":{"x":{"type":"value","value":810},"y":{"type":"value","value":-0.09244371156001849},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14688","attributes":{"x":{"type":"value","value":810},"y":{"type":"value","value":-0.09244371156001849},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14689","attributes":{"x":{"type":"value","value":810},"y":{"type":"value","value":-0.09244371156001849},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14699","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14693","attributes":{"selected":{"type":"object","name":"Selection","id":"p14694","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14695"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14700","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14701"}}},"glyph":{"type":"object","name":"Scatter","id":"p14696","attributes":{"x":{"type":"value","value":811},"y":{"type":"value","value":-0.08417698269272933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14697","attributes":{"x":{"type":"value","value":811},"y":{"type":"value","value":-0.08417698269272933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14698","attributes":{"x":{"type":"value","value":811},"y":{"type":"value","value":-0.08417698269272933},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14708","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14702","attributes":{"selected":{"type":"object","name":"Selection","id":"p14703","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14704"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14709","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14710"}}},"glyph":{"type":"object","name":"Scatter","id":"p14705","attributes":{"x":{"type":"value","value":812},"y":{"type":"value","value":0.20181361446689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14706","attributes":{"x":{"type":"value","value":812},"y":{"type":"value","value":0.20181361446689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14707","attributes":{"x":{"type":"value","value":812},"y":{"type":"value","value":0.20181361446689},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14717","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14711","attributes":{"selected":{"type":"object","name":"Selection","id":"p14712","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14713"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14718","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14719"}}},"glyph":{"type":"object","name":"Scatter","id":"p14714","attributes":{"x":{"type":"value","value":813},"y":{"type":"value","value":0.22448190500403978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14715","attributes":{"x":{"type":"value","value":813},"y":{"type":"value","value":0.22448190500403978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14716","attributes":{"x":{"type":"value","value":813},"y":{"type":"value","value":0.22448190500403978},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14726","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14720","attributes":{"selected":{"type":"object","name":"Selection","id":"p14721","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14722"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14727","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14728"}}},"glyph":{"type":"object","name":"Scatter","id":"p14723","attributes":{"x":{"type":"value","value":814},"y":{"type":"value","value":0.2540621241965235},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14724","attributes":{"x":{"type":"value","value":814},"y":{"type":"value","value":0.2540621241965235},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14725","attributes":{"x":{"type":"value","value":814},"y":{"type":"value","value":0.2540621241965235},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14735","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14729","attributes":{"selected":{"type":"object","name":"Selection","id":"p14730","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14731"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14736","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14737"}}},"glyph":{"type":"object","name":"Scatter","id":"p14732","attributes":{"x":{"type":"value","value":815},"y":{"type":"value","value":0.2707094984323258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14733","attributes":{"x":{"type":"value","value":815},"y":{"type":"value","value":0.2707094984323258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14734","attributes":{"x":{"type":"value","value":815},"y":{"type":"value","value":0.2707094984323258},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14744","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14738","attributes":{"selected":{"type":"object","name":"Selection","id":"p14739","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14740"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14745","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14746"}}},"glyph":{"type":"object","name":"Scatter","id":"p14741","attributes":{"x":{"type":"value","value":816},"y":{"type":"value","value":0.26754217055422513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14742","attributes":{"x":{"type":"value","value":816},"y":{"type":"value","value":0.26754217055422513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14743","attributes":{"x":{"type":"value","value":816},"y":{"type":"value","value":0.26754217055422513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14753","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14747","attributes":{"selected":{"type":"object","name":"Selection","id":"p14748","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14749"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14754","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14755"}}},"glyph":{"type":"object","name":"Scatter","id":"p14750","attributes":{"x":{"type":"value","value":817},"y":{"type":"value","value":0.39090318605348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14751","attributes":{"x":{"type":"value","value":817},"y":{"type":"value","value":0.39090318605348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14752","attributes":{"x":{"type":"value","value":817},"y":{"type":"value","value":0.39090318605348},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14762","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14756","attributes":{"selected":{"type":"object","name":"Selection","id":"p14757","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14758"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14763","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14764"}}},"glyph":{"type":"object","name":"Scatter","id":"p14759","attributes":{"x":{"type":"value","value":818},"y":{"type":"value","value":0.12085868439217691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14760","attributes":{"x":{"type":"value","value":818},"y":{"type":"value","value":0.12085868439217691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14761","attributes":{"x":{"type":"value","value":818},"y":{"type":"value","value":0.12085868439217691},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14771","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14765","attributes":{"selected":{"type":"object","name":"Selection","id":"p14766","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14767"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14772","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14773"}}},"glyph":{"type":"object","name":"Scatter","id":"p14768","attributes":{"x":{"type":"value","value":819},"y":{"type":"value","value":0.1073151240742463},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14769","attributes":{"x":{"type":"value","value":819},"y":{"type":"value","value":0.1073151240742463},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14770","attributes":{"x":{"type":"value","value":819},"y":{"type":"value","value":0.1073151240742463},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14780","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14774","attributes":{"selected":{"type":"object","name":"Selection","id":"p14775","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14776"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14781","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14782"}}},"glyph":{"type":"object","name":"Scatter","id":"p14777","attributes":{"x":{"type":"value","value":820},"y":{"type":"value","value":0.10157964333046067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14778","attributes":{"x":{"type":"value","value":820},"y":{"type":"value","value":0.10157964333046067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14779","attributes":{"x":{"type":"value","value":820},"y":{"type":"value","value":0.10157964333046067},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14789","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14783","attributes":{"selected":{"type":"object","name":"Selection","id":"p14784","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14785"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14790","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14791"}}},"glyph":{"type":"object","name":"Scatter","id":"p14786","attributes":{"x":{"type":"value","value":821},"y":{"type":"value","value":0.18106888281709693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14787","attributes":{"x":{"type":"value","value":821},"y":{"type":"value","value":0.18106888281709693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14788","attributes":{"x":{"type":"value","value":821},"y":{"type":"value","value":0.18106888281709693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14798","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14792","attributes":{"selected":{"type":"object","name":"Selection","id":"p14793","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14794"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14799","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14800"}}},"glyph":{"type":"object","name":"Scatter","id":"p14795","attributes":{"x":{"type":"value","value":822},"y":{"type":"value","value":0.27347193868873404},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14796","attributes":{"x":{"type":"value","value":822},"y":{"type":"value","value":0.27347193868873404},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14797","attributes":{"x":{"type":"value","value":822},"y":{"type":"value","value":0.27347193868873404},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14807","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14801","attributes":{"selected":{"type":"object","name":"Selection","id":"p14802","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14803"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14808","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14809"}}},"glyph":{"type":"object","name":"Scatter","id":"p14804","attributes":{"x":{"type":"value","value":823},"y":{"type":"value","value":0.28910285068222513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14805","attributes":{"x":{"type":"value","value":823},"y":{"type":"value","value":0.28910285068222513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14806","attributes":{"x":{"type":"value","value":823},"y":{"type":"value","value":0.28910285068222513},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14816","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14810","attributes":{"selected":{"type":"object","name":"Selection","id":"p14811","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14812"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14817","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14818"}}},"glyph":{"type":"object","name":"Scatter","id":"p14813","attributes":{"x":{"type":"value","value":824},"y":{"type":"value","value":0.2154401080553947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14814","attributes":{"x":{"type":"value","value":824},"y":{"type":"value","value":0.2154401080553947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14815","attributes":{"x":{"type":"value","value":824},"y":{"type":"value","value":0.2154401080553947},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14825","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14819","attributes":{"selected":{"type":"object","name":"Selection","id":"p14820","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14821"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14826","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14827"}}},"glyph":{"type":"object","name":"Scatter","id":"p14822","attributes":{"x":{"type":"value","value":825},"y":{"type":"value","value":0.17756054883776048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14823","attributes":{"x":{"type":"value","value":825},"y":{"type":"value","value":0.17756054883776048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14824","attributes":{"x":{"type":"value","value":825},"y":{"type":"value","value":0.17756054883776048},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14834","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14828","attributes":{"selected":{"type":"object","name":"Selection","id":"p14829","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14830"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14835","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14836"}}},"glyph":{"type":"object","name":"Scatter","id":"p14831","attributes":{"x":{"type":"value","value":826},"y":{"type":"value","value":0.15497295772688166},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14832","attributes":{"x":{"type":"value","value":826},"y":{"type":"value","value":0.15497295772688166},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14833","attributes":{"x":{"type":"value","value":826},"y":{"type":"value","value":0.15497295772688166},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14843","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14837","attributes":{"selected":{"type":"object","name":"Selection","id":"p14838","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14839"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14844","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14845"}}},"glyph":{"type":"object","name":"Scatter","id":"p14840","attributes":{"x":{"type":"value","value":827},"y":{"type":"value","value":0.14357557891699727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14841","attributes":{"x":{"type":"value","value":827},"y":{"type":"value","value":0.14357557891699727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14842","attributes":{"x":{"type":"value","value":827},"y":{"type":"value","value":0.14357557891699727},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14852","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14846","attributes":{"selected":{"type":"object","name":"Selection","id":"p14847","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14848"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14853","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14854"}}},"glyph":{"type":"object","name":"Scatter","id":"p14849","attributes":{"x":{"type":"value","value":828},"y":{"type":"value","value":0.2202823033169073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14850","attributes":{"x":{"type":"value","value":828},"y":{"type":"value","value":0.2202823033169073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14851","attributes":{"x":{"type":"value","value":828},"y":{"type":"value","value":0.2202823033169073},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14861","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14855","attributes":{"selected":{"type":"object","name":"Selection","id":"p14856","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14857"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14862","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14863"}}},"glyph":{"type":"object","name":"Scatter","id":"p14858","attributes":{"x":{"type":"value","value":829},"y":{"type":"value","value":0.21417141794449238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14859","attributes":{"x":{"type":"value","value":829},"y":{"type":"value","value":0.21417141794449238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14860","attributes":{"x":{"type":"value","value":829},"y":{"type":"value","value":0.21417141794449238},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14870","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14864","attributes":{"selected":{"type":"object","name":"Selection","id":"p14865","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14866"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14871","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14872"}}},"glyph":{"type":"object","name":"Scatter","id":"p14867","attributes":{"x":{"type":"value","value":830},"y":{"type":"value","value":0.15399734068100257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14868","attributes":{"x":{"type":"value","value":830},"y":{"type":"value","value":0.15399734068100257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14869","attributes":{"x":{"type":"value","value":830},"y":{"type":"value","value":0.15399734068100257},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14879","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14873","attributes":{"selected":{"type":"object","name":"Selection","id":"p14874","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14875"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14880","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14881"}}},"glyph":{"type":"object","name":"Scatter","id":"p14876","attributes":{"x":{"type":"value","value":831},"y":{"type":"value","value":0.14341315899616583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14877","attributes":{"x":{"type":"value","value":831},"y":{"type":"value","value":0.14341315899616583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14878","attributes":{"x":{"type":"value","value":831},"y":{"type":"value","value":0.14341315899616583},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14888","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14882","attributes":{"selected":{"type":"object","name":"Selection","id":"p14883","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14884"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14889","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14890"}}},"glyph":{"type":"object","name":"Scatter","id":"p14885","attributes":{"x":{"type":"value","value":832},"y":{"type":"value","value":0.21006753520353663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14886","attributes":{"x":{"type":"value","value":832},"y":{"type":"value","value":0.21006753520353663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14887","attributes":{"x":{"type":"value","value":832},"y":{"type":"value","value":0.21006753520353663},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14897","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14891","attributes":{"selected":{"type":"object","name":"Selection","id":"p14892","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14893"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14898","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14899"}}},"glyph":{"type":"object","name":"Scatter","id":"p14894","attributes":{"x":{"type":"value","value":833},"y":{"type":"value","value":0.2552254329868377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14895","attributes":{"x":{"type":"value","value":833},"y":{"type":"value","value":0.2552254329868377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14896","attributes":{"x":{"type":"value","value":833},"y":{"type":"value","value":0.2552254329868377},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14906","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14900","attributes":{"selected":{"type":"object","name":"Selection","id":"p14901","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14902"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14907","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14908"}}},"glyph":{"type":"object","name":"Scatter","id":"p14903","attributes":{"x":{"type":"value","value":834},"y":{"type":"value","value":0.1088377109399678},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14904","attributes":{"x":{"type":"value","value":834},"y":{"type":"value","value":0.1088377109399678},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14905","attributes":{"x":{"type":"value","value":834},"y":{"type":"value","value":0.1088377109399678},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14915","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14909","attributes":{"selected":{"type":"object","name":"Selection","id":"p14910","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14911"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14916","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14917"}}},"glyph":{"type":"object","name":"Scatter","id":"p14912","attributes":{"x":{"type":"value","value":835},"y":{"type":"value","value":0.09085634014771074},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14913","attributes":{"x":{"type":"value","value":835},"y":{"type":"value","value":0.09085634014771074},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14914","attributes":{"x":{"type":"value","value":835},"y":{"type":"value","value":0.09085634014771074},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14924","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14918","attributes":{"selected":{"type":"object","name":"Selection","id":"p14919","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14920"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14925","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14926"}}},"glyph":{"type":"object","name":"Scatter","id":"p14921","attributes":{"x":{"type":"value","value":836},"y":{"type":"value","value":0.08861304194666703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14922","attributes":{"x":{"type":"value","value":836},"y":{"type":"value","value":0.08861304194666703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14923","attributes":{"x":{"type":"value","value":836},"y":{"type":"value","value":0.08861304194666703},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14933","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14927","attributes":{"selected":{"type":"object","name":"Selection","id":"p14928","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14929"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14934","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14935"}}},"glyph":{"type":"object","name":"Scatter","id":"p14930","attributes":{"x":{"type":"value","value":837},"y":{"type":"value","value":0.3953195336746673},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14931","attributes":{"x":{"type":"value","value":837},"y":{"type":"value","value":0.3953195336746673},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14932","attributes":{"x":{"type":"value","value":837},"y":{"type":"value","value":0.3953195336746673},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14942","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14936","attributes":{"selected":{"type":"object","name":"Selection","id":"p14937","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14938"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14943","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14944"}}},"glyph":{"type":"object","name":"Scatter","id":"p14939","attributes":{"x":{"type":"value","value":838},"y":{"type":"value","value":0.3241944140079226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14940","attributes":{"x":{"type":"value","value":838},"y":{"type":"value","value":0.3241944140079226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14941","attributes":{"x":{"type":"value","value":838},"y":{"type":"value","value":0.3241944140079226},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14951","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14945","attributes":{"selected":{"type":"object","name":"Selection","id":"p14946","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14947"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14952","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14953"}}},"glyph":{"type":"object","name":"Scatter","id":"p14948","attributes":{"x":{"type":"value","value":839},"y":{"type":"value","value":0.3096446647264781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14949","attributes":{"x":{"type":"value","value":839},"y":{"type":"value","value":0.3096446647264781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14950","attributes":{"x":{"type":"value","value":839},"y":{"type":"value","value":0.3096446647264781},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14960","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14954","attributes":{"selected":{"type":"object","name":"Selection","id":"p14955","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14956"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14961","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14962"}}},"glyph":{"type":"object","name":"Scatter","id":"p14957","attributes":{"x":{"type":"value","value":840},"y":{"type":"value","value":0.21176937382973332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14958","attributes":{"x":{"type":"value","value":840},"y":{"type":"value","value":0.21176937382973332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14959","attributes":{"x":{"type":"value","value":840},"y":{"type":"value","value":0.21176937382973332},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14969","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14963","attributes":{"selected":{"type":"object","name":"Selection","id":"p14964","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14965"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14970","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14971"}}},"glyph":{"type":"object","name":"Scatter","id":"p14966","attributes":{"x":{"type":"value","value":841},"y":{"type":"value","value":0.2018147669637539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14967","attributes":{"x":{"type":"value","value":841},"y":{"type":"value","value":0.2018147669637539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14968","attributes":{"x":{"type":"value","value":841},"y":{"type":"value","value":0.2018147669637539},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14978","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14972","attributes":{"selected":{"type":"object","name":"Selection","id":"p14973","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14974"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14979","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14980"}}},"glyph":{"type":"object","name":"Scatter","id":"p14975","attributes":{"x":{"type":"value","value":842},"y":{"type":"value","value":0.15298789038242827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14976","attributes":{"x":{"type":"value","value":842},"y":{"type":"value","value":0.15298789038242827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14977","attributes":{"x":{"type":"value","value":842},"y":{"type":"value","value":0.15298789038242827},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14987","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14981","attributes":{"selected":{"type":"object","name":"Selection","id":"p14982","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14983"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14988","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14989"}}},"glyph":{"type":"object","name":"Scatter","id":"p14984","attributes":{"x":{"type":"value","value":843},"y":{"type":"value","value":-0.016863097133973146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14985","attributes":{"x":{"type":"value","value":843},"y":{"type":"value","value":-0.016863097133973146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14986","attributes":{"x":{"type":"value","value":843},"y":{"type":"value","value":-0.016863097133973146},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p14996","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14990","attributes":{"selected":{"type":"object","name":"Selection","id":"p14991","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p14992"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p14997","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p14998"}}},"glyph":{"type":"object","name":"Scatter","id":"p14993","attributes":{"x":{"type":"value","value":844},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p14994","attributes":{"x":{"type":"value","value":844},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p14995","attributes":{"x":{"type":"value","value":844},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15005","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p14999","attributes":{"selected":{"type":"object","name":"Selection","id":"p15000","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15001"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15006","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15007"}}},"glyph":{"type":"object","name":"Scatter","id":"p15002","attributes":{"x":{"type":"value","value":845},"y":{"type":"value","value":0.24355352918252338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15003","attributes":{"x":{"type":"value","value":845},"y":{"type":"value","value":0.24355352918252338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15004","attributes":{"x":{"type":"value","value":845},"y":{"type":"value","value":0.24355352918252338},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15014","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15008","attributes":{"selected":{"type":"object","name":"Selection","id":"p15009","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15010"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15015","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15016"}}},"glyph":{"type":"object","name":"Scatter","id":"p15011","attributes":{"x":{"type":"value","value":846},"y":{"type":"value","value":0.05335080963068124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15012","attributes":{"x":{"type":"value","value":846},"y":{"type":"value","value":0.05335080963068124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15013","attributes":{"x":{"type":"value","value":846},"y":{"type":"value","value":0.05335080963068124},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15023","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15017","attributes":{"selected":{"type":"object","name":"Selection","id":"p15018","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15019"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15024","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15025"}}},"glyph":{"type":"object","name":"Scatter","id":"p15020","attributes":{"x":{"type":"value","value":847},"y":{"type":"value","value":0.11293021580982159},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15021","attributes":{"x":{"type":"value","value":847},"y":{"type":"value","value":0.11293021580982159},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15022","attributes":{"x":{"type":"value","value":847},"y":{"type":"value","value":0.11293021580982159},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15032","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15026","attributes":{"selected":{"type":"object","name":"Selection","id":"p15027","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15028"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15033","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15034"}}},"glyph":{"type":"object","name":"Scatter","id":"p15029","attributes":{"x":{"type":"value","value":848},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15030","attributes":{"x":{"type":"value","value":848},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15031","attributes":{"x":{"type":"value","value":848},"y":{"type":"value","value":0.09126002841251474},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15041","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15035","attributes":{"selected":{"type":"object","name":"Selection","id":"p15036","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15037"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15042","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15043"}}},"glyph":{"type":"object","name":"Scatter","id":"p15038","attributes":{"x":{"type":"value","value":849},"y":{"type":"value","value":0.10127235826251578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15039","attributes":{"x":{"type":"value","value":849},"y":{"type":"value","value":0.10127235826251578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15040","attributes":{"x":{"type":"value","value":849},"y":{"type":"value","value":0.10127235826251578},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15050","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15044","attributes":{"selected":{"type":"object","name":"Selection","id":"p15045","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15046"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15051","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15052"}}},"glyph":{"type":"object","name":"Scatter","id":"p15047","attributes":{"x":{"type":"value","value":850},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15048","attributes":{"x":{"type":"value","value":850},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15049","attributes":{"x":{"type":"value","value":850},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15059","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15053","attributes":{"selected":{"type":"object","name":"Selection","id":"p15054","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15055"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15060","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15061"}}},"glyph":{"type":"object","name":"Scatter","id":"p15056","attributes":{"x":{"type":"value","value":851},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15057","attributes":{"x":{"type":"value","value":851},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15058","attributes":{"x":{"type":"value","value":851},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15068","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15062","attributes":{"selected":{"type":"object","name":"Selection","id":"p15063","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15064"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15069","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15070"}}},"glyph":{"type":"object","name":"Scatter","id":"p15065","attributes":{"x":{"type":"value","value":852},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15066","attributes":{"x":{"type":"value","value":852},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15067","attributes":{"x":{"type":"value","value":852},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15077","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15071","attributes":{"selected":{"type":"object","name":"Selection","id":"p15072","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15073"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15078","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15079"}}},"glyph":{"type":"object","name":"Scatter","id":"p15074","attributes":{"x":{"type":"value","value":853},"y":{"type":"value","value":0.11096949413985915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15075","attributes":{"x":{"type":"value","value":853},"y":{"type":"value","value":0.11096949413985915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15076","attributes":{"x":{"type":"value","value":853},"y":{"type":"value","value":0.11096949413985915},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15086","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15080","attributes":{"selected":{"type":"object","name":"Selection","id":"p15081","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15082"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15087","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15088"}}},"glyph":{"type":"object","name":"Scatter","id":"p15083","attributes":{"x":{"type":"value","value":854},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15084","attributes":{"x":{"type":"value","value":854},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15085","attributes":{"x":{"type":"value","value":854},"y":{"type":"value","value":-0.09934902991443476},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15095","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15089","attributes":{"selected":{"type":"object","name":"Selection","id":"p15090","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15091"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15096","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15097"}}},"glyph":{"type":"object","name":"Scatter","id":"p15092","attributes":{"x":{"type":"value","value":855},"y":{"type":"value","value":0.03685862522029588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15093","attributes":{"x":{"type":"value","value":855},"y":{"type":"value","value":0.03685862522029588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15094","attributes":{"x":{"type":"value","value":855},"y":{"type":"value","value":0.03685862522029588},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15104","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15098","attributes":{"selected":{"type":"object","name":"Selection","id":"p15099","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15100"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15105","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15106"}}},"glyph":{"type":"object","name":"Scatter","id":"p15101","attributes":{"x":{"type":"value","value":856},"y":{"type":"value","value":0.0992998419071197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15102","attributes":{"x":{"type":"value","value":856},"y":{"type":"value","value":0.0992998419071197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15103","attributes":{"x":{"type":"value","value":856},"y":{"type":"value","value":0.0992998419071197},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15113","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15107","attributes":{"selected":{"type":"object","name":"Selection","id":"p15108","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15109"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15114","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15115"}}},"glyph":{"type":"object","name":"Scatter","id":"p15110","attributes":{"x":{"type":"value","value":857},"y":{"type":"value","value":0.040461642918209174},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15111","attributes":{"x":{"type":"value","value":857},"y":{"type":"value","value":0.040461642918209174},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15112","attributes":{"x":{"type":"value","value":857},"y":{"type":"value","value":0.040461642918209174},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15122","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15116","attributes":{"selected":{"type":"object","name":"Selection","id":"p15117","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15118"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15123","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15124"}}},"glyph":{"type":"object","name":"Scatter","id":"p15119","attributes":{"x":{"type":"value","value":858},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15120","attributes":{"x":{"type":"value","value":858},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15121","attributes":{"x":{"type":"value","value":858},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15131","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15125","attributes":{"selected":{"type":"object","name":"Selection","id":"p15126","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15127"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15132","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15133"}}},"glyph":{"type":"object","name":"Scatter","id":"p15128","attributes":{"x":{"type":"value","value":859},"y":{"type":"value","value":-0.08075387128304697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15129","attributes":{"x":{"type":"value","value":859},"y":{"type":"value","value":-0.08075387128304697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15130","attributes":{"x":{"type":"value","value":859},"y":{"type":"value","value":-0.08075387128304697},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15140","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15134","attributes":{"selected":{"type":"object","name":"Selection","id":"p15135","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15136"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15141","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15142"}}},"glyph":{"type":"object","name":"Scatter","id":"p15137","attributes":{"x":{"type":"value","value":860},"y":{"type":"value","value":0.0651720607100824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15138","attributes":{"x":{"type":"value","value":860},"y":{"type":"value","value":0.0651720607100824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15139","attributes":{"x":{"type":"value","value":860},"y":{"type":"value","value":0.0651720607100824},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15149","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15143","attributes":{"selected":{"type":"object","name":"Selection","id":"p15144","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15145"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15150","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15151"}}},"glyph":{"type":"object","name":"Scatter","id":"p15146","attributes":{"x":{"type":"value","value":861},"y":{"type":"value","value":-0.059624266693306054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15147","attributes":{"x":{"type":"value","value":861},"y":{"type":"value","value":-0.059624266693306054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15148","attributes":{"x":{"type":"value","value":861},"y":{"type":"value","value":-0.059624266693306054},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15158","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15152","attributes":{"selected":{"type":"object","name":"Selection","id":"p15153","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15154"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15159","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15160"}}},"glyph":{"type":"object","name":"Scatter","id":"p15155","attributes":{"x":{"type":"value","value":862},"y":{"type":"value","value":0.18144188013013285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15156","attributes":{"x":{"type":"value","value":862},"y":{"type":"value","value":0.18144188013013285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15157","attributes":{"x":{"type":"value","value":862},"y":{"type":"value","value":0.18144188013013285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15167","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15161","attributes":{"selected":{"type":"object","name":"Selection","id":"p15162","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15163"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15168","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15169"}}},"glyph":{"type":"object","name":"Scatter","id":"p15164","attributes":{"x":{"type":"value","value":863},"y":{"type":"value","value":0.0906981136699153},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15165","attributes":{"x":{"type":"value","value":863},"y":{"type":"value","value":0.0906981136699153},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15166","attributes":{"x":{"type":"value","value":863},"y":{"type":"value","value":0.0906981136699153},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15176","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15170","attributes":{"selected":{"type":"object","name":"Selection","id":"p15171","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15172"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15177","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15178"}}},"glyph":{"type":"object","name":"Scatter","id":"p15173","attributes":{"x":{"type":"value","value":864},"y":{"type":"value","value":0.17175002990393665},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15174","attributes":{"x":{"type":"value","value":864},"y":{"type":"value","value":0.17175002990393665},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15175","attributes":{"x":{"type":"value","value":864},"y":{"type":"value","value":0.17175002990393665},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15185","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15179","attributes":{"selected":{"type":"object","name":"Selection","id":"p15180","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15181"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15186","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15187"}}},"glyph":{"type":"object","name":"Scatter","id":"p15182","attributes":{"x":{"type":"value","value":865},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15183","attributes":{"x":{"type":"value","value":865},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15184","attributes":{"x":{"type":"value","value":865},"y":{"type":"value","value":0.007297548687096402},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15194","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15188","attributes":{"selected":{"type":"object","name":"Selection","id":"p15189","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15190"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15195","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15196"}}},"glyph":{"type":"object","name":"Scatter","id":"p15191","attributes":{"x":{"type":"value","value":866},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15192","attributes":{"x":{"type":"value","value":866},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15193","attributes":{"x":{"type":"value","value":866},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15203","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15197","attributes":{"selected":{"type":"object","name":"Selection","id":"p15198","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15199"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15204","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15205"}}},"glyph":{"type":"object","name":"Scatter","id":"p15200","attributes":{"x":{"type":"value","value":867},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15201","attributes":{"x":{"type":"value","value":867},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15202","attributes":{"x":{"type":"value","value":867},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15212","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15206","attributes":{"selected":{"type":"object","name":"Selection","id":"p15207","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15208"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15213","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15214"}}},"glyph":{"type":"object","name":"Scatter","id":"p15209","attributes":{"x":{"type":"value","value":868},"y":{"type":"value","value":0.12425214406347068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15210","attributes":{"x":{"type":"value","value":868},"y":{"type":"value","value":0.12425214406347068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15211","attributes":{"x":{"type":"value","value":868},"y":{"type":"value","value":0.12425214406347068},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15221","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15215","attributes":{"selected":{"type":"object","name":"Selection","id":"p15216","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15217"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15222","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15223"}}},"glyph":{"type":"object","name":"Scatter","id":"p15218","attributes":{"x":{"type":"value","value":869},"y":{"type":"value","value":0.05548292473908865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15219","attributes":{"x":{"type":"value","value":869},"y":{"type":"value","value":0.05548292473908865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15220","attributes":{"x":{"type":"value","value":869},"y":{"type":"value","value":0.05548292473908865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15230","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15224","attributes":{"selected":{"type":"object","name":"Selection","id":"p15225","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15226"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15231","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15232"}}},"glyph":{"type":"object","name":"Scatter","id":"p15227","attributes":{"x":{"type":"value","value":870},"y":{"type":"value","value":-0.04708605490494367},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15228","attributes":{"x":{"type":"value","value":870},"y":{"type":"value","value":-0.04708605490494367},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15229","attributes":{"x":{"type":"value","value":870},"y":{"type":"value","value":-0.04708605490494367},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15239","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15233","attributes":{"selected":{"type":"object","name":"Selection","id":"p15234","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15235"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15240","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15241"}}},"glyph":{"type":"object","name":"Scatter","id":"p15236","attributes":{"x":{"type":"value","value":871},"y":{"type":"value","value":0.21718932679353267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15237","attributes":{"x":{"type":"value","value":871},"y":{"type":"value","value":0.21718932679353267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15238","attributes":{"x":{"type":"value","value":871},"y":{"type":"value","value":0.21718932679353267},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15248","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15242","attributes":{"selected":{"type":"object","name":"Selection","id":"p15243","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15244"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15249","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15250"}}},"glyph":{"type":"object","name":"Scatter","id":"p15245","attributes":{"x":{"type":"value","value":872},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15246","attributes":{"x":{"type":"value","value":872},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15247","attributes":{"x":{"type":"value","value":872},"y":{"type":"value","value":-0.022387862110248447},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15257","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15251","attributes":{"selected":{"type":"object","name":"Selection","id":"p15252","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15253"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15258","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15259"}}},"glyph":{"type":"object","name":"Scatter","id":"p15254","attributes":{"x":{"type":"value","value":873},"y":{"type":"value","value":-0.005646694613589747},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15255","attributes":{"x":{"type":"value","value":873},"y":{"type":"value","value":-0.005646694613589747},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15256","attributes":{"x":{"type":"value","value":873},"y":{"type":"value","value":-0.005646694613589747},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15266","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15260","attributes":{"selected":{"type":"object","name":"Selection","id":"p15261","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15262"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15267","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15268"}}},"glyph":{"type":"object","name":"Scatter","id":"p15263","attributes":{"x":{"type":"value","value":874},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15264","attributes":{"x":{"type":"value","value":874},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15265","attributes":{"x":{"type":"value","value":874},"y":{"type":"value","value":0.04840462613957167},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15275","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15269","attributes":{"selected":{"type":"object","name":"Selection","id":"p15270","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15271"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15276","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15277"}}},"glyph":{"type":"object","name":"Scatter","id":"p15272","attributes":{"x":{"type":"value","value":875},"y":{"type":"value","value":-0.1093256447856498},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15273","attributes":{"x":{"type":"value","value":875},"y":{"type":"value","value":-0.1093256447856498},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15274","attributes":{"x":{"type":"value","value":875},"y":{"type":"value","value":-0.1093256447856498},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15284","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15278","attributes":{"selected":{"type":"object","name":"Selection","id":"p15279","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15280"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15285","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15286"}}},"glyph":{"type":"object","name":"Scatter","id":"p15281","attributes":{"x":{"type":"value","value":876},"y":{"type":"value","value":0.2252788133186432},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15282","attributes":{"x":{"type":"value","value":876},"y":{"type":"value","value":0.2252788133186432},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15283","attributes":{"x":{"type":"value","value":876},"y":{"type":"value","value":0.2252788133186432},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15293","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15287","attributes":{"selected":{"type":"object","name":"Selection","id":"p15288","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15289"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15294","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15295"}}},"glyph":{"type":"object","name":"Scatter","id":"p15290","attributes":{"x":{"type":"value","value":877},"y":{"type":"value","value":0.08688344449608117},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15291","attributes":{"x":{"type":"value","value":877},"y":{"type":"value","value":0.08688344449608117},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15292","attributes":{"x":{"type":"value","value":877},"y":{"type":"value","value":0.08688344449608117},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15302","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15296","attributes":{"selected":{"type":"object","name":"Selection","id":"p15297","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15298"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15303","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15304"}}},"glyph":{"type":"object","name":"Scatter","id":"p15299","attributes":{"x":{"type":"value","value":878},"y":{"type":"value","value":0.019014629563386638},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15300","attributes":{"x":{"type":"value","value":878},"y":{"type":"value","value":0.019014629563386638},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15301","attributes":{"x":{"type":"value","value":878},"y":{"type":"value","value":0.019014629563386638},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15311","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15305","attributes":{"selected":{"type":"object","name":"Selection","id":"p15306","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15307"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15312","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15313"}}},"glyph":{"type":"object","name":"Scatter","id":"p15308","attributes":{"x":{"type":"value","value":879},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15309","attributes":{"x":{"type":"value","value":879},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15310","attributes":{"x":{"type":"value","value":879},"y":{"type":"value","value":-0.07529118445264305},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15320","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15314","attributes":{"selected":{"type":"object","name":"Selection","id":"p15315","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15316"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15321","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15322"}}},"glyph":{"type":"object","name":"Scatter","id":"p15317","attributes":{"x":{"type":"value","value":880},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15318","attributes":{"x":{"type":"value","value":880},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15319","attributes":{"x":{"type":"value","value":880},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15329","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15323","attributes":{"selected":{"type":"object","name":"Selection","id":"p15324","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15325"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15330","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15331"}}},"glyph":{"type":"object","name":"Scatter","id":"p15326","attributes":{"x":{"type":"value","value":881},"y":{"type":"value","value":0.0714646483817242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15327","attributes":{"x":{"type":"value","value":881},"y":{"type":"value","value":0.0714646483817242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15328","attributes":{"x":{"type":"value","value":881},"y":{"type":"value","value":0.0714646483817242},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15338","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15332","attributes":{"selected":{"type":"object","name":"Selection","id":"p15333","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15334"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15339","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15340"}}},"glyph":{"type":"object","name":"Scatter","id":"p15335","attributes":{"x":{"type":"value","value":882},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15336","attributes":{"x":{"type":"value","value":882},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15337","attributes":{"x":{"type":"value","value":882},"y":{"type":"value","value":0.03961188673886581},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15347","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15341","attributes":{"selected":{"type":"object","name":"Selection","id":"p15342","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15343"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15348","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15349"}}},"glyph":{"type":"object","name":"Scatter","id":"p15344","attributes":{"x":{"type":"value","value":883},"y":{"type":"value","value":0.09608273949449381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15345","attributes":{"x":{"type":"value","value":883},"y":{"type":"value","value":0.09608273949449381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15346","attributes":{"x":{"type":"value","value":883},"y":{"type":"value","value":0.09608273949449381},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15356","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15350","attributes":{"selected":{"type":"object","name":"Selection","id":"p15351","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15352"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15357","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15358"}}},"glyph":{"type":"object","name":"Scatter","id":"p15353","attributes":{"x":{"type":"value","value":884},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15354","attributes":{"x":{"type":"value","value":884},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15355","attributes":{"x":{"type":"value","value":884},"y":{"type":"value","value":0.09029204854313569},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15365","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15359","attributes":{"selected":{"type":"object","name":"Selection","id":"p15360","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15361"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15366","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15367"}}},"glyph":{"type":"object","name":"Scatter","id":"p15362","attributes":{"x":{"type":"value","value":885},"y":{"type":"value","value":0.20627404232867855},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15363","attributes":{"x":{"type":"value","value":885},"y":{"type":"value","value":0.20627404232867855},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15364","attributes":{"x":{"type":"value","value":885},"y":{"type":"value","value":0.20627404232867855},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15374","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15368","attributes":{"selected":{"type":"object","name":"Selection","id":"p15369","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15370"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15375","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15376"}}},"glyph":{"type":"object","name":"Scatter","id":"p15371","attributes":{"x":{"type":"value","value":886},"y":{"type":"value","value":0.12531557804249846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15372","attributes":{"x":{"type":"value","value":886},"y":{"type":"value","value":0.12531557804249846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15373","attributes":{"x":{"type":"value","value":886},"y":{"type":"value","value":0.12531557804249846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15383","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15377","attributes":{"selected":{"type":"object","name":"Selection","id":"p15378","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15379"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15384","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15385"}}},"glyph":{"type":"object","name":"Scatter","id":"p15380","attributes":{"x":{"type":"value","value":887},"y":{"type":"value","value":0.19654241271314923},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15381","attributes":{"x":{"type":"value","value":887},"y":{"type":"value","value":0.19654241271314923},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15382","attributes":{"x":{"type":"value","value":887},"y":{"type":"value","value":0.19654241271314923},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15392","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15386","attributes":{"selected":{"type":"object","name":"Selection","id":"p15387","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15388"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15393","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15394"}}},"glyph":{"type":"object","name":"Scatter","id":"p15389","attributes":{"x":{"type":"value","value":888},"y":{"type":"value","value":0.15935763458274216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15390","attributes":{"x":{"type":"value","value":888},"y":{"type":"value","value":0.15935763458274216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15391","attributes":{"x":{"type":"value","value":888},"y":{"type":"value","value":0.15935763458274216},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15401","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15395","attributes":{"selected":{"type":"object","name":"Selection","id":"p15396","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15397"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15402","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15403"}}},"glyph":{"type":"object","name":"Scatter","id":"p15398","attributes":{"x":{"type":"value","value":889},"y":{"type":"value","value":0.20134082825336422},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15399","attributes":{"x":{"type":"value","value":889},"y":{"type":"value","value":0.20134082825336422},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15400","attributes":{"x":{"type":"value","value":889},"y":{"type":"value","value":0.20134082825336422},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15410","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15404","attributes":{"selected":{"type":"object","name":"Selection","id":"p15405","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15406"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15411","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15412"}}},"glyph":{"type":"object","name":"Scatter","id":"p15407","attributes":{"x":{"type":"value","value":890},"y":{"type":"value","value":0.2095614222005193},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15408","attributes":{"x":{"type":"value","value":890},"y":{"type":"value","value":0.2095614222005193},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15409","attributes":{"x":{"type":"value","value":890},"y":{"type":"value","value":0.2095614222005193},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15419","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15413","attributes":{"selected":{"type":"object","name":"Selection","id":"p15414","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15415"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15420","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15421"}}},"glyph":{"type":"object","name":"Scatter","id":"p15416","attributes":{"x":{"type":"value","value":891},"y":{"type":"value","value":0.10571599752020172},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15417","attributes":{"x":{"type":"value","value":891},"y":{"type":"value","value":0.10571599752020172},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15418","attributes":{"x":{"type":"value","value":891},"y":{"type":"value","value":0.10571599752020172},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15428","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15422","attributes":{"selected":{"type":"object","name":"Selection","id":"p15423","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15424"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15429","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15430"}}},"glyph":{"type":"object","name":"Scatter","id":"p15425","attributes":{"x":{"type":"value","value":892},"y":{"type":"value","value":0.07703471609518693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15426","attributes":{"x":{"type":"value","value":892},"y":{"type":"value","value":0.07703471609518693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15427","attributes":{"x":{"type":"value","value":892},"y":{"type":"value","value":0.07703471609518693},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15437","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15431","attributes":{"selected":{"type":"object","name":"Selection","id":"p15432","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15433"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15438","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15439"}}},"glyph":{"type":"object","name":"Scatter","id":"p15434","attributes":{"x":{"type":"value","value":893},"y":{"type":"value","value":-0.0017519382485359552},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15435","attributes":{"x":{"type":"value","value":893},"y":{"type":"value","value":-0.0017519382485359552},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15436","attributes":{"x":{"type":"value","value":893},"y":{"type":"value","value":-0.0017519382485359552},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15446","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15440","attributes":{"selected":{"type":"object","name":"Selection","id":"p15441","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15442"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15447","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15448"}}},"glyph":{"type":"object","name":"Scatter","id":"p15443","attributes":{"x":{"type":"value","value":894},"y":{"type":"value","value":0.07338063169884285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15444","attributes":{"x":{"type":"value","value":894},"y":{"type":"value","value":0.07338063169884285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15445","attributes":{"x":{"type":"value","value":894},"y":{"type":"value","value":0.07338063169884285},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15455","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15449","attributes":{"selected":{"type":"object","name":"Selection","id":"p15450","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15451"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15456","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15457"}}},"glyph":{"type":"object","name":"Scatter","id":"p15452","attributes":{"x":{"type":"value","value":895},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15453","attributes":{"x":{"type":"value","value":895},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15454","attributes":{"x":{"type":"value","value":895},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15464","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15458","attributes":{"selected":{"type":"object","name":"Selection","id":"p15459","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15460"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15465","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15466"}}},"glyph":{"type":"object","name":"Scatter","id":"p15461","attributes":{"x":{"type":"value","value":896},"y":{"type":"value","value":0.18136505839981817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15462","attributes":{"x":{"type":"value","value":896},"y":{"type":"value","value":0.18136505839981817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15463","attributes":{"x":{"type":"value","value":896},"y":{"type":"value","value":0.18136505839981817},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15473","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15467","attributes":{"selected":{"type":"object","name":"Selection","id":"p15468","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15469"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15474","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15475"}}},"glyph":{"type":"object","name":"Scatter","id":"p15470","attributes":{"x":{"type":"value","value":897},"y":{"type":"value","value":0.28877151568391846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15471","attributes":{"x":{"type":"value","value":897},"y":{"type":"value","value":0.28877151568391846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15472","attributes":{"x":{"type":"value","value":897},"y":{"type":"value","value":0.28877151568391846},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15482","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15476","attributes":{"selected":{"type":"object","name":"Selection","id":"p15477","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15478"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15483","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15484"}}},"glyph":{"type":"object","name":"Scatter","id":"p15479","attributes":{"x":{"type":"value","value":898},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15480","attributes":{"x":{"type":"value","value":898},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15481","attributes":{"x":{"type":"value","value":898},"y":{"type":"value","value":0.12213462030717767},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15491","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15485","attributes":{"selected":{"type":"object","name":"Selection","id":"p15486","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15487"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15492","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15493"}}},"glyph":{"type":"object","name":"Scatter","id":"p15488","attributes":{"x":{"type":"value","value":899},"y":{"type":"value","value":-0.027530055675103162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15489","attributes":{"x":{"type":"value","value":899},"y":{"type":"value","value":-0.027530055675103162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15490","attributes":{"x":{"type":"value","value":899},"y":{"type":"value","value":-0.027530055675103162},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15500","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15494","attributes":{"selected":{"type":"object","name":"Selection","id":"p15495","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15496"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15501","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15502"}}},"glyph":{"type":"object","name":"Scatter","id":"p15497","attributes":{"x":{"type":"value","value":900},"y":{"type":"value","value":-0.012909344356615289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15498","attributes":{"x":{"type":"value","value":900},"y":{"type":"value","value":-0.012909344356615289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15499","attributes":{"x":{"type":"value","value":900},"y":{"type":"value","value":-0.012909344356615289},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15509","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15503","attributes":{"selected":{"type":"object","name":"Selection","id":"p15504","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15505"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15510","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15511"}}},"glyph":{"type":"object","name":"Scatter","id":"p15506","attributes":{"x":{"type":"value","value":901},"y":{"type":"value","value":0.040478071366897385},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15507","attributes":{"x":{"type":"value","value":901},"y":{"type":"value","value":0.040478071366897385},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15508","attributes":{"x":{"type":"value","value":901},"y":{"type":"value","value":0.040478071366897385},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15518","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15512","attributes":{"selected":{"type":"object","name":"Selection","id":"p15513","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15514"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15519","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15520"}}},"glyph":{"type":"object","name":"Scatter","id":"p15515","attributes":{"x":{"type":"value","value":902},"y":{"type":"value","value":0.00042849878450992434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15516","attributes":{"x":{"type":"value","value":902},"y":{"type":"value","value":0.00042849878450992434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15517","attributes":{"x":{"type":"value","value":902},"y":{"type":"value","value":0.00042849878450992434},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15527","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15521","attributes":{"selected":{"type":"object","name":"Selection","id":"p15522","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15523"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15528","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15529"}}},"glyph":{"type":"object","name":"Scatter","id":"p15524","attributes":{"x":{"type":"value","value":903},"y":{"type":"value","value":0.2835854162189536},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15525","attributes":{"x":{"type":"value","value":903},"y":{"type":"value","value":0.2835854162189536},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15526","attributes":{"x":{"type":"value","value":903},"y":{"type":"value","value":0.2835854162189536},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15536","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15530","attributes":{"selected":{"type":"object","name":"Selection","id":"p15531","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15532"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15537","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15538"}}},"glyph":{"type":"object","name":"Scatter","id":"p15533","attributes":{"x":{"type":"value","value":904},"y":{"type":"value","value":0.049756782159393595},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15534","attributes":{"x":{"type":"value","value":904},"y":{"type":"value","value":0.049756782159393595},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15535","attributes":{"x":{"type":"value","value":904},"y":{"type":"value","value":0.049756782159393595},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15545","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15539","attributes":{"selected":{"type":"object","name":"Selection","id":"p15540","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15541"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15546","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15547"}}},"glyph":{"type":"object","name":"Scatter","id":"p15542","attributes":{"x":{"type":"value","value":905},"y":{"type":"value","value":0.013684535531826138},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15543","attributes":{"x":{"type":"value","value":905},"y":{"type":"value","value":0.013684535531826138},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15544","attributes":{"x":{"type":"value","value":905},"y":{"type":"value","value":0.013684535531826138},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15554","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15548","attributes":{"selected":{"type":"object","name":"Selection","id":"p15549","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15550"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15555","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15556"}}},"glyph":{"type":"object","name":"Scatter","id":"p15551","attributes":{"x":{"type":"value","value":906},"y":{"type":"value","value":0.12294075830088518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15552","attributes":{"x":{"type":"value","value":906},"y":{"type":"value","value":0.12294075830088518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15553","attributes":{"x":{"type":"value","value":906},"y":{"type":"value","value":0.12294075830088518},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15563","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15557","attributes":{"selected":{"type":"object","name":"Selection","id":"p15558","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15559"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15564","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15565"}}},"glyph":{"type":"object","name":"Scatter","id":"p15560","attributes":{"x":{"type":"value","value":907},"y":{"type":"value","value":0.17276439554338865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15561","attributes":{"x":{"type":"value","value":907},"y":{"type":"value","value":0.17276439554338865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15562","attributes":{"x":{"type":"value","value":907},"y":{"type":"value","value":0.17276439554338865},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15572","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15566","attributes":{"selected":{"type":"object","name":"Selection","id":"p15567","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15568"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15573","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15574"}}},"glyph":{"type":"object","name":"Scatter","id":"p15569","attributes":{"x":{"type":"value","value":908},"y":{"type":"value","value":0.033338361214030006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15570","attributes":{"x":{"type":"value","value":908},"y":{"type":"value","value":0.033338361214030006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15571","attributes":{"x":{"type":"value","value":908},"y":{"type":"value","value":0.033338361214030006},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15581","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15575","attributes":{"selected":{"type":"object","name":"Selection","id":"p15576","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15577"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15582","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15583"}}},"glyph":{"type":"object","name":"Scatter","id":"p15578","attributes":{"x":{"type":"value","value":909},"y":{"type":"value","value":-0.01758940784870252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15579","attributes":{"x":{"type":"value","value":909},"y":{"type":"value","value":-0.01758940784870252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15580","attributes":{"x":{"type":"value","value":909},"y":{"type":"value","value":-0.01758940784870252},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15590","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15584","attributes":{"selected":{"type":"object","name":"Selection","id":"p15585","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15586"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15591","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15592"}}},"glyph":{"type":"object","name":"Scatter","id":"p15587","attributes":{"x":{"type":"value","value":910},"y":{"type":"value","value":0.15970324205404862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15588","attributes":{"x":{"type":"value","value":910},"y":{"type":"value","value":0.15970324205404862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15589","attributes":{"x":{"type":"value","value":910},"y":{"type":"value","value":0.15970324205404862},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15599","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15593","attributes":{"selected":{"type":"object","name":"Selection","id":"p15594","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15595"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15600","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15601"}}},"glyph":{"type":"object","name":"Scatter","id":"p15596","attributes":{"x":{"type":"value","value":911},"y":{"type":"value","value":0.17132117883777667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15597","attributes":{"x":{"type":"value","value":911},"y":{"type":"value","value":0.17132117883777667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15598","attributes":{"x":{"type":"value","value":911},"y":{"type":"value","value":0.17132117883777667},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15608","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15602","attributes":{"selected":{"type":"object","name":"Selection","id":"p15603","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15604"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15609","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15610"}}},"glyph":{"type":"object","name":"Scatter","id":"p15605","attributes":{"x":{"type":"value","value":912},"y":{"type":"value","value":0.031137173873572357},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15606","attributes":{"x":{"type":"value","value":912},"y":{"type":"value","value":0.031137173873572357},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15607","attributes":{"x":{"type":"value","value":912},"y":{"type":"value","value":0.031137173873572357},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15617","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15611","attributes":{"selected":{"type":"object","name":"Selection","id":"p15612","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15613"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15618","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15619"}}},"glyph":{"type":"object","name":"Scatter","id":"p15614","attributes":{"x":{"type":"value","value":913},"y":{"type":"value","value":0.14462014309578372},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15615","attributes":{"x":{"type":"value","value":913},"y":{"type":"value","value":0.14462014309578372},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15616","attributes":{"x":{"type":"value","value":913},"y":{"type":"value","value":0.14462014309578372},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15626","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15620","attributes":{"selected":{"type":"object","name":"Selection","id":"p15621","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15622"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15627","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15628"}}},"glyph":{"type":"object","name":"Scatter","id":"p15623","attributes":{"x":{"type":"value","value":914},"y":{"type":"value","value":0.11192412585124346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15624","attributes":{"x":{"type":"value","value":914},"y":{"type":"value","value":0.11192412585124346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15625","attributes":{"x":{"type":"value","value":914},"y":{"type":"value","value":0.11192412585124346},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15635","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15629","attributes":{"selected":{"type":"object","name":"Selection","id":"p15630","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15631"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15636","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15637"}}},"glyph":{"type":"object","name":"Scatter","id":"p15632","attributes":{"x":{"type":"value","value":915},"y":{"type":"value","value":0.1318553681346086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15633","attributes":{"x":{"type":"value","value":915},"y":{"type":"value","value":0.1318553681346086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15634","attributes":{"x":{"type":"value","value":915},"y":{"type":"value","value":0.1318553681346086},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15644","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15638","attributes":{"selected":{"type":"object","name":"Selection","id":"p15639","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15640"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15645","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15646"}}},"glyph":{"type":"object","name":"Scatter","id":"p15641","attributes":{"x":{"type":"value","value":916},"y":{"type":"value","value":0.01830091046451218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15642","attributes":{"x":{"type":"value","value":916},"y":{"type":"value","value":0.01830091046451218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15643","attributes":{"x":{"type":"value","value":916},"y":{"type":"value","value":0.01830091046451218},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15653","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15647","attributes":{"selected":{"type":"object","name":"Selection","id":"p15648","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15649"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15654","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15655"}}},"glyph":{"type":"object","name":"Scatter","id":"p15650","attributes":{"x":{"type":"value","value":917},"y":{"type":"value","value":0.016933333458539757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15651","attributes":{"x":{"type":"value","value":917},"y":{"type":"value","value":0.016933333458539757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15652","attributes":{"x":{"type":"value","value":917},"y":{"type":"value","value":0.016933333458539757},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15662","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15656","attributes":{"selected":{"type":"object","name":"Selection","id":"p15657","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15658"},"data":{"type":"map"}}},"view":{"type":"object","name":"CDSView","id":"p15663","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15664"}}},"glyph":{"type":"object","name":"Scatter","id":"p15659","attributes":{"x":{"type":"value","value":918},"y":{"type":"value","value":0.04699197655028442},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.5},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.5},"marker":{"type":"value","value":"cross"}}},"nonselection_glyph":{"type":"object","name":"Scatter","id":"p15660","attributes":{"x":{"type":"value","value":918},"y":{"type":"value","value":0.04699197655028442},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.1},"hatch_alpha":{"type":"value","value":0.1},"marker":{"type":"value","value":"cross"}}},"muted_glyph":{"type":"object","name":"Scatter","id":"p15661","attributes":{"x":{"type":"value","value":918},"y":{"type":"value","value":0.04699197655028442},"size":{"type":"value","value":10},"line_color":{"type":"value","value":"#107591"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#107591"},"fill_alpha":{"type":"value","value":0.2},"hatch_alpha":{"type":"value","value":0.2},"marker":{"type":"value","value":"cross"}}}}},{"type":"object","name":"GlyphRenderer","id":"p15671","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p15665","attributes":{"selected":{"type":"object","name":"Selection","id":"p15666","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p15667"},"data":{"type":"map","entries":[["x",[918.5]],["y",[0.13420914864936578]],["text",["100.0%"]]]}}},"view":{"type":"object","name":"CDSView","id":"p15672","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p15673"}}},"glyph":{"type":"object","name":"Text","id":"p15668","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"text":{"type":"field","field":"text"},"text_color":{"type":"value","value":"black"}}},"nonselection_glyph":{"type":"object","name":"Text","id":"p15669","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"text":{"type":"field","field":"text"},"text_color":{"type":"value","value":"black"},"text_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"Text","id":"p15670","attributes":{"x":{"type":"field","field":"x"},"y":{"type":"field","field":"y"},"text":{"type":"field","field":"text"},"text_color":{"type":"value","value":"black"},"text_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p7371","attributes":{"tools":[{"id":"p7384"},{"id":"p7385"},{"id":"p7386"},{"id":"p7388"},{"id":"p7389"},{"id":"p7391"},{"type":"object","name":"SaveTool","id":"p7392"},{"id":"p7393"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p7379","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p7380","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p7381"},"axis_label":"Shape parameter k","major_label_policy":{"type":"object","name":"AllLabels","id":"p7382"}}}],"below":[{"type":"object","name":"LinearAxis","id":"p7374","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p7375","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p7376"},"axis_label":"Data Point","major_label_policy":{"type":"object","name":"AllLabels","id":"p7377"}}}],"center":[{"type":"object","name":"Grid","id":"p7378","attributes":{"axis":{"id":"p7374"}}},{"type":"object","name":"Grid","id":"p7383","attributes":{"dimension":1,"axis":{"id":"p7379"}}}],"output_backend":"webgl"}},0,0]]}}]}}';
                  const render_items = [{"docid":"9daf2815-351a-40c6-bc5e-fe762c24e44d","roots":{"p15676":"be3372ee-4413-4322-a8ec-e22052f5ab3f"},"root_ids":["p15676"]}];
                  root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    let attempts = 0;
                    const timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        clearInterval(timer);
                        embed_document(root);
                      } else {
                        attempts++;
                        if (attempts > 100) {
                          clearInterval(timer);
                          console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                        }
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
    function(Bokeh) {
        }
      ];
    
      function run_inline_js() {
        for (let i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
      }
    
      if (root._bokeh_is_loading === 0) {
        console.debug("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(css_urls, js_urls, function() {
          console.debug("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();